prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_180200 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2018.05.24'
,p_release=>'18.2.0.00.12'
,p_default_workspace_id=>20749515040658038
,p_default_application_id=>15181
,p_default_owner=>'SAMPLE'
);
end;
/
 
prompt APPLICATION 15181 - Demo Report Map Plugin
--
-- Application Export:
--   Application:     15181
--   Name:            Demo Report Map Plugin
--   Date and Time:   14:19 Wednesday January 20, 2021
--   Exported By:     JEFF
--   Flashback:       0
--   Export Type:     Application Export
--   Version:         18.2.0.00.12
--   Instance ID:     250138936273502
--

-- Application Statistics:
--   Pages:                     36
--     Items:                   60
--     Computations:             1
--     Regions:                104
--     Buttons:                 17
--     Dynamic Actions:         77
--   Shared Components:
--     Logic:
--       Processes:              2
--     Navigation:
--       Lists:                  3
--       Breadcrumbs:            1
--         Entries:              2
--     Security:
--       Authentication:         2
--     User Interface:
--       Themes:                 1
--       Templates:
--         Page:                10
--         Region:              15
--         Label:                7
--         List:                12
--         Popup LOV:            1
--         Calendar:             1
--         Breadcrumb:           1
--         Button:               3
--         Report:              10
--       Plug-ins:               4
--     Globalization:
--     Reports:
--     E-Mail:
--   Supporting Objects:  Included
--     Install scripts:          4

prompt --application/delete_application
begin
wwv_flow_api.remove_flow(wwv_flow.g_flow_id);
end;
/
prompt --application/create_application
begin
wwv_flow_api.create_flow(
 p_id=>wwv_flow.g_flow_id
,p_display_id=>nvl(wwv_flow_application_install.get_application_id,15181)
,p_owner=>nvl(wwv_flow_application_install.get_schema,'SAMPLE')
,p_name=>nvl(wwv_flow_application_install.get_application_name,'Demo Report Map Plugin')
,p_alias=>nvl(wwv_flow_application_install.get_application_alias,'JK64_REPORT_MAP')
,p_application_group=>18174696082810591
,p_application_group_name=>'Demo'
,p_page_view_logging=>'YES'
,p_page_protection_enabled_y_n=>'Y'
,p_checksum_salt=>'C3122CBCDD74E22507D404C7EB318B2F591D26C5236F118825BBA22D83A4AB13'
,p_bookmark_checksum_function=>'SH512'
,p_compatibility_mode=>'5.1'
,p_flow_language=>'en'
,p_flow_language_derived_from=>'0'
,p_direction_right_to_left=>'N'
,p_flow_image_prefix => nvl(wwv_flow_application_install.get_image_prefix,'')
,p_authentication=>'PLUGIN'
,p_authentication_id=>wwv_flow_api.id(110568027569693887)
,p_populate_roles=>'A'
,p_application_tab_set=>1
,p_logo_image=>'TEXT:jk64 Report Map Plugin Demo'
,p_public_user=>'APEX_PUBLIC_USER'
,p_proxy_server=>nvl(wwv_flow_application_install.get_proxy,'')
,p_no_proxy_domains=>nvl(wwv_flow_application_install.get_no_proxy_domains,'')
,p_flow_version=>'release 1.5 Jan 2021'
,p_flow_status=>'AVAILABLE_W_EDIT_LINK'
,p_flow_unavailable_text=>'This application is currently unavailable at this time.'
,p_exact_substitutions_only=>'Y'
,p_browser_cache=>'N'
,p_browser_frame=>'D'
,p_deep_linking=>'Y'
,p_rejoin_existing_sessions=>'N'
,p_csv_encoding=>'Y'
,p_auto_time_zone=>'N'
,p_substitution_string_01=>'REPOSITORY'
,p_substitution_value_01=>'https://github.com/jeffreykemp/jk64-plugin-reportmap'
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120141852'
,p_file_prefix => nvl(wwv_flow_application_install.get_static_app_file_prefix,'')
,p_files_version=>19
,p_ui_type_name => null
);
end;
/
prompt --application/shared_components/navigation/lists/home_menu
begin
wwv_flow_api.create_list(
 p_id=>wwv_flow_api.id(33313102857679622)
,p_name=>'Home Menu'
,p_list_status=>'PUBLIC'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33317727701679625)
,p_list_item_display_sequence=>10
,p_list_item_link_text=>'Report Pins'
,p_list_item_link_target=>'f?p=&APP_ID.:1:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-map-marker'
,p_list_text_01=>'Show a set of data as pins on the map.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'1'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33318579089679626)
,p_list_item_display_sequence=>20
,p_list_item_link_text=>'Marker Clustering'
,p_list_item_link_target=>'f?p=&APP_ID.:4:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-plus-circle'
,p_list_text_01=>'When many pins are very close together, dynamically cluster them into a single marker showing the number of pins within it.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'4'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33318197632679626)
,p_list_item_display_sequence=>30
,p_list_item_link_text=>'Route Map'
,p_list_item_link_target=>'f?p=&APP_ID.:11:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-car'
,p_list_text_01=>'Show route directions between two points with up to 8 waypoints on the way.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'11'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33317303234679625)
,p_list_item_display_sequence=>40
,p_list_item_link_text=>'Directions'
,p_list_item_link_target=>'f?p=&APP_ID.:7:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-map-signs'
,p_list_text_01=>'Allow the end user to ask for directions from one location to another.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'7'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33318917524679626)
,p_list_item_display_sequence=>50
,p_list_item_link_text=>'Geo Heatmap'
,p_list_item_link_target=>'f?p=&APP_ID.:6:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-globe'
,p_list_text_01=>'Render a large number of data points as a geographic heatmap.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'6'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(53917148155038029)
,p_list_item_display_sequence=>60
,p_list_item_link_text=>'Spiderfier'
,p_list_item_link_target=>'f?p=&APP_ID.:24:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-asterisk'
,p_list_text_01=>'Visualisation that helps show pins that are very close or overlapping.'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33333579395703125)
,p_list_item_display_sequence=>70
,p_list_item_link_text=>'Multiple Map Regions'
,p_list_item_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-clone'
,p_list_text_01=>'Demonstrates how multiple instances of the map plugin can be rendered on the page, and how each can be manipulated independently.'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33315320628679624)
,p_list_item_display_sequence=>80
,p_list_item_link_text=>'Pin Labels'
,p_list_item_link_target=>'f?p=&APP_ID.:10:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-tag'
,p_list_text_01=>'Show a letter as a label on each pin.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'10'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33315735448679624)
,p_list_item_display_sequence=>90
,p_list_item_link_text=>'Pin Icons'
,p_list_item_link_target=>'f?p=&APP_ID.:8:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-plane'
,p_list_text_01=>'Use an alternative image for the pins. Icons are loaded from a URL. Each data point may have a different icon.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'8'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33316179167679625)
,p_list_item_display_sequence=>100
,p_list_item_link_text=>'Static Icons'
,p_list_item_link_target=>'f?p=&APP_ID.:16:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-file-image-o'
,p_list_text_01=>'Load icons for the markers loaded as Static Application Files in the APEX application.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'16'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33316544762679625)
,p_list_item_display_sequence=>110
,p_list_item_link_text=>'Search Map'
,p_list_item_link_target=>'f?p=&APP_ID.:5:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-search'
,p_list_text_01=>'Allow the user to search the map for an address or location name.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'5'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33316954704679625)
,p_list_item_display_sequence=>120
,p_list_item_link_text=>'Geolocate'
,p_list_item_link_target=>'f?p=&APP_ID.:12:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-bolt'
,p_list_text_01=>'Find the user''s device location on the map.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'12'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33319340798679626)
,p_list_item_display_sequence=>130
,p_list_item_link_text=>'Sync with Report'
,p_list_item_link_target=>'f?p=&APP_ID.:3:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-refresh'
,p_list_text_01=>'Have a link in a report that, when clicked, pans to a pin on the map and shows its info window.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'3'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33319768039679627)
,p_list_item_display_sequence=>140
,p_list_item_link_text=>'Draggable Pins'
,p_list_item_link_target=>'f?p=&APP_ID.:2:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-arrows-alt'
,p_list_text_01=>'Allow the end user to drag pins to new locations on the map.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'2'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33320106676679627)
,p_list_item_display_sequence=>150
,p_list_item_link_text=>'Disabled Pan / Zoom'
,p_list_item_link_target=>'f?p=&APP_ID.:14:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-ban'
,p_list_text_01=>'Make the map "static" - i.e. so the user cannot zoom or pan.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'14'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33320521084679627)
,p_list_item_display_sequence=>160
,p_list_item_link_text=>'Javascript Initialization'
,p_list_item_link_target=>'f?p=&APP_ID.:13:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-code'
,p_list_text_01=>'Add your own JavaScript code to perform customisations, e.g. using the Google Maps JavaScript API.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'13'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33431831826571525)
,p_list_item_display_sequence=>170
,p_list_item_link_text=>'Flex Fields'
,p_list_item_link_target=>'f?p=&APP_ID.:17:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-database'
,p_list_text_01=>'Associate "flex fields" with extra data with each pin on the map.'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(34089085421399527)
,p_list_item_display_sequence=>180
,p_list_item_link_text=>'Google Map Layers'
,p_list_item_link_target=>'f?p=&APP_ID.:18:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-google'
,p_list_text_01=>'Show a Google Maps Layer (Traffic, Transit, or Bicycling)'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(85379002405480720)
,p_list_item_display_sequence=>190
,p_list_item_link_text=>'Custom Layer'
,p_list_item_link_target=>'f?p=&APP_ID.:35:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-layers'
,p_list_text_01=>'Show a custom layer containing HTML, imagery, or anything at a given location on the map.'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(44679507564672602)
,p_list_item_display_sequence=>200
,p_list_item_link_text=>'Drawing & GeoJSON'
,p_list_item_link_target=>'f?p=&APP_ID.:19:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-pencil-square-o'
,p_list_text_01=>'Draw shapes (polygons) onto the map. Drag-and-drop GeoJSON files onto the map. Export features as a GeoJSON document.'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(48459571914205681)
,p_list_item_display_sequence=>210
,p_list_item_link_text=>'Event: Marker Added'
,p_list_item_link_target=>'f?p=&APP_ID.:20:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-trigger'
,p_list_text_01=>'Add custom behaviour when pins are added to the map.'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(53873507840602053)
,p_list_item_display_sequence=>220
,p_list_item_link_text=>'Localisation'
,p_list_item_link_target=>'f?p=&APP_ID.:21:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-language'
,p_list_text_01=>'Override the user''s preferred language, and/or bias geocode results (searching by address) to a particular region.'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(54160472022773206)
,p_list_item_display_sequence=>230
,p_list_item_link_text=>'Custom Marker Formatting'
,p_list_item_link_target=>'f?p=&APP_ID.:25:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-design'
,p_list_text_01=>'Provide a javascript function to format or manipulate each marker with whatever logic you need.'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(54219023471494855)
,p_list_item_display_sequence=>240
,p_list_item_link_text=>'Batched Results'
,p_list_item_link_target=>'f?p=&APP_ID.:26:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-hourglass-2'
,p_list_text_01=>'Load a large number of pin data in batches, via multiple ajax calls.'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(58591247874486381)
,p_list_item_display_sequence=>250
,p_list_item_link_text=>'Plugin Options'
,p_list_item_link_target=>'f?p=&APP_ID.:28:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-times-square-o'
,p_list_text_01=>'Control options on the map declaratively, using the Actions plugin.'
,p_list_item_current_type=>'TARGET_PAGE'
);
end;
/
prompt --application/shared_components/navigation/lists/desktop_navigation_menu
begin
wwv_flow_api.create_list(
 p_id=>wwv_flow_api.id(25186261540139505399)
,p_name=>'Desktop Navigation Menu'
,p_list_status=>'PUBLIC'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(108544596526040817)
,p_list_item_display_sequence=>10
,p_list_item_link_text=>'Demo Home'
,p_list_item_link_target=>'f?p=&APP_ID.:9:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-home'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33281403869456829)
,p_list_item_display_sequence=>20
,p_list_item_link_text=>'Visualisations'
,p_list_item_link_target=>'f?p=&APP_ID.:1:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-eye'
,p_list_item_current_type=>'NEVER'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(25186305489555505552)
,p_list_item_display_sequence=>170
,p_list_item_link_text=>'Report Pins'
,p_list_item_link_target=>'f?p=&APP_ID.:1:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-map-marker'
,p_parent_list_item_id=>wwv_flow_api.id(33281403869456829)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(62794524053119047)
,p_list_item_display_sequence=>390
,p_list_item_link_text=>'PL/SQL Function returning SQL Query'
,p_list_item_link_target=>'f?p=&APP_ID.:29:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-code'
,p_parent_list_item_id=>wwv_flow_api.id(25186305489555505552)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(62795350781126751)
,p_list_item_display_sequence=>400
,p_list_item_link_text=>'Table or View'
,p_list_item_link_target=>'f?p=&APP_ID.:30:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-database'
,p_parent_list_item_id=>wwv_flow_api.id(25186305489555505552)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'30'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(84905596238269500)
,p_list_item_display_sequence=>180
,p_list_item_link_text=>'Info Layer'
,p_list_item_link_target=>'f?p=&APP_ID.:34:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-layers'
,p_parent_list_item_id=>wwv_flow_api.id(33281403869456829)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'34'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(110569494406744322)
,p_list_item_display_sequence=>190
,p_list_item_link_text=>'Route Map'
,p_list_item_link_target=>'f?p=&APP_ID.:11:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-car'
,p_parent_list_item_id=>wwv_flow_api.id(33281403869456829)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(32259407852619167)
,p_list_item_display_sequence=>200
,p_list_item_link_text=>'Marker Clustering'
,p_list_item_link_target=>'f?p=&APP_ID.:4:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-plus-circle'
,p_parent_list_item_id=>wwv_flow_api.id(33281403869456829)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(53909164196992001)
,p_list_item_display_sequence=>210
,p_list_item_link_text=>'Spiderfier'
,p_list_item_link_target=>'f?p=&APP_ID.:24:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-asterisk'
,p_parent_list_item_id=>wwv_flow_api.id(33281403869456829)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'24'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(32277839462935717)
,p_list_item_display_sequence=>220
,p_list_item_link_text=>'Geo Heatmap'
,p_list_item_link_target=>'f?p=&APP_ID.:6:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-globe'
,p_parent_list_item_id=>wwv_flow_api.id(33281403869456829)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(54683545433658850)
,p_list_item_display_sequence=>230
,p_list_item_link_text=>'GeoJSON'
,p_list_item_link_target=>'f?p=&APP_ID.:27:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-radar-chart'
,p_parent_list_item_id=>wwv_flow_api.id(33281403869456829)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'27'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33274013504426442)
,p_list_item_display_sequence=>30
,p_list_item_link_text=>'Marker Styling'
,p_list_item_link_target=>'f?p=&APP_ID.:10:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-map-marker'
,p_list_item_current_type=>'NEVER'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(109890937937436544)
,p_list_item_display_sequence=>90
,p_list_item_link_text=>'Pin Labels'
,p_list_item_link_target=>'f?p=&APP_ID.:10:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-tag'
,p_parent_list_item_id=>wwv_flow_api.id(33274013504426442)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33244910302972029)
,p_list_item_display_sequence=>100
,p_list_item_link_text=>'Pin Icons'
,p_list_item_link_target=>'f?p=&APP_ID.:8:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-plane'
,p_parent_list_item_id=>wwv_flow_api.id(33274013504426442)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33265093806320112)
,p_list_item_display_sequence=>110
,p_list_item_link_text=>'Static Icons'
,p_list_item_link_target=>'f?p=&APP_ID.:16:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-file-image-o'
,p_parent_list_item_id=>wwv_flow_api.id(33274013504426442)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(85354081806736621)
,p_list_item_display_sequence=>120
,p_list_item_link_text=>'FontAwesome Icons'
,p_list_item_link_target=>'f?p=&APP_ID.:36:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-flag-o'
,p_parent_list_item_id=>wwv_flow_api.id(33274013504426442)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'36'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(54145802687283308)
,p_list_item_display_sequence=>130
,p_list_item_link_text=>'Custom'
,p_list_item_link_target=>'f?p=&APP_ID.:25:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-design'
,p_parent_list_item_id=>wwv_flow_api.id(33274013504426442)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'25'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33280578924449447)
,p_list_item_display_sequence=>40
,p_list_item_link_text=>'Geocoding'
,p_list_item_link_target=>'f?p=&APP_ID.:5:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-compass'
,p_list_item_current_type=>'NEVER'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(75545709693123640)
,p_list_item_display_sequence=>140
,p_list_item_link_text=>'Search Map'
,p_list_item_link_target=>'f?p=&APP_ID.:5:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-search'
,p_parent_list_item_id=>wwv_flow_api.id(33280578924449447)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(137056019713145863)
,p_list_item_display_sequence=>150
,p_list_item_link_text=>'Geolocate'
,p_list_item_link_target=>'f?p=&APP_ID.:12:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-bolt'
,p_parent_list_item_id=>wwv_flow_api.id(33280578924449447)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(82100728880548355)
,p_list_item_display_sequence=>160
,p_list_item_link_text=>'Directions'
,p_list_item_link_target=>'f?p=&APP_ID.:7:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-map-signs'
,p_parent_list_item_id=>wwv_flow_api.id(33280578924449447)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33282510915468298)
,p_list_item_display_sequence=>50
,p_list_item_link_text=>'Custom Behaviour'
,p_list_item_link_target=>'f?p=&APP_ID.:3:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-gears'
,p_list_item_current_type=>'NEVER'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(75088489437959564)
,p_list_item_display_sequence=>240
,p_list_item_link_text=>'Sync with Report'
,p_list_item_link_target=>'f?p=&APP_ID.:3:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-refresh'
,p_parent_list_item_id=>wwv_flow_api.id(33282510915468298)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(32239493111468704)
,p_list_item_display_sequence=>250
,p_list_item_link_text=>'Draggable Pins'
,p_list_item_link_target=>'f?p=&APP_ID.:2:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-arrows-alt'
,p_parent_list_item_id=>wwv_flow_api.id(33282510915468298)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(32918794694333288)
,p_list_item_display_sequence=>260
,p_list_item_link_text=>'Disabled Pan / Zoom'
,p_list_item_link_target=>'f?p=&APP_ID.:14:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-ban'
,p_parent_list_item_id=>wwv_flow_api.id(33282510915468298)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(32700598309779864)
,p_list_item_display_sequence=>270
,p_list_item_link_text=>'Javascript Initialization'
,p_list_item_link_target=>'f?p=&APP_ID.:13:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-code'
,p_parent_list_item_id=>wwv_flow_api.id(33282510915468298)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(33385686175209543)
,p_list_item_display_sequence=>280
,p_list_item_link_text=>'Flex Fields'
,p_list_item_link_target=>'f?p=&APP_ID.:17:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-database'
,p_parent_list_item_id=>wwv_flow_api.id(33282510915468298)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(34001707422955107)
,p_list_item_display_sequence=>290
,p_list_item_link_text=>'Google Map Layers'
,p_list_item_link_target=>'f?p=&APP_ID.:18:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-google'
,p_parent_list_item_id=>wwv_flow_api.id(33282510915468298)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(85025311341784230)
,p_list_item_display_sequence=>300
,p_list_item_link_text=>'Custom Layer'
,p_list_item_link_target=>'f?p=&APP_ID.:35:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-layers'
,p_parent_list_item_id=>wwv_flow_api.id(33282510915468298)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'35'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(84519425592246413)
,p_list_item_display_sequence=>310
,p_list_item_link_text=>'Map Events'
,p_list_item_link_target=>'f?p=&APP_ID.:33:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-trigger'
,p_parent_list_item_id=>wwv_flow_api.id(33282510915468298)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'33'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(48397319460597037)
,p_list_item_display_sequence=>320
,p_list_item_link_text=>'Event: Marker Added'
,p_list_item_link_target=>'f?p=&APP_ID.:20:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-trigger'
,p_parent_list_item_id=>wwv_flow_api.id(33282510915468298)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'20'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(54218766907484464)
,p_list_item_display_sequence=>330
,p_list_item_link_text=>'Batched Results'
,p_list_item_link_target=>'f?p=&APP_ID.:26:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-hourglass-2'
,p_parent_list_item_id=>wwv_flow_api.id(33282510915468298)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(53811131567280288)
,p_list_item_display_sequence=>340
,p_list_item_link_text=>'Localisation'
,p_list_item_link_target=>'f?p=&APP_ID.:21:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-language'
,p_parent_list_item_id=>wwv_flow_api.id(33282510915468298)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'21'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(58501348739263944)
,p_list_item_display_sequence=>350
,p_list_item_link_text=>'Controlling the Map'
,p_list_item_link_target=>'f?p=&APP_ID.:28:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-times-square-o'
,p_parent_list_item_id=>wwv_flow_api.id(33282510915468298)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'28'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(44669180677691156)
,p_list_item_display_sequence=>60
,p_list_item_link_text=>'Drawing & GeoJSON'
,p_list_item_link_target=>'f?p=&APP_ID.:19:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-pencil-square-o'
,p_list_text_01=>'Draw shapes (polygons) onto the map. Drag-and-drop GeoJSON files onto the map. Export features as a GeoJSON document.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'19'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(50290600439883548)
,p_list_item_display_sequence=>360
,p_list_item_link_text=>'Load GeoJSON via JavaScript'
,p_list_item_link_target=>'f?p=&APP_ID.:22:&SESSION.::&DEBUG.:22:::'
,p_parent_list_item_id=>wwv_flow_api.id(44669180677691156)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'22'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(32930148968395655)
,p_list_item_display_sequence=>70
,p_list_item_link_text=>'A Tale of Two Cities'
,p_list_item_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-clone'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(67976597406427411)
,p_list_item_display_sequence=>80
,p_list_item_link_text=>'Failure Modes'
,p_list_item_icon=>'fa-exclamation-triangle'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(67976885738425277)
,p_list_item_display_sequence=>370
,p_list_item_link_text=>'Data error handling'
,p_list_item_link_target=>'f?p=&APP_ID.:31:&SESSION.::&DEBUG.::::'
,p_parent_list_item_id=>wwv_flow_api.id(67976597406427411)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(84450570720067606)
,p_list_item_display_sequence=>380
,p_list_item_link_text=>'No Data Found'
,p_list_item_link_target=>'f?p=&APP_ID.:32:&SESSION.::&DEBUG.'
,p_parent_list_item_id=>wwv_flow_api.id(67976597406427411)
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'32'
);
end;
/
prompt --application/shared_components/navigation/lists/desktop_navigation_bar
begin
wwv_flow_api.create_list(
 p_id=>wwv_flow_api.id(25186303809636505463)
,p_name=>'Desktop Navigation Bar'
,p_list_status=>'PUBLIC'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(32163712040708032)
,p_list_item_display_sequence=>10
,p_list_item_link_text=>'Download the source from GitHub'
,p_list_item_link_target=>'&REPOSITORY.'
,p_list_item_icon=>'fa-github'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(35258611170210596)
,p_list_item_display_sequence=>20
,p_list_item_link_text=>'jk64.dev'
,p_list_item_link_target=>'https://jk64.dev'
,p_list_item_icon=>'fa-external-link'
,p_list_item_current_type=>'TARGET_PAGE'
);
end;
/
prompt --application/shared_components/files/randomcolor_min_js
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2166756E6374696F6E28722C65297B696628226F626A656374223D3D747970656F66206578706F727473297B766172206E3D6528293B226F626A656374223D3D747970656F66206D6F64756C6526266D6F64756C6526266D6F64756C652E6578706F7274';
wwv_flow_api.g_varchar2_table(2) := '732626286578706F7274733D6D6F64756C652E6578706F7274733D6E292C6578706F7274732E72616E646F6D436F6C6F723D6E7D656C73652266756E6374696F6E223D3D747970656F6620646566696E652626646566696E652E616D643F646566696E65';
wwv_flow_api.g_varchar2_table(3) := '285B5D2C65293A722E72616E646F6D436F6C6F723D6528297D28746869732C66756E6374696F6E28297B76617220723D6E756C6C2C653D7B7D3B6F28226D6F6E6F6368726F6D65222C6E756C6C2C5B5B302C305D2C5B3130302C305D5D292C6F28227265';
wwv_flow_api.g_varchar2_table(4) := '64222C5B2D32362C31385D2C5B5B32302C3130305D2C5B33302C39325D2C5B34302C38395D2C5B35302C38355D2C5B36302C37385D2C5B37302C37305D2C5B38302C36305D2C5B39302C35355D2C5B3130302C35305D5D292C6F28226F72616E6765222C';
wwv_flow_api.g_varchar2_table(5) := '5B31392C34365D2C5B5B32302C3130305D2C5B33302C39335D2C5B34302C38385D2C5B35302C38365D2C5B36302C38355D2C5B37302C37305D2C5B3130302C37305D5D292C6F282279656C6C6F77222C5B34372C36325D2C5B5B32352C3130305D2C5B34';
wwv_flow_api.g_varchar2_table(6) := '302C39345D2C5B35302C38395D2C5B36302C38365D2C5B37302C38345D2C5B38302C38325D2C5B39302C38305D2C5B3130302C37355D5D292C6F2822677265656E222C5B36332C3137385D2C5B5B33302C3130305D2C5B34302C39305D2C5B35302C3835';
wwv_flow_api.g_varchar2_table(7) := '5D2C5B36302C38315D2C5B37302C37345D2C5B38302C36345D2C5B39302C35305D2C5B3130302C34305D5D292C6F2822626C7565222C5B3137392C3235375D2C5B5B32302C3130305D2C5B33302C38365D2C5B34302C38305D2C5B35302C37345D2C5B36';
wwv_flow_api.g_varchar2_table(8) := '302C36305D2C5B37302C35325D2C5B38302C34345D2C5B39302C33395D2C5B3130302C33355D5D292C6F2822707572706C65222C5B3235382C3238325D2C5B5B32302C3130305D2C5B33302C38375D2C5B34302C37395D2C5B35302C37305D2C5B36302C';
wwv_flow_api.g_varchar2_table(9) := '36355D2C5B37302C35395D2C5B38302C35325D2C5B39302C34355D2C5B3130302C34325D5D292C6F282270696E6B222C5B3238332C3333345D2C5B5B32302C3130305D2C5B33302C39305D2C5B34302C38365D2C5B36302C38345D2C5B38302C38305D2C';
wwv_flow_api.g_varchar2_table(10) := '5B39302C37355D2C5B3130302C37335D5D293B766172206E3D5B5D2C743D66756E6374696F6E286F297B696628766F69642030213D3D286F3D6F7C7C7B7D292E7365656426266E756C6C213D3D6F2E7365656426266F2E736565643D3D3D706172736549';
wwv_flow_api.g_varchar2_table(11) := '6E74286F2E736565642C31302929723D6F2E736565643B656C73652069662822737472696E67223D3D747970656F66206F2E7365656429723D66756E6374696F6E2872297B666F722876617220653D302C6E3D303B6E213D3D722E6C656E677468262621';
wwv_flow_api.g_varchar2_table(12) := '28653E3D4E756D6265722E4D41585F534146455F494E5445474552293B6E2B2B29652B3D722E63686172436F64654174286E293B72657475726E20657D286F2E73656564293B656C73657B696628766F69642030213D3D6F2E7365656426266E756C6C21';
wwv_flow_api.g_varchar2_table(13) := '3D3D6F2E73656564297468726F77206E657720547970654572726F72282254686520736565642076616C7565206D75737420626520616E20696E7465676572206F7220737472696E6722293B723D6E756C6C7D766172206C2C633B6966286E756C6C213D';
wwv_flow_api.g_varchar2_table(14) := '3D6F2E636F756E742626766F69642030213D3D6F2E636F756E74297B666F722876617220683D6F2E636F756E742C673D5B5D2C763D303B763C6F2E636F756E743B762B2B296E2E70757368282131293B666F72286F2E636F756E743D6E756C6C3B683E67';
wwv_flow_api.g_varchar2_table(15) := '2E6C656E6774683B297226266F2E736565642626286F2E736565642B3D31292C672E707573682874286F29293B72657475726E206F2E636F756E743D682C677D72657475726E2066756E6374696F6E28722C65297B73776974636828652E666F726D6174';
wwv_flow_api.g_varchar2_table(16) := '297B63617365226873764172726179223A72657475726E20723B636173652268736C4172726179223A72657475726E20662872293B636173652268736C223A766172206E3D662872293B72657475726E2268736C28222B6E5B305D2B222C20222B6E5B31';
wwv_flow_api.g_varchar2_table(17) := '5D2B22252C20222B6E5B325D2B222529223B636173652268736C61223A76617220743D662872292C613D652E616C7068617C7C4D6174682E72616E646F6D28293B72657475726E2268736C6128222B745B305D2B222C20222B745B315D2B22252C20222B';
wwv_flow_api.g_varchar2_table(18) := '745B325D2B22252C20222B612B2229223B63617365227267624172726179223A72657475726E20732872293B6361736522726762223A76617220753D732872293B72657475726E2272676228222B752E6A6F696E28222C2022292B2229223B6361736522';
wwv_flow_api.g_varchar2_table(19) := '72676261223A766172206F3D732872292C613D652E616C7068617C7C4D6174682E72616E646F6D28293B72657475726E227267626128222B6F2E6A6F696E28222C2022292B222C20222B612B2229223B64656661756C743A72657475726E2066756E6374';
wwv_flow_api.g_varchar2_table(20) := '696F6E2872297B76617220653D732872293B66756E6374696F6E206E2872297B76617220653D722E746F537472696E67283136293B72657475726E20313D3D652E6C656E6774683F2230222B653A657D72657475726E2223222B6E28655B305D292B6E28';
wwv_flow_api.g_varchar2_table(21) := '655B315D292B6E28655B325D297D2872297D7D285B6C3D66756E6374696F6E2872297B6966286E2E6C656E6774683E30297B76617220743D66756E6374696F6E2872297B69662869734E614E287229297B69662822737472696E67223D3D747970656F66';
wwv_flow_api.g_varchar2_table(22) := '207229696628655B725D297B766172206E3D655B725D3B6966286E2E68756552616E67652972657475726E206E2E68756552616E67657D656C736520696628722E6D61746368282F5E233F285B302D39412D465D7B337D7C5B302D39412D465D7B367D29';
wwv_flow_api.g_varchar2_table(23) := '242F6929297B76617220743D692872295B305D3B72657475726E20612874292E68756552616E67657D7D656C73657B76617220753D7061727365496E742872293B696628753C3336302626753E302972657475726E20612872292E68756552616E67657D';
wwv_flow_api.g_varchar2_table(24) := '72657475726E5B302C3336305D7D28722E687565292C6F3D752874292C733D28745B315D2D745B305D292F6E2E6C656E6774682C663D7061727365496E7428286F2D745B305D292F73293B21303D3D3D6E5B665D3F663D28662B3229256E2E6C656E6774';
wwv_flow_api.g_varchar2_table(25) := '683A6E5B665D3D21303B766172206C3D28745B305D2B662A7329253335392C633D28745B305D2B28662B31292A7329253335393B72657475726E286F3D7528743D5B6C2C635D29293C302626286F3D3336302B6F292C6F7D76617220743D66756E637469';
wwv_flow_api.g_varchar2_table(26) := '6F6E2872297B696628226E756D626572223D3D747970656F66207061727365496E74287229297B766172206E3D7061727365496E742872293B6966286E3C33363026266E3E302972657475726E5B6E2C6E5D7D69662822737472696E67223D3D74797065';
wwv_flow_api.g_varchar2_table(27) := '6F66207229696628655B725D297B76617220743D655B725D3B696628742E68756552616E67652972657475726E20742E68756552616E67657D656C736520696628722E6D61746368282F5E233F285B302D39412D465D7B337D7C5B302D39412D465D7B36';
wwv_flow_api.g_varchar2_table(28) := '7D29242F6929297B76617220613D692872295B305D3B72657475726E5B612C615D7D72657475726E5B302C3336305D7D28722E687565293B72657475726E286F3D75287429293C302626286F3D3336302B6F292C6F7D286F292C633D66756E6374696F6E';
wwv_flow_api.g_varchar2_table(29) := '28722C65297B696628226D6F6E6F6368726F6D65223D3D3D652E6875652972657475726E20303B6966282272616E646F6D223D3D3D652E6C756D696E6F736974792972657475726E2075285B302C3130305D293B766172206E3D66756E6374696F6E2872';
wwv_flow_api.g_varchar2_table(30) := '297B72657475726E20612872292E73617475726174696F6E52616E67657D2872292C743D6E5B305D2C6F3D6E5B315D3B73776974636828652E6C756D696E6F73697479297B6361736522627269676874223A743D35353B627265616B3B63617365226461';
wwv_flow_api.g_varchar2_table(31) := '726B223A743D6F2D31303B627265616B3B63617365226C69676874223A6F3D35357D72657475726E2075285B742C6F5D297D286C2C6F292C66756E6374696F6E28722C652C6E297B76617220743D66756E6374696F6E28722C65297B666F722876617220';
wwv_flow_api.g_varchar2_table(32) := '6E3D612872292E6C6F776572426F756E64732C743D303B743C6E2E6C656E6774682D313B742B2B297B76617220753D6E5B745D5B305D2C6F3D6E5B745D5B315D2C733D6E5B742B315D5B305D2C693D6E5B742B315D5B315D3B696628653E3D752626653C';
wwv_flow_api.g_varchar2_table(33) := '3D73297B76617220663D28692D6F292F28732D75292C6C3D6F2D662A753B72657475726E20662A652B6C7D7D72657475726E20307D28722C65292C6F3D3130303B737769746368286E2E6C756D696E6F73697479297B63617365226461726B223A6F3D74';
wwv_flow_api.g_varchar2_table(34) := '2B32303B627265616B3B63617365226C69676874223A743D286F2B74292F323B627265616B3B636173652272616E646F6D223A743D302C6F3D3130307D72657475726E2075285B742C6F5D297D286C2C632C6F295D2C6F297D3B66756E6374696F6E2061';
wwv_flow_api.g_varchar2_table(35) := '2872297B666F7228766172206E20696E20723E3D3333342626723C3D333630262628722D3D333630292C65297B76617220743D655B6E5D3B696628742E68756552616E67652626723E3D742E68756552616E67655B305D2626723C3D742E68756552616E';
wwv_flow_api.g_varchar2_table(36) := '67655B315D2972657475726E20655B6E5D7D72657475726E22436F6C6F72206E6F7420666F756E64227D66756E6374696F6E20752865297B6966286E756C6C3D3D3D72297B766172206E3D4D6174682E72616E646F6D28293B72657475726E206E2B3D2E';
wwv_flow_api.g_varchar2_table(37) := '3631383033333938383734393839352C6E253D312C4D6174682E666C6F6F7228655B305D2B6E2A28655B315D2B312D655B305D29297D76617220743D655B315D7C7C312C613D655B305D7C7C302C753D28723D28393330312A722B343932393729253233';
wwv_flow_api.g_varchar2_table(38) := '33323830292F3233333238303B72657475726E204D6174682E666C6F6F7228612B752A28742D6129297D66756E6374696F6E206F28722C6E2C74297B76617220613D745B305D5B305D2C753D745B742E6C656E6774682D315D5B305D2C6F3D745B742E6C';
wwv_flow_api.g_varchar2_table(39) := '656E6774682D315D5B315D2C733D745B305D5B315D3B655B725D3D7B68756552616E67653A6E2C6C6F776572426F756E64733A742C73617475726174696F6E52616E67653A5B612C755D2C6272696768746E65737352616E67653A5B6F2C735D7D7D6675';
wwv_flow_api.g_varchar2_table(40) := '6E6374696F6E20732872297B76617220653D725B305D3B303D3D3D65262628653D31292C3336303D3D3D65262628653D333539292C652F3D3336303B766172206E3D725B315D2F3130302C743D725B325D2F3130302C613D4D6174682E666C6F6F722836';
wwv_flow_api.g_varchar2_table(41) := '2A65292C753D362A652D612C6F3D742A28312D6E292C733D742A28312D752A6E292C693D742A28312D28312D75292A6E292C663D3235362C6C3D3235362C633D3235363B7377697463682861297B6361736520303A663D742C6C3D692C633D6F3B627265';
wwv_flow_api.g_varchar2_table(42) := '616B3B6361736520313A663D732C6C3D742C633D6F3B627265616B3B6361736520323A663D6F2C6C3D742C633D693B627265616B3B6361736520333A663D6F2C6C3D732C633D743B627265616B3B6361736520343A663D692C6C3D6F2C633D743B627265';
wwv_flow_api.g_varchar2_table(43) := '616B3B6361736520353A663D742C6C3D6F2C633D737D72657475726E5B4D6174682E666C6F6F72283235352A66292C4D6174682E666C6F6F72283235352A6C292C4D6174682E666C6F6F72283235352A63295D7D66756E6374696F6E20692872297B723D';
wwv_flow_api.g_varchar2_table(44) := '333D3D3D28723D722E7265706C616365282F5E232F2C222229292E6C656E6774683F722E7265706C616365282F282E292F672C222431243122293A723B76617220653D7061727365496E7428722E73756273747228302C32292C3136292F3235352C6E3D';
wwv_flow_api.g_varchar2_table(45) := '7061727365496E7428722E73756273747228322C32292C3136292F3235352C743D7061727365496E7428722E73756273747228342C32292C3136292F3235352C613D4D6174682E6D617828652C6E2C74292C753D612D4D6174682E6D696E28652C6E2C74';
wwv_flow_api.g_varchar2_table(46) := '292C6F3D613F752F613A303B7377697463682861297B6361736520653A72657475726E5B286E2D74292F7525362A36307C7C302C6F2C615D3B63617365206E3A72657475726E5B36302A2828742D65292F752B32297C7C302C6F2C615D3B636173652074';
wwv_flow_api.g_varchar2_table(47) := '3A72657475726E5B36302A2828652D6E292F752B34297C7C302C6F2C615D7D7D66756E6374696F6E20662872297B76617220653D725B305D2C6E3D725B315D2F3130302C743D725B325D2F3130302C613D28322D6E292A743B72657475726E5B652C4D61';
wwv_flow_api.g_varchar2_table(48) := '74682E726F756E64286E2A742F28613C313F613A322D61292A316534292F3130302C612F322A3130305D7D72657475726E20747D293B';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(32958095196703730)
,p_file_name=>'randomColor.min.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/icon_workshop_png
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000002000000025080600000023B7EB47000000097048597300000B1300000B1301009A9C1800000277494441545885EDD4CD4B146100C7F1EFB38EA1E23B8B4846694845748A4AC44A0233F5DC41C408AA4B1D';
wwv_flow_api.g_varchar2_table(2) := '44AD90E84F2853EB58467611F4D625B4A24307F1E62B887928355D4434F065D79D99FD7570152573735B0B62BF97393CCFCCF361E67906E2C58B172F5EBC78F1FE71E677274A2A041E02CBC0216008E834C68CED93ED27C01977FA9BFC8F9A15E8782DF7';
wwv_flow_api.g_varchar2_table(3) := 'EBA4247D9294FFB70085F6C0C0E052798596CA2BB4D27057EEECAC244D494ADDAF450F4A3A15BE564B52B0A7471B88E59A5A85565725E9DE7E01DADDF979396363A35AAF5B9282BDEF36116B5DDD92F436DA353C11C69783AF3AF0D7D59F0C7675035C05';
wwv_flow_api.g_varchar2_table(4) := '96ADA222484A02C01D1E06F0460BB0228C1F365E2F5816C1F697E0F19058712575B5B1110201004C6626802329C91813D82B20D21B18B14A4B4309E7CE02107CD1CE4A750D9A9ADE9C90585686020107988AE64444027426E41F7993D4D080C9CB03096C';
wwv_flow_api.g_varchar2_table(5) := '7B73F0C0AD9B9090C0CAB5EBE7433E9F17E8DB2B22E28F485236D027DB3EE6F4F4E28E8C605253B1CA2F83EBE26F7A006B6B98AC2C925B9FE0C9CD9D014A8C315F620208230E0037804B402E10906D87566FDFA9D8FA394C7636C92DCD1B886263CC644C';
wwv_flow_api.g_varchar2_table(6) := '003B802C6038B4F8FD84BFB111CDCC6E47B4B5E0C9C9F10145911091F6C08E19631CA0D493953991D2D6B6BE3F36700B0BF8EBEA09CDCDE5021F25D5C61C1046CC0145263D6D3CA5B5653B627111FFFD26ECF71F8E02C5FB020823168062939E369ED2D2';
wwv_flow_api.g_varchar2_table(7) := 'BC1DE1F3E18E8E3AC0EC2F1FF0A7802D88129391319EDCFC184F410100D6C50B2456555A40DEAE0F88559272240DDAFDFDF23F7D663B13130A394EB7A4D3BBDD17D529D805510554029F81E3C07360C818138AE53AFF573F0098893A438243B61B000000';
wwv_flow_api.g_varchar2_table(8) := '0049454E44AE426082';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(33261012816250007)
,p_file_name=>'icon/workshop.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/icon_dance_class_png
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000002000000025080600000023B7EB47000000097048597300000B1300000B1301009A9C1800000359494441545885ED965F685B6518C67FDF49CF129250746D41975E88529D157B3D4711EAC5DA3AEF567553';
wwv_flow_api.g_varchar2_table(2) := 'D4321DB85D394551A4EA4411AF04459830867F66150A56DCDCE88DA3D35D4C0BDD6CC6448B3AD8D66DB19D5DD2B32CC9398F17C9491A9B7627D80B2FF2DC24E77D9FEF7D7FDF77BEF39D030D35D450430D35D4D0FF4D9206251DF47F03F86F93342BC995';
wwv_flow_api.g_varchar2_table(3) := '94969497B4F13F41E4C6C6E40CBD265F8B9AED92F49CA40549C725A5248DBB33334A6F1950BAEF411592A725E9F9A0BDAC1A331AB4376D3AE49EF8914C6FBF1FF3413ECC7D73F0BDDC57A3D1CCC38F6ECCBEFF412B70BF3B3909E90C781EEE993300BF07';
wwv_flow_api.g_varchar2_table(4) := '0530B582FEAC7D0080F8D8110A9327C9BEFC4A95373E76C4F32E5FB69C279E02203A7C00ABA5E567E03E638C23E926A01D3807B41B63922BAE008031C6F84D7D657AFB712726AA8DB11880A5D45FE5506EEF47289BED02164A13B9A24C66CAFDE3CF2BC0';
wwv_flow_api.g_varchar2_table(5) := '48A015F8F74AB8C924D75E787149DE1ED84278C7332C6C7B1CCDCD2D2D1089602261F4F73C269120B67FDF5BC698A1C00025886EE07BA8BE2500C46298781C5DBAB47291A626C23B9FC57E68F32FC698BBEB02580422EFFC059CED4FAFE833ADADC43EFF';
wwv_flow_api.g_varchar2_table(6) := 'AC32CEF33096059005761B63F656B10505003AACC4BADF1607425D5D98F60485C395BD22C7F1FFB601735628E449B28C315EADA23537612D1963A60188462BB196B5D83D3D60DB15A3E3A0F97980C7FCA6CB35AF0BA0A48275C7ED958BF163B8D3D384EE';
wwv_flow_api.g_varchar2_table(7) := 'E9AC32E5BF3B0AB074D7AE0AC02DB756AE3C8FDCF030EEAF557786FCE8D700510228F01E90D40744DCA9A9EA443AB3D45C3C46024DAE9E1578B5F0D304BA78B16632B46143797FD89BFB010AAB0DD09AFBE2CB65AA58445E1F22B47E3D00E6E6B5008757';
wwv_flow_api.g_varchar2_table(8) := '1B601DAE5B3361DADA3096557E044D3C067075B5019AB19BCA0DB12A43EDFE3E00343B5B0C14411D02281080A47701BCA92484C3C40E7C4AA8EBDE727ECDB6AD455F2A5577ED1B9A2475022F5DDFB71F80F0AE9DE86A1AF7E4A962818E8EE586067AC282';
wwv_flow_api.g_varchar2_table(9) := '50BEED9D3D4B7E6404934860F7F572ED8D3DE5E49AAD8F0054BDA7E57A00CB9E7EF5021CBDFEF12700D80FF40064439DA593AFB999A6EE6E807700ACBBEE04A0F439712A08C00D256934FFC371E50E7D3BE3B9AE4ADF8272F6BCE9669E1C94A454C977C2';
wwv_flow_api.g_varchar2_table(10) := '2B14941F3F36E3398E240D04A9FF0F7BDE8CFD2745FFB10000000049454E44AE426082';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(33261207727250020)
,p_file_name=>'icon/dance_class.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/icon_highschool_png
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000002000000025080600000023B7EB47000000097048597300000B1300000B1301009A9C18000001C3494441545885ED94B16FD34014C6BFE7842A4354A4B274A85406FE0B981BB549C85221B155452CDD9AFF';
wwv_flow_api.g_varchar2_table(2) := 'A052591B310053872E911841AA82D9928D910A2686766BD6C4511262DF7D1D92488E6DEAB35328837FD2E97CCFF7BEF7F9DDC940464646464646C63D236913493600AC03E8025817919777E6CAD0C068FCEE831A1DBF5124476975F2298BEF0218BAE7E7';
wwv_flow_api.g_varchar2_table(3) := '8559A84FF24044DE27D5FAE31190B4668FC1390FA0E7B63B96DB6C5AB2FA10B9674FF54AEDB906F008C01880F649690010117FEC7638432BB5383C6F3A26133A3B15FEFEF4996EBB4367A7423D1C4EDF0573949ACBD1B8032439286D1B1B36A168B72022';
wwv_flow_api.g_varchar2_table(4) := 'A17A56D4E67F49EC252CDAAD502CD89DF99E793CB85ECA8089D0A0B41D326A7A84B14710251E245FDA5A588F4F1AA1586A0326260AF5C3852FF6ECAF28D40FEFCE40D16E19B73429B106FE6671C0F012C65DB0652E61AC0153A1B45DBAF71F51240CE094';
wwv_flow_api.g_varchar2_table(5) := 'ABD49E170CDF8A53AE866251B5223B20330074D5F70B4FD6D6B4E47213000FC4000013EBF1A676BFD81A40DF174FDC89B7CEEE0BE5FDF87946F25782BC6FDEE5D547A75A53244F1317F6095D0F5EBD3E22794DF24982BC0D92BDC1DE7E9D646F190307FE';
wwv_flow_api.g_varchar2_table(6) := '3961EE9E7FFE6FB901DFE15C499FD84DAD0000000049454E44AE426082';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(33261500650250021)
,p_file_name=>'icon/highschool.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/icon_nursery_png
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000002000000025080600000023B7EB47000000097048597300000B1300000B1301009A9C18000003B8494441545885ED965B681C551CC6BF736676F6AA2DA17D7129D4EC26422A5AE293E8834D681E5244A42A';
wwv_flow_api.g_varchar2_table(2) := '6A2B2ADE42E8B6619314AC37442DA579F402B5F192B66ABB156A8B5BA505495F156328B66C349BC8B6EBA334C49DD99973E6FC7DD834E9DEC6DD363EB91F0CB3F33FFFFDBE1FE730730ED0524B2DB5D4524BFF77B1CA0211E94B3FF5CAB15B940400C698';
wwv_flow_api.g_varchar2_table(3) := 'BCB15833A4F8EE7E5DEBDE5C1740EFEBFB198C75961589E6E4B973F7D6FB8F3B358DC0EBFB6465BD5688AE756FD6F9C63B03B58C7867C70530D6690E0C82723900008B46113A7CA85DEFEBFB45FDF6FBFD75188A4BF732085E8FB8A6027E1D8C7559BB87';
wwv_flow_api.g_varchar2_table(4) := '96C30180F279980383006371160E19CD583605C0348DC375A16667ABC62897038400386FCAB3A966725D05A53C1A08505E0DB708C0348DC3E7035BBBA67A3014020CE33F9E8182E980E8AFD0975F80AD5FBF02D6D686F0D72980E0D0E2DF450F8B2A35F5';
wwv_flow_api.g_varchar2_table(5) := 'AEF3782C01C6DA20048207F643FEF853C9E4BEEED2FAFB7C068FC746D56C766CD501783C9680A6BD294E9F8173E8E3B23167E96E3CB313BEA79EDCCBE33143CD66DF6BC8B7C1F0D17AE16520478FC199380268DA10EF88BFB32A003C1E7B0D9AB6577C75';
wwv_flow_api.g_varchar2_table(6) := 'DC33FCBAC489149CC3E300E703BC23FEAF4BE109C063ED2F42D3869C8923708E1E2B15758F55BB2D528238F50DEC0F3F02387F8EC76383370D004D7F4B7EF73DC4895429BBB707A1F1FAB310FE641CC60BCF030064FA2CC4E93380A6BD71F300AE7CDBFE';
wwv_flow_api.g_varchar2_table(7) := 'F4B352F8B67EF8879360E108D8DA35352FF8FDF06DDF0EBDB70700E07C3E01B8EE01CF8C4A1151C049A723F2D2E5754A884565592433195749494A884525C48292926A5E42149494424949323343CAB24849E9CA4B97D739E9748488AA3638CF19A07CFE';
wwv_flow_api.g_varchar2_table(8) := '2E48D9CB02810D2032C158C4DAB5FB7695CD961A2C6B2B8AC56D00A032333077EC0C01D0417058C01F85945BE9EAD50D5E19DE0005D351B92B1759347A1E8C85CCA77740CDCFC34AEC81CA668160F03C0281B4CACCC04A0E83AE2DA0F0D8130083C1A2D1';
wwv_flow_api.g_varchar2_table(9) := '0B2A77659A0AA6E395D1D8A7F8FA167C6D61B96425F600B6FD286CE7712B39BCD26B9ACB5B7323D68D0110CD556EC1E19329C0EF3F05BF71329C3A5EDE9ECB01447FAE1E0063EDC1B1832B8FD128100E01441741F42B2291526D49C1B183006377AC1E80';
wwv_flow_api.g_varchar2_table(10) := '6D3FCC3775C1BFEF5500A51390951C0118BB078CDD6D254740F93C00C03F3A02BEA90BB0ED471AB1AEF55993EED434B0728683FA637E52DFD2F3ACFEE0031348EC82FDFE0750990CC4B7E93948C95526B311008C575E86BEE521408897E4E4E40F379ABA';
wwv_flow_api.g_varchar2_table(11) := '53D3D2D7DF5F7528FD0716DA9C6D56F4111D0000000049454E44AE426082';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(33261886892250021)
,p_file_name=>'icon/nursery.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/icon_daycare_png
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000002000000025080600000023B7EB47000000097048597300000B1300000B1301009A9C180000052E494441545885ED965B6C544518C77F33E79CEEAD918BDD56AAA095DD824AD5F0A0BC481468D5CAEDC5A8';
wwv_flow_api.g_varchar2_table(2) := '600C0F608CD0A0451F04EAA51041017D30A228DA4AE20D4468ADA890C0831A0193C6A85C76DB52AC051190D442B767CF9E33E3C3F6DE6D318637FB7F9A9DF9E6FFFFCFEC37DF7760042318C108463082FF3BC4C009ADB5D9353407AE754102D3802F81B3';
wwv_flow_api.g_varchar2_table(3) := '402E70129807B40CA3E5020821DCCB1AB0D7BE6C1A536F1F64C09C3EFD0EFCFE1D683D561D3B4EE7EA0A445E1E81CA1711B9B9A0752B425C8352D548B988546AB9BB7FFF3600AFFE27D7BF7AA5FB6F0CF8537BF698F286023F007E9F29F3F3E762595B00';
wwv_flow_api.g_varchar2_table(4) := 'D4F118766525BAEDEFFED7525080AF6C19EAFC79921B36E25BB61473E68CBDAAA17121803AD96C5BA5A5AE10C2EE77A861AE0C7963C16C4C6B0BCACB72BFFB9EE4AB1BC0ED3A806591F5D8A3A8D653B8DFEC453537D359BE02A404A5707F3888593C6B86';
wwv_flow_api.g_varchar2_table(5) := '2C282855CDCD7B86D2C87403D9DA71CA318C9700BC8387B0376E8244A2CB95246BC962ACD90F8061A4E73A1224ABAB71BFFA1A944ACF8542F85794634CBB13B44E60DB734476F6412144E272063CED3832B57B374ED507BD843E1FBEC797609614A7853D';
wwv_flow_api.g_varchar2_table(6) := 'AF52B5B6BE2582A1A0B87A6C05522EC2F370DEAF22B5BB06B4EE31125853892C8C222CAB510811BD9C815F2EDDFFC0941E61D3C4F7F45398F7DC0DA070DD55EAD4A96AEC64BF64C2EF33E5F8F12F20E513380EA99D9FE37CFC49CF5F26F2F30955BD5727';
wwv_flow_api.g_varchar2_table(7) := '8498D3779B1C6800B8595E7F7D7A311221B46B675ADC75CB542C9EA79A4E6C1D240E60275DD5D058A14F9F1E8F61BC6A3DF2B00A7DFC51978A444E98003079E0B64C497834F0FAA6295E7D3DEEA1C32065BBFAEDB749194507404EBCF131D574629BC8CD';
wwv_flow_api.g_varchar2_table(8) := 'FD43B7B5158960F00840E8B3EDDDF972FCDF18B80BB84FFF7561A98AC7155AB7CA091362087155BF28ADEB55BCE15E00198D5421E56C00D5D2B2494E2A448C1A6D9372D2B18681FAFDF73C231AB519808C75407776CEC734E7E079FB308C62A45C9058B0';
wwv_flow_api.g_varchar2_table(9) := 'B0E7EDCBC99309BCB611158B8701E4A4C23FED75EBA5F7ED77699260307D6A409F3B3F5184739AD4AF47AE366EBB3531B00E64CA01DC0307EA8076A48C02ED40BFC2A36231BA4EFEA18C463600D23BFC632F41F793D5FAA8BE70A11DAD7F55A75A9D4C5A';
wwv_flow_api.g_varchar2_table(10) := '190DA4EF464C75DEAF5A99DABEE3D174646FA818330680E45B6F97D86B5F5E0420F2F2FAEEED1EE527DFDC7C0EC81E4A66E84AA875BD77ECF8ED2A16CBD6172F12AAABC55EB90AFC01FCCFAFC6AE5C8B77E810684D67F93304DFDE8CBD6E3DBAAD8DC02B';
wwv_flow_api.g_varchar2_table(11) := 'EB49D5D4E2BCBB75B408875D203194CC90BDC02C29D98710D33A573CEBAA63C74C317A14321201C08BC5E0E225CC9933103939A4B6EF80AC2C8C9B26833F806A6A429F3B87C8C951C16DD512AD5BDCBD7B6FC9D40B866D46B230FA05424C03E8983DB7B7';
wwv_flow_api.g_varchar2_table(12) := '2AF649B26E743CF8107474F4FC0EEDA9EB263CA3E20D454335A3A1730050F1863900A99ADA5E7100BB97A3E7258C1B37787F2C1E56F186A2E134863520A3913500CE967706302B3AE6CE07706564E293681C3C6F38AAFF664035345638EF6E059FAF2BBA';
wwv_flow_api.g_varchar2_table(13) := '4FB86190AAA9355563D366441F1ECBBA72066434B2266BF16227B46B674F1B96455310E130A15D3BB1E6CD553232B1AC3B5E84C3F8962DBD7206544363858AC7AF057ADB6B9FB18AC5F35463D31B685CEDBAE86412B378D69533D00F96658B6010E10FB8';
wwv_flow_api.g_varchar2_table(14) := '04FC09B43EDBC7518B1835CA9563C67457BB41357F28642A44AE57FF533F1259186D0FEDF8F4392CEB0D73D6CC3368FD33709D3AD96C77AD9F09BCB2CE06DA80E9BEE56561347F75AF43FAA3D42A2D1DD451FF01C3D848B6B666BA180000000049454E44';
wwv_flow_api.g_varchar2_table(15) := 'AE426082';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(33262116037250022)
,p_file_name=>'icon/daycare.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/icon_nanny_png
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000002000000025080600000023B7EB47000000097048597300000B1300000B1301009A9C18000003FC494441545885ED965B6C54551486BFBDE7D0B9B51D23510B8916DA99F112230D48243E68A2496B6A0950';
wwv_flow_api.g_varchar2_table(2) := '458841090123A9A831B1246D448345304A527A79D000312626253E884D3B15AD52BC853E191342AD80486D0AA9BD582B6766CECC9EB37D98E9D0CBD00B9627FB272759F9CF5A7B7D7B9D4966C18216B4A0052D6841FF7789C986D6DA4885C6E477FF510A';
wwv_flow_api.g_varchar2_table(3) := '4008A1C69B199B44F7ED371C2B8BE61520F1D3CFB8DEA85693FD4C4D0CC7CA22432E5BEE1A33E45D77DE8FDBDD31214BA9D7ECDF2E7E320786E858E57853CEAAD4EDEEB02F5DC22C2DC32C2D43B57F0D86513B87E6D7D5EC008048C5AE746CD51E9A8FDE';
wwv_flow_api.g_varchar2_table(4) := '7303B8599A1140E4DD9107E0AAD99BF69CD555F30630ED2F5DF8723DC2E73BA3878789EE790B00CFD1C388254B201E7F713E00A69D80C8CBEB211A25BCE5F9B4A72D0BB4EEB22FFEFED94D059085059B01CCF2A727F8567D2308719F5C96FF703A3718EC';
wwv_flow_api.g_varchar2_table(5) := '95C1609F0C067A6430D83B2F00184683EA3835C5B6BBBBB1CF7681D3D92C83813332E0AF45E0329FD994656EDCE441E092017F9DC8C9768D879C138063F5EAA500D6FB0727F8EE863A108248E56EC25BB7A14E7C9987945BD40F3F826942384CBCE91828';
wwv_flow_api.g_varchar2_table(6) := 'F5ACFE6BA417A7B3F9860084CFB7550F0D4D4D2E2CC41B6A41FAFDE88101AC8646CCD232444E4E3A277EB203737D3991CADD6059EB6E08002937ABAFDA3357687DD95D7F086F5B2BDE4F8F0110ADAAC6DBD68AB8C587EEEB03A7136F5BEBD8673A2D03FE';
wwv_flow_api.g_varchar2_table(7) := '9AB901085110FFF6BB29B6FAE20408B1D4FEF5DC6D7A6828407636DE96E494A307DE458FFC9D2CCFCDC53EDB45786705B12347FD48B9D32829F92763ABA917D42EAD54BFF9E4DADC4C05DE50CB053D3854A287874771390D999F7F2576F808F1E39F8310';
wwv_flow_api.g_varchar2_table(8) := 'A075C63B79DB5A110E875B08111DEF5F6F02B94649318E356B9287263D1C0FAE8270C4AF87874793D7B614B6FD41D60B3BC6E841A68E340C5C357B7114AD187F72F9EC26108F7F08DC8E944F44DFDE47A2B313A3A418E7ABAF80D6A7F4E0D0F6340420EF';
wwv_flow_api.g_varchar2_table(9) := '0E0E904860AE5D071E0FEE83EF61D537627777A7CF755657B1E8D14710424CE8997102AABDFD25FBFC85E7D07A94682409D6DF0F5A8FD8E7CE6F9CD4BC7F6C42AE37F740384CA46217767737C6E38FE17C39F92F6AED3F00D77682B466D87A44964E2492';
wwv_flow_api.g_varchar2_table(10) := '00510B109E0C49D2DCF014581678BD785B9A51A73B71DC7B0FE16DDB51DF9C4C66793C00AE29C5D303E83057CD541406F4941B000ACB4A46A6090E07C68A075689C58B415D5B7E3C0D750057E708C09FB26039008E801F6030438EE1AC7C3D1994140360';
wwv_flow_api.g_varchar2_table(11) := '5FBEF207C0A20DEBD3BEC8F5013C3443BFE4561CA979C7150B85B2ED58ACC9564ADBF1788FAD94B663B1A65828943DFEB123911DA99CEF53391FC742A16CDBB21A52FE2F29FF23ADF5AD93FBFD0B6D8EA5115BDA163A0000000049454E44AE426082';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(33262420035250023)
,p_file_name=>'icon/nanny.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/icon_cramschool_png
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000002000000025080600000023B7EB47000000097048597300000B1300000B1301009A9C18000001F8494441545885ED563F4FC2401C7D57AB4208CA20BB0EB62BF13398985498DC7432CEC6C0681C8D23C638';
wwv_flow_api.g_varchar2_table(2) := '133E81934862E26730AC9018DCEB809A0A4ADB73906BE0B86B7BC0665F428EFEE8DD7BBFBF1C90204182040912FC7710DE4029D5475F75FEB739E1020021C41D370A49069757FAD24E61A102BCE7165217E72E6F1791E84B3B055DDBDC4A8D1B35D3B0C7';
wwv_flow_api.g_varchar2_table(3) := '9FFD7627AFA861305A2744682A273856118E550C7D8709E5054BDF571110799869D8A0F4A35FAED8A0B4174744689E3563FB0584ACB1E74CB31149EEEC97D6486E1DCE7E299779B8EF69A66187A54B2A80917F1D1E81F6DE037BA6D998CA3FF394910340';
wwv_flow_api.g_varchar2_table(4) := '20A2D980661AB6FFDACD0A79A42E09C865F0DB9D3CAB0DDA7B0F3EC05FDD284740DFDDADB0C3E240330D3B2C3D00D42330BCBB0300AC9C1C63E5E4788A902F30C72ABE85AD32280F1B16EAF475950FEB46C4AA2660F9E0003FB53A7E6AF5C0C68539B4BA';
wwv_flow_api.g_varchar2_table(5) := 'E3429802F7E9A92A200CE0B73BF945904B053012DE163105DF225635013C64D160C598693636C2567D6FEF53B47FEE7F3CBFDDC9F7CB95C891BB7A769A5DB6ACC508E05B306206307C0248CF24802710792D68CBC93DAFDDC1DC11604224936FA6B68C2D';
wwv_flow_api.g_varchar2_table(6) := '80EF80288FE34274274C51CFEBC7D9ACE2F128052E2164306E1746C07D7CCC7EDFDC4EB4CDA23CE621BC1553CF1BCA84CD4AE43DB7DCD4C5B9CBDF8A7F012264EB06438B4AD30000000049454E44AE426082';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(33262774003250023)
,p_file_name=>'icon/cramschool.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/icon_summercamp_png
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000002000000025080600000023B7EB47000000097048597300000B1300000B1301009A9C180000031E494441545885ED56CF6F124114FEDEB24D108412524E8D5153A057D2BFA017DD04F1E051967F428FDAF4';
wwv_flow_api.g_varchar2_table(2) := '8731DE8DFF82509B1E3C5849A889E1A227835CA134EDC5531B4221508CCB3E0FECE032CC02C6A37CC9E4EDCEBC79EF9B37EFBD0CB0C0020B2CB0C002FF3B489E6066DDF9D4E5B57F8405004464B927954EFA2F5FE9BE8D942701FDDEFDF7D6A7E347422A';
wwv_flow_api.g_varchar2_table(3) := '750CA363954A212107952AFC5BCFAC093DD55EDF464AD7EEDCF57B9E85A05B5FBE7674C3806E181D30B7ECFA49422C6BEBC90B00F8F9FACD1F1D20E42C8F91D03C9D48C684749002806E3A835ED6048822B25E379D815B3A2426EDCFE3FCFAC953150900';
wwv_flow_api.g_varchar2_table(4) := '00B7AED04D6760D7EA31D979B078344602C0F5DC04BC4E2293A0C83282C52368EBC90BBB568FB99C8DC199BF21CFABAAC0CF96F50380DE7DF0302CAF073F7E688128D2DFDE81FFC59ED8D406D184EE84339F0F4434E6531D01A268CFCC8529B20C79F4CC';
wwv_flow_api.g_varchar2_table(5) := '5C040006DFAB9FC1DCB66BF59870EE3EBD5DABC7DCC32A9542AA08785E01B7AE1028E49572CCC09C57E585694978D9CB9A4A39D2904E2E27DD3C24A611580914F24A39D2602E4F4B3ABB568FCD22A04EC2C1E0BA9BCE5C0258A1C8F2C4A640213F5676D3';
wwv_flow_api.g_varchar2_table(6) := '2048D8E767FDA574DA22A2BE7B5D1D01E626809560F108DCBA9A18606E8F8C3397C1DCEE3FDFB27A5913CE7F0BCC6D3097B564E2444B260EFF3A02B34E68D7EA312D99380580FECE6ED86E34A0C5E3B01B0D3857855ED684168FC3BFB7DB026093AEAFCA';
wwv_flow_api.g_varchar2_table(7) := '115012F8552CEABA617404091146F1ADAD272F9C28547A666ED38B24DB0CD2086C3382FBF926E9FA372232DC3ACA2B107DDBDD82E5B60CA270CFCC6D6AF1F8D09042924623D9DFDE8902D8907D290958A552C85DD7A2998CD53A73535B5B833BF453E5E9';
wwv_flow_api.g_varchar2_table(8) := '29004C744BCF1C108E446D0BC8734E6F9809B619370F0F2E8968AC343DFB8070E4AE73B9DB81B9C9360F0D4DB90A0008EEE79B2A3F33DF03B310DCCF37675D4120FFB6ECA8DF92F7CF2CC369E5E894E2018054F7B11915193FCAFC7785615F0036ACE3E3';
wwv_flow_api.g_varchar2_table(9) := '555523F22CC3A94F32095A32511B5AA3A8CBD0B059D54FD600EF4EA87A135A834A1500FA8A3525ECF3B3DBB3740695AAB5944E4F3C4A7F030202EFB325B049980000000049454E44AE426082';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(33263061722250024)
,p_file_name=>'icon/summercamp.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/icon_university_png
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000002000000025080600000023B7EB47000000097048597300000B1300000B1301009A9C18000002FB494441545885ED964B6814591486BF53551DCBEE4E425A5A8D8C12C524326E54100575E14A0C2EC7072E';
wwv_flow_api.g_varchar2_table(2) := '1414F1313321882B99DD8C2E74A36EC4173E1641DDA8E8084E44F1B9500C1137262A9204359A49FB4877A7D25D55D745C724DD569B32B60FB0BF4DD5BDF7D4F9FF3A5575EA429122458A1429F2B323B9134A2963E0D4C85DFB426C0011B1874F7A8A58FF';
wwv_flow_api.g_varchar2_table(3) := 'EC34F439B30A6AC0696EC1FC6BBB9D3BEF2562E87366195AD554B39006006BE09865422BB0C867F3DD0D8CFA396B35D54D400999D296B86D8F167F13035AF5F4BFD1B44D007D5BB7816D3376DF1EB4DA9A6E1C678FFBF8C98E821B90D2B0299595F71019';
wwv_flow_api.g_varchar2_table(4) := '0F903A7498F499B383EB89BA650456AEA064ED9A06ADB6A601A5BAD48B1773556FDCCA9BD48F01292F0BCA84090F1029239522B96123AABBDB33367DEA34E953A7916894E0A1031365D2A44E512AAE5EBE9CA9DEBE4BE6D5C89D504A99EEAB57BF482472';
wwv_flow_api.g_varchar2_table(5) := '1F9120964572DD7AD49BB723DD4C36A56142C78F8199F99A552C56AB45A31D229255152F033794E32C54B118C9CD5BA0379E1D1008A0CF9F87595F0FCA1DC8A2916A6C24FD5F132412D9F18641F0E81164DC3844D76F8AC8A2112B90AC6F78EDB6B60E35';
wwv_flow_api.g_varchar2_table(6) := 'A2D230C1830790F2F2CC389144597D904A65C6BA8E0483100E67C6AE4B72CB1FA88E8E21A18A8A87A1938DB37D57A0EFF73F719F3E052074F10276D365FAF7EE03D7CDBD241B4D23B0FC374AD6AE2151B70C80B1BB77A1CDFCD57F05946DB7DBB76E8F37';
wwv_flow_api.g_varchar2_table(7) := '162E00CB02D31C4CE697D0C50B108F0F55C5B2964828743DB702F93AA199DABF7F274AC5552C36F9B39487E13E7B1E553D3DD56E6B5BD4BE76EDB6578CB7019132D51BDF443A1D968A8A19A33500A0FEEF79F3A9F5FC7DC0B6236E67275A55D55280D0F9';
wwv_flow_api.g_varchar2_table(8) := '73A0EBFE541DC7B7412F031307F3DCB98B366DDA6AB7BDBD12ABDFC61C6360F57FF44FCFE2438C39C65797F57A045D2A1603207DE52AB8EE8941D191C487C7F889254F05241221F4EFF90E44A6A0D42A60B79F64A3C1CB40977DE952E957D81179F2436E';
wwv_flow_api.g_varchar2_table(9) := '486CA7B90586F67005C1696EB10375751FBD17EF01149A22206D1CAD360000000049454E44AE426082';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(33263372921250025)
,p_file_name=>'icon/university.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/icon_school_png
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000002000000025080600000023B7EB47000000097048597300000B1300000B1301009A9C1800000224494441545885ED96314FDB4014C7FF777183C1454C511142820C382B02BE0392950F003312A2421D0803';
wwv_flow_api.g_varchar2_table(2) := '6AC5525455EA524618DA0DBE406B4562832F1032960C04445970072408498C73D721B9F4E2B8708EDDA9FE2F67BD7B7EEFE777EFEE0C244A942851A244FFBB88DFC039D73A8F9A7F2EA23C00208478B2313049E3C3472D3537AB698B8B77B1643E3A1A6D';
wwv_flow_api.g_varchar2_table(3) := '95CAD0B7DF79FEB920002D3537ABD1E9AC0E00352B1F29B951B4D189D5103CCF01040619442AF0344A507656C988B166E551B3F25D9BAA9401441259F58D82030034673A46D18651B4BBB6D8014412210123C620C05801FCA5153062AC6F14BA55F82700';
wwv_flow_api.g_varchar2_table(4) := '411ADEFDDC0335481F843E6C3A499DBF55A423E53E0805C0CE2A199A33BB8D27ECF2DA1B45BBC72F5600012177BABCEE8334616800FF6E90A1C4F2848A1716403E74C4170BA8B06700105305A2DC17CA004F35951F48B5019501A2DE889100E4AFABAFBF';
wwv_flow_api.g_varchar2_table(5) := '01BBBC84617F0BF4AD5979A416E6A1EFBC8F07401C3664F4A54E2626AE58B58AD4C27CCF9C10CD990ECD66D12A9DB6E7CFCF5FE1D163CF0128ED02323EFE09AE0B0018DA2C009C1FF73971FE437FBB05300630063A35B5A6125B6D1B52BAD4DCDB6FC38C';
wwv_flow_api.g_varchar2_table(6) := '8D81DFDEBEEEF37978582193930080C7EF3640E9567C0000F58E4F4032EDAAF31BE797DF81FDBCAE00000C03EEC12140C8884AE0A01EF05AA532F0E71F0ED4345D349BE9A1B5550F9CDFB08B6A23E03D5073E63EBDBC9476BF7C4D83F37BD9AF552A7B2F';
wwv_flow_api.g_varchar2_table(7) := '2CABEFA7F437B633F43CBB7E2BB00000000049454E44AE426082';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(33263638878250026)
,p_file_name=>'icon/school.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/icon_fsb_marker_png
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000002000000025080600000023B7EB47000000097048597300000B1300000B1301009A9C1800000351494441545885ED934D6C546514869F73E79B76327546A7962142A18494C41FD888A53F4A821AAB6002A6';
wwv_flow_api.g_varchar2_table(2) := '5AE3C650D485351117A662D2853F750112638C46D168542021344A8D2C0C6D744A0804B5849F6AA874578190A64E23ED0C7766EEBDC7056342E1DED24E4CDCCCB3F99273DEEFBCEF3DB91F942953A64C993265CAFCCF885F5155BF0452C023C000D02B22';
wwv_flow_api.g_varchar2_table(3) := 'F66C8354B5156802EE022CE01C7052440ECC3B95AAFE7C65E77B9A3FD4EF7AB99CAAEADFAAFA85AA6EF0D156AB6A4A55B53034A4B93D7BD5FEEA6B2D1C39A2458655F5CE20AFA00DA4B25B5F59E7FD710EB9ED56428D8D9807EEC7AC5903300E7C03EC07';
wwv_flow_api.g_varchar2_table(4) := '8E03BFEBE5A97ABBE71DDC336766CCB196D511E9EEC65ABA641AA81391F45C039C708E1EBBD77EBB67A678C1024C731366ED5AAC7BEE4642A103EA796DD92DCFA3972E41388CB57E3D123678A941349D86CA4AAAF6EE41E2B15D22D239D7004FA86DF765';
wwv_flow_api.g_varchar2_table(5) := '9E6C07C7F19350F15227159B368EE7FBBE4BE6777D8A2E5C48D507EF6325121E606BA110CD766D43CF9EC53CBE81C8D697B3225275FD1CCB773AF44B24E28556AD0C6803391BA0C6E91F00A0B2F345AC44620CB8034848387C2CD2F52A00CE8F3F0144FD';
wwv_flow_api.g_varchar2_table(6) := 'C6F80610912C703CD4DC1CE82FB11800DEC4040066C50A80DD22322E2279E08DD0E2C557C576F0030ADA00C03ED3DC14D8D4F4248065D5D400E08C8E0274A86A52552B801EF7FC85ABE248A4A400DF5BC924B2A4D6B7E9FCF22B00E14D1B01C87DFC09DE';
wwv_flow_api.g_varchar2_table(7) := 'E4642D700198D442A1E9CABB3B01300F3F0490F59B6382DC45644C55C74C63E3D2C29FE76FE87B232378E934E1C71E25BFBF172E5E24BB790BA1D6568331C63B7C188AAFA0B2A30360B79FCF6C1B00E8352D2D814DFBCDB700887EFE19D6AA9590CBE11E';
wwv_flow_api.g_varchar2_table(8) := '3C88DBD787A6D358CBEA887EF421128F4D03DDBE1F3A9BBBAAB60047A7DB9E824CC657631E5C47E4F56D00B8A3A3B8A74E83E360D5D7631AEE03F80D6817919179072886C8D8DB77449DD460A0C65ABE9C8A179EC3AC5EFD6FC901BCE2390D8C006322F2';
wwv_flow_api.g_varchar2_table(9) := '6C2901BE2DA406DB72DB77DC4C0AF138D6A245109EF96B59C92491D7BA10911BFCE612E019BD3CB52FD3FEF4CD03CCC22D877E488BC8EDD7D7035FC1350C493C46A8A1017778B82473ABB616A0BAA4CB00EEC45F03AA3AA5AAAECE1FB778F74449E6AA5A';
wwv_flow_api.g_varchar2_table(10) := '7DED59E6BFE61F53498CA370DE15070000000049454E44AE426082';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(33263980892250027)
,p_file_name=>'icon/fsb_marker.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/worldmap922x140_png
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000039A0000008C08030000002A4C26A200000300504C5445678CA9ABA99DA29D877F9375AAA89B969C866D856AA9A699A39F8BABAAA06A8DA8678CA69F9B86959B85788B70A9A89E7E9275A6A5997A8D71A4A0';
wwv_flow_api.g_varchar2_table(2) := '8DA6A493A29E88A8A5967B8F726C82686E856B7C90746F8FA775896E9E99848194779E9D876C8EA89399849B9783919782688CA4A1A0959995818F9581A5A2917D9174A09E937391A7989C874D4E4C658AA8A3A297A6A69DA5A18FA5A39797937F94907D';
wwv_flow_api.g_varchar2_table(3) := 'A09D8A688BA19C9B9098968C908D7B9A998E9D9C90688B9E698A99A29F8D51514F8D927F73886E565755919B8A71876C929B8485957B9B9C869291875D5D5B8F9981595A5853545260615E9A9F8E95938A8A9880989D8A6464614A4A4883947967686572';
wwv_flow_api.g_varchar2_table(4) := '90A298979188977E6A7E667D95A5A4A2949D9C936989948398A4687D65A2A0919F9E8D6B6B684243417B8C7574846E4647456C8D9F888E7B6A80678C8978A3A39CA0A0988B907D71846B6D6E6B78787466796381907895948184848087967C7E7F7A7B7C';
wwv_flow_api.g_varchar2_table(5) := '786288A680949D94958E74757170716E83917B9B9D8B6A8A8F7C929E7B917D858B797E8E767893A7959D8C8D8E898E998775908C7792A391907F9A9A946D85706D8EA49D9D979D9B8A6B89897D927A9B99858A9585647661A0A19B6D8D9A878F8371816B';
wwv_flow_api.g_varchar2_table(6) := '778B749897848C957F81827E8A8B86698CA65F85A48986767991848C99848B988F98A1A050769A6C877A8A9BA390958A6E7F689EA093959A8F91918C919A93979D9289937D85979D6C8575859480687A656B88843F3F3D8087766B877F7B887385969587';
wwv_flow_api.g_varchar2_table(7) := '88847787719A998A8F8F845C81A17992979BA094718C8EA7A7A19EA39F557B9D718F958C8C7E919EA2A3A59F3B3B3A373736828D7F98978776919E80938340678F778C7A738F9B84827261735E8B9795768D819594858788818C999B808B79748972446B';
wwv_flow_api.g_varchar2_table(8) := '918192946D8B94718878728C88486E94718A7F4C729783958D798271999F9A3C638C929C9A82867D587E9F818C8D7A83877C928D4C505287948A697F6E6E777B798B9667838C686F737D7C6E2F2F2E737D82667C7461676A68817D5A6163345B87AEAEA8';
wwv_flow_api.g_varchar2_table(9) := '5D6D5A70776B657C828295645E00009FC74944415478DAD49B7950935714C55B059242D81108B20508C1886591B08445302C1A5B0896B2082858284BC12A29ED8805046411411044204887A543110464298242453AD245CAA8151407759CD291B1565BBA';
wwv_flow_api.g_varchar2_table(10) := '5867BA9DF76511B0DB4CFFC1338D84907C84D7F77BF7DE736F9EFB3FF2ECBB141EAEC134EE0AA0C7D88F8E5675A67C6A6FC3530F0F17B455A5C456889D2CE89176FCA9A082E1A1A1E1E121D7B164F1FAE4E4F5E2FE2B6E262BCC6C9517CBD2BB2EDD7425';
wwv_flow_api.g_varchar2_table(11) := '9181B1B1C14A4A461ABEBE372E157D51AAE61CDD57A2A2A2D25DEEFCE28B2FAA79783847B7F8F8F832994C15155F631D9D9AA3BF117D79344945C55045AE92C7F3CECFA97952AF6496B4947B5A3DF74C4875ED81EDDB669A034702F3A1CECE7C4A2323F9';
wwv_flow_api.g_varchar2_table(12) := '854D7599994DF9CAEA7ECAC1C1D40236EF37572D4D483876E746FC8913C6465A3ABB7A7F9F4D55C77226C647186A840BD3FD0B474602A5CF1D6C562FFCEA0B73F9AF091D14E40B9AF786AA3EA71A7A3FA716AF7C67F6AC46DE74AEB7BA32641B60264976';
wwv_flow_api.g_varchar2_table(13) := 'B31E7F70D94AF1BE3EF9F4F9E75F18FDF4EB409EAEBE52E450055D8FF6FC0BBF8E7E726F78C851E97948F385176836743A5D578F86AF2B96CACCCC4C717F95575B60A06BC38F3F364CB147ED23E9D463D44BA92BE9EBAE923EAFA218CFB992BCDE82217F';
wwv_flow_api.g_varchar2_table(14) := '21DD86A6A949D3A729BD30FAC2F37F232547D76B6F1FCF1D1B2BB658F0EB036CA18000B3150C135C8D1E9B4516465D68AAA363A0E1ABC2F4D130D0A839A11152979A67ECAB42C46CC95EB069B0994E631BA93DB7CC85B7599B19A2C1D4E8CA8A711C1DFD';
wwv_flow_api.g_varchar2_table(15) := '744490CF8EE131D4EBC2F30F57B1CB2A2CAC2D7831FC4D9BC20EF1CB782E515C2E7F9C61626D6D52519C5A5C61F6149A2C4B8E0CCD3558A8355AD27B1A1A4639F72F277878967733099AD9044DE79BE7CF9F9FCCCBD331F6F1F5F565FAFA9EE8DD031D3D';
wwv_flow_api.g_varchar2_table(16) := 'DA1B610849D9048CA7E73DADD43CCB5B98CC92EE96BE6C4FE765BFA63299AF5E1B5A34D1E4A7AC2E286C1289C2C3452251939F5F93283D6D60C05F281435093A0383B1A9949BF71E58BBB6F4BD84A2898B676B34B44C8D347CE207BA5858CEC4F83D1103';
wwv_flow_api.g_varchar2_table(17) := '757E42915F70309E8A4B0DCE340B9A6740A24CABF75EBFBEF78B50826AE985DBB74A0C6B6667E3E307F2A6532DD5A5688E6F9AAA189F49509391B97A1BD084ECDB78AB1C684AB4481B3D9A1285E64CF514974621F1C2F34AFA7A360EBA0E7A7A60EB9F44';
wwv_flow_api.g_varchar2_table(18) := '8F698B75771D6B482E9694B1DF60F308B4749BC818BA833E8DA6A4A4EF207B39C362BD939B5B72B2DB7A130A4CB00B2A21FC6AE86FD174E1F35D83F0073016A0696B9B95451D0F16EBAD2D2C2AB28265686A181BE39CF735D6D0F039B14BC7343D44C787';
wwv_flow_api.g_varchar2_table(19) := '293DDDFB00E2A270D4FD0C1CF140F3869696B1AF86C885FDC6A7A3550211CB8C616D2D118AF20FA7B88C5B989898F0CA8613BD0F55B1BD785E919164D5E54757809959C0D2A8C991474DAD354680534B6B8D16EEAD5979A4F1B24734F8026CCC5B37AD80';
wwv_flow_api.g_varchar2_table(20) := 'A6C7F9C9C9C6894A518891818E86B1AFE18E3D7B220C550C937624191A46242525194AA3645FB487959A73764B4949F7E9F2E867074C4A09453921223FF5FCFC425188A97F536193D04F0826D3666BCEA6654E3C686E1FE9CC57F6536EBFBE77FFB603E6';
wwv_flow_api.g_varchar2_table(21) := 'A5FBAFB75E9CADCDCB8BC3697536ADCECF8FD575F644FC3447DDCF8F0A81EA2CCB073383CD8891E60B82F3C183ABA5DFAA397B66F77597ECAA395163AC13979BCAA1D8B4551FE797B50FCA61363FF0C1FB244C29013A844BDCA1010FF031FA75C6D4942B';
wwv_flow_api.g_varchar2_table(22) := '5B5B5346058DA6AFA74BA703AD7F43B36C485C5C6CC9920C95955554301840D32ED28BAE6BA3A7AFAFEF405FB14A4E27F0049C4E26044DE94F65315AF3EFA3669B1D8DE6C88ED1A52F0C9A59B15ED435AD9DC4E262962D21335859A4A5B10B27BAAF8606';
wwv_flow_api.g_varchar2_table(23) := '0035F4355869BAC65846664BB4D5923D8FDDD417BDCCF7929A678B8F8E8E8FAF415D209B6DC77667092BB082D62612BFC0C3875DA7AC19500027B12B3F85EDB582EEE5E0E5E0204D5A62DD71742D65539D93DA45A1298B9606A65A4654E8049AC79C4952';
wwv_flow_api.g_varchar2_table(24) := 'CAF4F5A96DBC60A5F6E28B094547569AFA87F71C81E26A4B761C3D0A3291C9123E772445EC3054914649B2AA1EE5DD486501E9F25ECCA784BFD1345DA81C1C38922FF26FEA1C095406657EC2CCF88813B76E5F98B977BCA0A05A802CB7E39BEFEE6D3F70';
wwv_flow_api.g_varchar2_table(25) := '60FBDDF6CAE981815A1F26649C960E90D374F272BD2D592C75C8D23B3177EEDEBD070B6226A46AAEE0147022BD28314C32F4D1D0C99B4EE4485FC671CD0AEED8BE56558EE6C73234E9BA6043215A645B9B3B9FCFD5567A5E492A9A9EEE8A7F13DD2B9661';
wwv_flow_api.g_varchar2_table(26) := '62615D2C56579748242C4B96320E6C9E9717884456ABAB4B5F8500A9E09BC0E966CDA0A2A6838383CDC2DFAF043D8D26D74EE979CD05D1173B2EC02CD64B7A45130B0B318745E5EDC18274231FC38888885D1AC64C4343A631A2828E2F8526B3BBDC436D';
wwv_flow_api.g_varchar2_table(27) := 'D19E8F4688403A96EDE9B19CE9C4DBF445BDE79327CCF2827801010CFCC5A822B3DAAAA2862CA8D22080D595D914D8C6232B8A05079A106F68DCD68C64178BD054D49A9096918111899A2B29348B8E39479F2EF1452190F9D5FECB095656C71AF1B069CF';
wwv_flow_api.g_varchar2_table(28) := '446363E364CBE347BD7B1027211C7CE486ED0518E5511251B3A5DC63192FA34C6A6A6A041655F9B7F81B4DD3FD946D03474604A242A04992523F61884EC9C3D33743F77FB775E7D657AFB5B69E3CF9EE96EF66F6EE3D75BDA332B17FE02CC9C30C494A26';
wwv_flow_api.g_varchar2_table(29) := '14A68764E6E626A6524AECEFEFCF9D9BBB78D9FC1FDE814776CBC31D11081E7971FDB9DE1CEF5488C3B2145CDFB65A96016F7F7F94EC7A7D1B520FCA85EF1DB5EDB5D97CD728476D3B36D7DDC59D1B893AF31F055056ADE2311880B3222020C056DDB2AE';
wwv_flow_api.g_varchar2_table(30) := 'C92F382B009295A3889808900B926272EE33643F22E5A62C42EB437A48719F42D39DAB4DEE804D2A509A914BAF82E411142514C5A6A0C954C7679721922D26138917D358C748C7D8574AE6927416BBA95B1A4CFBFAB297F1A6B2C209021967AA833C9980';
wwv_flow_api.g_varchar2_table(31) := '26D063DB71CB909D10FA585D3D85F959B227C85605592F0A80A546108BD395B6668D01CA4CDC8C50641AC838CD39EFE1117DFA86868ED1CAF0E6C1FB173C3C6EE6E061FF0733E7E7E7FF801E3D0499D2A829A5B3E4B4224A22B6672FE745A4F49E338C9C';
wwv_flow_api.g_varchar2_table(32) := '63C7121242513742CECE56CE1772569A86FB615D02473A0585828E8E8E7624B0E12139B7CB3D4BD77EFFCBB7EB3E7C7DDF3B3B77BEBB79DDCBDF7DF3F33783A7061F5C9C9ECEABF5C132A0E8049BFE69D3B9FD32E5267A7352132F1E7BEFB97F62B31CC7';
wwv_flow_api.g_varchar2_table(33) := '5C2FF346DCD9F8815C82335EC4F1B6EC38B55A9E017FF0B126B5DB498D2917BE8BB4D77C5EC9CEDD15D51DCABB4D9B825CCB782B280C968A218B98BCD8581E852049ADCCC0A6305C24080CCC2201B442EE152D8C9A1003EE85C24372D0A7A2B33ECA5A88';
wwv_flow_api.g_varchar2_table(34) := 'D49F4A8BC8D4E6F25D1C95A47723BDA46892CB2A22A8AD3227B58EB0294CD7D2D1C09146CE74044FB089A2802923D36AE90ADD92428B1A297AF9EE2AE9098252333056B17E164E38D8562186CA737BBFC2F69140A0B9500C930A86D90A5E16EC3175844B';
wwv_flow_api.g_varchar2_table(35) := 'D98D5597467C32630DEA066B56074193A8F182876774DF25232DE0D8D393D9981D7D9B42F3AB2280F918EA2E51A184230FFFA9183EEC8E765E7082382FE7D4834A258F5D282A420650747F6670F01C74E1E6CDECBE5A03AD109150E8A74C8CDAE6412A30';
wwv_flow_api.g_varchar2_table(36) := '36F7349E3FE661A5BAF632D0FCFCF59D5B5FFFECF575AF6CDCBC65CB0FDF1F3878EEDEC5C4BA9EB89A3D1170B8FD0BF39BD2E2A649D444F8C326C41217DE3F86A5F82736E71FC14BABA9F9BD263E2EF7DA5C7F7F979053C7EAD8BB5A6E4F6D7BDF5E1AAB';
wwv_flow_api.g_varchar2_table(37) := '16054D5DDD48549D88534141AEAE7C171717BEEB380EDFA7AB4D86F57A18AD0C9E570C9BDD960554E8741EA302686605FB090BF347A28624EBC562498019838810B8E4E50B5D5A3D221B92F7AE22DF83D54531D375A84D164935B5A9EC1AC02F4293959A';
wwv_flow_api.g_varchar2_table(38) := '8BBC9DE5178ED209AE8F2CEB8AE8DDA10230A192A7C9B4BAD978E90693588FB032B29D9F5BAEF240FD8702D0A870840B12A552E41CD02A5E16BCC1CEAA37DA6409BE5C5445CA181ACAB2B5C4D270A43775A06960B0C6C8401A350D1035E5681EB372F638';
wwv_flow_api.g_varchar2_table(39) := '0F1A215353AD4B776E4F1E21796ECEE425E8D6AD5B585659D424681A263DFC63F9DBDB0B6475A13127E748484F4F4F656565CFC4C4C483AF26EFDCB975F6ACC61AD3B4347F61705BCADD53A1AB57AF3DB87FEFB90B945D0A345FDAF8DABA9D5B3EFCE9F3';
wwv_flow_api.g_varchar2_table(40) := 'D75ED9FCD287AFFDB07FAD79E8E5FB13958599F1BDBD278CF3C2DB0F7756E64D67D635150A0A85E1E975C2E0CEABE74AFFCD3E987FD47B14029E0367AECD9ECDEBAA2BCCEFD866AE308EB6BF8F00B958B4483A40011828EFB86C3B6D50AACD759598ACA0';
wwv_flow_api.g_varchar2_table(41) := 'C381518842CDC42979ACD8493CE51A161696B1C9BB78DC9D9BC562D906004D653F41E7488ABB05E0154B2A4C203C7FA94CC026AE435D8BB78A0E21604A432BB25F3853321669762EAE7CB6B6921C4D07EAD50BD1049BACD4441C5B7575FEA65A6B64862C';
wwv_flow_api.g_varchar2_table(42) := 'B2DA88DEA492EEEE12E2E9973F1533A36F4F64DE60FAD4D6DE6A39DD17BD6CD18459C554C1DBCC148CA470798A8068B2A06F151B181878E8F01B915E31F0669F08FF83DC2C2AC4534392626F4BCBD45472E3587A778598AE340DF197D59B14A4B2A8F904';
wwv_flow_api.g_varchar2_table(43) := '4D3C5E5B7BE90808D532AAADCDCB3C020F1785811CCD1D3B089A8FE697EDA2FD359A39282B9B2A2B5B050251B888A0D4D3535D7D71E0ECC0407CCDD9EACEAAAA4F0E9A53AECDEAD252900934BFFF61E3E657D66D7DE9B5CF3F7F6DC3CECD9FBFFEDDC1D5';
wwv_flow_api.g_varchar2_table(44) := '488C13CE375EECDF05C7FA445E537B55557BF5745C5E5A0F800F490B11E503F07FC867E5BB8F8273CF9EDE7DC78FCFC69F8DCB2C1CB94BA2A622A57DFF63FB2599E310AA182A66291149A32A7788214753DE00017116E2E24DC3636363F5446FCDE58E6D';
wwv_flow_api.g_varchar2_table(45) := '0AE3B75ADA227F82E078B163507B4A25257349626B82368A935CA4FD01FE91CAEA3990D849725A4A784B61AE2E7634C55B94464D24CE0BA283A40201C1B22B33B14E94BED240B68522F0974774F795979F6E81A7BFA40E421BEEF4AD9C9C1B4C63A34B7D';
wwv_flow_api.g_varchar2_table(46) := 'D9CBD9F1276615F3465EA67F21D044A12D4793218D986658502F6ECAE1303E5797EEB518CDF56851A1C3899BC45616392D39B9FD69A62B43C245E9723691D792086A9473DEF3234F059A30888E844C4C4CDEBA55B3EB469C8181818E02CD24F43677181A';
wwv_flow_api.g_varchar2_table(47) := '3E7CFC4C054D0A4DFFA6EADD6FEE7B2B233F1FB64F60607EFBC9FA82CA8BFD036866F4176474C8FB170A40F67E872273E3D62DEB5E7F65E3D67776BEB6E5FC01738AAC9B3F77C7C79F38DA3BDD7E28EC50586B4F2DCE4E3446D3D34542C15500FEAFB282';
wwv_flow_api.g_varchar2_table(48) := '19547362C79EA3BFBF73FC6DB099E917D879EAC9AF375FBBED838F9568088DF2CC913F3CE6E6C4B0A12D29F56278C4685564A2687DA0FB5F5C8C80E91A3415B4A9E0DEBD7BD58989639B3232F8815915152871CCB202DBB04F18448B6326495E1D88614B';
wwv_flow_api.g_varchar2_table(49) := '1F1F6B68481E4B4E4EC697643737B7E2F526A4E88411444C5B47B6BB0B847C3A2C4A1A3295A8468E0D9DE05D2691C82ECAA8B02EA62C68BFF0B44C24FE5A1ABE4CEA68DF73F4CBA38FE63D9D3DA2A3977AFA585B02EC9D3B2D25372EDDBEE9ACB68CF718';
wwv_flow_api.g_varchar2_table(50) := '899ABE71954D22444D3665A491255D8FBE3003E5A69919C939BCD829FC21E2082C4A68172E3C2F16B90CBA6E2CCB440A4DA19F28448EE6AE5D1A06E8A2E4DC9E9F8F46BB849269DA918989C6A2DB8F1FC1FC61FAC2222689BF14CD883DBD11493081FA9E';
wwv_flow_api.g_varchar2_table(51) := '2D34D58E4D1AF957EEDBB06EC3AB67324E6644A5B80405859DD97DA6E0E2DCC58BD303B3B3FD73F71216BD025D8CABF766E0FDBCF3EE9BFBDE7EABFECD9790CF52F4606AAA7C727AF6F79ADCD682FA33F5C35D713E715D857E6873B2843D45096AFFEDED';
wwv_flow_api.g_varchar2_table(52) := 'D4FA1A26F5FE3E77F264FDDB03A92CDB7C149B0A3655576FFFFA70585894CC62B10BDB3436E6E6268ED55E92E502CD05677172839B53F158031AA6AE87A2DC793C7EC7E0E05581445C3C367C28A5AD0CFE8E09D8446B83344C6222236316B545C9681181';
wwv_flow_api.g_varchar2_table(53) := '4F2F92EB929191E1EA3A2E46DA3B35355C0CDC87D0B3213E6D24DB9D0F0B8A28C8854D43DA2DC5529787FD48F6227F9338000D52EC4F8958CC21EEACBA303CBC4920E8319092B90331B3F7D13C09966A4FF7DA305546BAE3D100F4CE322E3329793E7EC8';
wwv_flow_api.g_varchar2_table(54) := '8CABAE147462DAA74C82EA11F985859B9B05C302F7251212172BB2DA83C6CDA47E374EBD2775C7C2AC176E1004F73C3DC43444A82C08970D1E605E4F0759AD69CF7D4FCFEC492D4C22ACD14A9B9E9EBC0D6396D8B2C48F4D92DEA453064970FE230067CB';
wwv_flow_api.g_varchar2_table(55) := '338666744B7CDAB5ADAFBDB2E5D5DDEFEE7CF3ED82E33B77EEDEB773DFBB5B5FDD372CA8CB9C8E9BBE17AABA18CD4F3EF9E083EDDBB69F1A6C6EEF1C297877E7BD5307569B53CFB14AB87CFF627FFFDCB56B7373D786BDE37C3532397E38FB388903DD0B';
wwv_flow_api.g_varchar2_table(56) := '137D50EC012594E2658B75B9B1165BD530BEE0EBAAB0FAB9446F56F0C8F52F9E14A9A5FB0711F14E222C51649ECC7029AB58EF34CED67C6161D4D48F0503F2E4D1A9E14AC37A930ACBC4C454CE149F5FC65851D60EC7D9CCCC02B5E7A1146E8505C60DE4';
wwv_flow_api.g_varchar2_table(57) := '637A91DAF6F6F6408DCA52655193B46A68788C8D52B62AA5CA5EDBC64B57CF11300E8D4F6D1AE7B31D2363DDF91930A1E041B9BBBB73A97383B8B7209C212E8679C4181F6A6F65D99A61D4C04222B6B484F148D044F950D963E4C3349486CC3D0F4FFFED';
wwv_flow_api.g_varchar2_table(58) := '3401D0243F44CABFFC2D7F8F3F1EEE8AAB6E6DEF0C125748C6DCACA914155113369C8505D6C3A2B858C2F21E139B48CDEE272D2A30BC804D1E86A5146CA60B83F345723431A4479C58D1571788418B7E8A8E6966EEF19FE7891E3D4C028494EB432C6F18';
wwv_flow_api.g_varchar2_table(59) := 'B32AC0D23069CFD1DE672DA1558B7E1C3F5DFFEE860D9BDF7C77E34B1BB7BCF9F2EB9FBDB271E3E697D66DD832D7162C103CF8EADCEAC5FCACDD7E6ADB5AA283A73A0247DAABAB3BAE9FDA8B6A9348B5F4F2FD4AEFB1FAD60CA835EEC489F8340ECB1B9D';
wwv_flow_api.g_varchar2_table(60) := '90D9878F6F925A5331FE537EFBFCF973FBB785E2E28BA2E61D34AB8D6B2F767C7D282CA37E2E373578A463E6B2E2955637A1EFAF66B8235829B133AE7E6D4FB3E149A6A2EC47351560828A0A78F5F2F2E5CA952BC916B04439DEDE1CB104CC121FA6CC8C';
wwv_flow_api.g_varchar2_table(61) := '30DB307C88CD8DF58A014590838D9EA3F6E8E8A826D517D1936F19343191223B6A3BBABBC4E8B10F1DB6D704A6D47803C67D5C5C835C09A141197CAE1D0D0F51C2AC1FC981492E5D5C2CB6B690787B170AD459EA64F8C89245C0A4D084F71677C307C5F9';
wwv_flow_api.g_varchar2_table(62) := '0EA4F047773C8427FBF7FBBDBC2FDA8A34A097BBE5FFDC8B1EF3DDB59995ADED02D678D938A688A93C9541DDA84A92313E3EAEEE3DE644A14977783252497EA800533E14043453BBEA447E0A34D70045E20399FAE74CDEB9854E67FCAEB82E8EF7C5BEF9';
wwv_flow_api.g_varchar2_table(63) := 'F9ECDB9337761912014B4885F0299DD3EBED7DF4787EB91F6A4B33C8DB6975ADC75FDDB261F3D68D5BB7AEDBB881F8AEEB36BEB475EB96B753DA46EE9EFA02417391CC43434BA5E33C5F60449D1A7FEFE8505484A5E75A39A995B0C6AB0EB7CEF61EED8D';
wwv_flow_api.g_varchar2_table(64) := 'CFADBE463A9BD3978A12DE935FE0C2EDC94B390F9A3BEE02EA036BCD17B6AB1F9FA8391BD725381C363C363C9C88E983D68205634488B6CEEF859EEA7075898AE2461DFAFA534D501453C63FFC863DF180642309746A07483DBF06A0E92696605690C321';
wwv_flow_api.g_varchar2_table(65) := 'E68D89347302B30D0D6EAE87D9911818C0D82D19BFA329698E6AD240A1129590EA91391532340B0EEDA2D88E8038921DC5D54617F5C93160C745221BC48F626B135649BCC5C540B9035DB6D9ACC5C562569D7FB8A0B00E6D5A0EC85496498436F02E2632';
wwv_flow_api.g_varchar2_table(66) := 'D92FBFFCF2E81EE45B60EF6FE51C7D73D90FCFCA64957D27CD3F1C9EA2A02DC61D86DC229958F06CDA3A3B83D5C5A4910560E95E3C1E0F5F719F9870F882F616C9666D9FA0E9CD22B368521F688D81D4A185E0C51A18C1898DEB22936A399393E83510EF';
wwv_flow_api.g_varchar2_table(67) := '6781D08E82921E763FFE637E195B677FADD099C2FC8CDD2F6F4494048EEB36BC42F9AE1B37BFF3CECBC73FFDF893ED4FB937AAAAE6EFC94879EF8B99C1ABCD0232D4D2BC3FB454553AB62EE0E4F6B4571D0E3B593F375B53333B575F7F2DD79B25AC9C38';
wwv_flow_api.g_varchar2_table(68) := '773921A1D4CA39E14251E3448F089DC49191CECEBB9F6CBF8CB9334A5698D7EB8E477D9B5870B2FEF89586C45C28B1BAF5AADCA5953738EF860511208009C5079B1F16E6421249084411AB455CECE4644DC6EB9CC066C3D89837A6062DC5A46F261B5947';
wwv_flow_api.g_varchar2_table(69) := '012AE673D9E01030D3D17FA15113B908898EB8AAB4EB812979DCF4C11C3B2AD23152D7067347DA044D22F9989E369B4BB8940DD6238945B824FFC886604C245343F985E1E185855D60D3520166707E4F2D13C73A46B089FF13A1C2FCC7520867D2B29ECE';
wwv_flow_api.g_varchar2_table(70) := '5B9488DD39620A118B961DBB04CD8A20AE63CADD4E986F12491926F386CA2AC663636287CAE08E59A379850FA094C5C470D15EC942F793E213E906C9FEA5DD132D9DB3183990A189597744CF902E4B7570ABA525B56F510F29C444328BBEC9C3C7F3D11E';
wwv_flow_api.g_varchar2_table(71) := 'F868CA73CF9642F7760486BDB379C38697B782CE975FA57CD7975F7DF3CC997DF5EF7FB06DADEA5232571FC45CBA9CCDD0D02FCEC9D81CC4F0BAF4C35E9CFEFEEA0CB8BC19192789177AB5A3209523686EFE6AA6A808130DD97D7726272A31CCD046ECE0';
wwv_flow_api.g_varchar2_table(72) := 'C0918FEFDE2FCFF6248ABE79BE68A2BA3A35116344D7CE5C7BFB0A9C508CF971F23BAFC302564CDEAAA2DA4D897241616727E3036C0605054947E3A84F83998D0F5F9BCBA55A1D6E0D57E0A6C2544D15B324089AD2588A2B3B8D47BDF18623902471964C';
wwv_flow_api.g_varchar2_table(73) := 'ADD364AC8151F22F0981B8E94191313131C8761DF169304D6D3B6D6D3BF44F9F98C2324C49B45E3A816482A32020B8BDB5128E4FA1086812FB4720200B962FE8F141C8441797944664F2FAF43FA3F90C0C9629D0442D0836F1F94C7CD064F1E8B2BB8B9D';
wwv_flow_api.g_varchar2_table(74) := '36B7B313E00DB9F2B92E41FCD8A121EE1B2951EEEE65F84C0AF9BC58996B941DBB2DEA904B5B5B5B6016E80CC6BF7EA2B4BC3C323DBB004D04502AB1CD4CE508C343A47528A6EA8D7D987230894FBB0B43407D68453D736022019DE9E0479D7C7BDFEEB7';
wwv_flow_api.g_varchar2_table(75) := '766F7C79F7B582B776EFDB7DFCAD33F5616105D73F38009B6689CC0F9EBA7E4A4E0A555D22AD5596C209BF86A069993BDB5FEDBDA9BDEAE3F7AFEF3D7870FBA9823FA93BFBA0A6EB388E779549DC2040AD04CC8006341D331E02A1361C893C6CE0860383';
wwv_flow_api.g_varchar2_table(76) := '451BD832A0E08006C8434B0245821544160F613C14813C64516A3C98910F083E74249464A4212A6970966775D7F5FEFCB6F12058FDC175F4BD3627E0CCB1D7EFF3F47E7F28DEB6AFB3B7F714A2E5F9774F9E3D791CF2C9E54A767D50BD52595FD2B407B9';
wwv_flow_api.g_varchar2_table(77) := 'C8F7DF7F8D73BCB869F880045DA3CDDE757587B61EC238D2C6664156D0708BE1126195171E1EFE7ECD2A4C50CC314431D041930B344B094DAA5D96B7D5613C82904964EE5A6D6FBF23E6AB5D0E50B2E3CA8C7AC715938FA436CE9183F72C86B34CA7849D';
wwv_flow_api.g_varchar2_table(78) := '606D521D4BE630D48C6EB8B86BE133A37A96496D79723461A7CF6BF4B27BC0398D4C1768E2B3B2EA76EED9E34B68367B236AFAECDB57ED63125055F5BAF5D2E7285EDEAFB39940CCFEB7C2D48FDFFBF4A9FF454AFBE84B672DCC1ED880B6EA7A495B92FD';
wwv_flow_api.g_varchar2_table(79) := '74349161DC4B296C5656437F729847722E47C1892DD9B27B77BBA702792C0A7F3F75059BE7519E90D0BF65775D105CB5F50D15ED3E5599DF1CDB939999B9E1E1FBC0BDA11FC444CDC4ADCD1BA14AD0356F97BE00879D014C530B78C35EFDEDFF97CAEAC8';
wwv_flow_api.g_varchar2_table(80) := '0ADDB76DADA4A9A1A1A9B0223D399F0D81B8BCA4A4242E2EB6A40664CEE2E6D4F4E534464E4D30C166638E84D0D4843E684C686E8668D6A661B8A6E670B8D5830F5AE5ED6BACFEA9F3D4A953DB5FCEDC83D7B7B8218EA7C0E019B188EFA6E0C5E5549535';
wwv_flow_api.g_varchar2_table(81) := '431853D65C6603EF646C7DD64AE8E5564A5063F4B8C1E4088A957D797A3457B48CD4D47C31431444A37E1E325A3CD2B3D9D0D066EFE24A5ECBAFBE42EC8DD91583C668D26A0657D49C3D9E9CD88377DF83A0C8B82F67DABA18F628A0B28AB45A2D1F081F';
wwv_flow_api.g_varchar2_table(82) := '648C2FCE6C1E2EF2943D4F3F68FC20F24EF634742383181796D2B32EB7AEB8B9ACAAAAAAD8C10664F68676564321E50B33D8476FC050487EC35B79ED8DAD56ACC0E591D46F1F32F0FE0FCEA3AF9DB5B6248D001C1298954C4753E915818A032ADAA0F628';
wwv_flow_api.g_varchar2_table(83) := '697F7F547A6E70703E224394B45CEE19ECC996FBA58BD3C3E40942AE489C218D6FF7F4ABDBA21667E4D65DBC585777EC13E069F9F0249A16149CEF48F42532997476E9931F589B3E61001385A8E99AB3FFA5BF640E6333EAB6816D7066AE9504C5E5EFCE';
wwv_flow_api.g_varchar2_table(84) := '67E3CAB52862D5C15867E7D86190391BCBBDD5346A9C1678F35A460E34F5697A43314341EDEA0D304D1634B644468653E66B6C95D6B8EDEA799CABEBD707D8AC5DE05562EE8CB7309A2C7C6492110AE5BA7545A465C5E06F09FDDE6D39E25A1286CD873C';
wwv_flow_api.g_varchar2_table(85) := '146E7039A2A15ADD6B40F330B8243067C2C4D389E3A6D9A081E2AE5FB0A66057CCEA24184CF47A0197222D07064F0381B73E4C8F294B11E14C11143B14884D348B507AEA73E9E97196295B2722A60BC604ABED97AFF36BAF6BF0DB595605175D03935A14';
wwv_flow_api.g_varchar2_table(86) := 'F45E5DFFE2860D897BDF7AF28317ACE1A45BF3ED59CAB966DD38111EFE0A5E44E3373F7E752952DE778C716E9BDFE721D8412C7D037CAA7C376CB4B19D86E612BED683C3BC446EF515FE02B53A30502693A527C80255ADD272CCEC9253640255D4962DB2';
wwv_flow_api.g_varchar2_table(87) := '681267B786C04321CB10B78A52D2A532B53A4AFCE7C5CD9BE03C31D49ACC15E00E03AB503C3EF7D1932FC0F50A1FCF1A1A7E4216FF2D5CD673C95EAA931300BC0582A9959573C7A655E488CFFA80B200B079A0B09ECF68B515B1B125BCE10134806645B3';
wwv_flow_api.g_varchar2_table(88) := 'EF40CD44D49CB4390FA3478B73DB83BD833B373BAC059A692B40AA0EFF469FB5741690031465A1873BDB1175190DF8DD398E8BA65568D4154535883C1423977677E53A139395EB72F6854E4C6E6A8ECC4A2623A2E511680BA7A049092D43A62BEC5F4987';
wwv_flow_api.g_varchar2_table(89) := '76AD76A198D9A654385336FC2F0EBA3C11135F895253A7C593C357324B98D5456C3AD46E44EA9C842B0CB6B638B4F743CB8ECE4FF5F9CE5305EFE0EA55B571CF9EE3B0B8666FC8347D62CDC9773F7F7C364B2F5E58CDF5D1341A55F56E3FB9E9E4D79D70';
wwv_flow_api.g_varchar2_table(90) := '07D1B19ACF789243C6C2D727081A01DF326C6099A6AC62CBD98E8BC871C7CB0DE4AAD5A210958A2B1072435A8FFA4B435A4384821055B42C2C3F41C40D94F91F554589A38F86085AB952EED1689150151DA8DE997DDF64AD69B6D12767FDC33AC13B6313';
wwv_flow_api.g_varchar2_table(91) := '78EEA38FE07DC538EAAD358C556553F6DB3FCCE534D3A9B2ABABD229B5A32375269580B6A3B676CED834CE1B68F2A96ADE5C0673A64482F844CD457E5C4949FD48CB2DBEFFA103C3352439BF598660C0B5003AF73D1B034C7220CD9B88CC390B7000663D';
wwv_flow_api.g_varchar2_table(92) := '2FFF62862C2A2198ED4896E488E0F20A0E1EF161505E44C70095CBAE5F707EDC6AD793E4ED6023694C2B30FC4D8C356CD603593B19AAE145D17547ED755D209089721321CC25068492F2C76D91A323D3F6F91787DA3E86662CAA5BE7C5E4CEE4797AE222';
wwv_flow_api.g_varchar2_table(93) := 'C0445D3ABAF08B4F18F259165A8DCCFCB4D47B737362E2E6E7B792C3CDCEA47A1060DE569056EDB3EDFCF9C1CE71180202CAB2ADE1D1BF8554CA2A7CF4F71B9707C7356983A3178F155FBD3C9E16393E3EAE095F31AFD97CEA87B73704E42CA8F27D60C3';
wwv_flow_api.g_varchar2_table(94) := 'F3A5533D40468BCD639D1763B06414B16AB73F372545A48A16F97355ADAA90107F41F7D16855AB20901B951FD71FE52FF217ABE0A138FA6BAB40251276771F0DE1464707A6D4655AA2FBF30065B0A8355F5CEBB31179AD1981698AB61A6311C079F2AD35';
wwv_flow_api.g_varchar2_table(95) := 'A6960F9B7EF6CDF1AFE7543CE5D475E144572A432045D054DCE317FC9ADA75AE2BD5A9EBC419903B47F96C5E5F8E89DDE66F9A11D168E9078CFE8F2C52A09A0A6AD400AC5BA079F8663411CC0C6882CD37B7BFEC8B1971630BD8D4A5652D8D12864CE869';
wwv_flow_api.g_varchar2_table(96) := 'C21244AD2A597F189BE78579BD5A9AEEE7C99107077B7ABA73DCBD148B0CB2D798AF70A0ADDBB13AC68128379E0CF3353A14708899E95E2CB27CE8771CE02976B9BAC62068129BE8D22210A3C884269DEF088616392EFC5764C615D268446FCF4403C3C8';
wwv_flow_api.g_varchar2_table(97) := '08393787E3CCA30F53AFD699674E7FB7526BE802B1A0667025AD0BF94BB626FA9695796FDDEAEDFDBCC3B67DBD34D9B56A69AC1EECC570B8E054E7791F1B5FD3B7BFFE72F69C0B9AE1EB5C41FAB51BD7AEC78BC519C9E5F137C646AFFD7E636C1CB5C6FC';
wwv_flow_api.g_varchar2_table(98) := '3DB4B7EB8EF56BC9E0BBA1AC68C922A0A83B2032B6C4F95E38588D9C0F864943C4626E0857962152B586204A0A8E460B442A81881B9F2F574BFDB902F25008A28F460B4304A2EEEE107FB1209A9BB0657DB64536C6A650EF01CD3B7C7D1FB0B460CC626B';
wwv_flow_api.g_varchar2_table(99) := '9EB8EB392ADCC959F7C1339F7D968D2FD874ECA7CFE7B4D274AAFDE38FA18E4B43431D4E08A0B5B5972A9D9C2ED59EEBAAEC18FA63A832B5EBC285A1DA3982136520CCAADE5B9B6DC025D844D4C43B2FF6C8DFA199860EADF18C92F5F0E189B7CB436F6E';
wwv_flow_api.g_varchar2_table(100) := '7FFDC5801CE4BD86E5217914365766D52B1C1D39ED529530657F797070794A469494EB9FA1AE50431C989092ACEEF762A872D36A29E2D1C40348B9964A1A5AACA60668844D14758ED45CBD892336DCD4EE4A9D80D60528A2094462207A263A3184A61B63';
wwv_flow_api.g_varchar2_table(101) := '1741C7F51F135A7281CAC3F2E5C893295B4511CB420189CD08FC47163B73DC393C731EFA416C6A092DE4DBDBB326BC63B4968B45CE2F18C89B036C48ED6057BCF32AC8D485C2B4DE8277F086815967D06741D5A66FA953313B9991D743B8E22BAD2A247E';
wwv_flow_api.g_varchar2_table(102) := '2102998CDB2A900A42B8C2EB58FD308FCF631F7F6B0634316DDC6853C49A82E6124561619C33F617F2CD0F96A8030582409934412DF3178AA3FCA55211D73F5E06195A82BC502D1689A4E9E2407828424432A110888AA2E20343842975EB1F486CB6C336';
wwv_flow_api.g_varchar2_table(103) := 'C6F52F9A217C525A8BCD0716A624EF84448F91233FFDC2A6EC4DDFEC49B4B47C79FB9BB8EACD2D9A276ABB08CDCADA33271024532BCF5DB870AEE3D2993FCE7400CD3F2EE0637382E68A9606DA8CD45C66B28EACF7B49A851FE16C1E1BC71E8EB4BA554F';
wwv_flow_api.g_varchar2_table(104) := '376FC50C6A8D81E664282DE83CEEBB31A7E4086AD2297FCDBAE57C3E66FB0AB5306A4B725479B24C0C6543742B373E41181DCD1509FDFD531834DD1A1A7D4A497609A030F8B0ED69D05F262637EBDDB9103A38D20900AF9B4C62B096942E63E9A326BA3E';
wwv_flow_api.g_varchar2_table(105) := 'D48E4557899C22780CB4DC1823D7DF9149A34DF25D3A3B3BB3E15DE278B1694E838F2A92E8195C5D6D597C470587030912CF79E12A8A9A0B951089EA737124CD20132F275ED766784C48D0E2507CBEB3B3B740FF2FB02AD08717B4B3253E996B96CEE68C';
wwv_flow_api.g_varchar2_table(106) := '46B2119E363816C20D547577E36512867005D1DDD142D1EFBF8BC6E6379A8FBEF4C3EB55F877AF450BA3D4D6CD08B5A53EABE5730AE31478B8C8FCEEBB0B93D3D3CB2BF6EF0ECBDD9FBC3FB73CB9429DA0F6CB4DC948F0E36178928EE149322ED7E919B8';
wwv_flow_api.g_varchar2_table(107) := '8EABF7A744FD79B13F212361E736DF0D2FA26ECFC9595B9699482526747B100859834B48F3F4BED7A5DF5A6C3A762CFBE4DB273FC70B3BA7685E008FE7CE00CDAE1327CE9D3B31D4D171E68F13972A2B872E9CAB74A2A879E6C4B9CA398A9A184A06AC0F';
wwv_flow_api.g_varchar2_table(108) := '5809EB05D024EF7F048F46ECC35322D50C3DD02C8DDEF7DF9F08A568059DDFB3D1A7E4E091C3FA8F59B58C04215B668C1C0A75607C58B938212150880B216481B20CD5D168BCF35A056A26A1D536F6D5918C8BFC91A4E6B20D9E6E4BB38AFC02F524E335';
wwv_flow_api.g_varchar2_table(109) := 'E2DF1C38691349F00E57A4AD2C5B86473C03818978494CE1DE7E197F3109F316FE5D5B9641D3D9CB0B6C024B5A3AC4830C28A26D07618767496A53BABB171616C662ABDE110C61EE8CD0BAB8DA4E08416D93EC8BD6210B71C86CB6D16BCD76FE843273C6';
wwv_flow_api.g_varchar2_table(110) := 'EE97CE6A13C9DACC179E7E7AA6F29AF283F1B11B81A8B354478FB642D8AC52A9A25B55C2C0B1B1DFE779D484B9F4F836F274AD355949D6135A56F808C3A611364CF097B8319E817B785E6DEE5EF2B8D823474A0A0BE55E6C543411115E9E6DE83E38E271';
wwv_flow_api.g_varchar2_table(111) := '3D5B0E39A6E716CF03F9614DDB9E870CB9D8BBACEA45C88C9ACB68FDAA1D79ACCD74FB2F2DADEFC792AEBBE8109F70853DB3F7332C3AC022DF3946F3C4D0B90B00B023B5F6C2998E8EA1335D1D8032D5099FA875622AD1DAB941132130AD1A57B7F501BA';
wwv_flow_api.g_varchar2_table(112) := 'A8B98041D319E34665539AD5BFF8E338F0585B5921F59A2A4308ED3CBF2D27EEC841F48B0CD2BA0312704FDF1C1D9A88918240FF14B5EAD7566994AA952B8EE276071E52307DF5AC869E52DAF6419A6846DB35D83B15CD0723BF801A6F194D2DED593302';
wwv_flow_api.g_varchar2_table(113) := '27B25A8F1DAB11D868619EBD0B505ABD0B392D41C9D0894D188F90D0E06FC0BC578726B255AA32992A562EE7F138583C8EFF2B3C6F698F9F3A3D3D39777F45DCC1D8B02D2577AFAA6F3B7DBA8DC2C332B26117D997AE435B2DC8A7CC41B7EC1399ED7104';
wwv_flow_api.g_varchar2_table(114) := '4DE39BE51E9DD5C0F69B0FDE78E3678C2C6769CF5E135E11C6CB04689274236C8A03AF5C11496F8C8E5E1B9DDF68DEF6D0E3DBAB73242B1936E9DBC03272D4BB05B46DCA25501CD076255A69A6D52A79470E1E8C736FD3A2D0A0C3D7D2EB88C77C7E5656';
wwv_flow_api.g_varchar2_table(115) := '565010DD8224D8A1F4E28B30FEFA6EB8C3CCCC2C3B1BF67F07EFCD9966304C63F525C62670097CC4A0A90B9DA0F3ADA51F7EFADE6F73BC43890844EE8AE4752A9AB54EB719D03C73A9EBCCDCA08900574DB69B322CE2D0AF1687140033942CEABCFCD381';
wwv_flow_api.g_varchar2_table(116) := '68AFB7B7579396A6C983487D9A2EA1DA2728EE8B2F203930A0891DEE7A34FBA352E415628140486A4029B481A82144516A7F5594078D3D281CD286EF4957AD17E638D3D01C8E505228C4596DEF86D906339DC41D354B89A936B0B90C016C19F109551E75';
wwv_flow_api.g_varchar2_table(117) := '68ED699881392785CD5B776761E6D2D7B0781A77B661A502725B73A0B91CD8E1B0DC3C1248738CB582C96161E529B9615B767BC83DDAFDB47C323EE10BB45E411209942C589B67D8D8B8F36A1F56D5CF4093FC721F3CF9E4CF50FACC92D08E8F5DBB3E78';
wwv_flow_api.g_varchar2_table(118) := '792C1E7E20AE2CE5F2E8D8B5B1D1D196B451CDBC6E03119BA7061B690D230666CB8B28D737D28B186D936C69691A5CB0CC4E52243E1099308BA359931BBEF4DF777A47225CD09D9D61FF0813254D69FD54F3D64FB22DC985A25301312E131D998C508F51';
wwv_flow_api.g_varchar2_table(119) := '71BCF6D2A3738F6665D705A4B04E97F4096DA51ECD0BD4063AC1A039377D202808704D87800C58AE43524B7E9C2568C4346A0AFE4D7FB7A5AF1A07BDD8E98A3ECC07B0F06BF8B021941AE7F549988DEC84A66745304FDE9F90AE2635607F7F7F7245320A';
wwv_flow_api.g_varchar2_table(120) := '8B64B1B05CD7A0054E14E02667D57CA81FAC8CA770BFFBF48E18A67044CABAE3B43662318D4248D8C32C40B86715BB8D022A13C09631BBD731D65CC6A009966D9719117BB31F464F8B4FEB43A561EF346301339F90FAF0FD645CECFB147355C2F8947869';
wwv_flow_api.g_varchar2_table(121) := '46BC4CA6CE55CBA2CADBB48CAF89D546F24FE8B3EDF0C2024CA611B42068241C93DE82D015B867D4C0C835FA722FAA3FD9FB36F6DA6C873D6E461BE8953C4D7864B8E6F255B52CFEE2F996488D461389133EBF87270C9BBD034DCC66BC208E12AFFC2478';
wwv_flow_api.g_varchar2_table(122) := '285180E69245A44F76342234EB83246D452C1CC372355B83B11AE5BA6EAD9E49D937D966065901F64F6392F940E2277B2D690F89193E484D204689CCD499E0947EE2C9B73F7C37E78E00A7AEA12E27C038D906AAAC3C477D1FA74B67862EA55E1A4243E8';
wwv_flow_api.g_varchar2_table(123) := '5C2DA2E6DCA0E963B7B3D866A5165C4EC4A906783D8CFF268D8596409F0EF75543ACED6390B84ED2837C266824124419E48034D9D4A1595F8F4DB10A2F2F761C9B0D7F90BB3B07AB21E5FD51197E7CEC04D0EF4AA78DCC0609029F0D9DFD249C8F7E7E31';
wwv_flow_api.g_varchar2_table(124) := '061258251F0BF1EC49EF53AA3532229388236A48C8D5D1A73D4D7A3C54AA801104BB129008B3343F213497DC6A6EA2B3691A56572EC46464BAAE566FB03652B44B0393C32A1204AD2AAE881B22E072D15BF46F6D95FAB9E952708FC258BCE1D0077ADE81';
wwv_flow_api.g_varchar2_table(125) := '4193AC605928DF21EDD1EC1BC03F061A7DD40070A35F1E1DDDB9AD18CECDF369F8171A4FAFE5D13002C756A720FABF78ECF84FBD2B0CC76A9E074D5D1743821249521FCBD6B268E3D9A4488A55D4A35544C0F413A14551DE83A57949A5B40FA8A808DF1C';
wwv_flow_api.g_varchar2_table(126) := 'C844D002C403BAC1778E0541761086EDDDA443D3D2FA8927F0D3752CB196361B99AC015722933C26D001BD9D99486CAEB1787D62B1C65C4A0E685CD2D17529150F313CE9A2DFE18ED12274E0B368085DEA709A23CDC1BEEAAB97CF37662D9F30B1A2CE6C';
wwv_flow_api.g_varchar2_table(127) := '81B7642690EF3C4ACEA4870A42356958A1A7BBAEF7A6ED8370EFE69611E47AD880303259118592049EC226FA00F5F50A3E6A8908735E3DAA8820772F3EA625EE7EC9FD7E49C413D94468A6B9DA56BF5752C15FC4FE62A445136AACF7607CBE73470FC77C';
wwv_flow_api.g_varchar2_table(128) := '1571E4A8D096BAB822C22E019B34F1377A44E1EEE177880E0556200A28094F7AD65FD27F8981C09D05F848CE3E1B99BA16917E852C9BB770C61720721A45B44BFD93F3731384027F017A34582B28E40672BB7F151E52E2024768E697C4052166D821A135';
wwv_flow_api.g_varchar2_table(129) := '41D0049912A547F9D8D868CB48D3819AC380333C7270F0F2F5D1F1539D7D0D15EA6317532EC3E6B3E215703709205EF1C7B006F9E3B36FBFBE27F3E5CFFF170ADA296FAC1CCC8FB2EA634B386E8645A1D891B483D41FA73D796CF47CD81E7EA7B18FC526';
wwv_flow_api.g_varchar2_table(130) := 'C93BC916A6F352EAB0B9EA3A77AEB8E157ACD673781EB7AD4013209A994114BBC6F401DF6C6B6B4B7C80FE43E484D60064E206F3F4D24D7B08CDA56BEEDBF0936151DCDC0AF5983BBA37480EF4F7F8201ED299A357D04AA3E93DD5DBD2A4858155A15462';
wwv_flow_api.g_varchar2_table(131) := 'F55413F25303989475AD08C55981E4EAD4979F6FDFFEE5A9CEC1EAC6018C2CF59FCF4BEBDB37D3D419AA69317C0D1D2B0D193B73562EE7C7D58C0C83CD254BF86CFCE0145464728F24971D7E58ACD30E98889F5D871813570C951C5074E1E28AF237671B';
wwv_flow_api.g_varchar2_table(132) := '69DC104560431B6CF0E241E04E9D549CC54A1A69D8BA91259AFAB6A57E583CD0E6E9D9168C670499CB48E44EB093F8407D88DE1A2C37FAC92664C49CDEFE21A90F455E221787278F5B3893DE478C8C223CA204D278A958885809345522B46AC068B7B03F';
wwv_flow_api.g_varchar2_table(133) := '8B290B8A4C24F584A60DED1AB163ECD32B833C49B27DA322BF6E77FEF0404B64DAE80DA92CF0C6E878CB00ECB232B174FFC020B43E69E3E3CC2D5233AE7965C53B8FBF86057B1F92CAF6DBB3FF0F71FB945D310DCB6F878405FA15851B091759946FC8FD';
wwv_flow_api.g_varchar2_table(134) := '76202062A592B902533A8EA797525BC42AA2886967870E836E69A1BD3D6EB64CE4442DA08B9A1668F89028D6C2DA3A717D59E25E530BD8A8E1AA7ED8740D44B34BDF7AEB85275E78EE7E6CE9B548BC8F6C61D87D73FCCBFFA5E304C7001F1C90281A1BB2';
wwv_flow_api.g_varchar2_table(135) := 'D8253523230303B44DE44103B7A1E191EFB7ECC369191819A9BE5A8C73F5EA3649D68191F007277B41B3C5D882D0BC4932E999F23410A849EA0F4786BF7FB884A73052360DB4F43536C5150663D51D16EBC83DDB7A7A4E1FDA75E8B456E9463CE9B651F0';
wwv_flow_api.g_varchar2_table(136) := '9D5799A3F1BECEAEF8F84F58608D3DD6032371B1ABB0DD8040025B60F3F4EA433B8A1E019A4628555C4F6B158E11600B46B11E5A1A85EF35D47A38B054E7E61E422C25B51E9A804C78BC130718D23A20E8F760867603B73878CCF75230D115670A9C60F3';
wwv_flow_api.g_varchar2_table(137) := '114EB9BF48E41F1F9591120FA7ABBF4C9D20158B5421D28AB695301822582E009A94CF7A9BD87853520B348365D1D0859663E7BD7AFFF5D1CB6352CC2AA355BF5FBB3C52278B6E0D89DA3F7A035A9F31E676631477D7C6F39E7DED3D5A4BCB380FCFCEF7';
wwv_flow_api.g_varchar2_table(138) := '755D33C266A31BD3F6E3C5F2906A2CC315119E30F79E22464B0B2B1EAEA5CE9055912380C55AAEA59F1246DF2C171A0C3399100E067A483B4C02123F3335FDCCE23EDC2CF6EEDD5CE6BD39D1123A03DA176DC984C8CFF67E668A9F1CF0C11A6B6BA297F6';
wwv_flow_api.g_varchar2_table(139) := 'E999669F9CD95B9B8F0E937F6CD4F635D5809A3CCAA374958C31E84A1B18A9F9623827C7C72727C84B99658283D4DF649D9B122A8049B88D6F3158B9E91A108AD089506A05555F4D89BC6940035C0786C382DB386C9475ABD068B997EDEEC971A6FE8011';
wwv_flow_api.g_varchar2_table(140) := '18C3A627925DDE7327B5F28A4AEDCAB0C27A4F714309BAEDF7E87EA8012A4B3C5AACE8F14B2A3272C41F439BC185455A3ADADEC3B8AA99A089E909147B5FC5048785ED6E079C2E3A4304FE081D8A94A822E92C61515D840E120AA2229444E0D7912E0193';
wwv_flow_api.g_varchar2_table(141) := '88323B1122E4FD189EECCE6D0FAE485663AB60F0EEFDFBD519E91783B7D4F920567A3B48EAD984E6E6E7918F119A4CD4146101537AA0401428F6BF36E6CFEDEE86A85B7565AC3157FCEBAFD109C9BF5FB91228168688A3AEB4460B6590005D1BFFF253FA';
wwv_flow_api.g_varchar2_table(142) := 'D900140236657FFDDDFFC2ADF91779D702D5F47D46B7958DC79418F0C9106B11AD998C884DA1610B0895823C0D60B0892D21419DA48021829240AD5170890B2BC850247DA0D657048B55298FCEEA4A5169D7560B62ED536C6D3B7BD6BD4F7BB6B3FBFDFE';
wwv_flow_api.g_varchar2_table(143) := '79F09C76E239A3FDB60A448AA78937DFEB7EF70E289C2E458838729E50EEEB8123390CCCBB21ACEF70A67077073483F8DC4D800826619CEDC93D4897A4E3EE8226E445B4DE3E5AAD76921A2DA6764D13C4B59B02A6F9B0AC49CDA7B79FD6087903B25B43';
wwv_flow_api.g_varchar2_table(144) := '2A9DEFC7546851E79254DC580515AC032F4C368C0A5AFABEB12D3F8EA2D7B91B70B2E388D2DC8B87191B4D5986104D99328B62414F1DCC7C4447367DF319216552308990424150B844FD2CCAE98B7155F7D2DF7AC7968269E5510E9B701FD2DB04EE45A4';
wwv_flow_api.g_varchar2_table(145) := 'A5CAAC095581BB9B608ED4059910981085E2F586A1019F8FE12C554C1320E54CEFBA609F30C8BA113427B0A4B916A4A2FB88A8172743945FA7812D0D7049FE19E121E23E4A3C18CB0EC361FC434362FCF99CD01E0242242CA8DBA4063822820CEA22045C';
wwv_flow_api.g_varchar2_table(146) := '4428A011D49E0CD3C386D4A51033483E746819AD4CE0F502FEEC6C8226065D0958E5DEF8EA2B4C8DBEFAE78DB4E3C713D36E24DCF8CB9E0380E6F17CFD8D1B5FDD484B4BCC4F3A4B4B4C5080BEDAF6F6F30C99705FCB6CB80AF1B271153F79F813E5146A';
wwv_flow_api.g_varchar2_table(147) := '49F8A785783D4520FD23B8C13B135C82265316565F4C9842C49A74C62371CD69193427825304079D668897C7DE350962D1818138C7802A2DEB3D49FAD2DB6F12C46961B3068CE2412E208A7F1959736C4F4E08A14FD30468A40B13FC1650C9AE52C634BC';
wwv_flow_api.g_varchar2_table(148) := '809A817AAF588B5C3CDC2E22532C3E4970DC4BF21A4C1E54A9A4E3143012FEB7EAD98B1B1F21F02906C45FF4543A38732E3F13E292FBDE83D5C83DCC4A932A55EE752B4B3E95CBC303640F26C46119D733D20B5F57A59488AAEE7B60AE9236296E3CA190';
wwv_flow_api.g_varchar2_table(149) := '1F9A25023DA08704BA1631DADF5A534F4F4A4979AF0E0D0D90C734A238371309FD902C91A8127D286C5144554026BA9D015AD16C060C88DA8D14F08932B9ACBBA7923D54D5D38D6ABCAC6CE27A1C102E0D9CBD409995BC8C7599B3A13EBE3910D0548617';
wwv_flow_api.g_varchar2_table(150) := '83B21D9C009EDD8DC8B41B896950618ABCF1CFBF4467EF3920A5C38B8C1BC069707052F13FCF82FA93881EF6ABB7DF98C1417357F39218DCC58DAFC05543A392A54D5CD80AB17AC282D3310E5A18CA5A1149A508D37276612B120D52899E8BEDA61D9A4B';
wwv_flow_api.g_varchar2_table(151) := '11D00083691D84BBE07445E718A5B101844B02A00FCD6BFD61B646399390E9745A786E0C155B888347DC58EEC2E42522D1B293138656EE2378EE7430F6297EB18F88C6EA0465E3C6E5BF06B10771F7DDA8641BCB2A45ACE47363816E8C904002AC931153';
wwv_flow_api.g_varchar2_table(152) := '6BF6A393BC752C0EAF76F1E73068EEA904696B20A3DCD9D34928054EA1D2D471E73505635DBAA3A6492AFF34A08920591F799620221CEA40506F9EAB149046104F08DD1FB964C23DED700F333DB3B6AEB2DBB4F61954B28B4C3D1DD6D65EE451AA978987';
wwv_flow_api.g_varchar2_table(153) := '8EB86FAE322B283454109125CFA2FF3C8010637D172CB9E12239B4BA424424D9C0C2AA59DC9ADC14175748CE39DACC25B09DAB92644560A9F958E0B2E465519BD7B0AC195E1C9F189964F82A3AFA2B036AD71BE84E13E2FFF4F77FEA8F94E8930CD949D9';
wwv_flow_api.g_varchar2_table(154) := '52688C6664183EFBD30D5524ED4CD3B2CFAB1DD07C1DD24BE30D9A0C9B0438891CAF19DA12D1CC2A529A658FE4628E8747E6CE1551CD34D9A5B4EF502965E995142F2782AB96BABEB4292686F4DBC99119F3DA69802362FE7C9F166DA91F80095FDB1958';
wwv_flow_api.g_varchar2_table(155) := '78523D3BC94E4D786F2CCDF59FFEE8EBAF3F42BE643B4D064D6C4DB03DB15FA01028C173C76A73C3A78EC7B06019A335D41E08886CDA78F4E8D18D9B361D3DA214B16A6F200FCE1DB34BB6D5A7B64B087AECAD201EADEB7074D2CDC59B5FC2D38FB8084A';
wwv_flow_api.g_varchar2_table(156) := 'DFA9234113EFA9A86A66726F0E2C6DD282C4DDB9E470C76B4DD7278850717DBD4C63D31B7AC5951241874EC68357756EAE30D4B7B2525C6E4DE936C5B5A7586D291D2638D0F774039B1D1DD89B82670B930D1A3A80AE1E811E579E15CA1A4AAAB42455AC';
wwv_flow_api.g_varchar2_table(157) := 'F21A72E33DD050080358644546A3006117760DA015EC2E8D5DBAA0B2C7545816064D684C834ED59C9A479A0F589E24A714190C9F5FF91C1B942B1CADE7EFC59F5FB9F27979E3E15EB0BC8BF1F59F3E87CAD9D12B0519F9454506FC727E17476CD9FEE1B6';
wwv_flow_api.g_varchar2_table(158) := 'D75E5B3ECEEA598E0416A144232261AF30D6C2CA6E260C2D528202042DEE50E55C4C06308C9BEA3B149A10BA67C84440E632F62E1FF8E7F8CD674973E2BC136DDE34A9C5B1F434EF963EADFFC11538049B4103203C426914EDA6F7E5319C9B21237E00E2';
wwv_flow_api.g_varchar2_table(159) := '2CC1915D98BCE43C3DF9E825900D3EE64E503EF8FA0FF875DF479FD26F81043F36FB4D402406EA3E470E9FBA76AA11DAE695AC8243653868BD80802E328307A0792B6B6F68DBB0F43834567FF9E5CBCCEC6AF9C530B9FB4064F25CA350112B7FD04FBAD3';
wwv_flow_api.g_varchar2_table(160) := 'EC0569CB257AC731F3B870CBD54526EA2C459189F525F03331488B65B9A72D25E61A454A479CADA8A03CA5B7A35C2F2D9201A5E214C8DB22E20A51AC521F4AFC3D727E1408E4B8F175900D26FB8AA8B21A2D804B8C27307B25AE0F068B44CD0B8F230DEA';
wwv_flow_api.g_varchar2_table(161) := '794B7FA8CCEAEE8C9A3D3B8E34DAB143D9DA642CDD4D2297CBC24ACA5F049167D326088F315ACFC6A360F61C3DB2155A83575EBCB211B49F87F1E08B575F3F7F1E865008E3E5EDDB2109F4DEC9C7573FF5FF4EFF19E550FF9AA2ACFB9E090BDDEDAABD62';
wwv_flow_api.g_varchar2_table(162) := '4E2B087E449A10F96494351895E3FDDF993551D0BA5CFFEC26B8A464492B12488ACC87EBABDDD50F6C3D90F42619D56AB53FFACC3CAA66D34B4B31B9F527835C2C9BDE1FC37BB00DA0B57F00F8B1ACF93497355FFAE89D3F7CFDF1EFD991E607E0B43FBD';
wwv_flow_api.g_varchar2_table(163) := '8FC00B72101E7A0724BE8FC6266D423D96C9108830B3CC5296297DD9F4732439AB50064D21BBC5BC85F0A29276F877DEFFEEBBBF608DC0EA2B25F20149938640AE2C8D91803D59B29505703352785A0CE7CE196CF9AAC4E282EC8C0CDC6A64EB6C45F986';
wwv_flow_api.g_varchar2_table(164) := '22E8CAE4E39102BD34DF90A8CAD6E933F445FA0C69FEF58E4E139D8AB1398F431983CF739753710CCC933A1ECBD8A385A88C068754B0CE5E321B14479A8E1D38300F49146A29C9875236AF0904CD809ECF6531A95A58E0C3039F4CAF9AAF6E622370AC67';
wwv_flow_api.g_varchar2_table(165) := '1D01AEDED53FBEC936C72C96BF42EE906F436270DBDB6F2CDE0EE3B0177EF3F2F854846393A04B9F1C81F3094A1F46F1108219C46904094005CBCA52E2B74887668080BB0B9A9813906B1383263C9BB0DC05FAD62F814B756C0031DAFD7D484FCFC89625';
wwv_flow_api.g_varchar2_table(166) := 'EC302C003ADC38E2C40348991FBEBC7AEC90896489CC88B32F46A2DD801CFAC1A71C34BFDEB7C1716EF23362CF326832EAFBD32FA1E71C13EA0683E6431E939192E487E4ECFA6264A91C6AE07967E804EC3662CEFD73704CCC68433681BB23650A351AA1';
wwv_flow_api.g_varchar2_table(167) := 'CBBCC459E690792509D6311EC0001C334D6714AFB6F87367E37506AC1DA2238371399586968E0E4171741C9C1809450B556452B02A439F08ED99605C3D1A3AB8F3CDB5B43A45BBCAA0E9C6E32159323D5ABA89F8018D088787DD5D53B90CD52C25C9A8A6';
wwv_flow_api.g_varchar2_table(168) := '4CF803D3FD57737353132496964C9C18D3D4B786D99A30CBA10008BFE5C067BBAF4F9B5EFAFAD5DF0D3C3FF1F2A2239DDFAD9E43B5AAC3D0E9E4C9175E00D160E5CADF3C4FFEB7A003DD3FFE4A59D738F161982637D2AAD86E828AB3123B3601CEB0F0B0';
wwv_flow_api.g_varchar2_table(169) := '2C09BEA2C79CD31FA7B8D22288B604E24D6E77533ADA49AC7651C26A97CE8E8A5A9F0E495A14AF6CDA03D93C360AF26ED1A65634C4123DE8F27B27E19E3E8675C6CFE846FA6B90DAB9E32FCA9A54C8BEF3C1C70C9AC4691F0E4DCC6BC7EA348C887492A9';
wwv_flow_api.g_varchar2_table(170) := '043F928D1C39DC83047C3B34EF1E23A6654A04DFEE182B50945B2D3C4F0455B504158F01D89CCAC63394D69C5795802622B738EDDCB955B8FF24CD8468D5AAE024B84480367756453CBAE3AAC434C83E45076767E3DB54ABA2E383333A89F30EE968E44C';
wwv_flow_api.g_varchar2_table(171) := '94ED4CDC4FEE06B93CF667701A3FCCE87678BA245B31F0B37154C1143DA3D6903D308AD5AD4DD879A31DC2296166ACD147BB7B77A0BD14BB0B15565E1E56E26D18ECC3DD6AE80AC48B5C4BED416E43BF799C0CC15E786125FC0C9F7F61BC98298C1A4427';
wwv_flow_api.g_varchar2_table(172) := 'FB1526B55C3F826B5AB86ADAF366904663962970BE8917C1C3C57E77BD0BD605DA0D70D760D2D3DFA2F607D7C76F371E4C0DA085A60F969C240A84AB307CF0B9AC2E8D8D4D27E3855D1FE2D91BD3270E139E7770664209739FA3A0DD805B6A82A6EBDC04';
wwv_flow_api.g_varchar2_table(173) := '58FD740383E6A72868694474DBCF1E48B1E83489E1CA88DF64BE331AFF9B2F087227D874EDC531C89864EB9270811B6B4322C26525C5F9AD32734D8D59A6116AB0810C5A38189B0B7D9905090326C84076689AB3552AD5AA6CBD549F0DCB16804F9F1D09';
wwv_flow_api.g_varchar2_table(174) := '489E3DBE2ADE109F765C9590A052C5C707272531BAAB343F3AA3138430A2BAD390893844AC9E75B4D37C39D92390F4D6908A76CA1451657761E1DC4555B350D042F687FCF09B4A9BAA67FF30B9B1BA2D8F499FAA610639CDC768D4666E4DFE217226FEEA';
wwv_flow_api.g_varchar2_table(175) := '78237C30B5607AC6AF8FEECD0D643EFE023C6FE12E71F2F9938F833BFBC2F8D084BE4980C97FF41A68D30B43F9900E55E22697597AA3BDD758CC1672AEF6BDD739061A288E8956D36E1BBF5BEBD3D2D77719BC1F9F263411A97EFEF48CA2F90C880DF0F1';
wwv_flow_api.g_varchar2_table(176) := 'F6E31C15D45A4C67A11174F9C3C7C71698B4C744E3B8E1F71FECA3D488312C74BB089FA871D16BDACF4D68A5824394B11C031149674F0C1B67D07EDFAE22C7FBAFD0C47282F2A6D76D131DBE6CED6CE753A183E547B84266805F99A15EA7CFC78D557EB6';
wwv_flow_api.g_varchar2_table(177) := 'DE16EAC226CD695982C39B2F5D3B73E7D004CE1283540F35E10283AE0846D96713196D0E956B64BCA1DE109F88641A1909AFDE2452D5498C371448F51D7381CDB5044D5F361EF4700D89E9BFFE5E5F0267D5908A169AD6CA65137BBAABEAAA1EA299FE3C';
wwv_flow_api.g_varchar2_table(178) := 'A44D74971510803E7C38A619EFE9C0E6AE5D8C8832CD4FDBD00868A229F29BC606FAC89DECAF50F38BA3DFC1529E3CB9F2E7BF003B0F82D164813B5E7BCC61EFC0FBAF0541CD578ED322ECA0C0B022D10311364CE20801A089E77B68AFC90DDB98E1095A';
wwv_flow_api.g_varchar2_table(179) := 'F625B193D47D7D6D445E0734A174066F5B349F0FFAC43634AB7795C6A26BC0B816FF40566F3B5B678E6D108F80AE4E5EDAC05D98D0D7D860EE433CED3A37D9808B140014B7296C7972DBD40310CF8F6CA52B6A38793B062D24F0386A41CB8A5D56D3FE8A';
wwv_flow_api.g_varchar2_table(180) := '2D4646D53FB8159BB2CF8B9F6967675C7171E210A1C290002821E961B197101D9DA0CB657ED00E974BC62D070982AE43001E6A0A099A9A725B8DC6566E2B3797271D3F17ACEF0D8FEBB54298BF48575E52AE2BAAB7EAA03963ABAFD7C17ABBB8DE6A2DEA';
wwv_flow_api.g_varchar2_table(181) := 'EDA109D05A14B4F8B153291B0FBC1223EF3182BEA48A2C389C3B700C12B3CAF02E3E7B01DD3081D8C9A089CEB2FA7CED816AAD1AB3077FFF5D6A353E802D56BA7B09AE6A9035FDE8B6D0EE0A49B785EBF780AB319A46E4C9ED33A0D0BE9272262AD91FCF';
wwv_flow_api.g_varchar2_table(182) := '99F3ED402609365C9275878BBB4DA67BF0F2B120AF6E51B7A94E2901AF05344967AF390899768D54F080FCD47D3920C9AA611CD3647C70060223DB69991599EAF3D50DB1A41084DB307067EF0432992634F72B23EC51B8B806746EE2BC3EC197CEAB94DB';
wwv_flow_api.g_varchar2_table(183) := '57BB1457CE42B8904974B990D12A5AB01EED465AB9D73ED98FABDE2DC38F07892EFB2BD23DB8193A9F7AA5E8AF6F154AB2C8A5521CE4F67D85213A213ABF5EBA0A4CB5487211B408B21602855318B38B121AF4858900B4909B2073C32A5EAED0D3538838';
wwv_flow_api.g_varchar2_table(184) := '2D332446EB4B20E3931B12A4D0D0663348415C3AB1520E7D4A8538AE23AE04DE40D53D5CAFF9D622E8072E24700E319C6725F364A2F1CE257882514BA56FE8A165C0E33C76798E9D25B1F066631F6ECC69EB3352C94A4342E44882667AC3ECD9CB96C144';
wwv_flow_api.g_varchar2_table(185) := '277D3E75441C367D40C6C6CA1C4247A399DF3DB7FD478026AE4D568E0FE3A16FC2D1FEACB3B3A373F333A64AB93BD6C676FAC63D855512623C93C7DA9421BD26CA597B2493B5E67CA3F1F28FA63FA8DDFD58A97A31BB95BE0C51A0D8CC7440132E62C669';
wwv_flow_api.g_varchar2_table(186) := '5499E41DDCFEDC38316DBA15C28658E494D6E6AEFB91C4C2C242464B9BF20801E75F1022A8E93A7366EF5E1854038443943370A782A3C49F78DDAC9EBDFE57985F169A522282701BC9A3AC99546F4D4A53A970CF91145D6C0E0F8F906328E33185A0E929';
wwv_flow_api.g_varchar2_table(187) := '2C2917833238954FC4419ADA72DB0E1EB5883C1A08D97AAD66210FC35632C9F4F474BF5702A30816A846E1D938AFB336AEBA39F6312093AECF7A08F8F40310AEFF44FA496C3ECC8CBE089A73B16483390B08EB8F6DC62D09A686C0250A2B5C7CAD57E73D';
wwv_flow_api.g_varchar2_table(188) := 'BA2207C004EEB8DA954C93632BC8E404F35B14B47EE0613BDC94719C1F8B21ED28D084832165CD393FFFF9B7265D3AE3FE2F6B0BBB7BE0B1DF032F5274F3762DEDCAACC9A4D6CD6793376852606535149A8825EBC94561D7E51933BC9B9A4EB4710EFBD3';
wwv_flow_api.g_varchar2_table(189) := '1783311B1030C907E39F74E67A0222ED8CE7EEB0C30947CEBBF341ACF6236017B0605993876E324C5612173E1A34DDF811E1023E7D242C21845D67F6028483AA9747F6D680E20A734EB256F0FA6FF5EC662888E0264C298782AC826F29CECE37586DD989';
wwv_flow_api.g_varchar2_table(190) := 'C1D119F18969C14511ED3DE1416CFEC3A0A929CAD7A5A42834E67005442D650A39308B112B1F2F2F1B5C79F26019E4691FE7B8B1C4E7200EC0510574CCA8CD276A3B4AB5A5C026926667189F4F791758A47FCD116C42CC969BF66D0998F0D8B1B5472C9B';
wwv_flow_api.g_varchar2_table(191) := '88D90F6806081A4FE04360AC4F1E642FFCA70191489A044F0E8099CD5A6D69DF09B59F7301C7B9290764A6565F7D73646C627372129643E3EBF4EBD6C5822E96497033DF0E4265890C225D5C6B591904415F8AA0C95913668A2A7B0A670E2F6897640277';
wwv_flow_api.g_varchar2_table(192) := '38C244A89B9ADA004C7CF6CB47C19935C28FCC4FAD4D077339969EE8C5EFBDBCFA4E22137D253879682BEF7C80AE1181E1B5A399023443CC30542B11037DA304E6DFF0B574359D6C243488B507EB0321CF3EC67D84344846AD67DF6CED34B5472050D1C6';
wwv_flow_api.g_varchar2_table(193) := '75A488CD30E52CB7E49617EB8BACAD05F1D14559A2AA7641281BFADC8B5CADC098289F8D898A75868C8C62999C3A165FCC1490F13954711073A310E646143A3805B3D87B30D897D7CBE336ABB54D264C681FA8133068029C1CA4DDEC5D3443A6CB3B8513';
wwv_flow_api.g_varchar2_table(194) := '125B34B7AE701E5806B8B9C74FE2A40B2A4ADB605DBBE2411FEE088244A440B4F609A020E1373512A8730187492D2DC5B7C6546381329AEAF9F6E7BE1543D9E101BD53B1874472E8DA3533DEF94D265238C4C574670FD9EDC77574740BB2DA2BB382222A';
wwv_flow_api.g_varchar2_table(195) := '270CE27570CB61E2B2FB3C4845ACBAD4B898B42CC967FF9750326806246114969EBA3496BC35C100BAA3C8C4E49523E739D2E7B08F5CFF39266BC5C690C90BB9530AAAECDCF816994C814330070F6834D601001AE4422FEFCC2300A013EE7BED42742CA3';
wwv_flow_api.g_varchar2_table(196) := 'C2D79A89D9B8AECD7EED140CBA52DBD993E58EE96C5C5CB8582C0E2FC1E604AAAEC21A4D8D500805E14EB9EF0F4482503EC0C358B3661A13C5D39828519A08E17D6BE8C2295488E3F84B291FE2B2C0CF12877780CF6E8726B13149FDA9F6F081CDC6BB62';
wwv_flow_api.g_varchar2_table(197) := '7717926090928C57584DCB8C8608A40CD51CBA5D867CB3907371826F02FB07B295813FA4BF33286B0F54B7ACD8B1E3D1E9DE76AB2ACA9C3E0FE6F9A4334F396EA2EFC37452E90B629005A46E4D9EDD8405CA2873206C32BF259DD208E68F474492439FEC';
wwv_flow_api.g_varchar2_table(198) := 'DFFFEA354B7B211A8AB508E8CC98BAC322C2C4293D95024956A83054E21AD03AA0B924753DDC13FC213202681ADBF2804C6FB5FF0C7203335637603AAB0D485FBF3E601AD69E1F82977D07833C4DF6612FB28F1C89B819AC9DE36EFFB8C1C1751F03F1F6';
wwv_flow_api.g_varchar2_table(199) := '4B16BE3B3355934CA61A10161F1AA278DFC43C0BB6B382410E935DAF3ECC6AD7C1D064BC81DC4F2EEDDF8F7E740B7E1FEC902D9B205580A34DD86E82E7D0D1210E7593A7C4A1A3A4BB5A801302933C4F2E6A6482C91E80662E9F10339583263726221173';
wwv_flow_api.g_varchar2_table(200) := 'C877E8F87492E28B71DFCC1E18040D9A24E3E5EFA4EB92818DCBC42663F3D6ADBBD3D34192EEE984FA90C40341953CE31AA08B7504F6334E64E210AE0C136C083F1776976112340F039E05B8F88A7AAC2FE7D8851DD3FDFD5C7E8FF3911B8DDA523B3619';
wwv_flow_api.g_varchar2_table(201) := '69CC9F1BD152BDE5EFA36D58B27B4DED955F8F666F3B4EDC6DFF275ACBC5B22C0DA6FA5B1EB996259ACB840E9939782529AD09C27BBA95F78692E782ABD7744073694505FCD420CFFEA3C57EC61C2074B10F24A101CDCBA5D54D20CDEE2A4DC73B1F6C35';
wwv_flow_api.g_varchar2_table(202) := 'B7DFD9A409E601F878A01810E9000404DA5CE221300F18D71D1F9D5CF7DBCF9BBFBA28086559730A845A4251CF0A73317FBD59B8F343071B4C226DBE8ADA15E320E6B1E08226A316D574615CC4A4AAC018DD7FE98BD7AF5E025489D86D0E1307210187A7';
wwv_flow_api.g_varchar2_table(203) := '28F89CBC243A48D89FE20B7BCB3715039CA0108226983A03C74420F514154975A729B5019ABE95DD83DA63B7107107939CE5169253EC7D4B60BA5ADB10B3A4A974F7C465E11D6FBDF5409D122A45F6921897D80BE598145260F3E632989684405F6C01B2';
wwv_flow_api.g_varchar2_table(204) := 'E6DC3AA88D3F54D7A3D0101B0802B2393907D7AD580CE4D9DDCAC1BFA6A6D348D7845C708432EE4E0984BD3C6FB0F5D6545F593E0AE560E5B76E343B306D1E961CBAF4532FAF2DAF86F8324553041351C31D855CD06D2AAC9448D893EEAA73584C04A3A3';
wwv_flow_api.g_varchar2_table(205) := 'F9F28CE92BA6CFF04E5F6F7C707ADE626FB882417676B1BAAF453D6D719BD1885602BDE87BEFAFFEDE9D0CE0F0F73F03FA48BB1DF9130476E2B68377B00F240417D7FD1D906D6F5FE9F288923D1BA018434FC71D3009BA15688608B831AD2B78801F86B5';
wwv_flow_api.g_varchar2_table(206) := '64420D074CDE4018B36FC4B888D0B91F72260DB10DA700D533676A2C21F4C721C38961576927EBD1DD25ECD8E92770CC39D8FDB07CE88EAB104B91734C2485BCB4C1CAC3C3347C5F2851A6A4040D846658379C4F3872A687C4C35ECFCE3362789A9A5A8A';
wwv_flow_api.g_varchar2_table(207) := '33AD76B3AC632D74882204389D063BC57E92E96CBCE9A3FDD37B855D3587CAAA48F6A0AEBD724255BB069AC6E2C3F3B4393B771E3C96C7663C4CEC6D1AC28706B201E90E68E233B4A0ACD9245E508EB79FB1EFFC17A314B4DFA64DE68869534CEEE29845';
wwv_flow_api.g_varchar2_table(208) := 'D4A050738488AE0F41B1AD2C34113372183211CB0E9DAADEC51806E94B97546B21A907FAFA7BCF3FFF8FE79FFBF00D4033AFED725E8EDA3BA7EDED57063FB177089A60E9318B1310D8E98C93A0F9F460AEFB184013F53F1C6849C41E19838F2E324C0190';
wwv_flow_api.g_varchar2_table(209) := 'DC149A10DE18FE6D84BE5771F4B41F49D315B82173FD7E57170CAFB7A6C684F028DC42436080C70D7D1DB0C2CD99024B4E07F0D1F701B8117440CD9F0CB19192728C896A30262AC696C45C6EE631152D7A6995B0BCE42A612E578379423B4B940453A046';
wwv_flow_api.g_varchar2_table(210) := 'CF0D81029B8C4680251DD08C3A6039A3097FE099DE0E52D8AC12D9B109440E0B1CE99FB1980F87D72D4290E057A542A3B1684EC594E6C0CB71C5626E33C2289D001F52A4E39A97223615FC761AD132F002B5E9CDD57B368EC3D3CBB1196C888EC022E327';
wwv_flow_api.g_varchar2_table(211) := 'A8683D18BB0A74124C6DED950D89BC73C476E84513325DD084C041F393EA5DC6F5B037DA5A6D9CE6A77EE3FDC7573EFEE73FAF7CF7E5F7DF583CE3C1EDDB2F97369FAFA5BDD49D8C0D1FA1CD44C21C0CCD774828FAF743B8EEB7FF645DCB62AA37A1723A';
wwv_flow_api.g_varchar2_table(212) := '01E30B64328C666F1A5869024A2304A5C6BD6784831B53F781E8C503F2E4437CC73C2908C025F0019A2E320E3267785888BBD3FA2B2EAEE41A7E6C90EFC2A9C2DC9010A1A75023D0D4848482B344F7A31CAFA45D2C70E709350A0B371CCEB58440782688';
wwv_flow_api.g_varchar2_table(213) := '0FE4FACA43B2D02B828F099BCB522DB298B6296ACD3C4B5797A563F389B710D8833B2BA991A059632929AFAD8D2BBC8799A8CCAC4B91596A72358777AB61173783CD80004C7081D8E9FD7C2090FD6A87265807ACDD0CA0C6737E7A430CB4447FFAFFAFF0';
wwv_flow_api.g_varchar2_table(214) := '3CF641127BCAC3F030F6DA72298215334AE52C913242E9BCA2C6381D24DA42D3038555039149A6CCC98D8D7B6ABFD81303FDB88AD849939EC02DE69C39F7DFFFE339ABDFFDCD7388931FBE1E73E48BABAFDCC182D63506FA98F0499FED23E7938FDF0187';
wwv_flow_api.g_varchar2_table(215) := '7638D7FD76A1B9BF86CFB4E2DC69B213629699A9CFBB79F099B8D6C8E0742DEF5DB2059E2C5C6075E356FC344B727727240E7A4340592BA687DCD8B7A4C4595B3FDBF8F0C378ABC586C45D2EC7E39EACC0C5D4004C1EEE3CA5CA848152AEAD20DFA0330B';
wwv_flow_api.g_varchar2_table(216) := '1125BA12213FBCDCE289FB52454AF8A164C4325C51E38801F7934D519B1F0BB7D49CAA36B6F4C3E9AFD35458251A0D99D0CBB5986DD7FBFBFB3ADA2B67920A6361470958D98D15517D3B1FFDE5629FF9768B477F6F262A0E501214492115048480580CF5';
wwv_flow_api.g_varchar2_table(217) := '898F00C347FF1C757A26C4A72A2E3EF2D3EF7D07039BBA53C9175FBB9BD227DE0A014D088392209CD3ECC454784FDD7DE4640326E4E0483EB3F7D2158870BC8843F3279F7CF2D957EE77F600B8D659B972E5E3CFEE69AC7E634473F8B15D9E70531F6E0C';
wwv_flow_api.g_varchar2_table(218) := 'B48F1B077D3002D7FD769FAB2D70AA0456EC5B5F99CCCC26299EF61888B0C15F92B8D63708A43905F9DDB91E117601C29ED4642A2258FD3A82BFB422D49D12AA38ACE4CBD5BF460B7BF49404FC4BB91C0F7387D612DF2C224AFB4EE1CC343BC365FA4828';
wwv_flow_api.g_varchar2_table(219) := 'D215C31CC8ACCBD65964BA029B455662D665E84B0EC71D9095587BAD710796AED76AD7474185F280ACB1BAA5ED44A7295CDC63322D42A53A72D2CCC27D44F98963C776F6A5282470CF34F5C495C82C96C3D5B5D773ECD0A43A16E147C9139F72EC031FF6';
wwv_flow_api.g_varchar2_table(220) := 'B91F1E022CBD5B5ADAF2723083AA488D8DAD38FA9D8426392037365EDC7437307A0863365119B32A77FA06400EA633CA6402404DA6C289839019034DF2879743217CF9F2375FD9F6ECB32E620181131DFA8F7FFEF2D523154F7C7887B57AB11BB1530E30';
wwv_flow_api.g_varchar2_table(221) := 'F7712D4F46E0BADF2632C97B9DCA53734A1C2245C62184F8A89EBC4147CDA0D900598352E13742A6ADC0A06FADF17406EF74974506465D88380581A9CF08BB5371B8382C0CBF1F117A0D451063481FC2B566682832B6C3384834416417EC99092DCB0E6B';
wwv_flow_api.g_varchar2_table(222) := '0694E854490586EC02437C76314CAF8B8AF2F30BA4AA8422D08C8A217090AD0B5F307B692A2486A3020363629ADBFA3747F5C82C1175E4C03077446C4A82341659EDCE1D1776ECEC956904ED78A63AE2004D99ADBCB7FFE00A56D0FA91951CEB36D91416';
wwv_flow_api.g_varchar2_table(223) := '89733E7D8E1A17B034FA695353B57E6A6F7F63756363432C8E36377E37A149F655470E236FC2C33C64B287884D0016942945CEB313532715B30BEA4CA6C081C0846AD5AF1C363B4FCD59FDDBDFAE1EDAACC309FD8F7B0E1F78FDFD3B9A365DCC82112907';
wwv_flow_api.g_varchar2_table(224) := '2EAEFBED23F3D52E428142260E432842DC39DEBA45A7B358744532549D0423C2D269B3CD429F7E7368BA8106A729888C4C2A96599096A949B398F1496B467E098F1782ABA0916B68B2B0259608384247D8AD064D0F507DF3014D872549D60457AA83EF10';
wwv_flow_api.g_varchar2_table(225) := '41332121385E1AACC229751ACCC713A4D1AB22A5F1AA687DBC4A45A20791F971ED20D811039668769BFB734EAC893A205354169203D288D89408CC25B5FDC72E5CB8B02EC76AD6286CE5D6DE5E9B19D0B4B69E6F9BCEB69A93886CE0C788EDDE7939DCCC';
wwv_flow_api.g_varchar2_table(226) := '673E4D86FCDB8CA5CDE9B115310DE9B88DA0A4991940379BFFDFEE98772CA0E2B6F1C861F0FBB94910A0492EA4CE6E9374C0F18A3EB4A0AAF001531D5B6B92A05E05E66683240B7EFCE3E1F88321223AD18A67C7998EF688414B8E2E6011C8C45691853D';
wwv_flow_api.g_varchar2_table(227) := 'C7E9121375E5D2F85620C892AB014147632E416D586336E7F2864393D5BA432AE021B5AF221BAE20A0D765641BF4F5ADF5C866F97AA92A5827F47423D7BD51494720F089B14BB15D59EEC595DF427063C9BBDD4EB497904D9F63D931616E6147862A2D41';
wwv_flow_api.g_varchar2_table(228) := 'AA274642E2F1BFA519A440E8F134A914365E914CF420295ADAD15D5847065EB369CDB9E6447F7F4B4B69ED814013533D8061EE20AD1136DCEFAE3DB113C8441C2BB6DA6C566BEBF5EB56A8C0D79EAF2D3F9F73300FA0A4F6D2DF87028912C8B407C917D3';
wwv_flow_api.g_varchar2_table(229) := 'E97D2683A6F7621F6261DBCFA9BFA3E1859A16FE904C06934113F48D08A44D47D0D4B6ACECA1AA45F7152EE0B059F1C5157806DF8A0CD1C586D4CCD75F1EF71464D072F60399C0185F611994B63C1510C1CAAE8F4E23C52B7D6B51B6A108C395ECEC7A9D';
wwv_flow_api.g_varchar2_table(230) := '215FA7F11C064DCFD344DF11E6D6A0E41D396BF214D9AA60881044922E4F747C52526222347CCEADAAA79279F4FCEBC6820FD7F08BF060E1B8B93CF6A87D58B490BC6D1DAFA8C463426547467086CED64A8C04DC54A749E323931256A912A46989496924';
wwv_flow_api.g_varchar2_table(231) := '7A90A4976674C001B3F0312C36D9360574F7FE9C9C36B556BB79CDE67E5CC1E0D484622602860CE45A5FB8A6FFD80E02E6BFFE75E1D8BFFB8B8B8BEAAF5FEF2DEFE86B69397FE0405FCE4E7FDC61E21C090C15D7C13405A61554E806807ADD80AB257C8B';
wwv_flow_api.g_varchar2_table(232) := '9D36F4E41FC79B0EFB5805689A5B5EADB15C5AEE05790B310ADA254BB69245B0648AF3C2422EC17808AE7F8B4CDDAC158DB9FA3B54AF370F14559F34A4073CB9EDB7E3517AD0154F417204EB477E08983643A7ADBCF2F8B36713A040979818099A6AA44A';
wwv_flow_api.g_varchar2_table(233) := '45EE914909868CB4E3F1E5BCA1D0F414CA6C704DB7B5D65B2DCE56723048193433C013488011E5F1E3A83233A469ABCE06B77661CFC91157FF4B009DD71E6105203A14F0E6792EC13D189438673560F5787417645B85A76D19C44848924AA54949868CC8';
wwv_flow_api.g_varchar2_table(234) := '34A9213A5A1A9DC6440FF4FA14C94C121F011116C1C0D902E6408EB7BAF47C4B4E3FF4DDEF33991E40E3B9C884340A1A59612715B30C9A1417F2FFFDEF7FF7F76DBEDE8F7F09D07CEC444B0B263EDE79C0DD24FBE197039A4F3CF1E434BA025B9F191B10';
wwv_flow_api.g_varchar2_table(235) := '906E6C5B8CED0A3DBCED95EF6CD2A4A32461EE3598B7425D553CEBA1254B1B62004D5A73DA1D1B714C84552773954A2612ED9EDF413AE916A15901BEDEB3AF8CEBB7BDA7967FF9D9C56BB9FC2059892C6808931D2258AB2082151FCC5C2355AAB3678FAB';
wwv_flow_api.g_varchar2_table(236) := '54890669225AB6BFA5E984C3A0A92932949F3617672765E8CC1A0DCCBF6B58E53B089AF9D09FCC8E0E86092564080095246970B02AF8736207E5D2BDDE7F0727AF8B1DB630AB1480D3F97028D3626356076C7DEDA18CB32A783C8D1586D7BDAD71E5F590';
wwv_flow_api.g_varchar2_table(237) := '3968D517586DF545AD4CF4C066B6D9140C9A9D94359DE02498E5B4F4615C7B1D26D92872B151C1DDEF0932175BB379E7BA0B1776AC3B7670C58E0B844DCC830EB6A8F1AFF4B7D41E381005631CA38F3F906927CA7AE3133B349F7DF6091FCC6F891A3449';
wwv_flow_api.g_varchar2_table(238) := 'DBDC6CF46157D54F6CFBEDAFC7F71BFB6D04BDBB9EE6071D0136EFDE74A9ECA189A9990D13979D42DA74995778300A17FA937672B5DEF3DA53B78AFAFD31B177DDF5C4B6D5DF1BBFE1F5938D178149777782A600941CF78177C410C14204ABCEAE5A151D';
wwv_flow_api.g_varchar2_table(239) := '09681E47D24C2ACA4E8C870B475ABD3D6B229CB8D327F59EB66547A7AD4AC82F28A86FC5FFEC95AF0BBDE49105B9BBE367A3B3835715144702A2F909D17F3FBA056FA272600B2A3FA3864BF416E510C0E9C4262F370BF457F02530AAB56F202BC50250D3';
wwv_flow_api.g_varchar2_table(240) := 'B32AC50A812004A5B000F72BE61A08B977E56A3435D0F217C2AB93D89B3D3D909C718173CD8916E011F03C5F6BAD3D919393B3B3FF7AEDF9B683C750C1E61CDBB163DD8A9C16353EA1A276DDBA1D2BFC7DDAF0ADE5B692B8C7A2A0D86E6CCB71B86DCC77';
wwv_flow_api.g_varchar2_table(241) := '65CD27B66D7B837D45C9545DDAAC25C69E1AC81CD76FEBB7175E18709CC9952B814D72A2DA0AF5A4F50D3F4C0E124838684EE6E396C831D7ABABA2ACF9DA2D2FE91FB998C9BA8571FCC687B72E4D10DD7DB1823644319067E0E929CB4FD2EBA509891085';
wwv_flow_api.g_varchar2_table(242) := '549D532544A6454BA57A6B81341B43CF8456AE54E5B9E460710D12AF3BDD8A9EEE383AC9C88424A921631555BE439727F505D12894B3A393CAEB13928AAD326BD1675041F8E9FE6B9317926AD6CDB1E91C5EA1AAA57BB3BD7B4F29C14C87D40C28EE8EC5';
wwv_flow_api.g_varchar2_table(243) := '589D07C74E5FC8284E72379E4601FE1E170E53699A0416466110E4081C5F56D7A2443D98D3525ADDAC8538E58A633B89BABE03F9F2D80AB0F1FAFBB42D07193277ACC00DAFF734757323D63FE6924E407377AC513DDF8E47871410411359D30ECDF93E6D';
wwv_flow_api.g_varchar2_table(244) := '46E44E94BB6FBCFF6D1821DE0E3651F99C52561ED944D87C3106A798B10D5B15870422EE96DF9DB9DBD8BDC20A274E44D6F4BAE52DFDD16A1A7F8F6368020E671C37890894B532D7190944B0ACE5160BD4AE744549AAB38945F505C5AD569BA5C45ADE5B';
wwv_flow_api.g_varchar2_table(245) := '602832D31C8630EDBCC0F2C4A196AE46178CEC0AD1D734B49286F8E37F5BA5130EA51C58ACD2C804BD3EA3C8622B68ADA1A3CC57E19E8BB1402EF44590366F199B786DC18DA72BED4B61CE8A967B9F5DBBD67E9E49C4602016EC2105C4139C262AEC3BD9';
wwv_flow_api.g_varchar2_table(246) := 'B79A9ED90CD74B472C83FB5EED893624CB13D06DCBC9DBB9621D9223FEBF63C7B19D2D2D48A7C636209362DD2FA7FF320F82B3153567CC66CB61881843979DAEF09D279B285A1DBDA69F336B02B08CCFF7F6BBDF1291BCDBD0A5DD029BE5B28BCBBDA0E5';
wwv_flow_api.g_varchar2_table(247) := '78654F66006C4CB69E122899028ECBFD64168ED74DA849BE00346F5980EE6AC05DB1575F1BB7D0444D4EFC733767F0B11B91614AEB241760D482816B4D497E627481B9ABA6067A58A7852142DA4192AA3BB2143448DC9D05AD2132A33E7BD55915A63C89';
wwv_flow_api.g_varchar2_table(248) := 'F1C7CF651424B0CA772851EFB4C5AA2B878482E5748DAC863DB0978CAD417BE0C333C129CC3E3A367FE2786D71F187A332D8136C82ED31C2B5D97C60801982EFD4A9A4F71E142EB6BFEFB8ECA888A1003218640A1CD05CD690A9551B617A4C75ED4172B7';
wwv_flow_api.g_varchar2_table(249) := '39B66EDD8A9D797968419B4BD590503C08A83EFAE8BA758F4E87280D96958D5D5D664880CD0B8488D7BCD4F401AE8E98D882A447031F5A9E10242731356306D76DABBFDBC8FC0F7B570214F57D463B2D46837288B69CA2088AA254A2025E889C0ABB8B08';
wwv_flow_api.g_varchar2_table(250) := 'AC8078007219945D11D8E1924BC01345A2DC4EC10CA22028DEA003E8605494815434320AC3184727418DB5B93A9DB6EFFBFD7739E4565A21E59B8ACB0AC4226FBFEB7DEF51C863B9B913645ABA7C7AEAE8C2B089058A346B7205AD318ED767EE8D8F8FAF';
wwv_flow_api.g_varchar2_table(251) := 'ADD11BF8694B5B9D76D9D3B523159AF2BBD0ADC9C8791406F371EC010E007788C5602415452F0EC9DD272D06E54842072A20935818DF5D6D208311C727806B3A5407785191867E9272E8BDF27251F976E5F4B1C16D7B48A51158F7F1CC631C13B09CDCD7';
wwv_flow_api.g_varchar2_table(252) := 'AC16A320380CCACB5E79116BE1016ADA814D50303BD6929824009AB3D0C4A2E36464239911208249FD6085B2B7236F42FA2EE1B20F2443108A5A19E74E669C3C79D2029B10C5CBB0BB5154D152DFB4FD9CBB9A9ABBBB1AF4A2B482618D8DC3B0BB3A445D';
wwv_flow_api.g_varchar2_table(253) := 'D08560BB367716C6A0690D671C8C7F58E36961415B4EC095ED5446FA9062A80266014557995DE8DA2BE06048B1491AFAD09BF01827BB5E3F9CF56045FC8B2726031F6FD6E4D9A68D381BD24ECD32BBD9929BB16815178B664813E7BBE7601C94B8C77F82';
wwv_flow_api.g_varchar2_table(254) := '0080AC53237B0164A22E8DA45892932311E724492C05C5290FC5913958A474A7DB4A5149BF089A8436565F5761F18160C2ECBD85D2971BF7AC5BA7D9C94C23760FCC6E8A2000C5E0D9456DDDD8D3D3131913052CE03E8F5C5AE4E099D26E79C34C6FB388';
wwv_flow_api.g_varchar2_table(255) := '77A0408D26E780109C10EC62CB161DB3B54E9EF4D5F2F5D5B2080A0ACA8042545090BADA26A873311D37B54D277DCA8A52024FE19C9A8977E9E867B3CB69654EEC5F51CB82CC713418E3403D4891419378420C9AFFBF7B93AEC788450771B9895575F8F1';
wwv_flow_api.g_varchar2_table(256) := '64377CD3F3AD1C3C97D3A47D12C464480C673EE40B571EDC3926EDBBC1EC80FDABEB5E858F58A6D59C1320E7C9B2E6520488B3F4EEFA085AA42071F6C86927651E8219E70F32C9D3A04351805D6261FC89123830254C18B6F5BA117628FD73FAC05540DA';
wwv_flow_api.g_varchar2_table(257) := 'E44C184F71A821EDAD5EE3C60994B1EDEE6440E5FD704DCD3DE157EEC372B0C4D4CBEBE0E1835ECBBD8C0FEEDCB96449C9B32FB77A8CA53C09E30492FEE3FEE6086E06B400AEB759D87BAC2064317C42F920BAD49E02EC0095A093198AD0343DB90548C4';
wwv_flow_api.g_varchar2_table(258) := '313DE172FBA62D8026B0B9697B467461C991AD0E7371AB44B846DAD4966959AA300F05E6F3C8243132089A742446EAFF586EE635FC5F9E83F504CDA2D869CC70F9BE55727E7672A2C3D2A59E9FD1160CF199A7C144A3AD3BE91B6C153E98FAF4D8D1DD95';
wwv_flow_api.g_varchar2_table(259) := 'F746EA009CD86ED2B34859008E44D75B9D5B9E643AB137D61C6B0459EEA14CF4A70E393D40AC23403F489155ACFD0654ECB0AF64BCA42A4EBC1BD3A08E2FF8CEB90B5AD3AFBE3A01D969E986F3ABAA08F0F7A6E114E11EFC7A217B7BFAF4E9E7CF9FDF47';
wwv_flow_api.g_varchar2_table(260) := 'C0BC77E3462C4001479A0651DAC4C3F66A1666D23B70050671BC807878DD6443501623DAD2E0687DB2F952B0C90EBE8C76534BD1172D67464686BB3BA089A9109049B165FBA68AB4929494536B707C8F37A40516AC41CEE500A0D4226736359CCADAE834';
wwv_flow_api.g_varchar2_table(261) := '2B2EFB24CC0645087C21700FCAEA76FBCBFFC6B50C067AC27F10152D57FD7C73FAA1F845445148D8AA19382622D7058F45D7F65D475982A02DCB602435FDFD47EC007C1A8E4D7A2493BBAECA0D7998B46F5E3FF2236838D111E296DA00A9A8DBC70E1094';
wwv_flow_api.g_varchar2_table(262) := '1D68DBA809646E3CB30F9AC1B4A39CC8E98E80F4774B0985AF92919152C79017E7D45F31ED4C7942E691A50F5E7163727932A3DAB52E760F04E3F7EC8151A526020BD023AC841D0768AE375D6A2C65C44E01395307925B3A44D6D347D6242F3E8C59B1DB';
wwv_flow_api.g_varchar2_table(263) := '2CC5B015281D43A477644D70D3319925942275BA6F72E79049C6E4996945295589F6360E81471C88E6A97F51519528799C483BEB3A89E99E00411268D15E56C11752092E73CC3F7EA5F2A81ED466CD36988D78A2E7876B91ECBC7F4F9EAB7FAE4419DA95';
wwv_flow_api.g_varchar2_table(264) := '87F00C235D97AC5EB21EA716606C276D752D5E525554F82A7CCFE00AD411FBA2875DC5AD1E61026168884DBAF67F4BCD15A8630D204460D0FD4307834CEA366137B6EBCD4F6FC5B906F33F4383C1CD89029342CA93E8D065DFC3A44019F56F1FC6BBCFEE';
wwv_flow_api.g_varchar2_table(265) := 'C34E7DDD9C39BB70323371E983429444B290974667AF72833F028FA07E414BF30114D8D18AD2E63320407F8C0E10198FED09F89B0E8963485C765B00CEC450E2EA828CB0EDE2B719BEAA34584D888EC763D4B55BA0E6C6620B306A119C6695981F5D8A21';
wwv_flow_api.g_varchar2_table(266) := '2DD2E6DC3545E9801F37E7E9446C670728A1C9B51554E6AAE0539E9FD873E018901973E952CCFF3934319ABD52743A7CED3436AF7DF3CB9D0B51A2DB3F3AE5447A47626421168BBCC37244A2B0729CF2FD14BE6BA44E5C073D9EEDCD020CB9702C29900C';
wwv_flow_api.g_varchar2_table(267) := '441C887A539C846083F261014BA375B16F5F1AF2BD8B5316AD46CB7A0B093325D7DB4E18590CB1CB30BE20E9560A0EC9B0DD2F77F22E8F481287DD0F7F130E62BED1BC257723AEECE983F286DB868333A149F0E0C1AA6B3BA6135B1DB39FE97BB76DBB79';
wwv_flow_api.g_varchar2_table(268) := 'ADA868D11A1D183702984BD657552D294C0F8887B5908E2E654FE45250F72A54895F07E62B90B9E99C740604F376B573286DB51242DD129A7C926F5C3FE20068561595F9902650FB6E13D5AB86167599DA8EC9653EAAE4B5A0127D9C7324D5AB69DD5FF0';
wwv_flow_api.g_varchar2_table(269) := '7F0F4D76B979FA0A3B5BD07CF3CB8F7778963FFE682970C69D90C0D95920E039D959DA393959F22D05DFAF1BB1739D41920D8C64C9AFFBED168D7470C16C3ACFA87F70D2C9D612A8B8775E5F0E3EB0AE3CF1F81F9B9D2D7F09C15D0BA6BCC54921216281';
wwv_flow_api.g_varchar2_table(270) := 'B39FA53009E67C4E77368B8BC578F5148BC422436741A4580886FA2F3FDCC7C9CC8C25570F16DD0FDF83E6B3B77FFC2B85372144BC782F6EA469809B9535737AD65E7DFD6BAB721F4660BE9AE8E0706A554E796E444AD1AA6B01F03241A0D4A5D4A91F7F';
wwv_flow_api.g_varchar2_table(271) := '59D525D405F295BEA0026DC24AD3FD138BA6A6B3970AF66FFAE2AFDBD5149531E2B1882EB94515ED9AC4C4321FC85C76644C66A789B5098E4EDCD087D216A5A2B1923B9FF1DF9DF9DB55681FDC02E53E449238685EB8BDF9C2EDDB86CE776EFB090477EE';
wwv_flow_api.g_varchar2_table(272) := '0804E0950923857C67819DE54F1BFF1FA0A9C91462190441E7E90E4DD674AE1F68E2C4369F9443E438A01A74F7FDEB1FB3E4BDF0CDDB972F796FC384E02980C01769C7E31B82F3C70BB97E3DC4FCCE0527B1A5B928CA121EF0740B4D5E28969B0D25473E';
wwv_flow_api.g_varchar2_table(273) := '852AA7E724E3AB45F7CFC4CEE9059B07D6567E770D875DB8F3E214D8B316ECB87B177E8D8562EF90E26BD78AAA4A92229D4491211149B98511BABAB444D165EC1E1D9BD084D92E900C27686E07330F44038BD4E884E682B3D8A250DA0407415D3D33ADA4';
wwv_flow_api.g_varchar2_table(274) := '6A8D828D4DBE5B02722420D8199A8A740E0619774EBE2BA1BEC5FF18E7259197B9FF92D988ED88862EC0D33B2383A621D98AFB99E3A482EF0D68C2A798CF778A14F19C79605A0F306B1E33F14798988CC8119BFC1C69A329C7CEA7957A8226FE8CE474E6';
wwv_flow_api.g_varchar2_table(275) := 'F58F4D48BDAE5A85B67DDE44B2C784C0CFD20E700E58464829F0CB6FBEFF85F7D22E0A772D77FCCC4542671CBCF0611496737DABE8C29D3B860273BB3091E19DDB387FB173BE7DC7D9D2F9CE05EF7D64CE4B669BC6074D4F9F413AEAC56D3BF6F8C109B2';
wwv_flow_api.g_varchar2_table(276) := 'C331C844CFA41BC0B96B5679F3442227A1B85C22343714082373444249C44E5AA2E0C63A9BFCBFE04C85812AB0A98A31AD1A85BA4FBE5559E67E2C3931093A77D2C2429D0C381C93EDB3DD425D342CF014B0D951D092679876A86328A747AB5D562723B5';
wwv_flow_api.g_varchar2_table(277) := '1FA8ACCBDC7F7ED9EF468386B36CC4A3D9F0839313A0684777837651424B90B605DE4E96B0B7E1995BFEF21DFA807E03E25D47AB7723AAAB6BA04E32E2D04952401C206690A8654FDB11465D1F88B21E13EF814FC96A18639AD2DB4500A7293E6B505953';
wwv_flow_api.g_varchar2_table(278) := '092764F77FF8879DE14B01F949FB39D3AD0B3B78E1E75C2FB6DBEC879B68BEA8DC1BD45CA095E77CE1CE6643BF0B9BBD2330C79B0F531298341A7B3D4313D7FB894D51D14EA9D0A9F1CAACBDC0E6DC3585DE9676B81CE53B5942E58BC773121A5EE08798';
wwv_flow_api.g_varchar2_table(279) := '626A8B7A361B6F41407051C63197AD5B687045100113300CB64A744CB0B0D682F734FA4D7082E849EC46542E2B56F84229DA1D67611D53204053D9C5D1C61E04065069EBA08F0A644AA1D934DA6A4A439E35239A7BDE7CFFFD4F3F85E43C4C0A8B0C2B0F';
wwv_flow_api.g_varchar2_table(280) := '416057F03032322457228AFC3EB6FFED09C9DE57B7343636C621F2F276D7F89B8CACE526E9E74911318F0CF87ACD6EA023708CF7DE8349DE2D05C5CF803CBE903167CC9FB1546A8AF02EFCE47A0FA5C079474E4B782F5FFE436467E8672E80F8011F56EF';
wwv_flow_api.g_varchar2_table(281) := 'A0FC39E5E2245A288912D80924C5623CC5372485044B9E9DB9B37954F122B25120BD4B1C99787C79628E7C6FD8C44A9BF30F857E1B7C4AF6CE5CC9A0C9E33B09CC913205E6B822B5DC7CC74F624AB5ACAEAE3ED69CB0B3D52612ACB65B5A5D5CA6354153';
wwv_flow_api.g_varchar2_table(282) := '5D2BDA668C7D30A9E5A19475DFB4690BD69C54DBBA9F4440E8400B0405CC7DA4A141443D40D3263B3A0E3F29956BDB7FBCE41BF29A47EBD9779470F6C4C6C69EF9A6D02AB1A868DFA95333661818189C8243317441D35F85CF19083263CEB7B6B65457B7';
wwv_flow_api.g_varchar2_table(283) := 'D6D72B2BA7E25B8ED43992C0A9B9F18652FB38B6CFEC8656D4142ED163FB4C990C85B0E384C9027316C3A3F53D8113F322530A8E7C24FB9D1E2D593FDF08AD6DEE0F6FDF7EFFDD4F6FA32474F09C931412192909294FB9BE2F37221094F872D7C088B048';
wwv_flow_api.g_varchar2_table(284) := '711886EA21D8AAE486454A92520C9630AAA01CF3A50E24E642AF79F3F9522E6B42884641774716074D3B3BB19867696E67670ED423113B4B4CC7C0A8B6B4740569938051AB0C68822A5DF9B84E6BCBA62D9FA82B86DA8CB1299D0D3E41704293DA764673';
wwv_flow_api.g_varchar2_table(285) := 'DFF405AE374F6664205F4216DA2283E98BB41F9A20EB3AA6D535B63CF13FD0795265F2E4FC68D27CF71F09B1EBCCF1B4FC44078CE63C66C14D60A78DA35BA8ADADEDD3863EEC59C7CB1EC0C73BE689D9B2651B0EB534C641F805B9B3FAE8086A3AE79C08';
wwv_flow_api.g_varchar2_table(286) := '94DD9AA0CFEC039AB26910663CBD6E4ED059CAB57FA28C2B8424CA95B54A9DBFD2A2553DC5B59B0F6FAE9E410AD0C5F71FC7C2CAE8CCF39479330CB606329E5F20987E46F8853730F5533A02E90410018DAE43BF1635B011A4F8401594FDE76F216BF63A';
wwv_flow_api.g_varchar2_table(287) := '073C53E2653C752A67A4AAA3BF77E6E1955E4562A1B7282444241298935289806E52C38AC6E86607046CD3D7073675ED4353A934DADDB036B6AE62D3F62D9F58AB64CF5D330675AE86465959A61A940EC00E72DF8E9BB1208C7CD065D230D717CC03888E';
wwv_flow_api.g_varchar2_table(288) := '289322AD726A2A9556D51BCCF4C6BFF30A6FF6DB751CFAA06DCAE3B2502805CD75F024399295CCEE96F444F47A692E4DFC8F9A2D631776C4E2308391373D69F6042D270E6549E6C57FA480F3D8DAFBAEB2BC0509BD7EC63574C6B9A4676C42B6F95D51E7';
wwv_flow_api.g_varchar2_table(289) := 'B124DBDC0E4EC016EF7690199676A44D5990C2ECB555A6F3267A82E9F07C23FC37E7ACFB12AE2693E1F20EEBD9FE02FF458C983B88EFD3FAB08E380D81B69D5E5E2545566425BD77C74AAF53C5E5E5E5C5B8AB7921F2168784948788A3C44911BA3AF66E';
wwv_flow_api.g_varchar2_table(290) := 'D9BA600AA5A7BF7ADAC6CD13F4A6DD6BCBDCE2AE8656D3067EF3568E6570B40E6E42257BEEA46F057ACC4DE72C34B819AC8B2DF87D4DADF8C168CCCCD488ABCBDB8DAAEA680FF3C2F123E507E67F1CFEBBE35CF2134932DA6BEAD4A93BD724871236E37A';
wwv_flow_api.g_varchar2_table(291) := '54C8D35B0608B634B61E32D3EBAA7EC941F668CD6EE4CEBC1103CE630DDF5D5BC5051AB5FEA0C98460BB6393300BF099766D55C93C5EAEC3B1A42B38E57A0C809858E713A12BEBF10C743DEA848F40EE60328C2DFB963C90BD18CC976BA72DEC92EFF336';
wwv_flow_api.g_varchar2_table(292) := 'D0C1A16AEBB36FEE5BE9E8EA64EDD8917575494949554949C4EA92123861179554810F561851A8AB63030E2D49B8BD69B8B71663783DFAF73E50DDCC5A4DDB354BD05417A6A5A747FB58E316A5E2516D7AED239FA0935AD8676A83B8EE98965E5B5F10B3';
wwv_flow_api.g_varchar2_table(293) := 'CCFFE893D6D6BCB6CA06FA0223E2076398C4B296386D371BD28CA6809A1ECDD020B0D4835E8BDE9343979AEB339BF6F7EC460A7C1EDD9DCAF59C6623E172FD5803B22697B7C850BA5F68A26EED8E4D8C6F4DD936F35D9A5FC72A548E3E6435FBCC7E197F';
wwv_flow_api.g_varchar2_table(294) := 'F805117640935380F6C09525F3881E80EB0ADA5B2932492CA1F780E2E937A79F7FB57157F8715DFDACA92BB374308A050D680D1D508F0114E9B1950ED69D883108BA75E880FA31B3F367B13169722C7C01C1CF4889B8362D1A179CA969E521687AD31F5D';
wwv_flow_api.g_varchar2_table(295) := '7E145D5616EA86ABA674496DDB9365E351B13EA93EEA3FEDFF825D3674817EB155E30F68E8A5411AB456568E2E3D5DB88EC7BFC97E756B6BEBFDE77B1BA8E9D5E4A5D2E57AE3A19160588AB6EB86919C2C06420D003659FA93EB9C3297A097EC8E62D8C7';
wwv_flow_api.g_varchar2_table(296) := '777C1C79012E6263A201B08400CD5327E670F4DE1993FE8818370068CA019A1C9D08395353BEEF01606C78383411EE1DD7D53D0CE777107EC02E900532296E47F0560139933D733C765AD757E846583B2AA6158AF910B215DA453D4C878E506D524E14B6';
wwv_flow_api.g_varchar2_table(297) := 'A3E5B52FD2931EBE780169BD8751829FC2D78EA7CF1869A3FB6111E337B4AAFEC136DF4601215385A94A74D456EEAE5EA9175380AD32E2ECA15E17C4261C367D9A2F6D180143B76ED4F6FEA0096C9A7661B10381DD53A6CC8E6F222988741EE102D6643F';
wwv_flow_api.g_varchar2_table(298) := 'D61FB368EC2CCFE7BB585B88BBCDE5E3C8342FD0A81FEA2D90397FACB49AED77232D7FEC0066A4A8E7F575564E25C170D9BF3D33C3C5AE4487C8B3F68E6EF60A73C7241EBFD2F54070BC7F655EA6B5A263D135A11F5F1C6568E814592E71025545283017';
wwv_flow_api.g_varchar2_table(299) := '88BD9D22C3BCEDECA242C490EFFC619DE66FDEBFF6BF16E38FB6D4E192DDD131DFDE9E8EF3C80CE5D4A94437E5B86E9A2D2687CE7EC241B3F759F778FF9A3C04DAD10D2869A7691EF0A7D01BAEAF9960D0F6C5BB93EB797D4986406CFECA52E61264C71E';
wwv_flow_api.g_varchar2_table(300) := 'B3189C48B0C7E8925FD1721A8068DB8FCDF5D8CF004DE911E63770C2F8E3F2AD9095EFEB3504A6D8A6B81795C9920CF49FFEFB6D3A3B77029A32894B5D1D64CBD20030F3C09B2DC5ADBD3D19DFE01CE2DDF1D9EEC6262DDBC4F56196DE4962673F435E14';
wwv_flow_api.g_varchar2_table(301) := 'F4CC9CF9963C731EF8D8E602733F3FB0170CFD9C3968925BCED1518EECA0833C4BF2DD6C11A16E8E80A7C2989DA76678E984BA741BD29A9DDFCF90A95EB001A0ED159B47592C43412B3F27F631118530981BA6ADA7E6C6BEA0D923369588C54E7D23C878';
wwv_flow_api.g_varchar2_table(302) := '00E622B494BD229BF4833A3F0158134908C0EEBBA09DB4FC19BA45E93902B0E9F5ECAB1B4ABDFF2DC172A0978B8952E98339039E00B62543277CA70C9AE448A49B5D1A1C9CCD6EC2C0B7CB4F4CB4BAD203F744FE684B7D53826362184F542CE1DBD98114';
wwv_flow_api.g_varchar2_table(303) := '71FB47D0922C0DF97056B980ED28CFD0FCE53FFEF19241D38479CC8D2A00BD871BCA8967CFAC686582A11AD2A7FD188779F33DBC14DCE095A0D7B5F4BDA4CE41B34FEEC6788CC26974CBCD025FD5C5D5D33AEC89D9B02C698873D057FB26D72ED9D5496B';
wwv_flow_api.g_varchar2_table(304) := '80B98E902F10A31318499FEE119AF8D5F529E603D60F32C7CE1A372965A366FB69CCD6CFBC4A9EDFE871EFCAE5CB45C40DA4ADA64CF96B80B1F68AD59A539E5E526C2A30227B69704282ADBD3E1E26E7E75B151DBFD2A3F18DDED19626ADE86409419317';
wwv_flow_api.g_varchar2_table(305) := '15054212C8BD044D43679C4CF0F19425FFE53F782FFF0D68CA37B46136382ACEF51E81EBF72F9F59B19509E009936087C05B461E3B1D5DE280CD4E769AD27A565D1D53A08166E4D8E36ECA24D7940A0AC870E4094DEB1B9A6349E312DBFC40ACF499ACC0';
wwv_flow_api.g_varchar2_table(306) := '915B301A6264F8D520B2A3E90C34C21346B7AE1B5DFFB407E0D0DBEE652E9EEB3B6942E9722B3803B203E82F3D969B3E7BF7EF29C74847A6787DC05F84D9FE71276C349D1DB839BED51AAFE5C6C60C9B5871523D9B1D7D5931D81E9DE6187845173EADEC';
wwv_flow_api.g_varchar2_table(307) := '52CC7666F014342524BF108A235E082512A190E70CA2AF40888B2567B00BE9296FBB972FD98DC4B4D8A72ECA71A359F3BD484138913F5D2693F4857474C98DEB46A720224DF4011CA11FA39525965397583D6B6DD1DCFB1408003631E9D875FA573E758C';
wwv_flow_api.g_varchar2_table(308) := '0E5606B7D9A7BEB1DA9FFB633DA4D43FFF6E78047EEEFB866660714E52E091DCB06223C80AB88649CA8BB7326B7614B57461A2641491EB9A92846DFDBEEBF8800EF5CA7E6DAABB24DACE8FF18910B99CF82574DC3BD2E6A9AD46DD6F43B1556421BB4343';
wwv_flow_api.g_varchar2_table(309) := 'DCFAF2047DDEC002A0393E77E554D0E1D7D06096C63FF8ADB6A24239347B9B3E264169DFBDF197EF8DA379FEAC4F7EE18BDC92A4B0F4F49C1089481825C909090BA307627AAA3CE7EDDB1F62D1F76AAE3B1E5DDFFA44AFAF89F19C390786E10BF7300850';
wwv_flow_api.g_varchar2_table(310) := '9E2BF3E2DA99C82E8E2581B7AA6CA0A306FA00DAC69A6AF40A79BB1B9BA99E55CBA8E8CB82DAC42C0644ACF691D0EEB6A74FEBF2E2E21A11E4686DB281FE982B77FF3C0CF029DF1F34E14D222C4E12988BF74156208467E90DFB5BF62708E00192B396C2';
wwv_flow_api.g_varchar2_table(311) := '30212E9ACB53F645EC0B0CDCE7BAF5C83ED72348ADA886FB44A61131EF642A3F5DFCAEE98B1BDDFA0A5A7932DD90E5CB3DE4DE253920694333067575BB8335523C14DD07B13E94BF777C0C26B4C6B4D164DEB7943CD31EF924440740243C39F96943EF23';
wwv_flow_api.g_varchar2_table(312) := '029398824CC7C464E25B23D2D26A6BD3D3887E905EFB0281DFD28BAF84C7AE9B234F7CB3BC9698BE766973369E08AF199D13F5324CF77FD2925797AA2D655825579D7248CCA71A17AC47A2DF51E0048F64D44E36B7007BBD04B0075A2DFE19B80C7AB4A6';
wwv_flow_api.g_varchar2_table(313) := 'A6E15E434DCD130AFADE2F8B3984D12D87CC6101CD5D7D42937C30EF6C968821D282BC1029821D91777187691F7928E0CFEDB03E1046864509451026F096844445E5067EDA77D6FC5429A55C12562C93F9890871C5DB0EAF3F392323A323CF630F48B7AF';
wwv_flow_api.g_varchar2_table(314) := 'DF2C5D0E814A10F03B900958AEC77286B94048D9F346B76E700727838526A8B458667249138FD26A1F3D4AC7C94932DACCBEF6E197324B6DF26D43A37D60C6999AE093E993F0C8A7C2B7E2F2E5CB1515159915BE97BF8B9DA349AABA9AA07602E37D79BF';
wwv_flow_api.g_varchar2_table(315) := '3E7F9517337AB1D973A0F86CA86CAB4BD5D0A0DB1F372BF0DD13CB66CF666EA5AC05C5797BD0F62F10EECDD57D7C9F4155DE60B6ACA3A43D86D0A338C6DA563DE99F0E93A4C9095DF61640084CC27EC485F99D1FEDA2789015B870DB8F976BD469B3F229';
wwv_flow_api.g_varchar2_table(316) := 'A07B070E62763C1C6DE0708B4FE7CD1043EB179A47243C736C1E528C8CB6061E89100BCB61F307ABBF08245CFC317CA6E72D297E7C4F5EDA1296788E33BE7A951A4A045BD974F01EE4E6616BC2844BC85A61509AAE980331682AE8B091ACBEC24AA05401';
wwv_flow_api.g_varchar2_table(317) := 'D84C2FB44A3EFEF85E9F5F6CD9A1B86C1B47984A6BA9E1301322D0EC0C2CC8D7176AD09068C74558F39BB5F2ED7CCEBEE2DE957C97FA16B3DF8D462F217FE05E655B5E9C06D0A9ED685575A42A4D437536912195E984D6C547CB1791A1D6F77C1668C47A';
wwv_flow_api.g_varchar2_table(318) := 'B98FF1EDF022511234FB30813642D6C4C4118E9AF0710606EFDCB96D98D3159A2238D6FE788167884D1EEE2BEFFC78C1D9DC50B44F8941B377D37840DECFD0CE5B92131111026501BE79246CFE2448BCDE215B19533DC575F56A088ECA887555CB0FEFBD';
wwv_flow_api.g_varchar2_table(319) := 'B90AA912B11E9BD1CEEB174A9BAC96DDA539582E1C46B47301CD1D2B48DE729B3E1E039A586A0299D866F6DDFD9954D7D92BD8673B3A0643D95DDD826C4DC8221ED2B3CAB665E0D2FA9E7CDD3A3061F6F10D752E7FD0681D3DD9EC1B9C489D71A9844DC8';
wwv_flow_api.g_varchar2_table(320) := '165AA5AA68FCC1259428B5B665C1BEEE41C169698F2CF69FFF0D7D0FD16B06CEC3CC54A9D78216DA58B76FE3F2DFCE0F18BD0D6886748566144FC8FFF136CF1083494B3FBFDB77FC78763CB27DA733B34FFF49D10336D1A34AF87C4154A4774888D00917';
wwv_flow_api.g_varchar2_table(321) := '5886DE30B8A6DD83A1A058895DB2B8EE5BBAEF9B39B2EBA06FAA0EDE5D841DC92AD0F1B1290132BB5CAB1DB97543DA9A0E1A9A489B1376EC7DA080CC9935F5F753E72A2081E272FA78657F12E17A35AF6C20F19E7CFC55998F6F86B5222A2C5C74523BE4';
wwv_flow_api.g_varchar2_table(322) := '665552045AAD85DAEB4BC43BE937C0EEC4A0B0F5FFDBCA6F00E03CD08005314EEC92AB6E3DCB87E6846D72A255E81FB49533D5B69FF471734C08FA4DC9B81C88BDEFEAEA4AC4BB1EA1092F4A2C06F8964281B7900F5901380C0992943A43736B9828440C';
wwv_flow_api.g_varchar2_table(323) := '654A27811D8CDFF9D8B43B8944494AA4A1650458F60ACDC05C91004ED4028998C7371738593AF14808C85060C77B68C4B1FCB05B3EBDA77D8172FFAED7BCF933685B8293B1AE2C07A367CFBF398194397864D2F6041CBDACACC307B1DCCC3A3CE1F71314';
wwv_flow_api.g_varchar2_table(324) := '98B6A57D7EFFBE6F268026B84257C2CFDC4F7BE41BA4C250196AEB12EA6893585592161D1DDDB4E5F5AFFD6393BE529CF2ECCCD1AC390074FA1F053AEBAC8EDC2829035BE0CAF3D36E3852B776FFE28B200DED0AF79F0FC9BEDBC3AB367DAFF07F031FE5';
wwv_flow_api.g_varchar2_table(325) := '88E2882E37D272D2206806928B6679527912445A2461613939E5294A1C32D927C0372129655F085CD843A2CC2F6C169563BD92042D67B832185CEF1599F83C58A140EEC3CE92F43EF802010CAE29E35A467ADB85DC5262B244133F3386AB9B8C875F9974';
wwv_flow_api.g_varchar2_table(326) := 'F04F725CD03CA8AB706DEC9E39EF034CB63DC13A73C761E371CB8DB3162E387CF0AA3E0841F6696950EEE9F762A9FA55B2151809748C0F6C32A991D0E47C477B90E2931D5D82CBF2A383CE9DFB35A65F6CE25C296EB64AF3A111C0B9FEF841A3D5DD4F4F';
wwv_flow_api.g_varchar2_table(327) := '3F3BFD743726ACE18FD17FAA04C1BE7F93854AD0B99FFF065903139365CBCC70473D2C293E83393DB9E2BA7EC68CF5AE11C5EB2732282A11ED6D3D9E9B310F4C74F0098C58041A5D0F245981C040300CB8D34A642E864D2368AB07DEBA959223E03B2505';
wwv_flow_api.g_varchar2_table(328) := '064277001F02E5F7793D2293510E28DBE60800C928019FCFF316F0CD79DE68549D79DE391251EEADEB4A24870257457860B463A8D0B817CF3023DA80BEF7FFFFA7F9FAFA0F0E1A3311F7C53B4C4D57EBEA58BD7A5AD99502D40BE960F7E3C7F4819AE14F';
wwv_flow_api.g_varchar2_table(329) := 'CB2E06D19126C68789385771440BA49C50969CE673F2DCEB5F31AFEFEF60382F55A369B49E1DF8C0B6A632BCB20137D1F29A0D2DF5998AD64127DDB70459AB9DFBF9D7F3D5142DE72F5DC2E9D788FE868271C0869EF35D57C1776822F02815DD8AA07035';
wwv_flow_api.g_varchar2_table(330) := '5D3F0FC09385923488A5674A423C5D9C87A0DBF310CB102EC6CE303530A24E937BB7D3CE040207F3089A7045108B61110F9BBFE25C49645852B93812423FAE1149FB6EC035682219798D9B7A3A769A0C9A25D89F749BF9E26F730BABCC0FA81AAA6B4B75';
wwv_flow_api.g_varchar2_table(331) := '0F1BFF915CFC162C7C507524650DE8ECF70E0C444CD1C4FFC001220A4CBB97971914C454806CEDD17D621F8EB6331853DE349F20B5FDADD867F703CDD43FA836FD962618FFE50038FDA50C8D634466CE4C0DCEB4B0B608527BBD3FB31E11579FB97FFFD9';
wwv_flow_api.g_varchar2_table(332) := '82F31B4C86C312E4FDA5DB9598CE158C9856ED5B1F01EE39062D8B4C4D5D099AC5ABC8695A062C22CE1A18102A8984B3FA5D8A3A47046ABF14837026E04ADA3D1DCC02A216EC3345A3480FF1183C032364E2EB46D0F9C112052CC05B467879A87A163891';
wwv_flow_api.g_varchar2_table(333) := '83E684A22B6BA74D93974213E67B725D8980468137604704C2CD7B87DE86D647D963A69249EECC2953569E0A0C74383E288F38A688D79AE1CEA0C914F31C39A15997D2B4E4E45A0B75EBFAB61A93FEA0A9ACDA3C2ADCF55E41D8F471B1D5D680387E1044';
wwv_flow_api.g_varchar2_table(334) := 'B9318A832D9BA23A7C2FD0E88FDC573BF06C02C7C2A81961FCE0DAAA88084C40F7EEB8EB39D9C3D3C0806068C0DC8064879A8024FE472C9CA5EB67F4E43BD4A1E105FCA1682D178BCB8BCB73B7B2944B6F5C4372651A449F760B2C40264E9EF5D9382F52';
wwv_flow_api.g_varchar2_table(335) := '50F398B5FCEA82053B0A1FC762BEC3A069FCC74E5E9BD472061EF9F2AB13EBB031F9A043FA43F5D1BA20EB4D99391D3A5E5E5BB796C0AD6AB0678597B6B8AB33EB217829DBDBC28A1A115C1A10EC5371D25DDDA7AE0D69B34F68D6B968B4C68CE8F2EBE3';
wwv_flow_api.g_varchar2_table(336) := '851EB0A9ACAD0D2F61EB9316102DA498AD758E54D47E1EC9D00C7FE6419ACA1413B24046BD9AB50306EBE308ABCB97CF82F096D2A7D7AF13E494C8A47AD1121C7499723A967D2AD292B61D86B021767CBE9DB75018B2EF96518A6B8A51A0AB5820C614A9';
wwv_flow_api.g_varchar2_table(337) := '9718EB31691C8C4E7F6F6C6C3C01823D7B177FFEF9E737934ED35684DC178D7FDF199A138F3C7B7E66DD1EE926F383D266AAE35C06CD09305A00D1E4F8DA414BD89C7FBD495D917A4D28D9D884C23B13517139A1E2E4B92FBED8D294DAD620DFF755E2D3';
wwv_flow_api.g_varchar2_table(338) := 'B4D4FA9811A08A312C83A668DA98D362BB0C29438053595925E3DCF64DEE5BCE8E6868167971C09C8AC5BB8EAEC25CB0BD293843680F86CCEB4A52A14BB0D9A1AB45E4B82E83DC1E8FA8C72A81C327E20BA3844EE6CEBCA8F2248948929B2334F713ADFF';
wwv_flow_api.g_varchar2_table(339) := 'B437404F9EF47B694C98B9F82F300D5AB870F1E73757ED0336A7C17D7127CC36FF3416125E6839C91765E387E3921BB4C6E5CF9D3A61CAC2C5702822CEDEF1C1664DD0695F6F52E3C4A0DD12131D153358F892B81E29B867E6F54D2BC2F8F9691C543186';
wwv_flow_api.g_varchar2_table(340) := 'E949EFB00FBD86B6B6BCFAA6207CCFD1F2ABC2C7D43723C342516B7FC10886A6FC9EFB3A3B28B20E43B14CC1867CD2F100F8640ACAB3C6C225DA68E258323021EB7839127197C97BC9319D67CE5B5E8A4F2950A552204A114E76E529B83406C14F288263';
wwv_flow_api.g_varchar2_table(341) := '901DCEFE37C39B041BD19EA1394E06CD299896EE45FE9E327DC1C26B11FB9E6FDC334D33BC0846089F4D9E4C9E9B812018A0CE1DA217DDB67C859553A72CFC7CC1942987578E193C34894EFB1A3AEDDA08DB64ABB20A5F2D0A5FFCA410474825E169B866';
wwv_flow_api.g_varchar2_table(342) := 'DFFD927F756BC1A54331237EE0FF91E2987F434DF5A58266C033C8022D275E16613AAC32B2276B072A6B2F5EFEF6DBCBF1FA00A50D241EC670C16173D244747FB38C0FC2003702367E4AACE194E9E2C1146C1562B5E9FCB1044539763F091B764EC6DD03';
wwv_flow_api.g_varchar2_table(343) := '992D42282068F2200160C97326F720E8A27BAF571A0BE5831E0207D4ED49732F98E678816075F68355AB612FB436B6C818897C9C979769C9F36F860C985CAB67AF3075C2F405D3672EDC715841F7D5A0A1093AEDD920CC22CACA202E1EEDA3A842F44E65';
wwv_flow_api.g_varchar2_table(344) := '55F2D7241676D9E97E741720671C13B3E1D0F943A345ED7BA313D47592A1C52AC5C2574B917A4E8D913D59D37BD29CF1AF7FFDEBDB8B2B48D8D1DED15E41AA2B38D5184058EE31DF639271168C610B97D09507E187996DCA719ED514644044725C060674';
wwv_flow_api.g_varchar2_table(345) := '3F09922B1911A16BF5FCD35857AEA0E50922412EF0BB70C16FB3211FF45A1225E9099993E10FCF4AEB0959EC3C4B9ABB8DA7EF5DBCB7F04A2C1CBEFE386EF9D292FB67D0620E1D30194DCED61EFFAD0928A317EFD059F15D03E6F2834E9B163E656D6D57';
wwv_flow_api.g_varchar2_table(346) := '7038AFA8A5A28C49AD1B9C3829C0BFCE7F462E0F7D04531A27783E1985E67BC778AC54C015C29E53057449C4ECC611BD2936F95BB3AFEFB7DF5E8CBF0973571DFBD26C12442669C195E4A50528C04B0BC4356CFE967F86B522B47E267BDD7D7015399124';
wwv_flow_api.g_varchar2_table(347) := 'A08D50EA7A9892F5D06A047E63C7CD60B82EB976F381F1AC196C0C24F28ECA897212F09DC94DC4992F4941D694EB2EEFD38ECC9530EFDA46499C4B9A94431712362BAF1499563D7B0E63DB7E5BCCC10E581B7D8275D1631FDEB1380016B7AFD019BE47DA';
wwv_flow_api.g_varchar2_table(348) := 'CCACABBC17FECDF13A9F8A04EC37F39349D166B6AA8AEA6C5BAB675FED91EFC73A27C64C0F7BD2D16EF303633C9BD74A5D66FA85A6FCB4612C0D6C525DFF6D055D185EBC783138203E21A154870E17F575E6AED98961102B2875B356AE0442A8D1FB136C';
wwv_flow_api.g_varchar2_table(349) := 'B8C61DDCB1E3AA97A78787E7E43FFD69F2E4C99E4B97B094C926B7F3662C5D6AE0E1B17CC75FFEB2D07896295CD77260281B01CF6749A4F86148A4485C3C912483DE39D8C6D79D35E9F7647B49FC727D280C4893E68429844D6A3DD3BFABBC7266604CD9';
wwv_flow_api.g_varchar2_table(350) := 'C1A7BCFD5AD13A2BE7EAAC080880C52D7ACDF781A6455CE5DA3D1BCF3CFEAE36DA451BD0740434C9A75AD516E765FEE3FB211655D7E8B5AB648CE4D7FA8F1EC730AF1D2034E5D7C6DED31CB6D8D4ABF9FE62852F7CAD2E27F85CC6838CCBF10101F11703';
wwv_flow_api.g_varchar2_table(351) := '90B5081B9449F666011D0802E72464B671CB0FCEDCBB178323E34993B0ECC073CB27CD9A3C1FC2964A081AA0621D33FDF3AF174F1FF799E7C1AB061E9E80F1BC7906579718185CBDBBC860F2E4AEF5AC1C70495F67C2CC050BA64F98BA728CEEB615C90A';
wwv_flow_api.g_varchar2_table(352) := '9DA089C08C26FEBB86B57334653BCC212E1DCEAAFBC0DE561FA1A36045A2B3830DC846A9D7576A4ED384F9DCD3DA6017B7FC641CE2CF56093A69ADAA1D1DD78242B59F39C6DA63B2654ECCA875FC876273B6C66C6514B447C7F7AD131EFEB4AD61D84273';
wwv_flow_api.g_varchar2_table(353) := 'BCFF9BEFD21F610FA712ACADA2A8A885EAF6F2C5F80014B66338A709DD6DDBB28CC78D834CB32C8C3D973EB8197F73F1C2297847865980F34F802670469C813FFE7EC2C2CF174FC7F3402EE23340D3D3CB6B39CAE309F862704990EBA2D1C5BEF8F4C59F';
wwv_flow_api.g_varchar2_table(354) := '2F5E30612A72D7B6EC7C9A4751FB37E53007CD050BF73EED861879794041537E48D26650823E92354A799D5795EF017F9398B39F14D44CA3BFD3DA378D99098EC9700008C6AC3048513938B5B1DAA4BF51398AF4F1E3596D7BA860440F163F7E009BF54D';
wwv_flow_api.g_varchar2_table(355) := '306853E9E39407EA0607D656BEAAFDDE0C3F426B0F1C188E852D5491AED4F9F8621D44030BD09D7CA221F3985D2A9D0729A0B83D6CECE579CA6BEA0469ACBCBAFA268CEDF62E98F27B630C8B50F64AD13979A2911C9845441A98301DEDE161D63A52EC84';
wwv_flow_api.g_varchar2_table(356) := '64C4CE952B574EC536640A3E76520736A9C5641F439FB2603AD68ABAA5A5B69066A6092D9EE4A0397DC1CCBBA833BBC05273CEAE751B3742A46B08D2664CC16BDF52FD6D4CB5EB5583FC7B41F3F5AF66F2DC4FC6F9E6CC68088EBBF9646468F9E0DC37AD';
wwv_flow_api.g_varchar2_table(357) := 'AD61007950CF0C2225EC6562D406F743B1797EBF5A906F50412FDFC7F1C720C1570349139FE6BFF9EF093F73A5AD3276CE70C4E6B47BBBF79F0C229A19CCD0B5C13443EAC88E2ED5E1A0093DFBB93B77EE9CAB0F7D8EBD7BB16D5CB83820004EB0C8A8C6';
wwv_flow_api.g_varchar2_table(358) := '5E5E5EA74E39EC9CFA470A63F4A21EF351CBC2857D2A60B6182D2A10074022F7AE59339765E1AC850B67321CD34889663F844CACF95722C8B08BE43FF4035CB01EB46773A029D3F145D851C8C2BD49F022EE489680E589AFBEBC71E3CB8D43004DA4AAB3';
wwv_flow_api.g_varchar2_table(359) := 'BE01BAB03A61D07C0F60E8C5FCFCF3DF96C930066C6A0407FBF8C2F816A728A7EF93EF495FBA175CBB1A43A2518066C16FE91EF8A304FE35E00C7EEEE70D7ABD68B84385AFED695D45466B75E595E345C965AFAE54E28E454F6AE386072626C362C37C6C';
wwv_flow_api.g_varchar2_table(360) := 'C3AFFB336713FFD331142ABCF63680667C80AE02858E8D027368D28FBFC8C5D75F7F1D0F64C24ACBF4D4A9AA2AFA9F8397E7F2E55E981A197FE631C373161ECFDDBB78E10E5DCC9210633A424177DB5FFEB2974ADA7180319B21CD1A879C395741269DAE';
wwv_flow_api.g_varchar2_table(361) := '032BCB522013D064C4A429595268DEBC796DF5F313200571A864B08422AE12E9410FC90EA9B5228013EDB279D570EC7DDAD59F894BDD81CD26300E4E6628623A0BC5A23E058B4C9699482BD94331C89B40E84830CB19D641BB2C2DADA0B3D5FEF23DBB12';
wwv_flow_api.g_varchar2_table(362) := 'C5A596A5E1C4D6B771775B190C1BDCDCCAF2AA9F983DD9B0611950099FCE184CCC8745C36FB2A1252E9539B56A2BE30DC0A91F101DC0025D272D3C0118EEDD7804D57D0E0ED772AE453C0C494A8AD87A0A979DC89EC8A19EA6AB56CFF038E570577FC1F4';
wwv_flow_api.g_varchar2_table(363) := 'C33BB621B7223A2133E0E2C5809B0FBC3C3DBD0EDEBD7BD00B9C7A54AC2BA968C65C18CECF40A78ECE8A5237370805AC7158B3D3D8F8AA7418741553E04048CC72A8E46029B3B81D1ADF9BD4688C85115654380F3A96FD8D25CD766C1E3ABBDFD737C857';
wwv_flow_api.g_varchar2_table(364) := 'A3EE1B10F0FB2A96F0B1524B39324F86A3B9DEA843F550F872D6E3C23A93E4657BBEC1431A8AAED0F2C9C3A52C652417E5CCFAC6C6D6E6D6434F8E3E69696CAC6F2E3844BE281FBFCA0541B82E95B8FB5A44647109C5297042053842888BF12BF4F591CD';
wwv_flow_api.g_varchar2_table(365) := '6C184275B2B76D5B413FC20E85517CA1C4C92E2AF2E1BE88A4889494C25545251138BCCC7175C562F3EEF4C3597BE341317A0799F184BE076B1CAE5EBB19B0E2EEC1A9598B3F875A16E01EB08DAA648834171642C035D92AB16449092CFC0D4C1DBCFE48';
wwv_flow_api.g_varchar2_table(366) := 'CDA9C744259C6BDF002809951C2C3968AE931F22FBE304FC7509998FD7BE0F34CF53D2EC8CCDE64C58C4D73DDEB30B29B36F642255CABC595B3053D41B5D6E7E70983C69AC072FA8A995E8555D9DDAF0329C4769081AA509756D956D2E90E4434AD240A8';
wwv_flow_api.g_varchar2_table(367) := '2A02A079711083D1506CBA14E30FDDEE8F3F1E3A0695F954552D9460162ACA4C4350CB57CB2758962731B2E55046F6EA2B48AE754DA1D39D0B3C6767C8CF4ABC05A29C1C91500C493C9153548ED83B32F7EA83C59FFFE56267682AB09C49E84376D42734';
wwv_flow_api.g_varchar2_table(368) := 'C6DF5CB1ED2F5F7F7D319EE222500BF0EBEAAF7A21128AC2CA7393425E14CDD81A9164EA81DD0C9A5839A5F5D087BF4EA8EC1C46E0D90CCD12A9DEA2A254819C34D7CE0198061B66E72F019A9DBBD76A288EDB3E2527A37E9089A4D99EBA01CDE127BA38';
wwv_flow_api.g_varchar2_table(369) := '0283AC865B5A9BF7BF462D43DF51D26DA7291B03694D1C5D08A59595E5BFBA72E5384C1BB4116C118AD04E65EF696466363E0E8FC541E247CF9CC7D656C6E112D5D7C202F320848696AF8AB66DB6BD8E6E36C0F9E8E2A3521B0633800701AEED3501642D';
wwv_flow_api.g_varchar2_table(370) := '210E6D69C977763684FCEC05739EA125747E84FCCD86E2C2155FFFFD220AD4765C0291805F293E333BFEE223603D3B3B004F7CFB2D30B94D5F9792311B8F26A78B20DE27143A899C9CC222227224C5FB56AF36801D3DCC1B481FDE752BCEB23BC5AD1373';
wwv_flow_api.g_varchar2_table(371) := '868811D46AED1B6DA360F578ADE61E54A0836F6EE805BA4B2192976AFB0A19B81F64C60099EDE389EA6A2A8A313F1C6D363F34D0326E3854F07AFBCFE8DF01CC4B972E9D472BAFC70C155289AD9526092B2CCCF9FEB895A35B7B38D263C77C84A35B59DA';
wwv_flow_api.g_varchar2_table(372) := 'F1EF7EF8FECCBA39B49EFBA8217FB4D5424B5503A7868C81389B98A0DAB6646A8834995D5A1A8AE91067A6959D8DE5865BBA931FC9CFD22D89B9A533E4676F437E56085C59FADDB92D2CD407E430489279C996C683447F313A341482733E38640C46438B';
wwv_flow_api.g_varchar2_table(373) := '992F9232D5C70A36F68ED9F8FA247795EEB4D950E86D78C1DC103AF16291B744E21D15520E5D783C10834D1496D2199A43340542F8B79CD58AB6B17ADA70C0BFF271E581F183B64F6E6EE920C0329CB5D59195513F2FEE3478E80467BC83D17FF5A151D2';
wwv_flow_api.g_varchar2_table(374) := 'C187C7784CD47E7DFDBAB9A5BAFA7C01EE7A0E019D1B96995533676ADBE45A27A71739C2C8A4C274EAA16AD3E08F418F1EA51742A9B4D0CA0AEF85D9BD7DFCF80D32E7EF3E6AA073CED4C015AA8A852FC049D054A4A1AD0BD089C0102B14D47742597430';
wwv_flow_api.g_varchar2_table(375) := 'E96B44D70AF94EE652F95973929FDD6CC9E34924867E867EB72F38A5D910E78D43261AD4F86F6137A092C04A0565455F42BD4B28BEA8AE0EBA5876F2128A776DECDDA2A35F086EFB3931685EF033B434473EE65B3A09F9780BF13DA1E105FEC3ADECCC45';
wwv_flow_api.g_varchar2_table(376) := '9A3451CF0E15CFFF5253B4D5F14AFFF1CB5A1A61AC3AD87BECE6CCFAAEBCB0B5958F1BFA93FE82D27F173843E25F1E24D0E6E643A393A02108C26673665C5C7D3D7CA8CD903ACFFE7AFE7CB306328F72EAAB5A2773E8B77A4BBC85E2309180D98A0B2530';
wwv_flow_api.g_varchar2_table(377) := '12C7BBB9496139614227B1C85C2079FBCB0F6F2070F35183E6560850CB32403F50B5605A37CC721411EAE6C2D62A6314B213C87842D9363D52981369682E1408785090E6F39C0D05DE907BB683D1A49FA1282DD9B134205B874A5954C4A002B25C4C41D7';
wwv_flow_api.g_varchar2_table(378) := 'E841BE003FC04968E7CA64FB505B12D509C6D8C90ED08CB273B6B334E701E5B7373B0B04963CBE93135E03F8C8C87E62D745A0EB723ED846D86A0E9986E286F375C7B1800434EBE37637C80F562A2153A3AB4DDFB43D6BFB96CBEC6E23AFB7ECE8510C08';
wwv_flow_api.g_varchar2_table(379) := 'EB2DF6178CA6CDA1C1E6869646F815C5B51CC5CA12C6D5AF5FEFB7D6C229A7467DDEAB7F19C20844C8639D98B321DF897F61B3A538CA9CEF046B2D01EC522158EE0C8BF1DB2FC987F1A3860975C7C89ABE1980E66C958C93106F6C0F1C1F928C7D7EF2F1';
wwv_flow_api.g_varchar2_table(380) := 'BA0455101451ABA73F2C8A080B2B0FC98932BFBDD93B441299939B1B11F122272752F4AF17C98EB85B2CCD46355C1A7CD937C357518380D98E4D5F3C41A8A73D0DB74C7424A6837D7085CF232A682305863C9E9DC88EA0E967676769672E10009A86A89E';
wwv_flow_api.g_varchar2_table(381) := '9D25EBA11A4672624C807608491C26660DB1680DE9352AB5AE12096FE00150C534D6A7E675E66CCA0F7AB887B1EEA5D6F3ADF59916EA670F8DB20E86E60577D95172F9C312854E105E9FDBA4F6893A59D234EF7E7A917FFB0E4FE8C73A318821F337DFB9';
wwv_flow_api.g_varchar2_table(382) := 'C08FF436B44339E86D8E0EED0E0A4073588C6FFEE1634313CC432C3735542A7CADAD71A18F7579079A80584555321EAD6BDB5D3F9BA0E9E2880587151CEC8A2224004E485549514955113D83923D2D3FDF965631977D18651E2913C8EC08650D45267D86';
wwv_flow_api.g_varchar2_table(383) := '40594B0C0782A6A30D83662D8D8144221E4F209288ECF896024BE8D40A0D0D51CDDA09EC50E086044E9C618AFBD089489A30B91DCADEE418D0C4E9DBA5B6E1306C90D86CADCF6B38F6612A45872E1514D4A76A68C15B79D49A686882BC716B6A8E9AB0EF';
wwv_flow_api.g_varchar2_table(384) := 'EFAF9BB67C026866AA3415B43C4D77FAF18E77A43375629691913CCBCDB79DEDBCF9CEC22838145087463314B218F7FB217CD0A3C6A1C7665E5C66C5651F2DEBA00C30F73A254DC04C85E9C5E5ED6E2168B27214C4001A6759A585496AAD1213D7C0F4B0';
wwv_flow_api.g_varchar2_table(385) := '2CDA363A38D83634D4459BE55F44102ECE592DDB159B162C914A332722D425146320DB8A8ADA8B51B43C0993E4E4AE4E0AC909C9CD114B92249602712E94F9CA2562B87B7E8A53518319633BCF8086B8B2D75046DA1C745FD39A87B1CF0764718CF837C4';
wwv_flow_api.g_varchar2_table(386) := '54D7956958A88FD26887149D7A7A1CDFEA6F67814C6BC5608DCCD6EABAB44843C3B072819FB340E49D93836CE00C7F0F4356B2C1DF038B413B210A36E7CDE63F10CFF2E3C631FF9A96E6A684600D152C3591D53A850609952152F31A7DB09A056A65CB20';
wwv_flow_api.g_varchar2_table(387) := '9C3F2153E6A332B5C94EF025511C15FC11FB140B7A8F10D82D007546A8A787ACE9B465D43C34B28A3E709005E5C0AAB0A8EAD4D6942A4451C9BCA4C8F223D7AF93803C746D3F65DA4372433603EA3EABCD54D4486D1B2434699399D756B967103B513D13';
wwv_flow_api.g_varchar2_table(388) := 'BD6E89DBA4A1AD4EC55AFDECE8F1C9D007A34A7F62ADA5AAFD87B896DD75F9E962717AE18BC8A8B0F2F2E288F224DC164B2422AC01C2602B9E93F32F912447C22CC66B9F9235FDC78DF1E8761AE35CB467AB2A8215D425CFCD96BE9B9AEA83EA5439950B';
wwv_flow_api.g_varchar2_table(389) := 'CE5EDF16F9D316766A70AD73279EBC147C2C5D2A7707A6EC8F7DDBD1CF404E84761B376D9FCC84687C41B77CAB350E60FFB1F0581F01255B59304D04393603FAAF4CCEFC7152A431E8ACC931671BDB62D71E1B303D32A6BB86DE78D0929AF6179C1FA5D1';
wwv_flow_api.g_varchar2_table(390) := '0E7D50495B80A4A9013F6B10F442D358EB55585854545C5898541851989696FEE81132432D76296978934E8F1FD5D6C6B556638C84F8985C10B849A0E3046EAC09623D85B24F665C5D5DDE6E445E1EC3262B6E89D987E2352843960B55B58857D47B28C3';
wwv_flow_api.g_varchar2_table(391) := '8AB2CB07B8009A0A366EC180B4B2361DC0D074C8C68624C4BC66917626055D8422646C83A14F9A4CC9ACB1B57177C3B1F7A1B8BF6E6AAC363319E08FC9F9824BA02974CBBDAD78DA6C94AC37E4212F4FCC10756B2D82665E9CB64B34E4286C41D65EA3B3';
wwv_flow_api.g_varchar2_table(392) := '2DFED1A347D165D13E995D02D6E2144D1616F52D4F369871F1D14E5288C819876E53CDFDA4564FD84C4549BBBBB2A1C19FA24686CD50B7500D0B4A98AA4CA177367EA9A294ED0B99CA2CAD2A778526F985809290E0821ED6062B15CC889884D8B849ED96';
wwv_flow_api.g_varchar2_table(393) := '0A72F0AB961B52B64177598A869AA383AF608877F0F3F673EE50F3D71B588E3DABBEBFE09099DEBBF3A40DA3C01CBAC0A112A4A4D85D323162710CAB6EA14A3FC6A8CCCA82C17CC9B701078D2E1E038235B4ACD53B85357CC5D19A2230396A2AE0029CA2';
wwv_flow_api.g_varchar2_table(394) := '0D1FED9F8734519BD4D5B6B86344DB0D987179704EF397DD841F0036A5BBCFD95A6A5BAC55A5431E1554B204D22E509455B214F81094CC8A406F57681236ED4BE3E34B6D121369DBC9AD56E6E2F604C7D75264C2BF4C4EEA0FF65FDA044F3B3060321084';
wwv_flow_api.g_varchar2_table(395) := '7C50E9741271879CFFEBF380DB8090F9C927FBCF9E7FB7A81DAF372C2E057F1BA1B96B5D6CEC3A22C26AEEA207B8B146D6A4A343C7FCB4B47CC7FCE4448735F84943E8462BAA7FD239AC552EFBBA6FDAA2C6DE51C3D28542EDF5EB82F331661F2B71FA3F';
wwv_flow_api.g_varchar2_table(396) := '696D0636014D6011FEA208AC6D3960A22196EF6CB315272B4F83DCD52C54A56DA40508061A2A5D56998AD277671320F10BCA1CBE446ED0E880A69B8CA5BB2D609BC21AEE1B8667E86C934EAFE5A89C955900723BCDDF7DF480121E153A5274E9C59C8509';
wwv_flow_api.g_varchar2_table(397) := '8EDAD94366E3FB5F610299086C3087C761E06F32A6ED8AFDE9EDDB9F80C939BBC2BFFFE1CDC6D8DDF5B25146BAF8616262E1C3C22A8735F8615BE360156CF10E347DA21332DCDDD50898EEE7F03BC516AC5F50EB2CFB58D83479D2D28CC45F0F28EEAE41';
wwv_flow_api.g_varchar2_table(398) := 'C0A61B7B15BC873AAFDBD04299C39E853A56B9AA843FD4059882A9760C9208AC4141586E928353D016F72D6A27E14E81058D3B3233664A1A1A6CE26BCBAA57DC8505E0DE3A8B532622F9039C68133211F3913031019252F4409FFAE801219F025033B996';
wwv_flow_api.g_varchar2_table(399) := '91B5320C6EFDFCD3618AFF2B90C962149AFFC598B3EE27CB972FFFF1D399F037E18FDFE2F7EFBE7F9546531E22C80AA2922272C521AE85D70AB18F2F4A4EB0FE449A20098554365EC645946F1001F2DC7677EE0FDDE901D7877C9CD03B1AD3DADADA525D';
wwv_flow_api.g_varchar2_table(400) := 'E3EF0F03C963F2C7487BB7A7068C3AD3D43844632BEEFAB52C80340EA52A32E97229C308480CA25D4A10FC79BED8EEAE66ADC834C2D89316D66C20A40DFA016EC600CCAFBFFE9C14FB804AC40488EA4D22D6ECFC194B9778E27740534AD1FBF8A1B7E1D2';
wwv_flow_api.g_varchar2_table(401) := '7EC4A518136945BBFF13C4FE4B7DB69B261BFEFDF3F64D5BB66CA19F818298D1C6F2BF15F273DEFCF2F21F60C17EFFF697B73F39F1DFFEF00B9D2E0A0402DC328AC0D293488491589588D3D352E36A33ADD5A5E8DB8E32D67DFB17E7BE0DD0D72DF5B156';
wwv_flow_api.g_varchar2_table(402) := '57DBB47D13C1958114D0647DC8C7C2265CB99F3C396A726C7C17EA754F3F6648A870017EF204D4CF4CA44B4C8214F1EA03B051E10A78AAAAAA2856F856500DEB7E0EB11DE1AEA66E4D20469D0B950E8A2095D9180C2504D379289910C1236CF1C20533A7';
wwv_flow_api.g_varchar2_table(403) := '40250CAE273BEE423B1E1CA0AB57614CCD02C81C163A4B201A14008D6008E8C974F510EA05317A7D1D90FDFB67BC3C6DA75F9B5E8F2E30FF6B0168FEA7BD6B0D692A0CC3BF9AD66899CD38DF1C4474BF8CB09BD1C5D83C4532A5D40CD6A893B1AC4164A7';
wwv_flow_api.g_varchar2_table(404) := '2BDDAC108B6250E1815AD49F7E04195D6C85D185F04F1085142BAC61EB4744512CA3206960F5BCEF998969CD1F4667B087719C1EFD71DC79CEFB7ECFFB7CEFDB1C777F78FEFE4345712C86813B6E8450170C0555B473A2A8AA6A216D99282BBFE1D8D9F2';
wwv_flow_api.g_varchar2_table(405) := '38128938650E9A8A160E6BF87442A75E4C183A75F43E0BA819F2D3293ECB2495DA9B16FCAF5227A8085EF66F3EF07A682163297E5A64D9891828C872E1440EEB946532165D08447D59E4CEF328B819F57C41D6CD46A8A0DA1136C14D7C41C30E6CDFDC30';
wwv_flow_api.g_varchar2_table(406) := '1E7172FC0C90932685CD988937F7EF9F9D332DC3BBA672164685D1A0B0E106612673B3A95188E82BEE356C46DD2C1935CD58662A80AA4132EAF8912E60F6C2805373B32B168F9597C32B1B8F3B60EF71E185E93B4545E5D832412ED9BD2D8FB180BB2D27';
wwv_flow_api.g_varchar2_table(407) := 'A2A646E45424FB95A135F3EA16839AFEC45293579D7E2668630ACD53A1E9C0B21020264308099723D11DA875444FB0AB1DD7A80B5E145611506D93127AADFD9407A11375511F36706E1D85AE5E6027B392A3E7D1BB87E64EA7369A184794873EEFDE3746';
wwv_flow_api.g_varchar2_table(408) := '61266F6E80D68AC9D3F790EE9B91D126A1261C29445F097A02C626FF48EF30E985814F684B8A63F16287C3511C73BBF1A5A462614985DBE570B9414D50F541D5F796A080002212ECF37814A4B4C2BE6574FEC63AA843F811D41F060550568502A9B40101';
wwv_flow_api.g_varchar2_table(409) := '5DE9645337F87A3C2A10EA884ED295A2EE9342465CB577E9B6E477B7535FA2E5E7C6A0EFED1A2BCF0C2376CEA431EEA797E67BA98B26CFFC1C5150F9D638CC640BD575D2CCE052C81D828C56FC859A30E271064CD494704CA5476F2A22F7C027772CE6FE';
wwv_flow_api.g_varchar2_table(410) := 'F2C5ED42E78C92B525C50B8B2ACAF66E2EABDE535106B2BACA7497ECE66B41A168210E1BDD72AC9C7DA5F072DD3EBBE07B59D2394B699F1F596D4AB99C13D95C37FC4A48811C8B4573C49685D41501B507A8AAEBCB42A513D96EB66EEADBBE083D2F1F79';
wwv_flow_api.g_varchar2_table(411) := '33468E40DB77749AD6479E3CBA33CE8BEF74E4545EBA6A2066EAF6AF800039DB56E626CA957F9068C7C2BE7E1DCC4C53330906B878D2D6F6F5D3D7F7EF3FDC3A53BDF7CCAD33AD2777B4B662F3E2DAEA9DDB76904BB6FADDC388A486D55F528FAEFA08A7';
wwv_flow_api.g_varchar2_table(412) := '0F9DBEF75964FE19C5192D4CCB504545E414D1E6F586BA0B93F4E555145A4D025CA995F81A4C02D4A4522698D90B72B0D61684946BB3587867CBB2C2D2A163464F46E3E8CC3C444E9ACC0082624A1931332787E879CC68CC64D774C024222D6D4F66537A';
wwv_flow_api.g_varchar2_table(413) := '1B10906867F76DCD6B0C303351416229F77ABA9BC1BFC410DD72001C58B9FAEAEB8FF50F4FD6D7E3557F98FCB2FC0DB9645FDC5CC7B4F3981860A9C66F113A82B5D99CECF9554D0DA95A676727B19398EB7C766F8A01CA77FDB490C20B9380A61245F5A7';
wwv_flow_api.g_varchar2_table(414) := '0F8A0BB84659F4C14C724039A90A8AF28A250BE5934530674CBDD380EC35D34A8789567477C7CC864C1C0A0A66A1C439F7D22E8331930D04889BB2EFE0ABFDAB5EBEC4FB00C2E6EFAEA1D9C4E0C46A869EC1F426A5B2A294041BF580295356343F0BFA6A';
wwv_flow_api.g_varchar2_table(415) := '4FD40683BE138B1763F3A20FD03DB2444C927E54BF9ED06AA026C44A82D884FCC68F8013A6D3FC7BAA1E539DB6D7BB8C50BF4B0EB6A9292A43BFD0308E5C046A6F37FD11EC50942DF60B98B78ED6097597F31BF2E736207D25BDC78AE90B19D64C0E9D39';
wwv_flow_api.g_varchar2_table(416) := '050D9535A5A5179F1EC8351A33759D969E3F8D8DE79B9A5FEE47704438EC59CAFCFC79C1FEF390C69057E045CFDD64E60473DAB0378030E3F6F40BBB459624399BB656394517B0B804DD3CF854709450D1A4C23BDB800009E728A26A54EC24238292F8E8';
wwv_flow_api.g_varchar2_table(417) := '9CB66B570DE047EB67BF479304F02213ACA42BE2C7906817A6BF43C89B50D9446FD0C2CB875A979CDDB61BB3B0F3267AA70F1F366CF0B00C6BDE081A315653533AA8F0E9AE23FFBF696F1F30B3FE23804014A1F37813CA953DFF371D1DDFCE07A8660668';
wwv_flow_api.g_varchar2_table(418) := '5A97E01780E340FF7B36E3FE66749F6F30F9F62756A4A55F923A60F40000000049454E44AE426082';
null;
end;
/
begin
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(54043632944680015)
,p_file_name=>'worldmap922x140.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
null;
end;
/
prompt --application/plugin_settings
begin
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(32048098546247369)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_RICH_TEXT_EDITOR'
,p_attribute_01=>'N'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(32048166354247369)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_IR'
,p_attribute_01=>'LEGACY'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(32048476187247370)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_COLOR_PICKER'
,p_attribute_01=>'classic'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(32048516591247370)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_IG'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(44658048572715472)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_attribute_01=>'(enter your api key here)'
,p_attribute_05=>'1'
,p_attribute_06=>'18'
,p_attribute_07=>'10000'
,p_attribute_08=>'METRIC'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(25186261240727505399)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_YES_NO'
,p_attribute_01=>'Y'
,p_attribute_03=>'N'
,p_attribute_05=>'SELECT_LIST'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(25186261373559505399)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_CSS_CALENDAR'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(25186261479860505399)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_DISPLAY_SELECTOR'
,p_attribute_01=>'Y'
);
end;
/
prompt --application/shared_components/navigation/navigation_bar
begin
null;
end;
/
prompt --application/shared_components/logic/application_processes
begin
wwv_flow_api.create_flow_process(
 p_id=>wwv_flow_api.id(110568792692734160)
,p_process_sequence=>1
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'INITDATA2'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'  id NUMBER := 0;',
'  PROCEDURE m (name IN VARCHAR2, lat IN NUMBER, lng IN NUMBER, pop IN NUMBER) IS',
'  BEGIN',
'    id := id + 1;',
'    APEX_COLLECTION.add_member',
'      (''ROUTE''',
'      ,TO_CHAR(id)',
'      ,name',
'      ,TO_CHAR(lat,''fm999.9999999999999999'')',
'      ,TO_CHAR(lng,''fm999.9999999999999999'')',
'      ,TO_CHAR(pop,''fm999999999999.9999999999999999'')',
'      ,dbms_random.string(''a'',10));',
'  END m;',
'BEGIN',
'APEX_COLLECTION.create_or_truncate_collection(''ROUTE'');',
'm(''Stratton'',-31.86972210984067,116.03485107421875,40);',
'm(''Perth'',-31.958206638801293,115.86434841156006,120);',
'm(''Hillarys Boat Harbour'',-31.82475514059112,115.73980808258057,33);',
'm(''Araluen Botanical Park'',-32.12347204914411,116.10103726387024,2.4);',
'END;'))
);
end;
/
prompt --application/shared_components/logic/application_processes
begin
wwv_flow_api.create_flow_process(
 p_id=>wwv_flow_api.id(75112338222146653)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'INITDATA'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'  id number := 0;',
'  icon_arr apex_t_varchar2;',
'',
'  procedure m (name in varchar2, lat in number, lng in number, pop in number) is',
'    i number;',
'    arr_index number;',
'  begin',
'    id := id + 1;',
'    arr_index := ((id-1) mod icon_arr.count)+1;',
'    if arr_index not between 1 and icon_arr.count then',
'        raise_application_error(-20000, ''i=''||i||'' count=''||icon_arr.count||'' idx=''||arr_index);',
'    end if;',
'    select ora_hash(name,2) into i from dual;',
'    apex_collection.add_member',
'      (''MAP''',
'      ,p_c001 => to_char(id)',
'      ,p_c002 => name',
'      ,p_c003 => to_char(lat,''fm990.099999'')',
'      ,p_c004 => to_char(lng,''fm990.099999'')',
'      ,p_c005 => to_char(pop,''fm9990.099999'')',
'      ,p_c006 => dbms_random.string(''a'',10)',
'      ,p_c007 => case i',
'                 when 0 then ''parking_lot_maps.png''',
'                 when 1 then ''library_maps.png''',
'                 when 2 then ''info-i_maps.png''',
'                 end',
'      ,p_c008 => icon_arr(arr_index)',
'      ,p_c009 => dbms_random.string(''a'',3)',
'      ,p_c010 => dbms_random.string(''a'',3)',
'      ,p_c011 => dbms_random.string(''a'',3)',
'      ,p_c012 => case',
'                 when name = ''home'' then ''fa-home''',
'                 when i=0 then ''fa-location-arrow''',
'                 when i=1 then ''fa-male''',
'                 else ''fa-female''',
'                 end                 ',
'      );',
'  end m;',
'',
'begin',
'',
'    select file_name',
'    bulk collect into icon_arr',
'    from apex_application_static_files',
'    where file_name like ''icon/%'';',
'    ',
'    if icon_arr.count = 0 then',
'        raise_application_error(-20000,''no icons found'');',
'    end if;',
'',
'    apex_collection.create_or_truncate_collection(''MAP'');',
'',
'    m(''home'',-32.116202,116.065471,null);',
'    m(''Stratton'',-31.869722,116.034851,40);',
'    m(''Wyalkatchem'',-31.181378,117.380332,20);',
'    m(''boss''''s office'',-31.958206,115.864348,120);',
'    m(''Wattle Grove'',-32.013843,116.001141,32);',
'    m(''Rottnest Island'',-31.998759,115.538063,5);',
'    m(''Busselton'',-33.645277,115.342540,19);',
'    m(''Esperance'',-33.852597,121.897087,21);',
'    m(''Carnarvon'',-24.884879,113.656654,14);',
'    m(''Cable Beach'',-17.960934,122.212257,9);',
'    m(''Hillarys Boat Harbour'',-31.824755,115.739808,33);',
'    m(''Wave Rock'',-32.441371,118.897390,8.5);',
'    m(''Araluen Botanical Park'',-32.123472,116.101037,2.4);',
'    m(''Null Island'',0,0,2000);',
'',
'end;'))
,p_process_when=>'NOT APEX_COLLECTION.collection_exists(''MAP'')'
,p_process_when_type=>'PLSQL_EXPRESSION'
);
end;
/
prompt --application/shared_components/logic/application_items
begin
null;
end;
/
prompt --application/shared_components/logic/application_computations
begin
null;
end;
/
prompt --application/shared_components/logic/application_settings
begin
null;
end;
/
prompt --application/shared_components/navigation/tabs/standard
begin
null;
end;
/
prompt --application/shared_components/navigation/tabs/parent
begin
null;
end;
/
prompt --application/pages/page_groups
begin
null;
end;
/
prompt --application/comments
begin
null;
end;
/
prompt --application/shared_components/navigation/breadcrumbs/breadcrumb
begin
wwv_flow_api.create_menu(
 p_id=>wwv_flow_api.id(25186305310574505552)
,p_name=>' Breadcrumb'
);
wwv_flow_api.create_menu_option(
 p_id=>wwv_flow_api.id(33312241296670216)
,p_parent_id=>0
,p_short_name=>'JK64 Report Map Plugin'
,p_link=>'f?p=&APP_ID.:9:&SESSION.::&DEBUG.:::'
,p_page_id=>9
);
wwv_flow_api.create_menu_option(
 p_id=>wwv_flow_api.id(25186305765383505553)
,p_parent_id=>0
,p_short_name=>'Home'
,p_link=>'f?p=&APP_ID.:1:&APP_SESSION.::&DEBUG.'
,p_page_id=>1
);
end;
/
prompt --application/shared_components/user_interface/templates/page/standard_custom
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(54045559099741946)
,p_theme_id=>42
,p_name=>'Standard Custom'
,p_internal_name=>'STANDARD_CUSTOM'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.noSideCol();'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.t-Header-branding {',
'    background-image: url("#APP_IMAGES#worldmap922x140.png");',
'    background-repeat: repeat-x;',
'}'))
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#  ',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>',
'    '))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'      <div class="t-Body-title" id="t_Body_title">',
'        #REGION_POSITION_01#',
'      </div>',
'      <div class="t-Body-content" id="t_Body_content">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-contentInner" role="main">',
'          #BODY#',
'        </div>',
'        <footer class="t-Footer" role="contentinfo">',
'          <div class="t-Footer-body">',
'            <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'            <div class="t-Footer-apex">',
'              <div class="t-Footer-version">#APP_VERSION#</div>  ',
'              <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'              #BUILT_WITH_LOVE_USING_APEX#',
'            </div>',
'          </div>',
'          <div class="t-Footer-top">',
'            <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'          </div>',
'        </footer>',
'      </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">',
'  #REGION_POSITION_04#',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>',
''))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar t-NavigationBar--classic" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'        <span class="t-Icon a-Icon icon-user"></span>',
'        <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header" href="#LINK#">',
'      <span class="t-Icon #IMAGE#"></span>',
'      <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>1
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(54045939181741951)
,p_page_template_id=>wwv_flow_api.id(54045559099741946)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(54046479416741952)
,p_page_template_id=>wwv_flow_api.id(54045559099741946)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(54046993469741952)
,p_page_template_id=>wwv_flow_api.id(54045559099741946)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(54047452865741952)
,p_page_template_id=>wwv_flow_api.id(54045559099741946)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(54047892356741952)
,p_page_template_id=>wwv_flow_api.id(54045559099741946)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(54048342294741953)
,p_page_template_id=>wwv_flow_api.id(54045559099741946)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(54048853885741953)
,p_page_template_id=>wwv_flow_api.id(54045559099741946)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>false
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/page/left_side_column
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(25186261660236505399)
,p_theme_id=>42
,p_name=>'Left Side Column'
,p_internal_name=>'LEFT_SIDE_COLUMN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.leftSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--showLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'#SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">',
'      #REGION_POSITION_01#',
'    </div>',
'    <div class="t-Body-side" id="t_Body_side">',
'      #REGION_POSITION_02#',
'    </div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'      <div class="t-Body-contentInner" role="main">',
'        #BODY#',
'      </div>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>  ',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">',
'  #REGION_POSITION_04#',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'        <span class="t-Icon a-Icon icon-user"></span>',
'        <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'      <span class="t-Icon #IMAGE#"></span>',
'      <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525196570560608698
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33610790811696816)
,p_page_template_id=>wwv_flow_api.id(25186261660236505399)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33611228401696816)
,p_page_template_id=>wwv_flow_api.id(25186261660236505399)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33611734661696817)
,p_page_template_id=>wwv_flow_api.id(25186261660236505399)
,p_name=>'Left Column'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33612216774696817)
,p_page_template_id=>wwv_flow_api.id(25186261660236505399)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33612718448696817)
,p_page_template_id=>wwv_flow_api.id(25186261660236505399)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33613205951696818)
,p_page_template_id=>wwv_flow_api.id(25186261660236505399)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33613737587696818)
,p_page_template_id=>wwv_flow_api.id(25186261660236505399)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33614204090696818)
,p_page_template_id=>wwv_flow_api.id(25186261660236505399)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/left_and_right_side_columns
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(25186262536226505404)
,p_theme_id=>42
,p_name=>'Left and Right Side Columns'
,p_internal_name=>'LEFT_AND_RIGHT_SIDE_COLUMNS'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.bothSideCols();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">  ',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--showLeft no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'#SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">',
'      #REGION_POSITION_01#',
'    </div>',
'    <div class="t-Body-side" id="t_Body_side">',
'      #REGION_POSITION_02#',
'    </div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'      <div class="t-Body-contentInner" role="main">',
'        #BODY#',
'      </div>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>  ',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Button t-Button--icon t-Button--header t-Button--headerRight" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"></span></button>',
'    <div class="t-Body-actionsContent" role="complementary">',
'    #REGION_POSITION_03#',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">',
'  #REGION_POSITION_04#',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'        <span class="t-Icon a-Icon icon-user"></span>',
'        <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'      <span class="t-Icon #IMAGE#"></span>',
'      <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525203692562657055
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33619328784696826)
,p_page_template_id=>wwv_flow_api.id(25186262536226505404)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>6
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33619804655696827)
,p_page_template_id=>wwv_flow_api.id(25186262536226505404)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33620389743696827)
,p_page_template_id=>wwv_flow_api.id(25186262536226505404)
,p_name=>'Left Column'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>3
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33620867233696827)
,p_page_template_id=>wwv_flow_api.id(25186262536226505404)
,p_name=>'Right Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>3
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33621341547696827)
,p_page_template_id=>wwv_flow_api.id(25186262536226505404)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33621853820696828)
,p_page_template_id=>wwv_flow_api.id(25186262536226505404)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>6
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33622392927696828)
,p_page_template_id=>wwv_flow_api.id(25186262536226505404)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33622841462696828)
,p_page_template_id=>wwv_flow_api.id(25186262536226505404)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33623315150696828)
,p_page_template_id=>wwv_flow_api.id(25186262536226505404)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/login
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(25186263558227505405)
,p_theme_id=>42
,p_name=>'Login'
,p_internal_name=>'LOGIN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.appLogin();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody--login no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #REGION_POSITION_01#',
'  #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'  <div class="t-Body-wrap">',
'    <div class="t-Body-col t-Body-col--main">',
'      <div class="t-Login-container" role="main">',
'      #BODY#',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>6
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2099711150063350616
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33625680055696830)
,p_page_template_id=>wwv_flow_api.id(25186263558227505405)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33626155064696830)
,p_page_template_id=>wwv_flow_api.id(25186263558227505405)
,p_name=>'Body Header'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/master_detail
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(25186263847552505405)
,p_theme_id=>42
,p_name=>'Marquee'
,p_internal_name=>'MASTER_DETAIL'
,p_is_popup=>false
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.stickyTableHeader#MIN#.js?v=#APEX_VERSION#',
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'))
,p_javascript_code_onload=>'apex.theme42.initializePage.masterDetail();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--masterDetail t-PageBody--hideLeft no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'#SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">',
'      #REGION_POSITION_01#',
'    </div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'      <div class="t-Body-info" id="t_Body_info">',
'        #REGION_POSITION_02#',
'      </div>',
'      <div class="t-Body-contentInner" role="main">',
'        #BODY#',
'      </div>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>  ',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Button t-Button--icon t-Button--header t-Button--headerRight" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"></span></button>',
'    <div class="t-Body-actionsContent" role="complementary">',
'    #REGION_POSITION_03#',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">',
'  #REGION_POSITION_04#',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'        <span class="t-Icon a-Icon icon-user"></span>',
'        <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'      <span class="t-Icon #IMAGE#"></span>',
'      <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>1996914646461572319
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33630504302696834)
,p_page_template_id=>wwv_flow_api.id(25186263847552505405)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33631085556696834)
,p_page_template_id=>wwv_flow_api.id(25186263847552505405)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33631550067696834)
,p_page_template_id=>wwv_flow_api.id(25186263847552505405)
,p_name=>'Master Detail'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33632052715696835)
,p_page_template_id=>wwv_flow_api.id(25186263847552505405)
,p_name=>'Right Side Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33632507576696835)
,p_page_template_id=>wwv_flow_api.id(25186263847552505405)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33633047141696835)
,p_page_template_id=>wwv_flow_api.id(25186263847552505405)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33633519566696836)
,p_page_template_id=>wwv_flow_api.id(25186263847552505405)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33634060936696836)
,p_page_template_id=>wwv_flow_api.id(25186263847552505405)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33634555055696836)
,p_page_template_id=>wwv_flow_api.id(25186263847552505405)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/minimal_no_navigation
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(25186264880866505406)
,p_theme_id=>42
,p_name=>'Minimal (No Navigation)'
,p_internal_name=>'MINIMAL_NO_NAVIGATION'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.noSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#  ',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES# t-PageBody--noNav" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'</header>',
'    '))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  <div class="t-Body-main">',
'      <div class="t-Body-title" id="t_Body_title">',
'        #REGION_POSITION_01#',
'      </div>',
'      <div class="t-Body-content" id="t_Body_content">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-contentInner" role="main">',
'          #BODY#',
'        </div>',
'        <footer class="t-Footer" role="contentinfo">',
'          <div class="t-Footer-body">',
'            <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'            <div class="t-Footer-apex">',
'              <div class="t-Footer-version">#APP_VERSION#</div>  ',
'              <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'              #BUILT_WITH_LOVE_USING_APEX#',
'            </div>',
'          </div>',
'          <div class="t-Footer-top">',
'            <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'          </div>',
'        </footer>',
'      </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">',
'  #REGION_POSITION_04#',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>',
''))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar t-NavigationBar--classic" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'        <span class="t-Icon a-Icon icon-user"></span>',
'        <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header" href="#LINK#">',
'      <span class="t-Icon #IMAGE#"></span>',
'      <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>4
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2977628563533209425
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33638852588696839)
,p_page_template_id=>wwv_flow_api.id(25186264880866505406)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33639349882696840)
,p_page_template_id=>wwv_flow_api.id(25186264880866505406)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33639813277696840)
,p_page_template_id=>wwv_flow_api.id(25186264880866505406)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33640304662696840)
,p_page_template_id=>wwv_flow_api.id(25186264880866505406)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33640828607696840)
,p_page_template_id=>wwv_flow_api.id(25186264880866505406)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33641351393696841)
,p_page_template_id=>wwv_flow_api.id(25186264880866505406)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33641855759696841)
,p_page_template_id=>wwv_flow_api.id(25186264880866505406)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/modal_dialog
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(25186265694411505406)
,p_theme_id=>42
,p_name=>'Modal Dialog'
,p_internal_name=>'MODAL_DIALOG'
,p_is_popup=>true
,p_javascript_code_onload=>'apex.theme42.initializePage.modalDialog();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-Dialog-page t-Dialog-page--standard #DIALOG_CSS_CLASSES# #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Dialog" role="dialog" aria-label="#TITLE#">',
'  <div class="t-Dialog-header">#REGION_POSITION_01#</div>',
'  <div class="t-Dialog-bodyWrapperOut">',
'      <div class="t-Dialog-bodyWrapperIn"><div class="t-Dialog-body" role="main">',
'      #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'      #BODY#',
'      </div></div>',
'  </div>',
'  <div class="t-Dialog-footer">#REGION_POSITION_03#</div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>3
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},''t-Dialog-page--standard ''+#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_height=>'auto'
,p_dialog_width=>'720'
,p_dialog_max_width=>'960'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2098960803539086924
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33644573606696843)
,p_page_template_id=>wwv_flow_api.id(25186265694411505406)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33645040150696843)
,p_page_template_id=>wwv_flow_api.id(25186265694411505406)
,p_name=>'Dialog Header'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33645530898696843)
,p_page_template_id=>wwv_flow_api.id(25186265694411505406)
,p_name=>'Dialog Footer'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/right_side_column
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(25186266006301505407)
,p_theme_id=>42
,p_name=>'Right Side Column'
,p_internal_name=>'RIGHT_SIDE_COLUMN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.rightSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8"> ',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'#SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">',
'      #REGION_POSITION_01#',
'    </div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'      <div class="t-Body-contentInner" role="main">',
'        #BODY#',
'      </div>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>  ',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Button t-Button--icon t-Button--header t-Button--headerRight" aria-label="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Icon fa fa-bars" a'
||'ria-hidden="true"></span></button>',
'    <div class="t-Body-actionsContent" role="complementary">',
'    #REGION_POSITION_03#',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">',
'  #REGION_POSITION_04#',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'        <span class="t-Icon a-Icon icon-user"></span>',
'        <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'      <span class="t-Icon #IMAGE#"></span>',
'      <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525200116240651575
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33650990455696846)
,p_page_template_id=>wwv_flow_api.id(25186266006301505407)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33651467672696847)
,p_page_template_id=>wwv_flow_api.id(25186266006301505407)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33651958202696847)
,p_page_template_id=>wwv_flow_api.id(25186266006301505407)
,p_name=>'Right Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33652485844696847)
,p_page_template_id=>wwv_flow_api.id(25186266006301505407)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33652908853696847)
,p_page_template_id=>wwv_flow_api.id(25186266006301505407)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33653477417696848)
,p_page_template_id=>wwv_flow_api.id(25186266006301505407)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33653900819696848)
,p_page_template_id=>wwv_flow_api.id(25186266006301505407)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33654438460696848)
,p_page_template_id=>wwv_flow_api.id(25186266006301505407)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/standard
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(25186266941416505407)
,p_theme_id=>42
,p_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.noSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#  ',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>',
'    '))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'      <div class="t-Body-title" id="t_Body_title">',
'        #REGION_POSITION_01#',
'      </div>',
'      <div class="t-Body-content" id="t_Body_content">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-contentInner" role="main">',
'          #BODY#',
'        </div>',
'        <footer class="t-Footer" role="contentinfo">',
'          <div class="t-Footer-body">',
'            <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'            <div class="t-Footer-apex">',
'              <div class="t-Footer-version">#APP_VERSION#</div>  ',
'              <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'              #BUILT_WITH_LOVE_USING_APEX#',
'            </div>',
'          </div>',
'          <div class="t-Footer-top">',
'            <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'          </div>',
'        </footer>',
'      </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">',
'  #REGION_POSITION_04#',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>',
''))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar t-NavigationBar--classic" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'        <span class="t-Icon a-Icon icon-user"></span>',
'        <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header" href="#LINK#">',
'      <span class="t-Icon #IMAGE#"></span>',
'      <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>1
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>4070909157481059304
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33658759566696851)
,p_page_template_id=>wwv_flow_api.id(25186266941416505407)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33659277035696851)
,p_page_template_id=>wwv_flow_api.id(25186266941416505407)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33659755337696851)
,p_page_template_id=>wwv_flow_api.id(25186266941416505407)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33660211813696852)
,p_page_template_id=>wwv_flow_api.id(25186266941416505407)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33660724782696852)
,p_page_template_id=>wwv_flow_api.id(25186266941416505407)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33661295217696852)
,p_page_template_id=>wwv_flow_api.id(25186266941416505407)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33661754090696852)
,p_page_template_id=>wwv_flow_api.id(25186266941416505407)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>false
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/page/wizard_modal_dialog
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(25186267796256505408)
,p_theme_id=>42
,p_name=>'Wizard Modal Dialog'
,p_internal_name=>'WIZARD_MODAL_DIALOG'
,p_is_popup=>true
,p_javascript_code_onload=>'apex.theme42.initializePage.wizardModal();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-Dialog-page t-Dialog-page--wizard #DIALOG_CSS_CLASSES# #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Dialog" role="dialog" aria-label="#TITLE#">',
'  <div class="t-Dialog-header">#REGION_POSITION_01#</div>',
'  <div class="t-Dialog-bodyWrapperOut">',
'      <div class="t-Dialog-bodyWrapperIn"><div class="t-Dialog-body" role="main">',
'      #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'      #BODY#',
'      </div></div>',
'  </div>',
'  <div class="t-Dialog-footer">#REGION_POSITION_03#</div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_theme_class_id=>3
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},''t-Dialog-page--wizard ''+#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_height=>'auto'
,p_dialog_width=>'720'
,p_dialog_max_width=>'960'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2120348229686426515
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33664405560696854)
,p_page_template_id=>wwv_flow_api.id(25186267796256505408)
,p_name=>'Wizard Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33664968130696854)
,p_page_template_id=>wwv_flow_api.id(25186267796256505408)
,p_name=>'Wizard Progress Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(33665468913696855)
,p_page_template_id=>wwv_flow_api.id(25186267796256505408)
,p_name=>'Wizard Buttons'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/button/icon
begin
wwv_flow_api.create_button_templates(
 p_id=>wwv_flow_api.id(25186298682463505445)
,p_template_name=>'Icon'
,p_internal_name=>'ICON'
,p_template=>'<button class="t-Button t-Button--noLabel t-Button--icon #BUTTON_CSS_CLASSES#" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#" title="#LABEL#" aria-label="#LABEL#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"><'
||'/span></button>'
,p_hot_template=>'<button class="t-Button t-Button--noLabel t-Button--icon #BUTTON_CSS_CLASSES# t-Button--hot" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#" title="#LABEL#" aria-label="#LABEL#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-h'
||'idden="true"></span></button>'
,p_reference_id=>2347660919680321258
,p_translate_this_template=>'N'
,p_theme_class_id=>5
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/button/text
begin
wwv_flow_api.create_button_templates(
 p_id=>wwv_flow_api.id(25186298792612505445)
,p_template_name=>'Text'
,p_internal_name=>'TEXT'
,p_template=>'<button onclick="#JAVASCRIPT#" class="t-Button #BUTTON_CSS_CLASSES#" type="button" #BUTTON_ATTRIBUTES# id="#BUTTON_ID#"><span class="t-Button-label">#LABEL#</span></button>'
,p_hot_template=>'<button onclick="#JAVASCRIPT#" class="t-Button t-Button--hot #BUTTON_CSS_CLASSES#" type="button" #BUTTON_ATTRIBUTES# id="#BUTTON_ID#"><span class="t-Button-label">#LABEL#</span></button>'
,p_reference_id=>4070916158035059322
,p_translate_this_template=>'N'
,p_theme_class_id=>1
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/button/text_with_icon
begin
wwv_flow_api.create_button_templates(
 p_id=>wwv_flow_api.id(25186298860096505445)
,p_template_name=>'Text with Icon'
,p_internal_name=>'TEXT_WITH_ICON'
,p_template=>'<button class="t-Button t-Button--icon #BUTTON_CSS_CLASSES#" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#"><span class="t-Icon t-Icon--left #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-Button-label">#LABEL#'
||'</span><span class="t-Icon t-Icon--right #ICON_CSS_CLASSES#" aria-hidden="true"></span></button>'
,p_hot_template=>'<button class="t-Button t-Button--icon #BUTTON_CSS_CLASSES# t-Button--hot" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#"><span class="t-Icon t-Icon--left #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-Button-'
||'label">#LABEL#</span><span class="t-Icon t-Icon--right #ICON_CSS_CLASSES#" aria-hidden="true"></span></button>'
,p_reference_id=>2081382742158699622
,p_translate_this_template=>'N'
,p_theme_class_id=>4
,p_preset_template_options=>'t-Button--iconRight'
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/region/content_block
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(33761845619696951)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ContentBlock #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-ContentBlock-header"><h1 class="t-ContentBlock-title">#TITLE#</h1></div>',
'  <div class="t-ContentBlock-body">#BODY#</div>',
'  <div class="t-ContentBlock-buttons">#PREVIOUS##NEXT#</div>',
'</div>'))
,p_page_plug_template_name=>'Content Block'
,p_internal_name=>'CONTENT_BLOCK'
,p_theme_id=>42
,p_theme_class_id=>21
,p_preset_template_options=>'t-ContentBlock--h1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2320668864738842174
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/blank_with_attributes_no_grid
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(33764692815696955)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="#REGION_CSS_CLASSES#"> ',
'#PREVIOUS##BODY##SUB_REGIONS##NEXT#',
'</div>'))
,p_page_plug_template_name=>'Blank with Attributes (No Grid)'
,p_internal_name=>'BLANK_WITH_ATTRIBUTES_NO_GRID'
,p_theme_id=>42
,p_theme_class_id=>7
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>3369790999010910123
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33765128648696956)
,p_plug_template_id=>wwv_flow_api.id(33764692815696955)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33765655429696956)
,p_plug_template_id=>wwv_flow_api.id(33764692815696955)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/alert
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(25186268102268505408)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-header">',
'        <h2 class="t-Alert-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'      </div>',
'      <div class="t-Alert-body">#BODY#</div>',
'    </div>',
'    <div class="t-Alert-buttons">#PREVIOUS##CLOSE##CREATE##NEXT#</div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Alert'
,p_internal_name=>'ALERT'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>21
,p_preset_template_options=>'t-Alert--horizontal:t-Alert--defaultIcons:t-Alert--warning'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2039236646100190748
,p_translate_this_template=>'N'
,p_template_comment=>'Red Theme'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33668058607696863)
,p_plug_template_id=>wwv_flow_api.id(25186268102268505408)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/blank_with_attributes
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(25186269690704505415)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="#REGION_CSS_CLASSES#"> ',
'#PREVIOUS##BODY##SUB_REGIONS##NEXT#',
'</div>'))
,p_page_plug_template_name=>'Blank with Attributes'
,p_internal_name=>'BLANK_WITH_ATTRIBUTES'
,p_theme_id=>42
,p_theme_class_id=>7
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>4499993862448380551
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/buttons_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(25186269744713505415)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ButtonRegion t-Form--floatLeft #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-ButtonRegion-wrap">',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##CLOSE##DELETE#</div></div>',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--content">',
'      <h2 class="t-ButtonRegion-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'      #BODY#',
'      <div class="t-ButtonRegion-buttons">#CHANGE#</div>',
'    </div>',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Buttons Container'
,p_internal_name=>'BUTTONS_CONTAINER'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>17
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2124982336649579661
,p_translate_this_template=>'N'
,p_template_comment=>'Red Theme'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33678245234696872)
,p_plug_template_id=>wwv_flow_api.id(25186269744713505415)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33678726191696872)
,p_plug_template_id=>wwv_flow_api.id(25186269744713505415)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/carousel_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(25186270691774505417)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region t-Region--carousel #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <span class="t-Region-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'    <h2 class="t-Region-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#COPY##EDIT#<span class="js-maximizeButtonContainer"></span></div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     #BODY#',
'   <div class="t-Region-carouselRegions">',
'     #SUB_REGIONS#',
'   </div>',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#CLOSE##HELP#</div>',
'    <div class="t-Region-buttons-right">#DELETE##CHANGE##CREATE#</div>',
'   </div>',
' </div>',
'</div>'))
,p_sub_plug_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div data-label="#SUB_REGION_TITLE#" id="SR_#SUB_REGION_ID#">',
'  #SUB_REGION#',
'</div>'))
,p_page_plug_template_name=>'Carousel Container'
,p_internal_name=>'CAROUSEL_CONTAINER'
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#',
'#IMAGE_PREFIX#plugins/com.oracle.apex.carousel/1.1/com.oracle.apex.carousel#MIN#.js?v=#APEX_VERSION#'))
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>5
,p_default_template_options=>'t-Region--showCarouselControls'
,p_preset_template_options=>'t-Region--hiddenOverflow'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2865840475322558786
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33683453366696877)
,p_plug_template_id=>wwv_flow_api.id(25186270691774505417)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33683918942696877)
,p_plug_template_id=>wwv_flow_api.id(25186270691774505417)
,p_name=>'Slides'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/collapsible
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(25186274022717505420)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region t-Region--hideShow #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems  t-Region-headerItems--controls">',
'    <button class="t-Button t-Button--icon t-Button--hideShow" type="button"></button>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <h2 class="t-Region-title">#TITLE#</h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#EDIT#</div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#CLOSE#</div>',
'    <div class="t-Region-buttons-right">#CREATE#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     #COPY#',
'     #BODY#',
'     #SUB_REGIONS#',
'     #CHANGE#',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
' </div>',
'</div>'))
,p_page_plug_template_name=>'Collapsible'
,p_internal_name=>'COLLAPSIBLE'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>1
,p_preset_template_options=>'is-expanded:t-Region--scrollBody'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2662888092628347716
,p_translate_this_template=>'N'
,p_template_comment=>'Red Theme'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33699962728696896)
,p_plug_template_id=>wwv_flow_api.id(25186274022717505420)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33700444280696896)
,p_plug_template_id=>wwv_flow_api.id(25186274022717505420)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/hero
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(25186276120391505422)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-HeroRegion #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-HeroRegion-wrap">',
'    <div class="t-HeroRegion-col t-HeroRegion-col--left"><span class="t-HeroRegion-icon t-Icon #ICON_CSS_CLASSES#"></span></div>',
'    <div class="t-HeroRegion-col t-HeroRegion-col--content">',
'      <h1 class="t-HeroRegion-title">#TITLE#</h1>',
'      #BODY#',
'    </div>',
'    <div class="t-HeroRegion-col t-HeroRegion-col--right"><div class="t-HeroRegion-form">#SUB_REGIONS#</div><div class="t-HeroRegion-buttons">#NEXT#</div></div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Hero'
,p_internal_name=>'HERO'
,p_theme_id=>42
,p_theme_class_id=>22
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2672571031438297268
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33712284288696908)
,p_plug_template_id=>wwv_flow_api.id(25186276120391505422)
,p_name=>'Region Body'
,p_placeholder=>'#BODY#'
,p_has_grid_support=>false
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/region/inline_dialog
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(25186276302525505422)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#_parent">',
'<div id="#REGION_STATIC_ID#"  class="t-DialogRegion #REGION_CSS_CLASSES# js-regionDialog" #REGION_ATTRIBUTES# style="display:none" title="#TITLE#">',
'  <div class="t-DialogRegion-wrap">',
'    <div class="t-DialogRegion-bodyWrapperOut"><div class="t-DialogRegion-bodyWrapperIn"><div class="t-DialogRegion-body">#BODY#</div></div></div>',
'    <div class="t-DialogRegion-buttons">',
'       <div class="t-ButtonRegion t-ButtonRegion--dialogRegion">',
'         <div class="t-ButtonRegion-wrap">',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##DELETE##CLOSE#</div></div>',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'         </div>',
'       </div>',
'    </div>',
'  </div>',
'</div>',
'</div>'))
,p_page_plug_template_name=>'Inline Dialog'
,p_internal_name=>'INLINE_DIALOG'
,p_theme_id=>42
,p_theme_class_id=>24
,p_default_template_options=>'js-modal:js-draggable:js-resizable'
,p_preset_template_options=>'js-dialog-size600x400'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2671226943886536762
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33718003695696913)
,p_plug_template_id=>wwv_flow_api.id(25186276302525505422)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/interactive_report
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(25186277281615505424)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="t-IRR-region #REGION_CSS_CLASSES#">',
'  <h2 class="u-VisuallyHidden" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'#PREVIOUS##BODY##SUB_REGIONS##NEXT#',
'</div>'))
,p_page_plug_template_name=>'Interactive Report'
,p_internal_name=>'INTERACTIVE_REPORT'
,p_theme_id=>42
,p_theme_class_id=>9
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2099079838218790610
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/login
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(25186277565936505424)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Login-region t-Form--stretchInputs t-Form--labelsAbove #REGION_CSS_CLASSES#" id="#REGION_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-Login-header">',
'    <span class="t-Login-logo #ICON_CSS_CLASSES#"></span>',
'    <h1 class="t-Login-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h1>',
'  </div>',
'  <div class="t-Login-body">',
'    #BODY#',
'  </div>',
'  <div class="t-Login-buttons">',
'    #NEXT#',
'  </div>',
'  <div class="t-Login-links">',
'    #EDIT##CREATE#',
'  </div>',
'  #SUB_REGIONS#',
'</div>'))
,p_page_plug_template_name=>'Login'
,p_internal_name=>'LOGIN'
,p_theme_id=>42
,p_theme_class_id=>23
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2672711194551076376
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33723569023696918)
,p_plug_template_id=>wwv_flow_api.id(25186277565936505424)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/standard
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(25186277719855505424)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <span class="t-Region-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'    <h2 class="t-Region-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#COPY##EDIT#<span class="js-maximizeButtonContainer"></span></div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     #BODY#',
'     #SUB_REGIONS#',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#CLOSE##HELP#</div>',
'    <div class="t-Region-buttons-right">#DELETE##CHANGE##CREATE#</div>',
'   </div>',
' </div>',
'</div>',
''))
,p_page_plug_template_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>8
,p_preset_template_options=>'t-Region--scrollBody'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>4070912133526059312
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33725123726696919)
,p_plug_template_id=>wwv_flow_api.id(25186277719855505424)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33725667826696919)
,p_plug_template_id=>wwv_flow_api.id(25186277719855505424)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/tabs_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(25186279823701505426)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-TabsRegion #REGION_CSS_CLASSES# apex-tabs-region" #REGION_ATTRIBUTES# id="#REGION_STATIC_ID#">',
'  #BODY#',
'  <div class="t-TabsRegion-items">',
'    #SUB_REGIONS#',
'  </div>',
'</div>'))
,p_sub_plug_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div data-label="#SUB_REGION_TITLE#" id="SR_#SUB_REGION_ID#">',
'  #SUB_REGION#',
'</div>'))
,p_page_plug_template_name=>'Tabs Container'
,p_internal_name=>'TABS_CONTAINER'
,p_javascript_file_urls=>'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'
,p_theme_id=>42
,p_theme_class_id=>5
,p_preset_template_options=>'t-TabsRegion-mod--simple'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>3221725015618492759
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33752487896696941)
,p_plug_template_id=>wwv_flow_api.id(25186279823701505426)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33752994263696941)
,p_plug_template_id=>wwv_flow_api.id(25186279823701505426)
,p_name=>'Tabs'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/title_bar
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(25186281048793505426)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="t-BreadcrumbRegion #REGION_CSS_CLASSES#"> ',
'  <div class="t-BreadcrumbRegion-body">',
'    <div class="t-BreadcrumbRegion-breadcrumb">',
'      #BODY#',
'    </div>',
'    <div class="t-BreadcrumbRegion-title">',
'      <h1 class="t-BreadcrumbRegion-titleText">#TITLE#</h1>',
'    </div>',
'  </div>',
'  <div class="t-BreadcrumbRegion-buttons">#PREVIOUS##CLOSE##DELETE##HELP##CHANGE##EDIT##COPY##CREATE##NEXT#</div>',
'</div>'))
,p_page_plug_template_name=>'Title Bar'
,p_internal_name=>'TITLE_BAR'
,p_theme_id=>42
,p_theme_class_id=>6
,p_default_template_options=>'t-BreadcrumbRegion--showBreadcrumb'
,p_preset_template_options=>'t-BreadcrumbRegion--useBreadcrumbTitle'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2530016523834132090
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/wizard_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(25186281506546505427)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Wizard #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-Wizard-header">',
'    <h1 class="t-Wizard-title">#TITLE#</h1>',
'    <div class="u-Table t-Wizard-controls">',
'      <div class="u-Table-fit t-Wizard-buttons">#PREVIOUS##CLOSE#</div>',
'      <div class="u-Table-fill t-Wizard-steps">',
'        #BODY#',
'      </div>',
'      <div class="u-Table-fit t-Wizard-buttons">#NEXT#</div>',
'    </div>',
'  </div>',
'  <div class="t-Wizard-body">',
'    #SUB_REGIONS#',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Wizard Container'
,p_internal_name=>'WIZARD_CONTAINER'
,p_theme_id=>42
,p_theme_class_id=>8
,p_preset_template_options=>'t-Wizard--hideStepsXSmall'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2117602213152591491
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(33759930546696948)
,p_plug_template_id=>wwv_flow_api.id(25186281506546505427)
,p_name=>'Wizard Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/list/top_navigation_tabs
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(33815595634697009)
,p_list_template_current=>'<li class="t-NavTabs-item #A03# is-active" id="#A01#"><a href="#LINK#" class="t-NavTabs-link #A04# " title="#TEXT_ESC_SC#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-NavTabs-label">#TEXT_ESC_SC#</span><span class'
||'="t-NavTabs-badge #A05#">#A02#</span></a></li>'
,p_list_template_noncurrent=>'<li class="t-NavTabs-item #A03#" id="#A01#"><a href="#LINK#" class="t-NavTabs-link #A04# " title="#TEXT_ESC_SC#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-NavTabs-label">#TEXT_ESC_SC#</span><span class="t-NavTab'
||'s-badge #A05#">#A02#</span></a></li>'
,p_list_template_name=>'Top Navigation Tabs'
,p_internal_name=>'TOP_NAVIGATION_TABS'
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-NavTabs--inlineLabels-lg:t-NavTabs--displayLabels-sm'
,p_list_template_before_rows=>'<ul class="t-NavTabs #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_navtabs">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'List Item ID'
,p_a02_label=>'Badge Value'
,p_a03_label=>'List Item Class'
,p_a04_label=>'Link Class'
,p_a05_label=>'Badge Class'
,p_reference_id=>1453011561172885578
);
end;
/
prompt --application/shared_components/user_interface/templates/list/badge_list
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(25186289943830505434)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item #A02#">',
'  <a class="t-BadgeList-wrap u-color #A04#" href="#LINK#" #A03#>',
'  <span class="t-BadgeList-label">#TEXT#</span>',
'  <span class="t-BadgeList-value">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item #A02#">',
'  <a class="t-BadgeList-wrap u-color #A04#" href="#LINK#" #A03#>',
'  <span class="t-BadgeList-label">#TEXT#</span>',
'  <span class="t-BadgeList-value">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Badge List'
,p_internal_name=>'BADGE_LIST'
,p_theme_id=>42
,p_theme_class_id=>3
,p_preset_template_options=>'t-BadgeList--large:t-BadgeList--cols t-BadgeList--3cols:t-BadgeList--circular'
,p_list_template_before_rows=>'<ul class="t-BadgeList #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Value'
,p_a02_label=>'List item CSS Classes'
,p_a03_label=>'Link Attributes'
,p_a04_label=>'Link Classes'
,p_reference_id=>2062482847268086664
,p_list_template_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'A01: Large Number',
'A02: List Item Classes',
'A03: Link Attributes'))
);
end;
/
prompt --application/shared_components/user_interface/templates/list/cards
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(25186291675510505436)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item is-active #A04#">',
'  <div class="t-Card">',
'    <a href="#LINK#" class="t-Card-wrap" #A05#>',
'      <div class="t-Card-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#"><span class="t-Card-initials" role="presentation">#A03#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#TEXT#</h3><h4 class="t-Card-subtitle">#A07#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#A01#</div>',
'        <div class="t-Card-info">#A02#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #A06#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #A04#">',
'  <div class="t-Card">',
'    <a href="#LINK#" class="t-Card-wrap" #A05#>',
'      <div class="t-Card-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#"><span class="t-Card-initials" role="presentation">#A03#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#TEXT#</h3><h4 class="t-Card-subtitle">#A07#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#A01#</div>',
'        <div class="t-Card-info">#A02#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #A06#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_list_template_name=>'Cards'
,p_internal_name=>'CARDS'
,p_theme_id=>42
,p_theme_class_id=>4
,p_preset_template_options=>'t-Cards--animColorFill:t-Cards--3cols:t-Cards--basic'
,p_list_template_before_rows=>'<ul class="t-Cards #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Description'
,p_a02_label=>'Secondary Information'
,p_a03_label=>'Initials'
,p_a04_label=>'List Item CSS Classes'
,p_a05_label=>'Link Attributes'
,p_a06_label=>'Card Color Class'
,p_a07_label=>'Subtitle'
,p_reference_id=>2885322685880632508
);
end;
/
prompt --application/shared_components/user_interface/templates/list/links_list
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(25186293779298505439)
,p_list_template_current=>'<li class="t-LinksList-item is-current #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-b'
||'adge">#A01#</span></a></li>'
,p_list_template_noncurrent=>'<li class="t-LinksList-item #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-badge">#A01#'
||'</span></a></li>'
,p_list_template_name=>'Links List'
,p_internal_name=>'LINKS_LIST'
,p_theme_id=>42
,p_theme_class_id=>18
,p_list_template_before_rows=>'<ul class="t-LinksList #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'
,p_list_template_after_rows=>'</ul>'
,p_before_sub_list=>'<ul class="t-LinksList-list">'
,p_after_sub_list=>'</ul>'
,p_sub_list_item_current=>'<li class="t-LinksList-item is-current #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-b'
||'adge">#A01#</span></a></li>'
,p_sub_list_item_noncurrent=>'<li class="t-LinksList-item #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-badge">#A01#'
||'</span></a></li>'
,p_item_templ_curr_w_child=>'<li class="t-LinksList-item is-current is-expanded #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t'
||'-LinksList-badge">#A01#</span></a>#SUB_LISTS#</li>'
,p_item_templ_noncurr_w_child=>'<li class="t-LinksList-item #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-badge">#A01#'
||'</span></a></li>'
,p_a01_label=>'Badge Value'
,p_a02_label=>'Link Attributes'
,p_a03_label=>'List Item CSS Classes'
,p_reference_id=>4070914341144059318
);
end;
/
prompt --application/shared_components/user_interface/templates/list/media_list
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(25186294516176505439)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item is-active #A04#">',
'    <a href="#LINK#" class="t-MediaList-itemWrap #A05#" #A03#>',
'        <div class="t-MediaList-iconWrap">',
'            <span class="t-MediaList-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#" #IMAGE_ATTR#></span></span>',
'        </div>',
'        <div class="t-MediaList-body">',
'            <h3 class="t-MediaList-title">#TEXT#</h3>',
'            <p class="t-MediaList-desc">#A01#</p>',
'        </div>',
'        <div class="t-MediaList-badgeWrap">',
'            <span class="t-MediaList-badge">#A02#</span>',
'        </div>',
'    </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item  #A04#">',
'    <a href="#LINK#" class="t-MediaList-itemWrap #A05#" #A03#>',
'        <div class="t-MediaList-iconWrap">',
'            <span class="t-MediaList-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#" #IMAGE_ATTR#></span></span>',
'        </div>',
'        <div class="t-MediaList-body">',
'            <h3 class="t-MediaList-title">#TEXT#</h3>',
'            <p class="t-MediaList-desc">#A01#</p>',
'        </div>',
'        <div class="t-MediaList-badgeWrap">',
'            <span class="t-MediaList-badge">#A02#</span>',
'        </div>',
'    </a>',
'</li>'))
,p_list_template_name=>'Media List'
,p_internal_name=>'MEDIA_LIST'
,p_theme_id=>42
,p_theme_class_id=>5
,p_default_template_options=>'t-MediaList--showIcons:t-MediaList--showDesc'
,p_list_template_before_rows=>'<ul class="t-MediaList #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Description'
,p_a02_label=>'Badge Value'
,p_a03_label=>'Link Attributes'
,p_a04_label=>'List Item CSS Classes'
,p_a05_label=>'Link Class'
,p_a06_label=>'Icon Color Class'
,p_reference_id=>2066548068783481421
);
end;
/
prompt --application/shared_components/user_interface/templates/list/menu_bar
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(25186295446517505440)
,p_list_template_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Menu Bar'
,p_internal_name=>'MENU_BAR'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menubar", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  apex.actions.addFromMarkup( e );',
'}',
'e.menu({',
'  behaveLikeTabs: e.hasClass("js-tabLike"),',
'  menubarShowSubMenuIcon: e.hasClass("js-showSubMenuIcons") || null,',
'  iconType: ''fa'',',
'  slide: e.hasClass("js-slide"),',
'  menubar: true,',
'  menubarOverflow: true',
'});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_default_template_options=>'js-showSubMenuIcons'
,p_list_template_before_rows=>'<div class="t-MenuBar #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_menubar"><ul style="display:none">'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_reference_id=>2008709236185638887
);
end;
/
prompt --application/shared_components/user_interface/templates/list/menu_popup
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(25186295903008505441)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>',
''))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>',
''))
,p_list_template_name=>'Menu Popup'
,p_internal_name=>'MENU_POPUP'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menu", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  apex.actions.addFromMarkup( e );',
'}',
'e.menu({ slide: e.hasClass("js-slide"), iconType: ''fa''});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_list_template_before_rows=>'<div id="#PARENT_STATIC_ID#_menu" class="#COMPONENT_CSS_CLASSES#" style="display:none;"><ul>'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'Data ID'
,p_a02_label=>'Disabled (True/False)'
,p_a03_label=>'Hidden (True/False)'
,p_a04_label=>'Title Attribute'
,p_a05_label=>'Shortcut'
,p_reference_id=>3492264004432431646
);
end;
/
prompt --application/shared_components/user_interface/templates/list/navigation_bar
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(25186296021391505441)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item is-active #A02#">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item #A02#">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Navigation Bar'
,p_internal_name=>'NAVIGATION_BAR'
,p_theme_id=>42
,p_theme_class_id=>20
,p_list_template_before_rows=>'<ul class="t-NavigationBar #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'
,p_list_template_after_rows=>'</ul>'
,p_before_sub_list=>'<div class="t-NavigationBar-menu" style="display: none" id="menu_#PARENT_LIST_ITEM_ID#"><ul>'
,p_after_sub_list=>'</ul></div></li>'
,p_sub_list_item_current=>'<li data-current="true" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-current="false" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item is-active #A02#">',
'  <button class="t-Button t-Button--icon t-Button t-Button--header t-Button--navBar js-menuButton" type="button" id="#LIST_ITEM_ID#" data-menu="menu_#LIST_ITEM_ID#">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span><span class="a-Icon icon-down-arrow"></span>',
'  </button>'))
,p_item_templ_noncurr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item #A02#">',
'  <button class="t-Button t-Button--icon t-Button t-Button--header t-Button--navBar js-menuButton" type="button" id="#LIST_ITEM_ID#" data-menu="menu_#LIST_ITEM_ID#">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span><span class="a-Icon icon-down-arrow"></span>',
'  </button>'))
,p_sub_templ_curr_w_child=>'<li data-current="true" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_sub_templ_noncurr_w_child=>'<li data-current="false" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_a01_label=>'Badge Value'
,p_a02_label=>'List  Item CSS Classes'
,p_reference_id=>2846096252961119197
);
end;
/
prompt --application/shared_components/user_interface/templates/list/side_navigation_menu
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(25186296185919505441)
,p_list_template_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Side Navigation Menu'
,p_internal_name=>'SIDE_NAVIGATION_MENU'
,p_javascript_file_urls=>'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.treeView#MIN#.js?v=#APEX_VERSION#'
,p_javascript_code_onload=>'apex.jQuery(''body'').addClass(''t-PageBody--leftNav'');'
,p_theme_id=>42
,p_theme_class_id=>19
,p_list_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-nav" id="t_Body_nav" role="navigation" aria-label="&APP_TITLE!ATTR.">',
'<div class="t-TreeNav #COMPONENT_CSS_CLASSES#" id="t_TreeNav" data-id="#PARENT_STATIC_ID#_tree" aria-label="&APP_TITLE!ATTR."><ul style="display:none">'))
,p_list_template_after_rows=>'</ul></div></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'ID Attribute'
,p_a02_label=>'Disabled True/False'
,p_a04_label=>'Title'
,p_reference_id=>2466292414354694776
);
end;
/
prompt --application/shared_components/user_interface/templates/list/tabs
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(25186296296761505441)
,p_list_template_current=>'<li class="t-Tabs-item is-active"><a href="#LINK#" class="t-Tabs-link"><span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Tabs-label">#TEXT#</span></a></li>'
,p_list_template_noncurrent=>'<li class="t-Tabs-item"><a href="#LINK#" class="t-Tabs-link"><span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Tabs-label">#TEXT#</span></a></li>'
,p_list_template_name=>'Tabs'
,p_internal_name=>'TABS'
,p_javascript_file_urls=>'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Tabs--simple'
,p_list_template_before_rows=>'<ul class="t-Tabs #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_reference_id=>3288206686691809997
);
end;
/
prompt --application/shared_components/user_interface/templates/list/top_navigation_menu
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(25186297164242505442)
,p_list_template_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Top Navigation Menu'
,p_internal_name=>'TOP_NAVIGATION_MENU'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menubar", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  if ( apex.actions ) {',
'    apex.actions.addFromMarkup( e );',
'  } else {',
'    apex.debug.warn("Include actions.js to support menu shortcuts");',
'  }',
'}',
'e.menu({',
'  behaveLikeTabs: e.hasClass("js-tabLike"),',
'  menubarShowSubMenuIcon: e.hasClass("js-showSubMenuIcons") || null,',
'  slide: e.hasClass("js-slide"),',
'  menubar: true,',
'  menubarOverflow: true',
'});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_default_template_options=>'js-tabLike'
,p_list_template_before_rows=>'<div class="t-Header-nav-list #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_menubar"><ul style="display:none">'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'ID Attribute'
,p_a02_label=>'Disabled True / False'
,p_a03_label=>'Hide'
,p_a04_label=>'Title Attribute'
,p_a05_label=>'Shortcut Key'
,p_reference_id=>2525307901300239072
);
end;
/
prompt --application/shared_components/user_interface/templates/list/wizard_progress
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(25186297682653505443)
,p_list_template_current=>'<li class="t-WizardSteps-step is-active" id="#LIST_ITEM_ID#"><div class="t-WizardSteps-wrap"><span class="t-WizardSteps-marker"></span><span class="t-WizardSteps-label">#TEXT# <span class="t-WizardSteps-labelState"></span></span></div></li>'
,p_list_template_noncurrent=>'<li class="t-WizardSteps-step" id="#LIST_ITEM_ID#"><div class="t-WizardSteps-wrap"><span class="t-WizardSteps-marker"><span class="t-Icon a-Icon icon-check"></span></span><span class="t-WizardSteps-label">#TEXT# <span class="t-WizardSteps-labelState"'
||'></span></span></div></li>'
,p_list_template_name=>'Wizard Progress'
,p_internal_name=>'WIZARD_PROGRESS'
,p_javascript_code_onload=>'apex.theme.initWizardProgressBar();'
,p_theme_id=>42
,p_theme_class_id=>17
,p_preset_template_options=>'t-WizardSteps--displayLabels'
,p_list_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<h2 class="u-VisuallyHidden">#CURRENT_PROGRESS#</h2>',
'<ul class="t-WizardSteps #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'))
,p_list_template_after_rows=>'</ul>'
,p_reference_id=>2008702338707394488
);
end;
/
prompt --application/shared_components/user_interface/templates/report/media_list
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(33862464057697055)
,p_row_template_name=>'Media List'
,p_internal_name=>'MEDIA_LIST'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item #LIST_CLASS#">',
'    <a href="#LINK#" class="t-MediaList-itemWrap #LINK_CLASS#" #LINK_ATTR#>',
'        <div class="t-MediaList-iconWrap">',
'            <span class="t-MediaList-icon u-color #ICON_COLOR_CLASS#"><span class="t-Icon #ICON_CLASS#"></span></span>',
'        </div>',
'        <div class="t-MediaList-body">',
'            <h3 class="t-MediaList-title">#LIST_TITLE#</h3>',
'            <p class="t-MediaList-desc">#LIST_TEXT#</p>',
'        </div>',
'        <div class="t-MediaList-badgeWrap">',
'            <span class="t-MediaList-badge">#LIST_BADGE#</span>',
'        </div>',
'    </a>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-MediaList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>1
,p_default_template_options=>'t-MediaList--showDesc:t-MediaList--showIcons'
,p_preset_template_options=>'t-MediaList--stack'
,p_reference_id=>2092157460408299055
,p_translate_this_template=>'N'
,p_row_template_comment=>' (SELECT link_text, link_target, detail1, detail2, last_modified)'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/alerts
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(25186282149362505428)
,p_row_template_name=>'Alerts'
,p_internal_name=>'ALERTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--horizontal t-Alert--colorBG t-Alert--defaultIcons t-Alert--#ALERT_TYPE#" role="alert">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-header">',
'        <h2 class="t-Alert-title">#ALERT_TITLE#</h2>',
'      </div>',
'      <div class="t-Alert-body">',
'        #ALERT_DESC#',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      #ALERT_ACTION#',
'    </div>',
'  </div>',
'</div>'))
,p_row_template_before_rows=>'<div class="t-Alerts #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_alerts" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</div>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>14
,p_reference_id=>2881456138952347027
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/badge_list
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(25186282230416505428)
,p_row_template_name=>'Badge List'
,p_internal_name=>'BADGE_LIST'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item">',
' <span class="t-BadgeList-wrap u-color">',
'  <span class="t-BadgeList-label">#COLUMN_HEADER#</span>',
'  <span class="t-BadgeList-value">#COLUMN_VALUE#</span>',
' </span>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-BadgeList #COMPONENT_CSS_CLASSES#" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>6
,p_preset_template_options=>'t-BadgeList--large:t-BadgeList--fixed:t-BadgeList--circular'
,p_reference_id=>2103197159775914759
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/cards
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(25186283948285505429)
,p_row_template_name=>'Cards'
,p_internal_name=>'CARDS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #CARD_MODIFIERS#">',
'  <div class="t-Card">',
'    <a href="#CARD_LINK#" class="t-Card-wrap">',
'      <div class="t-Card-icon u-color #CARD_COLOR#"><span class="t-Icon fa #CARD_ICON#"><span class="t-Card-initials" role="presentation">#CARD_INITIALS#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#CARD_TITLE#</h3><h4 class="t-Card-subtitle">#CARD_SUBTITLE#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#CARD_TEXT#</div>',
'        <div class="t-Card-info">#CARD_SUBTEXT#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #CARD_COLOR#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_row_template_condition1=>':CARD_LINK is not null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #CARD_MODIFIERS#">',
'  <div class="t-Card">',
'    <div class="t-Card-wrap">',
'      <div class="t-Card-icon u-color #CARD_COLOR#"><span class="t-Icon fa #CARD_ICON#"><span class="t-Card-initials" role="presentation">#CARD_INITIALS#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#CARD_TITLE#</h3><h4 class="t-Card-subtitle">#CARD_SUBTITLE#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#CARD_TEXT#</div>',
'        <div class="t-Card-info">#CARD_SUBTEXT#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #CARD_COLOR#"></span>',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-Cards #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_cards" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Cards--animColorFill:t-Cards--3cols:t-Cards--basic'
,p_reference_id=>2973535649510699732
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/comments
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(25186286074662505431)
,p_row_template_name=>'Comments'
,p_internal_name=>'COMMENTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Comments-item #COMMENT_MODIFIERS#">',
'    <div class="t-Comments-icon">',
'        <div class="t-Comments-userIcon #ICON_MODIFIER#" aria-hidden="true">#USER_ICON#</div>',
'    </div>',
'    <div class="t-Comments-body">',
'        <div class="t-Comments-info">',
'            #USER_NAME# <span class="t-Comments-date">#COMMENT_DATE#</span> <span class="t-Comments-actions">#ACTIONS#</span>',
'        </div>',
'        <div class="t-Comments-comment">',
'            #COMMENT_TEXT##ATTRIBUTE_1##ATTRIBUTE_2##ATTRIBUTE_3##ATTRIBUTE_4#',
'        </div>',
'    </div>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-Comments #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'NOT_CONDITIONAL'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>',
''))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Comments--chat'
,p_reference_id=>2611722012730764232
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/search_results
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(25186286411926505432)
,p_row_template_name=>'Search Results'
,p_internal_name=>'SEARCH_RESULTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition1=>':LABEL_02 is null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition2=>':LABEL_03 is null'
,p_row_template3=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'      <span class="t-SearchResults-misc">#LABEL_03#: #VALUE_03#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition3=>':LABEL_04 is null'
,p_row_template4=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'      <span class="t-SearchResults-misc">#LABEL_03#: #VALUE_03#</span>',
'      <span class="t-SearchResults-misc">#LABEL_04#: #VALUE_04#</span>',
'    </div>',
'  </li>'))
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-SearchResults #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">',
'<ul class="t-SearchResults-list">'))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>',
'</div>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'NOT_CONDITIONAL'
,p_row_template_display_cond3=>'NOT_CONDITIONAL'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070913431524059316
,p_translate_this_template=>'N'
,p_row_template_comment=>' (SELECT link_text, link_target, detail1, detail2, last_modified)'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/standard
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(25186286576607505432)
,p_row_template_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_row_template1=>'<td class="t-Report-cell" #ALIGNMENT# headers="#COLUMN_HEADER_NAME#">#COLUMN_VALUE#</td>'
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Report #COMPONENT_CSS_CLASSES#" id="report_#REGION_STATIC_ID#" #REPORT_ATTRIBUTES# data-region-id="#REGION_STATIC_ID#">',
'  <div class="t-Report-wrap">',
'    <table class="t-Report-pagination" role="presentation">#TOP_PAGINATION#</table>',
'    <div class="t-Report-tableWrap">',
'    <table class="t-Report-report" summary="#REGION_TITLE#">'))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'      </tbody>',
'    </table>',
'    </div>',
'    <div class="t-Report-links">#EXTERNAL_LINK##CSV_LINK#</div>',
'    <table class="t-Report-pagination t-Report-pagination--bottom" role="presentation">#PAGINATION#</table>',
'  </div>',
'</div>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_before_column_heading=>'<thead>'
,p_column_heading_template=>'<th class="t-Report-colHead" #ALIGNMENT# id="#COLUMN_HEADER_NAME#" #COLUMN_WIDTH#>#COLUMN_HEADER#</th>'
,p_after_column_heading=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</thead>',
'<tbody>'))
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>4
,p_preset_template_options=>'t-Report--altRowsDefault:t-Report--rowHighlight'
,p_reference_id=>2537207537838287671
,p_translate_this_template=>'N'
);
begin
wwv_flow_api.create_row_template_patch(
 p_id=>wwv_flow_api.id(25186286576607505432)
,p_row_template_before_first=>'<tr>'
,p_row_template_after_last=>'</tr>'
);
exception when others then null;
end;
end;
/
prompt --application/shared_components/user_interface/templates/report/timeline
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(25186287895799505433)
,p_row_template_name=>'Timeline'
,p_internal_name=>'TIMELINE'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Timeline-item #EVENT_MODIFIERS#" #EVENT_ATTRIBUTES#>',
'  <div class="t-Timeline-wrap">',
'    <div class="t-Timeline-user">',
'      <div class="t-Timeline-avatar #USER_COLOR#">',
'        #USER_AVATAR#',
'      </div>',
'      <div class="t-Timeline-userinfo">',
'        <span class="t-Timeline-username">#USER_NAME#</span>',
'        <span class="t-Timeline-date">#EVENT_DATE#</span>',
'      </div>',
'    </div>',
'    <div class="t-Timeline-content">',
'      <div class="t-Timeline-typeWrap">',
'        <div class="t-Timeline-type #EVENT_STATUS#">',
'          <span class="t-Icon #EVENT_ICON#"></span>',
'          <span class="t-Timeline-typename">#EVENT_TYPE#</span>',
'        </div>',
'      </div>',
'      <div class="t-Timeline-body">',
'        <h3 class="t-Timeline-title">#EVENT_TITLE#</h3>',
'        <p class="t-Timeline-desc">#EVENT_DESC#</p>',
'      </div>',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_condition1=>':EVENT_LINK is null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Timeline-item #EVENT_MODIFIERS#" #EVENT_ATTRIBUTES#>',
'  <a href="#EVENT_LINK#" class="t-Timeline-wrap">',
'    <div class="t-Timeline-user">',
'      <div class="t-Timeline-avatar #USER_COLOR#">',
'        #USER_AVATAR#',
'      </div>',
'      <div class="t-Timeline-userinfo">',
'        <span class="t-Timeline-username">#USER_NAME#</span>',
'        <span class="t-Timeline-date">#EVENT_DATE#</span>',
'      </div>',
'    </div>',
'    <div class="t-Timeline-content">',
'      <div class="t-Timeline-typeWrap">',
'        <div class="t-Timeline-type #EVENT_STATUS#">',
'          <span class="t-Icon #EVENT_ICON#"></span>',
'          <span class="t-Timeline-typename">#EVENT_TYPE#</span>',
'        </div>',
'      </div>',
'      <div class="t-Timeline-body">',
'        <h3 class="t-Timeline-title">#EVENT_TITLE#</h3>',
'        <p class="t-Timeline-desc">#EVENT_DESC#</p>',
'      </div>',
'    </div>',
'  </a>',
'</li>'))
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-Timeline #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_timeline" data-region-id="#REGION_STATIC_ID#">',
''))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_reference_id=>1513373588340069864
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/value_attribute_pairs_column
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(25186288064978505433)
,p_row_template_name=>'Value Attribute Pairs - Column'
,p_internal_name=>'VALUE_ATTRIBUTE_PAIRS_COLUMN'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<dt class="t-AVPList-label">',
'  #COLUMN_HEADER#',
'</dt>',
'<dd class="t-AVPList-value">',
'  #COLUMN_VALUE#',
'</dd>'))
,p_row_template_before_rows=>'<dl class="t-AVPList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</dl>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>6
,p_preset_template_options=>'t-AVPList--leftAligned'
,p_reference_id=>2099068636272681754
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/value_attribute_pairs_row
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(25186289050643505434)
,p_row_template_name=>'Value Attribute Pairs - Row'
,p_internal_name=>'VALUE_ATTRIBUTE_PAIRS_ROW'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<dt class="t-AVPList-label">',
'  #1#',
'</dt>',
'<dd class="t-AVPList-value">',
'  #2#',
'</dd>'))
,p_row_template_before_rows=>'<dl class="t-AVPList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="report_#REGION_STATIC_ID#" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</dl>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-AVPList--leftAligned'
,p_reference_id=>2099068321678681753
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional_floating
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(33868269191697067)
,p_template_name=>'Optional - Floating'
,p_internal_name=>'OPTIONAL_FLOATING'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--floatingLabel #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>1607675164727151865
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required_floating
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(33868539879697068)
,p_template_name=>'Required - Floating'
,p_internal_name=>'REQUIRED_FLOATING'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
' <span class="u-VisuallyHidden">(#VALUE_REQUIRED#)</span></label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--floatingLabel is-required #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>1607675344320152883
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/hidden
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(25186298121364505443)
,p_template_name=>'Hidden'
,p_internal_name=>'HIDDEN'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer t-Form-labelContainer--hiddenLabel col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label u-VisuallyHidden">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--hiddenLabel rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>13
,p_reference_id=>2039339104148359505
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(25186298275602505444)
,p_template_name=>'Optional'
,p_internal_name=>'OPTIONAL'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>',
''))
,p_before_item=>'<div class="t-Form-fieldContainer rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>2317154212072806530
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional_above
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(25186298370354505444)
,p_template_name=>'Optional - Above'
,p_internal_name=>'OPTIONAL_ABOVE'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>#HELP_TEMPLATE#',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--stacked #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>3030114864004968404
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(25186298419988505444)
,p_template_name=>'Required'
,p_internal_name=>'REQUIRED'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
' <span class="u-VisuallyHidden">(#VALUE_REQUIRED#)</span></label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer is-required rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>2525313812251712801
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required_above
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(25186298527852505445)
,p_template_name=>'Required - Above'
,p_internal_name=>'REQUIRED_ABOVE'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
' <span class="u-VisuallyHidden">(#VALUE_REQUIRED#)</span></label> #HELP_TEMPLATE#',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--stacked is-required #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>3030115129444970113
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/breadcrumb/breadcrumb
begin
wwv_flow_api.create_menu_template(
 p_id=>wwv_flow_api.id(25186299214327505447)
,p_name=>'Breadcrumb'
,p_internal_name=>'BREADCRUMB'
,p_before_first=>'<ul class="t-Breadcrumb #COMPONENT_CSS_CLASSES#">'
,p_current_page_option=>'<li class="t-Breadcrumb-item is-active"><h1 class="t-Breadcrumb-label">#NAME#</h1></li>'
,p_non_current_page_option=>'<li class="t-Breadcrumb-item"><a href="#LINK#" class="t-Breadcrumb-label">#NAME#</a></li>'
,p_after_last=>'</ul>'
,p_max_levels=>6
,p_start_with_node=>'PARENT_TO_LEAF'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070916542570059325
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/popuplov
begin
wwv_flow_api.create_popup_lov_template(
 p_id=>wwv_flow_api.id(25186299417915505449)
,p_page_name=>'winlov'
,p_page_title=>'Search Dialog'
,p_page_html_head=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html lang="&BROWSER_LANGUAGE.">',
'<head>',
'<title>#TITLE#</title>',
'#APEX_CSS#',
'#THEME_CSS#',
'#THEME_STYLE_CSS#',
'#FAVICONS#',
'#APEX_JAVASCRIPT#',
'#THEME_JAVASCRIPT#',
'<meta name="viewport" content="width=device-width,initial-scale=1.0" />',
'</head>'))
,p_page_body_attr=>'onload="first_field()" class="t-Page t-Page--popupLOV"'
,p_before_field_text=>'<div class="t-PopupLOV-actions t-Form--large">'
,p_filter_width=>'20'
,p_filter_max_width=>'100'
,p_filter_text_attr=>'class="apex-item-text"'
,p_find_button_text=>'Search'
,p_find_button_attr=>'class="t-Button t-Button--hot t-Button--padLeft"'
,p_close_button_text=>'Close'
,p_close_button_attr=>'class="t-Button u-pullRight"'
,p_next_button_text=>'Next &gt;'
,p_next_button_attr=>'class="t-Button t-PopupLOV-button"'
,p_prev_button_text=>'&lt; Previous'
,p_prev_button_attr=>'class="t-Button t-PopupLOV-button"'
,p_after_field_text=>'</div>'
,p_scrollbars=>'1'
,p_resizable=>'1'
,p_width=>'380'
,p_result_row_x_of_y=>'<div class="t-PopupLOV-pagination">Row(s) #FIRST_ROW# - #LAST_ROW#</div>'
,p_result_rows_per_pg=>100
,p_before_result_set=>'<div class="t-PopupLOV-links">'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>2885398517835871876
,p_translate_this_template=>'N'
,p_after_result_set=>'</div>'
);
end;
/
prompt --application/shared_components/user_interface/templates/calendar/calendar
begin
wwv_flow_api.create_calendar_template(
 p_id=>wwv_flow_api.id(25186299334101505448)
,p_cal_template_name=>'Calendar'
,p_internal_name=>'CALENDAR'
,p_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th id="#DY#" scope="col" class="t-ClassicCalendar-dayColumn">',
'  <span class="visible-md visible-lg">#IDAY#</span>',
'  <span class="hidden-md hidden-lg">#IDY#</span>',
'</th>'))
,p_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #YYYY#</h1>'))
,p_month_open_format=>'<table class="t-ClassicCalendar-calendar" cellpadding="0" cellspacing="0" border="0" summary="#IMONTH# #YYYY#">'
,p_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>',
''))
,p_day_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_day_close_format=>'</td>'
,p_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_weekend_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_weekend_close_format=>'</td>'
,p_nonday_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_nonday_open_format=>'<td class="t-ClassicCalendar-day is-inactive" headers="#DY#">'
,p_nonday_close_format=>'</td>'
,p_week_open_format=>'<tr>'
,p_week_close_format=>'</tr> '
,p_daily_title_format=>'<table cellspacing="0" cellpadding="0" border="0" summary="" class="t1DayCalendarHolder"> <tr> <td class="t1MonthTitle">#IMONTH# #DD#, #YYYY#</td> </tr> <tr> <td>'
,p_daily_open_format=>'<tr>'
,p_daily_close_format=>'</tr>'
,p_weekly_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--weekly">',
'<h1 class="t-ClassicCalendar-title">#WTITLE#</h1>'))
,p_weekly_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th scope="col" class="t-ClassicCalendar-dayColumn" id="#DY#">',
'  <span class="visible-md visible-lg">#DD# #IDAY#</span>',
'  <span class="hidden-md hidden-lg">#DD# #IDY#</span>',
'</th>'))
,p_weekly_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" summary="#CALENDAR_TITLE# #START_DL# - #END_DL#" class="t-ClassicCalendar-calendar">'
,p_weekly_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_weekly_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_day_close_format=>'</div></td>'
,p_weekly_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_weekend_close_format=>'</div></td>'
,p_weekly_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol">'
,p_weekly_time_close_format=>'</th>'
,p_weekly_time_title_format=>'#TIME#'
,p_weekly_hour_open_format=>'<tr>'
,p_weekly_hour_close_format=>'</tr>'
,p_daily_day_of_week_format=>'<th scope="col" id="#DY#" class="t-ClassicCalendar-dayColumn">#IDAY#</th>'
,p_daily_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--daily">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #DD#, #YYYY#</h1>'))
,p_daily_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" summary="#CALENDAR_TITLE# #START_DL#" class="t-ClassicCalendar-calendar">'
,p_daily_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_daily_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_daily_day_close_format=>'</div></td>'
,p_daily_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_daily_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol" id="#TIME#">'
,p_daily_time_close_format=>'</th>'
,p_daily_time_title_format=>'#TIME#'
,p_daily_hour_open_format=>'<tr>'
,p_daily_hour_close_format=>'</tr>'
,p_cust_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #YYYY#</h1>'))
,p_cust_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th id="#DY#" scope="col" class="t-ClassicCalendar-dayColumn">',
'  <span class="visible-md visible-lg">#IDAY#</span>',
'  <span class="hidden-md hidden-lg">#IDY#</span>',
'</th>'))
,p_cust_month_open_format=>'<table class="t-ClassicCalendar-calendar" cellpadding="0" cellspacing="0" border="0" summary="#IMONTH# #YYYY#">'
,p_cust_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_cust_week_open_format=>'<tr>'
,p_cust_week_close_format=>'</tr> '
,p_cust_day_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">'
,p_cust_day_close_format=>'</td>'
,p_cust_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#">'
,p_cust_nonday_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_nonday_open_format=>'<td class="t-ClassicCalendar-day is-inactive" headers="#DY#">'
,p_cust_nonday_close_format=>'</td>'
,p_cust_weekend_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#">'
,p_cust_weekend_close_format=>'</td>'
,p_cust_hour_open_format=>'<tr>'
,p_cust_hour_close_format=>'</tr>'
,p_cust_time_title_format=>'#TIME#'
,p_cust_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol">'
,p_cust_time_close_format=>'</th>'
,p_cust_wk_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#WTITLE#</h1>'))
,p_cust_wk_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th scope="col" class="t-ClassicCalendar-dayColumn" id="#DY#">',
'  <span class="visible-md visible-lg">#DD# #IDAY#</span>',
'  <span class="hidden-md hidden-lg">#DD# #IDY#</span>',
'</th>'))
,p_cust_wk_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" summary="#CALENDAR_TITLE# #START_DL# - #END_DL#" class="t-ClassicCalendar-calendar">'
,p_cust_wk_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_cust_wk_week_open_format=>'<tr>'
,p_cust_wk_week_close_format=>'</tr> '
,p_cust_wk_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_cust_wk_day_close_format=>'</div></td>'
,p_cust_wk_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_cust_wk_weekend_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">'
,p_cust_wk_weekend_close_format=>'</td>'
,p_agenda_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--list">',
'  <div class="t-ClassicCalendar-title">#IMONTH# #YYYY#</div>',
'  <ul class="t-ClassicCalendar-list">',
'    #DAYS#',
'  </ul>',
'</div>'))
,p_agenda_past_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-past">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_today_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-today">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_future_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-future">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_past_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-past">#DATA#</li>'
,p_agenda_today_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-today">#DATA#</li>'
,p_agenda_future_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-future">#DATA#</li>'
,p_month_data_format=>'#DAYS#'
,p_month_data_entry_format=>'<span class="t-ClassicCalendar-event">#DATA#</span>'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070916747979059326
);
end;
/
prompt --application/shared_components/user_interface/themes
begin
wwv_flow_api.create_theme(
 p_id=>wwv_flow_api.id(25186299871689505457)
,p_theme_id=>42
,p_theme_name=>'Universal Theme'
,p_theme_internal_name=>'UNIVERSAL_THEME'
,p_ui_type_name=>'DESKTOP'
,p_navigation_type=>'L'
,p_nav_bar_type=>'LIST'
,p_reference_id=>4070917134413059350
,p_is_locked=>false
,p_default_page_template=>wwv_flow_api.id(54045559099741946)
,p_default_dialog_template=>wwv_flow_api.id(25186265694411505406)
,p_error_template=>wwv_flow_api.id(25186263558227505405)
,p_printer_friendly_template=>wwv_flow_api.id(25186266941416505407)
,p_breadcrumb_display_point=>'REGION_POSITION_01'
,p_sidebar_display_point=>'REGION_POSITION_02'
,p_login_template=>wwv_flow_api.id(25186263558227505405)
,p_default_button_template=>wwv_flow_api.id(25186298792612505445)
,p_default_region_template=>wwv_flow_api.id(25186277719855505424)
,p_default_chart_template=>wwv_flow_api.id(25186277719855505424)
,p_default_form_template=>wwv_flow_api.id(25186277719855505424)
,p_default_reportr_template=>wwv_flow_api.id(25186277719855505424)
,p_default_tabform_template=>wwv_flow_api.id(25186277719855505424)
,p_default_wizard_template=>wwv_flow_api.id(25186277719855505424)
,p_default_menur_template=>wwv_flow_api.id(25186281048793505426)
,p_default_listr_template=>wwv_flow_api.id(25186277719855505424)
,p_default_irr_template=>wwv_flow_api.id(25186277281615505424)
,p_default_report_template=>wwv_flow_api.id(25186286576607505432)
,p_default_label_template=>wwv_flow_api.id(25186298275602505444)
,p_default_menu_template=>wwv_flow_api.id(25186299214327505447)
,p_default_calendar_template=>wwv_flow_api.id(25186299334101505448)
,p_default_list_template=>wwv_flow_api.id(25186293779298505439)
,p_default_nav_list_template=>wwv_flow_api.id(25186297164242505442)
,p_default_top_nav_list_temp=>wwv_flow_api.id(25186297164242505442)
,p_default_side_nav_list_temp=>wwv_flow_api.id(25186296185919505441)
,p_default_nav_list_position=>'SIDE'
,p_default_dialogbtnr_template=>wwv_flow_api.id(25186269744713505415)
,p_default_dialogr_template=>wwv_flow_api.id(25186269690704505415)
,p_default_option_label=>wwv_flow_api.id(25186298275602505444)
,p_default_required_label=>wwv_flow_api.id(25186298419988505444)
,p_default_page_transition=>'NONE'
,p_default_popup_transition=>'NONE'
,p_default_navbar_list_template=>wwv_flow_api.id(25186296021391505441)
,p_file_prefix => nvl(wwv_flow_application_install.get_static_theme_file_prefix(42),'#IMAGE_PREFIX#themes/theme_42/1.2/')
,p_files_version=>72
,p_icon_library=>'FONTAPEX'
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.stickyWidget#MIN#.js?v=#APEX_VERSION#',
'#THEME_IMAGES#js/theme42#MIN#.js?v=#APEX_VERSION#'))
,p_css_file_urls=>'#THEME_IMAGES#css/Core#MIN#.css?v=#APEX_VERSION#'
);
end;
/
prompt --application/shared_components/user_interface/theme_style
begin
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(33441894230696688)
,p_theme_id=>42
,p_name=>'Vista'
,p_css_file_urls=>'#THEME_IMAGES#css/Vista#MIN#.css?v=#APEX_VERSION#'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_read_only=>true
,p_reference_id=>4007676303523989775
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(33442269378696689)
,p_theme_id=>42
,p_name=>'Vita'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>true
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita.less'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>2719875314571594493
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(33442634528696689)
,p_theme_id=>42
,p_name=>'Vita - Dark'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita-Dark.less'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita-Dark#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>3543348412015319650
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(33443006413696689)
,p_theme_id=>42
,p_name=>'Vita - Red'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita-Red.less'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita-Red#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>1938457712423918173
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(33443453118696689)
,p_theme_id=>42
,p_name=>'Vita - Slate'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita-Slate.less'
,p_theme_roller_config=>'{"customCSS":"","vars":{"@g_Accent-BG":"#505f6d","@g_Accent-OG":"#ececec","@g_Body-Title-BG":"#dee1e4","@l_Link-Base":"#337ac0","@g_Body-BG":"#f5f5f5"}}'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita-Slate#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>3291983347983194966
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(54038327006590729)
,p_theme_id=>42
,p_name=>'Vita (Copy)'
,p_is_current=>true
,p_is_public=>true
,p_is_accessible=>true
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita.less'
,p_theme_roller_config=>'{"customCSS":"","vars":{"@g_Accent-BG":"#678ca9","@g_Link-Base":"#0091ff","@g_Focus":"#0091ff","@g_Nav-BG":"#363f46","@g_Nav-Active-BG":"#515f6b","@g_Nav-Icon":"#ced4ff","@g_Nav-Icon-Active":"#ced4ff"}}'
,p_theme_roller_output_file_url=>'#THEME_DB_IMAGES#54038327006590729.css'
,p_theme_roller_read_only=>false
);
end;
/
prompt --application/shared_components/user_interface/theme_files
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A200D0A202A20566974612028436F7079290D0A202A20202020284F7261636C65204170706C69636174696F6E2045787072657373205468656D65205374796C65290D0A202A200D0A202A2054686973204353532066696C65207761732067656E6572';
wwv_flow_api.g_varchar2_table(2) := '61746564207573696E6720746865204F7261636C65204170706C69636174696F6E204578707265737320352E30205468656D6520526F6C6C65722E200D0A202A200D0A202A2F0D0A0D0A2E742D4156504C6973742D76616C7565207B0D0A2020636F6C6F';
wwv_flow_api.g_varchar2_table(3) := '723A20233634363436343B0D0A7D0D0A2E742D426F64792D696E666F202E742D4156504C6973742D76616C7565207B0D0A2020636F6C6F723A20233636363636363B0D0A7D0D0A2E742D526567696F6E202E742D4156504C6973742D76616C7565207B0D';
wwv_flow_api.g_varchar2_table(4) := '0A2020636F6C6F723A20233636363636363B0D0A7D0D0A2E742D4156504C6973742D6C6162656C207B0D0A2020636F6C6F723A20233462346234623B0D0A7D0D0A2E742D426F64792D696E666F202E742D4156504C6973742D6C6162656C207B0D0A2020';
wwv_flow_api.g_varchar2_table(5) := '636F6C6F723A20233464346434643B0D0A7D0D0A2E742D526567696F6E202E742D4156504C6973742D6C6162656C207B0D0A2020636F6C6F723A20233464346434643B0D0A7D0D0A0D0A2E742D416C6572742D2D77697A6172642C0D0A2E742D416C6572';
wwv_flow_api.g_varchar2_table(6) := '742D2D686F72697A6F6E74616C207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D416C6572742D2D636F6C6F7242472E742D416C6572742D2D7761726E696E672C0D0A2E742D416C6572742D2D636F6C6F7242472E742D';
wwv_flow_api.g_varchar2_table(7) := '416C6572742D2D79656C6C6F77207B0D0A20206261636B67726F756E642D636F6C6F723A20236665663765303B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D416C6572742D2D636F6C6F7242472E742D416C6572742D2D73756363';
wwv_flow_api.g_varchar2_table(8) := '657373207B0D0A20206261636B67726F756E642D636F6C6F723A20236635666166343B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D416C6572742D2D636F6C6F7242472E742D416C6572742D2D64616E6765722C0D0A2E742D416C';
wwv_flow_api.g_varchar2_table(9) := '6572742D2D636F6C6F7242472E742D416C6572742D2D726564207B0D0A20206261636B67726F756E642D636F6C6F723A20236666663866373B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D416C6572742D2D636F6C6F7242472E74';
wwv_flow_api.g_varchar2_table(10) := '2D416C6572742D2D696E666F207B0D0A20206261636B67726F756E642D636F6C6F723A20236564663666663B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D416C6572742D69636F6E202E742D49636F6E207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(11) := '3A20234646463B0D0A7D0D0A0D0A2E742D416C6572742D2D7761726E696E67202E742D416C6572742D69636F6E202E742D49636F6E2C0D0A2E742D416C6572742D2D79656C6C6F77202E742D416C6572742D69636F6E202E742D49636F6E207B0D0A2020';
wwv_flow_api.g_varchar2_table(12) := '6261636B67726F756E642D636F6C6F723A20236662636534613B0D0A7D0D0A2E742D416C6572742D2D7761726E696E672E742D416C6572742D2D686F72697A6F6E74616C202E742D416C6572742D69636F6E2C0D0A2E742D416C6572742D2D79656C6C6F';
wwv_flow_api.g_varchar2_table(13) := '772E742D416C6572742D2D686F72697A6F6E74616C202E742D416C6572742D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235312C203230362C2037342C20302E3135293B0D0A7D0D0A0D0A2E742D416C6572742D';
wwv_flow_api.g_varchar2_table(14) := '2D73756363657373202E742D416C6572742D69636F6E202E742D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132633B0D0A7D0D0A2E742D416C6572742D2D737563636573732E742D416C6572742D2D686F72697A6F';
wwv_flow_api.g_varchar2_table(15) := '6E74616C202E742D416C6572742D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20726762612835392C203137302C2034342C20302E3135293B0D0A7D0D0A0D0A2E742D416C6572742D2D696E666F202E742D416C6572742D69636F';
wwv_flow_api.g_varchar2_table(16) := '6E202E742D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A2E742D416C6572742D2D696E666F2E742D416C6572742D2D686F72697A6F6E74616C202E742D416C6572742D69636F6E207B0D0A2020';
wwv_flow_api.g_varchar2_table(17) := '6261636B67726F756E642D636F6C6F723A207267626128352C203131342C203230362C20302E3135293B0D0A7D0D0A0D0A2E742D416C6572742D2D64616E676572202E742D416C6572742D69636F6E202E742D49636F6E2C0D0A2E742D416C6572742D2D';
wwv_flow_api.g_varchar2_table(18) := '726564202E742D416C6572742D69636F6E202E742D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333363B0D0A7D0D0A2E742D416C6572742D2D64616E6765722E742D416C6572742D2D686F72697A6F6E74616C202E';
wwv_flow_api.g_varchar2_table(19) := '742D416C6572742D69636F6E2C0D0A2E742D416C6572742D2D7265642E742D416C6572742D2D686F72697A6F6E74616C202E742D416C6572742D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283234342C2036372C20';
wwv_flow_api.g_varchar2_table(20) := '35342C20302E3135293B0D0A7D0D0A2E742D416C6572742D2D77697A617264202E742D416C6572742D696E736574207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D416C6572742D2D686F72697A6F6E74616C2C0D0A2E';
wwv_flow_api.g_varchar2_table(21) := '742D416C6572742D2D77697A617264207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D416C6572742D2D706167652E742D416C6572742D2D7375636365';
wwv_flow_api.g_varchar2_table(22) := '7373207B0D0A20206261636B67726F756E642D636F6C6F723A20726762612835392C203137302C2034342C20302E39293B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D416C6572742D2D706167652E742D416C6572742D2D737563';
wwv_flow_api.g_varchar2_table(23) := '63657373202E742D416C6572742D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D416C6572742D2D706167652E742D416C657274';
wwv_flow_api.g_varchar2_table(24) := '2D2D73756363657373202E742D427574746F6E2D2D636C6F7365416C657274207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D416C6572742D2D706167652E742D416C6572742D2D7375636365737320';
wwv_flow_api.g_varchar2_table(25) := '2E742D416C6572742D636F6E74656E74207B0D0A202070616464696E672D72696768743A20303B0D0A202070616464696E672D6C6566743A20303B0D0A7D0D0A0D0A2E742D42616467654C6973742C0D0A2E742D42616467654C6973743A6E6F74282E75';
wwv_flow_api.g_varchar2_table(26) := '2D636F6C6F7273292061202E742D42616467654C6973742D6C6162656C207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D42616467654C6973742D2D63697263756C6172202E742D42616467654C6973742D76616C7565207B0D0A';
wwv_flow_api.g_varchar2_table(27) := '2020626F782D736861646F773A2030203020302031707820726762612836342C2036342C2036342C20302E312920696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D42616467654C6973742D';
wwv_flow_api.g_varchar2_table(28) := '2D63697263756C617220612E742D42616467654C6973742D777261703A686F766572202E742D42616467654C6973742D76616C7565207B0D0A2020626F782D736861646F773A20302030203020347078202336373863613920696E7365743B0D0A202062';
wwv_flow_api.g_varchar2_table(29) := '61636B67726F756E642D636F6C6F723A20233637386361393B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D42616467654C6973742D2D6461736820612E742D42616467654C6973742D777261703A666F6375732C0D0A2E742D4261';
wwv_flow_api.g_varchar2_table(30) := '6467654C6973742D2D64617368202E742D42616467654C6973742D777261703A666F6375732D77697468696E2C0D0A2E742D42616467654C6973742D2D63697263756C617220612E742D42616467654C6973742D777261703A666F637573202E742D4261';
wwv_flow_api.g_varchar2_table(31) := '6467654C6973742D76616C75652C0D0A2E742D42616467654C6973742D2D63697263756C6172202E742D42616467654C6973742D76616C756520613A666F637573207B0D0A2020626F782D736861646F773A203020302030203170782023303039316666';
wwv_flow_api.g_varchar2_table(32) := '20696E7365742C20302030203020327078202366666666666620696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20233637386361393B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D42616467654C6973742D2D';
wwv_flow_api.g_varchar2_table(33) := '64617368202E742D42616467654C6973742D777261703A666F6375732D77697468696E2C0D0A2E742D42616467654C6973742D2D63697263756C6172202E742D42616467654C6973742D76616C756520613A686F766572207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(34) := '756E642D636F6C6F723A20233637386361392021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D42616467654C6973742D2D64617368202E742D42616467654C6973742D76616C';
wwv_flow_api.g_varchar2_table(35) := '756520613A666F6375732C0D0A2E742D42616467654C6973742D2D6461736820612E742D42616467654C6973742D777261703A666F6375732D77697468696E202E742D42616467654C6973742D6C6162656C207B0D0A2020636F6C6F723A202366666666';
wwv_flow_api.g_varchar2_table(36) := '66663B0D0A7D0D0A0D0A2E742D42616467654C6973742E752D636F6C6F72732E742D42616467654C6973742D2D63697263756C6172202E742D42616467654C6973742D777261703A6265666F7265207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(37) := '3A20236666666666663B0D0A7D0D0A2E742D42616467654C6973742E752D636F6C6F72732E742D42616467654C6973742D2D63697263756C6172202E742D42616467654C6973742D6C6162656C207B0D0A2020636F6C6F723A20233430343034303B0D0A';
wwv_flow_api.g_varchar2_table(38) := '7D0D0A2E742D42616467654C6973742E752D636F6C6F7273202E742D42616467654C6973742D76616C75652061207B0D0A2020636F6C6F723A20696E68657269743B0D0A7D0D0A2E612D4261724368617274202E612D42617243686172742D6974656D3A';
wwv_flow_api.g_varchar2_table(39) := '686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A7D0D0A2E742D426F6479202E612D4261724368617274202E612D42617243686172742D6974656D202E612D42617243686172742D76616C7565207B0D0A';
wwv_flow_api.g_varchar2_table(40) := '2020636F6C6F723A20233765376537653B0D0A7D0D0A2E742D426F64792D7469746C65202E612D4261724368617274202E612D42617243686172742D6974656D202E612D42617243686172742D76616C7565207B0D0A2020636F6C6F723A202338303830';
wwv_flow_api.g_varchar2_table(41) := '38303B0D0A7D0D0A2E742D426F64792D696E666F202E612D4261724368617274202E612D42617243686172742D6974656D202E612D42617243686172742D76616C7565207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D52656769';
wwv_flow_api.g_varchar2_table(42) := '6F6E202E612D4261724368617274202E612D42617243686172742D6974656D202E612D42617243686172742D76616C75652C0D0A2E742D427574746F6E526567696F6E202E612D4261724368617274202E612D42617243686172742D6974656D202E612D';
wwv_flow_api.g_varchar2_table(43) := '42617243686172742D76616C7565207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E612D4261724368617274202E612D42617243686172742D6974656D20696D67207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D';
wwv_flow_api.g_varchar2_table(44) := '0D0A2E612D4261724368617274202E612D42617243686172742D626172207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E303235293B0D0A7D0D0A2E612D42617243686172742D2D636C617373696320';
wwv_flow_api.g_varchar2_table(45) := '2E612D42617243686172742D6261722C0D0A2E612D42617243686172742D2D636C6173736963202E612D42617243686172742D66696C6C6564207B0D0A2020626F726465722D7261646975733A203170783B0D0A7D0D0A2E612D42617243686172742D2D';
wwv_flow_api.g_varchar2_table(46) := '636C6173736963202E612D42617243686172742D6974656D3A686F766572202E612D42617243686172742D626172207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3035293B0D0A7D0D0A2E612D4261';
wwv_flow_api.g_varchar2_table(47) := '7243686172742D2D6D6F6465726E202E612D42617243686172742D6261722C0D0A2E612D42617243686172742D2D6D6F6465726E202E612D42617243686172742D66696C6C6564207B0D0A2020626F726465722D7261646975733A203170783B0D0A7D0D';
wwv_flow_api.g_varchar2_table(48) := '0A2E612D42617243686172742D2D6D6F6465726E202E612D42617243686172742D6974656D3A686F766572202E612D42617243686172742D626172207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E30';
wwv_flow_api.g_varchar2_table(49) := '35293B0D0A7D0D0A2E612D42617243686172742D66696C6C6564207B0D0A20206261636B67726F756E642D636F6C6F723A20233637386361393B0D0A7D0D0A0D0A626F6479207B0D0A20206261636B67726F756E643A20236664666466643B0D0A202063';
wwv_flow_api.g_varchar2_table(50) := '6F6C6F723A20233365336533653B0D0A7D0D0A61207B0D0A2020636F6C6F723A20233030393166663B0D0A7D0D0A2E742D426F64792D616374696F6E73207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F72';
wwv_flow_api.g_varchar2_table(51) := '6465722D6C6566743A2031707820736F6C6964207267626128302C20302C20302C20302E303735293B0D0A7D0D0A2E742D426F64792D7469746C65207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C203235';
wwv_flow_api.g_varchar2_table(52) := '352C20302E39293B0D0A2020636F6C6F723A20233430343034303B0D0A20202D7765626B69742D6261636B64726F702D66696C7465723A20736174757261746528313830252920626C757228387078293B0D0A7D0D0A2E75692D7769646765742D636F6E';
wwv_flow_api.g_varchar2_table(53) := '74656E74207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F6479202E75692D7769646765742D636F6E74656E74207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F6479';
wwv_flow_api.g_varchar2_table(54) := '2D7469746C65202E75692D7769646765742D636F6E74656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E75692D7769646765742D636F6E74656E74207B0D0A2020636F6C6F723A202334303430';
wwv_flow_api.g_varchar2_table(55) := '34303B0D0A7D0D0A2E742D526567696F6E202E75692D7769646765742D636F6E74656E742C0D0A2E742D427574746F6E526567696F6E202E75692D7769646765742D636F6E74656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(56) := '742D426F64792D73696465207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E617065782D7264732D636F6E7461696E6572207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(57) := '6E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D426F64792D696E666F202E617065782D7264732D636F6E7461696E6572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D42';
wwv_flow_api.g_varchar2_table(58) := '6F64792D696E666F202E617065782D7264732D636F6E7461696E65722E69732D737475636B207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C203235352C20302E3935293B0D0A20202D7765626B69742D62';
wwv_flow_api.g_varchar2_table(59) := '61636B64726F702D66696C7465723A20626C757228347078293B0D0A7D0D0A2E742D426F64792D696E666F207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F64792D7469746C652E6A732D686964';
wwv_flow_api.g_varchar2_table(60) := '6542726561646372756D6273207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3935293B0D0A7D0D0A2E742D426F64792D746F70427574746F6E207B0D0A2020626F726465722D7261646975733A2031';
wwv_flow_api.g_varchar2_table(61) := '3030253B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20236536653665363B0D0A7D0D0A2E742D426F64792D746F70427574746F6E3A666F637573207B0D0A2020626F782D736861646F773A2030';
wwv_flow_api.g_varchar2_table(62) := '2030203020317078202330303931666620696E7365742C20302031707820327078207267626128302C20302C20302C20302E3135293B0D0A7D0D0A2E742D426F64792D746F70427574746F6E3A686F7665722C0D0A2E742D426F64792D746F7042757474';
wwv_flow_api.g_varchar2_table(63) := '6F6E3A666F637573207B0D0A2020636F6C6F723A20233030393166663B0D0A7D0D0A2E742D426F64792D746F70427574746F6E3A616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(64) := '20236536653665363B0D0A7D0D0A0D0A2E742D4865616465722D6272616E64696E67207B0D0A20206865696768743A20343870783B0D0A7D0D0A2E742D4865616465722D6C6F676F2D6F7261636C65207B0D0A20206C696E652D6865696768743A203438';
wwv_flow_api.g_varchar2_table(65) := '70783B0D0A7D0D0A2E742D4865616465722D6C6F676F2D6F7261636C653A6265666F7265207B0D0A20206865696768743A20343870783B0D0A7D0D0A0D0A2E617065782D736964652D6E6176202E742D426F64792D6E61762C0D0A2E617065782D736964';
wwv_flow_api.g_varchar2_table(66) := '652D6E6176202E742D426F64792D616374696F6E732C0D0A2E617065782D736964652D6E6176202E742D426F64792D7469746C65207B0D0A2020746F703A20343870783B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E';
wwv_flow_api.g_varchar2_table(67) := '2D77696474683A20363431707829207B0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E6176202E742D426F64792D7469746C65207B0D0A202020206C6566743A2032303070783B0D0A20207D0D0A20202E752D52544C202E6170';
wwv_flow_api.g_varchar2_table(68) := '65782D736964652D6E6176202E742D426F64792D7469746C65207B0D0A2020202072696768743A2032303070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E6176202E742D426F64792D7469746C65207B0D0A';
wwv_flow_api.g_varchar2_table(69) := '2020202072696768743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E6176202E742D426F64792D7469746C65207B0D0A202020206C6566743A20303B0D0A20207D0D0A7D0D0A406D65646961206F6E6C79207363726565';
wwv_flow_api.g_varchar2_table(70) := '6E20616E6420286D696E2D77696474683A20363431707829207B0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E6176202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2032303070783B';
wwv_flow_api.g_varchar2_table(71) := '0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E6176202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2032303070783B0D0A20207D0D0A7D0D0A3A6E6F74282E752D52544C29202E6170';
wwv_flow_api.g_varchar2_table(72) := '65782D736964652D6E6176202E742D426F64792D6D61696E207B0D0A20206D617267696E2D6C6566743A20303B0D0A7D0D0A2E752D52544C202E617065782D736964652D6E6176202E742D426F64792D6D61696E207B0D0A20206D617267696E2D726967';
wwv_flow_api.g_varchar2_table(73) := '68743A20303B0D0A7D0D0A0D0A2E617065782D746F702D6E6176202E742D426F64792D616374696F6E73207B0D0A2020746F703A20383870783B0D0A7D0D0A2E617065782D746F702D6E6176202E742D426F64792D7469746C65207B0D0A2020746F703A';
wwv_flow_api.g_varchar2_table(74) := '20383870783B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A20363430707829207B0D0A20202E617065782D746F702D6E61762E6A732D6D656E754E6176436F6C6C6170736564202E742D4865616465';
wwv_flow_api.g_varchar2_table(75) := '722D6E6176207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746559282D31303025293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C61746559282D31303025293B0D0A202020207472616E73';
wwv_flow_api.g_varchar2_table(76) := '666F726D3A207472616E736C61746559282D31303025293B0D0A20207D0D0A7D0D0A0D0A2E742D426F64792D6E6176207B0D0A202077696474683A2032303070783B0D0A7D0D0A0D0A2E742D426F64792D616374696F6E73207B0D0A202077696474683A';
wwv_flow_api.g_varchar2_table(77) := '2032303070783B0D0A7D0D0A3A6E6F74282E752D52544C29202E742D426F64792D616374696F6E73202E742D427574746F6E2D2D686561646572207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D34307078';
wwv_flow_api.g_varchar2_table(78) := '2C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C617465282D34307078293B0D0A20207472616E73666F726D3A207472616E736C6174653364282D343070782C20302C2030293B0D0A7D0D0A2E752D52544C202E742D42';
wwv_flow_api.g_varchar2_table(79) := '6F64792D616374696F6E73202E742D427574746F6E2D2D686561646572207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C617465336428343070782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A20747261';
wwv_flow_api.g_varchar2_table(80) := '6E736C6174652834307078293B0D0A20207472616E73666F726D3A207472616E736C617465336428343070782C20302C2030293B0D0A7D0D0A0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20363431707829';
wwv_flow_api.g_varchar2_table(81) := '207B0D0A20202E742D426F64792D73696465207B0D0A2020202077696474683A2032343070783B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20363431707829207B0D0A20203A6E6F74';
wwv_flow_api.g_varchar2_table(82) := '282E752D52544C29202E617065782D736964652D6E6176202E742D426F64792D73696465207B0D0A202020206C6566743A20343870783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E6176202E742D426F64792D73696465207B';
wwv_flow_api.g_varchar2_table(83) := '0D0A2020202072696768743A20343870783B0D0A20207D0D0A7D0D0A0D0A3A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A20206D617267696E2D6C65';
wwv_flow_api.g_varchar2_table(84) := '66743A20343870783B0D0A7D0D0A2E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A20206D617267696E2D72696768743A20343870783B0D0A7D0D0A3A6E6F74282E75';
wwv_flow_api.g_varchar2_table(85) := '2D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642831353270782C20302C2030293B0D0A';
wwv_flow_api.g_varchar2_table(86) := '20202D6D732D7472616E73666F726D3A207472616E736C617465283135327078293B0D0A20207472616E73666F726D3A207472616E736C61746533642831353270782C20302C2030293B0D0A7D0D0A2E752D52544C202E617065782D736964652D6E6176';
wwv_flow_api.g_varchar2_table(87) := '2E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D31353270782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472';
wwv_flow_api.g_varchar2_table(88) := '616E736C617465282D3135327078293B0D0A20207472616E73666F726D3A207472616E736C6174653364282D31353270782C20302C2030293B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A20343830';
wwv_flow_api.g_varchar2_table(89) := '707829207B0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D7469746C652C0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A73';
wwv_flow_api.g_varchar2_table(90) := '2D6E6176457870616E646564202E742D426F64792D736964652C0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D636F6E74656E74207B0D0A202020206D617267';
wwv_flow_api.g_varchar2_table(91) := '696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D7469746C652C0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D';
wwv_flow_api.g_varchar2_table(92) := '6E6176457870616E646564202E742D426F64792D736964652C0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768';
wwv_flow_api.g_varchar2_table(93) := '743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20';
wwv_flow_api.g_varchar2_table(94) := '202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065';
wwv_flow_api.g_varchar2_table(95) := '782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A202020202D6D732D';
wwv_flow_api.g_varchar2_table(96) := '7472616E73666F726D3A207472616E736C617465283230307078293B0D0A202020207472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E6176';
wwv_flow_api.g_varchar2_table(97) := '2E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D';
wwv_flow_api.g_varchar2_table(98) := '3A207472616E736C617465282D3230307078293B0D0A202020207472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E';
wwv_flow_api.g_varchar2_table(99) := '2D77696474683A20363431707829207B0D0A20202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D7469746C652C0D0A20202E617065782D736964652D';
wwv_flow_api.g_varchar2_table(100) := '6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D636F6E74656E742C0D0A20202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F6479';
wwv_flow_api.g_varchar2_table(101) := '2D2D686964654C656674202E742D426F64792D6D61696E207B0D0A202020207472616E73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E74';
wwv_flow_api.g_varchar2_table(102) := '2D50616765426F64792D2D686964654C656674202E742D426F64792D7469746C65207B0D0A202020206C6566743A2032303070783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E74';
wwv_flow_api.g_varchar2_table(103) := '2D50616765426F64792D2D686964654C656674202E742D426F64792D7469746C65207B0D0A2020202072696768743A2032303070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870';
wwv_flow_api.g_varchar2_table(104) := '616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D7469746C65207B0D0A2020202072696768743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E64';
wwv_flow_api.g_varchar2_table(105) := '65642E742D50616765426F64792D2D686964654C656674202E742D426F64792D7469746C65207B0D0A202020206C6566743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E617645787061';
wwv_flow_api.g_varchar2_table(106) := '6E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2031353270783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A';
wwv_flow_api.g_varchar2_table(107) := '732D6E6176457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2031353270783B0D0A20207D0D0A20203A6E6F74282E752D52544C2920';
wwv_flow_api.g_varchar2_table(108) := '2E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D6C6566743A20343870783B0D0A20207D0D0A20202E75';
wwv_flow_api.g_varchar2_table(109) := '2D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D72696768743A20343870783B0D0A20207D';
wwv_flow_api.g_varchar2_table(110) := '0D0A20202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D73696465207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A';
wwv_flow_api.g_varchar2_table(111) := '202020202D6D732D7472616E73666F726D3A207472616E736C617465283230307078293B0D0A202020207472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20207D0D0A20202E752D52544C202E617065782D';
wwv_flow_api.g_varchar2_table(112) := '736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D73696465207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A202020202D6D732D74';
wwv_flow_api.g_varchar2_table(113) := '72616E73666F726D3A207472616E736C617465282D3230307078293B0D0A202020207472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A20207D0D0A20202E617065782D736964652D6E61762E6A732D6E61';
wwv_flow_api.g_varchar2_table(114) := '76457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020207472616E73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D';
wwv_flow_api.g_varchar2_table(115) := '6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964';
wwv_flow_api.g_varchar2_table(116) := '652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C2920';
wwv_flow_api.g_varchar2_table(117) := '2E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206C6566743A20303B0D0A20207D0D0A20202E752D52544C202E61706578';
wwv_flow_api.g_varchar2_table(118) := '2D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A2020202072696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E6170';
wwv_flow_api.g_varchar2_table(119) := '65782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2032383870783B0D0A20207D0D0A20202E';
wwv_flow_api.g_varchar2_table(120) := '752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2032383870783B';
wwv_flow_api.g_varchar2_table(121) := '0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020202D776562';
wwv_flow_api.g_varchar2_table(122) := '6B69742D7472616E73666F726D3A207472616E736C61746533642831353270782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C617465283135327078293B0D0A202020207472616E73666F726D3A207472616E73';
wwv_flow_api.g_varchar2_table(123) := '6C61746533642831353270782C20302C2030293B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E7465';
wwv_flow_api.g_varchar2_table(124) := '6E74207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D31353270782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C617465282D3135327078293B0D0A20202020';
wwv_flow_api.g_varchar2_table(125) := '7472616E73666F726D3A207472616E736C6174653364282D31353270782C20302C2030293B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D';
wwv_flow_api.g_varchar2_table(126) := '2D73686F774C656674202E742D426F64792D7469746C65207B0D0A202020206C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F';
wwv_flow_api.g_varchar2_table(127) := '774C656674202E742D426F64792D7469746C65207B0D0A2020202072696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D';
wwv_flow_api.g_varchar2_table(128) := '73686F774C656674202E742D426F64792D7469746C65207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A207472616E73';
wwv_flow_api.g_varchar2_table(129) := '6C617465283230307078293B0D0A202020207472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E';
wwv_flow_api.g_varchar2_table(130) := '742D50616765426F64792D2D73686F774C656674202E742D426F64792D7469746C65207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A202020202D6D732D747261';
wwv_flow_api.g_varchar2_table(131) := '6E73666F726D3A207472616E736C617465282D3230307078293B0D0A202020207472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E';
wwv_flow_api.g_varchar2_table(132) := '6420286D696E2D77696474683A20393933707829207B0D0A20202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A20202020747261';
wwv_flow_api.g_varchar2_table(133) := '6E73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B';
wwv_flow_api.g_varchar2_table(134) := '0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E';
wwv_flow_api.g_varchar2_table(135) := '207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D7469746C65207B0D';
wwv_flow_api.g_varchar2_table(136) := '0A202020207472616E73666F726D3A206E6F6E652021696D706F7274616E743B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F77';
wwv_flow_api.g_varchar2_table(137) := '4C656674202E742D426F64792D7469746C65207B0D0A202020206D617267696E2D6C6566743A2032303070783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64';
wwv_flow_api.g_varchar2_table(138) := '792D2D73686F774C656674202E742D426F64792D7469746C65207B0D0A202020206D617267696E2D72696768743A2032303070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E617645787061';
wwv_flow_api.g_varchar2_table(139) := '6E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2034343070783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A';
wwv_flow_api.g_varchar2_table(140) := '732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2034343070783B0D0A20207D0D0A20203A6E6F74282E752D52544C2920';
wwv_flow_api.g_varchar2_table(141) := '2E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E742C0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E617645';
wwv_flow_api.g_varchar2_table(142) := '7870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020207472616E73666F726D3A206E6F6E653B0D0A20207D0D0A7D0D0A0D0A2E617065782D736964652D6E61762E6A732D6E61';
wwv_flow_api.g_varchar2_table(143) := '76436F6C6C6170736564202E742D426F64792D6E61762C0D0A2E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D6E6176202E742D547265654E6176207B0D0A202077696474683A20343870783B0D0A7D0D';
wwv_flow_api.g_varchar2_table(144) := '0A3A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D636F6E74656E742C0D0A3A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C';
wwv_flow_api.g_varchar2_table(145) := '6C6170736564202E742D426F64792D7469746C652C0D0A3A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D73696465207B0D0A20206D617267696E2D6C6566743A203438';
wwv_flow_api.g_varchar2_table(146) := '70783B0D0A7D0D0A2E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D636F6E74656E742C0D0A2E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365';
wwv_flow_api.g_varchar2_table(147) := '64202E742D426F64792D7469746C652C0D0A2E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D73696465207B0D0A20206D617267696E2D72696768743A20343870783B0D0A7D0D0A3A6E';
wwv_flow_api.g_varchar2_table(148) := '6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D7469746C652E69732D737475636B207B0D0A20206C6566743A20303B0D0A7D0D0A2E752D52544C202E617065782D73696465';
wwv_flow_api.g_varchar2_table(149) := '2D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D7469746C652E69732D737475636B207B0D0A202072696768743A20303B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A203438';
wwv_flow_api.g_varchar2_table(150) := '30707829207B0D0A20202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D6E6176207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746558282D34387078293B0D0A20';
wwv_flow_api.g_varchar2_table(151) := '2020202D6D732D7472616E73666F726D3A207472616E736C61746558282D34387078293B0D0A202020207472616E73666F726D3A207472616E736C61746558282D34387078293B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61';
wwv_flow_api.g_varchar2_table(152) := '762E6A732D6E6176436F6C6C6170736564202E742D426F64792D6E6176207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C617465582834387078293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C';
wwv_flow_api.g_varchar2_table(153) := '617465582834387078293B0D0A202020207472616E73666F726D3A207472616E736C617465582834387078293B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E74';
wwv_flow_api.g_varchar2_table(154) := '2D426F64792D7469746C652C0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D736964652C0D0A20203A6E6F74282E752D52544C29202E617065782D73696465';
wwv_flow_api.g_varchar2_table(155) := '2D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C';
wwv_flow_api.g_varchar2_table(156) := '6170736564202E742D426F64792D7469746C652C0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D736964652C0D0A20202E752D52544C202E617065782D736964652D6E6176';
wwv_flow_api.g_varchar2_table(157) := '2E6A732D6E6176436F6C6C6170736564202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A';
wwv_flow_api.g_varchar2_table(158) := '20363430707829207B0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64792D6D61696E207B0D';
wwv_flow_api.g_varchar2_table(159) := '0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F';
wwv_flow_api.g_varchar2_table(160) := '64792D6D61696E207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20363431707829207B0D0A20203A6E6F74282E752D52544C29';
wwv_flow_api.g_varchar2_table(161) := '202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D7469746C65207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A';
wwv_flow_api.g_varchar2_table(162) := '732D6E6176436F6C6C6170736564202E742D426F64792D7469746C65207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61';
wwv_flow_api.g_varchar2_table(163) := '70736564202E742D426F64792D7469746C65207B0D0A202020206C6566743A20343870783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D7469746C65207B0D';
wwv_flow_api.g_varchar2_table(164) := '0A2020202072696768743A20343870783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73';
wwv_flow_api.g_varchar2_table(165) := '696465207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64';
wwv_flow_api.g_varchar2_table(166) := '792D73696465207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C';
wwv_flow_api.g_varchar2_table(167) := '656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2032383870783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D5061676542';
wwv_flow_api.g_varchar2_table(168) := '6F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2032383870783B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D7769647468';
wwv_flow_api.g_varchar2_table(169) := '3A20393933707829207B0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D73696465207B0D0A202020206C6566743A20343870783B0D0A20207D0D0A20202E75';
wwv_flow_api.g_varchar2_table(170) := '2D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D73696465207B0D0A2020202072696768743A20343870783B0D0A20207D0D0A7D0D0A0D0A2E742D50616765426F64792E6A732D7269676874';
wwv_flow_api.g_varchar2_table(171) := '457870616E646564202E742D426F64792D6D61696E207B0D0A20206D617267696E2D72696768743A20303B0D0A7D0D0A3A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64792D6D61';
wwv_flow_api.g_varchar2_table(172) := '696E2C0D0A3A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64792D6E6176207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D32303070';
wwv_flow_api.g_varchar2_table(173) := '782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C617465282D3230307078293B0D0A20207472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A7D0D0A2E752D52544C202E';
wwv_flow_api.g_varchar2_table(174) := '742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64792D6D61696E2C0D0A2E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64792D6E6176207B0D0A20202D776562';
wwv_flow_api.g_varchar2_table(175) := '6B69742D7472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C617465283230307078293B0D0A20207472616E73666F726D3A207472616E736C617465';
wwv_flow_api.g_varchar2_table(176) := '33642832303070782C20302C2030293B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20363431707829207B0D0A20202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50';
wwv_flow_api.g_varchar2_table(177) := '616765426F64792D2D686964654C656674202E742D426F64792D6D61696E2C0D0A20202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D6E6176207B0D0A';
wwv_flow_api.g_varchar2_table(178) := '202020207472616E73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D';
wwv_flow_api.g_varchar2_table(179) := '6D61696E207B0D0A202020206D617267696E2D72696768743A2032303070783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D686964654C656674202E74';
wwv_flow_api.g_varchar2_table(180) := '2D426F64792D6D61696E207B0D0A202020206D617267696E2D6C6566743A2032303070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D';
wwv_flow_api.g_varchar2_table(181) := '686964654C656674202E742D426F64792D7469746C65207B0D0A2020202072696768743A2032303070783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D';
wwv_flow_api.g_varchar2_table(182) := '686964654C656674202E742D426F64792D7469746C65207B0D0A202020206C6566743A2032303070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D5061676542';
wwv_flow_api.g_varchar2_table(183) := '6F64792D2D73686F774C656674202E742D426F64792D7469746C65207B0D0A2020202072696768743A20303B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D';
wwv_flow_api.g_varchar2_table(184) := '2D73686F774C656674202E742D426F64792D7469746C65207B0D0A202020206C6566743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E6A732D6E6176436F6C6C';
wwv_flow_api.g_varchar2_table(185) := '61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D72696768744578';
wwv_flow_api.g_varchar2_table(186) := '70616E6465642E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C';
wwv_flow_api.g_varchar2_table(187) := '29202E742D50616765426F64792E6A732D7269676874457870616E6465642E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206C6566743A20303B0D0A2020';
wwv_flow_api.g_varchar2_table(188) := '7D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020207269';
wwv_flow_api.g_varchar2_table(189) := '6768743A20303B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20393933707829207B0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870';
wwv_flow_api.g_varchar2_table(190) := '616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D72696768743A2032303070783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269';
wwv_flow_api.g_varchar2_table(191) := '676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D6C6566743A2032303070783B0D0A20207D0D0A20202E742D50616765426F64792E6A732D72696768';
wwv_flow_api.g_varchar2_table(192) := '74457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E2C0D0A20202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E74';
wwv_flow_api.g_varchar2_table(193) := '2D426F64792D6E6176207B0D0A202020207472616E73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F77';
wwv_flow_api.g_varchar2_table(194) := '4C656674202E742D426F64792D7469746C65207B0D0A2020202072696768743A2032303070783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F77';
wwv_flow_api.g_varchar2_table(195) := '4C656674202E742D426F64792D7469746C65207B0D0A202020206C6566743A2032303070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E6A732D6E6176436F6C6C61';
wwv_flow_api.g_varchar2_table(196) := '707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206C6566743A20343870783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465';
wwv_flow_api.g_varchar2_table(197) := '642E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A2020202072696768743A20343870783B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20';
wwv_flow_api.g_varchar2_table(198) := '616E6420286D61782D77696474683A20393932707829207B0D0A20202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020207472';
wwv_flow_api.g_varchar2_table(199) := '616E73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D7469746C652C';
wwv_flow_api.g_varchar2_table(200) := '0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D736964652C0D0A20203A6E6F74282E752D52544C29202E742D';
wwv_flow_api.g_varchar2_table(201) := '50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364';
wwv_flow_api.g_varchar2_table(202) := '282D32303070782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C617465282D3230307078293B0D0A202020207472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A20';
wwv_flow_api.g_varchar2_table(203) := '207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D7469746C652C0D0A20202E752D52544C202E742D50616765426F64792E';
wwv_flow_api.g_varchar2_table(204) := '6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D736964652C0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64';
wwv_flow_api.g_varchar2_table(205) := '792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A20';
wwv_flow_api.g_varchar2_table(206) := '7472616E736C617465283230307078293B0D0A202020207472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20207D0D0A20202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50';
wwv_flow_api.g_varchar2_table(207) := '616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206D617267696E2D6C6566743A20343870782021696D706F7274616E743B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269';
wwv_flow_api.g_varchar2_table(208) := '676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206D617267696E2D6C6566743A203070782021696D706F7274616E743B0D0A2020202072696768743A20343870782021';
wwv_flow_api.g_varchar2_table(209) := '696D706F7274616E743B0D0A20207D0D0A7D0D0A0D0A2E742D50616765426F64792E6A732D7269676874436F6C6C6170736564202E742D426F64792D6D61696E207B0D0A20206D617267696E2D72696768743A203070783B0D0A7D0D0A2E742D50616765';
wwv_flow_api.g_varchar2_table(210) := '426F64792E6A732D7269676874436F6C6C6170736564202E742D426F64792D7469746C65207B0D0A202072696768743A203070783B0D0A7D0D0A3A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874436F6C6C6170736564';
wwv_flow_api.g_varchar2_table(211) := '202E742D426F64792D616374696F6E73207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C617465283230307078';
wwv_flow_api.g_varchar2_table(212) := '293B0D0A20207472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A7D0D0A2E752D52544C202E742D50616765426F64792E6A732D7269676874436F6C6C6170736564202E742D426F64792D616374696F6E7320';
wwv_flow_api.g_varchar2_table(213) := '7B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C617465282D3230307078293B0D0A20207472616E73666F726D';
wwv_flow_api.g_varchar2_table(214) := '3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A7D0D0A0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20363431707829207B0D0A20203A6E6F74282E752D52544C29202E742D5061';
wwv_flow_api.g_varchar2_table(215) := '6765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2032343070783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792D2D73686F774C656674202E742D';
wwv_flow_api.g_varchar2_table(216) := '426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2032343070783B0D0A20207D0D0A7D0D0A0D0A2E742D426F64792D636F6E74656E74496E6E6572207B0D0A20206D617267696E3A2030206175746F3B0D0A20206D6178';
wwv_flow_api.g_varchar2_table(217) := '2D77696474683A20313030253B0D0A7D0D0A0D0A2E742D42726561646372756D622D6974656D3A6166746572207B0D0A2020636F6C6F723A20726762612836322C2036322C2036322C20302E3735293B0D0A7D0D0A2E742D42726561646372756D622D69';
wwv_flow_api.g_varchar2_table(218) := '74656D2C0D0A2E742D42726561646372756D622D6974656D2061207B0D0A2020636F6C6F723A20233537353735373B0D0A7D0D0A2E742D42726561646372756D622D6974656D20613A686F7665722C0D0A2E742D42726561646372756D622D6974656D20';
wwv_flow_api.g_varchar2_table(219) := '613A666F637573207B0D0A2020636F6C6F723A20233030393166663B0D0A2020746578742D6465636F726174696F6E3A20756E6465726C696E653B0D0A20206F75746C696E653A206E6F6E653B0D0A7D0D0A2E742D426F64792D7469746C652D73687269';
wwv_flow_api.g_varchar2_table(220) := '6E6B202E742D42726561646372756D62526567696F6E2D2D75736542726561646372756D625469746C65202E742D42726561646372756D622D6974656D2E69732D6163746976652C0D0A2E742D426F64792D7469746C652D736872696E6B202E742D4272';
wwv_flow_api.g_varchar2_table(221) := '6561646372756D62526567696F6E2D2D757365526567696F6E5469746C65202E742D42726561646372756D62526567696F6E2D7469746C6554657874207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A406D65646961206F6E6C79207363';
wwv_flow_api.g_varchar2_table(222) := '7265656E20616E6420286D61782D77696474683A20363430707829207B0D0A20202E742D42726561646372756D62526567696F6E2D2D757365526567696F6E5469746C65202E742D42726561646372756D62526567696F6E2D7469746C6554657874207B';
wwv_flow_api.g_varchar2_table(223) := '0D0A20202020636F6C6F723A20233365336533653B0D0A20207D0D0A7D0D0A2E742D42726561646372756D622D6974656D202E742D49636F6E3A686F766572207B0D0A2020636F6C6F723A20233637386361393B0D0A7D0D0A2E742D4272656164637275';
wwv_flow_api.g_varchar2_table(224) := '6D62526567696F6E2D2D75736542726561646372756D625469746C65202E742D42726561646372756D622D6974656D2E69732D6163746976652C0D0A2E742D42726561646372756D62526567696F6E2D7469746C6554657874207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(225) := '3A20233430343034303B0D0A7D0D0A0D0A2E742D427574746F6E2C0D0A2E612D427574746F6E2C0D0A2E75692D627574746F6E207B0D0A2020626F726465723A206E6F6E653B0D0A2020746578742D736861646F773A206E6F6E653B0D0A2020626F7264';
wwv_flow_api.g_varchar2_table(226) := '65722D7261646975733A203270783B0D0A20207472616E736974696F6E3A206261636B67726F756E642D636F6C6F7220302E327320656173652C20626F782D736861646F7720302E327320656173652C20636F6C6F7220302E327320656173653B0D0A7D';
wwv_flow_api.g_varchar2_table(227) := '0D0A2E742D427574746F6E202E742D49636F6E2C0D0A2E612D427574746F6E202E742D49636F6E2C0D0A2E75692D627574746F6E202E742D49636F6E207B0D0A20207472616E736974696F6E3A20696E68657269743B0D0A7D0D0A2E742D427574746F6E';
wwv_flow_api.g_varchar2_table(228) := '3A686F7665722C0D0A2E612D427574746F6E3A686F7665722C0D0A2E75692D627574746F6E3A686F7665722C0D0A2E742D427574746F6E3A666F6375732C0D0A2E612D427574746F6E3A666F6375732C0D0A2E75692D627574746F6E3A666F637573207B';
wwv_flow_api.g_varchar2_table(229) := '0D0A20207A2D696E6465783A203130303B0D0A20206F75746C696E653A206E6F6E652021696D706F7274616E743B0D0A7D0D0A2E742D427574746F6E3A666F6375733A6265666F72652C0D0A2E612D427574746F6E3A666F6375733A6265666F72652C0D';
wwv_flow_api.g_varchar2_table(230) := '0A2E75692D627574746F6E3A666F6375733A6265666F72652C0D0A2E742D427574746F6E2E69732D6163746976653A666F6375733A6265666F72652C0D0A2E612D427574746F6E2E69732D6163746976653A666F6375733A6265666F72652C0D0A2E7569';
wwv_flow_api.g_varchar2_table(231) := '2D627574746F6E2E69732D6163746976653A666F6375733A6265666F7265207B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365742021696D706F7274616E743B0D0A20206F7061636974793A20313B0D0A';
wwv_flow_api.g_varchar2_table(232) := '7D0D0A2E742D427574746F6E3A666F6375733A6163746976653A6265666F72652C0D0A2E612D427574746F6E3A666F6375733A6163746976653A6265666F72652C0D0A2E75692D627574746F6E3A666F6375733A6163746976653A6265666F72652C0D0A';
wwv_flow_api.g_varchar2_table(233) := '2E742D427574746F6E2E69732D6163746976653A666F6375733A6163746976653A6265666F72652C0D0A2E612D427574746F6E2E69732D6163746976653A666F6375733A6163746976653A6265666F72652C0D0A2E75692D627574746F6E2E69732D6163';
wwv_flow_api.g_varchar2_table(234) := '746976653A666F6375733A6163746976653A6265666F7265207B0D0A20206F7061636974793A20303B0D0A7D0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D6C696E6B293A6E6F74282E742D427574746F6E2D2D686561646572293A';
wwv_flow_api.g_varchar2_table(235) := '6163746976652C0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D6C696E6B293A6E6F74282E742D427574746F6E2D2D686561646572292E69732D616374697665207B0D0A2020626F782D736861646F773A2030203020302031707820';
wwv_flow_api.g_varchar2_table(236) := '7267626128302C20302C20302C20302E31352920696E7365742C20302032707820327078207267626128302C20302C20302C20302E312920696E7365742021696D706F7274616E743B0D0A7D0D0A0D0A2E612D427574746F6E3A6265666F72652C0D0A2E';
wwv_flow_api.g_varchar2_table(237) := '742D427574746F6E3A6265666F72652C0D0A2E75692D627574746F6E3A6265666F72652C0D0A2E612D427574746F6E3A61667465722C0D0A2E742D427574746F6E3A61667465722C0D0A2E75692D627574746F6E3A6166746572207B0D0A2020636F6E74';
wwv_flow_api.g_varchar2_table(238) := '656E743A2027273B0D0A2020706F736974696F6E3A206162736F6C7574653B0D0A2020746F703A20303B0D0A20206C6566743A20303B0D0A202077696474683A20313030253B0D0A20206865696768743A20313030253B0D0A2020626F726465722D7261';
wwv_flow_api.g_varchar2_table(239) := '646975733A20696E68657269743B0D0A20206F7061636974793A20303B0D0A20207472616E736974696F6E3A202E327320656173653B0D0A7D0D0A2E612D427574746F6E3A6265666F72652C0D0A2E742D427574746F6E3A6265666F72652C0D0A2E7569';
wwv_flow_api.g_varchar2_table(240) := '2D627574746F6E3A6265666F7265207B0D0A20207A2D696E6465783A20313B0D0A7D0D0A2E612D427574746F6E3A61667465722C0D0A2E742D427574746F6E3A61667465722C0D0A2E75692D627574746F6E3A6166746572207B0D0A20207A2D696E6465';
wwv_flow_api.g_varchar2_table(241) := '783A202D313B0D0A2020626F782D736861646F773A20302032707820317078207267626128302C20302C20302C20302E303735293B0D0A20207472616E73666F726D3A207472616E736C61746559282D327078293B0D0A7D0D0A2E612D427574746F6E3A';
wwv_flow_api.g_varchar2_table(242) := '666F6375733A61667465722C0D0A2E742D427574746F6E3A666F6375733A61667465722C0D0A2E75692D627574746F6E3A666F6375733A61667465722C0D0A2E612D427574746F6E3A6E6F74282E742D427574746F6E2D2D6C696E6B293A686F7665723A';
wwv_flow_api.g_varchar2_table(243) := '61667465722C0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D6C696E6B293A686F7665723A61667465722C0D0A2E75692D627574746F6E3A6E6F74282E742D427574746F6E2D2D6C696E6B293A686F7665723A6166746572207B0D0A';
wwv_flow_api.g_varchar2_table(244) := '20206F7061636974793A20313B0D0A20207472616E73666F726D3A207472616E736C617465592830293B0D0A7D0D0A2E612D427574746F6E3A666F6375733A6163746976653A61667465722C0D0A2E742D427574746F6E3A666F6375733A616374697665';
wwv_flow_api.g_varchar2_table(245) := '3A61667465722C0D0A2E75692D627574746F6E3A666F6375733A6163746976653A6166746572207B0D0A20206F7061636974793A20303B0D0A20207472616E73666F726D3A207472616E736C61746559282D327078293B0D0A7D0D0A2E612D427574746F';
wwv_flow_api.g_varchar2_table(246) := '6E3A666F6375733A61667465722C0D0A2E742D427574746F6E3A666F6375733A61667465722C0D0A2E75692D627574746F6E3A666F6375733A6166746572207B0D0A20207472616E73666F726D3A207472616E736C617465592830293B0D0A2020626F78';
wwv_flow_api.g_varchar2_table(247) := '2D736861646F773A203020302031707820317078207267626128302C203134352C203235352C20302E3235293B0D0A7D0D0A0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D69';
wwv_flow_api.g_varchar2_table(248) := '74656D2D67726F75702D2D726320696E707574202B206C6162656C2C0D0A2E617065782D627574746F6E2D67726F757020696E707574202B206C6162656C2C0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D73696D706C65292C0D0A';
wwv_flow_api.g_varchar2_table(249) := '2E75692D627574746F6E2C0D0A2E612D427574746F6E207B0D0A2020636F6C6F723A20233338333833383B0D0A20206261636B67726F756E642D636F6C6F723A20236638663866383B0D0A2020626F782D736861646F773A203020302030203170782072';
wwv_flow_api.g_varchar2_table(250) := '67626128302C20302C20302C20302E3132352920696E7365743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E707574202B';
wwv_flow_api.g_varchar2_table(251) := '206C6162656C3A686F7665722C0D0A2E617065782D627574746F6E2D67726F757020696E707574202B206C6162656C3A686F7665722C0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D73696D706C65293A686F7665722C0D0A2E7569';
wwv_flow_api.g_varchar2_table(252) := '2D627574746F6E3A686F7665722C0D0A2E612D427574746F6E3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F782D736861646F773A20302030203020317078207267626128302C20302C20';
wwv_flow_api.g_varchar2_table(253) := '302C20302E31352920696E7365743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E707574202B206C6162656C3A666F6375';
wwv_flow_api.g_varchar2_table(254) := '732C0D0A2E617065782D627574746F6E2D67726F757020696E707574202B206C6162656C3A666F6375732C0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D73696D706C65293A666F6375732C0D0A2E75692D627574746F6E3A666F63';
wwv_flow_api.g_varchar2_table(255) := '75732C0D0A2E612D427574746F6E3A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E61';
wwv_flow_api.g_varchar2_table(256) := '7065782D6974656D2D67726F75702D2D726320696E707574202B206C6162656C2E69732D6163746976652C0D0A2E617065782D627574746F6E2D67726F757020696E707574202B206C6162656C2E69732D6163746976652C0D0A2E742D427574746F6E3A';
wwv_flow_api.g_varchar2_table(257) := '6E6F74282E742D427574746F6E2D2D73696D706C65292E69732D6163746976652C0D0A2E75692D627574746F6E2E69732D6163746976652C0D0A2E612D427574746F6E2E69732D6163746976652C0D0A2E742D466F726D2D6669656C64436F6E7461696E';
wwv_flow_api.g_varchar2_table(258) := '65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E707574202B206C6162656C3A6163746976652C0D0A2E617065782D627574746F6E2D67726F757020696E707574202B206C6162656C3A6163';
wwv_flow_api.g_varchar2_table(259) := '746976652C0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D73696D706C65293A6163746976652C0D0A2E75692D627574746F6E3A6163746976652C0D0A2E612D427574746F6E3A616374697665207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(260) := '642D636F6C6F723A20236465646564653B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726964207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(261) := '3A20236438643864383B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320';
wwv_flow_api.g_varchar2_table(262) := '696E7075743A616374697665202B206C6162656C2C0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E7075743A666F6375733A6E6F74';
wwv_flow_api.g_varchar2_table(263) := '283A636865636B656429202B206C6162656C2C0D0A2E617065782D627574746F6E2D67726F757020696E7075743A616374697665202B206C6162656C2C0D0A2E617065782D627574746F6E2D67726F757020696E7075743A666F6375733A6E6F74283A63';
wwv_flow_api.g_varchar2_table(264) := '6865636B656429202B206C6162656C207B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365742C20302030203020327078202366396639663920696E7365742021696D706F7274616E743B0D0A20206F7574';
wwv_flow_api.g_varchar2_table(265) := '6C696E653A206E6F6E653B0D0A2020626F726465722D636F6C6F723A20233030393166663B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666662021696D706F7274616E743B0D0A2020636F6C6F723A20233338333833382021696D';
wwv_flow_api.g_varchar2_table(266) := '706F7274616E743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E7075743A636865636B65643A666F637573202B206C6162';
wwv_flow_api.g_varchar2_table(267) := '656C2C0D0A2E617065782D627574746F6E2D67726F757020696E7075743A636865636B65643A666F637573202B206C6162656C207B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365742C20302030203020';
wwv_flow_api.g_varchar2_table(268) := '327078202366396639663920696E7365742021696D706F7274616E743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E7075';
wwv_flow_api.g_varchar2_table(269) := '743A636865636B6564202B206C6162656C2C0D0A2E617065782D627574746F6E2D67726F757020696E7075743A636865636B6564202B206C6162656C207B0D0A2020626F726465722D636F6C6F723A20233030393166663B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(270) := '6E642D636F6C6F723A20233030393166663B0D0A2020636F6C6F723A20236639663966393B0D0A2020626F782D736861646F773A206E6F6E653B0D0A7D0D0A0D0A2E612D427574746F6E2D2D686F742C0D0A2E742D427574746F6E2D2D686F743A6E6F74';
wwv_flow_api.g_varchar2_table(271) := '282E742D427574746F6E2D2D73696D706C65292C0D0A626F6479202E75692D627574746F6E2E75692D627574746F6E2D2D686F742C0D0A626F6479202E75692D73746174652D64656661756C742E75692D7072696F726974792D7072696D617279207B0D';
wwv_flow_api.g_varchar2_table(272) := '0A20206261636B67726F756E642D636F6C6F723A20233637386361393B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E612D427574746F6E2D2D686F743A686F7665722C0D0A2E742D427574746F6E2D2D686F743A6E6F74282E742D4275';
wwv_flow_api.g_varchar2_table(273) := '74746F6E2D2D73696D706C65293A686F7665722C0D0A626F6479202E75692D627574746F6E2E75692D627574746F6E2D2D686F743A686F7665722C0D0A626F6479202E75692D73746174652D64656661756C742E75692D7072696F726974792D7072696D';
wwv_flow_api.g_varchar2_table(274) := '6172793A686F7665722C0D0A2E612D427574746F6E2D2D686F743A6E6F74283A616374697665293A666F6375732C0D0A2E742D427574746F6E2D2D686F743A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74283A616374697665293A66';
wwv_flow_api.g_varchar2_table(275) := '6F6375732C0D0A626F6479202E75692D627574746F6E2E75692D627574746F6E2D2D686F743A6E6F74283A616374697665293A666F6375732C0D0A626F6479202E75692D73746174652D64656661756C742E75692D7072696F726974792D7072696D6172';
wwv_flow_api.g_varchar2_table(276) := '793A6E6F74283A616374697665293A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20233737393862323B0D0A7D0D0A2E612D427574746F6E2D2D686F743A6163746976652C0D0A2E742D427574746F6E2D2D686F743A6E6F7428';
wwv_flow_api.g_varchar2_table(277) := '2E742D427574746F6E2D2D73696D706C65293A6163746976652C0D0A626F6479202E75692D627574746F6E2E75692D627574746F6E2D2D686F743A6163746976652C0D0A626F6479202E75692D73746174652D64656661756C742E75692D7072696F7269';
wwv_flow_api.g_varchar2_table(278) := '74792D7072696D6172793A6163746976652C0D0A2E612D427574746F6E2D2D686F742E69732D6163746976652C0D0A2E742D427574746F6E2D2D686F743A6E6F74282E742D427574746F6E2D2D73696D706C65292E69732D6163746976652C0D0A626F64';
wwv_flow_api.g_varchar2_table(279) := '79202E75692D627574746F6E2E75692D627574746F6E2D2D686F742E69732D6163746976652C0D0A626F6479202E75692D73746174652D64656661756C742E75692D7072696F726974792D7072696D6172792E69732D616374697665207B0D0A20206261';
wwv_flow_api.g_varchar2_table(280) := '636B67726F756E642D636F6C6F723A20233539376639643B0D0A7D0D0A626F6479202E75692D627574746F6E2E75692D627574746F6E2D2D686F74207B0D0A2020666F6E742D7765696768743A20626F6C643B0D0A7D0D0A0D0A2E742D427574746F6E2D';
wwv_flow_api.g_varchar2_table(281) := '2D7761726E696E673A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D427574746F6E2D2D7761726E696E673A6E6F7428';
wwv_flow_api.g_varchar2_table(282) := '2E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D42757474';
wwv_flow_api.g_varchar2_table(283) := '6F6E2D2D686F74293A6E6F74283A616374697665293A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20236663646337633B0D0A7D0D0A2E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D7369';
wwv_flow_api.g_varchar2_table(284) := '6D706C65293A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A6163746976652C0D0A2E';
wwv_flow_api.g_varchar2_table(285) := '742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534';
wwv_flow_api.g_varchar2_table(286) := '613B0D0A7D0D0A0D0A2E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D42';
wwv_flow_api.g_varchar2_table(287) := '7574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(288) := '73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74283A616374697665293A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20233432626533313B0D0A7D0D0A2E742D427574746F6E2D2D737563636573';
wwv_flow_api.g_varchar2_table(289) := '733A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D42757474';
wwv_flow_api.g_varchar2_table(290) := '6F6E2D2D686F74293A6163746976652C0D0A2E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A20206261636B67';
wwv_flow_api.g_varchar2_table(291) := '726F756E642D636F6C6F723A20233362616132633B0D0A7D0D0A0D0A2E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(292) := '20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D64616E676572';
wwv_flow_api.g_varchar2_table(293) := '3A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74283A616374697665293A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20236635356134653B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(294) := '742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D73696D706C';
wwv_flow_api.g_varchar2_table(295) := '65293A6E6F74282E742D427574746F6E2D2D686F74293A6163746976652C0D0A2E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292E69732D61637469';
wwv_flow_api.g_varchar2_table(296) := '7665207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333363B0D0A7D0D0A0D0A2E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F';
wwv_flow_api.g_varchar2_table(297) := '7429207B0D0A2020636F6C6F723A20233232333033633B0D0A7D0D0A2E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E74';
wwv_flow_api.g_varchar2_table(298) := '2D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74283A616374697665293A666F637573207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(299) := '3A20236661666266633B0D0A7D0D0A2E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D7072696D6172793A6E6F';
wwv_flow_api.g_varchar2_table(300) := '74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A6163746976652C0D0A2E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D42';
wwv_flow_api.g_varchar2_table(301) := '7574746F6E2D2D686F74292E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236539656666333B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73696D706C653A6E6F74282E742D427574746F6E2D2D686F74293A6E6F';
wwv_flow_api.g_varchar2_table(302) := '74282E742D427574746F6E2D2D64616E676572293A6E6F74282E742D427574746F6E2D2D7072696D617279293A6E6F74282E742D427574746F6E2D2D73756363657373293A6E6F74282E742D427574746F6E2D2D7761726E696E6729207B0D0A20206261';
wwv_flow_api.g_varchar2_table(303) := '636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A2020626F782D736861646F773A20302030203020317078207267626128302C20302C20302C20302E3132352920696E7365743B0D0A7D0D';
wwv_flow_api.g_varchar2_table(304) := '0A2E742D427574746F6E2D2D73696D706C653A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74282E742D427574746F6E2D2D64616E676572293A6E6F74282E742D427574746F6E2D2D7072696D617279293A6E6F74282E742D427574746F6E2D';
wwv_flow_api.g_varchar2_table(305) := '2D73756363657373293A6E6F74282E742D427574746F6E2D2D7761726E696E67293A686F7665722C0D0A2E742D427574746F6E2D2D73696D706C653A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74282E742D427574746F6E2D2D64616E6765';
wwv_flow_api.g_varchar2_table(306) := '72293A6E6F74282E742D427574746F6E2D2D7072696D617279293A6E6F74282E742D427574746F6E2D2D73756363657373293A6E6F74282E742D427574746F6E2D2D7761726E696E67293A666F6375732C0D0A2E742D427574746F6E2D2D73696D706C65';
wwv_flow_api.g_varchar2_table(307) := '3A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74282E742D427574746F6E2D2D64616E676572293A6E6F74282E742D427574746F6E2D2D7072696D617279293A6E6F74282E742D427574746F6E2D2D73756363657373293A6E6F74282E742D42';
wwv_flow_api.g_varchar2_table(308) := '7574746F6E2D2D7761726E696E67292E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665363B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F74207B0D0A20';
wwv_flow_api.g_varchar2_table(309) := '20626F782D736861646F773A20302030203020317078202336373863613920696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(310) := '686F742C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F74202E742D49636F6E207B0D0A2020636F6C6F723A20233637386361393B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D68';
wwv_flow_api.g_varchar2_table(311) := '6F743A686F7665722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F743A666F6375732C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F742E69732D616374697665207B0D0A20206261';
wwv_flow_api.g_varchar2_table(312) := '636B67726F756E642D636F6C6F723A20233637386361393B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F743A686F766572202E742D49636F6E2C0D0A2E742D42';
wwv_flow_api.g_varchar2_table(313) := '7574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F743A666F637573202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F742E69732D616374697665202E742D49636F6E207B0D0A202063';
wwv_flow_api.g_varchar2_table(314) := '6F6C6F723A20236666666666663B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020626F782D736861646F773A20302030203020';
wwv_flow_api.g_varchar2_table(315) := '317078202365396566663320696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D42757474';
wwv_flow_api.g_varchar2_table(316) := '6F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F7429202E742D49636F6E207B0D0A2020636F6C6F723A20233938623163353B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(317) := '2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A';
wwv_flow_api.g_varchar2_table(318) := '6E6F74282E742D427574746F6E2D2D686F74293A666F6375732C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A202062';
wwv_flow_api.g_varchar2_table(319) := '61636B67726F756E642D636F6C6F723A20236539656666333B0D0A2020636F6C6F723A20233232333033633B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(320) := '686F74293A686F766572202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F74293A666F637573202E742D49636F6E2C0D0A2E742D42757474';
wwv_flow_api.g_varchar2_table(321) := '6F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665202E742D49636F6E207B0D0A2020636F6C6F723A20233232333033633B0D0A7D0D0A0D0A2E742D427574';
wwv_flow_api.g_varchar2_table(322) := '746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020626F782D736861646F773A20302030203020317078202366626365346120696E7365743B0D0A20206261636B67';
wwv_flow_api.g_varchar2_table(323) := '726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D73696D706C';
wwv_flow_api.g_varchar2_table(324) := '652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F7429202E742D49636F6E207B0D0A2020636F6C6F723A20236331393130343B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D';
wwv_flow_api.g_varchar2_table(325) := '2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74293A666F6375732C0D';
wwv_flow_api.g_varchar2_table(326) := '0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534613B0D0A';
wwv_flow_api.g_varchar2_table(327) := '2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74293A686F766572202E742D49636F6E2C0D0A2E742D427574';
wwv_flow_api.g_varchar2_table(328) := '746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74293A666F637573202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E';
wwv_flow_api.g_varchar2_table(329) := '673A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665202E742D49636F6E207B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765';
wwv_flow_api.g_varchar2_table(330) := '723A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020626F782D736861646F773A20302030203020317078202366343433333620696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E74';
wwv_flow_api.g_varchar2_table(331) := '2D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574';
wwv_flow_api.g_varchar2_table(332) := '746F6E2D2D686F7429202E742D49636F6E207B0D0A2020636F6C6F723A20236634343333363B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F74293A686F';
wwv_flow_api.g_varchar2_table(333) := '7665722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F74293A666F6375732C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E';
wwv_flow_api.g_varchar2_table(334) := '6765723A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333363B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(335) := '73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F74293A686F766572202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E';
wwv_flow_api.g_varchar2_table(336) := '742D427574746F6E2D2D686F74293A666F637573202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665202E742D49';
wwv_flow_api.g_varchar2_table(337) := '636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020626F782D73686164';
wwv_flow_api.g_varchar2_table(338) := '6F773A20302030203020317078202333626161326320696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E';
wwv_flow_api.g_varchar2_table(339) := '6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F7429202E742D49636F6E207B0D0A2020636F6C6F723A20233362';
wwv_flow_api.g_varchar2_table(340) := '616132633B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E';
wwv_flow_api.g_varchar2_table(341) := '2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F74293A666F6375732C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374';
wwv_flow_api.g_varchar2_table(342) := '697665207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132633B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E';
wwv_flow_api.g_varchar2_table(343) := '742D427574746F6E2D2D686F74293A686F766572202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F74293A666F637573202E742D49636F6E';
wwv_flow_api.g_varchar2_table(344) := '2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665202E742D49636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A7D';
wwv_flow_api.g_varchar2_table(345) := '0D0A0D0A2E742D427574746F6E2D2D6E6F5549207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A7D0D0A2E742D427574746F6E2D2D6E6F55493A6E6F74283A686F766572293A6E';
wwv_flow_api.g_varchar2_table(346) := '6F74283A666F637573293A6E6F74282E69732D61637469766529207B0D0A2020626F782D736861646F773A206E6F6E653B0D0A7D0D0A2E742D427574746F6E2D2D6E6F55493A686F7665722C0D0A2E742D427574746F6E2D2D6E6F55493A666F6375732C';
wwv_flow_api.g_varchar2_table(347) := '0D0A2E742D427574746F6E2D2D6E6F55492E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665363B0D0A7D0D0A2E742D427574746F6E2D2D6E6F55493A666F6375733A686F766572207B0D0A2020626F78';
wwv_flow_api.g_varchar2_table(348) := '2D736861646F773A20302030203020317078207267626128302C20302C20302C20302E3132352920696E7365743B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6C696E6B207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172';
wwv_flow_api.g_varchar2_table(349) := '656E742021696D706F7274616E743B0D0A2020626F782D736861646F773A206E6F6E652021696D706F7274616E743B0D0A7D0D0A2E742D427574746F6E2D2D6C696E6B3A686F766572207B0D0A2020746578742D6465636F726174696F6E3A20756E6465';
wwv_flow_api.g_varchar2_table(350) := '726C696E653B0D0A7D0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2C0D0A2E742D427574746F6E2D2D6C696E6B202E742D49636F6E207B0D0A2020636F6C6F723A20233030393166663B0D0A7D0D0A0D0A2E742D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(351) := '6E6F55492E742D427574746F6E2D2D686F742C0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D686F74202E742D49636F6E207B0D0A2020636F6C6F723A20233637386361393B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6E6F55';
wwv_flow_api.g_varchar2_table(352) := '492E742D427574746F6E2D2D7072696D6172792C0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D7072696D6172792C0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D7072696D617279202E742D49636F6E2C';
wwv_flow_api.g_varchar2_table(353) := '0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D7072696D617279202E742D49636F6E207B0D0A2020636F6C6F723A20233938623163352021696D706F7274616E743B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6E6F55492E742D';
wwv_flow_api.g_varchar2_table(354) := '427574746F6E2D2D7761726E696E672C0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D7761726E696E672C0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D7761726E696E67202E742D49636F6E2C0D0A2E74';
wwv_flow_api.g_varchar2_table(355) := '2D427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D7761726E696E67202E742D49636F6E207B0D0A2020636F6C6F723A20236331393130342021696D706F7274616E743B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6E6F55492E742D42757474';
wwv_flow_api.g_varchar2_table(356) := '6F6E2D2D64616E6765722C0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D64616E6765722C0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D64616E676572202E742D49636F6E2C0D0A2E742D427574746F6E';
wwv_flow_api.g_varchar2_table(357) := '2D2D6C696E6B2E742D427574746F6E2D2D64616E676572202E742D49636F6E207B0D0A2020636F6C6F723A20236634343333362021696D706F7274616E743B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D73756363';
wwv_flow_api.g_varchar2_table(358) := '6573732C0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D737563636573732C0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D73756363657373202E742D49636F6E2C0D0A2E742D427574746F6E2D2D6C696E';
wwv_flow_api.g_varchar2_table(359) := '6B2E742D427574746F6E2D2D73756363657373202E742D49636F6E207B0D0A2020636F6C6F723A20233362616132632021696D706F7274616E743B0D0A7D0D0A0D0A2E742D4865616465722D6272616E64696E67202E742D427574746F6E207B0D0A2020';
wwv_flow_api.g_varchar2_table(360) := '6261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D686561646572207B0D0A2020626F726465722D7261646975733A203270783B0D0A2020626F782D736861646F77';
wwv_flow_api.g_varchar2_table(361) := '3A206E6F6E653B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A666F6375733A6265666F72652C0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A6163746976653A666F6375733A6265666F7265';
wwv_flow_api.g_varchar2_table(362) := '207B0D0A2020626F782D736861646F773A20302030203020317078202334646232666620696E7365742021696D706F7274616E743B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A686F7665722C0D0A2E742D42757474';
wwv_flow_api.g_varchar2_table(363) := '6F6E2E742D427574746F6E2D2D6865616465723A666F6375732C0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D';
wwv_flow_api.g_varchar2_table(364) := '0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E31293B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E';
wwv_flow_api.g_varchar2_table(365) := '2D2D6865616465723A6163746976652C0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A666F6375733A616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E34293B';
wwv_flow_api.g_varchar2_table(366) := '0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465722E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3235293B0D0A2020626F782D736861646F773A';
wwv_flow_api.g_varchar2_table(367) := '206E6F6E653B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D68656164657254726565207B0D0A20206D696E2D77696474683A20333270783B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D686561646572547265653A66';
wwv_flow_api.g_varchar2_table(368) := '6F637573207B0D0A2020626F782D736861646F773A20302030203020317078202334646232666620696E7365743B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A20343830707829207B0D0A20202E74';
wwv_flow_api.g_varchar2_table(369) := '2D427574746F6E2E742D427574746F6E2D2D68656164657254726565207B0D0A202020206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3235293B0D0A20207D0D0A7D0D0A2E742D427574746F6E2E742D42757474';
wwv_flow_api.g_varchar2_table(370) := '6F6E2D2D6865616465725269676874207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F726465723A2031707820736F6C696420236530653065303B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E';
wwv_flow_api.g_varchar2_table(371) := '2D2D68656164657252696768743A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236530653065303B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D68656164657252696768743A6163746976652C0D0A2E742D';
wwv_flow_api.g_varchar2_table(372) := '427574746F6E2E742D427574746F6E2D2D68656164657252696768742E69732D616374697665207B0D0A2020636F6C6F723A20233361336133613B0D0A7D0D0A2E742D427574746F6E2D2D6E6176426172202E742D427574746F6E2D6261646765207B0D';
wwv_flow_api.g_varchar2_table(373) := '0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3335293B0D0A7D0D0A2E742D427574746F6E2D2D68656C70427574746F6E202E612D49636F6E207B';
wwv_flow_api.g_varchar2_table(374) := '0D0A20206F7061636974793A202E353B0D0A7D0D0A0D0A2E742D4865616465722D6E6176426172202E742D427574746F6E2D2D6865616465722E69732D616374697665207B0D0A2020626F726465722D626F74746F6D2D72696768742D7261646975733A';
wwv_flow_api.g_varchar2_table(375) := '20303B0D0A2020626F726465722D626F74746F6D2D6C6566742D7261646975733A20303B0D0A20206261636B67726F756E642D636F6C6F723A20233437363537643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A0D0A2E742D427574746F';
wwv_flow_api.g_varchar2_table(376) := '6E2E742D427574746F6E2D2D6E6F5549202E66613A61667465722C0D0A2E742D427574746F6E2E742D427574746F6E2D2D6C696E6B202E66613A61667465722C0D0A2E742D427574746F6E2E742D427574746F6E2D2D73696D706C65202E66613A616674';
wwv_flow_api.g_varchar2_table(377) := '6572207B0D0A20206261636B67726F756E642D636F6C6F723A20234646463B0D0A7D0D0A0D0A2E742D427574746F6E2D2D64616E676572202E66613A61667465722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E67';
wwv_flow_api.g_varchar2_table(378) := '65723A686F766572202E66613A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333363B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73756363657373202E66613A61667465722C0D0A2E742D427574746F6E2D2D73';
wwv_flow_api.g_varchar2_table(379) := '696D706C652E742D427574746F6E2D2D737563636573733A686F766572202E66613A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132633B0D0A7D0D0A0D0A2E742D427574746F6E2D2D7072696D617279202E6661';
wwv_flow_api.g_varchar2_table(380) := '3A61667465722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A686F766572202E66613A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A20236539656666333B0D0A7D0D0A0D0A2E';
wwv_flow_api.g_varchar2_table(381) := '742D427574746F6E2D2D7761726E696E67202E66613A61667465722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A686F766572202E66613A6166746572207B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(382) := '6C6F723A20236662636534613B0D0A7D0D0A0D0A2E742D427574746F6E2D2D686F74202E66613A61667465722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F743A686F766572202E66613A6166746572207B0D0A2020';
wwv_flow_api.g_varchar2_table(383) := '6261636B67726F756E642D636F6C6F723A20233637386361393B0D0A7D0D0A0D0A2E742D427574746F6E526567696F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D';
wwv_flow_api.g_varchar2_table(384) := '0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D427574746F6E526567696F6E2D2D6E6F5549207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D427574746F6E5265';
wwv_flow_api.g_varchar2_table(385) := '67696F6E2D2D77697A6172642C0D0A2E742D427574746F6E526567696F6E2D2D6469616C6F67526567696F6E207B0D0A2020626F726465722D7261646975733A2030203020327078203270783B0D0A7D0D0A2E742D427574746F6E526567696F6E2D2D64';
wwv_flow_api.g_varchar2_table(386) := '69616C6F67526567696F6E207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D426F6479202E742D427574746F6E526567696F6E2D2D73686F775469746C65202E742D427574746F6E52656769';
wwv_flow_api.g_varchar2_table(387) := '6F6E2D7469746C65207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C65202E742D427574746F6E526567696F6E2D2D73686F775469746C65202E742D427574746F6E526567696F6E2D7469746C65207B0D0A';
wwv_flow_api.g_varchar2_table(388) := '2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E742D427574746F6E526567696F6E2D2D73686F775469746C65202E742D427574746F6E526567696F6E2D7469746C65207B0D0A2020636F6C6F723A2023343034';
wwv_flow_api.g_varchar2_table(389) := '3034303B0D0A7D0D0A2E742D526567696F6E202E742D427574746F6E526567696F6E2D2D73686F775469746C65202E742D427574746F6E526567696F6E2D7469746C652C0D0A2E742D427574746F6E526567696F6E202E742D427574746F6E526567696F';
wwv_flow_api.g_varchar2_table(390) := '6E2D2D73686F775469746C65202E742D427574746F6E526567696F6E2D7469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D427574746F6E526567696F6E207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(391) := '6B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A2020626F726465722D7261646975733A20303B0D0A7D0D0A0D0A2E66632E75692D776964676574207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B';
wwv_flow_api.g_varchar2_table(392) := '0D0A7D0D0A2E66632D746F6F6C626172207B0D0A2020626F726465722D636F6C6F723A20236562656265623B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F726465722D7261646975733A2032707820327078';
wwv_flow_api.g_varchar2_table(393) := '203020303B0D0A7D0D0A2E66632D746F6F6C6261722068322C0D0A2E6663202E66632D62617369632D766965772074642E66632D6461792D6E756D6265722C0D0A2E6663202E66632D6461792D6E756D626572207B0D0A2020636F6C6F723A2023343034';
wwv_flow_api.g_varchar2_table(394) := '3034303B0D0A7D0D0A2E66632D6461792D6865616465722E75692D7769646765742D6865616465722C0D0A2E66632D76696577202E75692D7769646765742D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A2023663266326632';
wwv_flow_api.g_varchar2_table(395) := '3B0D0A2020636F6C6F723A20233236323632363B0D0A2020626F726465722D636F6C6F723A20236536653665363B0D0A7D0D0A6469762E66632D6167656E64614C697374207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B';
wwv_flow_api.g_varchar2_table(396) := '0D0A2020626F726465722D636F6C6F723A20236562656265623B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E6663202E66632D6167656E64614C6973742D646179486561646572207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(397) := '3A20236439643964393B0D0A2020636F6C6F723A20233236323632363B0D0A2020626F726465722D636F6C6F723A20236661666166613B0D0A7D0D0A2E6663202E66632D6167656E64614C6973742D646179207B0D0A2020636F6C6F723A202332363236';
wwv_flow_api.g_varchar2_table(398) := '32363B0D0A7D0D0A2E6663202E66632D6167656E64614C6973742D64617465207B0D0A2020636F6C6F723A20233464346434643B0D0A7D0D0A2E6663202E66632D6167656E64614C697374202E66632D6576656E742D73746172742D74696D652C0D0A2E';
wwv_flow_api.g_varchar2_table(399) := '6663202E66632D6167656E64614C697374202E66632D6576656E742D616C6C2D646179207B0D0A2020636F6C6F723A20233636363636363B0D0A7D0D0A626F6479202E66632074642E66632D746F6461792C0D0A626F6479202E6663202E75692D776964';
wwv_flow_api.g_varchar2_table(400) := '6765742D636F6E74656E74207B0D0A2020626F726465722D636F6C6F723A20236536653665363B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A626F6479202E75692D7769646765742D636F6E74656E742E66632D746F6461792E75692D73';
wwv_flow_api.g_varchar2_table(401) := '746174652D686967686C69676874207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A7D0D0A2E6663202E66632D6167656E64614C6973742D6974656D207B0D0A2020626F726465722D636F6C6F723A20236661666166';
wwv_flow_api.g_varchar2_table(402) := '613B0D0A7D0D0A2E6663202E75692D627574746F6E3A6163746976652C0D0A2E6663202E75692D627574746F6E3A666F6375732C0D0A2E66632D766965773A6163746976652C0D0A2E66632D766965773A666F637573207B0D0A20206F75746C696E653A';
wwv_flow_api.g_varchar2_table(403) := '2031707820736F6C696420233030393166663B0D0A7D0D0A2E66632D766965772D636F6E7461696E6572203E202E66632D766965773A6163746976652C0D0A2E66632D766965772D636F6E7461696E6572203E202E66632D766965773A666F637573207B';
wwv_flow_api.g_varchar2_table(404) := '0D0A20206F75746C696E653A206E6F6E653B0D0A7D0D0A0D0A2E742D436172642D77726170207B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(405) := '436172642D777261703A666F637573207B0D0A2020626F726465722D636F6C6F723A20233030393166663B0D0A7D0D0A2E742D436172642D69636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D436172642D64657363207B';
wwv_flow_api.g_varchar2_table(406) := '0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436172642D696E666F2C0D0A2E742D436172642D7375627469746C65207B0D0A2020636F6C6F723A20233636363636363B0D0A7D0D0A2E742D436172642D7469746C65207B0D0A2020';
wwv_flow_api.g_varchar2_table(407) := '636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436172642D636F6C6F7246696C6C2C0D0A2E742D436172642D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236266626662663B0D0A7D0D0A0D0A2E742D436C61737369';
wwv_flow_api.g_varchar2_table(408) := '6343616C656E6461722D6D6F6E74685469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436C617373696343616C656E6461722D646179436F6C756D6E207B0D0A20206261636B67726F756E642D636F6C6F723A202366';
wwv_flow_api.g_varchar2_table(409) := '61666166613B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A2020626F726465722D636F6C6F723A20236632663266323B0D0A2020636F6C6F723A20233636363636363B0D0A7D0D0A2E742D436C617373696343616C656E6461722D64';
wwv_flow_api.g_varchar2_table(410) := '6179207B0D0A2020626F726465722D636F6C6F723A20236632663266323B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6461792E69732D696E616374697665202E742D436C617373696343616C656E6461722D64617465207B0D0A20206F';
wwv_flow_api.g_varchar2_table(411) := '7061636974793A202E353B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6461792E69732D7765656B656E642C0D0A2E742D436C617373696343616C656E6461722D6461792E69732D696E616374697665207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(412) := '6E642D636F6C6F723A20236663666366633B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6461792E69732D746F646179202E742D436C617373696343616C656E6461722D64617465207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(413) := '3A20233637386361393B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D436C617373696343616C656E6461722D64617465207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D436C617373696343616C656E6461';
wwv_flow_api.g_varchar2_table(414) := '722D6576656E74207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6576656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436C61';
wwv_flow_api.g_varchar2_table(415) := '7373696343616C656E6461722D6576656E742061207B0D0A20206261636B67726F756E642D636F6C6F723A20233637386361393B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D436C617373696343616C656E6461722D2D7765656B';
wwv_flow_api.g_varchar2_table(416) := '6C79202E742D436C617373696343616C656E6461722D74696D65436F6C2C0D0A2E742D436C617373696343616C656E6461722D2D6461696C79202E742D436C617373696343616C656E6461722D74696D65436F6C207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(417) := '2D636F6C6F723A20236661666166613B0D0A7D0D0A2E742D436C617373696343616C656E6461722D2D7765656B6C79202E742D436C617373696343616C656E6461722D6461794576656E74732C0D0A2E742D436C617373696343616C656E6461722D2D64';
wwv_flow_api.g_varchar2_table(418) := '61696C79202E742D436C617373696343616C656E6461722D6461794576656E7473207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436C617373696343616C656E6461722D2D7765656B6C79202E742D436C617373696343616C65';
wwv_flow_api.g_varchar2_table(419) := '6E6461722D6461794576656E747320612C0D0A2E742D436C617373696343616C656E6461722D2D6461696C79202E742D436C617373696343616C656E6461722D6461794576656E74732061207B0D0A20206261636B67726F756E642D636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(420) := '3637386361393B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D436C617373696343616C656E6461722D2D7765656B6C79202E742D436C617373696343616C656E6461722D6461792E69732D746F6461792C0D0A2E742D436C617373';
wwv_flow_api.g_varchar2_table(421) := '696343616C656E6461722D2D6461696C79202E742D436C617373696343616C656E6461722D6461792E69732D746F646179207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D436C617373696343616C65';
wwv_flow_api.g_varchar2_table(422) := '6E6461722D6C697374207B0D0A2020626F726465722D636F6C6F723A20236632663266323B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6C6973745469746C652C0D0A2E742D436C617373696343616C656E6461722D6C6973744576656E';
wwv_flow_api.g_varchar2_table(423) := '74207B0D0A2020626F726465722D636F6C6F723A20236632663266323B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6C6973745469746C65207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A2020636F';
wwv_flow_api.g_varchar2_table(424) := '6C6F723A20233636363636363B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6C6973744576656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436F6D6D656E74732D2D63686174202E742D436F6D6D656E74';
wwv_flow_api.g_varchar2_table(425) := '732D636F6D6D656E74207B0D0A20206261636B67726F756E642D636F6C6F723A20236637663766373B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D436F6D6D656E74732D2D63686174202E742D436F6D6D656E74732D636F6D6D65';
wwv_flow_api.g_varchar2_table(426) := '6E743A6166746572207B0D0A2020626F726465722D72696768742D636F6C6F723A20236637663766373B0D0A7D0D0A2E742D436F6D6D656E74732D2D63686174202E742D436F6D6D656E74732D6974656D2E69732D616374697665202E742D436F6D6D65';
wwv_flow_api.g_varchar2_table(427) := '6E74732D636F6D6D656E74207B0D0A20206261636B67726F756E642D636F6C6F723A20236530653065303B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D436F6D6D656E74732D2D63686174202E742D436F6D6D656E74732D697465';
wwv_flow_api.g_varchar2_table(428) := '6D2E69732D616374697665202E742D436F6D6D656E74732D636F6D6D656E743A6166746572207B0D0A2020626F726465722D72696768742D636F6C6F723A20236530653065303B0D0A7D0D0A2E742D436F6D6D656E74732D2D6261736963202E742D436F';
wwv_flow_api.g_varchar2_table(429) := '6D6D656E74732D6974656D2E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236662666266623B0D0A7D0D0A2E742D436F6D6D656E74732D6974656D2E69732D73797374656D4D657373616765207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(430) := '6B67726F756E642D636F6C6F723A20236562656265623B0D0A7D0D0A2E742D436F6D6D656E74732D696E666F207B0D0A2020636F6C6F723A20233565356535653B0D0A7D0D0A2E742D436F6D6D656E74732D636F6D6D656E74207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(431) := '3A20233030303030303B0D0A7D0D0A2E742D436F6E66696750616E656C2D61626F7574207B0D0A20206261636B67726F756E642D636F6C6F723A20236666663765303B0D0A2020636F6C6F723A20233536353635363B0D0A7D0D0A2E742D436F6E666967';
wwv_flow_api.g_varchar2_table(432) := '50616E656C2D69636F6E207B0D0A2020626F726465722D7261646975733A20313030253B0D0A20206261636B67726F756E642D636F6C6F723A20234130413041303B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E742D436F6E66696750616E65';
wwv_flow_api.g_varchar2_table(433) := '6C2D69636F6E2E69732D656E61626C6564207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132633B0D0A7D0D0A2E742D436F6E66696750616E656C2D69636F6E2E69732D64697361626C6564207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(434) := '642D636F6C6F723A20236634343333363B0D0A7D0D0A2E742D436F6E66696750616E656C2D73657474696E672C0D0A2E742D436F6E66696750616E656C2D737461747573207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D436F6E';
wwv_flow_api.g_varchar2_table(435) := '66696750616E656C2D737461747573207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436F6E66696750616E656C2D617474724C696E6B207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D436F6E66696750';
wwv_flow_api.g_varchar2_table(436) := '616E656C2D617474724C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3035293B0D0A7D0D0A2E742D436F6E66696750616E656C2D6174747256616C7565207B0D0A2020636F';
wwv_flow_api.g_varchar2_table(437) := '6C6F723A20233030393166663B0D0A7D0D0A2E742D4469616C6F67207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A0D0A2E742D4469616C6F67203A3A2D7765626B69742D7363726F6C6C6261722D7468756D';
wwv_flow_api.g_varchar2_table(438) := '62207B0D0A20206261636B67726F756E642D636F6C6F723A20236266626662663B0D0A7D0D0A2E742D4469616C6F67203A3A2D7765626B69742D7363726F6C6C6261722D7468756D623A686F766572207B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(439) := '723A20236233623362333B0D0A7D0D0A2E742D4469616C6F673A3A2D7765626B69742D7363726F6C6C6261722D747261636B207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A0D0A2E742D466F6F7465722D74';
wwv_flow_api.g_varchar2_table(440) := '6F70427574746F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233731373137313B0D0A7D0D0A2E742D466F6F7465722D746F70427574746F6E3A666F637573207B0D0A2020626F782D73';
wwv_flow_api.g_varchar2_table(441) := '6861646F773A20302030203020317078202330303931666620696E7365743B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E65723A6265666F7265207B0D0A2020636F6C6F723A20233339333933393B0D0A7D0D0A2E617065782D697465';
wwv_flow_api.g_varchar2_table(442) := '6D2D74657874617265612C0D0A2E617065782D6974656D2D746578742C0D0A2E617065782D6974656D2D73656C656374207B0D0A2020636F6C6F723A20233339333933393B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D';
wwv_flow_api.g_varchar2_table(443) := '0A2020626F726465722D636F6C6F723A20236466646664663B0D0A7D0D0A2E617065782D6974656D2D74657874617265612E617065782D706167652D6974656D2D6572726F722C0D0A2E617065782D6974656D2D746578742E617065782D706167652D69';
wwv_flow_api.g_varchar2_table(444) := '74656D2D6572726F722C0D0A2E617065782D6974656D2D73656C6563742E617065782D706167652D6974656D2D6572726F72207B0D0A2020626F726465722D636F6C6F723A20236637373036363B0D0A7D0D0A2E617065782D6974656D2D746578746172';
wwv_flow_api.g_varchar2_table(445) := '65612E617065782D706167652D6974656D2D6572726F723A72657175697265643A76616C69642C0D0A2E617065782D6974656D2D746578742E617065782D706167652D6974656D2D6572726F723A72657175697265643A76616C69642C0D0A2E61706578';
wwv_flow_api.g_varchar2_table(446) := '2D6974656D2D73656C6563742E617065782D706167652D6974656D2D6572726F723A72657175697265643A76616C6964207B0D0A2020626F726465722D636F6C6F723A20236466646664663B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E746169';
wwv_flow_api.g_varchar2_table(447) := '6E65722D2D666C6F6174696E674C6162656C202E742D466F726D2D696E707574436F6E7461696E6572202E617065782D6974656D2D646973706C61792D6F6E6C79207B0D0A2020636F6C6F723A20233339333933393B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(448) := '2D636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A20236466646664663B0D0A2020626F726465722D7374796C653A206461736865643B0D0A7D0D0A0D0A2E617065782D6974656D2D66696C652D64726F707A6F6E652D6C';
wwv_flow_api.g_varchar2_table(449) := '6162656C207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20726762612835372C2035372C2035372C20302E37293B0D0A2020626F726465722D7261646975733A2032707820302030203270783B';
wwv_flow_api.g_varchar2_table(450) := '0D0A7D0D0A2E752D52544C202E617065782D6974656D2D66696C652D64726F707A6F6E652D6C6162656C207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E617065782D6974656D2D66696C652D64726F70';
wwv_flow_api.g_varchar2_table(451) := '7A6F6E652D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E752D52544C202E617065782D6974656D2D66696C652D';
wwv_flow_api.g_varchar2_table(452) := '64726F707A6F6E652D69636F6E207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E617065782D6974656D2D66696C653A686F766572202B202E617065782D6974656D2D66696C652D64726F707A6F6E6520';
wwv_flow_api.g_varchar2_table(453) := '2E617065782D6974656D2D66696C652D64726F707A6F6E652D6C6162656C207B0D0A2020636F6C6F723A20233339333933393B0D0A7D0D0A2E617065782D6974656D2D66696C653A686F766572202B202E617065782D6974656D2D66696C652D64726F70';
wwv_flow_api.g_varchar2_table(454) := '7A6F6E65202E617065782D6974656D2D66696C652D64726F707A6F6E652D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233339333933393B0D0A7D0D0A2E617065782D6974656D';
wwv_flow_api.g_varchar2_table(455) := '2D66696C653A666F637573202B202E617065782D6974656D2D66696C652D64726F707A6F6E65202E617065782D6974656D2D66696C652D64726F707A6F6E652D6C6162656C207B0D0A2020626F726465722D636F6C6F723A20233030393166663B0D0A20';
wwv_flow_api.g_varchar2_table(456) := '20636F6C6F723A20233339333933393B0D0A7D0D0A2E617065782D6974656D2D66696C653A666F637573202B202E617065782D6974656D2D66696C652D64726F707A6F6E65202E617065782D6974656D2D66696C652D64726F707A6F6E652D69636F6E20';
wwv_flow_api.g_varchar2_table(457) := '7B0D0A2020626F726465722D636F6C6F723A20233030393166663B0D0A20206261636B67726F756E642D636F6C6F723A20233030393166663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E617065782D6974656D2D7465787461726561';
wwv_flow_api.g_varchar2_table(458) := '3A666F6375732C0D0A2E617065782D6974656D2D746578743A666F6375732C0D0A2E617065782D6974656D2D73656C6563743A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666662021696D706F7274616E743B0D';
wwv_flow_api.g_varchar2_table(459) := '0A2020626F726465722D636F6C6F723A20233030393166662021696D706F7274616E743B0D0A7D0D0A2E617065782D6974656D2D74657874617265613A686F7665722C0D0A2E617065782D6974656D2D746578743A686F7665722C0D0A2E617065782D69';
wwv_flow_api.g_varchar2_table(460) := '74656D2D73656C6563743A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E657220696E7075743A3A2D7765626B69742D696E7075742D706C61';
wwv_flow_api.g_varchar2_table(461) := '6365686F6C646572207B0D0A2020636F6C6F723A20233030303030303B0D0A20206F7061636974793A202E343B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E657220696E7075743A3A2D6D6F7A2D706C616365686F6C646572207B0D0A';
wwv_flow_api.g_varchar2_table(462) := '2020636F6C6F723A20233030303030303B0D0A20206F7061636974793A202E343B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E657220696E7075743A2D6D732D696E7075742D706C616365686F6C646572207B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(463) := '20233030303030303B0D0A20206F7061636974793A202E343B0D0A7D0D0A2E742D466F726D20696E7075742E66696C65207B0D0A2020636F6C6F723A20233339333933393B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E657220737061';
wwv_flow_api.g_varchar2_table(464) := '6E2E646973706C61795F6F6E6C79207B0D0A2020626F726465722D636F6C6F723A207472616E73706172656E743B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D466F726D2D73656C6563742C';
wwv_flow_api.g_varchar2_table(465) := '0D0A2E742D466F726D2D696E707574436F6E7461696E65722073656C6563742E73656C6563746C6973742C0D0A2E742D466F726D2D696E707574436F6E7461696E65722073656C6563742E7965735F6E6F207B0D0A2020636F6C6F723A20233339333933';
wwv_flow_api.g_varchar2_table(466) := '393B0D0A2020626F726465722D636F6C6F723A20236466646664663B0D0A7D0D0A2E742D466F726D2D6669656C642D2D726561644F6E6C79207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(467) := '466F726D2D726164696F4C6162656C2C0D0A2E742D466F726D2D696E707574436F6E7461696E6572202E726164696F5F67726F7570206C6162656C2C0D0A2E742D466F726D2D636865636B626F784C6162656C2C0D0A2E742D466F726D2D696E70757443';
wwv_flow_api.g_varchar2_table(468) := '6F6E7461696E6572202E636865636B626F785F67726F7570206C6162656C2C0D0A2E742D466F726D2D6C6162656C207B0D0A2020636F6C6F723A20233464346434643B0D0A7D0D0A2E742D466F726D2D6572726F72207B0D0A2020636F6C6F723A202366';
wwv_flow_api.g_varchar2_table(469) := '34343333363B0D0A7D0D0A2E742D466F726D2D706F737454657874207B0D0A2020636F6C6F723A20236363636363633B0D0A7D0D0A2E742D466F726D2D2D73656172636820696E7075742E742D466F726D2D7365617263684669656C64207B0D0A202062';
wwv_flow_api.g_varchar2_table(470) := '61636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020636F6C6F723A20233339333933393B0D0A7D0D0A2E612D427574746F6E2E612D427574746F6E2D2D63616C656E6461722C0D0A2E612D427574746F6E2E612D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(471) := '706F7075704C4F56207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E752D52544C202E612D427574746F6E2E612D427574746F6E2D2D63616C656E6461722C0D0A2E752D52544C202E612D427574746F6E';
wwv_flow_api.g_varchar2_table(472) := '2E612D427574746F6E2D2D706F7075704C4F56207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E657220696E7075742E686173446174657069636B65722C';
wwv_flow_api.g_varchar2_table(473) := '0D0A2E742D466F726D2D696E707574436F6E7461696E657220696E7075742E706F7075705F6C6F76207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E752D52544C202E742D466F726D2D696E707574436F';
wwv_flow_api.g_varchar2_table(474) := '6E7461696E657220696E7075742E686173446174657069636B65722C0D0A2E752D52544C202E742D466F726D2D696E707574436F6E7461696E657220696E7075742E706F7075705F6C6F76207B0D0A2020626F726465722D7261646975733A2030203270';
wwv_flow_api.g_varchar2_table(475) := '782032707820303B0D0A7D0D0A0D0A2E636865636B626F785F67726F757020696E7075742C0D0A2E726164696F5F67726F757020696E707574207B0D0A20200D0A20200D0A7D0D0A2E636865636B626F785F67726F757020696E707574202B206C616265';
wwv_flow_api.g_varchar2_table(476) := '6C3A6265666F72652C0D0A2E726164696F5F67726F757020696E707574202B206C6162656C3A6265666F7265207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A7D0D0A2E636865636B626F785F67726F757020696E70';
wwv_flow_api.g_varchar2_table(477) := '75743A666F637573202B206C6162656C3A6265666F72652C0D0A2E726164696F5F67726F757020696E7075743A666F637573202B206C6162656C3A6265666F7265207B0D0A2020626F726465722D636F6C6F723A20233030393166663B0D0A7D0D0A2E63';
wwv_flow_api.g_varchar2_table(478) := '6865636B626F785F67726F757020696E7075743A666F6375733A636865636B6564202B206C6162656C3A6265666F72652C0D0A2E726164696F5F67726F757020696E7075743A666F6375733A636865636B6564202B206C6162656C3A6265666F7265207B';
wwv_flow_api.g_varchar2_table(479) := '0D0A2020626F726465722D636F6C6F723A20233030393166663B0D0A20206261636B67726F756E642D636F6C6F723A20233030393166663B0D0A2020626F782D736861646F773A20302030203020317078202366396639663920696E7365743B0D0A7D0D';
wwv_flow_api.g_varchar2_table(480) := '0A2E636865636B626F785F67726F757020696E7075743A636865636B6564202B206C6162656C3A6265666F72652C0D0A2E726164696F5F67726F757020696E7075743A636865636B6564202B206C6162656C3A6265666F7265207B0D0A2020626F726465';
wwv_flow_api.g_varchar2_table(481) := '722D636F6C6F723A20233030393166663B0D0A20206261636B67726F756E642D636F6C6F723A20233030393166663B0D0A7D0D0A0D0A2E726164696F5F67726F757020696E707574202B206C6162656C3A6166746572207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(482) := '6E642D636F6C6F723A20236639663966393B0D0A7D0D0A0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E636865636B626F785F67726F757020696E707574207B0D0A20200D0A20200D0A7D';
wwv_flow_api.g_varchar2_table(483) := '0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E636865636B626F785F67726F757020696E707574202B206C6162656C3A6265666F7265207B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(484) := '723A20236536653665363B0D0A2020626F726465722D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E636865636B626F785F67726F';
wwv_flow_api.g_varchar2_table(485) := '757020696E7075743A666F637573202B206C6162656C3A6265666F7265207B0D0A2020626F726465722D636F6C6F723A20233030393166663B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F';
wwv_flow_api.g_varchar2_table(486) := '7570202E636865636B626F785F67726F757020696E7075743A666F6375733A636865636B6564202B206C6162656C3A6265666F7265207B0D0A2020626F726465722D636F6C6F723A20236639663966393B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(487) := '723A20236639663966393B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E6368';
wwv_flow_api.g_varchar2_table(488) := '65636B626F785F67726F757020696E7075743A666F6375733A636865636B6564202B206C6162656C3A6166746572207B0D0A2020636F6C6F723A20233030393166663B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D72616469';
wwv_flow_api.g_varchar2_table(489) := '6F427574746F6E47726F7570202E636865636B626F785F67726F757020696E7075743A636865636B6564202B206C6162656C3A6265666F7265207B0D0A2020626F726465722D636F6C6F723A20236639663966393B0D0A20206261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(490) := '636F6C6F723A20236639663966393B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E636865636B626F785F67726F757020696E7075743A636865636B6564202B206C6162656C3A61';
wwv_flow_api.g_varchar2_table(491) := '66746572207B0D0A2020636F6C6F723A20233030393166663B0D0A7D0D0A0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D70726554657874426C6F636B202E742D466F726D2D6974656D546578742D2D7072652C0D0A2E742D466F726D';
wwv_flow_api.g_varchar2_table(492) := '2D6669656C64436F6E7461696E65722D2D706F737454657874426C6F636B202E742D466F726D2D6974656D546578742D2D706F7374207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F782D736861646F773A';
wwv_flow_api.g_varchar2_table(493) := '20302030203020302E3172656D202364666466646620696E7365743B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D70726554657874426C6F636B202E742D466F726D';
wwv_flow_api.g_varchar2_table(494) := '2D6974656D546578742D2D707265207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E752D52544C202E742D466F726D2D6669656C64436F6E7461696E65722D2D70726554657874426C6F636B202E742D46';
wwv_flow_api.g_varchar2_table(495) := '6F726D2D6974656D546578742D2D707265207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D706F737454657874426C6F636B202E742D466F726D';
wwv_flow_api.g_varchar2_table(496) := '2D6974656D546578742D2D706F7374207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E752D52544C202E742D466F726D2D6669656C64436F6E7461696E65722D2D706F737454657874426C6F636B202E74';
wwv_flow_api.g_varchar2_table(497) := '2D466F726D2D6974656D546578742D2D706F7374207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A0D0A2E617065782D6974656D2D6861732D69636F6E3A666F637573202B202E617065782D6974656D2D69';
wwv_flow_api.g_varchar2_table(498) := '636F6E207B0D0A2020636F6C6F723A20233030393166663B0D0A7D0D0A0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D666C6F6174696E674C6162656C202E617065782D6974656D2D69636F6E207B0D0A2020636F6C6F723A20233636';
wwv_flow_api.g_varchar2_table(499) := '363636363B0D0A2020626F782D736861646F773A202D302E3172656D20302030202364666466646620696E7365743B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E752D52544C202E742D466F726D2D6669';
wwv_flow_api.g_varchar2_table(500) := '656C64436F6E7461696E65722D2D666C6F6174696E674C6162656C202E617065782D6974656D2D69636F6E207B0D0A2020626F782D736861646F773A20302E3172656D20302030202364666466646620696E7365743B0D0A2020626F726465722D726164';
wwv_flow_api.g_varchar2_table(501) := '6975733A2030203270782032707820303B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D666C6F6174696E674C6162656C202E617065782D6974656D2D6861732D69636F6E3A666F637573202B202E617065782D6974656D2D69';
wwv_flow_api.g_varchar2_table(502) := '636F6E207B0D0A2020626F782D736861646F773A206E6F6E653B0D0A7D0D0A0D0A2E742D466F726D2D68656C70427574746F6E3A666F637573202E612D49636F6E207B0D0A2020636F6C6F723A20233030393166663B0D0A7D0D0A0D0A2E742D466F726D';
wwv_flow_api.g_varchar2_table(503) := '2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E742D466F726D2D6974656D57726170706572203E202E617065782D6974656D2D67726F7570203E202E617065782D6974656D2D6F7074696F6E3A66697273742D6F';
wwv_flow_api.g_varchar2_table(504) := '662D74797065206C6162656C207B0D0A2020626F726465722D7261646975733A2032707820327078203020303B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E742D466F726D2D69';
wwv_flow_api.g_varchar2_table(505) := '74656D57726170706572203E202E617065782D6974656D2D67726F7570203E202E617065782D6974656D2D6F7074696F6E3A6C6173742D6F662D74797065206C6162656C207B0D0A2020626F726465722D7261646975733A203020302032707820327078';
wwv_flow_api.g_varchar2_table(506) := '3B0D0A7D0D0A0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726964202E617065782D6974656D2D677269642D726F773A6F6E6C792D6368696C64202E617065';
wwv_flow_api.g_varchar2_table(507) := '782D6974656D2D6F7074696F6E3A66697273742D6F662D74797065206C6162656C207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F';
wwv_flow_api.g_varchar2_table(508) := '427574746F6E47726F7570202E617065782D6974656D2D67726964202E617065782D6974656D2D677269642D726F773A6F6E6C792D6368696C64202E617065782D6974656D2D6F7074696F6E3A6C6173742D6F662D74797065206C6162656C207B0D0A20';
wwv_flow_api.g_varchar2_table(509) := '20626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E752D52544C202E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726964202E6170';
wwv_flow_api.g_varchar2_table(510) := '65782D6974656D2D677269642D726F773A6F6E6C792D6368696C64202E617065782D6974656D2D6F7074696F6E3A66697273742D6F662D74797065206C6162656C207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A';
wwv_flow_api.g_varchar2_table(511) := '7D0D0A2E752D52544C202E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726964202E617065782D6974656D2D677269642D726F773A6F6E6C792D6368696C64202E61';
wwv_flow_api.g_varchar2_table(512) := '7065782D6974656D2D6F7074696F6E3A6C6173742D6F662D74797065206C6162656C207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A0D0A2E742D4865616465722D6272616E64696E67207B0D0A20206261';
wwv_flow_api.g_varchar2_table(513) := '636B67726F756E642D636F6C6F723A20233637386361393B0D0A7D0D0A2E742D4865616465722D6C6F676F2C0D0A2E742D486561646572202E742D427574746F6E2D2D6865616465722E69732D6163746976652C0D0A2E742D486561646572202E742D42';
wwv_flow_api.g_varchar2_table(514) := '7574746F6E2D2D686561646572207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4865616465722D6C6F676F3A686F7665722C0D0A2E742D486561646572202E742D427574746F6E2D2D6865616465722E69732D6163746976653A';
wwv_flow_api.g_varchar2_table(515) := '686F7665722C0D0A2E742D486561646572202E742D427574746F6E2D2D6865616465723A686F766572207B0D0A2020746578742D6465636F726174696F6E3A206E6F6E653B0D0A7D0D0A2E742D4865616465722D6C6F676F2D6C696E6B207B0D0A202063';
wwv_flow_api.g_varchar2_table(516) := '6F6C6F723A20696E68657269743B0D0A7D0D0A2E742D4865616465722D6C6F676F2D6C696E6B3A666F6375732C0D0A2E742D4865616465722D6C6F676F2D6C696E6B3A6163746976653A666F637573207B0D0A20206F75746C696E653A206E6F6E653B0D';
wwv_flow_api.g_varchar2_table(517) := '0A2020626F782D736861646F773A20302030203020317078202334646232666620696E7365743B0D0A7D0D0A2E742D4865616465722D6E6176207B0D0A20206261636B67726F756E642D636F6C6F723A20233336336634363B0D0A7D0D0A2E742D486561';
wwv_flow_api.g_varchar2_table(518) := '646572202E612D4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D203E202E612D4D656E';
wwv_flow_api.g_varchar2_table(519) := '752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A2E742D486561646572202E612D4D656E752E612D4D656E752D2D746F70203E202E612D4D656E752D636F6E74656E74207B';
wwv_flow_api.g_varchar2_table(520) := '0D0A2020626F726465722D746F702D77696474683A20303B0D0A7D0D0A2E742D486561646572202E612D4D656E752D636F6E74656E74207B0D0A2020626F782D736861646F773A20302032707820367078207267626128302C20302C20302C20302E3135';
wwv_flow_api.g_varchar2_table(521) := '293B0D0A7D0D0A2E742D4865616465722D6E61762D6C697374207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D4865726F526567696F6E2D69636F6E207B0D0A2020626F726465722D726164';
wwv_flow_api.g_varchar2_table(522) := '6975733A203470783B0D0A20206261636B67726F756E642D636F6C6F723A20233637386361393B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4865726F526567696F6E2D7469746C65207B0D0A2020636F6C6F723A202333653365';
wwv_flow_api.g_varchar2_table(523) := '33653B0D0A7D0D0A2E742D4865726F526567696F6E2D636F6C2D2D636F6E74656E74207B0D0A2020636F6C6F723A20233731373137313B0D0A7D0D0A0D0A2E612D495252207B0D0A2020626F726465722D7261646975733A203270783B0D0A2020626F72';
wwv_flow_api.g_varchar2_table(524) := '6465722D636F6C6F723A207267626128302C20302C20302C20302E31293B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E612D495252202E612D4952522D706167696E6174696F6E2D6C6162656C207B0D0A20';
wwv_flow_api.g_varchar2_table(525) := '20636F6C6F723A20233733373337333B0D0A7D0D0A2E612D4952522D7265706F727453756D6D6172792D76616C7565207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E612D4952522D636F6E74726F6C73436F6E7461696E6572207B0D';
wwv_flow_api.g_varchar2_table(526) := '0A2020626F726465722D746F702D636F6C6F723A20236635663566353B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A7D0D0A2E612D4952522D66756C6C56696577207B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(527) := '723A20236666666666663B0D0A7D0D0A2E612D4952522D627574746F6E2E612D4952522D627574746F6E2D2D636F6E74726F6C73207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E612D4952522D';
wwv_flow_api.g_varchar2_table(528) := '746F6F6C626172207B0D0A20206261636B67726F756E643A20236666666666663B0D0A2020626F726465722D636F6C6F723A20236536653665363B0D0A7D0D0A2E612D5265706F72742D70657263656E7443686172742D66696C6C207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(529) := '6B67726F756E642D636F6C6F723A20233637386361393B0D0A7D0D0A2E612D5265706F72742D70657263656E744368617274207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E612D4952522D627574746F6E';
wwv_flow_api.g_varchar2_table(530) := '2D2D636F6C536561726368207B0D0A20202D7765626B69742D626F726465722D746F702D72696768742D7261646975733A203070782021696D706F7274616E743B0D0A20202D7765626B69742D626F726465722D626F74746F6D2D72696768742D726164';
wwv_flow_api.g_varchar2_table(531) := '6975733A203070782021696D706F7274616E743B0D0A20202D6D6F7A2D626F726465722D7261646975732D746F7072696768743A20307078202021696D706F7274616E743B0D0A20202D6D6F7A2D626F726465722D7261646975732D626F74746F6D7269';
wwv_flow_api.g_varchar2_table(532) := '6768743A203070782021696D706F7274616E743B0D0A2020626F726465722D746F702D72696768742D7261646975733A203070782021696D706F7274616E743B0D0A2020626F726465722D626F74746F6D2D72696768742D7261646975733A2030707820';
wwv_flow_api.g_varchar2_table(533) := '21696D706F7274616E743B0D0A7D0D0A2E612D4952522D69636F6E566965775461626C652C0D0A2E612D4952522D6368617274566965772C0D0A2E612D4952522D7069766F74566965772C0D0A2E612D4952522D67726F75704279566965772C0D0A2E61';
wwv_flow_api.g_varchar2_table(534) := '2D4952522D64657461696C56696577207B0D0A2020626F726465722D746F702D636F6C6F723A20236635663566353B0D0A7D0D0A2E612D4952522D746F6F6C6261722D2D73696E676C65526F77207B0D0A2020626F726465722D626F74746F6D2D636F6C';
wwv_flow_api.g_varchar2_table(535) := '6F723A20236630663066303B0D0A7D0D0A2E612D4952522D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A2020626F726465722D746F703A2031707820736F6C696420236536653665363B0D0A2020';
wwv_flow_api.g_varchar2_table(536) := '626F782D736861646F773A20696E7365742031707820302030203020236536653665363B0D0A7D0D0A2E612D4952522D6865616465723A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A7D0D0A2E612D';
wwv_flow_api.g_varchar2_table(537) := '4952522D6865616465722E69732D6163746976652061207B0D0A2020636F6C6F723A20696E68657269743B0D0A7D0D0A2E612D4952522D6865616465722E69732D616374697665202E612D4952522D686561646572536F7274207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(538) := '3A20696E68657269743B0D0A7D0D0A2E612D4952522D6865616465722E69732D6163746976652C0D0A2E612D47562D6865616465722E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20233230323032303B0D0A202063';
wwv_flow_api.g_varchar2_table(539) := '6F6C6F723A20234646463B0D0A7D0D0A2E612D4952522D6865616465722D2D67726F7570207B0D0A20206261636B67726F756E642D636F6C6F723A20236635663566353B0D0A7D0D0A2E612D4952522D7461626C65207472207464207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(540) := '6B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E612D4952522D7461626C65207B0D0A2020626F726465722D636F6C6C617073653A2073657061726174653B0D0A7D0D0A2E612D49';
wwv_flow_api.g_varchar2_table(541) := '52522D7461626C652074723A686F766572207464207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A7D0D0A2E742D4952522D726567696F6E2D2D6E6F426F7264657273202E612D495252207B0D0A2020626F72646572';
wwv_flow_api.g_varchar2_table(542) := '2D7261646975733A203270783B0D0A7D0D0A2E612D4952522D7461626C65207464207B0D0A2020626F726465722D6C6566743A2031707820736F6C696420236632663266323B0D0A2020626F726465722D746F703A2031707820736F6C69642023663266';
wwv_flow_api.g_varchar2_table(543) := '3266323B0D0A7D0D0A2E612D4952522D6865616465724C696E6B3A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365743B0D0A7D0D0A2E612D4952522D7365617263682D6669656C643A66';
wwv_flow_api.g_varchar2_table(544) := '6F637573207B0D0A2020626F726465722D636F6C6F723A20233030393166663B0D0A2020626F782D736861646F773A202D31707820302030202330303931666620696E7365742C2031707820302030202330303931666620696E7365743B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(545) := '612D4952522D73696E676C65526F772D6E616D652C0D0A2E612D4952522D73696E676C65526F772D76616C7565207B0D0A2020626F726465722D626F74746F6D2D636F6C6F723A20236630663066303B0D0A2020636F6C6F723A20233430343034303B0D';
wwv_flow_api.g_varchar2_table(546) := '0A7D0D0A2E612D4952522D73696E676C65526F772D76616C7565207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E612D4952522D73696E676C65526F772D726F773A686F766572202E612D4952522D73696E';
wwv_flow_api.g_varchar2_table(547) := '676C65526F772D76616C7565207B0D0A20206261636B67726F756E642D636F6C6F723A20236637663766373B0D0A7D0D0A2E612D4952522D73696E676C65526F772D6E616D65207B0D0A20206261636B67726F756E642D636F6C6F723A20236637663766';
wwv_flow_api.g_varchar2_table(548) := '373B0D0A7D0D0A2E612D4952522D73696E676C65526F772D726F773A686F766572202E612D4952522D73696E676C65526F772D6E616D65207B0D0A20206261636B67726F756E642D636F6C6F723A20236630663066303B0D0A7D0D0A2E612D4952522D62';
wwv_flow_api.g_varchar2_table(549) := '7574746F6E2E612D4952522D627574746F6E2D2D706167696E6174696F6E3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233030393166663B0D0A7D0D0A2E612D4952522D7265706F727453756D6D6172792D6C6162656C2C';
wwv_flow_api.g_varchar2_table(550) := '0D0A2E612D4952522D636F6E74726F6C734C6162656C207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20373639707829';
wwv_flow_api.g_varchar2_table(551) := '207B0D0A20202E69732D6D6178696D697A65642E742D4952522D726567696F6E202E742D6668742D7468656164202E612D4952522D686561646572207B0D0A20202020626F726465722D626F74746F6D3A2031707820736F6C696420236536653665363B';
wwv_flow_api.g_varchar2_table(552) := '0D0A20207D0D0A7D0D0A2E75692D7769646765742D636F6E74656E74202E612D4952522D69636F6E4C6973742D6C696E6B207B0D0A2020636F6C6F723A20233430343034303B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B';
wwv_flow_api.g_varchar2_table(553) := '0D0A7D0D0A2E612D4952522D69636F6E4C6973742D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236637663766373B0D0A7D0D0A0D0A2E612D4952522D627574746F6E3A666F637573207B0D0A2020626F782D73';
wwv_flow_api.g_varchar2_table(554) := '6861646F773A20696E68657269743B0D0A7D0D0A0D0A2E612D4952522D736F7274576964676574207B0D0A20206261636B67726F756E642D636F6C6F723A20726762612833322C2033322C2033322C20302E3935293B0D0A20202D7765626B69742D6261';
wwv_flow_api.g_varchar2_table(555) := '636B64726F702D66696C7465723A20626C757228347078293B0D0A2020636F6C6F723A20234646463B0D0A2020626F726465722D77696474683A20303B0D0A2020626F782D736861646F773A20302032707820347078202D327078207267626128302C20';
wwv_flow_api.g_varchar2_table(556) := '302C20302C20302E35292C2030203870782031367078202D347078207267626128302C20302C20302C20302E3135293B0D0A7D0D0A2E612D4952522D736F7274576964676574203A3A2D7765626B69742D7363726F6C6C626172207B0D0A202077696474';
wwv_flow_api.g_varchar2_table(557) := '683A203870783B0D0A20206865696768743A203870783B0D0A7D0D0A2E612D4952522D736F7274576964676574203A3A2D7765626B69742D7363726F6C6C6261722D7468756D62207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128';
wwv_flow_api.g_varchar2_table(558) := '3235352C203235352C203235352C20302E35293B0D0A7D0D0A2E612D4952522D736F7274576964676574203A3A2D7765626B69742D7363726F6C6C6261722D747261636B207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128323535';
wwv_flow_api.g_varchar2_table(559) := '2C203235352C203235352C20302E3235293B0D0A7D0D0A0D0A2E612D4952522D736F72745769646765742D68656C70207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A0D0A2E612D4952522D736F72';
wwv_flow_api.g_varchar2_table(560) := '745769646765742D616374696F6E73207B0D0A202070616464696E673A203870783B0D0A2020626F726465722D7261646975733A203270783B0D0A202077696474683A206175746F3B0D0A2020626F726465722D626F74746F6D2D77696474683A20303B';
wwv_flow_api.g_varchar2_table(561) := '0D0A7D0D0A2E612D4952522D736F72745769646765742D616374696F6E732D6974656D207B0D0A2020626F726465722D72696768742D77696474683A20303B0D0A7D0D0A2E612D4952522D627574746F6E2E612D4952522D736F72745769646765742D62';
wwv_flow_api.g_varchar2_table(562) := '7574746F6E207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A2020636F6C6F723A20234646463B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E612D4952522D627574746F6E2E61';
wwv_flow_api.g_varchar2_table(563) := '2D4952522D736F72745769646765742D627574746F6E3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E35293B0D0A7D0D0A2E612D4952522D627574746F6E2E612D4952522D736F7274';
wwv_flow_api.g_varchar2_table(564) := '5769646765742D627574746F6E3A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365743B0D0A7D0D0A2E612D4952522D627574746F6E2E612D4952522D736F72745769646765742D627574';
wwv_flow_api.g_varchar2_table(565) := '746F6E2E69732D6163746976652C0D0A2E612D4952522D627574746F6E2E612D4952522D736F72745769646765742D627574746F6E3A6163746976653A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C';
wwv_flow_api.g_varchar2_table(566) := '20302C20302E35293B0D0A7D0D0A2E612D4952522D736F72745769646765742D7365617263684C6162656C207B0D0A20206865696768743A20343070783B0D0A202070616464696E673A2031327078203870783B0D0A7D0D0A2E612D4952522D736F7274';
wwv_flow_api.g_varchar2_table(567) := '5769646765742D7365617263684C6162656C3A6265666F7265207B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E612D4952522D736F72745769646765742D736561726368203E202E612D4952522D736F72745769646765742D73656172636846';
wwv_flow_api.g_varchar2_table(568) := '69656C645B747970653D2274657874225D207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A2020617070656172616E63653A206E6F6E653B0D0A20206261636B67726F756E642D636F6C6F723A2072676261';
wwv_flow_api.g_varchar2_table(569) := '283235352C203235352C203235352C20302E31293B0D0A20206865696768743A20343070783B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E612D4952522D736F72745769646765742D736561726368203E202E612D4952522D736F7274576964';
wwv_flow_api.g_varchar2_table(570) := '6765742D7365617263684669656C645B747970653D2274657874225D3A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365743B0D0A7D0D0A2E612D4952522D736F72745769646765742D72';
wwv_flow_api.g_varchar2_table(571) := '6F7773207B0D0A2020626F726465722D746F702D77696474683A20303B0D0A7D0D0A2E612D4952522D736F72745769646765742D726F77207B0D0A2020636F6C6F723A20234646463B0D0A2020626F782D736861646F773A206E6F6E653B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(572) := '612D4952522D736F72745769646765742D726F773A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C203235352C20302E3135293B0D0A7D0D0A2E612D4952522D736F72745769646765742D72';
wwv_flow_api.g_varchar2_table(573) := '6F773A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365743B0D0A7D0D0A2E612D4947202E612D4952522D736F72745769646765743A6265666F7265207B0D0A2020636F6C6F723A207267';
wwv_flow_api.g_varchar2_table(574) := '62612833322C2033322C2033322C20302E3935293B0D0A7D0D0A2E6F6A2D6476742D63617465676F727931207B0D0A2020636F6C6F723A20233330396664623B0D0A7D0D0A2E6F6A2D6476742D63617465676F727932207B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(575) := '3363616638353B0D0A7D0D0A2E6F6A2D6476742D63617465676F727933207B0D0A2020636F6C6F723A20236662636534613B0D0A7D0D0A2E6F6A2D6476742D63617465676F727934207B0D0A2020636F6C6F723A20236539356235343B0D0A7D0D0A2E6F';
wwv_flow_api.g_varchar2_table(576) := '6A2D6476742D63617465676F727935207B0D0A2020636F6C6F723A20233835346539623B0D0A7D0D0A2E6F6A2D6476742D63617465676F727936207B0D0A2020636F6C6F723A20233265626662633B0D0A7D0D0A2E6F6A2D6476742D63617465676F7279';
wwv_flow_api.g_varchar2_table(577) := '37207B0D0A2020636F6C6F723A20236564383133653B0D0A7D0D0A2E6F6A2D6476742D63617465676F727938207B0D0A2020636F6C6F723A20236538356438383B0D0A7D0D0A2E6F6A2D6476742D63617465676F727939207B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(578) := '233133623663663B0D0A7D0D0A2E6F6A2D6476742D63617465676F72793130207B0D0A2020636F6C6F723A20233831626235663B0D0A7D0D0A2E6F6A2D6476742D63617465676F72793131207B0D0A2020636F6C6F723A20236361353839643B0D0A7D0D';
wwv_flow_api.g_varchar2_table(579) := '0A2E6F6A2D6476742D63617465676F72793132207B0D0A2020636F6C6F723A20236464646535333B0D0A7D0D0A0D0A2E742D4C696E6B734C6973742D6974656D2C0D0A2E742D4C696E6B734C6973742D6C696E6B207B0D0A2020626F726465722D636F6C';
wwv_flow_api.g_varchar2_table(580) := '6F723A20236536653665363B0D0A7D0D0A2E742D4C696E6B734C6973742D69636F6E207B0D0A2020636F6C6F723A20236439643964393B0D0A7D0D0A2E742D4C696E6B734C6973742D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(581) := '636F6C6F723A20236632663266323B0D0A7D0D0A2E742D4C696E6B734C6973742D6C696E6B3A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365743B0D0A7D0D0A0D0A2E742D4C696E6B73';
wwv_flow_api.g_varchar2_table(582) := '4C6973742D2D73686F774172726F77202E742D4C696E6B734C6973742D6C696E6B3A6265666F7265207B0D0A2020636F6C6F723A20236439643964393B0D0A7D0D0A0D0A2E742D4C696E6B734C6973742D2D73686F774261646765202E742D4C696E6B73';
wwv_flow_api.g_varchar2_table(583) := '4C6973742D6261646765207B0D0A20206261636B67726F756E642D636F6C6F723A20236635663566353B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D4C696E6B734C6973742D2D73686F774261646765202E742D4C696E6B734C69';
wwv_flow_api.g_varchar2_table(584) := '73742D6C696E6B3A686F766572202E742D4C696E6B734C6973742D6261646765207B0D0A20206261636B67726F756E642D636F6C6F723A20236562656265623B0D0A7D0D0A2E742D4C696E6B734C6973742D2D73686F774261646765202E742D4C696E6B';
wwv_flow_api.g_varchar2_table(585) := '734C6973742D6974656D2E69732D657870616E646564203E202E742D4C696E6B734C6973742D6C696E6B202E742D4C696E6B734C6973742D6261646765207B0D0A20206261636B67726F756E642D636F6C6F723A20236266626662663B0D0A7D0D0A0D0A';
wwv_flow_api.g_varchar2_table(586) := '2E742D4C696E6B734C6973742D2D627269676874486F766572202E742D4C696E6B734C6973742D6974656D2E69732D657870616E646564202E742D4C696E6B734C6973742D6C696E6B3A686F7665723A6265666F7265207B0D0A2020636F6C6F723A2072';
wwv_flow_api.g_varchar2_table(587) := '676261283235352C203235352C203235352C20302E35293B0D0A7D0D0A2E742D4C696E6B734C6973742D2D627269676874486F766572202E742D4C696E6B734C6973742D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(588) := '3A20233637386361393B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4C696E6B734C6973742D2D627269676874486F766572202E742D4C696E6B734C6973742D6C696E6B3A686F766572202E742D4C696E6B734C6973742D69636F';
wwv_flow_api.g_varchar2_table(589) := '6E207B0D0A2020636F6C6F723A2072676261283235352C203235352C203235352C20302E3735293B0D0A7D0D0A2E742D4C696E6B734C6973742D6974656D2E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A202346';
wwv_flow_api.g_varchar2_table(590) := '43464346433B0D0A20206261636B67726F756E643A206C696E6561722D6772616469656E74287267626128302C20302C20302C20302E303135292C207267626128302C20302C20302C203029292C206C696E6561722D6772616469656E74287267626128';
wwv_flow_api.g_varchar2_table(591) := '302C20302C20302C2030292C207267626128302C20302C20302C20302E30313529293B0D0A7D0D0A2E742D4C696E6B734C6973742D6974656D2E69732D657870616E646564202E742D4C696E6B734C6973742D6C696E6B3A686F7665723A6265666F7265';
wwv_flow_api.g_varchar2_table(592) := '207B0D0A2020636F6C6F723A20233637386361393B0D0A7D0D0A2E742D4C696E6B734C6973742D6974656D2E69732D657870616E646564202E742D4C696E6B734C6973742D6C696E6B3A6265666F7265207B0D0A2020636F6C6F723A207267626128302C';
wwv_flow_api.g_varchar2_table(593) := '20302C20302C20302E3235293B0D0A7D0D0A2E742D4C696E6B734C6973742D2D73686F774261646765202E742D4C696E6B734C6973742D6261646765207B0D0A2020626F726465722D7261646975733A203470783B0D0A7D0D0A2E742D4C696E6B734C69';
wwv_flow_api.g_varchar2_table(594) := '73742D2D69636F6E4F6E6C79202E742D4C696E6B734C6973742D69636F6E207B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A2E742D4C696E6B734C6973742D2D616374696F6E73202E742D4C696E6B734C6973742D6C616265';
wwv_flow_api.g_varchar2_table(595) := '6C207B0D0A2020636F6C6F723A20233361336133613B0D0A7D0D0A2E742D4C696E6B734C6973742D2D616374696F6E73202E742D4C696E6B734C6973742D69636F6E207B0D0A2020636F6C6F723A20233361336133613B0D0A7D0D0A2E742D4C696E6B73';
wwv_flow_api.g_varchar2_table(596) := '4C6973742D2D616374696F6E73202E742D4C696E6B734C6973742D6C696E6B3A686F766572202E742D4C696E6B734C6973742D69636F6E2C0D0A2E742D4C696E6B734C6973742D2D616374696F6E73202E742D4C696E6B734C6973742D6C696E6B3A686F';
wwv_flow_api.g_varchar2_table(597) := '766572202E742D4C696E6B734C6973742D6C6162656C2C0D0A2E742D4C696E6B734C6973742D2D616374696F6E73202E742D4C696E6B734C6973742D6C696E6B3A686F766572202E742D4C696E6B734C6973742D6261646765207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(598) := '3A20233365336533653B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D4C696E6B734C6973742D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236563656365633B0D0A7D0D0A0D0A2E742D4C6F6769';
wwv_flow_api.g_varchar2_table(599) := '6E2D69636F6E56616C69646174696F6E207B0D0A20206261636B67726F756E643A20233362616132633B0D0A2020636F6C6F723A2077686974653B0D0A7D0D0A626F6479202E742D4C6F67696E2D7469746C65207B0D0A2020636F6C6F723A2023343034';
wwv_flow_api.g_varchar2_table(600) := '3034303B0D0A7D0D0A2E742D4C6F67696E2D726567696F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4C6F67696E2D6C6F676F207B0D0A2020636F6C6F723A20233637386361393B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(601) := '406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A20343830707829207B0D0A20202E742D50616765426F64792D2D6C6F67696E2C0D0A20202E742D50616765426F64792D2D6C6F67696E202E742D426F6479207B0D0A';
wwv_flow_api.g_varchar2_table(602) := '202020206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A20207D0D0A7D0D0A0D0A2E742D4D656469614C697374207B0D0A2020626F726465722D636F6C6F723A20236530653065303B0D0A20206261636B67726F756E642D636F6C';
wwv_flow_api.g_varchar2_table(603) := '6F723A20236666666666663B0D0A7D0D0A2E742D4D656469614C6973742D6974656D207B0D0A2020626F726465722D636F6C6F723A20236530653065303B0D0A7D0D0A2E742D4D656469614C6973742D6974656D2E69732D616374697665207B0D0A2020';
wwv_flow_api.g_varchar2_table(604) := '6261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3035293B0D0A7D0D0A2E742D4D656469614C6973742D2D686F72697A6F6E74616C202E742D4D656469614C6973742D6974656D207B0D0A2020626F726465722D7269';
wwv_flow_api.g_varchar2_table(605) := '6768743A2031707820736F6C696420236530653065303B0D0A7D0D0A0D0A612E742D4D656469614C6973742D6974656D57726170207B0D0A2020636F6C6F723A20233030393166663B0D0A7D0D0A612E742D4D656469614C6973742D6974656D57726170';
wwv_flow_api.g_varchar2_table(606) := '3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A2020636F6C6F723A20233030393166663B0D0A7D0D0A612E742D4D656469614C6973742D6974656D577261703A666F637573207B0D0A2020626F782D';
wwv_flow_api.g_varchar2_table(607) := '736861646F773A20302030203020317078202330303931666620696E7365743B0D0A7D0D0A2E742D4D656469614C6973742D6974656D57726170207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D4D656469614C6973742D626164';
wwv_flow_api.g_varchar2_table(608) := '67652C0D0A2E742D4D656469614C6973742D64657363207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D4D656469614C6973742D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236266626662663B0D0A20';
wwv_flow_api.g_varchar2_table(609) := '20636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4D656469614C6973742D2D636F6C73207B0D0A2020626F782D736861646F773A202D317078202D31707820302030202365306530653020696E7365743B0D0A7D0D0A2E742D4D656469614C69';
wwv_flow_api.g_varchar2_table(610) := '73742D2D636F6C73202E742D4D656469614C6973742D6974656D3A6265666F72652C0D0A2E742D4D656469614C6973742D2D636F6C73202E742D4D656469614C6973742D6974656D3A6166746572207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(611) := '3A20236536653665363B0D0A7D0D0A0D0A2E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20236666666666663B0D0A20206C696E652D6865696768743A20323070783B0D0A7D0D0A2E612D4D656E754261722D6974656D203E202E';
wwv_flow_api.g_varchar2_table(612) := '612D4D656E752D7375624D656E75436F6C207B0D0A2020646973706C61793A20696E6C696E652D626C6F636B3B0D0A202070616464696E673A2038707820303B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A20206D617267696E2D72';
wwv_flow_api.g_varchar2_table(613) := '696768743A203870783B0D0A20206D617267696E2D6C6566743A202D3470783B0D0A7D0D0A2E612D4D656E754261722D6974656D207B0D0A20206261636B67726F756E643A20233637386361393B0D0A2020626F726465722D72696768743A2031707820';
wwv_flow_api.g_varchar2_table(614) := '736F6C696420233838613562623B0D0A2020626F726465722D6C6566743A2031707820736F6C696420233838613562623B0D0A20206D617267696E2D6C6566743A202D3170783B0D0A7D0D0A2E612D4D656E754261722D6974656D3A66697273742D6368';
wwv_flow_api.g_varchar2_table(615) := '696C64207B0D0A20206D617267696E2D6C6566743A20303B0D0A7D0D0A2E612D4D656E754261722D6974656D2E612D4D656E752D2D73706C6974203E202E612D4D656E752D7375624D656E75436F6C2C0D0A2E612D4D656E754261722E752D52544C202E';
wwv_flow_api.g_varchar2_table(616) := '612D4D656E754261722D6974656D2E612D4D656E752D2D73706C6974203E202E612D4D656E752D7375624D656E75436F6C207B0D0A2020626F726465723A206E6F6E653B0D0A20206D617267696E2D72696768743A20303B0D0A202070616464696E673A';
wwv_flow_api.g_varchar2_table(617) := '203870782038707820387078203470783B0D0A7D0D0A2E612D4D656E754261722D6974656D2E69732D64697361626C6564202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A2072676261283235352C203235352C203235352C2030';
wwv_flow_api.g_varchar2_table(618) := '2E35293B0D0A7D0D0A2E612D4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233838613562623B0D0A7D0D0A2E612D4D656E754261722D6974656D2E69732D657870616E646564207B0D0A2020';
wwv_flow_api.g_varchar2_table(619) := '6261636B67726F756E642D636F6C6F723A20233838613562623B0D0A7D0D0A0D0A2E742D4D656E752D6261646765207B0D0A2020646973706C61793A20696E6C696E652D626C6F636B3B0D0A2020626F726465722D7261646975733A203270783B0D0A20';
wwv_flow_api.g_varchar2_table(620) := '2070616464696E673A2030203670783B0D0A2020666F6E742D73697A653A20313170783B0D0A2020666F6E742D7765696768743A206E6F726D616C3B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(621) := '6F6C6F723A207267626128302C20302C20302C20302E3235293B0D0A7D0D0A2E612D4D656E752D6C6162656C436F6E7461696E6572202E742D4D656E752D6261646765207B0D0A20206C696E652D6865696768743A20313670783B0D0A20206D61726769';
wwv_flow_api.g_varchar2_table(622) := '6E2D6C6566743A203470783B0D0A20206D617267696E2D746F703A203870783B0D0A7D0D0A0D0A2E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D';
wwv_flow_api.g_varchar2_table(623) := '6974656D207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E612D4D656E752D68536570617261746F72207B0D0A2020626F726465722D636F6C6F723A207267626128302C20302C20302C20302E3135293B0D0A7D0D0A2E612D4D656E75';
wwv_flow_api.g_varchar2_table(624) := '2D2D63757272656E74207B0D0A20206261636B67726F756E642D636F6C6F723A20236138626463653B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564207B0D0A20206261636B67';
wwv_flow_api.g_varchar2_table(625) := '726F756E642D636F6C6F723A20236664666466643B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D7375624D656E';
wwv_flow_api.g_varchar2_table(626) := '75436F6C207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D6163';
wwv_flow_api.g_varchar2_table(627) := '63656C207B0D0A2020636F6C6F723A20233765376537653B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A20';
wwv_flow_api.g_varchar2_table(628) := '206261636B67726F756E642D636F6C6F723A20233637386361393B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E';
wwv_flow_api.g_varchar2_table(629) := '612D4D656E752D737461747573436F6C2C0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D696E6E6572202E612D4D656E752D737461747573436F6C2C0D0A2E612D4D656E75202E612D4D';
wwv_flow_api.g_varchar2_table(630) := '656E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D7375624D656E75436F6C2C0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D';
wwv_flow_api.g_varchar2_table(631) := '696E6E6572202E612D4D656E752D7375624D656E75436F6C2C0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D616363656C2C0D0A2E612D4D656E75202E';
wwv_flow_api.g_varchar2_table(632) := '612D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D696E6E6572202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D616363656C';
wwv_flow_api.g_varchar2_table(633) := '207B0D0A2020636F6C6F723A20726762612836322C2036322C2036322C20302E3735293B0D0A7D0D0A2E612D4D656E752D636F6E74656E74207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235332C203235332C203235332C20';
wwv_flow_api.g_varchar2_table(634) := '302E3935293B0D0A2020626F726465722D636F6C6F723A20236534653465343B0D0A2020626F782D736861646F773A20302031707820327078207267626128302C20302C20302C20302E3035293B0D0A7D0D0A2E612D4D656E75426172207B0D0A202062';
wwv_flow_api.g_varchar2_table(635) := '61636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D4865616465722D6E61762D6C6973742C0D0A2E742D486561646572202E612D4D656E75426172207B0D0A20206261636B67726F756E642D636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(636) := '3637386361393B0D0A7D0D0A2E742D526567696F6E207B0D0A20200D0A20200D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20233333333333333B0D0A20206C696E652D6865696768743A20';
wwv_flow_api.g_varchar2_table(637) := '323070783B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C207B0D0A2020646973706C61793A20696E6C696E652D626C6F636B3B0D0A202070616464696E673A20387078';
wwv_flow_api.g_varchar2_table(638) := '20303B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A20206D617267696E2D72696768743A203870783B0D0A20206D617267696E2D6C6566743A202D3470783B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D697465';
wwv_flow_api.g_varchar2_table(639) := '6D207B0D0A20206261636B67726F756E643A20236632663266323B0D0A2020626F726465722D72696768743A2031707820736F6C696420236439643964393B0D0A2020626F726465722D6C6566743A2031707820736F6C696420236439643964393B0D0A';
wwv_flow_api.g_varchar2_table(640) := '20206D617267696E2D6C6566743A202D3170783B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D3A66697273742D6368696C64207B0D0A20206D617267696E2D6C6566743A20303B0D0A7D0D0A2E742D526567696F6E202E61';
wwv_flow_api.g_varchar2_table(641) := '2D4D656E754261722D6974656D2E612D4D656E752D2D73706C6974203E202E612D4D656E752D7375624D656E75436F6C2C0D0A2E742D526567696F6E202E612D4D656E754261722E752D52544C202E612D4D656E754261722D6974656D2E612D4D656E75';
wwv_flow_api.g_varchar2_table(642) := '2D2D73706C6974203E202E612D4D656E752D7375624D656E75436F6C207B0D0A2020626F726465723A206E6F6E653B0D0A20206D617267696E2D72696768743A20303B0D0A202070616464696E673A203870782038707820387078203470783B0D0A7D0D';
wwv_flow_api.g_varchar2_table(643) := '0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E69732D64697361626C6564202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20726762612835312C2035312C2035312C20302E35293B0D0A7D0D0A2E742D5265';
wwv_flow_api.g_varchar2_table(644) := '67696F6E202E612D4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236439643964393B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E69732D657870616E646564';
wwv_flow_api.g_varchar2_table(645) := '207B0D0A20206261636B67726F756E642D636F6C6F723A20236439643964393B0D0A7D0D0A2E742D526567696F6E202E742D4D656E752D6261646765207B0D0A2020646973706C61793A20696E6C696E652D626C6F636B3B0D0A2020626F726465722D72';
wwv_flow_api.g_varchar2_table(646) := '61646975733A203270783B0D0A202070616464696E673A2030203670783B0D0A2020666F6E742D73697A653A20313170783B0D0A2020666F6E742D7765696768743A206E6F726D616C3B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A';
wwv_flow_api.g_varchar2_table(647) := '20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3235293B0D0A7D0D0A2E612D4D656E752D6C6162656C436F6E7461696E6572202E742D526567696F6E202E742D4D656E752D6261646765207B0D0A20206C696E';
wwv_flow_api.g_varchar2_table(648) := '652D6865696768743A20313670783B0D0A20206D617267696E2D6C6566743A203470783B0D0A20206D617267696E2D746F703A203870783B0D0A7D0D0A2E742D526567696F6E202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D72';
wwv_flow_api.g_varchar2_table(649) := '61646975733A203270783B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D4D656E752D68536570617261746F72';
wwv_flow_api.g_varchar2_table(650) := '207B0D0A2020626F726465722D636F6C6F723A207267626128302C20302C20302C20302E3135293B0D0A7D0D0A2E742D526567696F6E202E612D4D656E752D2D63757272656E74207B0D0A20206261636B67726F756E642D636F6C6F723A202362666266';
wwv_flow_api.g_varchar2_table(651) := '62663B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E74';
wwv_flow_api.g_varchar2_table(652) := '2D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D7375624D656E75436F6C207B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(653) := '3430343034303B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D616363656C207B0D0A20';
wwv_flow_api.g_varchar2_table(654) := '20636F6C6F723A20233830383038303B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D65';
wwv_flow_api.g_varchar2_table(655) := '7870616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A2020636F6C6F723A20233333333333333B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F63';
wwv_flow_api.g_varchar2_table(656) := '75736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D737461747573436F6C2C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D696E6E657220';
wwv_flow_api.g_varchar2_table(657) := '2E612D4D656E752D737461747573436F6C2C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D7375624D656E75436F6C2C0D0A2E';
wwv_flow_api.g_varchar2_table(658) := '742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D696E6E6572202E612D4D656E752D7375624D656E75436F6C2C0D0A2E742D526567696F6E202E612D4D656E75202E612D';
wwv_flow_api.g_varchar2_table(659) := '4D656E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D616363656C2C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564203E202E61';
wwv_flow_api.g_varchar2_table(660) := '2D4D656E752D696E6E6572202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A20233333333333333B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A207267626128';
wwv_flow_api.g_varchar2_table(661) := '36342C2036342C2036342C20302E3735293B0D0A7D0D0A2E742D526567696F6E202E612D4D656E752D636F6E74656E74207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C203235352C20302E3935293B0D0A';
wwv_flow_api.g_varchar2_table(662) := '2020626F726465722D636F6C6F723A20236536653665363B0D0A2020626F782D736861646F773A20302031707820327078207267626128302C20302C20302C20302E3035293B0D0A7D0D0A0D0A2E742D486561646572207B0D0A20200D0A20200D0A2020';
wwv_flow_api.g_varchar2_table(663) := '0D0A20200D0A20200D0A20200D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20236664666466643B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D48656164';
wwv_flow_api.g_varchar2_table(664) := '6572202E612D4D656E754261722D6974656D207B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E69732D666F63757365642C0D0A2E742D486561646572202E61';
wwv_flow_api.g_varchar2_table(665) := '2D4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233539376639642021696D706F7274616E743B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D';
wwv_flow_api.g_varchar2_table(666) := '2D63757272656E742C0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F6375736564207B0D0A20206261636B67726F756E642D636F6C6F723A20233539376639642021696D706F';
wwv_flow_api.g_varchar2_table(667) := '7274616E743B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74202E612D4D656E754261722D6C6162656C2C0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D';
wwv_flow_api.g_varchar2_table(668) := '4D656E752D2D63757272656E742E69732D666F6375736564202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20236664666466642021696D706F7274616E743B0D0A2020666F6E742D7765696768743A20626F6C643B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(669) := '2E742D486561646572202E612D4D656E754261722D6974656D2E69732D657870616E6465642C0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564207B0D0A202062';
wwv_flow_api.g_varchar2_table(670) := '61636B67726F756E642D636F6C6F723A20233539376639642021696D706F7274616E743B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A20';
wwv_flow_api.g_varchar2_table(671) := '20636F6C6F723A2072676261283235332C203235332C203235332C20302E38293B0D0A2020626F726465722D636F6C6F723A20233637386361393B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A2E742D486561646572202E61';
wwv_flow_api.g_varchar2_table(672) := '2D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F6375736564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E2C0D0A2E742D486561646572202E612D4D656E754261722D6974656D203E20';
wwv_flow_api.g_varchar2_table(673) := '2E612D4D656E752D7375624D656E75436F6C3A686F766572202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20233838613562623B0D0A2020626F726465722D636F6C6F723A20233838613562623B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(674) := '20236666666666663B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A20233938';
wwv_flow_api.g_varchar2_table(675) := '623163353B0D0A2020626F726465722D636F6C6F723A20233938623163353B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564203E202E612D4D656E752D';
wwv_flow_api.g_varchar2_table(676) := '7375624D656E75436F6C202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236664666466643B0D0A2020626F726465722D636F6C6F723A20236664666466643B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(677) := '2E742D486561646572202E612D4D656E754261722D6974656D2E69732D657870616E646564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236366646265343B0D0A';
wwv_flow_api.g_varchar2_table(678) := '2020626F726465722D636F6C6F723A20236366646265343B0D0A2020636F6C6F723A20233334346235633B0D0A7D0D0A2E742D486561646572202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D77696474683A20303B0D0A202062';
wwv_flow_api.g_varchar2_table(679) := '61636B67726F756E642D636F6C6F723A20233539376639643B0D0A7D0D0A2E742D486561646572202E612D4D656E75202E612D4D656E752D6974656D207B0D0A2020636F6C6F723A20236664666466643B0D0A7D0D0A2E742D486561646572202E612D4D';
wwv_flow_api.g_varchar2_table(680) := '656E752D616363656C207B0D0A2020636F6C6F723A2072676261283235332C203235332C203235332C20302E3735293B0D0A7D0D0A2E742D486561646572202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E742D';
wwv_flow_api.g_varchar2_table(681) := '486561646572202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A20233530373238642021696D706F7274616E743B0D0A7D0D0A2E742D426F6479207B0D0A2020';
wwv_flow_api.g_varchar2_table(682) := '0D0A20200D0A20200D0A20200D0A20200D0A20200D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20233365336533653B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(683) := '742D426F6479202E612D4D656E754261722D6974656D207B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E69732D666F63757365642C0D0A2E742D426F6479202E61';
wwv_flow_api.g_varchar2_table(684) := '2D4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653465342021696D706F7274616E743B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63';
wwv_flow_api.g_varchar2_table(685) := '757272656E742C0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F6375736564207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653465342021696D706F7274616E';
wwv_flow_api.g_varchar2_table(686) := '743B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74202E612D4D656E754261722D6C6162656C2C0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D6375';
wwv_flow_api.g_varchar2_table(687) := '7272656E742E69732D666F6375736564202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20233365336533652021696D706F7274616E743B0D0A2020666F6E742D7765696768743A20626F6C643B0D0A7D0D0A2E742D426F647920';
wwv_flow_api.g_varchar2_table(688) := '2E612D4D656E754261722D6974656D2E69732D657870616E6465642C0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(689) := '6C6F723A20236534653465342021696D706F7274616E743B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A20726762612836';
wwv_flow_api.g_varchar2_table(690) := '322C2036322C2036322C20302E38293B0D0A2020626F726465722D636F6C6F723A20236666666666663B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E';
wwv_flow_api.g_varchar2_table(691) := '752D2D63757272656E742E69732D666F6375736564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E2C0D0A2E742D426F6479202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C3A686F';
wwv_flow_api.g_varchar2_table(692) := '766572202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236264626462643B0D0A2020626F726465722D636F6C6F723A20236264626462643B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D426F6479';
wwv_flow_api.g_varchar2_table(693) := '202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(694) := '236666666666663B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A202062';
wwv_flow_api.g_varchar2_table(695) := '61636B67726F756E642D636F6C6F723A20233365336533653B0D0A2020626F726465722D636F6C6F723A20233365336533653B0D0A2020636F6C6F723A20236664666466643B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E69';
wwv_flow_api.g_varchar2_table(696) := '732D657870616E646564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A20236666666666663B0D0A20';
wwv_flow_api.g_varchar2_table(697) := '20636F6C6F723A20236534653465343B0D0A7D0D0A2E742D426F6479202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D77696474683A20303B0D0A20206261636B67726F756E642D636F6C6F723A20236534653465343B0D0A7D0D';
wwv_flow_api.g_varchar2_table(698) := '0A2E742D426F6479202E612D4D656E75202E612D4D656E752D6974656D207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F6479202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A20726762612836322C203632';
wwv_flow_api.g_varchar2_table(699) := '2C2036322C20302E3735293B0D0A7D0D0A2E742D426F6479202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E742D426F6479202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E64656420';
wwv_flow_api.g_varchar2_table(700) := '7B0D0A20206261636B67726F756E642D636F6C6F723A20236630663066302021696D706F7274616E743B0D0A7D0D0A2E742D426F6479202E612D4D656E75426172203E20756C207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665';
wwv_flow_api.g_varchar2_table(701) := '363B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D207B0D0A2020626F726465722D636F6C6F723A20236534653465343B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E69732D666F6375736564207B0D';
wwv_flow_api.g_varchar2_table(702) := '0A2020626F782D736861646F773A206E6F6E653B0D0A7D0D0A2E742D526567696F6E207B0D0A20200D0A20200D0A20200D0A20200D0A20200D0A20200D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C';
wwv_flow_api.g_varchar2_table(703) := '6F723A20233430343034303B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D207B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(704) := '526567696F6E202E612D4D656E754261722D6974656D2E69732D666F63757365642C0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665362021';
wwv_flow_api.g_varchar2_table(705) := '696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742C0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74';
wwv_flow_api.g_varchar2_table(706) := '2E69732D666F6375736564207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665362021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74';
wwv_flow_api.g_varchar2_table(707) := '202E612D4D656E754261722D6C6162656C2C0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F6375736564202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(708) := '3A20233430343034302021696D706F7274616E743B0D0A2020666F6E742D7765696768743A20626F6C643B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E69732D657870616E6465642C0D0A2E742D526567696F6E202E61';
wwv_flow_api.g_varchar2_table(709) := '2D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665362021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E';
wwv_flow_api.g_varchar2_table(710) := '612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A20726762612836342C2036342C2036342C20302E38293B0D0A2020626F726465722D636F6C6F723A2023666666';
wwv_flow_api.g_varchar2_table(711) := '6666663B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F6375736564203E202E612D4D656E752D7375624D';
wwv_flow_api.g_varchar2_table(712) := '656E75436F6C202E612D49636F6E2C0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C3A686F766572202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(713) := '20236266626662663B0D0A2020626F726465722D636F6C6F723A20236266626662663B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74';
wwv_flow_api.g_varchar2_table(714) := '203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261';
wwv_flow_api.g_varchar2_table(715) := '722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20233430343034303B0D0A202062';
wwv_flow_api.g_varchar2_table(716) := '6F726465722D636F6C6F723A20233430343034303B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E69732D657870616E646564203E202E612D4D656E752D7375624D656E75';
wwv_flow_api.g_varchar2_table(717) := '436F6C202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20236536653665363B0D0A7D0D0A2E742D52656769';
wwv_flow_api.g_varchar2_table(718) := '6F6E202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D77696474683A20303B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665363B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E75';
wwv_flow_api.g_varchar2_table(719) := '2D6974656D207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A20726762612836342C2036342C2036342C20302E3735293B0D0A7D0D0A2E742D5265';
wwv_flow_api.g_varchar2_table(720) := '67696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(721) := '6C6F723A20236632663266322021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75426172203E20756C207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665363B0D0A7D0D0A2E742D526567696F6E';
wwv_flow_api.g_varchar2_table(722) := '202E612D4D656E754261722D6974656D207B0D0A2020626F726465722D636F6C6F723A20236536653665363B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E69732D666F6375736564207B0D0A2020626F782D736861646F';
wwv_flow_api.g_varchar2_table(723) := '773A206E6F6E653B0D0A7D0D0A2E742D4865616465722D757365724D656E75202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D77696474683A20303B0D0A20206261636B67726F756E642D636F6C6F723A20233463353936333B0D';
wwv_flow_api.g_varchar2_table(724) := '0A7D0D0A2E742D4865616465722D757365724D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E742D4865616465722D757365724D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A20206261';
wwv_flow_api.g_varchar2_table(725) := '636B67726F756E642D636F6C6F723A20233431346335342021696D706F7274616E743B0D0A7D0D0A2E742D4865616465722D757365724D656E752E612D4D656E75202E612D4D656E752D6974656D202E612D4D656E752D6C6162656C207B0D0A2020636F';
wwv_flow_api.g_varchar2_table(726) := '6C6F723A20236666666666663B0D0A7D0D0A2E742D4E617654616273207B0D0A20206261636B67726F756E642D636F6C6F723A20233336336634363B0D0A7D0D0A2E742D4E6176546162733A3A2D7765626B69742D7363726F6C6C6261722D7468756D62';
wwv_flow_api.g_varchar2_table(727) := '207B0D0A20206261636B67726F756E642D636F6C6F723A20233538363737343B0D0A2020626F782D736861646F773A20696E7365742031707820302030203020233336336634363B0D0A7D0D0A2E742D4E6176546162733A3A2D7765626B69742D736372';
wwv_flow_api.g_varchar2_table(728) := '6F6C6C6261722D7468756D623A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233733383639353B0D0A7D0D0A2E742D4E6176546162733A3A2D7765626B69742D7363726F6C6C6261722D747261636B207B0D0A20206261636B';
wwv_flow_api.g_varchar2_table(729) := '67726F756E643A20233336336634363B0D0A7D0D0A2E742D4E6176546162733A3A2D7765626B69742D7363726F6C6C6261722D747261636B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233537363637313B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(730) := '742D4E6176546162732D6974656D207B0D0A2020636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A20233733383639353B0D0A7D0D0A2E742D4E6176546162732D6974656D3A686F7665722C0D0A2E742D4E617654616273';
wwv_flow_api.g_varchar2_table(731) := '2D6974656D2E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20233531356636623B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4E6176546162732D6261646765207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(732) := '756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233531356636623B0D0A7D0D0A0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D7261646975';
wwv_flow_api.g_varchar2_table(733) := '733A2030203020327078203270783B0D0A20206261636B67726F756E642D636F6C6F723A20233437363537643B0D0A2020626F726465722D77696474683A20303B0D0A7D0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D4D656E752D';
wwv_flow_api.g_varchar2_table(734) := '6974656D2E69732D666F63757365642C0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A20233539376639642021696D70';
wwv_flow_api.g_varchar2_table(735) := '6F7274616E743B0D0A7D0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D4D656E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D6C6162656C2C0D0A2E742D4E617669676174696F6E4261722D6D656E75202E61';
wwv_flow_api.g_varchar2_table(736) := '2D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D6C6162656C207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D';
wwv_flow_api.g_varchar2_table(737) := '4D656E752D6974656D202E612D4D656E752D6C6162656C2C0D0A2E742D4E617669676174696F6E4261722D6D656E752E612D4D656E75202E612D4D656E752D6974656D20612C0D0A2E742D4E617669676174696F6E4261722D6D656E752E612D4D656E75';
wwv_flow_api.g_varchar2_table(738) := '202E612D4D656E752D6974656D202E612D4D656E752D737461747573436F6C207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A0D0A2E742D506F7075704C4F562D6C696E6B7320613A686F766572207B0D0A20';
wwv_flow_api.g_varchar2_table(739) := '206261636B67726F756E642D636F6C6F723A20233030393166663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D506F7075704C4F562D726573756C74735365742074723A686F766572207464207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(740) := '642D636F6C6F723A20234543463246422021696D706F7274616E743B0D0A7D0D0A2E742D506F7075704C4F562D726573756C74735365742074723A6E74682D6368696C6428326E29207464207B0D0A20206261636B67726F756E642D636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(741) := '4641464146413B0D0A7D0D0A2E742D506F7075704C4F562D726573756C74735365742D6C696E6B2C0D0A2E75692D7769646765742D636F6E74656E7420612E742D506F7075704C4F562D726573756C74735365742D6C696E6B207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(742) := '3A20233030393166663B0D0A7D0D0A2E742D506167652D2D706F7075704C4F56207B0D0A20206261636B67726F756E642D636F6C6F723A20234646463B0D0A7D0D0A2E742D506F7075704C4F562D616374696F6E73207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(743) := '642D636F6C6F723A20236664666466643B0D0A7D0D0A2E742D426F6479202E742D506F7075704C4F562D6C696E6B732061207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C65202E742D506F7075704C4F56';
wwv_flow_api.g_varchar2_table(744) := '2D6C696E6B732061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E742D506F7075704C4F562D6C696E6B732061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F';
wwv_flow_api.g_varchar2_table(745) := '6E202E742D506F7075704C4F562D6C696E6B7320612C0D0A2E742D427574746F6E526567696F6E202E742D506F7075704C4F562D6C696E6B732061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D506F7075704C4F562D6C696E';
wwv_flow_api.g_varchar2_table(746) := '6B7320613A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233333613766663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F6479202E742D506F7075704C4F562D706167696E6174696F6E207B0D0A';
wwv_flow_api.g_varchar2_table(747) := '2020636F6C6F723A20233765376537653B0D0A7D0D0A2E742D426F64792D7469746C65202E742D506F7075704C4F562D706167696E6174696F6E207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D426F64792D696E666F202E742D';
wwv_flow_api.g_varchar2_table(748) := '506F7075704C4F562D706167696E6174696F6E207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D526567696F6E202E742D506F7075704C4F562D706167696E6174696F6E2C0D0A2E742D427574746F6E526567696F6E202E742D50';
wwv_flow_api.g_varchar2_table(749) := '6F7075704C4F562D706167696E6174696F6E207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A0D0A2E742D526567696F6E2C0D0A2E742D436F6E74656E74426C6F636B2D2D6C696768744247202E742D436F6E74656E74426C6F636B2D62';
wwv_flow_api.g_varchar2_table(750) := '6F6479207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F6479202E6669656C64646174612062207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C6520';
wwv_flow_api.g_varchar2_table(751) := '2E6669656C64646174612062207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E6669656C64646174612062207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E';
wwv_flow_api.g_varchar2_table(752) := '6669656C646461746120622C0D0A2E742D427574746F6E526567696F6E202E6669656C64646174612062207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(753) := '2D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A2E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D686561646572202E742D427574746F';
wwv_flow_api.g_varchar2_table(754) := '6E2D2D6C696E6B207B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E643A207472616E73706172656E743B0D0A202063';
wwv_flow_api.g_varchar2_table(755) := '6F6C6F723A20233361336133613B0D0A7D0D0A2E742D526567696F6E2D2D737461636B6564207B0D0A2020626F726465722D7261646975733A20302021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E2D2D6E6F426F72646572203E202E74';
wwv_flow_api.g_varchar2_table(756) := '2D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E2D2D6E6F426F72646572203E202E742D526567696F';
wwv_flow_api.g_varchar2_table(757) := '6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D6E6F426F72646572203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20233430343034';
wwv_flow_api.g_varchar2_table(758) := '303B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7431203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20233330396664623B0D0A2020636F6C6F723A20236666666666663B0D0A7D';
wwv_flow_api.g_varchar2_table(759) := '0D0A2E742D526567696F6E2D2D616363656E7431203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7431203E202E742D526567696F6E2D686561646572202E742D42';
wwv_flow_api.g_varchar2_table(760) := '7574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74312E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A';
wwv_flow_api.g_varchar2_table(761) := '2020636F6C6F723A20233330396664623B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7432203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20233133623663663B0D0A2020636F6C';
wwv_flow_api.g_varchar2_table(762) := '6F723A20236534663966643B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7432203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7432203E202E742D526567';
wwv_flow_api.g_varchar2_table(763) := '696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236534663966643B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74322E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D5265';
wwv_flow_api.g_varchar2_table(764) := '67696F6E2D686561646572207B0D0A2020636F6C6F723A20233133623663663B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7433203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(765) := '233265626662633B0D0A2020636F6C6F723A20236630666366623B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7433203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D61';
wwv_flow_api.g_varchar2_table(766) := '6363656E7433203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236630666366623B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74332E742D526567696F6E2D2D74657874';
wwv_flow_api.g_varchar2_table(767) := '436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20233265626662633B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7434203E202E742D526567696F6E2D686561646572207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(768) := '6B67726F756E642D636F6C6F723A20233363616638353B0D0A2020636F6C6F723A20236630666166363B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7434203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F5549';
wwv_flow_api.g_varchar2_table(769) := '2C0D0A2E742D526567696F6E2D2D616363656E7434203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236630666166363B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7434';
wwv_flow_api.g_varchar2_table(770) := '2E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20233363616638353B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7435203E202E742D526567696F6E2D';
wwv_flow_api.g_varchar2_table(771) := '686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20233831626235663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7435203E202E742D526567696F6E2D68656164657220';
wwv_flow_api.g_varchar2_table(772) := '2E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7435203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(773) := '526567696F6E2D2D616363656E74352E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20233831626235663B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E';
wwv_flow_api.g_varchar2_table(774) := '7436203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236464646535333B0D0A2020636F6C6F723A20233261326130383B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7436203E202E74';
wwv_flow_api.g_varchar2_table(775) := '2D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7436203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(776) := '3261326130383B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74362E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20236464646535333B0D0A7D0D0A0D0A2E';
wwv_flow_api.g_varchar2_table(777) := '742D526567696F6E2D2D616363656E7437203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534613B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D526567696F';
wwv_flow_api.g_varchar2_table(778) := '6E2D2D616363656E7437203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7437203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E';
wwv_flow_api.g_varchar2_table(779) := '6B207B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74372E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(780) := '6662636534613B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7438203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236564383133653B0D0A2020636F6C6F723A20236666666666';
wwv_flow_api.g_varchar2_table(781) := '663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7438203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7438203E202E742D526567696F6E2D686561646572';
wwv_flow_api.g_varchar2_table(782) := '202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74382E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D6865616465';
wwv_flow_api.g_varchar2_table(783) := '72207B0D0A2020636F6C6F723A20236564383133653B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7439203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236539356235343B0D0A';
wwv_flow_api.g_varchar2_table(784) := '2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7439203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7439203E202E';
wwv_flow_api.g_varchar2_table(785) := '742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74392E742D526567696F6E2D2D74657874436F6E74656E74203E20';
wwv_flow_api.g_varchar2_table(786) := '2E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20236539356235343B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E743130203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(787) := '6F6C6F723A20236538356438383B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E743130203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D5265';
wwv_flow_api.g_varchar2_table(788) := '67696F6E2D2D616363656E743130203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7431302E742D526567';
wwv_flow_api.g_varchar2_table(789) := '696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20236538356438383B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E743131203E202E742D526567696F6E2D6865616465';
wwv_flow_api.g_varchar2_table(790) := '72207B0D0A20206261636B67726F756E642D636F6C6F723A20236361353839643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E743131203E202E742D526567696F6E2D686561646572202E742D42';
wwv_flow_api.g_varchar2_table(791) := '7574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E743131203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567';
wwv_flow_api.g_varchar2_table(792) := '696F6E2D2D616363656E7431312E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20236361353839643B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7431';
wwv_flow_api.g_varchar2_table(793) := '32203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20233835346539623B0D0A2020636F6C6F723A20236636663066383B0D0A7D0D0A2E742D526567696F6E2D2D616363656E743132203E202E74';
wwv_flow_api.g_varchar2_table(794) := '2D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E743132203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(795) := '236636663066383B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7431322E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20233835346539623B0D0A7D0D0A0D';
wwv_flow_api.g_varchar2_table(796) := '0A2E742D526567696F6E2D2D616363656E743133203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20233561363861643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D5265';
wwv_flow_api.g_varchar2_table(797) := '67696F6E2D2D616363656E743133203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E743133203E202E742D526567696F6E2D686561646572202E742D427574746F6E';
wwv_flow_api.g_varchar2_table(798) := '2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7431332E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F';
wwv_flow_api.g_varchar2_table(799) := '6C6F723A20233561363861643B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E743134203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236166626163353B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(800) := '20233331336134343B0D0A7D0D0A2E742D526567696F6E2D2D616363656E743134203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E743134203E202E742D52656769';
wwv_flow_api.g_varchar2_table(801) := '6F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20233331336134343B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7431342E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D5265';
wwv_flow_api.g_varchar2_table(802) := '67696F6E2D686561646572207B0D0A2020636F6C6F723A20236166626163353B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E743135203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(803) := '20233665383539383B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E743135203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D';
wwv_flow_api.g_varchar2_table(804) := '2D616363656E743135203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7431352E742D526567696F6E2D2D';
wwv_flow_api.g_varchar2_table(805) := '74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20233665383539383B0D0A7D0D0A2E742D526567696F6E2D626F6479207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D52';
wwv_flow_api.g_varchar2_table(806) := '6567696F6E2D2D6869646553686F772E69732D636F6C6C6170736564207B0D0A2020626F726465722D626F74746F6D2D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D526567696F6E207B0D';
wwv_flow_api.g_varchar2_table(807) := '0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E7370';
wwv_flow_api.g_varchar2_table(808) := '6172656E743B0D0A7D0D0A2E742D426F64792D73696465202E742D526567696F6E207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D526567696F6E2C0D0A2E742D526567696F6E2D68656164';
wwv_flow_api.g_varchar2_table(809) := '6572207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D526567696F6E2D2D6E6F4247207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D426F64792D61637469';
wwv_flow_api.g_varchar2_table(810) := '6F6E73202E742D526567696F6E207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D546162732D627574746F6E207B0D0A20206261636B6772';
wwv_flow_api.g_varchar2_table(811) := '6F756E642D636F6C6F723A207472616E73706172656E743B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3235293B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(812) := '234646463B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D546162732D627574746F6E3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E35293B0D0A7D0D0A2E74';
wwv_flow_api.g_varchar2_table(813) := '2D526567696F6E2D2D6361726F7573656C202E612D546162732D627574746F6E3A6163746976652C0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D546162732D627574746F6E3A6163746976653A666F637573207B0D0A20206261636B67';
wwv_flow_api.g_varchar2_table(814) := '726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3735293B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D546162732D6E6578742D726567696F6E207B0D0A2020626F726465722D7261646975733A203270';
wwv_flow_api.g_varchar2_table(815) := '7820302030203270783B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D546162732D70726576696F75732D726567696F6E207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E742D52';
wwv_flow_api.g_varchar2_table(816) := '6567696F6E2D2D6361726F7573656C202E612D526567696F6E2D6361726F7573656C4E61764974656D2E612D546162732D73656C6563746564202E612D526567696F6E2D6361726F7573656C4C696E6B207B0D0A20206261636B67726F756E642D636F6C';
wwv_flow_api.g_varchar2_table(817) := '6F723A207267626128302C20302C20302C20302E3435293B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D526567696F6E2D6361726F7573656C4E61764974656D2E612D546162732D73656C6563746564202E612D526567696F6E';
wwv_flow_api.g_varchar2_table(818) := '2D6361726F7573656C4C696E6B3A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20233637386361393B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D526567696F6E2D6361726F7573656C4C696E6B207B';
wwv_flow_api.g_varchar2_table(819) := '0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3135293B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A0D0A2E742D5265706F72742D63656C6C2C0D0A2E742D5265706F72742D';
wwv_flow_api.g_varchar2_table(820) := '636F6C48656164207B0D0A2020626F726465723A2031707820736F6C696420236536653665363B0D0A7D0D0A2E742D5265706F72742D7265706F7274207472202E742D5265706F72742D63656C6C3A6C6173742D6368696C642C0D0A2E742D5265706F72';
wwv_flow_api.g_varchar2_table(821) := '742D7265706F7274207472202E742D5265706F72742D636F6C486561643A6C6173742D6368696C64207B0D0A2020626F726465722D72696768743A2031707820736F6C696420236536653665363B0D0A7D0D0A2E742D5265706F72742D7265706F727420';
wwv_flow_api.g_varchar2_table(822) := '74723A6C6173742D6368696C64202E742D5265706F72742D63656C6C207B0D0A2020626F726465722D626F74746F6D3A2031707820736F6C696420236536653665363B0D0A7D0D0A2E742D5265706F7274202E69732D737475636B202E742D5265706F72';
wwv_flow_api.g_varchar2_table(823) := '742D636F6C48656164207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C203235352C20302E3935293B0D0A20202D7765626B69742D6261636B64726F702D66696C7465723A20626C757228347078293B0D0A';
wwv_flow_api.g_varchar2_table(824) := '7D0D0A2E742D5265706F72742D2D726F77486967686C69676874202E742D5265706F72742D7265706F72742074723A686F766572202E742D5265706F72742D63656C6C2C0D0A2E742D5265706F72742D2D726F77486967686C69676874202E742D526570';
wwv_flow_api.g_varchar2_table(825) := '6F72742D7265706F72742074723A6E74682D6368696C64286F6464293A686F766572202E742D5265706F72742D63656C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166612021696D706F7274616E743B0D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(826) := '5265706F72742D2D737461746963526F77436F6C6F7273202E742D5265706F72742D7265706F72742074723A6E74682D6368696C64286F646429202E742D5265706F72742D63656C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20747261';
wwv_flow_api.g_varchar2_table(827) := '6E73706172656E743B0D0A7D0D0A0D0A2E742D5265706F72742D2D616C74526F777344656661756C74202E742D5265706F72742D7265706F72742074723A6E74682D6368696C64286F646429202E742D5265706F72742D63656C6C207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(828) := '6B67726F756E642D636F6C6F723A20236663666366633B0D0A7D0D0A0D0A2E742D5265706F72742D706167696E6174696F6E5465787420622C0D0A2E742D5265706F72742D706167696E6174696F6E5465787420613A686F766572207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(829) := '6B67726F756E642D636F6C6F723A20233637386361393B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D536561726368526573756C74732D64657363207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D536561';
wwv_flow_api.g_varchar2_table(830) := '726368526573756C74732D64617465207B0D0A2020636F6C6F723A20233731373137313B0D0A7D0D0A2E742D536561726368526573756C74732D6D697363207B0D0A2020636F6C6F723A20233731373137313B0D0A7D0D0A2E742D526567696F6E202E74';
wwv_flow_api.g_varchar2_table(831) := '2D536561726368526573756C74732D64657363207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E742D536561726368526573756C74732D64617465207B0D0A2020636F6C6F723A20233733373337333B0D0A7D';
wwv_flow_api.g_varchar2_table(832) := '0D0A2E742D526567696F6E202E742D536561726368526573756C74732D6D697363207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D5374617475734C6973742D626C6F636B486561646572207B0D0A2020636F6C6F723A20233430';
wwv_flow_api.g_varchar2_table(833) := '343034303B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D5374617475734C6973742D68656164657254657874416C742C0D0A2E742D5374617475734C6973742D617474722C0D0A2E742D537461747573';
wwv_flow_api.g_varchar2_table(834) := '4C6973742D7465787444657363207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D5374617475734C6973742D6974656D5469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D5374617475734C6973';
wwv_flow_api.g_varchar2_table(835) := '742D2D6461746573202E742D5374617475734C6973742D6D61726B6572207B0D0A2020636F6C6F723A20233730373037303B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A20234646463B';
wwv_flow_api.g_varchar2_table(836) := '0D0A7D0D0A2E742D5374617475734C6973742D2D6461746573202E742D5374617475734C6973742D6D61726B65723A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A20234130413041303B0D0A2020626F726465722D7261646975';
wwv_flow_api.g_varchar2_table(837) := '733A2032707820327078203020303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6D61726B6572207B0D0A2020626F726465722D7261646975733A20323470783B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(838) := '756E642D636F6C6F723A20236666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D636F6D706C657465202E742D537461';
wwv_flow_api.g_varchar2_table(839) := '7475734C6973742D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20233730373037303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D64616E67';
wwv_flow_api.g_varchar2_table(840) := '6572202E742D5374617475734C6973742D6D61726B65722C0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D6572726F72202E742D5374617475734C6973742D6D61726B6572207B0D';
wwv_flow_api.g_varchar2_table(841) := '0A20206261636B67726F756E642D636F6C6F723A20236666336233303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D6F70656E202E742D5374617475734C6973742D6D61';
wwv_flow_api.g_varchar2_table(842) := '726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20233463643936343B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D7761726E696E67202E742D537461';
wwv_flow_api.g_varchar2_table(843) := '7475734C6973742D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666636330303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D6E756C6C';
wwv_flow_api.g_varchar2_table(844) := '202E742D5374617475734C6973742D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20234630463046303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E';
wwv_flow_api.g_varchar2_table(845) := '69732D6E756C6C202E742D5374617475734C6973742D6D61726B6572207B0D0A2020636F6C6F723A20234130413041303B0D0A7D0D0A0D0A2E742D546162732D2D73696D706C65202E742D546162732D6974656D2E69732D616374697665202E742D5461';
wwv_flow_api.g_varchar2_table(846) := '62732D6C696E6B207B0D0A2020626F782D736861646F773A2030202D3270782030202330303931666620696E7365743B0D0A7D0D0A2E742D546162732D2D73696D706C65202E742D546162732D6C696E6B3A666F637573207B0D0A2020626F782D736861';
wwv_flow_api.g_varchar2_table(847) := '646F773A20302030203020317078202330303931666620696E7365743B0D0A7D0D0A2E742D546162732D2D70696C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F726465722D7261646975733A203270';
wwv_flow_api.g_varchar2_table(848) := '783B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D49636F6E207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6C696E6B207B0D0A2020636F6C6F723A2023343034303430';
wwv_flow_api.g_varchar2_table(849) := '3B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6C696E';
wwv_flow_api.g_varchar2_table(850) := '6B3A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365743B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6C696E6B3A616374697665207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(851) := '756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6974656D3A66697273742D6368696C64202E742D546162732D6C696E6B207B0D0A2020626F726465722D7261646975733A2032707820';
wwv_flow_api.g_varchar2_table(852) := '302030203270783B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6974656D2E69732D616374697665202E742D546162732D6C696E6B207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(853) := '742D546162732D2D73696D706C65202E742D49636F6E207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D546162732D2D73696D706C65202E742D546162732D6C696E6B207B0D0A2020636F6C6F723A20233430343034303B0D0A7D';
wwv_flow_api.g_varchar2_table(854) := '0D0A2E742D546162732D2D73696D706C65202E742D546162732D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E303235293B0D0A7D0D0A2E742D546162732D2D73696D706C';
wwv_flow_api.g_varchar2_table(855) := '65202E742D546162732D6C696E6B3A616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3135293B0D0A7D0D0A2E742D426F6479202E742D546162732D2D73696D706C65202E742D546162';
wwv_flow_api.g_varchar2_table(856) := '732D6C696E6B207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C65202E742D546162732D2D73696D706C65202E742D546162732D6C696E6B207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(857) := '2E742D526567696F6E202E742D546162732D2D73696D706C65202E742D546162732D6C696E6B207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A0D0A2E617065782D726473202E617065782D7264732D73656C6563746564207370616E20';
wwv_flow_api.g_varchar2_table(858) := '7B0D0A2020626F782D736861646F773A2030202D3270782030202330303931666620696E7365743B0D0A7D0D0A2E617065782D72647320613A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E';
wwv_flow_api.g_varchar2_table(859) := '7365743B0D0A7D0D0A2E617065782D7264732061207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C65202E617065782D7264732061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(860) := '526567696F6E202E617065782D7264732061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E617065782D72647320613A686F766572207B0D0A2020636F6C6F723A20233030393166663B0D0A7D0D0A2E617065782D726473202E6170';
wwv_flow_api.g_varchar2_table(861) := '65782D7264732D73656C65637465642061207B0D0A2020636F6C6F723A20233030393166663B0D0A7D0D0A2E617065782D7264732D686F7665722E6C6566742061207B0D0A20206261636B67726F756E643A202D7765626B69742D6C696E6561722D6772';
wwv_flow_api.g_varchar2_table(862) := '616469656E74286C6566742C2023666666666666203530252C2072676261283235352C203235352C203235352C2030292031303025293B0D0A20200D0A20206261636B67726F756E643A206C696E6561722D6772616469656E7428746F2072696768742C';
wwv_flow_api.g_varchar2_table(863) := '2023666666666666203530252C2072676261283235352C203235352C203235352C2030292031303025293B0D0A20200D0A7D0D0A2E617065782D7264732D686F7665722E72696768742061207B0D0A20206261636B67726F756E643A202D7765626B6974';
wwv_flow_api.g_varchar2_table(864) := '2D6C696E6561722D6772616469656E74286C6566742C20236666666666662030252C2072676261283235352C203235352C203235352C2030292031252C202366666666666620353025293B0D0A20200D0A20206261636B67726F756E643A206C696E6561';
wwv_flow_api.g_varchar2_table(865) := '722D6772616469656E7428746F2072696768742C20236666666666662030252C2072676261283235352C203235352C203235352C2030292031252C202366666666666620353025293B0D0A20200D0A7D0D0A0D0A2E766572746963616C2D726473202E61';
wwv_flow_api.g_varchar2_table(866) := '7065782D726473202E617065782D7264732D73656C6563746564207370616E2C0D0A2E742D426F64792D73696465202E617065782D726473202E617065782D7264732D73656C6563746564207370616E207B0D0A2020626F782D736861646F773A203470';
wwv_flow_api.g_varchar2_table(867) := '7820302030202330303931666620696E7365743B0D0A7D0D0A2E752D52544C202E766572746963616C2D726473202E617065782D726473202E617065782D7264732D73656C6563746564207370616E2C0D0A2E752D52544C202E742D426F64792D736964';
wwv_flow_api.g_varchar2_table(868) := '65202E617065782D726473202E617065782D7264732D73656C6563746564207370616E207B0D0A2020626F782D736861646F773A202D34707820302030202330303931666620696E7365743B0D0A7D0D0A0D0A2E612D546167436C6F75642D6C696E6B20';
wwv_flow_api.g_varchar2_table(869) := '7B0D0A2020626F726465722D636F6C6F723A20236632663266323B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E643A20236661666166613B0D0A20207472616E736974696F6E3A206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(870) := '2D636F6C6F7220302E32732C20626F726465722D636F6C6F7220302E32732C20626F782D736861646F7720302E32732C20636F6C6F7220302E32733B0D0A2020636F6C6F723A20233030386566613B0D0A7D0D0A2E612D546167436C6F75642D6C696E6B';
wwv_flow_api.g_varchar2_table(871) := '207370616E207B0D0A20207472616E736974696F6E3A20636F6C6F72202E32733B0D0A7D0D0A2E612D546167436C6F75642D6C696E6B3A686F766572207B0D0A2020746578742D6465636F726174696F6E3A206E6F6E653B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(872) := '6E642D636F6C6F723A20233637386361393B0D0A2020626F726465722D636F6C6F723A20233637386361393B0D0A2020636F6C6F723A20236666666666663B0D0A2020626F782D736861646F773A20302030203020327078202336373863613920696E73';
wwv_flow_api.g_varchar2_table(873) := '65743B0D0A7D0D0A2E612D546167436C6F75642D6C696E6B3A686F766572207370616E207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E612D546167436C6F75642D636F756E74207B0D0A2020636F6C6F723A20233636363636363B0D';
wwv_flow_api.g_varchar2_table(874) := '0A2020666F6E742D7765696768743A203530303B0D0A7D0D0A2E742D54696D656C696E65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D54696D656C696E652D757365726E616D652C0D0A2E742D54696D656C696E652D646174';
wwv_flow_api.g_varchar2_table(875) := '652C0D0A2E742D54696D656C696E652D64657363207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D54696D656C696E652D77726170207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D54696D656C696E652D';
wwv_flow_api.g_varchar2_table(876) := '74797065207B0D0A20206261636B67726F756E642D636F6C6F723A20236635663566353B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A2E742D54696D656C696E652D747970652E69732D6E6577207B0D0A20206261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(877) := '636F6C6F723A20233362616132633B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E742D54696D656C696E652D747970652E69732D75706461746564207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A202063';
wwv_flow_api.g_varchar2_table(878) := '6F6C6F723A20234646463B0D0A7D0D0A2E742D54696D656C696E652D747970652E69732D72656D6F766564207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333363B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E742D54';
wwv_flow_api.g_varchar2_table(879) := '696D656C696E652D777261703A666F637573207B0D0A20206F75746C696E653A206E6F6E653B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365743B0D0A7D0D0A406D6564696120286D696E2D7769647468';
wwv_flow_api.g_varchar2_table(880) := '3A20373639707829207B0D0A20202E742D426F64792D6E6176207B0D0A202020206261636B67726F756E642D636F6C6F723A20233336336634363B0D0A20207D0D0A7D0D0A2E742D547265654E6176207B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(881) := '723A20233336336634363B0D0A7D0D0A2E742D50616765426F64792D2D6C6566744E6176202E742D426F64792D6E61763A3A2D7765626B69742D7363726F6C6C6261722D7468756D62207B0D0A20206261636B67726F756E642D636F6C6F723A20233538';
wwv_flow_api.g_varchar2_table(882) := '363737343B0D0A2020626F782D736861646F773A20696E7365742031707820302030203020233336336634363B0D0A7D0D0A2E742D50616765426F64792D2D6C6566744E6176202E742D426F64792D6E61763A3A2D7765626B69742D7363726F6C6C6261';
wwv_flow_api.g_varchar2_table(883) := '722D7468756D623A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233733383639353B0D0A7D0D0A2E742D50616765426F64792D2D6C6566744E6176202E742D426F64792D6E61763A3A2D7765626B69742D7363726F6C6C6261';
wwv_flow_api.g_varchar2_table(884) := '722D747261636B207B0D0A20206261636B67726F756E643A20233336336634363B0D0A7D0D0A2E742D50616765426F64792D2D6C6566744E6176202E742D426F64792D6E61763A3A2D7765626B69742D7363726F6C6C6261722D747261636B3A686F7665';
wwv_flow_api.g_varchar2_table(885) := '72207B0D0A20206261636B67726F756E642D636F6C6F723A20233537363637313B0D0A7D0D0A2E742D526567696F6E207B0D0A20200D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D5472';
wwv_flow_api.g_varchar2_table(886) := '6565566965772D726F772E69732D666F6375736564207B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D';
wwv_flow_api.g_varchar2_table(887) := '0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D63757272656E742C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C';
wwv_flow_api.g_varchar2_table(888) := '6576656C202E612D54726565566965772D726F772E69732D73656C65637465642C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D63757272656E742D2D';
wwv_flow_api.g_varchar2_table(889) := '746F702E69732D73656C6563746564207B0D0A20206261636B67726F756E642D636F6C6F723A20236637663766373B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D5472656556696577';
wwv_flow_api.g_varchar2_table(890) := '2D726F772E69732D63757272656E742D2D746F702C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65203E202E612D54726565566965772D726F772C0D0A2E742D5265';
wwv_flow_api.g_varchar2_table(891) := '67696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C20756C207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D74';
wwv_flow_api.g_varchar2_table(892) := '6F704C6576656C202E612D54726565566965772D726F772E69732D686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236630663066302021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965';
wwv_flow_api.g_varchar2_table(893) := '772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D686F766572202B202E612D54726565566965772D746F67676C652C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C657665';
wwv_flow_api.g_varchar2_table(894) := '6C2E69732D636F6C6C61707369626C65202E612D54726565566965772D746F67676C65207B0D0A2020636F6C6F723A20726762612836342C2036342C2036342C20302E3735293B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F';
wwv_flow_api.g_varchar2_table(895) := '64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D686F766572202B202E612D54726565566965772D746F67676C653A686F7665722C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C65';
wwv_flow_api.g_varchar2_table(896) := '76656C2E69732D636F6C6C61707369626C65202E612D54726565566965772D746F67676C653A686F766572207B0D0A2020636F6C6F723A20233430343034302021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965';
wwv_flow_api.g_varchar2_table(897) := '772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D686F766572207B0D0A2020636F6C6F723A20233430343034302021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D5472656556';
wwv_flow_api.g_varchar2_table(898) := '6965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C';
wwv_flow_api.g_varchar2_table(899) := '202E612D54726565566965772D636F6E74656E74202E66612C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E612D49636F6E207B0D0A2020636F6C';
wwv_flow_api.g_varchar2_table(900) := '6F723A20726762612836342C2036342C2036342C20302E3935293B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E66613A6265666F72652C';
wwv_flow_api.g_varchar2_table(901) := '0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E612D49636F6E3A6265666F7265207B0D0A2020636F6C6F723A20696E68657269743B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(902) := '742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D686F766572202E66612C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D74';
wwv_flow_api.g_varchar2_table(903) := '6F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742D2D746F70202E66612C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D63';
wwv_flow_api.g_varchar2_table(904) := '6F6E74656E742E69732D686F766572202E612D49636F6E2C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742D2D746F70202E';
wwv_flow_api.g_varchar2_table(905) := '612D49636F6E207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D6C6162656C207B0D0A2020636F6C6F723A2069';
wwv_flow_api.g_varchar2_table(906) := '6E68657269743B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742C0D0A2E742D526567696F6E202E612D5472656556';
wwv_flow_api.g_varchar2_table(907) := '6965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D73656C65637465642C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965';
wwv_flow_api.g_varchar2_table(908) := '772D636F6E74656E742E69732D63757272656E742D2D746F70207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D';
wwv_flow_api.g_varchar2_table(909) := '746F67676C65207B0D0A2020636F6C6F723A20726762612836342C2036342C2036342C20302E3735293B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D746F6767';
wwv_flow_api.g_varchar2_table(910) := '6C653A686F766572207B0D0A2020636F6C6F723A20233430343034302021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65203E202E';
wwv_flow_api.g_varchar2_table(911) := '612D54726565566965772D726F772E69732D73656C65637465642C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65203E202E612D54726565566965772D726F772E69';
wwv_flow_api.g_varchar2_table(912) := '732D666F6375736564207B0D0A20206261636B67726F756E642D636F6C6F723A20236637663766373B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E';
wwv_flow_api.g_varchar2_table(913) := '69732D666F6375736564207B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D547265654E61';
wwv_flow_api.g_varchar2_table(914) := '76202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D63757272656E742C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54';
wwv_flow_api.g_varchar2_table(915) := '726565566965772D726F772E69732D73656C65637465642C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D63757272656E742D2D746F702E69732D73';
wwv_flow_api.g_varchar2_table(916) := '656C6563746564207B0D0A20206261636B67726F756E642D636F6C6F723A20233538363737343B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E6973';
wwv_flow_api.g_varchar2_table(917) := '2D63757272656E742D2D746F702C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65203E202E612D54726565566965772D726F772C0D0A2E742D547265654E617620';
wwv_flow_api.g_varchar2_table(918) := '2E612D54726565566965772D6E6F64652D2D746F704C6576656C20756C207B0D0A20206261636B67726F756E642D636F6C6F723A20233531356636623B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C65';
wwv_flow_api.g_varchar2_table(919) := '76656C202E612D54726565566965772D726F772E69732D686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233565366537632021696D706F7274616E743B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E';
wwv_flow_api.g_varchar2_table(920) := '6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D686F766572202B202E612D54726565566965772D746F67676C652C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E';
wwv_flow_api.g_varchar2_table(921) := '69732D636F6C6C61707369626C65202E612D54726565566965772D746F67676C65207B0D0A2020636F6C6F723A2072676261283235352C203235352C203235352C20302E3735293B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D';
wwv_flow_api.g_varchar2_table(922) := '6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D686F766572202B202E612D54726565566965772D746F67676C653A686F7665722C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F';
wwv_flow_api.g_varchar2_table(923) := '704C6576656C2E69732D636F6C6C61707369626C65202E612D54726565566965772D746F67676C653A686F766572207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D547265654E6176202E612D547265';
wwv_flow_api.g_varchar2_table(924) := '65566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D686F766572207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D547265654E6176202E612D';
wwv_flow_api.g_varchar2_table(925) := '54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F';
wwv_flow_api.g_varchar2_table(926) := '704C6576656C202E612D54726565566965772D636F6E74656E74202E66612C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E612D49636F6E207B';
wwv_flow_api.g_varchar2_table(927) := '0D0A2020636F6C6F723A20236365643466663B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E66613A6265666F72652C0D0A2E742D5472';
wwv_flow_api.g_varchar2_table(928) := '65654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E612D49636F6E3A6265666F7265207B0D0A2020636F6C6F723A20696E68657269743B0D0A7D0D0A2E742D54726565';
wwv_flow_api.g_varchar2_table(929) := '4E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D686F766572202E66612C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C65';
wwv_flow_api.g_varchar2_table(930) := '76656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742D2D746F70202E66612C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74';
wwv_flow_api.g_varchar2_table(931) := '656E742E69732D686F766572202E612D49636F6E2C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742D2D746F70202E612D';
wwv_flow_api.g_varchar2_table(932) := '49636F6E207B0D0A2020636F6C6F723A20236365643466663B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D6C6162656C207B0D0A2020636F6C6F723A20696E';
wwv_flow_api.g_varchar2_table(933) := '68657269743B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742C0D0A2E742D547265654E6176202E612D54726565';
wwv_flow_api.g_varchar2_table(934) := '566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D73656C65637465642C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D5472656556';
wwv_flow_api.g_varchar2_table(935) := '6965772D636F6E74656E742E69732D63757272656E742D2D746F70207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D547265655669';
wwv_flow_api.g_varchar2_table(936) := '65772D746F67676C65207B0D0A2020636F6C6F723A2072676261283235352C203235352C203235352C20302E3735293B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D547265655669';
wwv_flow_api.g_varchar2_table(937) := '65772D746F67676C653A686F766572207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C617073';
wwv_flow_api.g_varchar2_table(938) := '69626C65202E612D54726565566965772D636F6E74656E74202E66612C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65202E612D54726565566965772D636F6E74';
wwv_flow_api.g_varchar2_table(939) := '656E74202E612D49636F6E207B0D0A2020636F6C6F723A20236365643466663B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65202E612D54726565566965';
wwv_flow_api.g_varchar2_table(940) := '772D636F6E74656E74207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E6A732D6E6176436F6C6C6170736564202E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C203E202E612D5472656556';
wwv_flow_api.g_varchar2_table(941) := '6965772D636F6E74656E74202E612D54726565566965772D6C6162656C202E612D54726565566965772D6261646765207B0D0A20206261636B67726F756E643A20233135313831623B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(942) := '547265654E6176202E612D54726565566965772D6261646765207B0D0A2020626F782D736861646F773A203020302030203170782072676261283235352C203235352C203235352C20302E31293B0D0A2020666F6E742D7765696768743A203430303B0D';
wwv_flow_api.g_varchar2_table(943) := '0A7D0D0A2E742D547265654E6176202E612D54726565566965772D636F6E74656E742E69732D63757272656E74202E612D54726565566965772D6C6162656C2C0D0A2E742D547265654E6176202E612D54726565566965772D636F6E74656E742E69732D';
wwv_flow_api.g_varchar2_table(944) := '63757272656E742D2D746F70202E612D54726565566965772D6C6162656C207B0D0A2020666F6E742D7765696768743A203530303B0D0A7D0D0A0D0A2E742D56616C69646174696F6E2D64617465207B0D0A2020636F6C6F723A20233430343034303B0D';
wwv_flow_api.g_varchar2_table(945) := '0A7D0D0A2E742D56616C69646174696F6E2D75736572207B0D0A2020636F6C6F723A20233539353935393B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D56616C69646174696F6E2D64617465207B0D0A2020636F6C6F723A202333613361';
wwv_flow_api.g_varchar2_table(946) := '33613B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D56616C69646174696F6E2D75736572207B0D0A2020636F6C6F723A20233533353335333B0D0A7D0D0A0D0A2E742D4469616C6F672D706167652D2D77697A617264207B0D0A2020626F';
wwv_flow_api.g_varchar2_table(947) := '726465723A20236536653665363B0D0A7D0D0A2E742D57697A617264207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F726465722D7261646975733A203270783B0D0A2020626F726465722D636F6C6F723A';
wwv_flow_api.g_varchar2_table(948) := '20236536653665363B0D0A7D0D0A2E742D57697A617264202E742D57697A6172642D7469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D57697A617264202E742D57697A6172642D686561646572207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(949) := '6B67726F756E642D636F6C6F723A20236661666166613B0D0A2020626F726465722D636F6C6F723A20236564656465643B0D0A7D0D0A2E742D57697A61726453746570732D777261703A6166746572207B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(950) := '723A20236536653665363B0D0A7D0D0A2E742D57697A61726453746570732D73746570202E742D57697A61726453746570732D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20236363636363633B0D0A7D0D0A2E742D57697A';
wwv_flow_api.g_varchar2_table(951) := '61726453746570732D737465702E69732D636F6D706C657465202E742D57697A61726453746570732D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132633B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(952) := '2E742D57697A61726453746570732D737465702E69732D616374697665202E742D57697A61726453746570732D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20233637386361393B0D0A7D0D0A2E742D57697A617264537465';
wwv_flow_api.g_varchar2_table(953) := '70732D6C6162656C207B0D0A2020636F6C6F723A20233636363636363B0D0A7D0D0A2E742D57697A61726453746570732D737465702E69732D616374697665202E742D57697A61726453746570732D6C6162656C207B0D0A2020636F6C6F723A20233430';
wwv_flow_api.g_varchar2_table(954) := '343034303B0D0A7D0D0A0D0A2E75692D776964676574207B0D0A2020666F6E742D66616D696C793A202748656C766574696361204E657565272C20275365676F65205549272C2048656C7665746963612C20417269616C2C2073616E732D73657269663B';
wwv_flow_api.g_varchar2_table(955) := '0D0A2020666F6E742D73697A653A20313270783B0D0A7D0D0A2E75692D776964676574202E75692D776964676574207B0D0A2020666F6E742D73697A653A20313270783B0D0A7D0D0A0D0A626F6479202E75692D7769646765742D636F6E74656E74207B';
wwv_flow_api.g_varchar2_table(956) := '0D0A2020626F726465722D636F6C6F723A20236562656265623B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A626F6479202E75692D7769646765742D636F6E74';
wwv_flow_api.g_varchar2_table(957) := '656E742061207B0D0A2020636F6C6F723A20233030393166663B0D0A7D0D0A626F6479202E75692D7769646765742D686561646572207B0D0A2020626F726465722D636F6C6F723A20236562656265623B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(958) := '723A20236666666666663B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A626F6479202E75692D7769646765742D6865616465722061207B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A0D0A626F6479202E75692D73746174';
wwv_flow_api.g_varchar2_table(959) := '652D64656661756C742C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D64656661756C742C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D64656661756C74207B0D0A';
wwv_flow_api.g_varchar2_table(960) := '20206261636B67726F756E642D636F6C6F723A20236638663866383B0D0A2020636F6C6F723A20233338333833383B0D0A7D0D0A626F6479202E75692D73746174652D64656661756C7420612C0D0A626F6479202E75692D73746174652D64656661756C';
wwv_flow_api.g_varchar2_table(961) := '7420613A6C696E6B2C0D0A626F6479202E75692D73746174652D64656661756C7420613A766973697465642C0D0A626F6479202E75692D73746174652D61637469766520612C0D0A626F6479202E75692D73746174652D61637469766520613A6C696E6B';
wwv_flow_api.g_varchar2_table(962) := '2C0D0A626F6479202E75692D73746174652D61637469766520613A76697369746564207B0D0A2020636F6C6F723A20233030393166663B0D0A7D0D0A626F6479202E75692D73746174652D686F7665722C0D0A626F6479202E75692D7769646765742D63';
wwv_flow_api.g_varchar2_table(963) := '6F6E74656E74202E75692D73746174652D686F7665722C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A202063';
wwv_flow_api.g_varchar2_table(964) := '6F6C6F723A20233338333833383B0D0A7D0D0A626F6479202E75692D73746174652D666F6375732C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D666F6375732C0D0A626F6479202E75692D7769646765742D';
wwv_flow_api.g_varchar2_table(965) := '686561646572202E75692D73746174652D666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365742C203020302031707820327078207267626128302C203134352C203235352C20302E323529';
wwv_flow_api.g_varchar2_table(966) := '2021696D706F7274616E743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233338333833383B0D0A7D0D0A626F6479202E75692D646174657069636B6572202E75692D646174657069636B6572';
wwv_flow_api.g_varchar2_table(967) := '2D627574746F6E70616E6520627574746F6E3A666F637573207B0D0A20206F75746C696E653A206E6F6E653B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365742C20302030203170782032707820726762';
wwv_flow_api.g_varchar2_table(968) := '6128302C203134352C203235352C20302E3235292021696D706F7274616E743B0D0A7D0D0A626F6479202E75692D73746174652D686F76657220612C0D0A626F6479202E75692D73746174652D686F76657220613A686F7665722C0D0A626F6479202E75';
wwv_flow_api.g_varchar2_table(969) := '692D73746174652D686F76657220613A6C696E6B2C0D0A626F6479202E75692D73746174652D686F76657220613A766973697465642C0D0A626F6479202E75692D73746174652D666F63757320612C0D0A626F6479202E75692D73746174652D666F6375';
wwv_flow_api.g_varchar2_table(970) := '7320613A686F7665722C0D0A626F6479202E75692D73746174652D666F63757320613A6C696E6B2C0D0A626F6479202E75692D73746174652D666F63757320613A76697369746564207B0D0A2020636F6C6F723A20233030393166663B0D0A7D0D0A626F';
wwv_flow_api.g_varchar2_table(971) := '6479202E75692D73746174652D6163746976652C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D6163746976652C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D6163';
wwv_flow_api.g_varchar2_table(972) := '74697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236465646564653B0D0A2020636F6C6F723A20233338333833383B0D0A7D0D0A0D0A626F6479202E75692D73746174652D686967686C696768742C0D0A626F6479202E75692D7769';
wwv_flow_api.g_varchar2_table(973) := '646765742D636F6E74656E74202E75692D73746174652D686967686C696768742C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D686967686C69676874207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(974) := '20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A626F6479202E75692D73746174652D686967686C6967687420612C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D68696768';
wwv_flow_api.g_varchar2_table(975) := '6C6967687420612C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D686967686C696768742061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A626F6479202E75692D73746174652D6572726F72';
wwv_flow_api.g_varchar2_table(976) := '2C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D6572726F722C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D6572726F72207B0D0A20206261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(977) := '636F6C6F723A20236634343333363B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A626F6479202E75692D73746174652D6572726F7220612C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D6572';
wwv_flow_api.g_varchar2_table(978) := '726F7220612C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D6572726F722061207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A626F6479202E75692D73746174652D6572726F722D746578742C';
wwv_flow_api.g_varchar2_table(979) := '0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D6572726F722D746578742C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D6572726F722D74657874207B0D0A2020636F';
wwv_flow_api.g_varchar2_table(980) := '6C6F723A20236634343333363B0D0A7D0D0A0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D73746174652D64656661756C742C0D0A626F6479202E75692D646174657069636B657220746420612E75692D7374617465';
wwv_flow_api.g_varchar2_table(981) := '2D64656661756C74207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D73';
wwv_flow_api.g_varchar2_table(982) := '746174652D64656661756C742E75692D73746174652D6163746976652C0D0A626F6479202E75692D646174657069636B657220746420612E75692D73746174652D64656661756C742E75692D73746174652D616374697665207B0D0A20206261636B6772';
wwv_flow_api.g_varchar2_table(983) := '6F756E642D636F6C6F723A20233637386361393B0D0A2020636F6C6F723A20236666666666663B0D0A2020666F6E742D7765696768743A20626F6C643B0D0A7D0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D737461';
wwv_flow_api.g_varchar2_table(984) := '74652D64656661756C742E75692D73746174652D6163746976652E75692D73746174652D686F7665722C0D0A626F6479202E75692D646174657069636B657220746420612E75692D73746174652D64656661756C742E75692D73746174652D6163746976';
wwv_flow_api.g_varchar2_table(985) := '652E75692D73746174652D686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233637386361392021696D706F7274616E743B0D0A7D0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D7374617465';
wwv_flow_api.g_varchar2_table(986) := '2D64656661756C742E75692D73746174652D686F7665722C0D0A626F6479202E75692D646174657069636B657220746420612E75692D73746174652D64656661756C742E75692D73746174652D686F766572207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(987) := '6F6C6F723A20236632663266322021696D706F7274616E743B0D0A7D0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D73746174652D64656661756C743A666F6375732C0D0A626F6479202E75692D646174657069636B';
wwv_flow_api.g_varchar2_table(988) := '657220746420612E75692D73746174652D64656661756C743A666F637573207B0D0A20206F75746C696E653A206E6F6E653B0D0A2020626F782D736861646F773A20302030203020317078202330303931666620696E7365742C20302030203170782032';
wwv_flow_api.g_varchar2_table(989) := '7078207267626128302C203134352C203235352C20302E3235292021696D706F7274616E743B0D0A7D0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D73746174652D64656661756C742E75692D73746174652D686967';
wwv_flow_api.g_varchar2_table(990) := '686C696768742C0D0A626F6479202E75692D646174657069636B657220746420612E75692D73746174652D64656661756C742E75692D73746174652D686967686C69676874207B0D0A20206261636B67726F756E642D636F6C6F723A2023656265626562';
wwv_flow_api.g_varchar2_table(991) := '3B0D0A7D0D0A626F6479202E75692D646174657069636B6572207468207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A626F6479202E75692D646174657069636B6572202E75692D646174657069636B65722D6865616465722C0D0A626F';
wwv_flow_api.g_varchar2_table(992) := '6479202E75692D646174657069636B6572202E75692D646174657069636B65722D627574746F6E70616E6520627574746F6E2C0D0A626F6479202E75692D646174657069636B6572202E75692D646174657069636B65722D6E6578742C0D0A626F647920';
wwv_flow_api.g_varchar2_table(993) := '2E75692D646174657069636B6572202E75692D646174657069636B65722D70726576207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A0D0A626F6479202E75692D6469616C6F67202E75692D6469616C6F672D7469746C656261';
wwv_flow_api.g_varchar2_table(994) := '72207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F726465722D626F74746F6D3A2031707820736F6C6964207267626128302C20302C20302C20302E3035293B0D0A7D0D0A626F6479202E75692D6469616C';
wwv_flow_api.g_varchar2_table(995) := '6F67202E75692D6469616C6F672D7469746C65207B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A626F6479202E75692D6469616C6F67202E75692D6469616C6F672D636F6E74656E742C0D0A2E742D4469616C6F672D70616765207B0D0A';
wwv_flow_api.g_varchar2_table(996) := '20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A0D0A2E742D4469616C6F672D2D77697A6172642E75692D6469616C6F672C0D0A2E742D4469616C6F672D2D77697A6172';
wwv_flow_api.g_varchar2_table(997) := '642E75692D6469616C6F67202E75692D6469616C6F672D7469746C656261722C0D0A2E742D4469616C6F672D2D77697A61726420626F6479202E75692D6469616C6F67202E75692D6469616C6F672D636F6E74656E74207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(998) := '6E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D4469616C6F672D2D77697A6172642E75692D6469616C6F67202E75692D6469616C6F672D7469746C65207B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(999) := '3430343034303B0D0A7D0D0A0D0A626F6479202E75692D636F726E65722D616C6C207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D636F726E65722D746F702C0D0A626F6479202E75692D636F726E6572';
wwv_flow_api.g_varchar2_table(1000) := '2D6C6566742C0D0A626F6479202E75692D636F726E65722D746C207B0D0A2020626F726465722D746F702D6C6566742D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D636F726E65722D746F702C0D0A626F6479202E75692D636F726E';
wwv_flow_api.g_varchar2_table(1001) := '65722D72696768742C0D0A626F6479202E75692D636F726E65722D7472207B0D0A2020626F726465722D746F702D72696768742D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D636F726E65722D626F74746F6D2C0D0A626F6479202E';
wwv_flow_api.g_varchar2_table(1002) := '75692D636F726E65722D6C6566742C0D0A626F6479202E75692D636F726E65722D626C207B0D0A2020626F726465722D626F74746F6D2D6C6566742D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D636F726E65722D626F74746F6D2C';
wwv_flow_api.g_varchar2_table(1003) := '0D0A626F6479202E75692D636F726E65722D72696768742C0D0A626F6479202E75692D636F726E65722D6272207B0D0A2020626F726465722D626F74746F6D2D72696768742D7261646975733A203270783B0D0A7D0D0A0D0A626F6479202E75692D6275';
wwv_flow_api.g_varchar2_table(1004) := '74746F6E2E75692D636F726E65722D616C6C207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D746F702C0D0A626F6479202E75692D627574746F6E2E75692D63';
wwv_flow_api.g_varchar2_table(1005) := '6F726E65722D6C6566742C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D746C207B0D0A2020626F726465722D746F702D6C6566742D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D627574746F6E2E75692D63';
wwv_flow_api.g_varchar2_table(1006) := '6F726E65722D746F702C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D72696768742C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D7472207B0D0A2020626F726465722D746F702D72696768742D726164';
wwv_flow_api.g_varchar2_table(1007) := '6975733A203270783B0D0A7D0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D626F74746F6D2C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D6C6566742C0D0A626F6479202E75692D627574746F6E2E7569';
wwv_flow_api.g_varchar2_table(1008) := '2D636F726E65722D626C207B0D0A2020626F726465722D626F74746F6D2D6C6566742D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D626F74746F6D2C0D0A626F6479202E75692D62757474';
wwv_flow_api.g_varchar2_table(1009) := '6F6E2E75692D636F726E65722D72696768742C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D6272207B0D0A2020626F726465722D626F74746F6D2D72696768742D7261646975733A203270783B0D0A7D0D0A0D0A2E752D776172';
wwv_flow_api.g_varchar2_table(1010) := '6E696E67207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534612021696D706F7274616E743B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E752D7761726E696E672D74657874207B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1011) := '6662636534612021696D706F7274616E743B0D0A7D0D0A2E752D7761726E696E672D6267207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534612021696D706F7274616E743B0D0A7D0D0A2E752D7761726E696E672D626F726465';
wwv_flow_api.g_varchar2_table(1012) := '72207B0D0A2020626F726465722D636F6C6F723A20236662636534612021696D706F7274616E743B0D0A7D0D0A0D0A2E752D73756363657373207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132632021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1013) := '0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D737563636573732D74657874207B0D0A2020636F6C6F723A20233362616132632021696D706F7274616E743B0D0A7D0D0A2E752D737563636573732D6267207B0D0A20206261636B67';
wwv_flow_api.g_varchar2_table(1014) := '726F756E642D636F6C6F723A20233362616132632021696D706F7274616E743B0D0A7D0D0A2E752D737563636573732D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233362616132632021696D706F7274616E743B0D0A7D0D0A0D0A';
wwv_flow_api.g_varchar2_table(1015) := '2E752D64616E676572207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333362021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D64616E6765722D74657874207B0D0A2020636F6C6F';
wwv_flow_api.g_varchar2_table(1016) := '723A20236634343333362021696D706F7274616E743B0D0A7D0D0A2E752D64616E6765722D6267207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333362021696D706F7274616E743B0D0A7D0D0A2E752D64616E6765722D626F72';
wwv_flow_api.g_varchar2_table(1017) := '646572207B0D0A2020626F726465722D636F6C6F723A20236634343333362021696D706F7274616E743B0D0A7D0D0A0D0A2E752D696E666F207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263652021696D706F7274616E743B0D';
wwv_flow_api.g_varchar2_table(1018) := '0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D696E666F2D74657874207B0D0A2020636F6C6F723A20233035373263652021696D706F7274616E743B0D0A7D0D0A2E752D696E666F2D6267207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(1019) := '6F6C6F723A20233035373263652021696D706F7274616E743B0D0A7D0D0A2E752D696E666F2D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233035373263652021696D706F7274616E743B0D0A7D0D0A0D0A2E752D686F74207B0D0A';
wwv_flow_api.g_varchar2_table(1020) := '20206261636B67726F756E642D636F6C6F723A20233637386361392021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D686F742D74657874207B0D0A2020636F6C6F723A20233637386361392021696D706F';
wwv_flow_api.g_varchar2_table(1021) := '7274616E743B0D0A7D0D0A2E752D686F742D6267207B0D0A20206261636B67726F756E642D636F6C6F723A20233637386361392021696D706F7274616E743B0D0A7D0D0A2E752D686F742D626F72646572207B0D0A2020626F726465722D636F6C6F723A';
wwv_flow_api.g_varchar2_table(1022) := '20233637386361392021696D706F7274616E743B0D0A7D0D0A0D0A2E752D6E6F726D616C207B0D0A20206261636B67726F756E642D636F6C6F723A20236664666466642021696D706F7274616E743B0D0A2020636F6C6F723A20233365336533653B0D0A';
wwv_flow_api.g_varchar2_table(1023) := '7D0D0A2E752D6E6F726D616C2D74657874207B0D0A2020636F6C6F723A20233365336533652021696D706F7274616E743B0D0A7D0D0A2E752D6E6F726D616C2D6267207B0D0A20206261636B67726F756E642D636F6C6F723A2023336533653365202169';
wwv_flow_api.g_varchar2_table(1024) := '6D706F7274616E743B0D0A7D0D0A2E752D6E6F726D616C2D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233365336533652021696D706F7274616E743B0D0A7D0D0A626F6479202E75692D6469616C6F67202E75692D6469616C6F67';
wwv_flow_api.g_varchar2_table(1025) := '2D7469746C656261722D636C6F7365207B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A626F6479202E75692D6469616C6F67202E75692D6469616C6F672D627574746F6E70616E65207B0D0A2020626F726465722D746F702D';
wwv_flow_api.g_varchar2_table(1026) := '636F6C6F723A20236562656265623B0D0A7D0D0A2E742D426F6479207B0D0A20200D0A20200D0A20200D0A7D0D0A2E742D426F6479202E612D4D696E6943616C207B0D0A2020626F726465723A2031707820736F6C696420236534653465343B0D0A2020';
wwv_flow_api.g_varchar2_table(1027) := '626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A20236664666466643B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D7469746C65207B0D0A2020636F6C6F723A20233365336533653B0D';
wwv_flow_api.g_varchar2_table(1028) := '0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D6461794F665765656B207B0D0A2020636F6C6F723A20233765376537653B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D646179207B0D0A2020626F726465722D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1029) := '236637663766373B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D6461792E69732D746F646179202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(1030) := '723A20233637386361393B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D6461792E69732D616374697665202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(1031) := '636F6C6F723A20236662636534613B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D6461792E69732D7765656B656E64207B0D0A20206261636B67726F756E642D636F6C6F723A2023663866';
wwv_flow_api.g_varchar2_table(1032) := '3866383B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D6461792E69732D6E756C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236633663366333B0D0A7D0D0A2E742D526567696F6E207B0D0A20200D0A20200D0A20200D';
wwv_flow_api.g_varchar2_table(1033) := '0A7D0D0A2E742D526567696F6E202E612D4D696E6943616C207B0D0A2020626F726465723A2031707820736F6C696420236536653665363B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(1034) := '20236666666666663B0D0A7D0D0A2E742D526567696F6E202E612D4D696E6943616C2D7469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D4D696E6943616C2D6461794F665765656B207B0D0A';
wwv_flow_api.g_varchar2_table(1035) := '2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D526567696F6E202E612D4D696E6943616C2D646179207B0D0A2020626F726465722D636F6C6F723A20236639663966393B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E74';
wwv_flow_api.g_varchar2_table(1036) := '2D526567696F6E202E612D4D696E6943616C2D6461792E69732D746F646179202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20233637386361393B0D0A2020636F6C6F723A20236666666666663B0D0A';
wwv_flow_api.g_varchar2_table(1037) := '7D0D0A2E742D526567696F6E202E612D4D696E6943616C2D6461792E69732D616374697665202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534613B0D0A2020636F6C6F723A2023343433';
wwv_flow_api.g_varchar2_table(1038) := '3330323B0D0A7D0D0A2E742D526567696F6E202E612D4D696E6943616C2D6461792E69732D7765656B656E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A7D0D0A2E742D526567696F6E202E612D4D696E694361';
wwv_flow_api.g_varchar2_table(1039) := '6C2D6461792E69732D6E756C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236635663566353B0D0A7D0D0A2E742D426F64792D616374696F6E73207B0D0A20200D0A20200D0A20200D0A7D0D0A2E742D426F64792D616374696F6E7320';
wwv_flow_api.g_varchar2_table(1040) := '2E612D4D696E6943616C207B0D0A2020626F726465723A2031707820736F6C696420236530653065303B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1041) := '2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D7469746C65207B0D0A2020636F6C6F723A20233361336133613B0D0A7D0D0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D6461794F665765656B207B0D0A2020';
wwv_flow_api.g_varchar2_table(1042) := '636F6C6F723A20233761376137613B0D0A7D0D0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D646179207B0D0A2020626F726465722D636F6C6F723A20236633663366333B0D0A2020636F6C6F723A20233361336133613B0D0A7D';
wwv_flow_api.g_varchar2_table(1043) := '0D0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D6461792E69732D746F646179202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20233637386361393B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1044) := '236666666666663B0D0A7D0D0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D6461792E69732D616374697665202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A2023666263653461';
wwv_flow_api.g_varchar2_table(1045) := '3B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D6461792E69732D7765656B656E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236634663466343B0D0A';
wwv_flow_api.g_varchar2_table(1046) := '7D0D0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D6461792E69732D6E756C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236566656665663B0D0A7D0D0A2E742D426F64792D696E666F207B0D0A20200D0A2020';
wwv_flow_api.g_varchar2_table(1047) := '0D0A20200D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C207B0D0A2020626F726465723A2031707820736F6C696420236536653665363B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(1048) := '642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D7469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C';
wwv_flow_api.g_varchar2_table(1049) := '2D6461794F665765656B207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D646179207B0D0A2020626F726465722D636F6C6F723A20236639663966393B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(1050) := '3A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D6461792E69732D746F646179202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20233637386361393B0D';
wwv_flow_api.g_varchar2_table(1051) := '0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D6461792E69732D616374697665202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1052) := '236662636534613B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D6461792E69732D7765656B656E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166';
wwv_flow_api.g_varchar2_table(1053) := '613B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D6461792E69732D6E756C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236635663566353B0D0A7D0D0A0D0A2E752D636F6C6F7273203E203A6E74682D6368';
wwv_flow_api.g_varchar2_table(1054) := '696C642834356E202B203129202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233330396664623B0D0A202066696C6C3A20233330396664623B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1055) := '6C6F7273203E203A6E74682D6368696C642834356E202B203129202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203129202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261';
wwv_flow_api.g_varchar2_table(1056) := '636B67726F756E642D636F6C6F723A20233330396664623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203129202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834';
wwv_flow_api.g_varchar2_table(1057) := '356E202B203129202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233330396664623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203129202E752D636F6C6F722D62642C0D0A2E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1058) := '7273203E203A6E74682D6368696C642834356E202B203129202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233330396664623B0D0A20207374726F6B653A20233330396664623B0D0A7D0D0A2E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1059) := '7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233133623663663B0D0A202066696C6C3A20233133623663663B0D0A2020636F6C6F723A20236534663966';
wwv_flow_api.g_varchar2_table(1060) := '643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D6261636B6772';
wwv_flow_api.g_varchar2_table(1061) := '6F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233133623663663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E20';
wwv_flow_api.g_varchar2_table(1062) := '3A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233133623663663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1063) := '62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233133623663663B0D0A20207374726F6B653A20233133623663663B';
wwv_flow_api.g_varchar2_table(1064) := '0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233265626662633B0D0A202066696C6C3A20233265626662633B0D0A202063';
wwv_flow_api.g_varchar2_table(1065) := '6F6C6F723A20236630666366623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D';
wwv_flow_api.g_varchar2_table(1066) := '636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233265626662633B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F722D7478742C0D0A';
wwv_flow_api.g_varchar2_table(1067) := '2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233265626662633B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20';
wwv_flow_api.g_varchar2_table(1068) := '3329202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233265626662633B0D0A20207374726F';
wwv_flow_api.g_varchar2_table(1069) := '6B653A20233265626662633B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203429202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233363616638353B0D0A202066696C6C3A2023';
wwv_flow_api.g_varchar2_table(1070) := '3363616638353B0D0A2020636F6C6F723A20236630666166363B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203429202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1071) := '34356E202B203429202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233363616638353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203429202E752D';
wwv_flow_api.g_varchar2_table(1072) := '636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203429202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233363616638353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D';
wwv_flow_api.g_varchar2_table(1073) := '6368696C642834356E202B203429202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203429202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A2023336361';
wwv_flow_api.g_varchar2_table(1074) := '6638353B0D0A20207374726F6B653A20233363616638353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203529202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A2023383162623566';
wwv_flow_api.g_varchar2_table(1075) := '3B0D0A202066696C6C3A20233831626235663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203529202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E';
wwv_flow_api.g_varchar2_table(1076) := '203A6E74682D6368696C642834356E202B203529202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233831626235663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1077) := '34356E202B203529202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203529202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233831626235663B0D0A7D0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1078) := '6C6F7273203E203A6E74682D6368696C642834356E202B203529202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203529202E752D636F6C6F722D626F72646572207B0D0A2020626F72646572';
wwv_flow_api.g_varchar2_table(1079) := '2D636F6C6F723A20233831626235663B0D0A20207374726F6B653A20233831626235663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(1080) := '6C6F723A20236464646535333B0D0A202066696C6C3A20236464646535333B0D0A2020636F6C6F723A20233261326130383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D62672C0D';
wwv_flow_api.g_varchar2_table(1081) := '0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236464646535333B0D0A7D0D0A2E752D636F6C6F7273203E';
wwv_flow_api.g_varchar2_table(1082) := '203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236464646535';
wwv_flow_api.g_varchar2_table(1083) := '333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D626F72646572';
wwv_flow_api.g_varchar2_table(1084) := '207B0D0A2020626F726465722D636F6C6F723A20236464646535333B0D0A20207374726F6B653A20236464646535333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F72207B0D0A202062';
wwv_flow_api.g_varchar2_table(1085) := '61636B67726F756E642D636F6C6F723A20236662636534613B0D0A202066696C6C3A20236662636534613B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E';
wwv_flow_api.g_varchar2_table(1086) := '752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534613B0D0A7D0D';
wwv_flow_api.g_varchar2_table(1087) := '0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F722D74657874207B0D0A202063';
wwv_flow_api.g_varchar2_table(1088) := '6F6C6F723A20236662636534613B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D';
wwv_flow_api.g_varchar2_table(1089) := '636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236662636534613B0D0A20207374726F6B653A20236662636534613B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203829202E752D';
wwv_flow_api.g_varchar2_table(1090) := '636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236564383133653B0D0A202066696C6C3A20236564383133653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C';
wwv_flow_api.g_varchar2_table(1091) := '642834356E202B203829202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203829202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1092) := '236564383133653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203829202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203829202E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1093) := '2D74657874207B0D0A2020636F6C6F723A20236564383133653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203829202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1094) := '34356E202B203829202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236564383133653B0D0A20207374726F6B653A20236564383133653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1095) := '34356E202B203929202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236539356235343B0D0A202066696C6C3A20236539356235343B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273';
wwv_flow_api.g_varchar2_table(1096) := '203E203A6E74682D6368696C642834356E202B203929202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203929202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B6772';
wwv_flow_api.g_varchar2_table(1097) := '6F756E642D636F6C6F723A20236539356235343B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203929202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B';
wwv_flow_api.g_varchar2_table(1098) := '203929202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236539356235343B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203929202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E';
wwv_flow_api.g_varchar2_table(1099) := '203A6E74682D6368696C642834356E202B203929202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236539356235343B0D0A20207374726F6B653A20236539356235343B0D0A7D0D0A2E752D636F6C6F7273203E';
wwv_flow_api.g_varchar2_table(1100) := '203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236538356438383B0D0A202066696C6C3A20236538356438383B0D0A2020636F6C6F723A20236666666666663B0D';
wwv_flow_api.g_varchar2_table(1101) := '0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F722D6261636B67726F';
wwv_flow_api.g_varchar2_table(1102) := '756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236538356438383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E20';
wwv_flow_api.g_varchar2_table(1103) := '3A6E74682D6368696C642834356E202B20313029202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236538356438383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1104) := '722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236538356438383B0D0A20207374726F6B653A202365383564';
wwv_flow_api.g_varchar2_table(1105) := '38383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236361353839643B0D0A202066696C6C3A20236361353839643B0D';
wwv_flow_api.g_varchar2_table(1106) := '0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2031';
wwv_flow_api.g_varchar2_table(1107) := '3129202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236361353839643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1108) := '2D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236361353839643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C';
wwv_flow_api.g_varchar2_table(1109) := '642834356E202B20313129202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236361353839';
wwv_flow_api.g_varchar2_table(1110) := '643B0D0A20207374726F6B653A20236361353839643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233835346539623B';
wwv_flow_api.g_varchar2_table(1111) := '0D0A202066696C6C3A20233835346539623B0D0A2020636F6C6F723A20236636663066383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E';
wwv_flow_api.g_varchar2_table(1112) := '203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233835346539623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64';
wwv_flow_api.g_varchar2_table(1113) := '2834356E202B20313229202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233835346539623B0D0A7D0D0A2E75';
wwv_flow_api.g_varchar2_table(1114) := '2D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F722D626F72646572207B0D0A202062';
wwv_flow_api.g_varchar2_table(1115) := '6F726465722D636F6C6F723A20233835346539623B0D0A20207374726F6B653A20233835346539623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F72207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(1116) := '756E642D636F6C6F723A20233561363861643B0D0A202066696C6C3A20233561363861643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C';
wwv_flow_api.g_varchar2_table(1117) := '6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233561363861643B0D0A7D0D0A2E752D';
wwv_flow_api.g_varchar2_table(1118) := '636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F722D74657874207B0D0A2020636F6C';
wwv_flow_api.g_varchar2_table(1119) := '6F723A20233561363861643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D';
wwv_flow_api.g_varchar2_table(1120) := '636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233561363861643B0D0A20207374726F6B653A20233561363861643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313429202E75';
wwv_flow_api.g_varchar2_table(1121) := '2D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236166626163353B0D0A202066696C6C3A20236166626163353B0D0A2020636F6C6F723A20233331336134343B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D636869';
wwv_flow_api.g_varchar2_table(1122) := '6C642834356E202B20313429202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313429202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(1123) := '723A20236166626163353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313429202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313429202E752D';
wwv_flow_api.g_varchar2_table(1124) := '636F6C6F722D74657874207B0D0A2020636F6C6F723A20236166626163353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313429202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D';
wwv_flow_api.g_varchar2_table(1125) := '6368696C642834356E202B20313429202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236166626163353B0D0A20207374726F6B653A20236166626163353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E7468';
wwv_flow_api.g_varchar2_table(1126) := '2D6368696C642834356E202B20313529202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233665383539383B0D0A202066696C6C3A20233665383539383B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(1127) := '752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313529202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313529202E752D636F6C6F722D6261636B67726F756E64207B';
wwv_flow_api.g_varchar2_table(1128) := '0D0A20206261636B67726F756E642D636F6C6F723A20233665383539383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313529202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D';
wwv_flow_api.g_varchar2_table(1129) := '6368696C642834356E202B20313529202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233665383539383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313529202E752D636F6C6F722D62642C';
wwv_flow_api.g_varchar2_table(1130) := '0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313529202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233665383539383B0D0A20207374726F6B653A20233665383539383B0D0A';
wwv_flow_api.g_varchar2_table(1131) := '7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233539623265323B0D0A202066696C6C3A20233539623265323B0D0A2020636F';
wwv_flow_api.g_varchar2_table(1132) := '6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E75';
wwv_flow_api.g_varchar2_table(1133) := '2D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233539623265323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F722D7478742C';
wwv_flow_api.g_varchar2_table(1134) := '0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233539623265323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E';
wwv_flow_api.g_varchar2_table(1135) := '202B20313629202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233539623265323B0D0A20';
wwv_flow_api.g_varchar2_table(1136) := '207374726F6B653A20233539623265323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313729202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233432633564393B0D0A202066';
wwv_flow_api.g_varchar2_table(1137) := '696C6C3A20233432633564393B0D0A2020636F6C6F723A20233035313531373B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313729202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E7468';
wwv_flow_api.g_varchar2_table(1138) := '2D6368696C642834356E202B20313729202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233432633564393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E20';
wwv_flow_api.g_varchar2_table(1139) := '2B20313729202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313729202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233432633564393B0D0A7D0D0A2E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1140) := '7273203E203A6E74682D6368696C642834356E202B20313729202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313729202E752D636F6C6F722D626F72646572207B0D0A2020626F72646572';
wwv_flow_api.g_varchar2_table(1141) := '2D636F6C6F723A20233432633564393B0D0A20207374726F6B653A20233432633564393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F72207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(1142) := '6F6C6F723A20233538636363393B0D0A202066696C6C3A20233538636363393B0D0A2020636F6C6F723A20233039316331633B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D6267';
wwv_flow_api.g_varchar2_table(1143) := '2C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233538636363393B0D0A7D0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1144) := '73203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1145) := '3538636363393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1146) := '2D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233538636363393B0D0A20207374726F6B653A20233538636363393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929202E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1147) := '72207B0D0A20206261636B67726F756E642D636F6C6F723A20233633626639643B0D0A202066696C6C3A20233633626639643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64283435';
wwv_flow_api.g_varchar2_table(1148) := '6E202B20313929202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A202336';
wwv_flow_api.g_varchar2_table(1149) := '33626639643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929202E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1150) := '2D74657874207B0D0A2020636F6C6F723A20233633626639643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64';
wwv_flow_api.g_varchar2_table(1151) := '2834356E202B20313929202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233633626639643B0D0A20207374726F6B653A20233633626639643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C';
wwv_flow_api.g_varchar2_table(1152) := '642834356E202B20323029202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233961633937663B0D0A202066696C6C3A20233961633937663B0D0A2020636F6C6F723A20233230333331363B0D0A7D0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1153) := '6F7273203E203A6E74682D6368696C642834356E202B20323029202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323029202E752D636F6C6F722D6261636B67726F756E64207B0D0A202062';
wwv_flow_api.g_varchar2_table(1154) := '61636B67726F756E642D636F6C6F723A20233961633937663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323029202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64';
wwv_flow_api.g_varchar2_table(1155) := '2834356E202B20323029202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233961633937663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323029202E752D636F6C6F722D62642C0D0A2E752D';
wwv_flow_api.g_varchar2_table(1156) := '636F6C6F7273203E203A6E74682D6368696C642834356E202B20323029202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233961633937663B0D0A20207374726F6B653A20233961633937663B0D0A7D0D0A2E75';
wwv_flow_api.g_varchar2_table(1157) := '2D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653537353B0D0A202066696C6C3A20236534653537353B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1158) := '233463346330663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1159) := '722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653537353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F722D7478742C0D0A2E752D';
wwv_flow_api.g_varchar2_table(1160) := '636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236534653537353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203231';
wwv_flow_api.g_varchar2_table(1161) := '29202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236534653537353B0D0A20207374726F';
wwv_flow_api.g_varchar2_table(1162) := '6B653A20236534653537353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323229202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236663643836653B0D0A202066696C6C3A20';
wwv_flow_api.g_varchar2_table(1163) := '236663643836653B0D0A2020636F6C6F723A20233639346630323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323229202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C';
wwv_flow_api.g_varchar2_table(1164) := '642834356E202B20323229202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236663643836653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323229';
wwv_flow_api.g_varchar2_table(1165) := '202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323229202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236663643836653B0D0A7D0D0A2E752D636F6C6F7273203E20';
wwv_flow_api.g_varchar2_table(1166) := '3A6E74682D6368696C642834356E202B20323229202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323229202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F';
wwv_flow_api.g_varchar2_table(1167) := '723A20236663643836653B0D0A20207374726F6B653A20236663643836653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(1168) := '20236631396136353B0D0A202066696C6C3A20236631396136353B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D62672C0D0A2E75';
wwv_flow_api.g_varchar2_table(1169) := '2D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236631396136353B0D0A7D0D0A2E752D636F6C6F7273203E203A';
wwv_flow_api.g_varchar2_table(1170) := '6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236631396136';
wwv_flow_api.g_varchar2_table(1171) := '353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D626F7264';
wwv_flow_api.g_varchar2_table(1172) := '6572207B0D0A2020626F726465722D636F6C6F723A20236631396136353B0D0A20207374726F6B653A20236631396136353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D636F6C6F72207B0D0A';
wwv_flow_api.g_varchar2_table(1173) := '20206261636B67726F756E642D636F6C6F723A20236564376337363B0D0A202066696C6C3A20236564376337363B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2032';
wwv_flow_api.g_varchar2_table(1174) := '3429202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A2023656437633736';
wwv_flow_api.g_varchar2_table(1175) := '3B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D636F6C6F722D74657874';
wwv_flow_api.g_varchar2_table(1176) := '207B0D0A2020636F6C6F723A20236564376337363B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E20';
wwv_flow_api.g_varchar2_table(1177) := '2B20323429202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236564376337363B0D0A20207374726F6B653A20236564376337363B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E';
wwv_flow_api.g_varchar2_table(1178) := '202B20323529202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236564376461303B0D0A202066696C6C3A20236564376461303B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E';
wwv_flow_api.g_varchar2_table(1179) := '203A6E74682D6368696C642834356E202B20323529202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323529202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B6772';
wwv_flow_api.g_varchar2_table(1180) := '6F756E642D636F6C6F723A20236564376461303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323529202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E20';
wwv_flow_api.g_varchar2_table(1181) := '2B20323529202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236564376461303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323529202E752D636F6C6F722D62642C0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1182) := '73203E203A6E74682D6368696C642834356E202B20323529202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236564376461303B0D0A20207374726F6B653A20236564376461303B0D0A7D0D0A2E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1183) := '7273203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236435373962313B0D0A202066696C6C3A20236435373962313B0D0A2020636F6C6F723A202366666666';
wwv_flow_api.g_varchar2_table(1184) := '66663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F722D626163';
wwv_flow_api.g_varchar2_table(1185) := '6B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236435373962313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1186) := '73203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236435373962313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323629202E752D';
wwv_flow_api.g_varchar2_table(1187) := '636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236435373962313B0D0A20207374726F6B653A2023';
wwv_flow_api.g_varchar2_table(1188) := '6435373962313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323729202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233964373161663B0D0A202066696C6C3A202339643731';
wwv_flow_api.g_varchar2_table(1189) := '61663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323729202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E';
wwv_flow_api.g_varchar2_table(1190) := '202B20323729202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233964373161663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323729202E752D63';
wwv_flow_api.g_varchar2_table(1191) := '6F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323729202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233964373161663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D';
wwv_flow_api.g_varchar2_table(1192) := '6368696C642834356E202B20323729202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323729202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A202339';
wwv_flow_api.g_varchar2_table(1193) := '64373161663B0D0A20207374726F6B653A20233964373161663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A2023376238';
wwv_flow_api.g_varchar2_table(1194) := '3662643B0D0A202066696C6C3A20233762383662643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F722D62672C0D0A2E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1195) := '7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233762383662643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D63';
wwv_flow_api.g_varchar2_table(1196) := '68696C642834356E202B20323829202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233762383662643B0D0A7D';
wwv_flow_api.g_varchar2_table(1197) := '0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F722D626F72646572207B0D';
wwv_flow_api.g_varchar2_table(1198) := '0A2020626F726465722D636F6C6F723A20233762383662643B0D0A20207374726F6B653A20233762383662643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F72207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(1199) := '6B67726F756E642D636F6C6F723A20236266633864313B0D0A202066696C6C3A20236266633864313B0D0A2020636F6C6F723A20233364343835343B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E75';
wwv_flow_api.g_varchar2_table(1200) := '2D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236266633864313B0D0A7D0D';
wwv_flow_api.g_varchar2_table(1201) := '0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F722D74657874207B0D0A20';
wwv_flow_api.g_varchar2_table(1202) := '20636F6C6F723A20236266633864313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929';
wwv_flow_api.g_varchar2_table(1203) := '202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236266633864313B0D0A20207374726F6B653A20236266633864313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203330';
wwv_flow_api.g_varchar2_table(1204) := '29202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233862396461643B0D0A202066696C6C3A20233862396461643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E7468';
wwv_flow_api.g_varchar2_table(1205) := '2D6368696C642834356E202B20333029202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333029202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(1206) := '636F6C6F723A20233862396461643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333029202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333029';
wwv_flow_api.g_varchar2_table(1207) := '202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233862396461643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333029202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A';
wwv_flow_api.g_varchar2_table(1208) := '6E74682D6368696C642834356E202B20333029202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233862396461643B0D0A20207374726F6B653A20233862396461643B0D0A7D0D0A2E752D636F6C6F7273203E20';
wwv_flow_api.g_varchar2_table(1209) := '3A6E74682D6368696C642834356E202B20333129202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233139386363613B0D0A202066696C6C3A20233139386363613B0D0A2020636F6C6F723A20236666666666663B0D0A';
wwv_flow_api.g_varchar2_table(1210) := '7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333129202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333129202E752D636F6C6F722D6261636B67726F75';
wwv_flow_api.g_varchar2_table(1211) := '6E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233139386363613B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333129202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A';
wwv_flow_api.g_varchar2_table(1212) := '6E74682D6368696C642834356E202B20333129202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233139386363613B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333129202E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1213) := '2D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333129202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233139386363613B0D0A20207374726F6B653A20233139386363';
wwv_flow_api.g_varchar2_table(1214) := '613B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233032613562653B0D0A202066696C6C3A20233032613562653B0D0A';
wwv_flow_api.g_varchar2_table(1215) := '2020636F6C6F723A20233030303030303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203332';
wwv_flow_api.g_varchar2_table(1216) := '29202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233032613562653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1217) := '7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233032613562653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64';
wwv_flow_api.g_varchar2_table(1218) := '2834356E202B20333229202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A2023303261356265';
wwv_flow_api.g_varchar2_table(1219) := '3B0D0A20207374726F6B653A20233032613562653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333329202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233138623161653B0D';
wwv_flow_api.g_varchar2_table(1220) := '0A202066696C6C3A20233138623161653B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333329202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E20';
wwv_flow_api.g_varchar2_table(1221) := '3A6E74682D6368696C642834356E202B20333329202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233138623161653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1222) := '34356E202B20333329202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333329202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233138623161653B0D0A7D0D0A2E752D';
wwv_flow_api.g_varchar2_table(1223) := '636F6C6F7273203E203A6E74682D6368696C642834356E202B20333329202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333329202E752D636F6C6F722D626F72646572207B0D0A2020626F';
wwv_flow_api.g_varchar2_table(1224) := '726465722D636F6C6F723A20233138623161653B0D0A20207374726F6B653A20233138623161653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F72207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(1225) := '6E642D636F6C6F723A20233234613437353B0D0A202066696C6C3A20233234613437353B0D0A2020636F6C6F723A20236566666266373B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1226) := '722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233234613437353B0D0A7D0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1227) := '6F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F722D74657874207B0D0A2020636F6C6F';
wwv_flow_api.g_varchar2_table(1228) := '723A20233234613437353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D63';
wwv_flow_api.g_varchar2_table(1229) := '6F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233234613437353B0D0A20207374726F6B653A20233234613437353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333529202E752D';
wwv_flow_api.g_varchar2_table(1230) := '636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233661616434323B0D0A202066696C6C3A20233661616434323B0D0A2020636F6C6F723A20233063313530363B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C';
wwv_flow_api.g_varchar2_table(1231) := '642834356E202B20333529202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333529202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(1232) := '3A20233661616434323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333529202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333529202E752D63';
wwv_flow_api.g_varchar2_table(1233) := '6F6C6F722D74657874207B0D0A2020636F6C6F723A20233661616434323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333529202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D63';
wwv_flow_api.g_varchar2_table(1234) := '68696C642834356E202B20333529202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233661616434323B0D0A20207374726F6B653A20233661616434323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D';
wwv_flow_api.g_varchar2_table(1235) := '6368696C642834356E202B20333629202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236339636133393B0D0A202066696C6C3A20236339636133393B0D0A2020636F6C6F723A20233264326530343B0D0A7D0D0A2E75';
wwv_flow_api.g_varchar2_table(1236) := '2D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333629202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333629202E752D636F6C6F722D6261636B67726F756E64207B0D';
wwv_flow_api.g_varchar2_table(1237) := '0A20206261636B67726F756E642D636F6C6F723A20236339636133393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333629202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D63';
wwv_flow_api.g_varchar2_table(1238) := '68696C642834356E202B20333629202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236339636133393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333629202E752D636F6C6F722D62642C0D';
wwv_flow_api.g_varchar2_table(1239) := '0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333629202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236339636133393B0D0A20207374726F6B653A20236339636133393B0D0A7D';
wwv_flow_api.g_varchar2_table(1240) := '0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236439623133623B0D0A202066696C6C3A20236439623133623B0D0A2020636F6C';
wwv_flow_api.g_varchar2_table(1241) := '6F723A20233436333430303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D';
wwv_flow_api.g_varchar2_table(1242) := '636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236439623133623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F722D7478742C0D';
wwv_flow_api.g_varchar2_table(1243) := '0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236439623133623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E20';
wwv_flow_api.g_varchar2_table(1244) := '2B20333729202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236439623133623B0D0A2020';
wwv_flow_api.g_varchar2_table(1245) := '7374726F6B653A20236439623133623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333829202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236437366132373B0D0A20206669';
wwv_flow_api.g_varchar2_table(1246) := '6C6C3A20236437366132373B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333829202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D';
wwv_flow_api.g_varchar2_table(1247) := '6368696C642834356E202B20333829202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236437366132373B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B';
wwv_flow_api.g_varchar2_table(1248) := '20333829202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333829202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236437366132373B0D0A7D0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1249) := '73203E203A6E74682D6368696C642834356E202B20333829202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333829202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D';
wwv_flow_api.g_varchar2_table(1250) := '636F6C6F723A20236437366132373B0D0A20207374726F6B653A20236437366132373B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(1251) := '6C6F723A20236432343233623B0D0A202066696C6C3A20236432343233623B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D62672C';
wwv_flow_api.g_varchar2_table(1252) := '0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236432343233623B0D0A7D0D0A2E752D636F6C6F7273';
wwv_flow_api.g_varchar2_table(1253) := '203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A202364';
wwv_flow_api.g_varchar2_table(1254) := '32343233623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1255) := '626F72646572207B0D0A2020626F726465722D636F6C6F723A20236432343233623B0D0A20207374726F6B653A20236432343233623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343029202E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1256) := '207B0D0A20206261636B67726F756E642D636F6C6F723A20236431343336663B0D0A202066696C6C3A20236431343336663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E';
wwv_flow_api.g_varchar2_table(1257) := '202B20343029202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343029202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236431';
wwv_flow_api.g_varchar2_table(1258) := '343336663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343029202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343029202E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1259) := '74657874207B0D0A2020636F6C6F723A20236431343336663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343029202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1260) := '34356E202B20343029202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236431343336663B0D0A20207374726F6B653A20236431343336663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64';
wwv_flow_api.g_varchar2_table(1261) := '2834356E202B20343129202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236261336438383B0D0A202066696C6C3A20236261336438383B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1262) := '7273203E203A6E74682D6368696C642834356E202B20343129202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343129202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261';
wwv_flow_api.g_varchar2_table(1263) := '636B67726F756E642D636F6C6F723A20236261336438383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343129202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1264) := '34356E202B20343129202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236261336438383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343129202E752D636F6C6F722D62642C0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1265) := '6F6C6F7273203E203A6E74682D6368696C642834356E202B20343129202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236261336438383B0D0A20207374726F6B653A20236261336438383B0D0A7D0D0A2E752D';
wwv_flow_api.g_varchar2_table(1266) := '636F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233737333339333B0D0A202066696C6C3A20233737333339333B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1267) := '6636656666393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1268) := '2D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233737333339333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F722D7478742C0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1269) := '6F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233737333339333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343229';
wwv_flow_api.g_varchar2_table(1270) := '202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233737333339333B0D0A20207374726F6B';
wwv_flow_api.g_varchar2_table(1271) := '653A20233737333339333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343329202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233364346561333B0D0A202066696C6C3A2023';
wwv_flow_api.g_varchar2_table(1272) := '3364346561333B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343329202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64';
wwv_flow_api.g_varchar2_table(1273) := '2834356E202B20343329202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233364346561333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2034332920';
wwv_flow_api.g_varchar2_table(1274) := '2E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343329202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233364346561333B0D0A7D0D0A2E752D636F6C6F7273203E203A';
wwv_flow_api.g_varchar2_table(1275) := '6E74682D6368696C642834356E202B20343329202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343329202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F72';
wwv_flow_api.g_varchar2_table(1276) := '3A20233364346561333B0D0A20207374726F6B653A20233364346561333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1277) := '233863396562303B0D0A202066696C6C3A20233863396562303B0D0A2020636F6C6F723A20233238336134643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F722D62672C0D0A2E752D';
wwv_flow_api.g_varchar2_table(1278) := '636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233863396562303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E';
wwv_flow_api.g_varchar2_table(1279) := '74682D6368696C642834356E202B20343429202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A2023386339656230';
wwv_flow_api.g_varchar2_table(1280) := '3B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F722D626F726465';
wwv_flow_api.g_varchar2_table(1281) := '72207B0D0A2020626F726465722D636F6C6F723A20233863396562303B0D0A20207374726F6B653A20233863396562303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F6C6F72207B0D0A20';
wwv_flow_api.g_varchar2_table(1282) := '206261636B67726F756E642D636F6C6F723A20233465373339313B0D0A202066696C6C3A20233465373339313B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203435';
wwv_flow_api.g_varchar2_table(1283) := '29202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233465373339313B';
wwv_flow_api.g_varchar2_table(1284) := '0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F6C6F722D7465787420';
wwv_flow_api.g_varchar2_table(1285) := '7B0D0A2020636F6C6F723A20233465373339313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B';
wwv_flow_api.g_varchar2_table(1286) := '20343529202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233465373339313B0D0A20207374726F6B653A20233465373339313B0D0A7D0D0A0D0A2E752D636F6C6F722D31207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(1287) := '642D636F6C6F723A20233330396664622021696D706F7274616E743B0D0A202066696C6C3A20233330396664622021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1288) := '2D312D62672C0D0A2E752D636F6C6F722D312D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233330396664622021696D706F7274616E743B0D0A202066696C6C3A20233330396664622021696D706F7274616E74';
wwv_flow_api.g_varchar2_table(1289) := '3B0D0A7D0D0A2E752D636F6C6F722D312D7478742C0D0A2E752D636F6C6F722D312D74657874207B0D0A2020636F6C6F723A20233330396664622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D312D62642C0D0A2E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1290) := '312D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233330396664622021696D706F7274616E743B0D0A20207374726F6B653A20233330396664622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32207B0D0A202062';
wwv_flow_api.g_varchar2_table(1291) := '61636B67726F756E642D636F6C6F723A20233133623663662021696D706F7274616E743B0D0A202066696C6C3A20233133623663662021696D706F7274616E743B0D0A2020636F6C6F723A20236534663966642021696D706F7274616E743B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1292) := '2E752D636F6C6F722D322D62672C0D0A2E752D636F6C6F722D322D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233133623663662021696D706F7274616E743B0D0A202066696C6C3A2023313362366366202169';
wwv_flow_api.g_varchar2_table(1293) := '6D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D322D7478742C0D0A2E752D636F6C6F722D322D74657874207B0D0A2020636F6C6F723A20233133623663662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D322D62642C0D0A2E';
wwv_flow_api.g_varchar2_table(1294) := '752D636F6C6F722D322D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233133623663662021696D706F7274616E743B0D0A20207374726F6B653A20233133623663662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1295) := '33207B0D0A20206261636B67726F756E642D636F6C6F723A20233265626662632021696D706F7274616E743B0D0A202066696C6C3A20233265626662632021696D706F7274616E743B0D0A2020636F6C6F723A20236630666366622021696D706F727461';
wwv_flow_api.g_varchar2_table(1296) := '6E743B0D0A7D0D0A2E752D636F6C6F722D332D62672C0D0A2E752D636F6C6F722D332D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233265626662632021696D706F7274616E743B0D0A202066696C6C3A202332';
wwv_flow_api.g_varchar2_table(1297) := '65626662632021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D332D7478742C0D0A2E752D636F6C6F722D332D74657874207B0D0A2020636F6C6F723A20233265626662632021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1298) := '332D62642C0D0A2E752D636F6C6F722D332D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233265626662632021696D706F7274616E743B0D0A20207374726F6B653A20233265626662632021696D706F7274616E743B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(1299) := '752D636F6C6F722D34207B0D0A20206261636B67726F756E642D636F6C6F723A20233363616638352021696D706F7274616E743B0D0A202066696C6C3A20233363616638352021696D706F7274616E743B0D0A2020636F6C6F723A202366306661663620';
wwv_flow_api.g_varchar2_table(1300) := '21696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D342D62672C0D0A2E752D636F6C6F722D342D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233363616638352021696D706F7274616E743B0D0A2020';
wwv_flow_api.g_varchar2_table(1301) := '66696C6C3A20233363616638352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D342D7478742C0D0A2E752D636F6C6F722D342D74657874207B0D0A2020636F6C6F723A20233363616638352021696D706F7274616E743B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(1302) := '752D636F6C6F722D342D62642C0D0A2E752D636F6C6F722D342D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233363616638352021696D706F7274616E743B0D0A20207374726F6B653A20233363616638352021696D706F7274616E';
wwv_flow_api.g_varchar2_table(1303) := '743B0D0A7D0D0A2E752D636F6C6F722D35207B0D0A20206261636B67726F756E642D636F6C6F723A20233831626235662021696D706F7274616E743B0D0A202066696C6C3A20233831626235662021696D706F7274616E743B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1304) := '236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D352D62672C0D0A2E752D636F6C6F722D352D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233831626235662021696D706F7274';
wwv_flow_api.g_varchar2_table(1305) := '616E743B0D0A202066696C6C3A20233831626235662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D352D7478742C0D0A2E752D636F6C6F722D352D74657874207B0D0A2020636F6C6F723A20233831626235662021696D706F7274616E';
wwv_flow_api.g_varchar2_table(1306) := '743B0D0A7D0D0A2E752D636F6C6F722D352D62642C0D0A2E752D636F6C6F722D352D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233831626235662021696D706F7274616E743B0D0A20207374726F6B653A20233831626235662021';
wwv_flow_api.g_varchar2_table(1307) := '696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D36207B0D0A20206261636B67726F756E642D636F6C6F723A20236464646535332021696D706F7274616E743B0D0A202066696C6C3A20236464646535332021696D706F7274616E743B0D0A20';
wwv_flow_api.g_varchar2_table(1308) := '20636F6C6F723A20233261326130382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D362D62672C0D0A2E752D636F6C6F722D362D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A2023646464653533';
wwv_flow_api.g_varchar2_table(1309) := '2021696D706F7274616E743B0D0A202066696C6C3A20236464646535332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D362D7478742C0D0A2E752D636F6C6F722D362D74657874207B0D0A2020636F6C6F723A20236464646535332021';
wwv_flow_api.g_varchar2_table(1310) := '696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D362D62642C0D0A2E752D636F6C6F722D362D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236464646535332021696D706F7274616E743B0D0A20207374726F6B653A2023';
wwv_flow_api.g_varchar2_table(1311) := '6464646535332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D37207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534612021696D706F7274616E743B0D0A202066696C6C3A20236662636534612021696D706F72';
wwv_flow_api.g_varchar2_table(1312) := '74616E743B0D0A2020636F6C6F723A20233434333330322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D372D62672C0D0A2E752D636F6C6F722D372D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(1313) := '20236662636534612021696D706F7274616E743B0D0A202066696C6C3A20236662636534612021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D372D7478742C0D0A2E752D636F6C6F722D372D74657874207B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1314) := '6662636534612021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D372D62642C0D0A2E752D636F6C6F722D372D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236662636534612021696D706F7274616E743B0D0A202073';
wwv_flow_api.g_varchar2_table(1315) := '74726F6B653A20236662636534612021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D38207B0D0A20206261636B67726F756E642D636F6C6F723A20236564383133652021696D706F7274616E743B0D0A202066696C6C3A20236564383133';
wwv_flow_api.g_varchar2_table(1316) := '652021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D382D62672C0D0A2E752D636F6C6F722D382D6261636B67726F756E64207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(1317) := '642D636F6C6F723A20236564383133652021696D706F7274616E743B0D0A202066696C6C3A20236564383133652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D382D7478742C0D0A2E752D636F6C6F722D382D74657874207B0D0A2020';
wwv_flow_api.g_varchar2_table(1318) := '636F6C6F723A20236564383133652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D382D62642C0D0A2E752D636F6C6F722D382D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236564383133652021696D706F727461';
wwv_flow_api.g_varchar2_table(1319) := '6E743B0D0A20207374726F6B653A20236564383133652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D39207B0D0A20206261636B67726F756E642D636F6C6F723A20236539356235342021696D706F7274616E743B0D0A202066696C6C';
wwv_flow_api.g_varchar2_table(1320) := '3A20236539356235342021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D392D62672C0D0A2E752D636F6C6F722D392D6261636B67726F756E64207B0D0A202062';
wwv_flow_api.g_varchar2_table(1321) := '61636B67726F756E642D636F6C6F723A20236539356235342021696D706F7274616E743B0D0A202066696C6C3A20236539356235342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D392D7478742C0D0A2E752D636F6C6F722D392D7465';
wwv_flow_api.g_varchar2_table(1322) := '7874207B0D0A2020636F6C6F723A20236539356235342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D392D62642C0D0A2E752D636F6C6F722D392D626F72646572207B0D0A2020626F726465722D636F6C6F723A202365393562353420';
wwv_flow_api.g_varchar2_table(1323) := '21696D706F7274616E743B0D0A20207374726F6B653A20236539356235342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3130207B0D0A20206261636B67726F756E642D636F6C6F723A20236538356438382021696D706F7274616E74';
wwv_flow_api.g_varchar2_table(1324) := '3B0D0A202066696C6C3A20236538356438382021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31302D62672C0D0A2E752D636F6C6F722D31302D6261636B6772';
wwv_flow_api.g_varchar2_table(1325) := '6F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236538356438382021696D706F7274616E743B0D0A202066696C6C3A20236538356438382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31302D7478742C0D0A2E';
wwv_flow_api.g_varchar2_table(1326) := '752D636F6C6F722D31302D74657874207B0D0A2020636F6C6F723A20236538356438382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31302D62642C0D0A2E752D636F6C6F722D31302D626F72646572207B0D0A2020626F726465722D';
wwv_flow_api.g_varchar2_table(1327) := '636F6C6F723A20236538356438382021696D706F7274616E743B0D0A20207374726F6B653A20236538356438382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3131207B0D0A20206261636B67726F756E642D636F6C6F723A20236361';
wwv_flow_api.g_varchar2_table(1328) := '353839642021696D706F7274616E743B0D0A202066696C6C3A20236361353839642021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31312D62672C0D0A2E752D';
wwv_flow_api.g_varchar2_table(1329) := '636F6C6F722D31312D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236361353839642021696D706F7274616E743B0D0A202066696C6C3A20236361353839642021696D706F7274616E743B0D0A7D0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1330) := '6F6C6F722D31312D7478742C0D0A2E752D636F6C6F722D31312D74657874207B0D0A2020636F6C6F723A20236361353839642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31312D62642C0D0A2E752D636F6C6F722D31312D626F7264';
wwv_flow_api.g_varchar2_table(1331) := '6572207B0D0A2020626F726465722D636F6C6F723A20236361353839642021696D706F7274616E743B0D0A20207374726F6B653A20236361353839642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3132207B0D0A20206261636B6772';
wwv_flow_api.g_varchar2_table(1332) := '6F756E642D636F6C6F723A20233835346539622021696D706F7274616E743B0D0A202066696C6C3A20233835346539622021696D706F7274616E743B0D0A2020636F6C6F723A20236636663066382021696D706F7274616E743B0D0A7D0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1333) := '6C6F722D31322D62672C0D0A2E752D636F6C6F722D31322D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233835346539622021696D706F7274616E743B0D0A202066696C6C3A20233835346539622021696D706F';
wwv_flow_api.g_varchar2_table(1334) := '7274616E743B0D0A7D0D0A2E752D636F6C6F722D31322D7478742C0D0A2E752D636F6C6F722D31322D74657874207B0D0A2020636F6C6F723A20233835346539622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31322D62642C0D0A2E';
wwv_flow_api.g_varchar2_table(1335) := '752D636F6C6F722D31322D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233835346539622021696D706F7274616E743B0D0A20207374726F6B653A20233835346539622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1336) := '2D3133207B0D0A20206261636B67726F756E642D636F6C6F723A20233561363861642021696D706F7274616E743B0D0A202066696C6C3A20233561363861642021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F72';
wwv_flow_api.g_varchar2_table(1337) := '74616E743B0D0A7D0D0A2E752D636F6C6F722D31332D62672C0D0A2E752D636F6C6F722D31332D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233561363861642021696D706F7274616E743B0D0A202066696C6C';
wwv_flow_api.g_varchar2_table(1338) := '3A20233561363861642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31332D7478742C0D0A2E752D636F6C6F722D31332D74657874207B0D0A2020636F6C6F723A20233561363861642021696D706F7274616E743B0D0A7D0D0A2E752D';
wwv_flow_api.g_varchar2_table(1339) := '636F6C6F722D31332D62642C0D0A2E752D636F6C6F722D31332D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233561363861642021696D706F7274616E743B0D0A20207374726F6B653A20233561363861642021696D706F7274616E';
wwv_flow_api.g_varchar2_table(1340) := '743B0D0A7D0D0A2E752D636F6C6F722D3134207B0D0A20206261636B67726F756E642D636F6C6F723A20236166626163352021696D706F7274616E743B0D0A202066696C6C3A20236166626163352021696D706F7274616E743B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(1341) := '20233331336134342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31342D62672C0D0A2E752D636F6C6F722D31342D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236166626163352021696D70';
wwv_flow_api.g_varchar2_table(1342) := '6F7274616E743B0D0A202066696C6C3A20236166626163352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31342D7478742C0D0A2E752D636F6C6F722D31342D74657874207B0D0A2020636F6C6F723A20236166626163352021696D70';
wwv_flow_api.g_varchar2_table(1343) := '6F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31342D62642C0D0A2E752D636F6C6F722D31342D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236166626163352021696D706F7274616E743B0D0A20207374726F6B653A202361';
wwv_flow_api.g_varchar2_table(1344) := '66626163352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3135207B0D0A20206261636B67726F756E642D636F6C6F723A20233665383539382021696D706F7274616E743B0D0A202066696C6C3A20233665383539382021696D706F72';
wwv_flow_api.g_varchar2_table(1345) := '74616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31352D62672C0D0A2E752D636F6C6F722D31352D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(1346) := '723A20233665383539382021696D706F7274616E743B0D0A202066696C6C3A20233665383539382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31352D7478742C0D0A2E752D636F6C6F722D31352D74657874207B0D0A2020636F6C6F';
wwv_flow_api.g_varchar2_table(1347) := '723A20233665383539382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31352D62642C0D0A2E752D636F6C6F722D31352D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233665383539382021696D706F7274616E74';
wwv_flow_api.g_varchar2_table(1348) := '3B0D0A20207374726F6B653A20233665383539382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3136207B0D0A20206261636B67726F756E642D636F6C6F723A20233539623265322021696D706F7274616E743B0D0A202066696C6C3A';
wwv_flow_api.g_varchar2_table(1349) := '20233539623265322021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31362D62672C0D0A2E752D636F6C6F722D31362D6261636B67726F756E64207B0D0A2020';
wwv_flow_api.g_varchar2_table(1350) := '6261636B67726F756E642D636F6C6F723A20233539623265322021696D706F7274616E743B0D0A202066696C6C3A20233539623265322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31362D7478742C0D0A2E752D636F6C6F722D3136';
wwv_flow_api.g_varchar2_table(1351) := '2D74657874207B0D0A2020636F6C6F723A20233539623265322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31362D62642C0D0A2E752D636F6C6F722D31362D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233539';
wwv_flow_api.g_varchar2_table(1352) := '623265322021696D706F7274616E743B0D0A20207374726F6B653A20233539623265322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3137207B0D0A20206261636B67726F756E642D636F6C6F723A20233432633564392021696D706F';
wwv_flow_api.g_varchar2_table(1353) := '7274616E743B0D0A202066696C6C3A20233432633564392021696D706F7274616E743B0D0A2020636F6C6F723A20233035313531372021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31372D62672C0D0A2E752D636F6C6F722D31372D62';
wwv_flow_api.g_varchar2_table(1354) := '61636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233432633564392021696D706F7274616E743B0D0A202066696C6C3A20233432633564392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31372D7478';
wwv_flow_api.g_varchar2_table(1355) := '742C0D0A2E752D636F6C6F722D31372D74657874207B0D0A2020636F6C6F723A20233432633564392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31372D62642C0D0A2E752D636F6C6F722D31372D626F72646572207B0D0A2020626F';
wwv_flow_api.g_varchar2_table(1356) := '726465722D636F6C6F723A20233432633564392021696D706F7274616E743B0D0A20207374726F6B653A20233432633564392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3138207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(1357) := '3A20233538636363392021696D706F7274616E743B0D0A202066696C6C3A20233538636363392021696D706F7274616E743B0D0A2020636F6C6F723A20233039316331632021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31382D62672C';
wwv_flow_api.g_varchar2_table(1358) := '0D0A2E752D636F6C6F722D31382D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233538636363392021696D706F7274616E743B0D0A202066696C6C3A20233538636363392021696D706F7274616E743B0D0A7D0D';
wwv_flow_api.g_varchar2_table(1359) := '0A2E752D636F6C6F722D31382D7478742C0D0A2E752D636F6C6F722D31382D74657874207B0D0A2020636F6C6F723A20233538636363392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31382D62642C0D0A2E752D636F6C6F722D3138';
wwv_flow_api.g_varchar2_table(1360) := '2D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233538636363392021696D706F7274616E743B0D0A20207374726F6B653A20233538636363392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3139207B0D0A202062';
wwv_flow_api.g_varchar2_table(1361) := '61636B67726F756E642D636F6C6F723A20233633626639642021696D706F7274616E743B0D0A202066696C6C3A20233633626639642021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1362) := '2E752D636F6C6F722D31392D62672C0D0A2E752D636F6C6F722D31392D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233633626639642021696D706F7274616E743B0D0A202066696C6C3A202336336266396420';
wwv_flow_api.g_varchar2_table(1363) := '21696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31392D7478742C0D0A2E752D636F6C6F722D31392D74657874207B0D0A2020636F6C6F723A20233633626639642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31392D62';
wwv_flow_api.g_varchar2_table(1364) := '642C0D0A2E752D636F6C6F722D31392D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233633626639642021696D706F7274616E743B0D0A20207374726F6B653A20233633626639642021696D706F7274616E743B0D0A7D0D0A2E752D';
wwv_flow_api.g_varchar2_table(1365) := '636F6C6F722D3230207B0D0A20206261636B67726F756E642D636F6C6F723A20233961633937662021696D706F7274616E743B0D0A202066696C6C3A20233961633937662021696D706F7274616E743B0D0A2020636F6C6F723A20233230333331362021';
wwv_flow_api.g_varchar2_table(1366) := '696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32302D62672C0D0A2E752D636F6C6F722D32302D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233961633937662021696D706F7274616E743B0D0A20';
wwv_flow_api.g_varchar2_table(1367) := '2066696C6C3A20233961633937662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32302D7478742C0D0A2E752D636F6C6F722D32302D74657874207B0D0A2020636F6C6F723A20233961633937662021696D706F7274616E743B0D0A7D';
wwv_flow_api.g_varchar2_table(1368) := '0D0A2E752D636F6C6F722D32302D62642C0D0A2E752D636F6C6F722D32302D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233961633937662021696D706F7274616E743B0D0A20207374726F6B653A20233961633937662021696D70';
wwv_flow_api.g_varchar2_table(1369) := '6F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3231207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653537352021696D706F7274616E743B0D0A202066696C6C3A20236534653537352021696D706F7274616E743B0D0A202063';
wwv_flow_api.g_varchar2_table(1370) := '6F6C6F723A20233463346330662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32312D62672C0D0A2E752D636F6C6F722D32312D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A2023653465353735';
wwv_flow_api.g_varchar2_table(1371) := '2021696D706F7274616E743B0D0A202066696C6C3A20236534653537352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32312D7478742C0D0A2E752D636F6C6F722D32312D74657874207B0D0A2020636F6C6F723A2023653465353735';
wwv_flow_api.g_varchar2_table(1372) := '2021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32312D62642C0D0A2E752D636F6C6F722D32312D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236534653537352021696D706F7274616E743B0D0A20207374726F6B';
wwv_flow_api.g_varchar2_table(1373) := '653A20236534653537352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3232207B0D0A20206261636B67726F756E642D636F6C6F723A20236663643836652021696D706F7274616E743B0D0A202066696C6C3A20236663643836652021';
wwv_flow_api.g_varchar2_table(1374) := '696D706F7274616E743B0D0A2020636F6C6F723A20233639346630322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32322D62672C0D0A2E752D636F6C6F722D32322D6261636B67726F756E64207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(1375) := '2D636F6C6F723A20236663643836652021696D706F7274616E743B0D0A202066696C6C3A20236663643836652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32322D7478742C0D0A2E752D636F6C6F722D32322D74657874207B0D0A20';
wwv_flow_api.g_varchar2_table(1376) := '20636F6C6F723A20236663643836652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32322D62642C0D0A2E752D636F6C6F722D32322D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236663643836652021696D706F';
wwv_flow_api.g_varchar2_table(1377) := '7274616E743B0D0A20207374726F6B653A20236663643836652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3233207B0D0A20206261636B67726F756E642D636F6C6F723A20236631396136352021696D706F7274616E743B0D0A2020';
wwv_flow_api.g_varchar2_table(1378) := '66696C6C3A20236631396136352021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32332D62672C0D0A2E752D636F6C6F722D32332D6261636B67726F756E6420';
wwv_flow_api.g_varchar2_table(1379) := '7B0D0A20206261636B67726F756E642D636F6C6F723A20236631396136352021696D706F7274616E743B0D0A202066696C6C3A20236631396136352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32332D7478742C0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1380) := '6F722D32332D74657874207B0D0A2020636F6C6F723A20236631396136352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32332D62642C0D0A2E752D636F6C6F722D32332D626F72646572207B0D0A2020626F726465722D636F6C6F72';
wwv_flow_api.g_varchar2_table(1381) := '3A20236631396136352021696D706F7274616E743B0D0A20207374726F6B653A20236631396136352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3234207B0D0A20206261636B67726F756E642D636F6C6F723A202365643763373620';
wwv_flow_api.g_varchar2_table(1382) := '21696D706F7274616E743B0D0A202066696C6C3A20236564376337362021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32342D62672C0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1383) := '2D32342D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236564376337362021696D706F7274616E743B0D0A202066696C6C3A20236564376337362021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1384) := '32342D7478742C0D0A2E752D636F6C6F722D32342D74657874207B0D0A2020636F6C6F723A20236564376337362021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32342D62642C0D0A2E752D636F6C6F722D32342D626F72646572207B0D';
wwv_flow_api.g_varchar2_table(1385) := '0A2020626F726465722D636F6C6F723A20236564376337362021696D706F7274616E743B0D0A20207374726F6B653A20236564376337362021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3235207B0D0A20206261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(1386) := '636F6C6F723A20236564376461302021696D706F7274616E743B0D0A202066696C6C3A20236564376461302021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32';
wwv_flow_api.g_varchar2_table(1387) := '352D62672C0D0A2E752D636F6C6F722D32352D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236564376461302021696D706F7274616E743B0D0A202066696C6C3A20236564376461302021696D706F7274616E74';
wwv_flow_api.g_varchar2_table(1388) := '3B0D0A7D0D0A2E752D636F6C6F722D32352D7478742C0D0A2E752D636F6C6F722D32352D74657874207B0D0A2020636F6C6F723A20236564376461302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32352D62642C0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1389) := '6F722D32352D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236564376461302021696D706F7274616E743B0D0A20207374726F6B653A20236564376461302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3236207B';
wwv_flow_api.g_varchar2_table(1390) := '0D0A20206261636B67726F756E642D636F6C6F723A20236435373962312021696D706F7274616E743B0D0A202066696C6C3A20236435373962312021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1391) := '0D0A7D0D0A2E752D636F6C6F722D32362D62672C0D0A2E752D636F6C6F722D32362D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236435373962312021696D706F7274616E743B0D0A202066696C6C3A20236435';
wwv_flow_api.g_varchar2_table(1392) := '373962312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32362D7478742C0D0A2E752D636F6C6F722D32362D74657874207B0D0A2020636F6C6F723A20236435373962312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1393) := '2D32362D62642C0D0A2E752D636F6C6F722D32362D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236435373962312021696D706F7274616E743B0D0A20207374726F6B653A20236435373962312021696D706F7274616E743B0D0A7D';
wwv_flow_api.g_varchar2_table(1394) := '0D0A2E752D636F6C6F722D3237207B0D0A20206261636B67726F756E642D636F6C6F723A20233964373161662021696D706F7274616E743B0D0A202066696C6C3A20233964373161662021696D706F7274616E743B0D0A2020636F6C6F723A2023666666';
wwv_flow_api.g_varchar2_table(1395) := '6666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32372D62672C0D0A2E752D636F6C6F722D32372D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233964373161662021696D706F7274616E';
wwv_flow_api.g_varchar2_table(1396) := '743B0D0A202066696C6C3A20233964373161662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32372D7478742C0D0A2E752D636F6C6F722D32372D74657874207B0D0A2020636F6C6F723A20233964373161662021696D706F7274616E';
wwv_flow_api.g_varchar2_table(1397) := '743B0D0A7D0D0A2E752D636F6C6F722D32372D62642C0D0A2E752D636F6C6F722D32372D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233964373161662021696D706F7274616E743B0D0A20207374726F6B653A2023396437316166';
wwv_flow_api.g_varchar2_table(1398) := '2021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3238207B0D0A20206261636B67726F756E642D636F6C6F723A20233762383662642021696D706F7274616E743B0D0A202066696C6C3A20233762383662642021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1399) := '0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32382D62672C0D0A2E752D636F6C6F722D32382D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A202337';
wwv_flow_api.g_varchar2_table(1400) := '62383662642021696D706F7274616E743B0D0A202066696C6C3A20233762383662642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32382D7478742C0D0A2E752D636F6C6F722D32382D74657874207B0D0A2020636F6C6F723A202337';
wwv_flow_api.g_varchar2_table(1401) := '62383662642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32382D62642C0D0A2E752D636F6C6F722D32382D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233762383662642021696D706F7274616E743B0D0A2020';
wwv_flow_api.g_varchar2_table(1402) := '7374726F6B653A20233762383662642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3239207B0D0A20206261636B67726F756E642D636F6C6F723A20236266633864312021696D706F7274616E743B0D0A202066696C6C3A2023626663';
wwv_flow_api.g_varchar2_table(1403) := '3864312021696D706F7274616E743B0D0A2020636F6C6F723A20233364343835342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32392D62672C0D0A2E752D636F6C6F722D32392D6261636B67726F756E64207B0D0A20206261636B67';
wwv_flow_api.g_varchar2_table(1404) := '726F756E642D636F6C6F723A20236266633864312021696D706F7274616E743B0D0A202066696C6C3A20236266633864312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32392D7478742C0D0A2E752D636F6C6F722D32392D74657874';
wwv_flow_api.g_varchar2_table(1405) := '207B0D0A2020636F6C6F723A20236266633864312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32392D62642C0D0A2E752D636F6C6F722D32392D626F72646572207B0D0A2020626F726465722D636F6C6F723A202362666338643120';
wwv_flow_api.g_varchar2_table(1406) := '21696D706F7274616E743B0D0A20207374726F6B653A20236266633864312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3330207B0D0A20206261636B67726F756E642D636F6C6F723A20233862396461642021696D706F7274616E74';
wwv_flow_api.g_varchar2_table(1407) := '3B0D0A202066696C6C3A20233862396461642021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33302D62672C0D0A2E752D636F6C6F722D33302D6261636B6772';
wwv_flow_api.g_varchar2_table(1408) := '6F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233862396461642021696D706F7274616E743B0D0A202066696C6C3A20233862396461642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33302D7478742C0D0A2E';
wwv_flow_api.g_varchar2_table(1409) := '752D636F6C6F722D33302D74657874207B0D0A2020636F6C6F723A20233862396461642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33302D62642C0D0A2E752D636F6C6F722D33302D626F72646572207B0D0A2020626F726465722D';
wwv_flow_api.g_varchar2_table(1410) := '636F6C6F723A20233862396461642021696D706F7274616E743B0D0A20207374726F6B653A20233862396461642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3331207B0D0A20206261636B67726F756E642D636F6C6F723A20233139';
wwv_flow_api.g_varchar2_table(1411) := '386363612021696D706F7274616E743B0D0A202066696C6C3A20233139386363612021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33312D62672C0D0A2E752D';
wwv_flow_api.g_varchar2_table(1412) := '636F6C6F722D33312D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233139386363612021696D706F7274616E743B0D0A202066696C6C3A20233139386363612021696D706F7274616E743B0D0A7D0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1413) := '6F6C6F722D33312D7478742C0D0A2E752D636F6C6F722D33312D74657874207B0D0A2020636F6C6F723A20233139386363612021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33312D62642C0D0A2E752D636F6C6F722D33312D626F7264';
wwv_flow_api.g_varchar2_table(1414) := '6572207B0D0A2020626F726465722D636F6C6F723A20233139386363612021696D706F7274616E743B0D0A20207374726F6B653A20233139386363612021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3332207B0D0A20206261636B6772';
wwv_flow_api.g_varchar2_table(1415) := '6F756E642D636F6C6F723A20233032613562652021696D706F7274616E743B0D0A202066696C6C3A20233032613562652021696D706F7274616E743B0D0A2020636F6C6F723A20233030303030302021696D706F7274616E743B0D0A7D0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1416) := '6C6F722D33322D62672C0D0A2E752D636F6C6F722D33322D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233032613562652021696D706F7274616E743B0D0A202066696C6C3A20233032613562652021696D706F';
wwv_flow_api.g_varchar2_table(1417) := '7274616E743B0D0A7D0D0A2E752D636F6C6F722D33322D7478742C0D0A2E752D636F6C6F722D33322D74657874207B0D0A2020636F6C6F723A20233032613562652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33322D62642C0D0A2E';
wwv_flow_api.g_varchar2_table(1418) := '752D636F6C6F722D33322D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233032613562652021696D706F7274616E743B0D0A20207374726F6B653A20233032613562652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1419) := '2D3333207B0D0A20206261636B67726F756E642D636F6C6F723A20233138623161652021696D706F7274616E743B0D0A202066696C6C3A20233138623161652021696D706F7274616E743B0D0A2020636F6C6F723A20233030303030302021696D706F72';
wwv_flow_api.g_varchar2_table(1420) := '74616E743B0D0A7D0D0A2E752D636F6C6F722D33332D62672C0D0A2E752D636F6C6F722D33332D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233138623161652021696D706F7274616E743B0D0A202066696C6C';
wwv_flow_api.g_varchar2_table(1421) := '3A20233138623161652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33332D7478742C0D0A2E752D636F6C6F722D33332D74657874207B0D0A2020636F6C6F723A20233138623161652021696D706F7274616E743B0D0A7D0D0A2E752D';
wwv_flow_api.g_varchar2_table(1422) := '636F6C6F722D33332D62642C0D0A2E752D636F6C6F722D33332D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233138623161652021696D706F7274616E743B0D0A20207374726F6B653A20233138623161652021696D706F7274616E';
wwv_flow_api.g_varchar2_table(1423) := '743B0D0A7D0D0A2E752D636F6C6F722D3334207B0D0A20206261636B67726F756E642D636F6C6F723A20233234613437352021696D706F7274616E743B0D0A202066696C6C3A20233234613437352021696D706F7274616E743B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(1424) := '20236566666266372021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33342D62672C0D0A2E752D636F6C6F722D33342D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233234613437352021696D70';
wwv_flow_api.g_varchar2_table(1425) := '6F7274616E743B0D0A202066696C6C3A20233234613437352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33342D7478742C0D0A2E752D636F6C6F722D33342D74657874207B0D0A2020636F6C6F723A20233234613437352021696D70';
wwv_flow_api.g_varchar2_table(1426) := '6F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33342D62642C0D0A2E752D636F6C6F722D33342D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233234613437352021696D706F7274616E743B0D0A20207374726F6B653A202332';
wwv_flow_api.g_varchar2_table(1427) := '34613437352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3335207B0D0A20206261636B67726F756E642D636F6C6F723A20233661616434322021696D706F7274616E743B0D0A202066696C6C3A20233661616434322021696D706F72';
wwv_flow_api.g_varchar2_table(1428) := '74616E743B0D0A2020636F6C6F723A20233063313530362021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33352D62672C0D0A2E752D636F6C6F722D33352D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(1429) := '723A20233661616434322021696D706F7274616E743B0D0A202066696C6C3A20233661616434322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33352D7478742C0D0A2E752D636F6C6F722D33352D74657874207B0D0A2020636F6C6F';
wwv_flow_api.g_varchar2_table(1430) := '723A20233661616434322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33352D62642C0D0A2E752D636F6C6F722D33352D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233661616434322021696D706F7274616E74';
wwv_flow_api.g_varchar2_table(1431) := '3B0D0A20207374726F6B653A20233661616434322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3336207B0D0A20206261636B67726F756E642D636F6C6F723A20236339636133392021696D706F7274616E743B0D0A202066696C6C3A';
wwv_flow_api.g_varchar2_table(1432) := '20236339636133392021696D706F7274616E743B0D0A2020636F6C6F723A20233264326530342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33362D62672C0D0A2E752D636F6C6F722D33362D6261636B67726F756E64207B0D0A2020';
wwv_flow_api.g_varchar2_table(1433) := '6261636B67726F756E642D636F6C6F723A20236339636133392021696D706F7274616E743B0D0A202066696C6C3A20236339636133392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33362D7478742C0D0A2E752D636F6C6F722D3336';
wwv_flow_api.g_varchar2_table(1434) := '2D74657874207B0D0A2020636F6C6F723A20236339636133392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33362D62642C0D0A2E752D636F6C6F722D33362D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236339';
wwv_flow_api.g_varchar2_table(1435) := '636133392021696D706F7274616E743B0D0A20207374726F6B653A20236339636133392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3337207B0D0A20206261636B67726F756E642D636F6C6F723A20236439623133622021696D706F';
wwv_flow_api.g_varchar2_table(1436) := '7274616E743B0D0A202066696C6C3A20236439623133622021696D706F7274616E743B0D0A2020636F6C6F723A20233436333430302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33372D62672C0D0A2E752D636F6C6F722D33372D62';
wwv_flow_api.g_varchar2_table(1437) := '61636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236439623133622021696D706F7274616E743B0D0A202066696C6C3A20236439623133622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33372D7478';
wwv_flow_api.g_varchar2_table(1438) := '742C0D0A2E752D636F6C6F722D33372D74657874207B0D0A2020636F6C6F723A20236439623133622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33372D62642C0D0A2E752D636F6C6F722D33372D626F72646572207B0D0A2020626F';
wwv_flow_api.g_varchar2_table(1439) := '726465722D636F6C6F723A20236439623133622021696D706F7274616E743B0D0A20207374726F6B653A20236439623133622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3338207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(1440) := '3A20236437366132372021696D706F7274616E743B0D0A202066696C6C3A20236437366132372021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33382D62672C';
wwv_flow_api.g_varchar2_table(1441) := '0D0A2E752D636F6C6F722D33382D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236437366132372021696D706F7274616E743B0D0A202066696C6C3A20236437366132372021696D706F7274616E743B0D0A7D0D';
wwv_flow_api.g_varchar2_table(1442) := '0A2E752D636F6C6F722D33382D7478742C0D0A2E752D636F6C6F722D33382D74657874207B0D0A2020636F6C6F723A20236437366132372021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33382D62642C0D0A2E752D636F6C6F722D3338';
wwv_flow_api.g_varchar2_table(1443) := '2D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236437366132372021696D706F7274616E743B0D0A20207374726F6B653A20236437366132372021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3339207B0D0A202062';
wwv_flow_api.g_varchar2_table(1444) := '61636B67726F756E642D636F6C6F723A20236432343233622021696D706F7274616E743B0D0A202066696C6C3A20236432343233622021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1445) := '2E752D636F6C6F722D33392D62672C0D0A2E752D636F6C6F722D33392D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236432343233622021696D706F7274616E743B0D0A202066696C6C3A202364323432336220';
wwv_flow_api.g_varchar2_table(1446) := '21696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33392D7478742C0D0A2E752D636F6C6F722D33392D74657874207B0D0A2020636F6C6F723A20236432343233622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33392D62';
wwv_flow_api.g_varchar2_table(1447) := '642C0D0A2E752D636F6C6F722D33392D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236432343233622021696D706F7274616E743B0D0A20207374726F6B653A20236432343233622021696D706F7274616E743B0D0A7D0D0A2E752D';
wwv_flow_api.g_varchar2_table(1448) := '636F6C6F722D3430207B0D0A20206261636B67726F756E642D636F6C6F723A20236431343336662021696D706F7274616E743B0D0A202066696C6C3A20236431343336662021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021';
wwv_flow_api.g_varchar2_table(1449) := '696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34302D62672C0D0A2E752D636F6C6F722D34302D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236431343336662021696D706F7274616E743B0D0A20';
wwv_flow_api.g_varchar2_table(1450) := '2066696C6C3A20236431343336662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34302D7478742C0D0A2E752D636F6C6F722D34302D74657874207B0D0A2020636F6C6F723A20236431343336662021696D706F7274616E743B0D0A7D';
wwv_flow_api.g_varchar2_table(1451) := '0D0A2E752D636F6C6F722D34302D62642C0D0A2E752D636F6C6F722D34302D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236431343336662021696D706F7274616E743B0D0A20207374726F6B653A20236431343336662021696D70';
wwv_flow_api.g_varchar2_table(1452) := '6F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3431207B0D0A20206261636B67726F756E642D636F6C6F723A20236261336438382021696D706F7274616E743B0D0A202066696C6C3A20236261336438382021696D706F7274616E743B0D0A202063';
wwv_flow_api.g_varchar2_table(1453) := '6F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34312D62672C0D0A2E752D636F6C6F722D34312D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A2023626133643838';
wwv_flow_api.g_varchar2_table(1454) := '2021696D706F7274616E743B0D0A202066696C6C3A20236261336438382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34312D7478742C0D0A2E752D636F6C6F722D34312D74657874207B0D0A2020636F6C6F723A2023626133643838';
wwv_flow_api.g_varchar2_table(1455) := '2021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34312D62642C0D0A2E752D636F6C6F722D34312D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236261336438382021696D706F7274616E743B0D0A20207374726F6B';
wwv_flow_api.g_varchar2_table(1456) := '653A20236261336438382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3432207B0D0A20206261636B67726F756E642D636F6C6F723A20233737333339332021696D706F7274616E743B0D0A202066696C6C3A20233737333339332021';
wwv_flow_api.g_varchar2_table(1457) := '696D706F7274616E743B0D0A2020636F6C6F723A20236636656666392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34322D62672C0D0A2E752D636F6C6F722D34322D6261636B67726F756E64207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(1458) := '2D636F6C6F723A20233737333339332021696D706F7274616E743B0D0A202066696C6C3A20233737333339332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34322D7478742C0D0A2E752D636F6C6F722D34322D74657874207B0D0A20';
wwv_flow_api.g_varchar2_table(1459) := '20636F6C6F723A20233737333339332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34322D62642C0D0A2E752D636F6C6F722D34322D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233737333339332021696D706F';
wwv_flow_api.g_varchar2_table(1460) := '7274616E743B0D0A20207374726F6B653A20233737333339332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3433207B0D0A20206261636B67726F756E642D636F6C6F723A20233364346561332021696D706F7274616E743B0D0A2020';
wwv_flow_api.g_varchar2_table(1461) := '66696C6C3A20233364346561332021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34332D62672C0D0A2E752D636F6C6F722D34332D6261636B67726F756E6420';
wwv_flow_api.g_varchar2_table(1462) := '7B0D0A20206261636B67726F756E642D636F6C6F723A20233364346561332021696D706F7274616E743B0D0A202066696C6C3A20233364346561332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34332D7478742C0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1463) := '6F722D34332D74657874207B0D0A2020636F6C6F723A20233364346561332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34332D62642C0D0A2E752D636F6C6F722D34332D626F72646572207B0D0A2020626F726465722D636F6C6F72';
wwv_flow_api.g_varchar2_table(1464) := '3A20233364346561332021696D706F7274616E743B0D0A20207374726F6B653A20233364346561332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3434207B0D0A20206261636B67726F756E642D636F6C6F723A202338633965623020';
wwv_flow_api.g_varchar2_table(1465) := '21696D706F7274616E743B0D0A202066696C6C3A20233863396562302021696D706F7274616E743B0D0A2020636F6C6F723A20233238336134642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34342D62672C0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1466) := '2D34342D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233863396562302021696D706F7274616E743B0D0A202066696C6C3A20233863396562302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1467) := '34342D7478742C0D0A2E752D636F6C6F722D34342D74657874207B0D0A2020636F6C6F723A20233863396562302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34342D62642C0D0A2E752D636F6C6F722D34342D626F72646572207B0D';
wwv_flow_api.g_varchar2_table(1468) := '0A2020626F726465722D636F6C6F723A20233863396562302021696D706F7274616E743B0D0A20207374726F6B653A20233863396562302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3435207B0D0A20206261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(1469) := '636F6C6F723A20233465373339312021696D706F7274616E743B0D0A202066696C6C3A20233465373339312021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34';
wwv_flow_api.g_varchar2_table(1470) := '352D62672C0D0A2E752D636F6C6F722D34352D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233465373339312021696D706F7274616E743B0D0A202066696C6C3A20233465373339312021696D706F7274616E74';
wwv_flow_api.g_varchar2_table(1471) := '3B0D0A7D0D0A2E752D636F6C6F722D34352D7478742C0D0A2E752D636F6C6F722D34352D74657874207B0D0A2020636F6C6F723A20233465373339312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34352D62642C0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1472) := '6F722D34352D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233465373339312021696D706F7274616E743B0D0A20207374726F6B653A20233465373339312021696D706F7274616E743B0D0A7D0D0A0D0A2E752D636F6C6F722D7472';
wwv_flow_api.g_varchar2_table(1473) := '616E73706172656E74207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A2020636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A7D0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1474) := '6C6F722D7472616E73706172656E742D6267207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D7472616E73706172656E742D7478742C0D0A2E752D';
wwv_flow_api.g_varchar2_table(1475) := '636F6C6F722D7472616E73706172656E742D74657874207B0D0A2020636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D7472616E73706172656E742D62642C0D0A2E752D636F6C6F722D7472';
wwv_flow_api.g_varchar2_table(1476) := '616E73706172656E742D626F72646572207B0D0A2020626F726465722D636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A7D0D0A';
null;
end;
/
begin
wwv_flow_api.create_theme_file(
 p_id=>wwv_flow_api.id(54038743584590737)
,p_theme_id=>42
,p_file_name=>'54038327006590729.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
null;
end;
/
prompt --application/shared_components/user_interface/theme_display_points
begin
null;
end;
/
prompt --application/shared_components/user_interface/template_opt_groups
begin
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33521857458696750)
,p_theme_id=>42
,p_name=>'BUTTON_SET'
,p_display_name=>'Button Set'
,p_display_sequence=>40
,p_template_types=>'BUTTON'
,p_help_text=>'Enables you to group many buttons together into a pill. You can use this option to specify where the button is within this set. Set the option to Default if this button is not part of a button set.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33522255824696750)
,p_theme_id=>42
,p_name=>'ICON_POSITION'
,p_display_name=>'Icon Position'
,p_display_sequence=>50
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the position of the icon relative to the label.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33522607884696750)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>10
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the size of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33523062592696750)
,p_theme_id=>42
,p_name=>'SPACING_BOTTOM'
,p_display_name=>'Spacing Bottom'
,p_display_sequence=>100
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the bottom of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33523498296696751)
,p_theme_id=>42
,p_name=>'SPACING_LEFT'
,p_display_name=>'Spacing Left'
,p_display_sequence=>70
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the left of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33523890795696751)
,p_theme_id=>42
,p_name=>'SPACING_RIGHT'
,p_display_name=>'Spacing Right'
,p_display_sequence=>80
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the right of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33524222992696751)
,p_theme_id=>42
,p_name=>'SPACING_TOP'
,p_display_name=>'Spacing Top'
,p_display_sequence=>90
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the top of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33524680671696751)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>30
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the style of the button. Use the "Simple" option for secondary actions or sets of buttons. Use the "Remove UI Decoration" option to make the button appear as text.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33525010680696751)
,p_theme_id=>42
,p_name=>'TYPE'
,p_display_name=>'Type'
,p_display_sequence=>20
,p_template_types=>'BUTTON'
,p_null_text=>'Normal'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33525408904696752)
,p_theme_id=>42
,p_name=>'WIDTH'
,p_display_name=>'Width'
,p_display_sequence=>60
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the width of the button.'
,p_null_text=>'Auto - Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33525888925696752)
,p_theme_id=>42
,p_name=>'BOTTOM_MARGIN'
,p_display_name=>'Bottom Margin'
,p_display_sequence=>220
,p_template_types=>'FIELD'
,p_help_text=>'Set the bottom margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33526259507696752)
,p_theme_id=>42
,p_name=>'ITEM_POST_TEXT'
,p_display_name=>'Item Post Text'
,p_display_sequence=>30
,p_template_types=>'FIELD'
,p_help_text=>'Adjust the display of the Item Post Text'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33526632707696752)
,p_theme_id=>42
,p_name=>'ITEM_PRE_TEXT'
,p_display_name=>'Item Pre Text'
,p_display_sequence=>20
,p_template_types=>'FIELD'
,p_help_text=>'Adjust the display of the Item Pre Text'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33527056258696752)
,p_theme_id=>42
,p_name=>'LEFT_MARGIN'
,p_display_name=>'Left Margin'
,p_display_sequence=>220
,p_template_types=>'FIELD'
,p_help_text=>'Set the left margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33527476705696753)
,p_theme_id=>42
,p_name=>'PRESERVE_LABEL_SPACING'
,p_display_name=>'Preserve Label Spacing'
,p_display_sequence=>1
,p_template_types=>'FIELD'
,p_help_text=>'Preserves the label space and enables use of the Label Column Span property.'
,p_null_text=>'Yes'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33527802066696753)
,p_theme_id=>42
,p_name=>'RADIO_GROUP_DISPLAY'
,p_display_name=>'Item Group Display'
,p_display_sequence=>300
,p_template_types=>'FIELD'
,p_help_text=>'Determines the display style for radio and check box items.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33528283613696753)
,p_theme_id=>42
,p_name=>'RIGHT_MARGIN'
,p_display_name=>'Right Margin'
,p_display_sequence=>230
,p_template_types=>'FIELD'
,p_help_text=>'Set the right margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33528614502696753)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>10
,p_template_types=>'FIELD'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33529069106696754)
,p_theme_id=>42
,p_name=>'TOP_MARGIN'
,p_display_name=>'Top Margin'
,p_display_sequence=>200
,p_template_types=>'FIELD'
,p_help_text=>'Set the top margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33529443918696754)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>80
,p_template_types=>'LIST'
,p_help_text=>'Sets the hover and focus animation.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33529819593696754)
,p_theme_id=>42
,p_name=>'BADGE_SIZE'
,p_display_name=>'Badge Size'
,p_display_sequence=>70
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33530274489696754)
,p_theme_id=>42
,p_name=>'BODY_TEXT'
,p_display_name=>'Body Text'
,p_display_sequence=>40
,p_template_types=>'LIST'
,p_help_text=>'Determines the height of the card body.'
,p_null_text=>'Auto'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33530627953696754)
,p_theme_id=>42
,p_name=>'COLOR_ACCENTS'
,p_display_name=>'Color Accents'
,p_display_sequence=>50
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33531046756696755)
,p_theme_id=>42
,p_name=>'DESKTOP'
,p_display_name=>'Desktop'
,p_display_sequence=>90
,p_template_types=>'LIST'
,p_help_text=>'Determines the display for a desktop-sized screen'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33531455872696755)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>30
,p_template_types=>'LIST'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33531855452696755)
,p_theme_id=>42
,p_name=>'ICONS'
,p_display_name=>'Icons'
,p_display_sequence=>20
,p_template_types=>'LIST'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33532294017696755)
,p_theme_id=>42
,p_name=>'ICON_STYLE'
,p_display_name=>'Icon Style'
,p_display_sequence=>35
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33532629805696756)
,p_theme_id=>42
,p_name=>'LABEL_DISPLAY'
,p_display_name=>'Label Display'
,p_display_sequence=>50
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33533004516696756)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>30
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33533469973696756)
,p_theme_id=>42
,p_name=>'MOBILE'
,p_display_name=>'Mobile'
,p_display_sequence=>100
,p_template_types=>'LIST'
,p_help_text=>'Determines the display for a mobile-sized screen'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33533846012696756)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>1
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33534250982696756)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>10
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33534620435696757)
,p_theme_id=>42
,p_name=>'ACCENT'
,p_display_name=>'Accent'
,p_display_sequence=>30
,p_template_types=>'REGION'
,p_help_text=>'Set the Region''s accent. This accent corresponds to a Theme-Rollable color and sets the background of the Region''s Header.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33535017013696757)
,p_theme_id=>42
,p_name=>'ALERT_DISPLAY'
,p_display_name=>'Alert Display'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the layout of the Alert Region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33535471813696757)
,p_theme_id=>42
,p_name=>'ALERT_ICONS'
,p_display_name=>'Alert Icons'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_help_text=>'Sets how icons are handled for the Alert Region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33535829088696758)
,p_theme_id=>42
,p_name=>'ALERT_TITLE'
,p_display_name=>'Alert Title'
,p_display_sequence=>40
,p_template_types=>'REGION'
,p_help_text=>'Determines how the title of the alert is displayed.'
,p_null_text=>'Visible - Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33536290692696758)
,p_theme_id=>42
,p_name=>'ALERT_TYPE'
,p_display_name=>'Alert Type'
,p_display_sequence=>3
,p_template_types=>'REGION'
,p_help_text=>'Sets the type of alert which can be used to determine the icon, icon color, and the background color.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33536660115696758)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Sets the animation when navigating within the Carousel Region.'
,p_null_text=>'Fade'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33537044969696758)
,p_theme_id=>42
,p_name=>'BODY_HEIGHT'
,p_display_name=>'Body Height'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Sets the Region Body height. You can also specify a custom height by modifying the Region''s CSS Classes and using the height helper classes "i-hXXX" where XXX is any increment of 10 from 100 to 800.'
,p_null_text=>'Auto - Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33537487725696758)
,p_theme_id=>42
,p_name=>'BODY_OVERFLOW'
,p_display_name=>'Body Overflow'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Determines the scroll behavior when the region contents are larger than their container.'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33537801212696759)
,p_theme_id=>42
,p_name=>'BODY_PADDING'
,p_display_name=>'Body Padding'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the Region Body padding for the region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33538290677696759)
,p_theme_id=>42
,p_name=>'BODY_STYLE'
,p_display_name=>'Body Style'
,p_display_sequence=>20
,p_template_types=>'REGION'
,p_help_text=>'Controls the display of the region''s body container.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33538601656696759)
,p_theme_id=>42
,p_name=>'DEFAULT_STATE'
,p_display_name=>'Default State'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the default state of the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33539053275696759)
,p_theme_id=>42
,p_name=>'DIALOG_SIZE'
,p_display_name=>'Dialog Size'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33539494650696759)
,p_theme_id=>42
,p_name=>'DISPLAY_ICON'
,p_display_name=>'Display Icon'
,p_display_sequence=>50
,p_template_types=>'REGION'
,p_help_text=>'Display the Hero Region icon.'
,p_null_text=>'Yes (Default)'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33539843411696760)
,p_theme_id=>42
,p_name=>'HEADER'
,p_display_name=>'Header'
,p_display_sequence=>20
,p_template_types=>'REGION'
,p_help_text=>'Determines the display of the Region Header which also contains the Region Title.'
,p_null_text=>'Visible - Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33540289816696760)
,p_theme_id=>42
,p_name=>'HIDE_STEPS_FOR'
,p_display_name=>'Hide Steps For'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33540600607696760)
,p_theme_id=>42
,p_name=>'ITEM_PADDING'
,p_display_name=>'Item Padding'
,p_display_sequence=>100
,p_template_types=>'REGION'
,p_help_text=>'Sets the padding around items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33541078517696760)
,p_theme_id=>42
,p_name=>'ITEM_SIZE'
,p_display_name=>'Item Size'
,p_display_sequence=>110
,p_template_types=>'REGION'
,p_help_text=>'Sets the size of the form items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33541452704696760)
,p_theme_id=>42
,p_name=>'ITEM_WIDTH'
,p_display_name=>'Item Width'
,p_display_sequence=>120
,p_template_types=>'REGION'
,p_help_text=>'Sets the width of the form items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33541886224696761)
,p_theme_id=>42
,p_name=>'LABEL_ALIGNMENT'
,p_display_name=>'Label Alignment'
,p_display_sequence=>130
,p_template_types=>'REGION'
,p_help_text=>'Set the label text alignment for items within this region.'
,p_null_text=>'Right'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33542290389696761)
,p_theme_id=>42
,p_name=>'LABEL_POSITION'
,p_display_name=>'Label Position'
,p_display_sequence=>140
,p_template_types=>'REGION'
,p_help_text=>'Sets the position of the label relative to the form item.'
,p_null_text=>'Inline - Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33542619344696761)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33543010740696761)
,p_theme_id=>42
,p_name=>'REGION_BOTTOM_MARGIN'
,p_display_name=>'Bottom Margin'
,p_display_sequence=>210
,p_template_types=>'REGION'
,p_help_text=>'Set the bottom margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33543430338696762)
,p_theme_id=>42
,p_name=>'REGION_LEFT_MARGIN'
,p_display_name=>'Left Margin'
,p_display_sequence=>220
,p_template_types=>'REGION'
,p_help_text=>'Set the left margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33543806309696762)
,p_theme_id=>42
,p_name=>'REGION_RIGHT_MARGIN'
,p_display_name=>'Right Margin'
,p_display_sequence=>230
,p_template_types=>'REGION'
,p_help_text=>'Set the right margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33544237851696762)
,p_theme_id=>42
,p_name=>'REGION_TITLE'
,p_display_name=>'Region Title'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the source of the Title Bar region''s title.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33544626080696762)
,p_theme_id=>42
,p_name=>'REGION_TOP_MARGIN'
,p_display_name=>'Top Margin'
,p_display_sequence=>200
,p_template_types=>'REGION'
,p_help_text=>'Set the top margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33545005805696762)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>40
,p_template_types=>'REGION'
,p_help_text=>'Determines how the region is styled. Use the "Remove Borders" template option to remove the region''s borders and shadows.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33545457785696763)
,p_theme_id=>42
,p_name=>'TABS_SIZE'
,p_display_name=>'Tabs Size'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33545899018696763)
,p_theme_id=>42
,p_name=>'TAB_STYLE'
,p_display_name=>'Tab Style'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33546281187696763)
,p_theme_id=>42
,p_name=>'TIMER'
,p_display_name=>'Timer'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_help_text=>'Sets the timer for when to automatically navigate to the next region within the Carousel Region.'
,p_null_text=>'No Timer'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33546657609696763)
,p_theme_id=>42
,p_name=>'ALTERNATING_ROWS'
,p_display_name=>'Alternating Rows'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Shades alternate rows in the report with slightly different background colors.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33547005235696763)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>70
,p_template_types=>'REPORT'
,p_help_text=>'Sets the hover and focus animation.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33547405861696764)
,p_theme_id=>42
,p_name=>'BADGE_SIZE'
,p_display_name=>'Badge Size'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33547840207696764)
,p_theme_id=>42
,p_name=>'BODY_TEXT'
,p_display_name=>'Body Text'
,p_display_sequence=>40
,p_template_types=>'REPORT'
,p_help_text=>'Determines the height of the card body.'
,p_null_text=>'Auto'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33548212139696764)
,p_theme_id=>42
,p_name=>'COLOR_ACCENTS'
,p_display_name=>'Color Accents'
,p_display_sequence=>50
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33548661217696764)
,p_theme_id=>42
,p_name=>'COMMENTS_STYLE'
,p_display_name=>'Comments Style'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Determines the style in which comments are displayed.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33549033084696764)
,p_theme_id=>42
,p_name=>'ICONS'
,p_display_name=>'Icons'
,p_display_sequence=>20
,p_template_types=>'REPORT'
,p_help_text=>'Controls how to handle icons in the report.'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33549493563696765)
,p_theme_id=>42
,p_name=>'LABEL_WIDTH'
,p_display_name=>'Label Width'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33549843364696765)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>30
,p_template_types=>'REPORT'
,p_help_text=>'Determines the layout of Cards in the report.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33550212461696765)
,p_theme_id=>42
,p_name=>'PAGINATION_DISPLAY'
,p_display_name=>'Pagination Display'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Controls the display of pagination for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33550627457696765)
,p_theme_id=>42
,p_name=>'REPORT_BORDER'
,p_display_name=>'Report Border'
,p_display_sequence=>30
,p_template_types=>'REPORT'
,p_help_text=>'Controls the display of the Report''s borders.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33551060830696765)
,p_theme_id=>42
,p_name=>'ROW_HIGHLIGHTING'
,p_display_name=>'Row Highlighting'
,p_display_sequence=>20
,p_template_types=>'REPORT'
,p_help_text=>'Determines whether you want the row to be highlighted on hover.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33551439918696766)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>35
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(33551871021696766)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Determines the overall style for the component.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
end;
/
prompt --application/shared_components/user_interface/template_options
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33560313449696776)
,p_theme_id=>42
,p_name=>'FBM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-bottom-lg'
,p_group_id=>wwv_flow_api.id(33525888925696752)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33561077686696777)
,p_theme_id=>42
,p_name=>'RBM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-bottom-lg'
,p_group_id=>wwv_flow_api.id(33543010740696761)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large bottom margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33561716027696777)
,p_theme_id=>42
,p_name=>'FBM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-bottom-md'
,p_group_id=>wwv_flow_api.id(33525888925696752)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33562479522696778)
,p_theme_id=>42
,p_name=>'RBM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-bottom-md'
,p_group_id=>wwv_flow_api.id(33543010740696761)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium bottom margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33563177224696778)
,p_theme_id=>42
,p_name=>'FBM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-bottom-none'
,p_group_id=>wwv_flow_api.id(33525888925696752)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33563892092696779)
,p_theme_id=>42
,p_name=>'RBM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-bottom-none'
,p_group_id=>wwv_flow_api.id(33543010740696761)
,p_template_types=>'REGION'
,p_help_text=>'Removes the bottom margin for this region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33564545692696779)
,p_theme_id=>42
,p_name=>'FBM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-bottom-sm'
,p_group_id=>wwv_flow_api.id(33525888925696752)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33565214740696779)
,p_theme_id=>42
,p_name=>'RBM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-bottom-sm'
,p_group_id=>wwv_flow_api.id(33543010740696761)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small bottom margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33565911518696780)
,p_theme_id=>42
,p_name=>'FLM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-left-lg'
,p_group_id=>wwv_flow_api.id(33527056258696752)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33566597951696781)
,p_theme_id=>42
,p_name=>'RLM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-left-lg'
,p_group_id=>wwv_flow_api.id(33543430338696762)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33567239245696781)
,p_theme_id=>42
,p_name=>'FLM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-left-md'
,p_group_id=>wwv_flow_api.id(33527056258696752)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33567909744696782)
,p_theme_id=>42
,p_name=>'RLM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-left-md'
,p_group_id=>wwv_flow_api.id(33543430338696762)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33568606682696782)
,p_theme_id=>42
,p_name=>'FLM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-left-none'
,p_group_id=>wwv_flow_api.id(33527056258696752)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33569393971696783)
,p_theme_id=>42
,p_name=>'RLM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-left-none'
,p_group_id=>wwv_flow_api.id(33543430338696762)
,p_template_types=>'REGION'
,p_help_text=>'Removes the left margin from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33570067073696783)
,p_theme_id=>42
,p_name=>'FLM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-left-sm'
,p_group_id=>wwv_flow_api.id(33527056258696752)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33570770935696784)
,p_theme_id=>42
,p_name=>'RLM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-left-sm'
,p_group_id=>wwv_flow_api.id(33543430338696762)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small left margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33571405572696784)
,p_theme_id=>42
,p_name=>'FRM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-right-lg'
,p_group_id=>wwv_flow_api.id(33528283613696753)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33572162338696785)
,p_theme_id=>42
,p_name=>'RRM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-right-lg'
,p_group_id=>wwv_flow_api.id(33543806309696762)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33572843270696785)
,p_theme_id=>42
,p_name=>'FRM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-right-md'
,p_group_id=>wwv_flow_api.id(33528283613696753)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33573547498696786)
,p_theme_id=>42
,p_name=>'RRM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-right-md'
,p_group_id=>wwv_flow_api.id(33543806309696762)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33574260238696786)
,p_theme_id=>42
,p_name=>'FRM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-right-none'
,p_group_id=>wwv_flow_api.id(33528283613696753)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33574912949696787)
,p_theme_id=>42
,p_name=>'RRM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-right-none'
,p_group_id=>wwv_flow_api.id(33543806309696762)
,p_template_types=>'REGION'
,p_help_text=>'Removes the right margin from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33575681385696787)
,p_theme_id=>42
,p_name=>'FRM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-right-sm'
,p_group_id=>wwv_flow_api.id(33528283613696753)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33576309548696788)
,p_theme_id=>42
,p_name=>'RRM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-right-sm'
,p_group_id=>wwv_flow_api.id(33543806309696762)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33577057761696788)
,p_theme_id=>42
,p_name=>'FTM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-top-lg'
,p_group_id=>wwv_flow_api.id(33529069106696754)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large top margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33577738544696789)
,p_theme_id=>42
,p_name=>'RTM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-top-lg'
,p_group_id=>wwv_flow_api.id(33544626080696762)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large top margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33578487351696789)
,p_theme_id=>42
,p_name=>'FTM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-top-md'
,p_group_id=>wwv_flow_api.id(33529069106696754)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium top margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33579106436696790)
,p_theme_id=>42
,p_name=>'RTM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-top-md'
,p_group_id=>wwv_flow_api.id(33544626080696762)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium top margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33579850212696790)
,p_theme_id=>42
,p_name=>'FTM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-top-none'
,p_group_id=>wwv_flow_api.id(33529069106696754)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the top margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33580588604696791)
,p_theme_id=>42
,p_name=>'RTM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-top-none'
,p_group_id=>wwv_flow_api.id(33544626080696762)
,p_template_types=>'REGION'
,p_help_text=>'Removes the top margin for this region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33581256998696791)
,p_theme_id=>42
,p_name=>'FTM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-top-sm'
,p_group_id=>wwv_flow_api.id(33529069106696754)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small top margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33581919596696792)
,p_theme_id=>42
,p_name=>'RTM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-top-sm'
,p_group_id=>wwv_flow_api.id(33544626080696762)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small top margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33582611541696792)
,p_theme_id=>42
,p_name=>'DANGER'
,p_display_name=>'Danger'
,p_display_sequence=>30
,p_css_classes=>'t-Button--danger'
,p_group_id=>wwv_flow_api.id(33525010680696751)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33583330840696793)
,p_theme_id=>42
,p_name=>'LARGEBOTTOMMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapBottom'
,p_group_id=>wwv_flow_api.id(33523062592696750)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33584029967696793)
,p_theme_id=>42
,p_name=>'LARGELEFTMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapLeft'
,p_group_id=>wwv_flow_api.id(33523498296696751)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33584783864696793)
,p_theme_id=>42
,p_name=>'LARGERIGHTMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapRight'
,p_group_id=>wwv_flow_api.id(33523890795696751)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33585449660696794)
,p_theme_id=>42
,p_name=>'LARGETOPMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapTop'
,p_group_id=>wwv_flow_api.id(33524222992696751)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33586194103696794)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>30
,p_css_classes=>'t-Button--large'
,p_group_id=>wwv_flow_api.id(33522607884696750)
,p_template_types=>'BUTTON'
,p_help_text=>'A large button.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33586812717696795)
,p_theme_id=>42
,p_name=>'DISPLAY_AS_LINK'
,p_display_name=>'Display as Link'
,p_display_sequence=>30
,p_css_classes=>'t-Button--link'
,p_group_id=>wwv_flow_api.id(33524680671696751)
,p_template_types=>'BUTTON'
,p_help_text=>'This option makes the button appear as a text link.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33587533954696796)
,p_theme_id=>42
,p_name=>'NOUI'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>20
,p_css_classes=>'t-Button--noUI'
,p_group_id=>wwv_flow_api.id(33524680671696751)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33588246476696796)
,p_theme_id=>42
,p_name=>'SMALLBOTTOMMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padBottom'
,p_group_id=>wwv_flow_api.id(33523062592696750)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33588974338696797)
,p_theme_id=>42
,p_name=>'SMALLLEFTMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padLeft'
,p_group_id=>wwv_flow_api.id(33523498296696751)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33589684420696797)
,p_theme_id=>42
,p_name=>'SMALLRIGHTMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padRight'
,p_group_id=>wwv_flow_api.id(33523890795696751)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33590376021696798)
,p_theme_id=>42
,p_name=>'SMALLTOPMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padTop'
,p_group_id=>wwv_flow_api.id(33524222992696751)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33591031029696798)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Inner Button'
,p_display_sequence=>20
,p_css_classes=>'t-Button--pill'
,p_group_id=>wwv_flow_api.id(33521857458696750)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33591709030696799)
,p_theme_id=>42
,p_name=>'PILLEND'
,p_display_name=>'Last Button'
,p_display_sequence=>30
,p_css_classes=>'t-Button--pillEnd'
,p_group_id=>wwv_flow_api.id(33521857458696750)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33592454338696799)
,p_theme_id=>42
,p_name=>'PILLSTART'
,p_display_name=>'First Button'
,p_display_sequence=>10
,p_css_classes=>'t-Button--pillStart'
,p_group_id=>wwv_flow_api.id(33521857458696750)
,p_template_types=>'BUTTON'
,p_help_text=>'Use this for the start of a pill button.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33593142964696800)
,p_theme_id=>42
,p_name=>'PRIMARY'
,p_display_name=>'Primary'
,p_display_sequence=>10
,p_css_classes=>'t-Button--primary'
,p_group_id=>wwv_flow_api.id(33525010680696751)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33593857674696800)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_css_classes=>'t-Button--simple'
,p_group_id=>wwv_flow_api.id(33524680671696751)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33594572216696801)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'t-Button--small'
,p_group_id=>wwv_flow_api.id(33522607884696750)
,p_template_types=>'BUTTON'
,p_help_text=>'A small button.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33595279195696801)
,p_theme_id=>42
,p_name=>'STRETCH'
,p_display_name=>'Stretch'
,p_display_sequence=>10
,p_css_classes=>'t-Button--stretch'
,p_group_id=>wwv_flow_api.id(33525408904696752)
,p_template_types=>'BUTTON'
,p_help_text=>'Stretches button to fill container'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33595959633696802)
,p_theme_id=>42
,p_name=>'SUCCESS'
,p_display_name=>'Success'
,p_display_sequence=>40
,p_css_classes=>'t-Button--success'
,p_group_id=>wwv_flow_api.id(33525010680696751)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33596646784696802)
,p_theme_id=>42
,p_name=>'TINY'
,p_display_name=>'Tiny'
,p_display_sequence=>10
,p_css_classes=>'t-Button--tiny'
,p_group_id=>wwv_flow_api.id(33522607884696750)
,p_template_types=>'BUTTON'
,p_help_text=>'A very small button.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33597311437696803)
,p_theme_id=>42
,p_name=>'WARNING'
,p_display_name=>'Warning'
,p_display_sequence=>20
,p_css_classes=>'t-Button--warning'
,p_group_id=>wwv_flow_api.id(33525010680696751)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33598053645696803)
,p_theme_id=>42
,p_name=>'SHOWFORMLABELSABOVE'
,p_display_name=>'Show Form Labels Above'
,p_display_sequence=>10
,p_css_classes=>'t-Form--labelsAbove'
,p_group_id=>wwv_flow_api.id(33542290389696761)
,p_template_types=>'REGION'
,p_help_text=>'Show form labels above input fields.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33598723794696803)
,p_theme_id=>42
,p_name=>'FORMSIZELARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_css_classes=>'t-Form--large'
,p_group_id=>wwv_flow_api.id(33541078517696760)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33599445944696804)
,p_theme_id=>42
,p_name=>'FORMLEFTLABELS'
,p_display_name=>'Left'
,p_display_sequence=>20
,p_css_classes=>'t-Form--leftLabels'
,p_group_id=>wwv_flow_api.id(33541886224696761)
,p_template_types=>'REGION'
,p_help_text=>'Align form labels to left.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33600197356696804)
,p_theme_id=>42
,p_name=>'FORMREMOVEPADDING'
,p_display_name=>'Remove Padding'
,p_display_sequence=>20
,p_css_classes=>'t-Form--noPadding'
,p_group_id=>wwv_flow_api.id(33540600607696760)
,p_template_types=>'REGION'
,p_help_text=>'Removes padding between items.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33600857062696805)
,p_theme_id=>42
,p_name=>'FORMSLIMPADDING'
,p_display_name=>'Slim Padding'
,p_display_sequence=>10
,p_css_classes=>'t-Form--slimPadding'
,p_group_id=>wwv_flow_api.id(33540600607696760)
,p_template_types=>'REGION'
,p_help_text=>'Reduces form item padding to 4px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33601541652696805)
,p_theme_id=>42
,p_name=>'STRETCH_FORM_FIELDS'
,p_display_name=>'Stretch Form Fields'
,p_display_sequence=>10
,p_css_classes=>'t-Form--stretchInputs'
,p_group_id=>wwv_flow_api.id(33541452704696760)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33602237756696806)
,p_theme_id=>42
,p_name=>'FORMSIZEXLARGE'
,p_display_name=>'X Large'
,p_display_sequence=>20
,p_css_classes=>'t-Form--xlarge'
,p_group_id=>wwv_flow_api.id(33541078517696760)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33602968212696806)
,p_theme_id=>42
,p_name=>'LARGE_FIELD'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--large'
,p_group_id=>wwv_flow_api.id(33528614502696753)
,p_template_types=>'FIELD'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33603636471696807)
,p_theme_id=>42
,p_name=>'POST_TEXT_BLOCK'
,p_display_name=>'Display as Block'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--postTextBlock'
,p_group_id=>wwv_flow_api.id(33526259507696752)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the Item Post Text in a block style immediately after the item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33604353228696807)
,p_theme_id=>42
,p_name=>'PRE_TEXT_BLOCK'
,p_display_name=>'Display as Block'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--preTextBlock'
,p_group_id=>wwv_flow_api.id(33526632707696752)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the Item Pre Text in a block style immediately before the item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33605088831696808)
,p_theme_id=>42
,p_name=>'DISPLAY_AS_PILL_BUTTON'
,p_display_name=>'Display as Pill Button'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--radioButtonGroup'
,p_group_id=>wwv_flow_api.id(33527802066696753)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the radio buttons to look like a button set / pill button.  Note that the the radio buttons must all be in the same row for this option to work.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33605735442696809)
,p_theme_id=>42
,p_name=>'X_LARGE_SIZE'
,p_display_name=>'X Large'
,p_display_sequence=>20
,p_css_classes=>'t-Form-fieldContainer--xlarge'
,p_group_id=>wwv_flow_api.id(33528614502696753)
,p_template_types=>'FIELD'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33606418955696809)
,p_theme_id=>42
,p_name=>'HIDE_WHEN_ALL_ROWS_DISPLAYED'
,p_display_name=>'Hide when all rows displayed'
,p_display_sequence=>10
,p_css_classes=>'t-Report--hideNoPagination'
,p_group_id=>wwv_flow_api.id(33550212461696765)
,p_template_types=>'REPORT'
,p_help_text=>'This option will hide the pagination when all rows are displayed.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33606887691696809)
,p_theme_id=>42
,p_name=>'STRETCH_FORM_ITEM'
,p_display_name=>'Stretch Form Item'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--stretchInputs'
,p_template_types=>'FIELD'
,p_help_text=>'Stretches the form item to fill its container.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33614752794696820)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(25186261660236505399)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33623816224696829)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(25186262536226505404)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33635086454696836)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(25186263847552505405)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33642319141696841)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(25186264880866505406)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33646050293696843)
,p_theme_id=>42
,p_name=>'STRETCH_TO_FIT_WINDOW'
,p_display_name=>'Stretch to Fit Window'
,p_display_sequence=>1
,p_page_template_id=>wwv_flow_api.id(25186265694411505406)
,p_css_classes=>'ui-dialog--stretch'
,p_template_types=>'PAGE'
,p_help_text=>'Stretch the dialog to fit the browser window.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33646444954696843)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_api.id(25186265694411505406)
,p_css_classes=>'t-Dialog--noPadding'
,p_template_types=>'PAGE'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33654988195696848)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(25186266006301505407)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33662256985696853)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(25186266941416505407)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33665941010696855)
,p_theme_id=>42
,p_name=>'STRETCH_TO_FIT_WINDOW'
,p_display_name=>'Stretch to Fit Window'
,p_display_sequence=>10
,p_page_template_id=>wwv_flow_api.id(25186267796256505408)
,p_css_classes=>'ui-dialog--stretch'
,p_template_types=>'PAGE'
,p_help_text=>'Stretch the dialog to fit the browser window.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33666345154696855)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_api.id(25186267796256505408)
,p_css_classes=>'t-Dialog--noPadding'
,p_template_types=>'PAGE'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33668809261696864)
,p_theme_id=>42
,p_name=>'HIDDENHEADER'
,p_display_name=>'Hidden but Accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186268102268505408)
,p_css_classes=>'t-Alert--accessibleHeading'
,p_group_id=>wwv_flow_api.id(33535829088696758)
,p_template_types=>'REGION'
,p_help_text=>'Visually hides the alert title, but assistive technologies can still read it.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33669549670696865)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186268102268505408)
,p_css_classes=>'t-Alert--removeHeading'
,p_group_id=>wwv_flow_api.id(33535829088696758)
,p_template_types=>'REGION'
,p_help_text=>'Hides the Alert Title from being displayed.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33679248432696873)
,p_theme_id=>42
,p_name=>'STICK_TO_BOTTOM'
,p_display_name=>'Stick to Bottom for Mobile'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186269744713505415)
,p_css_classes=>'t-ButtonRegion--stickToBottom'
,p_template_types=>'REGION'
,p_help_text=>'This will position the button container region to the bottom of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33684448769696881)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33700905589696899)
,p_theme_id=>42
,p_name=>'REMEMBER_COLLAPSIBLE_STATE'
,p_display_name=>'Remember Collapsible State'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
,p_help_text=>'This option saves the current state of the collapsible region for the duration of the session.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33713076165696909)
,p_theme_id=>42
,p_name=>'STACKED_FEATURED'
,p_display_name=>'Stacked Featured'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186276120391505422)
,p_css_classes=>'t-HeroRegion--featured t-HeroRegion--centered'
,p_group_id=>wwv_flow_api.id(33545005805696762)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33713732750696909)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186276120391505422)
,p_css_classes=>'t-HeroRegion--featured'
,p_group_id=>wwv_flow_api.id(33545005805696762)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33714147481696909)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186276120391505422)
,p_css_classes=>'t-HeroRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the hero region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33714867170696910)
,p_theme_id=>42
,p_name=>'DISPLAY_ICON_NO'
,p_display_name=>'No'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186276120391505422)
,p_css_classes=>'t-HeroRegion--hideIcon'
,p_group_id=>wwv_flow_api.id(33539494650696759)
,p_template_types=>'REGION'
,p_help_text=>'Hide the Hero Region icon.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33718519492696913)
,p_theme_id=>42
,p_name=>'AUTO_HEIGHT_INLINE_DIALOG'
,p_display_name=>'Auto Height'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(25186276302525505422)
,p_css_classes=>'js-dialog-autoheight'
,p_template_types=>'REGION'
,p_help_text=>'This option will set the height of the dialog to fit its contents.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33726452177696920)
,p_theme_id=>42
,p_name=>'ACCENT_12'
,p_display_name=>'Accent 12'
,p_display_sequence=>120
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--accent12'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33727168652696921)
,p_theme_id=>42
,p_name=>'ACCENT_15'
,p_display_name=>'Accent 15'
,p_display_sequence=>150
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--accent15'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33727856203696921)
,p_theme_id=>42
,p_name=>'ACCENT_8'
,p_display_name=>'Accent 8'
,p_display_sequence=>80
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--accent8'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33728517745696922)
,p_theme_id=>42
,p_name=>'ACCENT_14'
,p_display_name=>'Accent 14'
,p_display_sequence=>140
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--accent14'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33729227372696922)
,p_theme_id=>42
,p_name=>'ACCENT_9'
,p_display_name=>'Accent 9'
,p_display_sequence=>90
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--accent9'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33729937054696923)
,p_theme_id=>42
,p_name=>'ACCENT_7'
,p_display_name=>'Accent 7'
,p_display_sequence=>70
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--accent7'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33730312683696923)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33731093414696923)
,p_theme_id=>42
,p_name=>'ACCENT_13'
,p_display_name=>'Accent 13'
,p_display_sequence=>130
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--accent13'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33731747226696924)
,p_theme_id=>42
,p_name=>'ACCENT_10'
,p_display_name=>'Accent 10'
,p_display_sequence=>100
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--accent10'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33732451731696924)
,p_theme_id=>42
,p_name=>'ACCENT_6'
,p_display_name=>'Accent 6'
,p_display_sequence=>60
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--accent6'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33733136374696925)
,p_theme_id=>42
,p_name=>'TEXT_CONTENT'
,p_display_name=>'Text Content'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--textContent'
,p_group_id=>wwv_flow_api.id(33545005805696762)
,p_template_types=>'REGION'
,p_help_text=>'Useful for displaying primarily text-based content, such as FAQs and more.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33733803709696925)
,p_theme_id=>42
,p_name=>'ACCENT_11'
,p_display_name=>'Accent 11'
,p_display_sequence=>110
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--accent11'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33757027452696945)
,p_theme_id=>42
,p_name=>'USE_COMPACT_STYLE'
,p_display_name=>'Use Compact Style'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186281048793505426)
,p_css_classes=>'t-BreadcrumbRegion--compactTitle'
,p_template_types=>'REGION'
,p_help_text=>'Uses a compact style for the breadcrumbs.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33762347707696954)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H1'
,p_display_name=>'Heading Level 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(33761845619696951)
,p_css_classes=>'t-ContentBlock--h1'
,p_group_id=>wwv_flow_api.id(33544237851696762)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33762752984696954)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H2'
,p_display_name=>'Heading Level 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(33761845619696951)
,p_css_classes=>'t-ContentBlock--h2'
,p_group_id=>wwv_flow_api.id(33544237851696762)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33763182919696955)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H3'
,p_display_name=>'Heading Level 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(33761845619696951)
,p_css_classes=>'t-ContentBlock--h3'
,p_group_id=>wwv_flow_api.id(33544237851696762)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33763598110696955)
,p_theme_id=>42
,p_name=>'LIGHT_BACKGROUND'
,p_display_name=>'Light Background'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(33761845619696951)
,p_css_classes=>'t-ContentBlock--lightBG'
,p_group_id=>wwv_flow_api.id(33538290677696759)
,p_template_types=>'REGION'
,p_help_text=>'Gives the region body a slightly lighter background.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33763967491696955)
,p_theme_id=>42
,p_name=>'ADD_BODY_PADDING'
,p_display_name=>'Add Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(33761845619696951)
,p_css_classes=>'t-ContentBlock--padded'
,p_template_types=>'REGION'
,p_help_text=>'Adds padding to the region''s body container.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33764381814696955)
,p_theme_id=>42
,p_name=>'SHADOW_BACKGROUND'
,p_display_name=>'Shadow Background'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(33761845619696951)
,p_css_classes=>'t-ContentBlock--shadowBG'
,p_group_id=>wwv_flow_api.id(33538290677696759)
,p_template_types=>'REGION'
,p_help_text=>'Gives the region body a slightly darker background.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33767060487696963)
,p_theme_id=>42
,p_name=>'CIRCULAR'
,p_display_name=>'Circular'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'t-BadgeList--circular'
,p_group_id=>wwv_flow_api.id(33534250982696756)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33767435983696964)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33768176217696964)
,p_theme_id=>42
,p_name=>'GRID'
,p_display_name=>'Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'t-BadgeList--dash'
,p_group_id=>wwv_flow_api.id(33534250982696756)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33778455845696975)
,p_theme_id=>42
,p_name=>'COLOR_FILL'
,p_display_name=>'Color Fill'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--animColorFill'
,p_group_id=>wwv_flow_api.id(33529443918696754)
,p_template_types=>'LIST'
,p_help_text=>'Fills the card background with the color of the icon or default link style.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33779167493696976)
,p_theme_id=>42
,p_name=>'BLOCK'
,p_display_name=>'Block'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--featured t-Cards--block force-fa-lg'
,p_group_id=>wwv_flow_api.id(33534250982696756)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33779837939696976)
,p_theme_id=>42
,p_name=>'CARDS_STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>5
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--stacked'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
,p_help_text=>'Stacks the cards on top of each other.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33780233612696976)
,p_theme_id=>42
,p_name=>'DISPLAY_SUBTITLE'
,p_display_name=>'Display Subtitle'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--displaySubtitle'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33780976038696977)
,p_theme_id=>42
,p_name=>'RAISE_CARD'
,p_display_name=>'Raise Card'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--animRaiseCard'
,p_group_id=>wwv_flow_api.id(33529443918696754)
,p_template_types=>'LIST'
,p_help_text=>'Raises the card so it pops up.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33797491108696992)
,p_theme_id=>42
,p_name=>'LIST_SIZE_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186294516176505439)
,p_css_classes=>'t-MediaList--large force-fa-lg'
,p_group_id=>wwv_flow_api.id(33533846012696756)
,p_template_types=>'LIST'
,p_help_text=>'Increases the size of the text and icons in the list.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33797850613696993)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(25186294516176505439)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
,p_help_text=>'Applies colors from the Theme''s color palette to icons in the list.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33804816190696999)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186295903008505441)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Enables you to define a keyboard shortcut to activate the menu item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33806120864697001)
,p_theme_id=>42
,p_name=>'COLLAPSED_DEFAULT'
,p_display_name=>'Collapsed by Default'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186296185919505441)
,p_css_classes=>'js-defaultCollapsed'
,p_template_types=>'LIST'
,p_help_text=>'This option will load the side navigation menu in a collapsed state by default.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33813102069697006)
,p_theme_id=>42
,p_name=>'VERTICAL_LIST'
,p_display_name=>'Vertical Orientation'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186297682653505443)
,p_css_classes=>'t-WizardSteps--vertical'
,p_template_types=>'LIST'
,p_help_text=>'Displays the wizard progress list in a vertical orientation and is suitable for displaying within a side column of a page.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33816000886697011)
,p_theme_id=>42
,p_name=>'DISPLAY_LABELS_SM'
,p_display_name=>'Display labels'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(33815595634697009)
,p_css_classes=>'t-NavTabs--displayLabels-sm'
,p_group_id=>wwv_flow_api.id(33533469973696756)
,p_template_types=>'LIST'
,p_help_text=>'Displays the label for the list items below the icon'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33816430965697011)
,p_theme_id=>42
,p_name=>'NO_LABEL_LG'
,p_display_name=>'Do not display labels'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(33815595634697009)
,p_css_classes=>'t-NavTabs--hiddenLabels-lg'
,p_group_id=>wwv_flow_api.id(33531046756696755)
,p_template_types=>'LIST'
,p_help_text=>'Hides the label for the list item'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33816842541697012)
,p_theme_id=>42
,p_name=>'HIDE_LABELS_SM'
,p_display_name=>'Do not display labels'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(33815595634697009)
,p_css_classes=>'t-NavTabs--hiddenLabels-sm'
,p_group_id=>wwv_flow_api.id(33533469973696756)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33817252828697012)
,p_theme_id=>42
,p_name=>'LABEL_INLINE_LG'
,p_display_name=>'Display labels inline'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(33815595634697009)
,p_css_classes=>'t-NavTabs--inlineLabels-lg'
,p_group_id=>wwv_flow_api.id(33531046756696755)
,p_template_types=>'LIST'
,p_help_text=>'Display the label inline with the icon and badge'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33817695245697012)
,p_theme_id=>42
,p_name=>'LABEL_ABOVE_LG'
,p_display_name=>'Display labels above'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(33815595634697009)
,p_css_classes=>'t-NavTabs--stacked'
,p_group_id=>wwv_flow_api.id(33531046756696755)
,p_template_types=>'LIST'
,p_help_text=>'Display the label stacked above the icon and badge'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33819215773697019)
,p_theme_id=>42
,p_name=>'CIRCULAR'
,p_display_name=>'Circular'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'t-BadgeList--circular'
,p_group_id=>wwv_flow_api.id(33551871021696766)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33819642902697020)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33820395435697020)
,p_theme_id=>42
,p_name=>'GRID'
,p_display_name=>'Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'t-BadgeList--dash'
,p_group_id=>wwv_flow_api.id(33551871021696766)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33830657110697028)
,p_theme_id=>42
,p_name=>'BLOCK'
,p_display_name=>'Block'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--featured t-Cards--block force-fa-lg'
,p_group_id=>wwv_flow_api.id(33551871021696766)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33831349793697028)
,p_theme_id=>42
,p_name=>'CARD_RAISE_CARD'
,p_display_name=>'Raise Card'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--animRaiseCard'
,p_group_id=>wwv_flow_api.id(33547005235696763)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33831799614697028)
,p_theme_id=>42
,p_name=>'DISPLAY_SUBTITLE'
,p_display_name=>'Display Subtitle'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--displaySubtitle'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33832450349697029)
,p_theme_id=>42
,p_name=>'CARDS_COLOR_FILL'
,p_display_name=>'Color Fill'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--animColorFill'
,p_group_id=>wwv_flow_api.id(33547005235696763)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33862964817697057)
,p_theme_id=>42
,p_name=>'2_COLUMN_GRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(33862464057697055)
,p_css_classes=>'t-MediaList--cols t-MediaList--2cols'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33863314640697057)
,p_theme_id=>42
,p_name=>'3_COLUMN_GRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(33862464057697055)
,p_css_classes=>'t-MediaList--cols t-MediaList--3cols'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33863701935697057)
,p_theme_id=>42
,p_name=>'4_COLUMN_GRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(33862464057697055)
,p_css_classes=>'t-MediaList--cols t-MediaList--4cols'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33864169082697057)
,p_theme_id=>42
,p_name=>'5_COLUMN_GRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(33862464057697055)
,p_css_classes=>'t-MediaList--cols t-MediaList--5cols'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33864536502697058)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTAL'
,p_display_name=>'Span Horizontal'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(33862464057697055)
,p_css_classes=>'t-MediaList--horizontal'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33864954545697058)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(33862464057697055)
,p_css_classes=>'t-MediaList--large force-fa-lg'
,p_group_id=>wwv_flow_api.id(33551439918696766)
,p_template_types=>'REPORT'
,p_help_text=>'Increases the size of the text and icons in the list.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33865315325697058)
,p_theme_id=>42
,p_name=>'SHOW_BADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(33862464057697055)
,p_css_classes=>'t-MediaList--showBadges'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33865711855697058)
,p_theme_id=>42
,p_name=>'SHOW_DESCRIPTION'
,p_display_name=>'Show Description'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(33862464057697055)
,p_css_classes=>'t-MediaList--showDesc'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33866116991697059)
,p_theme_id=>42
,p_name=>'SHOW_ICONS'
,p_display_name=>'Show Icons'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(33862464057697055)
,p_css_classes=>'t-MediaList--showIcons'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33866544457697059)
,p_theme_id=>42
,p_name=>'STACK'
,p_display_name=>'Stack'
,p_display_sequence=>5
,p_report_template_id=>wwv_flow_api.id(33862464057697055)
,p_css_classes=>'t-MediaList--stack'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(33866984559697059)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(33862464057697055)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(54049324980741955)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(54045559099741946)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186268340914505410)
,p_theme_id=>42
,p_name=>'COLOREDBACKGROUND'
,p_display_name=>'Highlight Background'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(25186268102268505408)
,p_css_classes=>'t-Alert--colorBG'
,p_template_types=>'REGION'
,p_help_text=>'Set alert background color to that of the alert type (warning, success, etc.)'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186268597146505414)
,p_theme_id=>42
,p_name=>'DANGER'
,p_display_name=>'Danger'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186268102268505408)
,p_css_classes=>'t-Alert--danger'
,p_group_id=>wwv_flow_api.id(33536290692696758)
,p_template_types=>'REGION'
,p_help_text=>'Show an error or danger alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186268756138505414)
,p_theme_id=>42
,p_name=>'HIDE_ICONS'
,p_display_name=>'Hide Icons'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186268102268505408)
,p_css_classes=>'t-Alert--noIcon'
,p_group_id=>wwv_flow_api.id(33535471813696757)
,p_template_types=>'REGION'
,p_help_text=>'Hides alert icons'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186268947885505414)
,p_theme_id=>42
,p_name=>'HORIZONTAL'
,p_display_name=>'Horizontal'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186268102268505408)
,p_css_classes=>'t-Alert--horizontal'
,p_group_id=>wwv_flow_api.id(33535017013696757)
,p_template_types=>'REGION'
,p_help_text=>'Show horizontal alert with buttons to the right.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186269055838505414)
,p_theme_id=>42
,p_name=>'INFORMATION'
,p_display_name=>'Information'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(25186268102268505408)
,p_css_classes=>'t-Alert--info'
,p_group_id=>wwv_flow_api.id(33536290692696758)
,p_template_types=>'REGION'
,p_help_text=>'Show informational alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186269127212505414)
,p_theme_id=>42
,p_name=>'SHOW_CUSTOM_ICONS'
,p_display_name=>'Show Custom Icons'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(25186268102268505408)
,p_css_classes=>'t-Alert--customIcons'
,p_group_id=>wwv_flow_api.id(33535471813696757)
,p_template_types=>'REGION'
,p_help_text=>'Set custom icons by modifying the Alert Region''s Icon CSS Classes property.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186269293525505415)
,p_theme_id=>42
,p_name=>'SUCCESS'
,p_display_name=>'Success'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(25186268102268505408)
,p_css_classes=>'t-Alert--success'
,p_group_id=>wwv_flow_api.id(33536290692696758)
,p_template_types=>'REGION'
,p_help_text=>'Show success alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186269313884505415)
,p_theme_id=>42
,p_name=>'USEDEFAULTICONS'
,p_display_name=>'Show Default Icons'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186268102268505408)
,p_css_classes=>'t-Alert--defaultIcons'
,p_group_id=>wwv_flow_api.id(33535471813696757)
,p_template_types=>'REGION'
,p_help_text=>'Uses default icons for alert types.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186269412101505415)
,p_theme_id=>42
,p_name=>'WARNING'
,p_display_name=>'Warning'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186268102268505408)
,p_css_classes=>'t-Alert--warning'
,p_group_id=>wwv_flow_api.id(33536290692696758)
,p_template_types=>'REGION'
,p_help_text=>'Show a warning alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186269535551505415)
,p_theme_id=>42
,p_name=>'WIZARD'
,p_display_name=>'Wizard'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186268102268505408)
,p_css_classes=>'t-Alert--wizard'
,p_group_id=>wwv_flow_api.id(33535017013696757)
,p_template_types=>'REGION'
,p_help_text=>'Show the alert in a wizard style region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186270167854505416)
,p_theme_id=>42
,p_name=>'BORDERLESS'
,p_display_name=>'Borderless'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(25186269744713505415)
,p_css_classes=>'t-ButtonRegion--noBorder'
,p_group_id=>wwv_flow_api.id(33545005805696762)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186270323787505416)
,p_theme_id=>42
,p_name=>'NOPADDING'
,p_display_name=>'No Padding'
,p_display_sequence=>3
,p_region_template_id=>wwv_flow_api.id(25186269744713505415)
,p_css_classes=>'t-ButtonRegion--noPadding'
,p_group_id=>wwv_flow_api.id(33537801212696759)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186270428012505416)
,p_theme_id=>42
,p_name=>'REMOVEUIDECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>4
,p_region_template_id=>wwv_flow_api.id(25186269744713505415)
,p_css_classes=>'t-ButtonRegion--noUI'
,p_group_id=>wwv_flow_api.id(33545005805696762)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186270554957505417)
,p_theme_id=>42
,p_name=>'SLIMPADDING'
,p_display_name=>'Slim Padding'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_api.id(25186269744713505415)
,p_css_classes=>'t-ButtonRegion--slimPadding'
,p_group_id=>wwv_flow_api.id(33537801212696759)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186271094192505417)
,p_theme_id=>42
,p_name=>'10_SECONDS'
,p_display_name=>'10 Seconds'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'js-cycle10s'
,p_group_id=>wwv_flow_api.id(33546281187696763)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186271176260505417)
,p_theme_id=>42
,p_name=>'15_SECONDS'
,p_display_name=>'15 Seconds'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'js-cycle15s'
,p_group_id=>wwv_flow_api.id(33546281187696763)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186271212776505417)
,p_theme_id=>42
,p_name=>'20_SECONDS'
,p_display_name=>'20 Seconds'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'js-cycle20s'
,p_group_id=>wwv_flow_api.id(33546281187696763)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186271427073505417)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_api.id(33537044969696758)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186271537548505417)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_api.id(33537044969696758)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186271628272505418)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_api.id(33537044969696758)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186271710217505418)
,p_theme_id=>42
,p_name=>'5_SECONDS'
,p_display_name=>'5 Seconds'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'js-cycle5s'
,p_group_id=>wwv_flow_api.id(33546281187696763)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186271832765505418)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_api.id(33537044969696758)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186272064532505418)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186272188518505418)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186272293582505418)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186272392609505418)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186272461362505418)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186272652385505418)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--removeHeader'
,p_group_id=>wwv_flow_api.id(33539843411696760)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186272844885505418)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_api.id(33537487725696758)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186272989865505418)
,p_theme_id=>42
,p_name=>'HIDEREGIONHEADER'
,p_display_name=>'Hidden but accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--hideHeader'
,p_group_id=>wwv_flow_api.id(33539843411696760)
,p_template_types=>'REGION'
,p_help_text=>'This option will hide the region header.  Note that the region title will still be audible for Screen Readers. Buttons placed in the region header will be hidden and inaccessible.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186273000443505418)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186273190989505419)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_api.id(33545005805696762)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186273284917505419)
,p_theme_id=>42
,p_name=>'REMEMBER_CAROUSEL_SLIDE'
,p_display_name=>'Remember Carousel Slide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186273392522505419)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_api.id(33537487725696758)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186273419048505419)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Region Header to maximize the region. Clicking this button will toggle the maximize state and stretch the region to fill the screen.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186273593792505419)
,p_theme_id=>42
,p_name=>'SHOW_NEXT_AND_PREVIOUS_BUTTONS'
,p_display_name=>'Show Next and Previous Buttons'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--showCarouselControls'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186273763630505419)
,p_theme_id=>42
,p_name=>'SLIDE'
,p_display_name=>'Slide'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--carouselSlide'
,p_group_id=>wwv_flow_api.id(33536660115696758)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186273843142505419)
,p_theme_id=>42
,p_name=>'SPIN'
,p_display_name=>'Spin'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--carouselSpin'
,p_group_id=>wwv_flow_api.id(33536660115696758)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186273993733505419)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186270691774505417)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_api.id(33545005805696762)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186274389398505420)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_api.id(33537044969696758)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186274442146505420)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_api.id(33537044969696758)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186274569047505420)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_api.id(33537044969696758)
,p_template_types=>'REGION'
,p_help_text=>'Sets body height to 480px.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186274611112505420)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_api.id(33537044969696758)
,p_template_types=>'REGION'
,p_help_text=>'Sets body height to 640px.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186274751911505420)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186274847107505420)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186274925641505420)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186275072294505421)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186275138374505421)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186275381190505421)
,p_theme_id=>42
,p_name=>'COLLAPSED'
,p_display_name=>'Collapsed'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'is-collapsed'
,p_group_id=>wwv_flow_api.id(33538601656696759)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186275440147505421)
,p_theme_id=>42
,p_name=>'EXPANDED'
,p_display_name=>'Expanded'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'is-expanded'
,p_group_id=>wwv_flow_api.id(33538601656696759)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186275582003505421)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_api.id(33537487725696758)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186275641906505422)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186275738186505422)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_api.id(33545005805696762)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186275819895505422)
,p_theme_id=>42
,p_name=>'REMOVE_UI_DECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'t-Region--noUI'
,p_group_id=>wwv_flow_api.id(33545005805696762)
,p_template_types=>'REGION'
,p_help_text=>'Removes UI decoration (borders, backgrounds, shadows, etc) from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186275933777505422)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll - Default'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_api.id(33537487725696758)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186276066693505422)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186274022717505420)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_api.id(33545005805696762)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186276533953505423)
,p_theme_id=>42
,p_name=>'DRAGGABLE'
,p_display_name=>'Draggable'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186276302525505422)
,p_css_classes=>'js-draggable'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186276749734505423)
,p_theme_id=>42
,p_name=>'LARGE_720X480'
,p_display_name=>'Large (720x480)'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(25186276302525505422)
,p_css_classes=>'js-dialog-size720x480'
,p_group_id=>wwv_flow_api.id(33539053275696759)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186276831015505423)
,p_theme_id=>42
,p_name=>'MEDIUM_600X400'
,p_display_name=>'Medium (600x400)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186276302525505422)
,p_css_classes=>'js-dialog-size600x400'
,p_group_id=>wwv_flow_api.id(33539053275696759)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186276931095505423)
,p_theme_id=>42
,p_name=>'MODAL'
,p_display_name=>'Modal'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186276302525505422)
,p_css_classes=>'js-modal'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186277028722505424)
,p_theme_id=>42
,p_name=>'RESIZABLE'
,p_display_name=>'Resizable'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(25186276302525505422)
,p_css_classes=>'js-resizable'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186277196045505424)
,p_theme_id=>42
,p_name=>'SMALL_480X320'
,p_display_name=>'Small (480x320)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186276302525505422)
,p_css_classes=>'js-dialog-size480x320'
,p_group_id=>wwv_flow_api.id(33539053275696759)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186277324010505424)
,p_theme_id=>42
,p_name=>'REMOVEBORDERS'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186277281615505424)
,p_css_classes=>'t-IRR-region--noBorders'
,p_template_types=>'REGION'
,p_help_text=>'Removes borders around the Interactive Report'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186277488149505424)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186277281615505424)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Interactive Reports toolbar to maximize the report. Clicking this button will toggle the maximize state and stretch the report to fill the screen.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186278022453505425)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_api.id(33537044969696758)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186278108064505425)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_api.id(33537044969696758)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186278201011505425)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_api.id(33537044969696758)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186278370974505425)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_api.id(33537044969696758)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186278480012505425)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186278574204505425)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186278649000505425)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186278732509505425)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186278857253505425)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_api.id(33534620435696757)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186278955801505425)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--removeHeader'
,p_group_id=>wwv_flow_api.id(33539843411696760)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186279049846505425)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_api.id(33537487725696758)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186279164258505425)
,p_theme_id=>42
,p_name=>'HIDEREGIONHEADER'
,p_display_name=>'Hidden but accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--hideHeader'
,p_group_id=>wwv_flow_api.id(33539843411696760)
,p_template_types=>'REGION'
,p_help_text=>'This option will hide the region header.  Note that the region title will still be audible for Screen Readers. Buttons placed in the region header will be hidden and inaccessible.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186279243333505425)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186279336971505425)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_api.id(33545005805696762)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186279474341505425)
,p_theme_id=>42
,p_name=>'REMOVE_UI_DECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--noUI'
,p_group_id=>wwv_flow_api.id(33545005805696762)
,p_template_types=>'REGION'
,p_help_text=>'Removes UI decoration (borders, backgrounds, shadows, etc) from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186279552010505425)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll - Default'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_api.id(33537487725696758)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186279636703505425)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Region Header to maximize the region. Clicking this button will toggle the maximize state and stretch the region to fill the screen.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186279732279505426)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186277719855505424)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_api.id(33545005805696762)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186280274676505426)
,p_theme_id=>42
,p_name=>'FILL_TAB_LABELS'
,p_display_name=>'Fill Tab Labels'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186279823701505426)
,p_css_classes=>'t-TabsRegion-mod--fillLabels'
,p_group_id=>wwv_flow_api.id(33542619344696761)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186280432925505426)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Pill'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186279823701505426)
,p_css_classes=>'t-TabsRegion-mod--pill'
,p_group_id=>wwv_flow_api.id(33545899018696763)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186280544380505426)
,p_theme_id=>42
,p_name=>'REMEMBER_ACTIVE_TAB'
,p_display_name=>'Remember Active Tab'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186279823701505426)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186280624453505426)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186279823701505426)
,p_css_classes=>'t-TabsRegion-mod--simple'
,p_group_id=>wwv_flow_api.id(33545899018696763)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186280803526505426)
,p_theme_id=>42
,p_name=>'TABSLARGE'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186279823701505426)
,p_css_classes=>'t-TabsRegion-mod--large'
,p_group_id=>wwv_flow_api.id(33545457785696763)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186280929118505426)
,p_theme_id=>42
,p_name=>'TABS_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186279823701505426)
,p_css_classes=>'t-TabsRegion-mod--small'
,p_group_id=>wwv_flow_api.id(33545457785696763)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186281206723505427)
,p_theme_id=>42
,p_name=>'GET_TITLE_FROM_BREADCRUMB'
,p_display_name=>'Use Current Breadcrumb Entry'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(25186281048793505426)
,p_css_classes=>'t-BreadcrumbRegion--useBreadcrumbTitle'
,p_group_id=>wwv_flow_api.id(33544237851696762)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186281336734505427)
,p_theme_id=>42
,p_name=>'HIDE_BREADCRUMB'
,p_display_name=>'Show Breadcrumbs'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(25186281048793505426)
,p_css_classes=>'t-BreadcrumbRegion--showBreadcrumb'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186281452421505427)
,p_theme_id=>42
,p_name=>'REGION_HEADER_VISIBLE'
,p_display_name=>'Use Region Title'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(25186281048793505426)
,p_css_classes=>'t-BreadcrumbRegion--useRegionTitle'
,p_group_id=>wwv_flow_api.id(33544237851696762)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186281854824505427)
,p_theme_id=>42
,p_name=>'HIDESMALLSCREENS'
,p_display_name=>'Small Screens (Tablet)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(25186281506546505427)
,p_css_classes=>'t-Wizard--hideStepsSmall'
,p_group_id=>wwv_flow_api.id(33540289816696760)
,p_template_types=>'REGION'
,p_help_text=>'Hides the wizard progress steps for screens that are smaller than 768px wide.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186281992063505427)
,p_theme_id=>42
,p_name=>'HIDEXSMALLSCREENS'
,p_display_name=>'X Small Screens (Mobile)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186281506546505427)
,p_css_classes=>'t-Wizard--hideStepsXSmall'
,p_group_id=>wwv_flow_api.id(33540289816696760)
,p_template_types=>'REGION'
,p_help_text=>'Hides the wizard progress steps for screens that are smaller than 768px wide.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186282070195505427)
,p_theme_id=>42
,p_name=>'SHOW_TITLE'
,p_display_name=>'Show Title'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(25186281506546505427)
,p_css_classes=>'t-Wizard--showTitle'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186282463314505428)
,p_theme_id=>42
,p_name=>'128PX'
,p_display_name=>'128px'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'t-BadgeList--xxlarge'
,p_group_id=>wwv_flow_api.id(33547405861696764)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186282655407505428)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'t-BadgeList--cols'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
,p_help_text=>'Arrange badges in a two column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186282737033505428)
,p_theme_id=>42
,p_name=>'32PX'
,p_display_name=>'32px'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'t-BadgeList--small'
,p_group_id=>wwv_flow_api.id(33547405861696764)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186282864140505429)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--3cols'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
,p_help_text=>'Arrange badges in a 3 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186282914826505429)
,p_theme_id=>42
,p_name=>'48PX'
,p_display_name=>'48px'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'t-BadgeList--medium'
,p_group_id=>wwv_flow_api.id(33547405861696764)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186283039768505429)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--4cols'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186283195261505429)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--5cols'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186283211924505429)
,p_theme_id=>42
,p_name=>'64PX'
,p_display_name=>'64px'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'t-BadgeList--large'
,p_group_id=>wwv_flow_api.id(33547405861696764)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186283367615505429)
,p_theme_id=>42
,p_name=>'96PX'
,p_display_name=>'96px'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'t-BadgeList--xlarge'
,p_group_id=>wwv_flow_api.id(33547405861696764)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186283404614505429)
,p_theme_id=>42
,p_name=>'FIXED'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'t-BadgeList--fixed'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186283532076505429)
,p_theme_id=>42
,p_name=>'FLEXIBLEBOX'
,p_display_name=>'Flexible Box'
,p_display_sequence=>80
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'t-BadgeList--flex'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186283625941505429)
,p_theme_id=>42
,p_name=>'FLOATITEMS'
,p_display_name=>'Float Items'
,p_display_sequence=>70
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'t-BadgeList--float'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186283826378505429)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186282230416505428)
,p_css_classes=>'t-BadgeList--stacked'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186284098203505430)
,p_theme_id=>42
,p_name=>'2_COLUMNS'
,p_display_name=>'2 Columns'
,p_display_sequence=>15
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--cols'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186284274514505430)
,p_theme_id=>42
,p_name=>'2_LINES'
,p_display_name=>'2 Lines'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--desc-2ln'
,p_group_id=>wwv_flow_api.id(33547840207696764)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186284353310505430)
,p_theme_id=>42
,p_name=>'3_COLUMNS'
,p_display_name=>'3 Columns'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--3cols'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186284465786505430)
,p_theme_id=>42
,p_name=>'3_LINES'
,p_display_name=>'3 Lines'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--desc-3ln'
,p_group_id=>wwv_flow_api.id(33547840207696764)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186284577357505430)
,p_theme_id=>42
,p_name=>'4_COLUMNS'
,p_display_name=>'4 Columns'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--4cols'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186284675139505430)
,p_theme_id=>42
,p_name=>'4_LINES'
,p_display_name=>'4 Lines'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--desc-4ln'
,p_group_id=>wwv_flow_api.id(33547840207696764)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186284799150505430)
,p_theme_id=>42
,p_name=>'5_COLUMNS'
,p_display_name=>'5 Columns'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--5cols'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186284989436505430)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--basic'
,p_group_id=>wwv_flow_api.id(33551871021696766)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186285087034505430)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--compact'
,p_group_id=>wwv_flow_api.id(33551871021696766)
,p_template_types=>'REPORT'
,p_help_text=>'Use this option when you want to show smaller cards.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186285203512505430)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--displayIcons'
,p_group_id=>wwv_flow_api.id(33549033084696764)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186285381111505430)
,p_theme_id=>42
,p_name=>'DISPLAY_INITIALS'
,p_display_name=>'Display Initials'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--displayInitials'
,p_group_id=>wwv_flow_api.id(33549033084696764)
,p_template_types=>'REPORT'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186285410952505430)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--featured force-fa-lg'
,p_group_id=>wwv_flow_api.id(33551871021696766)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186285549527505431)
,p_theme_id=>42
,p_name=>'FLOAT'
,p_display_name=>'Float'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--float'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186285686179505431)
,p_theme_id=>42
,p_name=>'HIDDEN_BODY_TEXT'
,p_display_name=>'Hidden'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--hideBody'
,p_group_id=>wwv_flow_api.id(33547840207696764)
,p_template_types=>'REPORT'
,p_help_text=>'This option hides the card body which contains description and subtext.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186285721902505431)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTALLY'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>70
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'t-Cards--spanHorizontally'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186285901324505431)
,p_theme_id=>42
,p_name=>'USE_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186283948285505429)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186286244346505432)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186286074662505431)
,p_css_classes=>'t-Comments--basic'
,p_group_id=>wwv_flow_api.id(33548661217696764)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186286359407505432)
,p_theme_id=>42
,p_name=>'SPEECH_BUBBLES'
,p_display_name=>'Speech Bubbles'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186286074662505431)
,p_css_classes=>'t-Comments--chat'
,p_group_id=>wwv_flow_api.id(33548661217696764)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186286706069505432)
,p_theme_id=>42
,p_name=>'ALTROWCOLORSDISABLE'
,p_display_name=>'Disable'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186286576607505432)
,p_css_classes=>'t-Report--staticRowColors'
,p_group_id=>wwv_flow_api.id(33546657609696763)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186286804788505432)
,p_theme_id=>42
,p_name=>'ALTROWCOLORSENABLE'
,p_display_name=>'Enable'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186286576607505432)
,p_css_classes=>'t-Report--altRowsDefault'
,p_group_id=>wwv_flow_api.id(33546657609696763)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186287046843505432)
,p_theme_id=>42
,p_name=>'ENABLE'
,p_display_name=>'Enable'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186286576607505432)
,p_css_classes=>'t-Report--rowHighlight'
,p_group_id=>wwv_flow_api.id(33551060830696765)
,p_template_types=>'REPORT'
,p_help_text=>'Enable row highlighting on mouse over'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186287277902505432)
,p_theme_id=>42
,p_name=>'HORIZONTALBORDERS'
,p_display_name=>'Horizontal Only'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186286576607505432)
,p_css_classes=>'t-Report--horizontalBorders'
,p_group_id=>wwv_flow_api.id(33550627457696765)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186287310552505432)
,p_theme_id=>42
,p_name=>'REMOVEALLBORDERS'
,p_display_name=>'No Borders'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(25186286576607505432)
,p_css_classes=>'t-Report--noBorders'
,p_group_id=>wwv_flow_api.id(33550627457696765)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186287499029505432)
,p_theme_id=>42
,p_name=>'REMOVEOUTERBORDERS'
,p_display_name=>'No Outer Borders'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(25186286576607505432)
,p_css_classes=>'t-Report--inline'
,p_group_id=>wwv_flow_api.id(33550627457696765)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186287597795505433)
,p_theme_id=>42
,p_name=>'ROWHIGHLIGHTDISABLE'
,p_display_name=>'Disable'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186286576607505432)
,p_css_classes=>'t-Report--rowHighlightOff'
,p_group_id=>wwv_flow_api.id(33551060830696765)
,p_template_types=>'REPORT'
,p_help_text=>'Disable row highlighting on mouse over'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186287634404505433)
,p_theme_id=>42
,p_name=>'STRETCHREPORT'
,p_display_name=>'Stretch Report'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186286576607505432)
,p_css_classes=>'t-Report--stretch'
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186287770656505433)
,p_theme_id=>42
,p_name=>'VERTICALBORDERS'
,p_display_name=>'Vertical Only'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186286576607505432)
,p_css_classes=>'t-Report--verticalBorders'
,p_group_id=>wwv_flow_api.id(33550627457696765)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186287924828505433)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>1
,p_report_template_id=>wwv_flow_api.id(25186287895799505433)
,p_css_classes=>'t-Timeline--compact'
,p_group_id=>wwv_flow_api.id(33551871021696766)
,p_template_types=>'REPORT'
,p_help_text=>'Displays a compact version of timeline with smaller text and fewer columns.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186288208817505433)
,p_theme_id=>42
,p_name=>'FIXED_LARGE'
,p_display_name=>'Fixed - Large'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(25186288064978505433)
,p_css_classes=>'t-AVPList--fixedLabelLarge'
,p_group_id=>wwv_flow_api.id(33549493563696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186288318020505433)
,p_theme_id=>42
,p_name=>'FIXED_MEDIUM'
,p_display_name=>'Fixed - Medium'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186288064978505433)
,p_css_classes=>'t-AVPList--fixedLabelMedium'
,p_group_id=>wwv_flow_api.id(33549493563696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186288406670505433)
,p_theme_id=>42
,p_name=>'FIXED_SMALL'
,p_display_name=>'Fixed - Small'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186288064978505433)
,p_css_classes=>'t-AVPList--fixedLabelSmall'
,p_group_id=>wwv_flow_api.id(33549493563696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186288588235505433)
,p_theme_id=>42
,p_name=>'LEFT_ALIGNED_DETAILS'
,p_display_name=>'Left Aligned Details'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186288064978505433)
,p_css_classes=>'t-AVPList--leftAligned'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186288636094505433)
,p_theme_id=>42
,p_name=>'RIGHT_ALIGNED_DETAILS'
,p_display_name=>'Right Aligned Details'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186288064978505433)
,p_css_classes=>'t-AVPList--rightAligned'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186288742134505433)
,p_theme_id=>42
,p_name=>'VARIABLE_LARGE'
,p_display_name=>'Variable - Large'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(25186288064978505433)
,p_css_classes=>'t-AVPList--variableLabelLarge'
,p_group_id=>wwv_flow_api.id(33549493563696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186288826411505433)
,p_theme_id=>42
,p_name=>'VARIABLE_MEDIUM'
,p_display_name=>'Variable - Medium'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(25186288064978505433)
,p_css_classes=>'t-AVPList--variableLabelMedium'
,p_group_id=>wwv_flow_api.id(33549493563696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186288962274505434)
,p_theme_id=>42
,p_name=>'VARIABLE_SMALL'
,p_display_name=>'Variable - Small'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(25186288064978505433)
,p_css_classes=>'t-AVPList--variableLabelSmall'
,p_group_id=>wwv_flow_api.id(33549493563696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186289134498505434)
,p_theme_id=>42
,p_name=>'FIXED_LARGE'
,p_display_name=>'Fixed - Large'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(25186289050643505434)
,p_css_classes=>'t-AVPList--fixedLabelLarge'
,p_group_id=>wwv_flow_api.id(33549493563696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186289269015505434)
,p_theme_id=>42
,p_name=>'FIXED_MEDIUM'
,p_display_name=>'Fixed - Medium'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186289050643505434)
,p_css_classes=>'t-AVPList--fixedLabelMedium'
,p_group_id=>wwv_flow_api.id(33549493563696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186289316635505434)
,p_theme_id=>42
,p_name=>'FIXED_SMALL'
,p_display_name=>'Fixed - Small'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186289050643505434)
,p_css_classes=>'t-AVPList--fixedLabelSmall'
,p_group_id=>wwv_flow_api.id(33549493563696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186289418987505434)
,p_theme_id=>42
,p_name=>'LEFT_ALIGNED_DETAILS'
,p_display_name=>'Left Aligned Details'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(25186289050643505434)
,p_css_classes=>'t-AVPList--leftAligned'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186289577668505434)
,p_theme_id=>42
,p_name=>'RIGHT_ALIGNED_DETAILS'
,p_display_name=>'Right Aligned Details'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(25186289050643505434)
,p_css_classes=>'t-AVPList--rightAligned'
,p_group_id=>wwv_flow_api.id(33549843364696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186289686671505434)
,p_theme_id=>42
,p_name=>'VARIABLE_LARGE'
,p_display_name=>'Variable - Large'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(25186289050643505434)
,p_css_classes=>'t-AVPList--variableLabelLarge'
,p_group_id=>wwv_flow_api.id(33549493563696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186289770022505434)
,p_theme_id=>42
,p_name=>'VARIABLE_MEDIUM'
,p_display_name=>'Variable - Medium'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(25186289050643505434)
,p_css_classes=>'t-AVPList--variableLabelMedium'
,p_group_id=>wwv_flow_api.id(33549493563696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186289870984505434)
,p_theme_id=>42
,p_name=>'VARIABLE_SMALL'
,p_display_name=>'Variable - Small'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(25186289050643505434)
,p_css_classes=>'t-AVPList--variableLabelSmall'
,p_group_id=>wwv_flow_api.id(33549493563696765)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186290160905505435)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'t-BadgeList--cols'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a two column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186290269624505435)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--3cols'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a 3 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186290391830505435)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--4cols'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in 4 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186290438091505435)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--5cols'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a 5 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186290557293505436)
,p_theme_id=>42
,p_name=>'FIXED'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'t-BadgeList--fixed'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
,p_help_text=>'Span badges horizontally'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186290698120505436)
,p_theme_id=>42
,p_name=>'FLEXIBLEBOX'
,p_display_name=>'Flexible Box'
,p_display_sequence=>80
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'t-BadgeList--flex'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
,p_help_text=>'Use flexbox to arrange items'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186290728843505436)
,p_theme_id=>42
,p_name=>'FLOATITEMS'
,p_display_name=>'Float Items'
,p_display_sequence=>70
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'t-BadgeList--float'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
,p_help_text=>'Float badges to left'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186290940338505436)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'64px'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'t-BadgeList--large'
,p_group_id=>wwv_flow_api.id(33529819593696754)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186291097186505436)
,p_theme_id=>42
,p_name=>'MEDIUM'
,p_display_name=>'48px'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'t-BadgeList--medium'
,p_group_id=>wwv_flow_api.id(33529819593696754)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186291229724505436)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'32px'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'t-BadgeList--small'
,p_group_id=>wwv_flow_api.id(33529819593696754)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186291341949505436)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'t-BadgeList--stacked'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
,p_help_text=>'Stack badges on top of each other'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186291467397505436)
,p_theme_id=>42
,p_name=>'XLARGE'
,p_display_name=>'96px'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'t-BadgeList--xlarge'
,p_group_id=>wwv_flow_api.id(33529819593696754)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186291579564505436)
,p_theme_id=>42
,p_name=>'XXLARGE'
,p_display_name=>'128px'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(25186289943830505434)
,p_css_classes=>'t-BadgeList--xxlarge'
,p_group_id=>wwv_flow_api.id(33529819593696754)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186291731855505436)
,p_theme_id=>42
,p_name=>'2_COLUMNS'
,p_display_name=>'2 Columns'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--cols'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186291915174505436)
,p_theme_id=>42
,p_name=>'2_LINES'
,p_display_name=>'2 Lines'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--desc-2ln'
,p_group_id=>wwv_flow_api.id(33530274489696754)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186292027583505436)
,p_theme_id=>42
,p_name=>'3_COLUMNS'
,p_display_name=>'3 Columns'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--3cols'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186292163278505437)
,p_theme_id=>42
,p_name=>'3_LINES'
,p_display_name=>'3 Lines'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--desc-3ln'
,p_group_id=>wwv_flow_api.id(33530274489696754)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186292277756505437)
,p_theme_id=>42
,p_name=>'4_COLUMNS'
,p_display_name=>'4 Columns'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--4cols'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186292379794505437)
,p_theme_id=>42
,p_name=>'4_LINES'
,p_display_name=>'4 Lines'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--desc-4ln'
,p_group_id=>wwv_flow_api.id(33530274489696754)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186292429896505437)
,p_theme_id=>42
,p_name=>'5_COLUMNS'
,p_display_name=>'5 Columns'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--5cols'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186292637058505437)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--basic'
,p_group_id=>wwv_flow_api.id(33534250982696756)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186292712696505438)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--compact'
,p_group_id=>wwv_flow_api.id(33534250982696756)
,p_template_types=>'LIST'
,p_help_text=>'Use this option when you want to show smaller cards.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186292975800505438)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--displayIcons'
,p_group_id=>wwv_flow_api.id(33531855452696755)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186293037357505438)
,p_theme_id=>42
,p_name=>'DISPLAY_INITIALS'
,p_display_name=>'Display Initials'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--displayInitials'
,p_group_id=>wwv_flow_api.id(33531855452696755)
,p_template_types=>'LIST'
,p_help_text=>'Initials come from List Attribute 3'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186293130779505438)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--featured force-fa-lg'
,p_group_id=>wwv_flow_api.id(33534250982696756)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186293243686505438)
,p_theme_id=>42
,p_name=>'FLOAT'
,p_display_name=>'Float'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--float'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186293394043505438)
,p_theme_id=>42
,p_name=>'HIDDEN_BODY_TEXT'
,p_display_name=>'Hidden'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--hideBody'
,p_group_id=>wwv_flow_api.id(33530274489696754)
,p_template_types=>'LIST'
,p_help_text=>'This option hides the card body which contains description and subtext.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186293477730505439)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTALLY'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>70
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'t-Cards--spanHorizontally'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186293657872505439)
,p_theme_id=>42
,p_name=>'USE_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
,p_help_text=>'Applies the colors from the theme''s color palette to the icons or initials within cards.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186293827542505439)
,p_theme_id=>42
,p_name=>'ACTIONS'
,p_display_name=>'Actions'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186293779298505439)
,p_css_classes=>'t-LinksList--actions'
,p_group_id=>wwv_flow_api.id(33534250982696756)
,p_template_types=>'LIST'
,p_help_text=>'Render as actions to be placed on the right side column.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186293975255505439)
,p_theme_id=>42
,p_name=>'DISABLETEXTWRAPPING'
,p_display_name=>'Disable Text Wrapping'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(25186293779298505439)
,p_css_classes=>'t-LinksList--nowrap'
,p_template_types=>'LIST'
,p_help_text=>'Do not allow link text to wrap to new lines. Truncate with ellipsis.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186294028992505439)
,p_theme_id=>42
,p_name=>'SHOWBADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186293779298505439)
,p_css_classes=>'t-LinksList--showBadge'
,p_template_types=>'LIST'
,p_help_text=>'Show badge to right of link (requires Attribute 1 to be populated)'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186294121272505439)
,p_theme_id=>42
,p_name=>'SHOWGOTOARROW'
,p_display_name=>'Show Right Arrow'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186293779298505439)
,p_css_classes=>'t-LinksList--showArrow'
,p_template_types=>'LIST'
,p_help_text=>'Show arrow to the right of link'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186294364488505439)
,p_theme_id=>42
,p_name=>'SHOWICONS'
,p_display_name=>'For All Items'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186293779298505439)
,p_css_classes=>'t-LinksList--showIcons'
,p_group_id=>wwv_flow_api.id(33531455872696755)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186294480969505439)
,p_theme_id=>42
,p_name=>'SHOWTOPICONS'
,p_display_name=>'For Top Level Items Only'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186293779298505439)
,p_css_classes=>'t-LinksList--showTopIcons'
,p_group_id=>wwv_flow_api.id(33531455872696755)
,p_template_types=>'LIST'
,p_help_text=>'This will show icons for top level items of the list only. It will not show icons for sub lists.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186294604545505439)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186294516176505439)
,p_css_classes=>'t-MediaList--cols t-MediaList--2cols'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186294793675505439)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186294516176505439)
,p_css_classes=>'t-MediaList--cols t-MediaList--3cols'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186294853327505439)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(25186294516176505439)
,p_css_classes=>'t-MediaList--cols t-MediaList--4cols'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186294941320505440)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(25186294516176505439)
,p_css_classes=>'t-MediaList--cols t-MediaList--5cols'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186295005181505440)
,p_theme_id=>42
,p_name=>'SHOW_BADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(25186294516176505439)
,p_css_classes=>'t-MediaList--showBadges'
,p_template_types=>'LIST'
,p_help_text=>'Show a badge (Attribute 2) to the right of the list item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186295134722505440)
,p_theme_id=>42
,p_name=>'SHOW_DESCRIPTION'
,p_display_name=>'Show Description'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186294516176505439)
,p_css_classes=>'t-MediaList--showDesc'
,p_template_types=>'LIST'
,p_help_text=>'Shows the description (Attribute 1) for each list item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186295221398505440)
,p_theme_id=>42
,p_name=>'SHOW_ICONS'
,p_display_name=>'Show Icons'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186294516176505439)
,p_css_classes=>'t-MediaList--showIcons'
,p_template_types=>'LIST'
,p_help_text=>'Display an icon next to the list item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186295303887505440)
,p_theme_id=>42
,p_name=>'SPANHORIZONTAL'
,p_display_name=>'Span Horizontal'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(25186294516176505439)
,p_css_classes=>'t-MediaList--horizontal'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
,p_help_text=>'Show all list items in one horizontal row.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186295589966505440)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(25186295446517505440)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186295611629505441)
,p_theme_id=>42
,p_name=>'BEHAVE_LIKE_TABS'
,p_display_name=>'Behave Like Tabs'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186295446517505440)
,p_css_classes=>'js-tabLike'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186295795447505441)
,p_theme_id=>42
,p_name=>'ENABLE_SLIDE_ANIMATION'
,p_display_name=>'Enable Slide Animation'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186295446517505440)
,p_css_classes=>'js-slide'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186295867922505441)
,p_theme_id=>42
,p_name=>'SHOW_SUB_MENU_ICONS'
,p_display_name=>'Show Sub Menu Icons'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(25186295446517505440)
,p_css_classes=>'js-showSubMenuIcons'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186296309092505441)
,p_theme_id=>42
,p_name=>'ABOVE_LABEL'
,p_display_name=>'Above Label'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186296296761505441)
,p_css_classes=>'t-Tabs--iconsAbove'
,p_group_id=>wwv_flow_api.id(33531855452696755)
,p_template_types=>'LIST'
,p_help_text=>'Places icons above tab label.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186296432521505442)
,p_theme_id=>42
,p_name=>'FILL_LABELS'
,p_display_name=>'Fill Labels'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(25186296296761505441)
,p_css_classes=>'t-Tabs--fillLabels'
,p_group_id=>wwv_flow_api.id(33533004516696756)
,p_template_types=>'LIST'
,p_help_text=>'Stretch tabs to fill to the width of the tabs container.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186296528138505442)
,p_theme_id=>42
,p_name=>'INLINE_WITH_LABEL'
,p_display_name=>'Inline with Label'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186296296761505441)
,p_css_classes=>'t-Tabs--inlineIcons'
,p_group_id=>wwv_flow_api.id(33531855452696755)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186296713018505442)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186296296761505441)
,p_css_classes=>'t-Tabs--large'
,p_group_id=>wwv_flow_api.id(33533846012696756)
,p_template_types=>'LIST'
,p_help_text=>'Increases font size and white space around tab items.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186296828298505442)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Pill'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186296296761505441)
,p_css_classes=>'t-Tabs--pill'
,p_group_id=>wwv_flow_api.id(33534250982696756)
,p_template_types=>'LIST'
,p_help_text=>'Displays tabs in a pill container.'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186296941142505442)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186296296761505441)
,p_css_classes=>'t-Tabs--simple'
,p_group_id=>wwv_flow_api.id(33534250982696756)
,p_template_types=>'LIST'
,p_help_text=>'A very simplistic tab UI.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186297024285505442)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'Small'
,p_display_sequence=>5
,p_list_template_id=>wwv_flow_api.id(25186296296761505441)
,p_css_classes=>'t-Tabs--small'
,p_group_id=>wwv_flow_api.id(33533846012696756)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186297299539505443)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(25186297164242505442)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186297350538505443)
,p_theme_id=>42
,p_name=>'BEHAVE_LIKE_TABS'
,p_display_name=>'Behave Like Tabs'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(25186297164242505442)
,p_css_classes=>'js-tabLike'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186297440980505443)
,p_theme_id=>42
,p_name=>'ENABLE_SLIDE_ANIMATION'
,p_display_name=>'Enable Slide Animation'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(25186297164242505442)
,p_css_classes=>'js-slide'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186297536941505443)
,p_theme_id=>42
,p_name=>'SHOW_SUB_MENU_ICONS'
,p_display_name=>'Show Sub Menu Icons'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(25186297164242505442)
,p_css_classes=>'js-showSubMenuIcons'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186297816990505443)
,p_theme_id=>42
,p_name=>'ALLSTEPS'
,p_display_name=>'All Steps'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(25186297682653505443)
,p_css_classes=>'t-WizardSteps--displayLabels'
,p_group_id=>wwv_flow_api.id(33532629805696756)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186297998611505443)
,p_theme_id=>42
,p_name=>'CURRENTSTEPONLY'
,p_display_name=>'Current Step Only'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(25186297682653505443)
,p_css_classes=>'t-WizardSteps--displayCurrentLabelOnly'
,p_group_id=>wwv_flow_api.id(33532629805696756)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186298055164505443)
,p_theme_id=>42
,p_name=>'HIDELABELS'
,p_display_name=>'Hide Labels'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(25186297682653505443)
,p_css_classes=>'t-WizardSteps--hideLabels'
,p_group_id=>wwv_flow_api.id(33532629805696756)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186299072526505446)
,p_theme_id=>42
,p_name=>'LEFTICON'
,p_display_name=>'Left'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_api.id(25186298860096505445)
,p_css_classes=>'t-Button--iconLeft'
,p_group_id=>wwv_flow_api.id(33522255824696750)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(25186299125314505446)
,p_theme_id=>42
,p_name=>'RIGHTICON'
,p_display_name=>'Right'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_api.id(25186298860096505445)
,p_css_classes=>'t-Button--iconRight'
,p_group_id=>wwv_flow_api.id(33522255824696750)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
end;
/
prompt --application/shared_components/logic/build_options
begin
null;
end;
/
prompt --application/shared_components/globalization/language
begin
null;
end;
/
prompt --application/shared_components/globalization/translations
begin
null;
end;
/
prompt --application/shared_components/globalization/messages
begin
null;
end;
/
prompt --application/shared_components/globalization/dyntranslations
begin
null;
end;
/
prompt --application/shared_components/security/authentications/noauth
begin
wwv_flow_api.create_authentication(
 p_id=>wwv_flow_api.id(110568027569693887)
,p_name=>'noauth'
,p_scheme_type=>'NATIVE_DAD'
,p_use_secure_cookie_yn=>'N'
,p_ras_mode=>0
);
end;
/
prompt --application/shared_components/security/authentications/apex
begin
wwv_flow_api.create_authentication(
 p_id=>wwv_flow_api.id(25186304125123505465)
,p_name=>'APEX'
,p_scheme_type=>'NATIVE_APEX_ACCOUNTS'
,p_invalid_session_type=>'LOGIN'
,p_use_secure_cookie_yn=>'N'
,p_ras_mode=>0
);
end;
/
prompt --application/shared_components/plugins/dynamic_action/com_jk64_report_google_map_directions_da
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(169463388112490541)
,p_plugin_type=>'DYNAMIC ACTION'
,p_name=>'COM.JK64.REPORT_GOOGLE_MAP_DIRECTIONS_DA'
,p_display_name=>'JK64 Report Google Map R1 Show Directions'
,p_category=>'EXECUTE'
,p_supported_ui_types=>'DESKTOP'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('DYNAMIC ACTION','COM.JK64.REPORT_GOOGLE_MAP_DIRECTIONS_DA'),'')
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'-- jk64 ReportMap Show Directions v1.0 Jan 2021',
'-- https://github.com/jeffreykemp/jk64-plugin-reportmap',
'-- Copyright (c) 2020 Jeffrey Kemp',
'-- Released under the MIT licence: http://opensource.org/licenses/mit-license',
'',
'subtype plugin_attr is varchar2(32767);',
'',
'function render',
'    ( p_dynamic_action apex_plugin.t_dynamic_action',
'    , p_plugin         apex_plugin.t_plugin',
'    ) return apex_plugin.t_dynamic_action_render_result is',
'',
'    l_source_type         plugin_attr := p_dynamic_action.attribute_02;',
'    l_page_item_orig      plugin_attr := p_dynamic_action.attribute_03;',
'    l_selector_orig       plugin_attr := p_dynamic_action.attribute_04;',
'    l_static_value_orig   plugin_attr := p_dynamic_action.attribute_05;',
'    l_js_expression_orig  plugin_attr := p_dynamic_action.attribute_06;',
'    l_page_item_dest      plugin_attr := p_dynamic_action.attribute_07;',
'    l_selector_dest       plugin_attr := p_dynamic_action.attribute_08;',
'    l_static_value_dest   plugin_attr := p_dynamic_action.attribute_09;',
'    l_js_expression_dest  plugin_attr := p_dynamic_action.attribute_10;',
'    l_page_item_mode      plugin_attr := p_dynamic_action.attribute_11;',
'    l_selector_mode       plugin_attr := p_dynamic_action.attribute_12;',
'    l_static_value_mode   plugin_attr := p_dynamic_action.attribute_13;',
'    l_js_expression_mode  plugin_attr := p_dynamic_action.attribute_14;',
'',
'    l_val_js              varchar2(32767);',
'    l_result              apex_plugin.t_dynamic_action_render_result;',
'',
'begin',
'    if apex_application.g_debug then',
'        apex_plugin_util.debug_dynamic_action',
'            (p_plugin         => p_plugin',
'            ,p_dynamic_action => p_dynamic_action);',
'    end if;',
'',
'    l_val_js :=',
'        case l_source_type',
'        when ''pageItem'' then',
'            ''var orig=$v("'' || apex_javascript.escape(l_page_item_orig) || ''"),''',
'             || ''dest=$v("'' || apex_javascript.escape(l_page_item_dest) || ''"),''',
'             || ''mode=$v("'' || apex_javascript.escape(l_page_item_mode) || ''");''',
'        when ''jquerySelector'' then',
'            ''var orig=$("'' || apex_javascript.escape(l_selector_orig) || ''").val(),''',
'             || ''dest=$("'' || apex_javascript.escape(l_selector_dest) || ''").val(),''',
'             || ''mode=$("'' || apex_javascript.escape(l_selector_mode) || ''").val();''',
'        when ''javascriptExpression'' then',
'            ''var orig='' || l_js_expression_orig || '',''',
'             || ''dest='' || l_js_expression_dest || '',''',
'             || ''mode='' || l_js_expression_mode || '';''',
'        when ''static'' then',
'            ''var orig="'' || apex_javascript.escape(l_static_value_orig) || ''",''',
'             || ''dest="'' || apex_javascript.escape(l_static_value_dest) || ''",''',
'             || ''mode="'' || apex_javascript.escape(l_static_value_mode) || ''";''',
'        end;',
'',
'    if l_val_js is null then',
'        raise_application_error(-20000, ''Plugin error: unrecognised source type ('' || l_source_type || '')'');',
'    end if;',
'',
'    l_result.javascript_function',
'        := ''function(){''',
'        ||     ''apex.debug("ReportMap Show Directions");''',
'        ||     l_val_js',
'        ||     ''this.affectedElements.each(function(i,e){''',
'        ||         ''$("#map_"+e.id).reportmap("showDirections",orig,dest,mode);''',
'        ||     ''});''',
'        || ''}'';',
'',
'    return l_result;',
'exception',
'    when others then',
'        apex_debug.error(sqlerrm);',
'        apex_debug.message(dbms_utility.format_error_stack);',
'        apex_debug.message(dbms_utility.format_call_stack);',
'        raise;',
'end render;'))
,p_api_version=>2
,p_render_function=>'render'
,p_standard_attributes=>'REGION:REQUIRED'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>',
'Use this to show Directions from one point to another point on a map region. This plugin is to be used in conjunction with a <strong>JK64 Report Google Map R1</strong> region on the page.',
'</p><p>',
'Refer to the wiki for documentation: <strong>https://github.com/jeffreykemp/jk64-plugin-reportmap/wiki</strong>.',
'</p><p>',
'Please raise any bugs or enhancements on GitHub: <strong>https://github.com/jeffreykemp/jk64-plugin-reportmap/issues</strong>.',
'</p>'))
,p_version_identifier=>'1.0'
,p_about_url=>'https://jeffreykemp.github.io/jk64-plugin-reportmap/'
,p_plugin_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Copyright (c) 2021 Jeffrey Kemp',
'Released under the MIT licence: http://opensource.org/licenses/mit-license'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(169471019044490493)
,p_plugin_id=>wwv_flow_api.id(169463388112490541)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>30
,p_prompt=>'Source Type'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'pageItem'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Determines how the parameters for the Directions are derived - whether to take the values from items on the page, or to base them on a JavaScript expression, or to take them from items based on jQuery selectors, or to specify the Values directly (i.e'
||'. static value or based on a substitution string).',
'<p>',
'All three parameters (Origin, Destination, and Travel Mode) must be provided using the same means - i.e. three page items, three expressions, etc.'))
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(169471926278490492)
,p_plugin_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_display_sequence=>30
,p_display_value=>'Page Item'
,p_return_value=>'pageItem'
,p_help_text=>'Specify an item on the page to provide the source value for the action.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(169472430667490491)
,p_plugin_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_display_sequence=>40
,p_display_value=>'jQuery Selector'
,p_return_value=>'jquerySelector'
,p_help_text=>'Specify a jQuery Selector to provide the source value for the action'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(169472871420490491)
,p_plugin_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_display_sequence=>50
,p_display_value=>'JavaScript Expression'
,p_return_value=>'javascriptExpression'
,p_help_text=>'Set the value using a JavaScript expression.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(169473374713490491)
,p_plugin_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_display_sequence=>60
,p_display_value=>'Static Value'
,p_return_value=>'static'
,p_help_text=>'Set a single static value.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(169473854623490491)
,p_plugin_id=>wwv_flow_api.id(169463388112490541)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>40
,p_prompt=>'Page Item - Origin'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'pageItem'
,p_help_text=>'Specify the page item to provide the Origin point. The value will be used to search for a location - they may be a Latitude,Longitude pair, or a street address.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(169474279172490491)
,p_plugin_id=>wwv_flow_api.id(169463388112490541)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>50
,p_prompt=>'jQuery Selector - Origin'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'jquerySelector'
,p_examples=>'#originItemId'
,p_help_text=>'Specify the jQuery selector to identify the Origin point. The value will be used to search for a location - they may be a Latitude,Longitude pair, or a street address.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(169474645546490490)
,p_plugin_id=>wwv_flow_api.id(169463388112490541)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>60
,p_prompt=>'Value - Origin'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'static'
,p_examples=>'-31.95883,115.85815'
,p_help_text=>'Enter the value to be used to find the Origin point. Substitution syntax allowed. The value will be used to search for a location - they may be a Latitude,Longitude pair, or a street address.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(169475100591490490)
,p_plugin_id=>wwv_flow_api.id(169463388112490541)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>70
,p_prompt=>'JavaScript Expression - Origin'
,p_attribute_type=>'JAVASCRIPT'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'javascriptExpression'
,p_help_text=>'Specify the JavaScript expression to use to find the Origin point. The value will be used to search for a location - they may be a Latitude,Longitude pair, or a street address.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(169505237267436111)
,p_plugin_id=>wwv_flow_api.id(169463388112490541)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_prompt=>'Page Item - Destination'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'pageItem'
,p_help_text=>'Specify the page item to provide the Destination point. The value will be used to search for a location - they may be a Latitude,Longitude pair, or a street address.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(169505570065429118)
,p_plugin_id=>wwv_flow_api.id(169463388112490541)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_prompt=>'jQuery Selector - Destination'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'jquerySelector'
,p_examples=>'#destinationItemId'
,p_help_text=>'Specify the jQuery selector to identify the Destination point. The value will be used to search for a location - they may be a Latitude,Longitude pair, or a street address.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(169505904162427320)
,p_plugin_id=>wwv_flow_api.id(169463388112490541)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>9
,p_display_sequence=>90
,p_prompt=>'Value - Destination'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'static'
,p_examples=>'47 Cliff St, Fremantle WA 6160'
,p_help_text=>'Enter the value to be used to find the Destination point. Substitution syntax allowed. The value will be used to search for a location - they may be a Latitude,Longitude pair, or a street address.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(169506175741423829)
,p_plugin_id=>wwv_flow_api.id(169463388112490541)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>10
,p_display_sequence=>100
,p_prompt=>'JavaScript Expression - Destination'
,p_attribute_type=>'JAVASCRIPT'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'javascriptExpression'
,p_help_text=>'Specify the JavaScript expression to use to find the Destination point. The value will be used to search for a location - they may be a Latitude,Longitude pair, or a street address.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(169508176274339601)
,p_plugin_id=>wwv_flow_api.id(169463388112490541)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>11
,p_display_sequence=>110
,p_prompt=>'Page Item - Travel Mode'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'pageItem'
,p_help_text=>'Specify the page item to specify the Travel Mode. The value must resolve to one of the following values (uppercase): DRIVING, WALKING, BICYCLING, or TRANSIT'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(169508504998336670)
,p_plugin_id=>wwv_flow_api.id(169463388112490541)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>12
,p_display_sequence=>120
,p_prompt=>'jQuery Selector - Travel Mode'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'jquerySelector'
,p_examples=>'#travelModeItemId'
,p_help_text=>'Specify the jQuery selector to specify the Travel Mode. The value must resolve to one of the following values (uppercase): DRIVING, WALKING, BICYCLING, or TRANSIT'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(169508825490334595)
,p_plugin_id=>wwv_flow_api.id(169463388112490541)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>13
,p_display_sequence=>130
,p_prompt=>'Value - Travel Mode'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'static'
,p_examples=>'DRIVING'
,p_help_text=>'Enter the value to be used to specify the Travel Mode. Substitution syntax allowed. The value must resolve to one of the following values (uppercase): DRIVING, WALKING, BICYCLING, or TRANSIT'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(169509095596332250)
,p_plugin_id=>wwv_flow_api.id(169463388112490541)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>14
,p_display_sequence=>140
,p_prompt=>'JavaScript Expression - Travel Mode'
,p_attribute_type=>'JAVASCRIPT'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(169471019044490493)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'javascriptExpression'
,p_help_text=>'Specify the JavaScript expression to use to specify the Travel Mode. The value must resolve to one of the following values (uppercase): DRIVING, WALKING, BICYCLING, or TRANSIT'
);
end;
/
prompt --application/shared_components/plugins/region_type/com_jk64_report_google_map_r1
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(184856223301707224)
,p_plugin_type=>'REGION TYPE'
,p_name=>'COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_display_name=>'JK64 Report Google Map R1'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('REGION TYPE','COM.JK64.REPORT_GOOGLE_MAP_R1'),'')
,p_javascript_file_urls=>'#PLUGIN_FILES#jk64reportmap_r1#MIN#.js'
,p_css_file_urls=>'#PLUGIN_FILES#jk64reportmap_r1#MIN#.css'
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'-- jk64 ReportMap v1.5 Jan 2021',
'',
'-- format to use to convert a lat/lng number to string for passing via javascript',
'-- 0.0000001 is enough precision for the practical limit of commercial surveying, error up to +/- 11.132 mm at the equator',
'g_tochar_format                constant varchar2(100) := ''fm990.0999999'';',
'g_coord_precision              constant number := 6;',
'',
'-- if only one row is returned by the query, add this +/- to the latitude extents so it',
'-- shows the neighbourhood instead of zooming to the max',
'g_single_row_lat_margin        constant number := 0.005;',
'',
'g_visualisation_pins           constant varchar2(10) := ''PINS'';               -- default',
'g_visualisation_infolayer      constant varchar2(10) := ''INFOLAYER'';',
'g_visualisation_cluster        constant varchar2(10) := ''CLUSTER'';',
'g_visualisation_spiderfier     constant varchar2(10) := ''SPIDERFIER'';',
'g_visualisation_heatmap        constant varchar2(10) := ''HEATMAP'';',
'g_visualisation_directions     constant varchar2(10) := ''DIRECTIONS'';',
'g_visualisation_geojson        constant varchar2(10) := ''GEOJSON'';',
'',
'g_maptype_roadmap              constant varchar2(10) := ''ROADMAP'';            -- default',
'g_maptype_satellite	           constant varchar2(10) := ''SATELLITE'';',
'g_maptype_hybrid               constant varchar2(10) := ''HYBRID'';',
'g_maptype_terrain              constant varchar2(10) := ''TERRAIN'';',
'',
'g_travelmode_driving           constant varchar2(10) := ''DRIVING'';            -- default',
'g_travelmode_walking           constant varchar2(10) := ''WALKING'';',
'g_travelmode_bicycling         constant varchar2(10) := ''BICYCLING'';',
'g_travelmode_transit           constant varchar2(10) := ''TRANSIT'';',
'',
'g_option_pan_on_click          constant varchar2(30) := '':PAN_ON_CLICK:'';     -- default',
'g_option_draggable             constant varchar2(30) := '':DRAGGABLE:'';',
'g_option_pan_allowed           constant varchar2(30) := '':PAN_ALLOWED:'';      -- default',
'g_option_zoom_allowed          constant varchar2(30) := '':ZOOM_ALLOWED:'';     -- default',
'g_option_drag_drop_geojson     constant varchar2(30) := '':GEOJSON_DRAGDROP:'';',
'g_option_disable_autofit       constant varchar2(30) := '':DISABLEFITBOUNDS:'';',
'g_option_spinner               constant varchar2(30) := '':SPINNER:'';          -- default',
'g_option_suppress_ndf          constant varchar2(30) := '':SUPPRESS_NDF:'';',
'g_option_detailed_mouse        constant varchar2(30) := '':DETAILED_MOUSE_EVENTS:'';',
'',
'g_unitsystem_metric            constant varchar2(30) := ''METRIC'';             -- default',
'g_unitsystem_imperial          constant varchar2(30) := ''IMPERIAL'';',
'',
'subtype plugin_attr is varchar2(32767);',
'',
'function latlng_literal (lat in number, lng in number) return varchar2 is',
'begin',
'    return case when lat is not null and lng is not null then',
'        ''{''',
'        || apex_javascript.add_attribute(''lat'', round(lat,g_coord_precision))',
'        || apex_javascript.add_attribute(''lng'', round(lng,g_coord_precision)',
'           , false, false)',
'        || ''}''',
'        end;',
'end latlng_literal;',
'',
'function bounds_literal (south in number, west in number, north in number, east in number) return varchar2 is',
'begin',
'    return case when south is not null and west is not null and north is not null and east is not null then',
'        ''{''',
'        || apex_javascript.add_attribute(''south'', round(south, g_coord_precision))',
'        || apex_javascript.add_attribute(''west'',  round(west,  g_coord_precision))',
'        || apex_javascript.add_attribute(''north'', round(north, g_coord_precision))',
'        || apex_javascript.add_attribute(''east'',  round(east,  g_coord_precision)',
'           , false, false)',
'        || ''}''',
'        end;',
'end bounds_literal;',
'',
'procedure parse_latlng (p_val in varchar2, p_label in varchar2, p_lat out number, p_lng out number) is',
'    delim_pos number;',
'begin',
'    -- allow space as the delimiter; this should be used in locales which use comma (,) as decimal separator',
'    if instr(trim(p_val),'' '') > 0 then',
'        delim_pos := instr(p_val,'' '');',
'    else',
'        delim_pos := instr(p_val,'','');',
'    end if;',
'    p_lat := apex_plugin_util.get_attribute_as_number(substr(p_val,1,delim_pos-1), p_label || '' latitude'');',
'    p_lng := apex_plugin_util.get_attribute_as_number(substr(p_val,delim_pos+1),   p_label || '' longitude'');',
'end parse_latlng;',
'',
'function valid_zoom_level (p_attr in varchar2, p_label in varchar2) return number is',
'    n number;',
'begin',
'    n := apex_plugin_util.get_attribute_as_number(p_attr, p_label);',
'    -- note: this validation is not perfect because not all map areas necessarily have coverage at high zoom',
'    -- levels; the map will only zoom as far as it can',
'    if not n between 0 and 23 then',
'        raise_application_error(-20000, p_label || '': must be in range 0..23 ("'' || p_attr || ''")'');',
'    end if;',
'    return n;',
'end valid_zoom_level;',
'',
'function get_source (p_region in apex_plugin.t_region) return varchar2 is',
'    l_region                apex_application_page_regions%rowtype;',
'    l_visualisation         plugin_attr := p_region.attribute_02;',
'    l_result                varchar2(32767);',
'begin',
'    select r.*',
'    into   l_region',
'    from   apex_application_page_regions r',
'    where  r.region_id = p_region.id;',
'',
'    apex_debug.message(''source type: '' || l_region.query_type_code || '' ('' || l_region.location || '' - '' || l_region.query_type || '')'');',
'',
'    if l_region.query_type is not null then',
'',
'        if l_region.location_code = ''LOCAL'' then',
'',
'            l_result := case l_region.query_type_code',
'                        when ''SQL''',
'                            then p_region.source',
'                        when ''FUNC_BODY_RETURNING_SQL''',
'                            then apex_plugin_util.get_plsql_function_result(p_region.source)',
'                        when ''TABLE''',
'                            then ''select ''',
'                              || case l_visualisation',
'                                 when g_visualisation_heatmap then ''lat,lng,weight''',
'                                 when g_visualisation_geojson then ''geojson''',
'                                 else case when l_region.include_rowid_column = ''Yes''',
'                                      then ''lat,lng,name,rowid as id''',
'                                      else ''lat,lng,name,id''',
'                                      end',
'                                 end',
'                              || '' from ''',
'                              || case when l_region.table_owner is not null then ''"'' || l_region.table_owner || ''".'' end',
'                              || ''"'' || l_region.table_name || ''" "'' || l_region.table_name || ''"''',
'                              || case when l_region.where_clause is not null then '' where ('' || l_region.where_clause || '')'' end',
'                              || case when l_region.order_by_clause is not null then '' order by '' || l_region.order_by_clause end',
'                        end;',
'',
'            if l_result is null then',
'                raise_application_error(-20001, ''Unsupported region source ('' || l_region.query_type || ''); must be Table/View, SQL Query or PL/SQL Function Body returning SQL'');',
'            end if;',
'',
'        elsif l_region.location is not null then',
'            raise_application_error(-20001, ''Unsupported source location ('' || l_region.location || ''); must be Local Database'');',
'        end if;',
'',
'    end if;',
'',
'    apex_debug.message(''source: '' || l_result);',
'',
'    return l_result;',
'end get_source;',
'',
'procedure prn_mapdata (p_region in apex_plugin.t_region) is',
'',
'    l_source                varchar2(32767);',
'    l_flex                  varchar2(32767);',
'    l_buf                   varchar2(32767);',
'    l_column_list           apex_plugin_util.t_column_value_list2;',
'    l_visualisation         plugin_attr := p_region.attribute_02;',
'    l_escape_special_chars  plugin_attr := p_region.attribute_24;',
'    l_first_row             number;',
'    l_max_rows              number;',
'    l_geojson_clob          clob;',
'    l_chunk_size            number := 32767;',
'    l_rows_emitted          number := 0;',
'',
'    function varchar2_field (attr_no in number, i in number) return varchar2 is',
'        r varchar2(4000);',
'    begin',
'        if l_column_list.exists(attr_no) then',
'            -- whatever data type was in the original source, get it as a string',
'            r := sys.htf.escape_sc(',
'                apex_plugin_util.get_value_as_varchar2 (',
'                    p_data_type => l_column_list(attr_no).data_type,',
'                    p_value     => l_column_list(attr_no).value_list(i)',
'                    ));',
'        end if;',
'        return r;',
'    end varchar2_field;',
'',
'    function number_field (attr_no in number, i in number) return number is',
'        r number;',
'    begin',
'        if l_column_list(attr_no).data_type = apex_plugin_util.c_data_type_number then',
'            r := l_column_list(attr_no).value_list(i).number_value;',
'        else',
'            r := to_number(varchar2_field(attr_no, i));',
'        end if;',
'        return r;',
'    exception',
'        when value_error then',
'            raise_application_error(-20000, ''Unable to convert data to number ['' || varchar2_field(attr_no, i) || '']'');',
'    end number_field;',
'',
'    -- return a latitude or longitude as a number formatted as a string suitable for embedding in json',
'    function lat_or_lng_field (attr_no in number, i in number) return varchar2 is',
'        r number;',
'    begin',
'        if l_column_list(attr_no).data_type = apex_plugin_util.c_data_type_number then',
'            r := l_column_list(attr_no).value_list(i).number_value;',
'        else',
'            r := to_number(varchar2_field(attr_no, i));',
'        end if;',
'        return nvl(to_char(r, g_tochar_format),''null'');',
'    exception',
'        when value_error then',
'            raise_application_error(-20000, ''Unable to convert data to ''',
'                || case attr_no when 1 then ''latitude'' when 2 then ''longitude'' else ''lat/lng'' end',
'                || '' ['' || varchar2_field(attr_no, i) || '']'');',
'    end lat_or_lng_field;',
'',
'    function flex_field (attr_no in number, i in number, offset in number) return varchar2 is',
'      d varchar2(4000);',
'    begin',
'        if l_column_list.exists(attr_no+offset) then',
'            d := apex_plugin_util.get_value_as_varchar2 (',
'                p_data_type => l_column_list(attr_no+offset).data_type,',
'                p_value     => l_column_list(attr_no+offset).value_list(i)',
'                );',
'            if l_escape_special_chars=''Y'' then',
'                d := sys.htf.escape_sc(d);',
'            end if;',
'        end if;',
'        return apex_javascript.add_attribute(''a''||attr_no,d);',
'    end flex_field;',
'',
'begin',
'    apex_debug.message(''reportmap x01 (first row): '' || apex_application.g_x01);',
'    apex_debug.message(''reportmap x02 (max rows): '' || apex_application.g_x02);',
'',
'    l_first_row := to_number(apex_application.g_x01);',
'    l_max_rows := to_number(apex_application.g_x02);',
'',
'    l_source := get_source(p_region);',
'',
'    if l_source is not null then',
'',
'        case',
'        when l_visualisation = g_visualisation_heatmap then',
'',
'            l_column_list := apex_plugin_util.get_data2',
'                (p_sql_statement  => l_source',
'                ,p_min_columns    => 3',
'                ,p_max_columns    => 3',
'                ,p_component_name => p_region.name',
'                ,p_max_rows       => l_max_rows);',
'',
'            for i in 1 .. l_column_list(1).value_list.count loop',
'',
'                -- minimise size of data to be sent by encoding it as an array of arrays',
'                l_buf := ''['' || lat_or_lng_field(1,i)',
'                      || '','' || lat_or_lng_field(2,i)',
'                      || '','' || greatest( nvl( round( number_field(3,i) ), 1), 1)',
'                      || '']'';',
'',
'                if i < 8 /*don''t send the whole dataset to debug log*/ then',
'                    apex_debug.message(''#'' || i || '': '' || l_buf);',
'                end if;',
'',
'                if i>1 then',
'                    sys.htp.prn('','');',
'                end if;',
'',
'                sys.htp.prn(l_buf);',
'',
'                l_rows_emitted := l_rows_emitted + 1;',
'',
'            end loop;',
'',
'        when l_visualisation = g_visualisation_geojson then',
'',
'            l_column_list := apex_plugin_util.get_data2',
'                (p_sql_statement  => l_source',
'                ,p_min_columns    => 1',
'                ,p_max_columns    => 12',
'                ,p_component_name => p_region.name',
'                ,p_first_row      => l_first_row',
'                ,p_max_rows       => l_max_rows',
'                );',
'',
'            for i in 1 .. l_column_list(1).value_list.count loop',
'',
'                if i>1 then',
'                    sys.htp.prn('','');',
'                end if;',
'',
'                sys.htp.prn(''{"geojson":'');',
'',
'                if l_column_list(1).data_type = apex_plugin_util.c_data_type_clob then',
'',
'                    l_geojson_clob := l_column_list(1).value_list(i).clob_value;',
'',
'                    -- send the clob down in chunks',
'',
'                    for j in 0 .. floor(length(l_geojson_clob)/l_chunk_size) loop',
'',
'                        l_buf := substr(l_geojson_clob, j * l_chunk_size + 1, l_chunk_size);',
'',
'                        if i < 8 and j = 0 /*don''t send the whole dataset to debug log*/ then',
'                            apex_debug.message(''#'' || i || '': '' || substr(l_buf,1,1000));',
'                        end if;',
'',
'                        sys.htp.prn(l_buf);',
'',
'                    end loop;',
'',
'                else',
'',
'                    l_buf := varchar2_field(1,i);',
'',
'                    if i < 8 /*don''t send the whole dataset to debug log*/ then',
'                        apex_debug.message(''#'' || i || '': '' || substr(l_buf,1,1000));',
'                    end if;',
'',
'                    sys.htp.prn(l_buf);',
'',
'                end if;',
'',
'                -- get flex fields, if any',
'                l_flex := null;',
'                for attr_no in 1..10 loop',
'                    l_flex := l_flex || flex_field(attr_no, i, offset => 3);',
'                end loop;',
'',
'                l_buf := '',''',
'                      || apex_javascript.add_attribute(''n'',varchar2_field(2,i)) /*name*/',
'                      || apex_javascript.add_attribute(''d'',varchar2_field(3,i)) /*id*/',
'                      || case when l_flex is not null then',
'                           ''"f":{'' || rtrim(l_flex,'','') || ''}''',
'                         end;',
'',
'                l_buf := rtrim(l_buf, '','');',
'',
'                sys.htp.prn(l_buf || ''}'');',
'',
'                l_rows_emitted := l_rows_emitted + 1;',
'',
'            end loop;',
'',
'        else',
'            -- "pin" type visualisations',
'',
'            l_column_list := apex_plugin_util.get_data2',
'                (p_sql_statement  => l_source',
'                ,p_min_columns    => 4',
'                ,p_max_columns    => 17',
'                ,p_component_name => p_region.name',
'                ,p_first_row      => l_first_row',
'                ,p_max_rows       => l_max_rows);',
'',
'            for i in 1..l_column_list(1).value_list.count loop',
'',
'                -- get flex fields, if any',
'                l_flex := null;',
'                for attr_no in 1..10 loop',
'                    l_flex := l_flex || flex_field(attr_no, i, offset => 7);',
'                end loop;',
'',
'                l_buf := ''"x":'' || lat_or_lng_field(1,i) || '','' /*lat*/',
'                      || ''"y":'' || lat_or_lng_field(2,i) || '','' /*lng*/',
'                      || apex_javascript.add_attribute(''n'',varchar2_field(3,i)) /*name*/',
'                      || apex_javascript.add_attribute(''d'',varchar2_field(4,i)) /*id*/',
'                      || apex_javascript.add_attribute(''i'',varchar2_field(5,i)) /*info*/',
'                      || apex_javascript.add_attribute(''c'',varchar2_field(6,i)) /*icon*/',
'                      || apex_javascript.add_attribute(''l'',substr(varchar2_field(7,i),1,1)) /*label*/',
'                      || case when l_flex is not null then',
'                           ''"f":{'' || rtrim(l_flex,'','') || ''}''',
'                         end;',
'',
'                l_buf := ''{'' || rtrim(l_buf,'','') || ''}'';',
'',
'                if i < 8 /*don''t send the whole dataset to debug log*/ then',
'                    apex_debug.message(''#'' || i || '': '' || substr(l_buf,1,1000));',
'                end if;',
'',
'                if i>1 then',
'                    sys.htp.prn('','');',
'                end if;',
'',
'                sys.htp.prn(l_buf);',
'',
'                l_rows_emitted := l_rows_emitted + 1;',
'',
'            end loop;',
'',
'        end case;',
'',
'    end if;',
'',
'exception',
'    when others then',
'        apex_debug.error(sqlerrm);',
'        apex_debug.message(dbms_utility.format_error_stack);',
'        apex_debug.message(dbms_utility.format_call_stack);',
'        sys.htp.p(case when l_rows_emitted>0 then '','' end',
'            || ''{"error":'' || apex_escape.js_literal(sqlerrm,''"'') || ''}'');',
'end prn_mapdata;',
'',
'function render',
'    (p_region in apex_plugin.t_region',
'    ,p_plugin in apex_plugin.t_plugin',
'    ,p_is_printer_friendly in boolean',
'    ) return apex_plugin.t_region_render_result is',
'',
'    l_result                       apex_plugin.t_region_render_result;',
'',
'    -- Component settings',
'    l_api_key                      plugin_attr := p_plugin.attribute_01;',
'    l_no_address_results_msg       plugin_attr := p_plugin.attribute_02;',
'    l_directions_not_found_msg     plugin_attr := p_plugin.attribute_03;',
'    l_directions_zero_results_msg  plugin_attr := p_plugin.attribute_04;',
'    l_min_zoom                     number;      --attribute_05',
'    l_max_zoom                     number;      --attribute_06',
'    l_max_rows                     number;      --attribute_07',
'    l_unit_system                  plugin_attr := p_plugin.attribute_08;',
'    l_plugin_resource_path         plugin_attr := p_plugin.attribute_09;',
'',
'    -- Plugin attributes',
'    l_map_height                   plugin_attr := p_region.attribute_01;',
'    l_visualisation                plugin_attr := p_region.attribute_02;',
'    l_click_zoom_level             number;      --attribute_03',
'    l_options                      plugin_attr := p_region.attribute_04;',
'    l_initial_zoom_level           number;      --attribute_05',
'    l_initial_center               plugin_attr := p_region.attribute_06;',
'    l_rows_per_batch               number;      --attribute_07',
'    l_language                     plugin_attr := p_region.attribute_08;',
'    l_region                       plugin_attr := p_region.attribute_09;',
'    l_restrict_country             plugin_attr := p_region.attribute_10;',
'    l_mapstyle                     plugin_attr := p_region.attribute_11;',
'    l_heatmap_dissipating          plugin_attr := p_region.attribute_12;',
'    l_heatmap_opacity              number;      --attribute_13',
'    l_heatmap_radius               number;      --attribute_14',
'    l_travel_mode                  plugin_attr := p_region.attribute_15;',
'    l_drawing_modes                plugin_attr := p_region.attribute_16;',
'    l_optimizewaypoints            plugin_attr := p_region.attribute_21;',
'    l_maptype                      plugin_attr := p_region.attribute_22;',
'    l_gesture_handling             plugin_attr := p_region.attribute_25;',
'',
'    l_source                       varchar2(32767);',
'    l_region_id                    varchar2(100);',
'    l_lat                          number;',
'    l_lng                          number;',
'    l_opt                          varchar2(32767);',
'    l_js_options                   varchar2(1000);',
'    l_dragdrop_geojson             boolean;',
'    l_init_js_code                 plugin_attr;',
'',
'begin',
'    if apex_application.g_debug then',
'        apex_plugin_util.debug_region',
'            (p_plugin => p_plugin',
'            ,p_region => p_region',
'            ,p_is_printer_friendly => p_is_printer_friendly);',
'    end if;',
'',
'    if l_api_key is null or instr(l_api_key,''('') > 0 then',
'      raise_application_error(-20000, ''Google Maps API Key is required (set in Component Settings)'');',
'    end if;',
'',
'    l_region_id := case',
'                   when p_region.static_id is not null',
'                   then p_region.static_id',
'                   else ''R''||p_region.id',
'                   end;',
'    apex_debug.message(''map region: '' || l_region_id);',
'',
'    l_source := get_source(p_region);',
'    l_init_js_code := p_region.init_javascript_code;',
'',
'    -- Component settings',
'    l_min_zoom           := valid_zoom_level(p_plugin.attribute_05, ''Min. Zoom'');',
'    l_max_zoom           := valid_zoom_level(p_plugin.attribute_06, ''Max. Zoom'');',
'    l_max_rows           := apex_plugin_util.get_attribute_as_number(p_plugin.attribute_07, ''Maximum Records'');',
'',
'    -- Plugin attributes',
'    l_click_zoom_level   := valid_zoom_level(p_region.attribute_03, ''Zoom Level on Click'');',
'    l_initial_zoom_level := valid_zoom_level(p_region.attribute_05, ''Initial Zoom Level'');',
'    l_heatmap_opacity    := apex_plugin_util.get_attribute_as_number(p_region.attribute_13, ''Heatmap Opacity'');',
'    l_heatmap_radius     := apex_plugin_util.get_attribute_as_number(p_region.attribute_14, ''Heatmap Radius'');',
'    l_dragdrop_geojson   := instr('':''||l_options||'':'',g_option_drag_drop_geojson)>0;',
'',
'    if l_initial_center is not null then',
'        parse_latlng(l_initial_center, p_label=>''Initial Map Center'', p_lat=>l_lat, p_lng=>l_lng);',
'    end if;',
'',
'    if l_visualisation not in (g_visualisation_heatmap, g_visualisation_directions) then',
'        l_rows_per_batch := apex_plugin_util.get_attribute_as_number(p_region.attribute_07, ''Rows per Batch'');',
'    end if;',
'',
'    if l_drawing_modes is not null then',
'        -- convert colon-delimited list "marker:polygon:polyline:rectangle:circle"',
'        -- to a javascript array "''marker'',''polygon'',''polyline'',''rectangle'',''circle''"',
'        l_drawing_modes := '''''''' || replace(l_drawing_modes,'':'','''''','''''') || '''''''';',
'    end if;',
'',
'    if l_visualisation = g_visualisation_heatmap then',
'',
'        l_js_options := l_js_options || ''&libraries=visualization'';',
'',
'    elsif l_drawing_modes is not null then',
'',
'        l_js_options := l_js_options || ''&libraries=drawing'';',
'',
'    end if;',
'',
'    if l_language is not null then',
'        l_js_options := l_js_options || ''&language='' || l_language;',
'    end if;',
'',
'    if l_region is not null then',
'        l_js_options := l_js_options || ''&region='' || l_region;',
'    end if;',
'',
'    apex_javascript.add_library',
'        (p_name           => ''js?key='' || l_api_key || l_js_options',
'        ,p_directory      => ''https://maps.googleapis.com/maps/api/''',
'        ,p_skip_extension => true',
'        ,p_key            => ''https://maps.googleapis.com/maps/api/js'' -- don''t load multiple google maps APIs on same page',
'        );',
'',
'    if l_visualisation = g_visualisation_cluster then',
'',
'        -- MarkerClustererPlus for Google Maps V3',
'        apex_javascript.add_library',
'            (p_name      => ''markerclusterer.min''',
'            ,p_directory => p_plugin.file_prefix);',
'',
'    elsif l_visualisation = g_visualisation_spiderfier then',
'',
'        -- OverlappingMarkerSpiderfier',
'        apex_javascript.add_library',
'            (p_name      => ''oms.min''',
'            ,p_directory => p_plugin.file_prefix);',
'',
'    end if;',
'',
'    -- use nullif to convert default values to null; this can reduce the footprint of the generated code',
'    l_opt := ''{''',
'      || apex_javascript.add_attribute(''regionId'', l_region_id)',
'      || apex_javascript.add_attribute(''expectData'', nullif(l_source is not null,true))',
'      || apex_javascript.add_attribute(''maximumRows'', l_max_rows)',
'      || apex_javascript.add_attribute(''rowsPerBatch'', l_rows_per_batch)',
'      || apex_javascript.add_attribute(''visualisation'', lower(nullif(l_visualisation,g_visualisation_pins)))',
'      || apex_javascript.add_attribute(''mapType'', lower(nullif(l_maptype,g_maptype_roadmap)))',
'      || apex_javascript.add_attribute(''minZoom'', nullif(l_min_zoom,1))',
'      || apex_javascript.add_attribute(''maxZoom'', l_max_zoom)',
'      || apex_javascript.add_attribute(''initialZoom'', nullif(l_initial_zoom_level,2))',
'      || case when l_lat!=0 or l_lng!=0 then',
'            ''"initialCenter":'' || latlng_literal(l_lat,l_lng) || '',''',
'         end',
'      || apex_javascript.add_attribute(''clickZoomLevel'', l_click_zoom_level)',
'      || apex_javascript.add_attribute(''isDraggable'', nullif(instr('':''||l_options||'':'',g_option_draggable)>0,false))',
'      || case when l_visualisation = g_visualisation_heatmap then',
'            apex_javascript.add_attribute(''heatmapDissipating'', nullif(l_heatmap_dissipating=''Y'',false))',
'         || apex_javascript.add_attribute(''heatmapOpacity'', nullif(l_heatmap_opacity,0.6))',
'         || apex_javascript.add_attribute(''heatmapRadius'', nullif(l_heatmap_radius,5))',
'         end',
'      || apex_javascript.add_attribute(''panOnClick'', nullif(instr('':''||l_options||'':'',g_option_pan_on_click)>0,true))',
'      || apex_javascript.add_attribute(''restrictCountry'', l_restrict_country)',
'      || case when l_mapstyle is not null then',
'         ''"mapStyle":'' || l_mapstyle || '',''',
'         end',
'      || case when l_visualisation = g_visualisation_directions then',
'            apex_javascript.add_attribute(''travelMode'', nullif(l_travel_mode,g_travelmode_driving))',
'         || apex_javascript.add_attribute(''optimizeWaypoints'', nullif(l_optimizewaypoints=''Y'',false))',
'         end',
'      || apex_javascript.add_attribute(''unitSystem'', nullif(l_unit_system,g_unitsystem_metric))',
'      || apex_javascript.add_attribute(''allowZoom'', nullif(instr('':''||l_options||'':'',g_option_zoom_allowed)>0,true))',
'      || apex_javascript.add_attribute(''allowPan'', nullif(instr('':''||l_options||'':'',g_option_pan_allowed)>0,true))',
'      || apex_javascript.add_attribute(''gestureHandling'', nullif(l_gesture_handling,''auto''))',
'      || case when l_init_js_code is not null then',
'         ''"initFn":function(){''',
'            || chr(13)',
'            || l_init_js_code',
'            || chr(13) /* this handles the case if developer ends their javascript with a line comment // */',
'            || ''},''',
'         end',
'      || case when l_drawing_modes is not null then',
'         ''"drawingModes":['' || l_drawing_modes || ''],''',
'         end',
'      || apex_javascript.add_attribute(''dragDropGeoJSON'', nullif(l_dragdrop_geojson,false))',
'	  || apex_javascript.add_attribute(''autoFitBounds'', nullif(instr('':''||l_options||'':'',g_option_disable_autofit)=0,true)) --reverse meaning of option',
'      || apex_javascript.add_attribute(''showSpinner'', nullif(instr('':''||l_options||'':'',g_option_spinner)>0,true))',
'      || apex_javascript.add_attribute(''detailedMouseEvents'', nullif(instr('':''||l_options||'':'',g_option_detailed_mouse)>0,false))',
'      || apex_javascript.add_attribute(''noDataMessage'', case when instr('':''||l_options||'':'',g_option_suppress_ndf)=0 -- set to null if message suppressed',
'                                                        then p_region.no_data_found_message',
'                                                        end)',
'      || apex_javascript.add_attribute(''noAddressResults'', l_no_address_results_msg)',
'      || apex_javascript.add_attribute(''directionsNotFound'', l_directions_not_found_msg)',
'      || apex_javascript.add_attribute(''directionsZeroResults'', l_directions_zero_results_msg)',
'      || apex_javascript.add_attribute(''ajaxIdentifier'', apex_plugin.get_ajax_identifier)',
'      || apex_javascript.add_attribute(''ajaxItems'', apex_plugin_util.page_item_names_to_jquery(p_region.ajax_items_to_submit))',
'      || apex_javascript.add_attribute(''pluginResourcePath'', l_plugin_resource_path)',
'      || apex_javascript.add_attribute(''pluginFilePrefix'', p_plugin.file_prefix',
'         ,false,false)',
'      || ''}'';',
'',
'    apex_debug.message(''map options: '' || l_opt);',
'',
'    apex_javascript.add_onload_code(p_code =>',
'      ''$("#map_'' || l_region_id || ''").reportmap('' || l_opt || '');''',
'      );',
'',
'    sys.htp.p(''<div id="map_'' || l_region_id || ''" class="reportmap" style="min-height:'' || l_map_height || ''px"></div>'');',
'',
'    if l_dragdrop_geojson then',
'        sys.htp.p(''<div id="drop_'' || l_region_id || ''" class="reportmap-drop-container"><div class="reportmap-drop-silhouette"></div></div>'');',
'    end if;',
'',
'    return l_result;',
'exception',
'    when others then',
'        apex_debug.error(sqlerrm);',
'        apex_debug.message(dbms_utility.format_error_stack);',
'        apex_debug.message(dbms_utility.format_call_stack);',
'        raise;',
'end render;',
'',
'function ajax',
'    (p_region in apex_plugin.t_region',
'    ,p_plugin in apex_plugin.t_plugin',
'    ) return apex_plugin.t_region_ajax_result is',
'',
'    l_result apex_plugin.t_region_ajax_result;',
'',
'begin',
'    if apex_application.g_debug then',
'        apex_plugin_util.debug_region',
'            (p_plugin => p_plugin',
'            ,p_region => p_region);',
'    end if;',
'    apex_debug.message(''ajax'');',
'',
'    sys.owa_util.mime_header(''text/plain'', false);',
'    sys.htp.p(''Cache-Control: no-cache'');',
'    sys.htp.p(''Pragma: no-cache'');',
'    sys.owa_util.http_header_close;',
'',
'    sys.htp.p(''{"mapdata":['');',
'',
'    prn_mapdata(p_region => p_region);',
'',
'    sys.htp.p('']}'');',
'',
'    apex_debug.message(''ajax finished'');',
'    return l_result;',
'exception',
'    when others then',
'        apex_debug.error(sqlerrm);',
'        apex_debug.message(dbms_utility.format_error_stack);',
'        apex_debug.message(dbms_utility.format_call_stack);',
'        raise;',
'end ajax;'))
,p_api_version=>1
,p_render_function=>'render'
,p_ajax_function=>'ajax'
,p_standard_attributes=>'SOURCE_LOCATION:AJAX_ITEMS_TO_SUBMIT:NO_DATA_FOUND_MESSAGE:INIT_JAVASCRIPT_CODE'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>false
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>',
'This plugin renders a Google Map, showing a number of pins based on a query you supply with Latitude, Longitude, Name (pin hovertext), id, and Info.',
'</p><p>',
'Refer to the wiki for documentation and examples: <strong>https://github.com/jeffreykemp/jk64-plugin-reportmap/wiki</strong>.',
'</p><p>',
'Please raise any bugs or enhancements on GitHub: <strong>https://github.com/jeffreykemp/jk64-plugin-reportmap/issues</strong>.',
'</p>'))
,p_version_identifier=>'1.5'
,p_about_url=>'https://jeffreykemp.github.io/jk64-plugin-reportmap/'
,p_plugin_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Copyright (c) 2016 - 2021 Jeffrey Kemp',
'Released under the MIT licence: http://opensource.org/licenses/mit-license'))
,p_files_version=>870
);
end;
/
begin
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196436287268656050)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Google API Key'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_display_length=>60
,p_is_translatable=>false
,p_help_text=>'A Google Maps API Key is required. Refer: https://developers.google.com/maps/documentation/javascript/get-api-key#get-an-api-key'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196436714805656049)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'No Address Results message'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_is_translatable=>true
,p_help_text=>'Leave blank for default: "Address not found"'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196437117407656049)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_prompt=>'Directions Not Found message'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_is_translatable=>true
,p_help_text=>'Leave blank for default: "At least one of the origin, destination, or waypoints could not be geocoded."'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196437540290656049)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_prompt=>'Directions Zero Results message'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_is_translatable=>true
,p_help_text=>'Leave blank for default: "No route could be found between the origin and destination."'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196437906399656048)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_prompt=>'Min. Zoom'
,p_attribute_type=>'INTEGER'
,p_is_required=>false
,p_default_value=>'1'
,p_unit=>'0 .. 23'
,p_is_translatable=>false
,p_help_text=>'Minimum Zoom Level - must be 0 to 23. Set to 0 to allow zooming out to entire world map.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196438321239656048)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_prompt=>'Max. Zoom'
,p_attribute_type=>'INTEGER'
,p_is_required=>false
,p_unit=>'0 .. 23'
,p_is_translatable=>false
,p_help_text=>'Maximum Zoom Level - 0 to 23. Set to blank to allow zooming in to show maximum detail.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196438684803656048)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_prompt=>'Maximum Records'
,p_attribute_type=>'INTEGER'
,p_is_required=>true
,p_default_value=>'10000'
,p_unit=>'rows'
,p_is_translatable=>false
,p_help_text=>'Maximum number of records to fetch from the SQL Query. Note that datasets that are very large (e.g. 10,000+) may perform poorly on the client''s machine. The Heatmap option is leaner and can support larger datasets.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(84401048685750914)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_prompt=>'Directions Unit System'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'METRIC'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'Unit system to use when using the Directions service.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(84411716230750227)
,p_plugin_attribute_id=>wwv_flow_api.id(84401048685750914)
,p_display_sequence=>10
,p_display_value=>'Metric'
,p_return_value=>'METRIC'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(84412130136749429)
,p_plugin_attribute_id=>wwv_flow_api.id(84401048685750914)
,p_display_sequence=>20
,p_display_value=>'Imperial'
,p_return_value=>'IMPERIAL'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(85316358723190558)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>9
,p_display_sequence=>90
,p_prompt=>'Plugin URL Path'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_is_translatable=>false
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'https://xyzmyprefixxyz.adb.eu-frankfurt-1.oraclecloudapps.com/ords',
'https://apex.oracle.com/pls/apex'))
,p_help_text=>'Normally, this may be left blank (i.e. auto-detect). Set this to override the automatic detection of the window origin+path for downloading plugin image icons. Don''t include a trailing slash (/). The plugin will append the plugin path prefix and the '
||'file name at run time.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196439145228656047)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Min. Map Height'
,p_attribute_type=>'NUMBER'
,p_is_required=>true
,p_show_in_wizard=>false
,p_default_value=>'400'
,p_unit=>'pixels'
,p_is_translatable=>false
,p_help_text=>'Desired height (in pixels) of the map region. Note: the width will adjust according to the available area of the containing window.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196439489513656047)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'Visualisation'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'PINS'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'Select how to represent the data retrieved from the query on the map.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196439877093656047)
,p_plugin_attribute_id=>wwv_flow_api.id(196439489513656047)
,p_display_sequence=>10
,p_display_value=>'Pins'
,p_return_value=>'PINS'
,p_help_text=>'Show a pin for every data point. The pin may optionally use an alternative icon, or show a single-character label. Each pin can also have an information window showing text (most HTML allowed) when the user selects the pin.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(84901479713322267)
,p_plugin_attribute_id=>wwv_flow_api.id(196439489513656047)
,p_display_sequence=>15
,p_display_value=>'Info Layer'
,p_return_value=>'INFOLAYER'
,p_help_text=>'Show the Info (as HTML rendered within a div) directly on the map instead of pins.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196440429855656047)
,p_plugin_attribute_id=>wwv_flow_api.id(196439489513656047)
,p_display_sequence=>20
,p_display_value=>'Marker Clustering'
,p_return_value=>'CLUSTER'
,p_help_text=>'Show a pin for every data point. Cluster pins where many pins are very close together. When the user clicks a cluster, the map zooms in to show the pins.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(108971242187567164)
,p_plugin_attribute_id=>wwv_flow_api.id(196439489513656047)
,p_display_sequence=>25
,p_display_value=>'Spiderfier'
,p_return_value=>'SPIDERFIER'
,p_help_text=>'Show a pin for every data point. If the user clicks on a group of pins that are close to each other or overlapping, the spiderfier shifts the pins out in a spiral with lines pointing to where they were.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196440921401656046)
,p_plugin_attribute_id=>wwv_flow_api.id(196439489513656047)
,p_display_sequence=>30
,p_display_value=>'Heatmap'
,p_return_value=>'HEATMAP'
,p_help_text=>'Show the data as a heat map. Suitable for larger volume of data points. Note: a different query structure is required (i.e. no pin labels or icons are used).'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196441374095656046)
,p_plugin_attribute_id=>wwv_flow_api.id(196439489513656047)
,p_display_sequence=>40
,p_display_value=>'Directions'
,p_return_value=>'DIRECTIONS'
,p_help_text=>'Show a route using the data points from the query. Directions can be shown for Driving, Walking, Bicycling or Public Transport. A pin will also be shown at each point.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(109740019544017974)
,p_plugin_attribute_id=>wwv_flow_api.id(196439489513656047)
,p_display_sequence=>50
,p_display_value=>'GeoJson'
,p_return_value=>'GEOJSON'
,p_help_text=>'Render one or more features represented in GeoJson format. Query only requires one column, the GeoJson document (VARCHAR2 or CLOB).'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196441895836656046)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_prompt=>'Zoom Level on Click'
,p_attribute_type=>'INTEGER'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'13'
,p_unit=>'0 .. 23'
,p_is_translatable=>false
,p_help_text=>'When the user clicks on a map marker, or adds a new marker, zoom the map to this level. Set to blank to not zoom on click.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196442290547656045)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_prompt=>'Options'
,p_attribute_type=>'CHECKBOXES'
,p_is_required=>false
,p_default_value=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196443113749656044)
,p_plugin_attribute_id=>wwv_flow_api.id(196442290547656045)
,p_display_sequence=>10
,p_display_value=>'Pan on click'
,p_return_value=>'PAN_ON_CLICK'
,p_help_text=>'When the user clicks a point on the map, pan the map to that location.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196443628094656044)
,p_plugin_attribute_id=>wwv_flow_api.id(196442290547656045)
,p_display_sequence=>20
,p_display_value=>'Draggable pins'
,p_return_value=>'DRAGGABLE'
,p_help_text=>'Allow user to move pins to new locations on the map.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196444071794656044)
,p_plugin_attribute_id=>wwv_flow_api.id(196442290547656045)
,p_display_sequence=>30
,p_display_value=>'Pan allowed'
,p_return_value=>'PAN_ALLOWED'
,p_help_text=>'Allow user to pan the map. If unset, the map will be fixed at one location.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196444600766656043)
,p_plugin_attribute_id=>wwv_flow_api.id(196442290547656045)
,p_display_sequence=>40
,p_display_value=>'Zoom Allowed'
,p_return_value=>'ZOOM_ALLOWED'
,p_help_text=>'Allow user to zoom in or out. If unset, the map scale will remain constant.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196442580346656044)
,p_plugin_attribute_id=>wwv_flow_api.id(196442290547656045)
,p_display_sequence=>50
,p_display_value=>'Drag & Drop GeoJSON'
,p_return_value=>'GEOJSON_DRAGDROP'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Allow user to drag and drop a GeoJSON file onto the map. The features in the GeoJSON will be rendered into a data layer on the map.',
'<p>',
'If you also enable Drawing Mode, the user will also be able to edit these features, and add and remove features.',
'<p>',
'You can get the resulting set of features as a new GeoJSON document using code like this:',
'<pre>',
'var map = $("#map_mymap").reportmap("instance").map;',
'map.data.toGeoJson(function(o){',
'    $s("P1_GEOJSON", JSON.stringify(o));',
'});',
'</pre>'))
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(200131438751839886)
,p_plugin_attribute_id=>wwv_flow_api.id(196442290547656045)
,p_display_sequence=>60
,p_display_value=>'Disable Auto Fit Bounds'
,p_return_value=>'DISABLEFITBOUNDS'
,p_help_text=>'Whenever the map data is refreshed, the map will be automatically panned/zoomed to fit the bounds of all the pins. Set this option to stop the map from automatically fitting the bounds.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(109171389675559380)
,p_plugin_attribute_id=>wwv_flow_api.id(196442290547656045)
,p_display_sequence=>70
,p_display_value=>'Show Spinner'
,p_return_value=>'SPINNER'
,p_help_text=>'Show APEX "waiting" spinner while data is loading or refreshing.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(84465918073993084)
,p_plugin_attribute_id=>wwv_flow_api.id(196442290547656045)
,p_display_sequence=>80
,p_display_value=>'Suppress No Data Found message'
,p_return_value=>'SUPPRESS_NDF'
,p_help_text=>'If set, the "No Data Found" message will not be displayed if the query returns no rows.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(84489826204378828)
,p_plugin_attribute_id=>wwv_flow_api.id(196442290547656045)
,p_display_sequence=>90
,p_display_value=>'Detailed Mouse Events'
,p_return_value=>'DETAILED_MOUSE_EVENTS'
,p_help_text=>'Add a listener for detailed mouse events (contextmenu, drag, dragend, dragstart, mouse over, mouse move, mouse out, double click). Required if you need a dynamic action to respond to any of these events. Note: a listener for the click event is always'
||' added.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196445149876656043)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_prompt=>'Initial Zoom Level'
,p_attribute_type=>'INTEGER'
,p_is_required=>false
,p_show_in_wizard=>false
,p_unit=>'0 .. 23'
,p_is_translatable=>false
,p_help_text=>'Initial zoom level (0..23) if no data is loaded. Default is 2. If data is loaded, this attribute has no effect.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196445490654656043)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_prompt=>'Initial Map Center'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_show_in_wizard=>false
,p_unit=>'lat,long'
,p_is_translatable=>false
,p_help_text=>'Set the latitude and longitude as a pair of numbers to be used to position the map on page load, if no data is loaded. Default is 0,0. If data is loaded, this attribute has no effect. NOTE: the numeric values must use the dot (.) as the decimal separ'
||'ator, and comma (,) as the delimiter between the lat and lng values.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(109255450317697664)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_prompt=>'Rows Per Batch'
,p_attribute_type=>'INTEGER'
,p_is_required=>false
,p_is_common=>false
,p_show_in_wizard=>false
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(196439489513656047)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_IN_LIST'
,p_depending_on_expression=>'HEATMAP,DIRECTIONS'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Load the pins in multiple ajax calls, with this number of rows per batch. Setting this attribute increases the overall time required to load all the data, but allows the map to start showing some pins earlier, making it more user-friendly.',
'<p>',
'As each batch is received, the map will expand the bounds (pan & zoom) to show the new pins.',
'<p>',
'Leave blank to cause all the pin data to be loaded in a single ajax call. The map will wait until the entire data set is downloaded before rendering the pins. This is the fastest way, although for large data sets the user might get impatient.',
'<p>',
'This attribute is not applicable for the Heatmap visualisation, which needs to load all the data before it can be rendered visually.'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(108874223599896900)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_prompt=>'Language'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_is_common=>false
,p_show_in_wizard=>false
,p_max_length=>50
,p_is_translatable=>false
,p_examples=>'ja'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'By default, the map uses the user''s preferred language setting as specified in the browser, when displaying textual information such as the names for controls, copyright notices, driving directions and labels on maps. In most cases, it''s preferable t'
||'o respect the browser setting and leave this attribute blank.',
'<p>',
'To override the user''s preferred language, set the language code; e.g. "ja" for Japanese. The list of supported languages may be found here: https://developers.google.com/maps/faq#languagesupport',
'<p>',
'Substitution syntax allowed, e.g. <code>&P1_LANGUAGE.</code> Note that the page must be reloaded if the language is changed.'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(108914812821029628)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>9
,p_display_sequence=>90
,p_prompt=>'Region'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_show_in_wizard=>false
,p_max_length=>50
,p_is_translatable=>false
,p_examples=>'uk'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'When you load the map it applies a default bias for application behavior towards the United States. If you want to serve different map tiles or bias the application (such as biasing geocoding results towards the region), you can override this default'
||' behavior by setting the Region attribute.',
'<p>',
'The region parameter accepts Unicode region subtag identifiers [http://www.unicode.org/reports/tr35/#Unicode_Language_and_Locale_Identifiers] which (generally) have a one-to-one mapping to country code Top-Level Domains (ccTLDs). Most Unicode region '
||'identifiers are identical to ISO 3166-1 codes, with some notable exceptions. For example, Great Britain''s ccTLD is "uk" (corresponding to the domain .co.uk) while its region identifier is "GB." Try this demo [https://developers.google.com/maps/docume'
||'ntation/javascript/demos/localization] to experiment with the changes on the map when you update the region parameter.',
'<p>',
'As the developer of an application using Google Maps it is your responsibility to ensure that your application complies with local laws by ensuring that the correct region localization is applied for the country in which the application is hosted.'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196445950624656043)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>10
,p_display_sequence=>100
,p_prompt=>'Restrict to Country code'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_show_in_wizard=>false
,p_display_length=>10
,p_max_length=>40
,p_is_translatable=>false
,p_text_case=>'UPPER'
,p_examples=>'AU'
,p_help_text=>'Leave blank to allow geocoding to find any place on earth. Set to 2-character country code (see https://developers.google.com/public-data/docs/canonical/countries_csv for valid values) to restrict geocoder to that country. You can set this to a subst'
||'ition variable (e.g. &P1_COUNTRY.) but note that this will only apply if the page is refreshed.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196446699220656042)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>11
,p_display_sequence=>110
,p_prompt=>'Map Style'
,p_attribute_type=>'TEXTAREA'
,p_is_required=>false
,p_show_in_wizard=>false
,p_is_translatable=>false
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Here is an example, a light greyscale style map:',
'<pre>',
'[{"featureType":"water","elementType":"geometry","stylers":[{"color":"#e9e9e9"},{"lightness":17}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":20}]},{"featureType":"road.highway","elementType":"geom'
||'etry.fill","stylers":[{"color":"#ffffff"},{"lightness":17}]},{"featureType":"road.highway","elementType":"geometry.stroke","stylers":[{"color":"#ffffff"},{"lightness":29},{"weight":0.2}]},{"featureType":"road.arterial","elementType":"geometry","style'
||'rs":[{"color":"#ffffff"},{"lightness":18}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"color":"#ffffff"},{"lightness":16}]},{"featureType":"poi","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":21}]},{"featu'
||'reType":"poi.park","elementType":"geometry","stylers":[{"color":"#dedede"},{"lightness":21}]},{"elementType":"labels.text.stroke","stylers":[{"visibility":"on"},{"color":"#ffffff"},{"lightness":16}]},{"elementType":"labels.text.fill","stylers":[{"sat'
||'uration":36},{"color":"#333333"},{"lightness":40}]},{"elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"geometry","stylers":[{"color":"#f2f2f2"},{"lightness":19}]},{"featureType":"administrative","el'
||'ementType":"geometry.fill","stylers":[{"color":"#fefefe"},{"lightness":20}]},{"featureType":"administrative","elementType":"geometry.stroke","stylers":[{"color":"#fefefe"},{"lightness":17},{"weight":1.2}]}]',
'</pre>'))
,p_help_text=>'Easiest way is to copy one from a site like https://snazzymaps.com/'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196447157678656042)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>12
,p_display_sequence=>120
,p_prompt=>'Dissipating'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(196439489513656047)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'HEATMAP'
,p_help_text=>'Specifies whether heatmaps dissipate on zoom. Yes means the radius of influence of a data point is specified by the radius option only. When dissipating is disabled, the radius option is interpreted as a radius at zoom level 0.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196447532331656041)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>13
,p_display_sequence=>130
,p_prompt=>'Opacity'
,p_attribute_type=>'NUMBER'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'0.6'
,p_display_length=>5
,p_unit=>'0 .. 1'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(196439489513656047)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'HEATMAP'
,p_help_text=>'The opacity of the heatmap, expressed as a number between 0 and 1.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196446346569656042)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>14
,p_display_sequence=>140
,p_prompt=>'Radius'
,p_attribute_type=>'INTEGER'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'5'
,p_display_length=>5
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(196439489513656047)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'HEATMAP'
,p_help_text=>'The radius of influence for each data point, in pixels.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196447930018656041)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>15
,p_display_sequence=>150
,p_prompt=>'Travel Mode'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'DRIVING'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(196439489513656047)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'DIRECTIONS'
,p_lov_type=>'STATIC'
,p_help_text=>'Type of travel directions to calculate. The locations can be simple - between two locations according to two items on the page - or via the route indicated by waypoints from the report query. Google API Key required.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196448294114656041)
,p_plugin_attribute_id=>wwv_flow_api.id(196447930018656041)
,p_display_sequence=>10
,p_display_value=>'Driving'
,p_return_value=>'DRIVING'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196448835920656041)
,p_plugin_attribute_id=>wwv_flow_api.id(196447930018656041)
,p_display_sequence=>20
,p_display_value=>'Walking'
,p_return_value=>'WALKING'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196449342646656041)
,p_plugin_attribute_id=>wwv_flow_api.id(196447930018656041)
,p_display_sequence=>30
,p_display_value=>'Bicycling'
,p_return_value=>'BICYCLING'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196449789393656040)
,p_plugin_attribute_id=>wwv_flow_api.id(196447930018656041)
,p_display_sequence=>40
,p_display_value=>'Transit'
,p_return_value=>'TRANSIT'
,p_help_text=>'Public transport'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196450287347656040)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>16
,p_display_sequence=>160
,p_prompt=>'Drawing Mode'
,p_attribute_type=>'CHECKBOXES'
,p_is_required=>false
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Select one or more Drawing Modes to enable the Google Maps Drawing Library. A button will be added to the top of the map for each shape, allowing the user to select a shape to draw.',
'<p>',
'The shapes the user has drawn can then be retrieved from the plugin as a geoJson document, which can later be re-loaded onto the map.',
'<p>',
'Note: the shapes drawn, loaded or retrieved are independent of the data that might be shown in the map derived from the report query.'))
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196452191151656039)
,p_plugin_attribute_id=>wwv_flow_api.id(196450287347656040)
,p_display_sequence=>10
,p_display_value=>'marker'
,p_return_value=>'marker'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196452687921656039)
,p_plugin_attribute_id=>wwv_flow_api.id(196450287347656040)
,p_display_sequence=>20
,p_display_value=>'polygon'
,p_return_value=>'polygon'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196450676999656040)
,p_plugin_attribute_id=>wwv_flow_api.id(196450287347656040)
,p_display_sequence=>30
,p_display_value=>'polyline'
,p_return_value=>'polyline'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196451183693656040)
,p_plugin_attribute_id=>wwv_flow_api.id(196450287347656040)
,p_display_sequence=>40
,p_display_value=>'rectangle'
,p_return_value=>'rectangle'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196451718127656040)
,p_plugin_attribute_id=>wwv_flow_api.id(196450287347656040)
,p_display_sequence=>50
,p_display_value=>'circle'
,p_return_value=>'circle'
,p_help_text=>'Note: when drawn, a circle is currently rendered as just a point (at the circle''s center) with a "radius" property (not shown).'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196453188171656039)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>21
,p_display_sequence=>210
,p_prompt=>'Optimize Waypoints'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_is_common=>false
,p_show_in_wizard=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(196439489513656047)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'DIRECTIONS'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'If set to true, the Directions service will attempt to re-order the supplied intermediate waypoints to minimize overall cost of the route.',
'',
'Note: the first and last points supplied by the report query are always used as the starting and ending points for the journey.'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196453590558656039)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>22
,p_display_sequence=>220
,p_prompt=>'Default Map Type'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'ROADMAP'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'Default map type to show on page load. The user may change the map type if they wish to show a different type.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196453995577656038)
,p_plugin_attribute_id=>wwv_flow_api.id(196453590558656039)
,p_display_sequence=>10
,p_display_value=>'Roadmap'
,p_return_value=>'ROADMAP'
,p_help_text=>'(default) This map type displays a normal street map.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196454497090656038)
,p_plugin_attribute_id=>wwv_flow_api.id(196453590558656039)
,p_display_sequence=>20
,p_display_value=>'Satellite'
,p_return_value=>'SATELLITE'
,p_help_text=>'This map type displays satellite images.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196454997803656038)
,p_plugin_attribute_id=>wwv_flow_api.id(196453590558656039)
,p_display_sequence=>30
,p_display_value=>'Hybrid'
,p_return_value=>'HYBRID'
,p_help_text=>'This map type displays a transparent layer of major streets on satellite images.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196455480379656038)
,p_plugin_attribute_id=>wwv_flow_api.id(196453590558656039)
,p_display_sequence=>40
,p_display_value=>'Terrain'
,p_return_value=>'TERRAIN'
,p_help_text=>'This map type displays maps with physical features such as terrain and vegetation.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196455986894656037)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>24
,p_display_sequence=>240
,p_prompt=>'Escape special characters'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_is_common=>false
,p_show_in_wizard=>false
,p_default_value=>'Y'
,p_is_translatable=>false
,p_help_text=>'This is relevant only to the "flex fields", if supplied in the SQL Query. By default any special characters (such as < and >) will be escaped prior to sending to the client, in order to protect against XSS attacks and to allow the original data to be'
||' rendered exactly as entered. To disable this escaping, set this attribute to No.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(196456404623656037)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>25
,p_display_sequence=>250
,p_prompt=>'Gesture Handling'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'auto'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'This attribute allows you to select how the map responds to touch gestures on a mobile device. Mobile web users often get frustrated when trying to scroll the page, but an embedded map captures their swipe and pans the map instead. This can even lead'
||' to users getting stuck on the map and having to reload the page in order to get back to the rest of the page. This option allows you to make scrolling more intuitive and less frustrating map interaction experience on mobile browsers.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196456787299656037)
,p_plugin_attribute_id=>wwv_flow_api.id(196456404623656037)
,p_display_sequence=>10
,p_display_value=>'cooperative'
,p_return_value=>'cooperative'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
unistr('Scroll events and one-finger touch gestures scroll the page, and do not zoom or pan the map. Two-finger touch gestures pan and zoom the map. Scroll events with a ctrl key or \2318 key pressed zoom the map.'),
'In this mode the map cooperates with the page.'))
);
end;
/
begin
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196457329148656036)
,p_plugin_attribute_id=>wwv_flow_api.id(196456404623656037)
,p_display_sequence=>20
,p_display_value=>'greedy'
,p_return_value=>'greedy'
,p_help_text=>'All touch gestures and scroll events pan or zoom the map.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196457793257656036)
,p_plugin_attribute_id=>wwv_flow_api.id(196456404623656037)
,p_display_sequence=>30
,p_display_value=>'none'
,p_return_value=>'none'
,p_help_text=>'The map cannot be panned or zoomed by user gestures.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(196458301536656036)
,p_plugin_attribute_id=>wwv_flow_api.id(196456404623656037)
,p_display_sequence=>40
,p_display_value=>'auto'
,p_return_value=>'auto'
,p_help_text=>'(default) Gesture handling is either cooperative or greedy, depending on whether the page is scrollable.'
);
wwv_flow_api.create_plugin_std_attribute(
 p_id=>wwv_flow_api.id(196467103371656022)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'INIT_JAVASCRIPT_CODE'
,p_is_required=>false
);
wwv_flow_api.create_plugin_std_attribute(
 p_id=>wwv_flow_api.id(196467566534656022)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'SOURCE_LOCATION'
,p_is_required=>false
,p_depending_on_has_to_exist=>true
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<em>Pin visualisations (including Route Map, Marker Clustering, Spiderfier):</em>',
'<pre>SELECT lat, lng, name, id FROM mydata;</pre>',
'<p>',
'<em>Show a popup info window when a pin is clicked:</em>',
'<p>',
'<pre>SELECT lat, lng, name, id, info FROM mydata;</pre>',
'<p>',
'<em>Show each pin with a selected icon:</em>',
'<p>',
'<pre>SELECT lat, lng, name, id, info, icon FROM mydata;</pre>',
'<p>',
'<em>Show marker labels on the pins:</em>',
'<p>',
'<pre>',
'SELECT lat, lng, name, id, '''' AS info, '''' AS icon, label as lbl FROM mydata;',
'</pre>',
'<p>',
'<em>Heatmap visualisation:</em>',
'<p>',
'<pre>',
'SELECT lat, lng, count(*) as weight FROM mydata GROUP BY lat, lng;',
'</pre>',
'<p>',
'<em>GeoJson visualisation:</em>',
'<p>',
'<pre>',
'SELECT geojson FROM mydata;',
'</pre>',
'<p>',
'Refer also to <b>https://github.com/jeffreykemp/jk64-plugin-reportmap/wiki/SQL-Query-Examples</b>'))
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Optional.',
'<p>',
'If source data is used, Source Type must be Table / View, SQL Query or PL/SQL Function Body returning SQL.',
'<p>',
'If Source Type is <b>Table / View</b>, it must provide the columns required by the chosen Visualisation. They don''t need to appear in any particular order but do need to be named exactly as indicated below:',
'<ul><li>',
'For the Heatmap visualisation, the source must provide the columns LAT, LNG, and WEIGHT.',
'</li><li>',
'For the GeoJson visualisation, the source must provide the column GEOJSON.',
'</li><li>',
'For the other Pin-type visualisations, the source must provide the columns LAT, LNG, NAME, ID. If the source has no ID column, you may instead set <b>Include ROWID Column</b> to Yes to use ROWID as a unique identifier.',
'</li></ul>',
'Any other columns in the source table or view are ignored.',
'<p><p>',
'If Source Type is <b>SQL Query</b> or <b>PL/SQL Function returning SQL Query</b>, the query must provide the columns in the right order (refer to examples). The column names are not important, however.'))
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(196474822729656016)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'addfeature'
,p_display_name=>'addFeature'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(196471591708656018)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'addressfound'
,p_display_name=>'addressFound'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(109287348796009874)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'batchloaded'
,p_display_name=>'batchLoaded'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(196472004540656018)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'directions'
,p_display_name=>'directions'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(196472442551656018)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'geolocate'
,p_display_name=>'geolocate'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(196474388657656017)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'loadedgeojson'
,p_display_name=>'loadedGeoJson'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84511184692316752)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapbounds_changed'
,p_display_name=>'mapBoundsChanged'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84511418818316749)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapcenter_changed'
,p_display_name=>'mapCenterChanged'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(196472830908656018)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapclick'
,p_display_name=>'mapClick'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84515867219310062)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapcontextmenu'
,p_display_name=>'mapContextMenu'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84516176445310062)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapdblclick'
,p_display_name=>'mapDoubleClick'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84514615621316746)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapdrag'
,p_display_name=>'mapDrag'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84515010900316745)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapdragend'
,p_display_name=>'mapDragEnd'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84515453957316745)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapdragstart'
,p_display_name=>'mapDragStart'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84511853214316748)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapheading_changed'
,p_display_name=>'mapHeadingChanged'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84512221423316748)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapidle'
,p_display_name=>'mapIdle'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(196473191036656017)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'maploaded'
,p_display_name=>'mapLoaded'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84512668064316748)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapmaptypeid_changed'
,p_display_name=>'mapTypeChanged'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84516555087310061)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapmousemove'
,p_display_name=>'mapMouseMove'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84516956128310061)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapmouseout'
,p_display_name=>'mapMouseOut'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84517306526310060)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapmouseover'
,p_display_name=>'mapMouseOver'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84513003731316747)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapprojection_changed'
,p_display_name=>'mapProjectionChanged'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(103533718560893040)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'maprefreshed'
,p_display_name=>'mapRefreshed'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84513459962316747)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'maptilesloaded'
,p_display_name=>'mapTilesLoaded'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84513841360316746)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'maptilt_changed'
,p_display_name=>'mapTiltChanged'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(84514260345316746)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mapzoom_changed'
,p_display_name=>'mapZoomChanged'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(151885973297333354)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'markeradded'
,p_display_name=>'markerAdded'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(196473608565656017)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'markerclick'
,p_display_name=>'markerClick'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(196473992057656017)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'markerdrag'
,p_display_name=>'markerDrag'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(110039195355770297)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mouseoutfeature'
,p_display_name=>'mouseoutFeature'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(110038801809770295)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'mouseoverfeature'
,p_display_name=>'mouseoverFeature'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(196469986052656019)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'removefeature'
,p_display_name=>'removeFeature'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(196470790652656019)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'selectfeature'
,p_display_name=>'selectFeature'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(196470432588656019)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'setgeometry'
,p_display_name=>'setGeometry'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(109011021034813005)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'spiderfy'
,p_display_name=>'spiderfy'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(196471236990656018)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'unselectfeature'
,p_display_name=>'unselectFeature'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(109011340960814554)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_name=>'unspiderfy'
,p_display_name=>'unspiderfy'
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D4948445200000016000000280803000000CD1AFAD400000009704859730000001C0000001C000F01B98F0000012F504C5445000000B73830BB3C34B73C30B73830B73830DB4848B73C30BB3C30BB3C30B73C30BF3C38BB3C';
wwv_flow_api.g_varchar2_table(2) := '34BF4034D35454B73830BB3830DB5C48C74838BB3C30B73830CB5440BB3830B73C30BB3C30C34438BF3C34C33C30BB3C30C34C3CB73830C34038C74840C74030B73830B73C34B73830F760545C1410F7685CF76458F75C50F35048DF544CFB7064BB3C30';
wwv_flow_api.g_varchar2_table(3) := '681C18DF5C54B73830F76C60F75C54F34C44CB4C40CB4034FB7468C7443C80282493302CAB4038F3483CF34840A33C34DB4C40BB3830CF584CD7544CC34034D34840D34034CB4038F7584CF75448D75448E34438F7544CF75850F76058DB5044E74C40E3';
wwv_flow_api.g_varchar2_table(4) := '4C40E74840F35044E34840E74438D35048CB5448DB544CDB4C44DF443CCB5048D34C40D3483CDB4438CB4840CB3C34C73C30C33C34C33C30C34438C74038C3443CF43138D20000002574524E5300EF70B7FBE30AF79360D32480400EC7A31014FBDB1880';
wwv_flow_api.g_varchar2_table(5) := 'CBCB383C2C801CF32224249393D38BDEF3750000016D4944415478DAEDFD559AA3401486611C9C687BC7A38D63F1787C7C7C7CAC6DFF6BE850451E740BDFD57FDE4B8A0500EE8AA4089A2628F20ABCB22DAE6749BA2E593DAE953D6A3DD96B0FDCDA7F6F';
wwv_flow_api.g_varchar2_table(6) := 'EA582BCC7AE06BCD541C65F32FF4405FF2EC81C9473DD43D09705695C32C57CF20316CE3A4D54A72E730019486E7575314CD9F787FA3801024274B4459E81008A065B4E698E7E89069B0318F318F31DBC009B2D304F3041D0207490DAD8EE9A8D9418796';
wwv_flow_api.g_varchar2_table(7) := '04FED71B943612C59186F796878221B829CA71190580DC5B21D4F7DCE19B640CA513483132CE27A4B64AA0DF14FADE294E7DED4BE552F81DD20FCF7C6DD2EEA3B1970B4F1797ECF1318B17EA2B37F5A2E83D3DBF7FEEB6E77D7FC439F10EEB7BE2DCC740';
wwv_flow_api.g_varchar2_table(8) := '6E54D42DE95760990F1F0F7D62D80043B9DF3DD42F07156AB4C3742DC470F2A3DBFD73125620FBB3D93F32C2A5E574BA2C451898CF2F99A8C2E96E771AC389FF7789186ED87623868120E214282A969BCD58BEBEF6F613156A5DBB5535A3440000000049';
wwv_flow_api.g_varchar2_table(9) := '454E44AE426082';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(85389484048410250)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'images/spotlight-poi.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D4948445200000016000000280803000000CD1AFAD400000009704859730000001C0000001C000F01B98F000000B7504C544500000043731B3F731B43771B6B932343771B4F872343771B43771B43731B3F731B43771B4373';
wwv_flow_api.g_varchar2_table(2) := '1B477F1F538F2B47771F6B962B5B933747771F47771B43731B4B831F5F8B2B3F731B43731B43731B4B7F1F53872B4B831F43731B4B83233F731B6FBA336BB62F4B831F67A62F43771B4F871F83C7437BC33F77BF3B5793275FA62B5B9E2763A62B4F8323';
wwv_flow_api.g_varchar2_table(3) := '538F2387CB4773BF375F9E2F4F872363A22F5F9A2B578F27538B2783CB437FC7437FC73F7BC33B77BF376BBA338E7058F50000002074524E5300FCBAF00A73237B93CBEC83DC43145F0E10678FD43718E8E89E3F1F1F9323DC840826B600000125494441';
wwv_flow_api.g_varchar2_table(4) := '5478DAEDFD5792EA400C4051489D1CC964C23892C9F0DEA4FDAF6BDAC4B6E52DDC2FD7294A5D25B100B8D7958C237226BBF0AEDEC26BBC98CD16F1155BF5A72AFFDF7CFF68FECF57771DF58F7BA3637F94A9702EFF735D1CA1D9DACE0A6D2D80060F3E0B';
wwv_flow_api.g_varchar2_table(5) := '05BC01CDD31769DB04769E93CE0C78F04D0A38E082F20135D3320E7E4821423B3E90E236D84BCA3B1B3A49404A3A00CEBAA86B47EFA452FC799854B215B2659E77ECB6EF29C6A6C638BDDFC18B4C8EBCC7D1846FBCBAFE10CF630E93F0F51E0EDFA7B7D3';
wwv_flow_api.g_varchar2_table(6) := '27A7B6F18FA8BA9BDF5B2BB76A30C8E8CE91341584BB09752B57E418BC53C6A997571863C6382EB0DE5818DE76944FA67A8624AC123D431186DE66D5A30A83E56E50C2B528AA95B0C2B2D1009C97293056CA9349295BD6FBFB0FD3A44CF9FE9EE52F0000';
wwv_flow_api.g_varchar2_table(7) := '000049454E44AE426082';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(85389700870410249)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'images/spotlight-waypoint-a.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D4948445200000016000000280803000000CD1AFAD400000009704859730000001C0000001C000F01B98F00000123504C5445000000306CB7306CBB306CB74893DB3470BF306CB7306CBB306CBB3874C3306CBB306CB7346C';
wwv_flow_api.g_varchar2_table(2) := 'BB306CBB346CBB4880DB3870C7346CBB3068B73068B7306CBB4080CB5480D3306CB7306CBB306CB7306CBB346CB73074C33070C73C78C33874C33068B73068B73874BF4078C73068B7306CB75493EB3068B7589BF75C9FF710305C306CBB488FF33474CB';
wwv_flow_api.g_varchar2_table(3) := '548FDF183868407CCB64A3FB5497F74C8BDF407CD3448BF34C87D768A7FB5097F74C93F7244880408BF33464A3408BEF4087F33C87F33C78C73470C34C87CF4880CB4483DB4083DB3478D33874CB64A7FB60A3F7549BF74883D34893F74087E7488FF744';
wwv_flow_api.g_varchar2_table(4) := '8FF33C80DF3880E73880E33070C34087E34083E74083E33474C33070C73874C34C8BDB2C58932C54933C7CD3387CDB3C74C33874C774C6E0A60000002674524E5300F774B70A40D3EB802293E38060EB101064EBE39F180EE7CBCB978F2C242038DB9724';
wwv_flow_api.g_varchar2_table(5) := '24F3C7F31147BE0000016E4944415478DAEDFD55B2E3301445515C498670381C4ECCE170388F9A9B9B1BE63F8A8E25BB623B9EC2FE3A5AE52FC9030056169318423182B3702D5746C3BE321A29FD212AE76C6D0B437561A50E8536D35A78BE70340FD74C';
wwv_flow_api.g_varchar2_table(6) := 'E50AF367AE5E16B80BE3BF234FDF3140BC237959EAC421797CCE52CF67D59AC72490099B77034D1BDCB1FD838028A9667D8DD6A707490459A16BCB784B0F8A0C321DEA4FC6BF6C469262667F4D0F120261C2D6C0D401FB66224068AAB0B9D6B435FB4499';
wwv_flow_api.g_varchar2_table(7) := '86A0AE8F5FB024C91A63BD0E50BC1F7BBA2F5EEE84D7976E5DE9BC798564BA74F59BD0FB6E21C3A9066AB17788FC5B39FA1AB11E8D6B3C5CF5A1C1D98FC9CB86AD86CC5F9FBEF4F4CAEAA9E4F82312A9D76F689F520907033E19B413762A70F9CF6F2F7D';
wwv_flow_api.g_varchar2_table(8) := 'C9732E86406F76A917702B04D16E36DBA1A087A1FB6EB3F9D3F52AE0DE7EDFC3375CD10F07B972C3907EFF217DAB90797CCCF870F4DBC7A80F5765B9EAC3208A7E0A84F872B3E9CB01C785FC073A8A63026F9F3DC30000000049454E44AE426082';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(85390162914410236)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'images/spotlight-waypoint-blue.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A0A204F7665726C617070696E674D61726B6572537069646572666965720A68747470733A2F2F6769746875622E636F6D2F6A61776A2F4F7665726C617070696E674D61726B6572537069646572666965720A436F7079726967687420286329203230';
wwv_flow_api.g_varchar2_table(2) := '3131202D20323031372047656F726765204D61634B6572726F6E0A52656C656173656420756E64657220746865204D4954206C6963656E63653A20687474703A2F2F6F70656E736F757263652E6F72672F6C6963656E7365732F6D69742D6C6963656E73';
wwv_flow_api.g_varchar2_table(3) := '650A4E6F74653A2054686520476F6F676C65204D61707320415049207633206D75737420626520696E636C75646564202A6265666F72652A207468697320636F64650A2A2F0A2866756E6374696F6E28297B766172206D2C742C772C792C752C7A3D7B7D';
wwv_flow_api.g_varchar2_table(4) := '2E6861734F776E50726F70657274792C413D5B5D2E736C6963653B746869732E4F7665726C617070696E674D61726B6572537069646572666965723D66756E6374696F6E28297B66756E6374696F6E207228612C64297B76617220622C662C653B746869';
wwv_flow_api.g_varchar2_table(5) := '732E6D61703D613B6E756C6C3D3D64262628643D7B7D293B6E756C6C3D3D746869732E636F6E7374727563746F722E4E262628746869732E636F6E7374727563746F722E4E3D21302C683D676F6F676C652E6D6170732C6C3D682E6576656E742C703D68';
wwv_flow_api.g_varchar2_table(6) := '2E4D61705479706549642C632E6B656570537069646572666965643D21312C632E69676E6F72654D6170436C69636B3D21312C632E6D61726B657273576F6E74486964653D21312C632E6D61726B657273576F6E744D6F76653D21312C632E6261736963';
wwv_flow_api.g_varchar2_table(7) := '466F726D61744576656E74733D21312C632E6E656172627944697374616E63653D32302C632E636972636C6553706972616C5377697463686F7665723D392C632E636972636C65466F6F7453657061726174696F6E3D32332C632E636972636C65537461';
wwv_flow_api.g_varchar2_table(8) := '7274416E676C653D782F31322C632E73706972616C466F6F7453657061726174696F6E3D32362C632E73706972616C4C656E67746853746172743D31312C632E73706972616C4C656E677468466163746F723D0A342C632E737069646572666965645A49';
wwv_flow_api.g_varchar2_table(9) := '6E6465783D682E4D61726B65722E4D41585F5A494E4445582B3245342C632E686967686C6967687465644C65675A496E6465783D682E4D61726B65722E4D41585F5A494E4445582B3145342C632E757375616C4C65675A496E6465783D682E4D61726B65';
wwv_flow_api.g_varchar2_table(10) := '722E4D41585F5A494E4445582B312C632E6C65675765696768743D312E352C632E6C6567436F6C6F72733D7B757375616C3A7B7D2C686967686C6967687465643A7B7D7D2C653D632E6C6567436F6C6F72732E757375616C2C663D632E6C6567436F6C6F';
wwv_flow_api.g_varchar2_table(11) := '72732E686967686C6967687465642C655B702E4859425249445D3D655B702E534154454C4C4954455D3D2223666666222C665B702E4859425249445D3D665B702E534154454C4C4954455D3D2223663030222C655B702E5445525241494E5D3D655B702E';
wwv_flow_api.g_varchar2_table(12) := '524F41444D41505D3D2223343434222C665B702E5445525241494E5D3D665B702E524F41444D41505D3D2223663030222C746869732E636F6E7374727563746F722E6A3D66756E6374696F6E2861297B72657475726E20746869732E7365744D61702861';
wwv_flow_api.g_varchar2_table(13) := '297D2C746869732E636F6E7374727563746F722E6A2E70726F746F747970653D6E657720682E4F7665726C6179566965772C746869732E636F6E7374727563746F722E6A2E70726F746F747970652E647261773D66756E6374696F6E28297B7D293B0A66';
wwv_flow_api.g_varchar2_table(14) := '6F72286220696E2064297A2E63616C6C28642C6229262628663D645B625D2C746869735B625D3D66293B746869732E673D6E657720746869732E636F6E7374727563746F722E6A28746869732E6D6170293B746869732E4328293B746869732E633D7B7D';
wwv_flow_api.g_varchar2_table(15) := '3B746869732E423D746869732E6C3D6E756C6C3B746869732E6164644C697374656E65722822636C69636B222C66756E6374696F6E28612C62297B72657475726E206C2E7472696767657228612C227370696465725F636C69636B222C62297D293B7468';
wwv_flow_api.g_varchar2_table(16) := '69732E6164644C697374656E65722822666F726D6174222C66756E6374696F6E28612C62297B72657475726E206C2E7472696767657228612C227370696465725F666F726D6174222C62297D293B746869732E69676E6F72654D6170436C69636B7C7C6C';
wwv_flow_api.g_varchar2_table(17) := '2E6164644C697374656E657228746869732E6D61702C22636C69636B222C66756E6374696F6E2861297B72657475726E2066756E6374696F6E28297B72657475726E20612E756E737069646572667928297D7D287468697329293B6C2E6164644C697374';
wwv_flow_api.g_varchar2_table(18) := '656E657228746869732E6D61702C226D61707479706569645F6368616E676564222C66756E6374696F6E2861297B72657475726E2066756E6374696F6E28297B72657475726E20612E756E737069646572667928297D7D287468697329293B6C2E616464';
wwv_flow_api.g_varchar2_table(19) := '4C697374656E657228746869732E6D61702C0A227A6F6F6D5F6368616E676564222C66756E6374696F6E2861297B72657475726E2066756E6374696F6E28297B612E756E737069646572667928293B69662821612E6261736963466F726D61744576656E';
wwv_flow_api.g_varchar2_table(20) := '74732972657475726E20612E6828297D7D287468697329297D766172206C2C682C6D2C762C702C632C742C782C753B633D722E70726F746F747970653B743D5B722C635D3B6D3D303B666F7228763D742E6C656E6774683B6D3C763B6D2B2B29753D745B';
wwv_flow_api.g_varchar2_table(21) := '6D5D2C752E56455253494F4E3D22312E302E33223B783D322A4D6174682E50493B683D6C3D703D6E756C6C3B722E6D61726B65725374617475733D7B535049444552464945443A2253504944455246494544222C535049444552464941424C453A225350';
wwv_flow_api.g_varchar2_table(22) := '49444552464941424C45222C554E535049444552464941424C453A22554E535049444552464941424C45222C554E535049444552464945443A22554E53504944455246494544227D3B632E433D66756E6374696F6E28297B746869732E613D5B5D3B7468';
wwv_flow_api.g_varchar2_table(23) := '69732E733D5B5D7D3B632E6164644D61726B65723D66756E6374696F6E28612C64297B612E7365744D617028746869732E6D6170293B72657475726E20746869732E747261636B4D61726B657228612C64297D3B632E747261636B4D61726B65723D6675';
wwv_flow_api.g_varchar2_table(24) := '6E6374696F6E28612C64297B76617220623B6966286E756C6C213D0A612E5F6F6D732972657475726E20746869733B612E5F6F6D733D21303B623D5B6C2E6164644C697374656E657228612C22636C69636B222C66756E6374696F6E2862297B72657475';
wwv_flow_api.g_varchar2_table(25) := '726E2066756E6374696F6E2864297B72657475726E20622E5628612C64297D7D287468697329295D3B746869732E6D61726B657273576F6E74486964657C7C622E70757368286C2E6164644C697374656E657228612C2276697369626C655F6368616E67';
wwv_flow_api.g_varchar2_table(26) := '6564222C66756E6374696F6E2862297B72657475726E2066756E6374696F6E28297B72657475726E20622E4428612C2131297D7D28746869732929293B746869732E6D61726B657273576F6E744D6F76657C7C622E70757368286C2E6164644C69737465';
wwv_flow_api.g_varchar2_table(27) := '6E657228612C22706F736974696F6E5F6368616E676564222C66756E6374696F6E2862297B72657475726E2066756E6374696F6E28297B72657475726E20622E4428612C2130297D7D28746869732929293B6E756C6C213D642626622E70757368286C2E';
wwv_flow_api.g_varchar2_table(28) := '6164644C697374656E657228612C227370696465725F636C69636B222C6429293B746869732E732E707573682862293B746869732E612E707573682861293B746869732E6261736963466F726D61744576656E74733F746869732E747269676765722822';
wwv_flow_api.g_varchar2_table(29) := '666F726D6174222C612C746869732E636F6E7374727563746F722E6D61726B65725374617475732E554E53504944455246494544293A0A28746869732E747269676765722822666F726D6174222C612C746869732E636F6E7374727563746F722E6D6172';
wwv_flow_api.g_varchar2_table(30) := '6B65725374617475732E554E535049444552464941424C45292C746869732E682829293B72657475726E20746869737D3B632E443D66756E6374696F6E28612C64297B69662821746869732E4A262621746869732E4B2972657475726E206E756C6C3D3D';
wwv_flow_api.g_varchar2_table(31) := '612E5F6F6D73446174617C7C21642626612E67657456697369626C6528297C7C746869732E756E737069646572667928643F613A6E756C6C292C746869732E6828297D3B632E6765744D61726B6572733D66756E6374696F6E28297B72657475726E2074';
wwv_flow_api.g_varchar2_table(32) := '6869732E612E736C6963652830297D3B632E72656D6F76654D61726B65723D66756E6374696F6E2861297B746869732E666F726765744D61726B65722861293B72657475726E20612E7365744D6170286E756C6C297D3B632E666F726765744D61726B65';
wwv_flow_api.g_varchar2_table(33) := '723D66756E6374696F6E2861297B76617220642C622C662C652C673B6E756C6C213D612E5F6F6D73446174612626746869732E756E737069646572667928293B643D746869732E4128746869732E612C61293B696628303E642972657475726E20746869';
wwv_flow_api.g_varchar2_table(34) := '733B673D746869732E732E73706C69636528642C31295B305D3B623D303B666F7228663D672E6C656E6774683B623C663B622B2B29653D675B625D2C0A6C2E72656D6F76654C697374656E65722865293B64656C65746520612E5F6F6D733B746869732E';
wwv_flow_api.g_varchar2_table(35) := '612E73706C69636528642C31293B746869732E6828293B72657475726E20746869737D3B632E72656D6F7665416C6C4D61726B6572733D632E636C6561724D61726B6572733D66756E6374696F6E28297B76617220612C642C622C663B663D746869732E';
wwv_flow_api.g_varchar2_table(36) := '6765744D61726B65727328293B746869732E666F72676574416C6C4D61726B65727328293B613D303B666F7228643D662E6C656E6774683B613C643B612B2B29623D665B615D2C622E7365744D6170286E756C6C293B72657475726E20746869737D3B63';
wwv_flow_api.g_varchar2_table(37) := '2E666F72676574416C6C4D61726B6572733D66756E6374696F6E28297B76617220612C642C622C662C652C672C632C713B746869732E756E737069646572667928293B713D746869732E613B613D643D303B666F7228623D712E6C656E6774683B643C62';
wwv_flow_api.g_varchar2_table(38) := '3B613D2B2B64297B673D715B615D3B653D746869732E735B615D3B633D303B666F7228613D652E6C656E6774683B633C613B632B2B29663D655B635D2C6C2E72656D6F76654C697374656E65722866293B64656C65746520672E5F6F6D737D746869732E';
wwv_flow_api.g_varchar2_table(39) := '4328293B72657475726E20746869737D3B632E6164644C697374656E65723D66756E6374696F6E28612C64297B76617220623B286E756C6C213D28623D746869732E63295B615D3F0A625B615D3A625B615D3D5B5D292E707573682864293B7265747572';
wwv_flow_api.g_varchar2_table(40) := '6E20746869737D3B632E72656D6F76654C697374656E65723D66756E6374696F6E28612C64297B76617220623B623D746869732E4128746869732E635B615D2C64293B303E627C7C746869732E635B615D2E73706C69636528622C31293B72657475726E';
wwv_flow_api.g_varchar2_table(41) := '20746869737D3B632E636C6561724C697374656E6572733D66756E6374696F6E2861297B746869732E635B615D3D5B5D3B72657475726E20746869737D3B632E747269676765723D66756E6374696F6E28297B76617220612C642C622C662C652C673B64';
wwv_flow_api.g_varchar2_table(42) := '3D617267756D656E74735B305D3B613D323C3D617267756D656E74732E6C656E6774683F412E63616C6C28617267756D656E74732C31293A5B5D3B643D6E756C6C213D28623D746869732E635B645D293F623A5B5D3B673D5B5D3B663D303B666F722865';
wwv_flow_api.g_varchar2_table(43) := '3D642E6C656E6774683B663C653B662B2B29623D645B665D2C672E7075736828622E6170706C79286E756C6C2C6129293B72657475726E20677D3B632E4C3D66756E6374696F6E28612C64297B76617220622C662C652C672C633B673D746869732E6369';
wwv_flow_api.g_varchar2_table(44) := '72636C65466F6F7453657061726174696F6E2A28322B61292F783B663D782F613B633D5B5D3B666F7228623D653D303B303C3D613F653C613A653E613B623D303C3D613F2B2B653A2D2D6529623D0A746869732E636972636C655374617274416E676C65';
wwv_flow_api.g_varchar2_table(45) := '2B622A662C632E70757368286E657720682E506F696E7428642E782B672A4D6174682E636F732862292C642E792B672A4D6174682E73696E28622929293B72657475726E20637D3B632E4D3D66756E6374696F6E28612C64297B76617220622C662C652C';
wwv_flow_api.g_varchar2_table(46) := '632C6B3B633D746869732E73706972616C4C656E67746853746172743B623D303B6B3D5B5D3B666F7228663D653D303B303C3D613F653C613A653E613B663D303C3D613F2B2B653A2D2D6529622B3D746869732E73706972616C466F6F74536570617261';
wwv_flow_api.g_varchar2_table(47) := '74696F6E2F632B35452D342A662C663D6E657720682E506F696E7428642E782B632A4D6174682E636F732862292C642E792B632A4D6174682E73696E286229292C632B3D782A746869732E73706972616C4C656E677468466163746F722F622C6B2E7075';
wwv_flow_api.g_varchar2_table(48) := '73682866293B72657475726E206B7D3B632E563D66756E6374696F6E28612C64297B76617220622C662C652C632C6B2C712C6E2C6C2C683B28713D6E756C6C213D612E5F6F6D7344617461292626746869732E6B656570537069646572666965647C7C74';
wwv_flow_api.g_varchar2_table(49) := '6869732E756E737069646572667928293B696628717C7C746869732E6D61702E6765745374726565745669657728292E67657456697369626C6528297C7C22476F6F676C654561727468415049223D3D3D0A746869732E6D61702E6765744D6170547970';
wwv_flow_api.g_varchar2_table(50) := '65496428292972657475726E20746869732E747269676765722822636C69636B222C612C64293B713D5B5D3B6E3D5B5D3B623D746869732E6E656172627944697374616E63653B6C3D622A623B6B3D746869732E6628612E706F736974696F6E293B683D';
wwv_flow_api.g_varchar2_table(51) := '746869732E613B623D303B666F7228663D682E6C656E6774683B623C663B622B2B29653D685B625D2C6E756C6C213D652E6D61702626652E67657456697369626C652829262628633D746869732E6628652E706F736974696F6E292C746869732E692863';
wwv_flow_api.g_varchar2_table(52) := '2C6B293C6C3F712E70757368287B523A652C473A637D293A6E2E70757368286529293B72657475726E20313D3D3D712E6C656E6774683F746869732E747269676765722822636C69636B222C612C64293A746869732E5728712C6E297D3B632E6D61726B';
wwv_flow_api.g_varchar2_table(53) := '6572734E6561724D61726B65723D66756E6374696F6E28612C64297B76617220622C662C652C632C6B2C712C6E2C6C2C682C6D3B6E756C6C3D3D64262628643D2131293B6966286E756C6C3D3D746869732E672E67657450726F6A656374696F6E282929';
wwv_flow_api.g_varchar2_table(54) := '7468726F77224D757374207761697420666F72202769646C6527206576656E74206F6E206D6170206265666F72652063616C6C696E67206D61726B6572734E6561724D61726B6572223B623D746869732E6E656172627944697374616E63653B0A6E3D62';
wwv_flow_api.g_varchar2_table(55) := '2A623B6B3D746869732E6628612E706F736974696F6E293B713D5B5D3B6C3D746869732E613B623D303B666F7228663D6C2E6C656E6774683B623C6626262128653D6C5B625D2C65213D3D6126266E756C6C213D652E6D61702626652E67657456697369';
wwv_flow_api.g_varchar2_table(56) := '626C652829262628633D746869732E66286E756C6C213D28683D6E756C6C213D286D3D652E5F6F6D7344617461293F6D2E763A766F69642030293F683A652E706F736974696F6E292C746869732E6928632C6B293C6E262628712E707573682865292C64';
wwv_flow_api.g_varchar2_table(57) := '2929293B622B2B293B72657475726E20717D3B632E463D66756E6374696F6E28297B76617220612C642C622C662C652C632C6B2C6C2C6E2C682C6D3B6966286E756C6C3D3D746869732E672E67657450726F6A656374696F6E2829297468726F77224D75';
wwv_flow_api.g_varchar2_table(58) := '7374207761697420666F72202769646C6527206576656E74206F6E206D6170206265666F72652063616C6C696E67206D61726B6572734E656172416E794F746865724D61726B6572223B6E3D746869732E6E656172627944697374616E63653B6E2A3D6E';
wwv_flow_api.g_varchar2_table(59) := '3B76617220703B653D746869732E613B703D5B5D3B683D303B666F7228643D652E6C656E6774683B683C643B682B2B29663D655B685D2C702E70757368287B483A746869732E66286E756C6C213D28613D6E756C6C213D28623D662E5F6F6D7344617461';
wwv_flow_api.g_varchar2_table(60) := '293F0A622E763A766F69642030293F613A662E706F736974696F6E292C623A21317D293B683D746869732E613B613D623D303B666F7228663D682E6C656E6774683B623C663B613D2B2B6229696628643D685B615D2C6E756C6C213D642E6765744D6170';
wwv_flow_api.g_varchar2_table(61) := '28292626642E67657456697369626C652829262628633D705B615D2C21632E622929666F72286D3D746869732E612C643D6C3D302C653D6D2E6C656E6774683B6C3C653B643D2B2B6C296966286B3D6D5B645D2C64213D3D6126266E756C6C213D6B2E67';
wwv_flow_api.g_varchar2_table(62) := '65744D6170282926266B2E67657456697369626C6528292626286B3D705B645D2C282128643C61297C7C6B2E62292626746869732E6928632E482C6B2E48293C6E29297B632E623D6B2E623D21303B627265616B7D72657475726E20707D3B632E6D6172';
wwv_flow_api.g_varchar2_table(63) := '6B6572734E656172416E794F746865724D61726B65723D66756E6374696F6E28297B76617220612C642C622C632C652C672C6B3B653D746869732E4628293B673D746869732E613B6B3D5B5D3B613D643D303B666F7228623D672E6C656E6774683B643C';
wwv_flow_api.g_varchar2_table(64) := '623B613D2B2B6429633D675B615D2C655B615D2E6226266B2E707573682863293B72657475726E206B7D3B632E736574496D6D6564696174653D66756E6374696F6E2861297B72657475726E2077696E646F772E73657454696D656F757428612C30297D';
wwv_flow_api.g_varchar2_table(65) := '3B632E683D0A66756E6374696F6E28297B69662821746869732E6261736963466F726D61744576656E747326266E756C6C3D3D746869732E6C2972657475726E20746869732E6C3D746869732E736574496D6D6564696174652866756E6374696F6E2861';
wwv_flow_api.g_varchar2_table(66) := '297B72657475726E2066756E6374696F6E28297B612E6C3D6E756C6C3B72657475726E206E756C6C213D612E672E67657450726F6A656374696F6E28293F612E7728293A6E756C6C213D612E423F766F696420303A612E423D6C2E6164644C697374656E';
wwv_flow_api.g_varchar2_table(67) := '65724F6E636528612E6D61702C2269646C65222C66756E6374696F6E28297B72657475726E20612E7728297D297D7D287468697329297D3B632E773D66756E6374696F6E28297B76617220612C642C622C632C652C672C6B3B696628746869732E626173';
wwv_flow_api.g_varchar2_table(68) := '6963466F726D61744576656E7473297B653D5B5D3B643D303B666F7228623D6D61726B6572732E6C656E6774683B643C623B642B2B29633D6D61726B6572735B645D2C613D6E756C6C213D632E5F6F6D73446174613F2253504944455246494544223A22';
wwv_flow_api.g_varchar2_table(69) := '554E53504944455246494544222C652E7075736828746869732E747269676765722822666F726D6174222C632C746869732E636F6E7374727563746F722E6D61726B65725374617475735B615D29293B72657475726E20657D653D746869732E4628293B';
wwv_flow_api.g_varchar2_table(70) := '673D746869732E613B0A6B3D5B5D3B613D623D303B666F7228643D672E6C656E6774683B623C643B613D2B2B6229633D675B615D2C613D6E756C6C213D632E5F6F6D73446174613F2253504944455246494544223A655B615D2E623F2253504944455246';
wwv_flow_api.g_varchar2_table(71) := '4941424C45223A22554E535049444552464941424C45222C6B2E7075736828746869732E747269676765722822666F726D6174222C632C746869732E636F6E7374727563746F722E6D61726B65725374617475735B615D29293B72657475726E206B7D3B';
wwv_flow_api.g_varchar2_table(72) := '632E503D66756E6374696F6E2861297B72657475726E7B6D3A66756E6374696F6E2864297B72657475726E2066756E6374696F6E28297B72657475726E20612E5F6F6D73446174612E6F2E7365744F7074696F6E73287B7374726F6B65436F6C6F723A64';
wwv_flow_api.g_varchar2_table(73) := '2E6C6567436F6C6F72732E686967686C6967687465645B642E6D61702E6D61705479706549645D2C7A496E6465783A642E686967686C6967687465644C65675A496E6465787D297D7D2874686973292C753A66756E6374696F6E2864297B72657475726E';
wwv_flow_api.g_varchar2_table(74) := '2066756E6374696F6E28297B72657475726E20612E5F6F6D73446174612E6F2E7365744F7074696F6E73287B7374726F6B65436F6C6F723A642E6C6567436F6C6F72732E757375616C5B642E6D61702E6D61705479706549645D2C7A496E6465783A642E';
wwv_flow_api.g_varchar2_table(75) := '757375616C4C65675A496E6465787D297D7D2874686973297D7D3B0A632E573D66756E6374696F6E28612C64297B76617220622C632C652C672C6B2C712C6E2C6D2C702C723B746869732E4A3D21303B723D612E6C656E6774683B623D746869732E5428';
wwv_flow_api.g_varchar2_table(76) := '66756E6374696F6E28297B76617220622C642C633B633D5B5D3B623D303B666F7228643D612E6C656E6774683B623C643B622B2B296D3D615B625D2C632E70757368286D2E47293B72657475726E20637D2829293B673D723E3D746869732E636972636C';
wwv_flow_api.g_varchar2_table(77) := '6553706972616C5377697463686F7665723F746869732E4D28722C62292E7265766572736528293A746869732E4C28722C62293B623D66756E6374696F6E28297B76617220622C642C663B663D5B5D3B623D303B666F7228643D672E6C656E6774683B62';
wwv_flow_api.g_varchar2_table(78) := '3C643B622B2B29653D675B625D2C633D746869732E552865292C703D746869732E5328612C66756E6374696F6E2861297B72657475726E2066756E6374696F6E2862297B72657475726E20612E6928622E472C65297D7D287468697329292C6E3D702E52';
wwv_flow_api.g_varchar2_table(79) := '2C713D6E657720682E506F6C796C696E65287B6D61703A746869732E6D61702C706174683A5B6E2E706F736974696F6E2C635D2C7374726F6B65436F6C6F723A746869732E6C6567436F6C6F72732E757375616C5B746869732E6D61702E6D6170547970';
wwv_flow_api.g_varchar2_table(80) := '6549645D2C7374726F6B655765696768743A746869732E6C65675765696768742C0A7A496E6465783A746869732E757375616C4C65675A496E6465787D292C6E2E5F6F6D73446174613D7B763A6E2E676574506F736974696F6E28292C583A6E2E676574';
wwv_flow_api.g_varchar2_table(81) := '5A496E64657828292C6F3A717D2C746869732E6C6567436F6C6F72732E686967686C6967687465645B746869732E6D61702E6D61705479706549645D213D3D746869732E6C6567436F6C6F72732E757375616C5B746869732E6D61702E6D617054797065';
wwv_flow_api.g_varchar2_table(82) := '49645D2626286B3D746869732E50286E292C6E2E5F6F6D73446174612E4F3D7B6D3A6C2E6164644C697374656E6572286E2C226D6F7573656F766572222C6B2E6D292C753A6C2E6164644C697374656E6572286E2C226D6F7573656F7574222C6B2E7529';
wwv_flow_api.g_varchar2_table(83) := '7D292C746869732E747269676765722822666F726D6174222C6E2C746869732E636F6E7374727563746F722E6D61726B65725374617475732E53504944455246494544292C6E2E736574506F736974696F6E2863292C6E2E7365745A496E646578284D61';
wwv_flow_api.g_varchar2_table(84) := '74682E726F756E6428746869732E737069646572666965645A496E6465782B652E7929292C662E70757368286E293B72657475726E20667D2E63616C6C2874686973293B64656C65746520746869732E4A3B746869732E493D21303B72657475726E2074';
wwv_flow_api.g_varchar2_table(85) := '6869732E7472696767657228227370696465726679222C622C64297D3B632E756E73706964657266793D0A66756E6374696F6E2861297B76617220642C622C632C652C672C6B2C683B6E756C6C3D3D61262628613D6E756C6C293B6966286E756C6C3D3D';
wwv_flow_api.g_varchar2_table(86) := '746869732E492972657475726E20746869733B746869732E4B3D21303B683D5B5D3B673D5B5D3B6B3D746869732E613B643D303B666F7228623D6B2E6C656E6774683B643C623B642B2B29653D6B5B645D2C6E756C6C213D652E5F6F6D73446174613F28';
wwv_flow_api.g_varchar2_table(87) := '652E5F6F6D73446174612E6F2E7365744D6170286E756C6C292C65213D3D612626652E736574506F736974696F6E28652E5F6F6D73446174612E76292C652E7365745A496E64657828652E5F6F6D73446174612E58292C633D652E5F6F6D73446174612E';
wwv_flow_api.g_varchar2_table(88) := '4F2C6E756C6C213D632626286C2E72656D6F76654C697374656E657228632E6D292C6C2E72656D6F76654C697374656E657228632E7529292C64656C65746520652E5F6F6D73446174612C65213D3D61262628633D746869732E6261736963466F726D61';
wwv_flow_api.g_varchar2_table(89) := '744576656E74733F22554E53504944455246494544223A22535049444552464941424C45222C746869732E747269676765722822666F726D6174222C652C746869732E636F6E7374727563746F722E6D61726B65725374617475735B635D29292C682E70';
wwv_flow_api.g_varchar2_table(90) := '757368286529293A672E707573682865293B64656C65746520746869732E4B3B64656C65746520746869732E493B0A746869732E747269676765722822756E7370696465726679222C682C67293B72657475726E20746869737D3B632E693D66756E6374';
wwv_flow_api.g_varchar2_table(91) := '696F6E28612C64297B76617220622C633B623D612E782D642E783B633D612E792D642E793B72657475726E20622A622B632A637D3B632E543D66756E6374696F6E2861297B76617220632C622C662C652C673B633D653D673D303B666F7228623D612E6C';
wwv_flow_api.g_varchar2_table(92) := '656E6774683B633C623B632B2B29663D615B635D2C652B3D662E782C672B3D662E793B613D612E6C656E6774683B72657475726E206E657720682E506F696E7428652F612C672F61297D3B632E663D66756E6374696F6E2861297B72657475726E207468';
wwv_flow_api.g_varchar2_table(93) := '69732E672E67657450726F6A656374696F6E28292E66726F6D4C61744C6E67546F446976506978656C2861297D3B632E553D66756E6374696F6E2861297B72657475726E20746869732E672E67657450726F6A656374696F6E28292E66726F6D44697650';
wwv_flow_api.g_varchar2_table(94) := '6978656C546F4C61744C6E672861297D3B632E533D66756E6374696F6E28612C63297B76617220622C642C652C672C6B2C683B653D6B3D303B666F7228683D612E6C656E6774683B6B3C683B653D2B2B6B29696628673D615B655D2C673D632867292C22';
wwv_flow_api.g_varchar2_table(95) := '756E646566696E6564223D3D3D747970656F6620627C7C6E756C6C3D3D3D627C7C673C6429643D672C623D653B72657475726E20612E73706C69636528622C0A31295B305D7D3B632E413D66756E6374696F6E28612C63297B76617220622C642C652C67';
wwv_flow_api.g_varchar2_table(96) := '3B6966286E756C6C213D612E696E6465784F662972657475726E20612E696E6465784F662863293B623D643D303B666F7228653D612E6C656E6774683B643C653B623D2B2B6429696628673D615B625D2C673D3D3D632972657475726E20623B72657475';
wwv_flow_api.g_varchar2_table(97) := '726E2D317D3B72657475726E20727D28293B743D2F285C3F2E2A28267C26616D703B297C5C3F29737069646572666965725F63616C6C6261636B3D285C772B292F3B6D3D646F63756D656E742E63757272656E745363726970743B6E756C6C3D3D6D2626';
wwv_flow_api.g_varchar2_table(98) := '286D3D66756E6374696F6E28297B766172206D2C6C2C682C772C763B683D646F63756D656E742E676574456C656D656E747342795461674E616D65282273637269707422293B763D5B5D3B6D3D303B666F72286C3D682E6C656E6774683B6D3C6C3B6D2B';
wwv_flow_api.g_varchar2_table(99) := '2B29753D685B6D5D2C6E756C6C213D28773D752E67657441747472696275746528227372632229292626772E6D617463682874292626762E707573682875293B72657475726E20767D28295B305D293B6966286E756C6C213D6D2626286D3D6E756C6C21';
wwv_flow_api.g_varchar2_table(100) := '3D28773D6D2E67657441747472696275746528227372632229293F6E756C6C213D28793D772E6D61746368287429293F795B335D3A766F696420303A766F696420302926260A2266756E6374696F6E223D3D3D747970656F662077696E646F775B6D5D29';
wwv_flow_api.g_varchar2_table(101) := '77696E646F775B6D5D28293B2266756E6374696F6E223D3D3D747970656F662077696E646F772E737069646572666965725F63616C6C6261636B262677696E646F772E737069646572666965725F63616C6C6261636B28297D292E63616C6C2874686973';
wwv_flow_api.g_varchar2_table(102) := '293B0A2F2A20546875203131204D617920323031372030383A34303A353720425354202A2F0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(108957226694998971)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'oms.min.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '24282866756E6374696F6E28297B242E77696467657428226A6B36342E7265706F72746D6170222C7B6F7074696F6E733A7B726567696F6E49643A22222C616A61784964656E7469666965723A22222C616A61784974656D733A22222C706C7567696E52';
wwv_flow_api.g_varchar2_table(2) := '65736F75726365506174683A22222C706C7567696E46696C655072656669783A22222C657870656374446174613A21302C6D6178696D756D526F77733A6E756C6C2C726F777350657242617463683A6E756C6C2C696E697469616C43656E7465723A7B6C';
wwv_flow_api.g_varchar2_table(3) := '61743A302C6C6E673A307D2C6D696E5A6F6F6D3A312C6D61785A6F6F6D3A6E756C6C2C696E697469616C5A6F6F6D3A322C76697375616C69736174696F6E3A2270696E73222C6D6170547970653A22726F61646D6170222C636C69636B5A6F6F6D4C6576';
wwv_flow_api.g_varchar2_table(4) := '656C3A6E756C6C2C6973447261676761626C653A21312C686561746D61704469737369706174696E673A21312C686561746D61704F7061636974793A2E362C686561746D61705261646975733A352C70616E4F6E436C69636B3A21302C72657374726963';
wwv_flow_api.g_varchar2_table(5) := '74436F756E7472793A22222C6D61705374796C653A22222C74726176656C4D6F64653A2244524956494E47222C756E697453797374656D3A224D4554524943222C6F7074696D697A65576179706F696E74733A21312C616C6C6F775A6F6F6D3A21302C61';
wwv_flow_api.g_varchar2_table(6) := '6C6C6F7750616E3A21302C6765737475726548616E646C696E673A226175746F222C696E6974466E3A6E756C6C2C6D61726B6572466F726D6174466E3A6E756C6C2C64726177696E674D6F6465733A6E756C6C2C66656174757265436F6C6F723A222363';
wwv_flow_api.g_varchar2_table(7) := '6336366666222C66656174757265436F6C6F7253656C65637465643A2223666636363030222C6665617475726553656C65637461626C653A21302C66656174757265486F76657261626C653A21302C666561747572655374796C65466E3A6E756C6C2C64';
wwv_flow_api.g_varchar2_table(8) := '72616744726F7047656F4A534F4E3A21312C6175746F466974426F756E64733A21302C646972656374696F6E7350616E656C3A6E756C6C2C737069646572666965723A7B7D2C7370696465726679466F726D6174466E3A6E756C6C2C73686F7750696E73';
wwv_flow_api.g_varchar2_table(9) := '3A21302C73686F77496E666F506F707570733A21302C73686F77496E666F4C617965723A21312C696E666F4C61796572466F726D6174466E3A6E756C6C2C73686F775370696E6E65723A21302C64657461696C65644D6F7573654576656E74733A21312C';
wwv_flow_api.g_varchar2_table(10) := '69636F6E42617365506174683A22222C6E6F446174614D6573736167653A22222C6E6F41646472657373526573756C74733A2241646472657373206E6F7420666F756E64222C646972656374696F6E734E6F74466F756E643A224174206C65617374206F';
wwv_flow_api.g_varchar2_table(11) := '6E65206F6620746865206F726967696E2C2064657374696E6174696F6E2C206F7220776179706F696E747320636F756C64206E6F742062652067656F636F6465642E222C646972656374696F6E735A65726F526573756C74733A224E6F20726F75746520';
wwv_flow_api.g_varchar2_table(12) := '636F756C6420626520666F756E64206265747765656E20746865206F726967696E20616E642064657374696E6174696F6E2E222C6164644F7665726C61793A6E756C6C2C636C69636B3A6E756C6C2C64656C657465416C6C46656174757265733A6E756C';
wwv_flow_api.g_varchar2_table(13) := '6C2C64656C65746553656C656374656446656174757265733A6E756C6C2C666974426F756E64733A6E756C6C2C67656F6C6F636174653A6E756C6C2C676574416464726573734279506F733A6E756C6C2C676F746F416464726573733A6E756C6C2C676F';
wwv_flow_api.g_varchar2_table(14) := '746F506F733A6E756C6C2C676F746F506F734279537472696E673A6E756C6C2C686964654D6573736167653A6E756C6C2C6C6F616447656F4A736F6E537472696E673A6E756C6C2C70616E546F3A6E756C6C2C70616E546F4279537472696E673A6E756C';
wwv_flow_api.g_varchar2_table(15) := '6C2C70617273654C61744C6E673A6E756C6C2C726566726573683A6E756C6C2C73686F77446972656374696F6E733A6E756C6C2C73686F77496E666F57696E646F773A6E756C6C2C73686F774D6573736167653A6E756C6C7D2C70617273654C61744C6E';
wwv_flow_api.g_varchar2_table(16) := '673A66756E6374696F6E2865297B76617220742C6F3B28617065782E646562756728227265706F72746D61702E70617273654C61744C6E67222C65292C6E756C6C213D6529262628652E6861734F776E50726F706572747928226C617422292626652E68';
wwv_flow_api.g_varchar2_table(17) := '61734F776E50726F706572747928226C6E6722293F743D6E657720676F6F676C652E6D6170732E4C61744C6E672865293A28652E696E6465784F6628223B22293E2D313F6F3D652E73706C697428223B22293A652E696E6465784F6628222022293E2D31';
wwv_flow_api.g_varchar2_table(18) := '3F6F3D652E73706C697428222022293A652E696E6465784F6628222C22293E2D312626286F3D652E73706C697428222C2229292C6F2626323D3D6F2E6C656E6774683F286F5B305D3D6F5B305D2E7265706C616365282F2C2F672C222E22292C6F5B315D';
wwv_flow_api.g_varchar2_table(19) := '3D6F5B315D2E7265706C616365282F2C2F672C222E22292C617065782E64656275672822706172736564222C6F292C743D6E657720676F6F676C652E6D6170732E4C61744C6E67287061727365466C6F6174286F5B305D292C7061727365466C6F617428';
wwv_flow_api.g_varchar2_table(20) := '6F5B315D2929293A617065782E646562756728226E6F204C61744C6E6720666F756E64222C652929293B72657475726E20747D2C6164644F7665726C61793A66756E6374696F6E28742C6F297B617065782E646562756728226164644F7665726C617922';
wwv_flow_api.g_varchar2_table(21) := '2C742C6F293B76617220693D242E657874656E64287B626F756E64733A6E756C6C2C706F733A6E756C6C2C686F72697A6F6E74616C416C69676E3A2263656E746572222C766572746963616C416C69676E3A226D6964646C65222C686F72697A6F6E7461';
wwv_flow_api.g_varchar2_table(22) := '6C4F66667365743A302C766572746963616C4F66667365743A302C6D696E5A6F6F6D3A302C6D61785A6F6F6D3A39392C6F6E436C69636B48616E646C65723A6E756C6C7D2C6F292C733D6E6577206528742C69293B72657475726E20732E7365744D6170';
wwv_flow_api.g_varchar2_table(23) := '28746869732E6D6170292C737D2C73686F774D6573736167653A66756E6374696F6E2865297B617065782E646562756728227265706F72746D61702E73686F774D657373616765222C65292C746869732E686964654D65737361676528292C746869732E';
wwv_flow_api.g_varchar2_table(24) := '6D73674469763D646F63756D656E742E637265617465456C656D656E74282264697622293B76617220743D646F63756D656E742E637265617465456C656D656E74282264697622293B742E636C6173734E616D653D227265706F72746D61702D6D657373';
wwv_flow_api.g_varchar2_table(25) := '6167655549222C746869732E6D73674469762E617070656E644368696C642874293B766172206F3D646F63756D656E742E637265617465456C656D656E74282264697622293B72657475726E206F2E636C6173734E616D653D227265706F72746D61702D';
wwv_flow_api.g_varchar2_table(26) := '6D657373616765496E6E6572222C6F2E696E6E657248544D4C3D652C742E617070656E644368696C64286F292C746869732E6D73674469762E6164644576656E744C697374656E65722822636C69636B222C2866756E6374696F6E28297B617065782E64';
wwv_flow_api.g_varchar2_table(27) := '6562756728226F6E20636C69636B202D2068696465206D65737361676522292C746869732E72656D6F766528297D29292C746869732E6D61702E636F6E74726F6C735B676F6F676C652E6D6170732E436F6E74726F6C506F736974696F6E2E4C4546545F';
wwv_flow_api.g_varchar2_table(28) := '43454E5445525D2E7075736828746869732E6D7367446976292C746869732E6D73674469767D2C686964654D6573736167653A66756E6374696F6E28297B617065782E646562756728227265706F72746D61702E686964654D65737361676522292C7468';
wwv_flow_api.g_varchar2_table(29) := '69732E6D73674469762626746869732E6D73674469762E72656D6F766528297D2C5F6576656E7450696E446174613A66756E6374696F6E2865297B76617220743D7B6D61703A746869732E6D61702C6C61743A652E706F736974696F6E2E6C617428292C';
wwv_flow_api.g_varchar2_table(30) := '6C6E673A652E706F736974696F6E2E6C6E6728292C6D61726B65723A657D3B72657475726E20652E6F7665726C61792626652E6F7665726C61792E646976262628742E696E666F4469763D652E6F7665726C61792E646976292C242E657874656E642874';
wwv_flow_api.g_varchar2_table(31) := '2C652E64617461292C747D2C5F756E657363617065496E666F3A66756E6374696F6E2865297B72657475726E286E657720444F4D506172736572292E706172736546726F6D537472696E6728652C22746578742F68746D6C22292E646F63756D656E7445';
wwv_flow_api.g_varchar2_table(32) := '6C656D656E742E74657874436F6E74656E747D2C73686F77496E666F57696E646F773A66756E6374696F6E2865297B72657475726E20617065782E646562756728227265706F72746D61702E73686F77496E666F57696E646F77222C65292C746869732E';
wwv_flow_api.g_varchar2_table(33) := '696E666F57696E646F777C7C28746869732E696E666F57696E646F773D6E657720676F6F676C652E6D6170732E496E666F57696E646F77292C746869732E696E666F57696E646F772E736574436F6E74656E7428746869732E5F756E657363617065496E';
wwv_flow_api.g_varchar2_table(34) := '666F28652E646174612E696E666F29292C746869732E696E666F57696E646F772E6F70656E28746869732E6D61702C65292C746869732E696E666F57696E646F777D2C5F6E65774D61726B65723A66756E6374696F6E2865297B76617220743D74686973';
wwv_flow_api.g_varchar2_table(35) := '2C6F3D6E657720676F6F676C652E6D6170732E4D61726B6572287B6D61703A746869732E6D61702C706F736974696F6E3A6E657720676F6F676C652E6D6170732E4C61744C6E6728652E782C652E79292C7469746C653A652E6E2C69636F6E3A652E633F';
wwv_flow_api.g_varchar2_table(36) := '746869732E6F7074696F6E732E69636F6E42617365506174682B652E633A6E756C6C2C6C6162656C3A652E6C2C647261676761626C653A746869732E6F7074696F6E732E6973447261676761626C657D293B6F2E646174613D7B69643A652E642C696E66';
wwv_flow_api.g_varchar2_table(37) := '6F3A652E692C6E616D653A652E6E7D3B666F722876617220693D313B693C3D31303B692B2B29652E662626652E665B2261222B695D2626286F2E646174615B2261747472222B282230222B69292E736C696365282D32295D3D652E665B2261222B695D29';
wwv_flow_api.g_varchar2_table(38) := '3B72657475726E20746869732E6F7074696F6E732E73686F7750696E737C7C6F2E73657456697369626C65282131292C746869732E6F7074696F6E732E6D61726B6572466F726D6174466E2626746869732E6F7074696F6E732E6D61726B6572466F726D';
wwv_flow_api.g_varchar2_table(39) := '6174466E286F292C6F2E646174612E696E666F2626746869732E6F7074696F6E732E73686F77496E666F4C617965722626286F2E6F7665726C61793D746869732E6164644F7665726C617928746869732E5F756E657363617065496E666F286F2E646174';
wwv_flow_api.g_varchar2_table(40) := '612E696E666F292C7B706F733A6F2E706F736974696F6E2C6F6E436C69636B48616E646C65723A66756E6374696F6E28297B617065782E64656275672822696E666F4C6179657220636C69636B6564222C6F2E646174612E6964292C742E6F7074696F6E';
wwv_flow_api.g_varchar2_table(41) := '732E70616E4F6E436C69636B2626742E6D61702E70616E546F286F2E706F736974696F6E292C742E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C2626742E6D61702E7365745A6F6F6D28742E6F7074696F6E732E636C69636B5A6F6F6D4C6576';
wwv_flow_api.g_varchar2_table(42) := '656C292C617065782E6A5175657279282223222B742E6F7074696F6E732E726567696F6E4964292E7472696767657228226D61726B6572636C69636B222C742E5F6576656E7450696E44617461286F29297D7D292C746869732E6F7074696F6E732E696E';
wwv_flow_api.g_varchar2_table(43) := '666F4C61796572466F726D6174466E2626746869732E6F7074696F6E732E696E666F4C61796572466F726D6174466E286F2E6F7665726C61792C6F29292C676F6F676C652E6D6170732E6576656E742E6164644C697374656E6572286F2C227370696465';
wwv_flow_api.g_varchar2_table(44) := '7266696572223D3D746869732E6F7074696F6E732E76697375616C69736174696F6E3F227370696465725F636C69636B223A22636C69636B222C2866756E6374696F6E28297B617065782E646562756728226D61726B657220636C69636B6564222C6F2E';
wwv_flow_api.g_varchar2_table(45) := '646174612E6964293B76617220653D746869732E676574506F736974696F6E28293B6F2E646174612E696E666F2626742E6F7074696F6E732E73686F77496E666F506F707570732626742E73686F77496E666F57696E646F772874686973292C742E6F70';
wwv_flow_api.g_varchar2_table(46) := '74696F6E732E70616E4F6E436C69636B2626742E6D61702E70616E546F2865292C742E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C2626742E6D61702E7365745A6F6F6D28742E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C292C61';
wwv_flow_api.g_varchar2_table(47) := '7065782E6A5175657279282223222B742E6F7074696F6E732E726567696F6E4964292E7472696767657228226D61726B6572636C69636B222C742E5F6576656E7450696E44617461286F29297D29292C676F6F676C652E6D6170732E6576656E742E6164';
wwv_flow_api.g_varchar2_table(48) := '644C697374656E6572286F2C2264726167656E64222C2866756E6374696F6E28297B76617220653D746869732E676574506F736974696F6E28293B617065782E646562756728226D61726B6572206D6F766564222C6F2E646174612E69642C4A534F4E2E';
wwv_flow_api.g_varchar2_table(49) := '737472696E67696679286529292C617065782E6A5175657279282223222B742E6F7074696F6E732E726567696F6E4964292E7472696767657228226D61726B657264726167222C742E5F6576656E7450696E44617461286F29297D29292C5B2270696E73';
wwv_flow_api.g_varchar2_table(50) := '222C22696E666F6C61796572222C22636C7573746572222C2273706964657266696572225D2E696E6465784F6628746869732E6F7074696F6E732E76697375616C69736174696F6E293E2D31262628746869732E69644D61702626746869732E69644D61';
wwv_flow_api.g_varchar2_table(51) := '702E686173286F2E646174612E6964297C7C617065782E6A5175657279282223222B742E6F7074696F6E732E726567696F6E4964292E7472696767657228226D61726B65726164646564222C742E5F6576656E7450696E44617461286F2929292C6F7D2C';
wwv_flow_api.g_varchar2_table(52) := '5F73706964657266793A66756E6374696F6E28297B617065782E646562756728227265706F72746D61702E5F737069646572667922293B76617220653D746869732C743D7B6B656570537069646572666965643A21302C6261736963466F726D61744576';
wwv_flow_api.g_varchar2_table(53) := '656E74733A21302C6D61726B657273576F6E744D6F76653A21746869732E6F7074696F6E732E6973447261676761626C652C6D61726B657273576F6E74486964653A21307D3B242E657874656E6428742C746869732E6F7074696F6E732E737069646572';
wwv_flow_api.g_varchar2_table(54) := '66696572292C746869732E6F6D733D6E6577204F7665726C617070696E674D61726B65725370696465726669657228746869732E6D61702C74292C746869732E6F6D732E6164644C697374656E65722822666F726D6174222C746869732E6F7074696F6E';
wwv_flow_api.g_varchar2_table(55) := '732E7370696465726679466F726D6174466E7C7C66756E6374696F6E28742C6F297B76617220693D652E5F67657457696E646F775061746828292B222F222B652E6F7074696F6E732E706C7567696E46696C655072656669782B286F3D3D4F7665726C61';
wwv_flow_api.g_varchar2_table(56) := '7070696E674D61726B6572537069646572666965722E6D61726B65725374617475732E535049444552464945443F22696D616765732F73706F746C696768742D776179706F696E742D626C75652E706E67223A6F3D3D4F7665726C617070696E674D6172';
wwv_flow_api.g_varchar2_table(57) := '6B6572537069646572666965722E6D61726B65725374617475732E535049444552464941424C453F22696D616765732F73706F746C696768742D776179706F696E742D612E706E67223A22696D616765732F73706F746C696768742D706F692E706E6722';
wwv_flow_api.g_varchar2_table(58) := '293B742E73657449636F6E287B75726C3A697D297D293B666F7228766172206F3D303B6F3C746869732E6D61726B6572732E6C656E6774683B6F2B2B29746869732E6F6D732E6164644D61726B657228746869732E6D61726B6572735B6F5D293B726574';
wwv_flow_api.g_varchar2_table(59) := '75726E20746869732E6F6D732E6164644C697374656E657228227370696465726679222C2866756E6374696F6E2874297B617065782E646562756728227370696465726679222C74292C617065782E6A5175657279282223222B652E6F7074696F6E732E';
wwv_flow_api.g_varchar2_table(60) := '726567696F6E4964292E7472696767657228227370696465726679222C7B6D61703A652E6D61702C6D61726B6572733A747D297D29292C746869732E6F6D732E6164644C697374656E65722822756E7370696465726679222C2866756E6374696F6E2874';
wwv_flow_api.g_varchar2_table(61) := '297B617065782E64656275672822756E7370696465726679222C74292C617065782E6A5175657279282223222B652E6F7074696F6E732E726567696F6E4964292E747269676765722822756E7370696465726679222C7B6D61703A652E6D61702C6D6172';
wwv_flow_api.g_varchar2_table(62) := '6B6572733A747D297D29292C746869732E6F6D737D2C5F72656D6F76654D61726B6572733A66756E6374696F6E28297B696628617065782E646562756728227265706F72746D61702E5F72656D6F76654D61726B65727322292C746869732E746F74616C';
wwv_flow_api.g_varchar2_table(63) := '526F77733D302C746869732E626F756E64732626746869732E626F756E64732E64656C6574652C746869732E6D61726B657273297B666F722876617220653D303B653C746869732E6D61726B6572732E6C656E6774683B652B2B29746869732E6D61726B';
wwv_flow_api.g_varchar2_table(64) := '6572735B655D2E7365744D6170286E756C6C293B746869732E6D61726B6572732E64656C6574657D7D2C636C69636B3A66756E6374696F6E2865297B617065782E646562756728227265706F72746D61702E636C69636B22293B76617220743D74686973';
wwv_flow_api.g_varchar2_table(65) := '2E6D61726B6572732E66696E64282866756E6374696F6E2874297B72657475726E20742E646174612E69643D3D657D29293B72657475726E20743F6E657720676F6F676C652E6D6170732E6576656E742E7472696767657228742C22636C69636B22293A';
wwv_flow_api.g_varchar2_table(66) := '617065782E646562756728226964206E6F7420666F756E64222C65292C747D2C676F746F506F733A66756E6374696F6E28652C74297B696628617065782E646562756728227265706F72746D61702E676F746F506F73222C652C74292C6E756C6C213D3D';
wwv_flow_api.g_varchar2_table(67) := '6526266E756C6C213D3D74297B766172206F3D746869732E7573657270696E3F746869732E7573657270696E2E676574506F736974696F6E28293A6E657720676F6F676C652E6D6170732E4C61744C6E6728302C30293B6966286F2626653D3D6F2E6C61';
wwv_flow_api.g_varchar2_table(68) := '7428292626743D3D6F2E6C6E67282929617065782E646562756728227573657270696E206E6F74206368616E67656422293B656C73657B76617220693D6E657720676F6F676C652E6D6170732E4C61744C6E6728652C74293B696628746869732E757365';
wwv_flow_api.g_varchar2_table(69) := '7270696E29617065782E646562756728226D6F7665206578697374696E672070696E20746F206E657720706F736974696F6E206F6E206D6170222C69292C746869732E7573657270696E2E7365744D617028746869732E6D6170292C746869732E757365';
wwv_flow_api.g_varchar2_table(70) := '7270696E2E736574506F736974696F6E2869293B656C73657B617065782E64656275672822637265617465207573657270696E222C69292C746869732E7573657270696E3D6E657720676F6F676C652E6D6170732E4D61726B6572287B6D61703A746869';
wwv_flow_api.g_varchar2_table(71) := '732E6D61702C706F736974696F6E3A692C647261676761626C653A746869732E6F7074696F6E732E6973447261676761626C657D293B76617220733D746869733B676F6F676C652E6D6170732E6576656E742E6164644C697374656E657228746869732E';
wwv_flow_api.g_varchar2_table(72) := '7573657270696E2C2264726167656E64222C2866756E6374696F6E28297B76617220653D746869732E676574506F736974696F6E28293B617065782E646562756728227573657270696E206D6F766564222C4A534F4E2E737472696E6769667928652929';
wwv_flow_api.g_varchar2_table(73) := '2C617065782E6A5175657279282223222B732E6F7074696F6E732E726567696F6E4964292E7472696767657228226D61726B657264726167222C7B6D61703A732E6D61702C6C61743A652E6C617428292C6C6E673A652E6C6E6728292C6D61726B65723A';
wwv_flow_api.g_varchar2_table(74) := '746869737D297D29297D7D7D656C736520746869732E7573657270696E262628617065782E646562756728226D6F7665206578697374696E672070696E206F666620746865206D617022292C746869732E7573657270696E2E7365744D6170286E756C6C';
wwv_flow_api.g_varchar2_table(75) := '29297D2C676F746F506F734279537472696E673A66756E6374696F6E2865297B617065782E646562756728227265706F72746D61702E676F746F506F734279537472696E67222C65293B76617220743D746869732E70617273654C61744C6E672865293B';
wwv_flow_api.g_varchar2_table(76) := '72657475726E20742626746869732E676F746F506F7328742E6C617428292C742E6C6E672829292C747D2C70616E546F3A66756E6374696F6E28652C74297B766172206F3B72657475726E20617065782E646562756728227265706F72746D61702E7061';
wwv_flow_api.g_varchar2_table(77) := '6E546F222C652C74292C6E756C6C213D3D6526266E756C6C213D3D742626286F3D6E657720676F6F676C652E6D6170732E4C61744C6E6728652C74292C746869732E6D61702E70616E546F286F29292C6F7D2C70616E546F4279537472696E673A66756E';
wwv_flow_api.g_varchar2_table(78) := '6374696F6E2865297B617065782E646562756728227265706F72746D61702E70616E546F4279537472696E67222C65293B76617220743D746869732E70617273654C61744C6E672865293B72657475726E20742626746869732E70616E546F28742E6C61';
wwv_flow_api.g_varchar2_table(79) := '7428292C742E6C6E672829292C747D2C666974426F756E64733A66756E6374696F6E2865297B76617220743B72657475726E20617065782E646562756728227265706F72746D61702E666974426F756E6473222C65292C6E756C6C213D65262628743D65';
wwv_flow_api.g_varchar2_table(80) := '2E6861734F776E50726F706572747928226561737422292626652E6861734F776E50726F706572747928226E6F72746822292626652E6861734F776E50726F70657274792822736F75746822292626652E6861734F776E50726F70657274792822776573';
wwv_flow_api.g_varchar2_table(81) := '7422293F6E657720676F6F676C652E6D6170732E4C61744C6E67426F756E64734C69746572616C2865293A4A534F4E2E7061727365286529292626746869732E6D61702E666974426F756E64732874292C747D2C676F746F416464726573733A66756E63';
wwv_flow_api.g_varchar2_table(82) := '74696F6E2865297B617065782E646562756728227265706F72746D61702E676F746F41646472657373222C65293B76617220743D6E657720676F6F676C652E6D6170732E47656F636F6465723B746869732E686964654D65737361676528293B76617220';
wwv_flow_api.g_varchar2_table(83) := '6F3D746869733B742E67656F636F6465287B616464726573733A652C636F6D706F6E656E745265737472696374696F6E733A2222213D3D6F2E6F7074696F6E732E7265737472696374436F756E7472793F7B636F756E7472793A6F2E6F7074696F6E732E';
wwv_flow_api.g_varchar2_table(84) := '7265737472696374436F756E7472797D3A7B7D7D2C2866756E6374696F6E28652C74297B696628743D3D3D676F6F676C652E6D6170732E47656F636F6465725374617475732E4F4B297B76617220693D655B305D2E67656F6D657472792E6C6F63617469';
wwv_flow_api.g_varchar2_table(85) := '6F6E3B617065782E6465627567282267656F636F6465206F6B222C69292C6F2E6D61702E73657443656E7465722869292C6F2E6D61702E70616E546F2869292C6F2E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C26266F2E6D61702E7365745A';
wwv_flow_api.g_varchar2_table(86) := '6F6F6D286F2E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C292C6F2E676F746F506F7328692E6C617428292C692E6C6E672829292C617065782E6465627567282261646472657373666F756E64222C65292C617065782E6A5175657279282223';
wwv_flow_api.g_varchar2_table(87) := '222B6F2E6F7074696F6E732E726567696F6E4964292E74726967676572282261646472657373666F756E64222C7B6D61703A6F2E6D61702C6C61743A692E6C617428292C6C6E673A692E6C6E6728292C726573756C743A655B305D7D297D656C73652074';
wwv_flow_api.g_varchar2_table(88) := '3D3D3D676F6F676C652E6D6170732E47656F636F6465725374617475732E5A45524F5F524553554C54533F28617065782E64656275672822676574416464726573734279506F733A205A45524F5F524553554C545322292C6F2E73686F774D6573736167';
wwv_flow_api.g_varchar2_table(89) := '65286F2E6F7074696F6E732E6E6F41646472657373526573756C747329293A617065782E6465627567282247656F636F646572206661696C6564222C74297D29297D2C676574416464726573734279506F733A66756E6374696F6E28652C74297B617065';
wwv_flow_api.g_varchar2_table(90) := '782E646562756728227265706F72746D61702E676574416464726573734279506F73222C652C74293B766172206F3D6E657720676F6F676C652E6D6170732E47656F636F6465723B746869732E686964654D65737361676528293B76617220693D746869';
wwv_flow_api.g_varchar2_table(91) := '733B6F2E67656F636F6465287B6C6F636174696F6E3A7B6C61743A652C6C6E673A747D7D2C2866756E6374696F6E286F2C73297B733D3D3D676F6F676C652E6D6170732E47656F636F6465725374617475732E4F4B3F6F5B305D3F28617065782E646562';
wwv_flow_api.g_varchar2_table(92) := '7567282261646472657373666F756E64222C6F292C617065782E6A5175657279282223222B692E6F7074696F6E732E726567696F6E4964292E74726967676572282261646472657373666F756E64222C7B6D61703A692E6D61702C6C61743A652C6C6E67';
wwv_flow_api.g_varchar2_table(93) := '3A742C726573756C743A6F5B305D7D29293A28617065782E64656275672822676574416464726573734279506F733A204E6F20726573756C74732072657475726E656422292C692E73686F774D65737361676528692E6F7074696F6E732E6E6F41646472';
wwv_flow_api.g_varchar2_table(94) := '657373526573756C747329293A733D3D3D676F6F676C652E6D6170732E47656F636F6465725374617475732E5A45524F5F524553554C54533F28617065782E64656275672822676574416464726573734279506F733A205A45524F5F524553554C545322';
wwv_flow_api.g_varchar2_table(95) := '292C692E73686F774D65737361676528692E6F7074696F6E732E6E6F41646472657373526573756C747329293A617065782E6465627567282247656F636F646572206661696C6564222C73297D29297D2C67656F6C6F636174653A66756E6374696F6E28';
wwv_flow_api.g_varchar2_table(96) := '297B696628617065782E646562756728227265706F72746D61702E67656F6C6F6361746522292C6E6176696761746F722E67656F6C6F636174696F6E297B76617220653D746869733B6E6176696761746F722E67656F6C6F636174696F6E2E6765744375';
wwv_flow_api.g_varchar2_table(97) := '7272656E74506F736974696F6E282866756E6374696F6E2874297B766172206F3D7B6C61743A742E636F6F7264732E6C617469747564652C6C6E673A742E636F6F7264732E6C6F6E6769747564657D3B652E6D61702E70616E546F286F292C652E6F7074';
wwv_flow_api.g_varchar2_table(98) := '696F6E732E636C69636B5A6F6F6D4C6576656C2626652E6D61702E7365745A6F6F6D28652E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C292C617065782E6A5175657279282223222B652E6F7074696F6E732E726567696F6E4964292E747269';
wwv_flow_api.g_varchar2_table(99) := '67676572282267656F6C6F63617465222C7B6D61703A652E6D61702C6C61743A6F2E6C61742C6C6E673A6F2E6C6E677D297D29297D656C736520617065782E6465627567282262726F7773657220646F6573206E6F7420737570706F72742067656F6C6F';
wwv_flow_api.g_varchar2_table(100) := '636174696F6E22297D2C5F646972656374696F6E73526573706F6E73653A66756E6374696F6E28652C74297B73776974636828617065782E646562756728227265706F72746D61702E5F646972656374696F6E73526573706F6E7365222C652C74292C74';
wwv_flow_api.g_varchar2_table(101) := '297B6361736520676F6F676C652E6D6170732E446972656374696F6E735374617475732E4F4B3A746869732E646972656374696F6E73446973706C61792E736574446972656374696F6E732865293B666F7228766172206F3D302C693D302C733D302C61';
wwv_flow_api.g_varchar2_table(102) := '3D226D6574657273222C6E3D303B6E3C652E726F757465732E6C656E6774683B6E2B2B297B732B3D652E726F757465735B6E5D2E6C6567732E6C656E6774683B666F722876617220723D303B723C652E726F757465735B6E5D2E6C6567732E6C656E6774';
wwv_flow_api.g_varchar2_table(103) := '683B722B2B297B76617220703D652E726F757465735B6E5D2E6C6567735B725D3B6F2B3D702E64697374616E63652E76616C75652C692B3D702E6475726174696F6E2E76616C75657D7D22494D50455249414C223D3D3D746869732E6F7074696F6E732E';
wwv_flow_api.g_varchar2_table(104) := '756E697453797374656D2626286F2A3D2E30303036323133373131393232342C613D226D696C657322293B617065782E6A5175657279282223222B746869732E6F7074696F6E732E726567696F6E4964292E747269676765722822646972656374696F6E';
wwv_flow_api.g_varchar2_table(105) := '73222C7B6D61703A746869732E6D61702C64697374616E63653A6F2C756E6974733A612C6475726174696F6E3A692C6C6567733A732C646972656374696F6E733A657D293B627265616B3B6361736520676F6F676C652E6D6170732E446972656374696F';
wwv_flow_api.g_varchar2_table(106) := '6E735374617475732E4E4F545F464F554E443A746869732E73686F774D65737361676528746869732E6F7074696F6E732E646972656374696F6E734E6F74466F756E64293B627265616B3B6361736520676F6F676C652E6D6170732E446972656374696F';
wwv_flow_api.g_varchar2_table(107) := '6E735374617475732E5A45524F5F524553554C54533A746869732E73686F774D65737361676528746869732E6F7074696F6E732E646972656374696F6E735A65726F526573756C7473293B627265616B3B64656661756C743A617065782E646562756728';
wwv_flow_api.g_varchar2_table(108) := '22446972656374696F6E732072657175657374206661696C6564222C74297D7D2C73686F77446972656374696F6E733A66756E6374696F6E28652C742C6F297B696628617065782E646562756728227265706F72746D61702E73686F7744697265637469';
wwv_flow_api.g_varchar2_table(109) := '6F6E73222C652C742C6F292C746869732E6F726967696E3D652C746869732E64657374696E6174696F6E3D742C746869732E686964654D65737361676528292C746869732E6F726967696E2626746869732E64657374696E6174696F6E29696628746869';
wwv_flow_api.g_varchar2_table(110) := '732E646972656374696F6E73446973706C61797C7C28746869732E646972656374696F6E73446973706C61793D6E657720676F6F676C652E6D6170732E446972656374696F6E7352656E64657265722C746869732E646972656374696F6E735365727669';
wwv_flow_api.g_varchar2_table(111) := '63653D6E657720676F6F676C652E6D6170732E446972656374696F6E73536572766963652C746869732E646972656374696F6E73446973706C61792E7365744D617028746869732E6D6170292C746869732E6F7074696F6E732E646972656374696F6E73';
wwv_flow_api.g_varchar2_table(112) := '50616E656C2626746869732E646972656374696F6E73446973706C61792E73657450616E656C28646F63756D656E742E676574456C656D656E744279496428746869732E6F7074696F6E732E646972656374696F6E7350616E656C2929292C746869732E';
wwv_flow_api.g_varchar2_table(113) := '6F726967696E3D746869732E70617273654C61744C6E6728746869732E6F726967696E297C7C746869732E6F726967696E2C746869732E64657374696E6174696F6E3D746869732E70617273654C61744C6E6728746869732E64657374696E6174696F6E';
wwv_flow_api.g_varchar2_table(114) := '297C7C746869732E64657374696E6174696F6E2C2222213D3D746869732E6F726967696E26262222213D3D746869732E64657374696E6174696F6E297B76617220693D746869733B746869732E646972656374696F6E73536572766963652E726F757465';
wwv_flow_api.g_varchar2_table(115) := '287B6F726967696E3A746869732E6F726967696E2C64657374696E6174696F6E3A746869732E64657374696E6174696F6E2C74726176656C4D6F64653A676F6F676C652E6D6170732E54726176656C4D6F64655B6F7C7C746869732E6F7074696F6E732E';
wwv_flow_api.g_varchar2_table(116) := '74726176656C4D6F64655D2C756E697453797374656D3A676F6F676C652E6D6170732E556E697453797374656D5B746869732E6F7074696F6E732E756E697453797374656D5D7D2C2866756E6374696F6E28652C74297B692E5F646972656374696F6E73';
wwv_flow_api.g_varchar2_table(117) := '526573706F6E736528652C74297D29297D656C736520617065782E646562756728224E6F20646972656374696F6E7320746F2073686F77202D206E65656420626F7468206F726967696E20616E642064657374696E6174696F6E206C6F636174696F6E22';
wwv_flow_api.g_varchar2_table(118) := '293B656C736520617065782E64656275672822556E61626C6520746F2073686F7720646972656374696F6E733A206E6F20646174612C206E6F206F726967696E2F64657374696E6174696F6E22297D2C5F646972656374696F6E733A66756E6374696F6E';
wwv_flow_api.g_varchar2_table(119) := '28297B696628617065782E646562756728227265706F72746D61702E5F646972656374696F6E7320222B746869732E6D61726B6572732E6C656E6774682B2220776179706F696E747322292C746869732E6D61726B6572732E6C656E6774683E31297B74';
wwv_flow_api.g_varchar2_table(120) := '6869732E646972656374696F6E73446973706C61797C7C28746869732E646972656374696F6E73446973706C61793D6E657720676F6F676C652E6D6170732E446972656374696F6E7352656E64657265722C746869732E646972656374696F6E73536572';
wwv_flow_api.g_varchar2_table(121) := '766963653D6E657720676F6F676C652E6D6170732E446972656374696F6E73536572766963652C746869732E646972656374696F6E73446973706C61792E7365744D617028746869732E6D6170292C746869732E6F7074696F6E732E646972656374696F';
wwv_flow_api.g_varchar2_table(122) := '6E7350616E656C2626746869732E646972656374696F6E73446973706C61792E73657450616E656C28646F63756D656E742E676574456C656D656E744279496428746869732E6F7074696F6E732E646972656374696F6E7350616E656C2929293B666F72';
wwv_flow_api.g_varchar2_table(123) := '2876617220653D746869732E6D61726B6572735B305D2E706F736974696F6E2C743D746869732E6D61726B6572735B746869732E6D61726B6572732E6C656E6774682D315D2E706F736974696F6E2C6F3D5B5D2C693D313B693C746869732E6D61726B65';
wwv_flow_api.g_varchar2_table(124) := '72732E6C656E6774682D313B692B2B296F2E70757368287B6C6F636174696F6E3A746869732E6D61726B6572735B695D2E706F736974696F6E2C73746F706F7665723A21307D293B617065782E646562756728652C742C6F2C746869732E6F7074696F6E';
wwv_flow_api.g_varchar2_table(125) := '732E74726176656C4D6F6465293B76617220733D746869733B746869732E646972656374696F6E73536572766963652E726F757465287B6F726967696E3A652C64657374696E6174696F6E3A742C776179706F696E74733A6F2C6F7074696D697A655761';
wwv_flow_api.g_varchar2_table(126) := '79706F696E74733A746869732E6F7074696F6E732E6F7074696D697A65576179706F696E74732C74726176656C4D6F64653A676F6F676C652E6D6170732E54726176656C4D6F64655B746869732E6F7074696F6E732E74726176656C4D6F64655D2C756E';
wwv_flow_api.g_varchar2_table(127) := '697453797374656D3A676F6F676C652E6D6170732E556E697453797374656D5B746869732E6F7074696F6E732E756E697453797374656D5D7D2C2866756E6374696F6E28652C74297B732E5F646972656374696F6E73526573706F6E736528652C74297D';
wwv_flow_api.g_varchar2_table(128) := '29297D656C736520617065782E646562756728226E6F7420656E6F75676820776179706F696E7473202D206E656564206174206C6561737420616E206F726967696E20616E6420612064657374696E6174696F6E20706F696E7422297D2C64656C657465';
wwv_flow_api.g_varchar2_table(129) := '53656C656374656446656174757265733A66756E6374696F6E28297B617065782E646562756728227265706F72746D61702E64656C65746553656C6563746564466561747572657322293B76617220653D746869732E6D61702E646174613B652E666F72';
wwv_flow_api.g_varchar2_table(130) := '45616368282866756E6374696F6E2874297B742E67657450726F70657274792822697353656C65637465642229262628617065782E6465627567282272656D6F7665222C74292C652E72656D6F7665287429297D29297D2C64656C657465416C6C466561';
wwv_flow_api.g_varchar2_table(131) := '74757265733A66756E6374696F6E28297B617065782E646562756728227265706F72746D61702E64656C657465416C6C466561747572657322293B76617220653D746869732E6D61702E646174613B652E666F7245616368282866756E6374696F6E2874';
wwv_flow_api.g_varchar2_table(132) := '297B617065782E6465627567282272656D6F7665222C74292C652E72656D6F76652874297D29297D2C5F616464436F6E74726F6C3A66756E6374696F6E28652C742C6F297B76617220693D646F63756D656E742E637265617465456C656D656E74282264';
wwv_flow_api.g_varchar2_table(133) := '697622292C733D646F63756D656E742E637265617465456C656D656E74282264697622293B732E636C6173734E616D653D227265706F72746D61702D636F6E74726F6C5549222C732E7469746C653D742C692E617070656E644368696C642873293B7661';
wwv_flow_api.g_varchar2_table(134) := '7220613D646F63756D656E742E637265617465456C656D656E74282264697622293B72657475726E20612E636C6173734E616D653D227265706F72746D61702D636F6E74726F6C496E6E6572222C612E7374796C652E6261636B67726F756E64496D6167';
wwv_flow_api.g_varchar2_table(135) := '653D652C732E617070656E644368696C642861292C732E6164644576656E744C697374656E65722822636C69636B222C6F292C746869732E6D61702E636F6E74726F6C735B676F6F676C652E6D6170732E436F6E74726F6C506F736974696F6E2E544F50';
wwv_flow_api.g_varchar2_table(136) := '5F43454E5445525D2E707573682869292C697D2C5F616464436865636B626F783A66756E6374696F6E28652C742C6F297B76617220693D646F63756D656E742E637265617465456C656D656E74282264697622292C733D646F63756D656E742E63726561';
wwv_flow_api.g_varchar2_table(137) := '7465456C656D656E74282264697622293B732E636C6173734E616D653D227265706F72746D61702D636F6E74726F6C5549222C732E7469746C653D6F2C692E617070656E644368696C642873293B76617220613D646F63756D656E742E63726561746545';
wwv_flow_api.g_varchar2_table(138) := '6C656D656E74282264697622293B612E636C6173734E616D653D227265706F72746D61702D636F6E74726F6C496E6E6572222C732E617070656E644368696C642861293B766172206E3D646F63756D656E742E637265617465456C656D656E742822696E';
wwv_flow_api.g_varchar2_table(139) := '70757422293B6E2E736574417474726962757465282274797065222C22636865636B626F7822292C6E2E73657441747472696275746528226964222C652B225F222B746869732E6F7074696F6E732E726567696F6E4964292C6E2E736574417474726962';
wwv_flow_api.g_varchar2_table(140) := '75746528226E616D65222C65292C6E2E736574417474726962757465282276616C7565222C225922292C6E2E636C6173734E616D653D227265706F72746D61702D636F6E74726F6C436865636B626F78222C6E2E636C6173734E616D653D227265706F72';
wwv_flow_api.g_varchar2_table(141) := '746D61702D636865636B626F78222C612E617070656E644368696C64286E293B76617220723D646F63756D656E742E637265617465456C656D656E7428226C6162656C22293B72657475726E20722E7365744174747269627574652822666F72222C652B';
wwv_flow_api.g_varchar2_table(142) := '225F222B746869732E6F7074696F6E732E726567696F6E4964292C722E696E6E657248544D4C3D742C722E636C6173734E616D653D227265706F72746D61702D636F6E74726F6C436865636B626F784C6162656C222C612E617070656E644368696C6428';
wwv_flow_api.g_varchar2_table(143) := '72292C746869732E6D61702E636F6E74726F6C735B676F6F676C652E6D6170732E436F6E74726F6C506F736974696F6E2E544F505F43454E5445525D2E707573682869292C697D2C5F616464506F696E743A66756E6374696F6E28652C74297B61706578';
wwv_flow_api.g_varchar2_table(144) := '2E646562756728227265706F72746D61702E5F616464506F696E74222C652C74293B766172206F3D6E657720676F6F676C652E6D6170732E446174612E46656174757265287B67656F6D657472793A6E657720676F6F676C652E6D6170732E446174612E';
wwv_flow_api.g_varchar2_table(145) := '506F696E742874297D293B72657475726E20652E616464286F292C6F7D2C5F616464506F6C79676F6E3A66756E6374696F6E28652C74297B617065782E646562756728227265706F72746D61702E5F616464506F6C79676F6E222C652C74292C24282223';
wwv_flow_api.g_varchar2_table(146) := '686F6C655F222B746869732E6F7074696F6E732E726567696F6E4964292E70726F702822636865636B656422293F652E666F7245616368282866756E6374696F6E2865297B696628652E67657450726F70657274792822697353656C6563746564222929';
wwv_flow_api.g_varchar2_table(147) := '7B766172206F3D652E67657447656F6D6574727928293B69662822506F6C79676F6E223D3D6F2E676574547970652829297B76617220693D6F2E676574417272617928293B692E70757368286E657720676F6F676C652E6D6170732E446174612E4C696E';
wwv_flow_api.g_varchar2_table(148) := '65617252696E67287429292C652E73657447656F6D65747279286E657720676F6F676C652E6D6170732E446174612E506F6C79676F6E286929297D7D7D29293A652E616464286E657720676F6F676C652E6D6170732E446174612E46656174757265287B';
wwv_flow_api.g_varchar2_table(149) := '67656F6D657472793A6E657720676F6F676C652E6D6170732E446174612E506F6C79676F6E285B745D297D29297D2C5F696E697446656174757265733A66756E6374696F6E28297B617065782E646562756728227265706F72746D61702E5F696E697446';
wwv_flow_api.g_varchar2_table(150) := '6561747572657322293B76617220653D746869732C743D746869732E6D61702E646174613B742E7365745374796C6528746869732E6F7074696F6E732E666561747572655374796C65466E7C7C66756E6374696F6E2874297B766172206F3D652E6F7074';
wwv_flow_api.g_varchar2_table(151) := '696F6E732E66656174757265436F6C6F723B72657475726E20742E67657450726F70657274792822697353656C656374656422292626286F3D652E6F7074696F6E732E66656174757265436F6C6F7253656C6563746564292C7B66696C6C436F6C6F723A';
wwv_flow_api.g_varchar2_table(152) := '6F2C7374726F6B65436F6C6F723A6F2C7374726F6B655765696768743A312C647261676761626C653A652E6F7074696F6E732E6973447261676761626C652C6564697461626C653A21317D7D292C746869732E6F7074696F6E732E666561747572655365';
wwv_flow_api.g_varchar2_table(153) := '6C65637461626C652626742E6164644C697374656E65722822636C69636B222C2866756E6374696F6E2874297B617065782E646562756728227265706F72746D61702E6D61702E64617461202D20636C69636B222C74292C742E666561747572652E6765';
wwv_flow_api.g_varchar2_table(154) := '7450726F70657274792822697353656C656374656422293F28617065782E64656275672822697353656C6563746564222C2266616C736522292C742E666561747572652E72656D6F766550726F70657274792822697353656C656374656422292C617065';
wwv_flow_api.g_varchar2_table(155) := '782E6A5175657279282223222B652E6F7074696F6E732E726567696F6E4964292E747269676765722822756E73656C65637466656174757265222C7B6D61703A652E6D61702C666561747572653A742E666561747572657D29293A28617065782E646562';
wwv_flow_api.g_varchar2_table(156) := '75672822697353656C6563746564222C227472756522292C742E666561747572652E73657450726F70657274792822697353656C6563746564222C2130292C617065782E6A5175657279282223222B652E6F7074696F6E732E726567696F6E4964292E74';
wwv_flow_api.g_varchar2_table(157) := '726967676572282273656C65637466656174757265222C7B6D61703A652E6D61702C666561747572653A742E666561747572657D29297D29292C746869732E6F7074696F6E732E66656174757265486F76657261626C65262628742E6164644C69737465';
wwv_flow_api.g_varchar2_table(158) := '6E657228226D6F7573656F766572222C2866756E6374696F6E286F297B617065782E646562756728227265706F72746D61702E6D61702E64617461222C226D6F7573656F766572222C6F292C742E7265766572745374796C6528292C742E6F7665727269';
wwv_flow_api.g_varchar2_table(159) := '64655374796C65286F2E666561747572652C7B7374726F6B655765696768743A347D292C617065782E6A5175657279282223222B652E6F7074696F6E732E726567696F6E4964292E7472696767657228226D6F7573656F76657266656174757265222C7B';
wwv_flow_api.g_varchar2_table(160) := '6D61703A652E6D61702C666561747572653A6F2E666561747572657D297D29292C742E6164644C697374656E657228226D6F7573656F7574222C2866756E6374696F6E286F297B617065782E646562756728227265706F72746D61702E6D61702E646174';
wwv_flow_api.g_varchar2_table(161) := '61222C226D6F7573656F7574222C6F292C742E7265766572745374796C6528292C617065782E6A5175657279282223222B652E6F7074696F6E732E726567696F6E4964292E7472696767657228226D6F7573656F757466656174757265222C7B6D61703A';
wwv_flow_api.g_varchar2_table(162) := '652E6D61702C666561747572653A6F2E666561747572657D297D2929297D2C5F696E697444726177696E673A66756E6374696F6E28297B617065782E646562756728227265706F72746D61702E5F696E697444726177696E67222C746869732E6F707469';
wwv_flow_api.g_varchar2_table(163) := '6F6E732E64726177696E674D6F646573293B76617220653D746869732C743D746869732E6D61702E646174613B746869732E6F7074696F6E732E64726177696E674D6F6465732E696E6465784F662822706F6C79676F6E22293E2D312626746869732E5F';
wwv_flow_api.g_varchar2_table(164) := '616464436865636B626F782822686F6C65222C22486F6C65222C22537562747261637420686F6C652066726F6D20706F6C79676F6E22292C746869732E5F616464436F6E74726F6C282275726C2827646174613A696D6167652F706E673B626173653634';
wwv_flow_api.g_varchar2_table(165) := '2C6956424F5277304B47676F414141414E53556845556741414142514141414155434159414141434E6952304E4141414135456C45515651346A63335550306F445152544838553955524753783941536577636F7A3541414C3972596578633454324668';
wwv_flow_api.g_varchar2_table(166) := '593667454530544D49515332564645484567435970664D553632637A2B3053492F4750627866722F35386D59596C6E58586F4D4576635A4430486E477861734E57426E61455935776C2F564D38343759726342393375456E36682B473130676A7A6A6D75';
wwv_flow_api.g_varchar2_table(167) := '5541773537414963353441616D45587A4264645433666F342F6A393554314E50593877745131517A6A714D65346A506F68466C776C6D566B4F43472F7833634F6B78702B455638332B47566A304152622F50654532766D7238542B7A30415A4A6365454E';
wwv_flow_api.g_varchar2_table(168) := '324A664331416449355732722F714D73324579346449364F6C624E33767138414A646975395458776E75512B6334373344414775674256376F5757476D766964634141414141456C46546B5375516D43432729222C2244656C6574652073656C65637465';
wwv_flow_api.g_varchar2_table(169) := '64206665617475726573222C2866756E6374696F6E2874297B652E64656C65746553656C6563746564466561747572657328297D29293B766172206F3D6E657720676F6F676C652E6D6170732E64726177696E672E44726177696E674D616E6167657228';
wwv_flow_api.g_varchar2_table(170) := '7B64726177696E67436F6E74726F6C4F7074696F6E733A7B706F736974696F6E3A676F6F676C652E6D6170732E436F6E74726F6C506F736974696F6E2E544F505F43454E5445522C64726177696E674D6F6465733A746869732E6F7074696F6E732E6472';
wwv_flow_api.g_varchar2_table(171) := '6177696E674D6F6465737D7D293B6F2E7365744D617028746869732E6D6170292C676F6F676C652E6D6170732E6576656E742E6164644C697374656E6572286F2C226F7665726C6179636F6D706C657465222C2866756E6374696F6E286F297B73776974';
wwv_flow_api.g_varchar2_table(172) := '636828617065782E646562756728227265706F72746D61702E6F7665726C6179636F6D706C657465222C6F292C6F2E74797065297B6361736520676F6F676C652E6D6170732E64726177696E672E4F7665726C6179547970652E4D41524B45523A652E5F';
wwv_flow_api.g_varchar2_table(173) := '616464506F696E7428742C6F2E6F7665726C61792E676574506F736974696F6E2829293B627265616B3B6361736520676F6F676C652E6D6170732E64726177696E672E4F7665726C6179547970652E504F4C59474F4E3A76617220693D6F2E6F7665726C';
wwv_flow_api.g_varchar2_table(174) := '61792E6765745061746828292E676574417272617928293B652E5F616464506F6C79676F6E28742C69293B627265616B3B6361736520676F6F676C652E6D6170732E64726177696E672E4F7665726C6179547970652E52454354414E474C453A76617220';
wwv_flow_api.g_varchar2_table(175) := '733D6F2E6F7665726C61792E676574426F756E647328293B693D5B732E676574536F7574685765737428292C7B6C61743A732E676574536F7574685765737428292E6C617428292C6C6E673A732E6765744E6F7274684561737428292E6C6E6728297D2C';
wwv_flow_api.g_varchar2_table(176) := '732E6765744E6F7274684561737428292C7B6C6E673A732E676574536F7574685765737428292E6C6E6728292C6C61743A732E6765744E6F7274684561737428292E6C617428297D5D3B652E5F616464506F6C79676F6E28742C69293B627265616B3B63';
wwv_flow_api.g_varchar2_table(177) := '61736520676F6F676C652E6D6170732E64726177696E672E4F7665726C6179547970652E504F4C594C494E453A742E616464286E657720676F6F676C652E6D6170732E446174612E46656174757265287B67656F6D657472793A6E657720676F6F676C65';
wwv_flow_api.g_varchar2_table(178) := '2E6D6170732E446174612E4C696E65537472696E67286F2E6F7665726C61792E6765745061746828292E67657441727261792829297D29293B627265616B3B6361736520676F6F676C652E6D6170732E64726177696E672E4F7665726C6179547970652E';
wwv_flow_api.g_varchar2_table(179) := '434952434C453A742E616464286E657720676F6F676C652E6D6170732E446174612E46656174757265287B70726F706572746965733A7B7261646975733A6F2E6F7665726C61792E67657452616469757328297D2C67656F6D657472793A6E657720676F';
wwv_flow_api.g_varchar2_table(180) := '6F676C652E6D6170732E446174612E506F696E74286F2E6F7665726C61792E67657443656E7465722829297D29297D6F2E6F7665726C61792E7365744D6170286E756C6C297D29292C742E7365745374796C65282866756E6374696F6E2874297B766172';
wwv_flow_api.g_varchar2_table(181) := '206F2C693D652E6F7074696F6E732E66656174757265436F6C6F722C733D21313B72657475726E20742E67657450726F70657274792822697353656C65637465642229262628693D652E6F7074696F6E732E66656174757265436F6C6F7253656C656374';
wwv_flow_api.g_varchar2_table(182) := '65642C733D2124282223686F6C655F222B652E6F7074696F6E732E726567696F6E4964292E70726F702822636865636B65642229292C6F3D7B66696C6C436F6C6F723A692C7374726F6B65436F6C6F723A692C7374726F6B655765696768743A317D2C65';
wwv_flow_api.g_varchar2_table(183) := '2E6F7074696F6E732E666561747572655374796C65466E2626242E657874656E64286F2C652E6F7074696F6E732E666561747572655374796C65466E287429292C242E657874656E64286F2C7B647261676761626C653A732C6564697461626C653A737D';
wwv_flow_api.g_varchar2_table(184) := '297D29292C742E6164644C697374656E6572282261646466656174757265222C2866756E6374696F6E2874297B617065782E646562756728227265706F72746D61702E6D61702E64617461222C2261646466656174757265222C74292C617065782E6A51';
wwv_flow_api.g_varchar2_table(185) := '75657279282223222B652E6F7074696F6E732E726567696F6E4964292E74726967676572282261646466656174757265222C7B6D61703A652E6D61702C666561747572653A742E666561747572657D297D29292C742E6164644C697374656E6572282272';
wwv_flow_api.g_varchar2_table(186) := '656D6F766566656174757265222C2866756E6374696F6E2874297B617065782E646562756728227265706F72746D61702E6D61702E64617461222C2272656D6F766566656174757265222C74292C617065782E6A5175657279282223222B652E6F707469';
wwv_flow_api.g_varchar2_table(187) := '6F6E732E726567696F6E4964292E74726967676572282272656D6F766566656174757265222C7B6D61703A652E6D61702C666561747572653A742E666561747572657D297D29292C742E6164644C697374656E6572282273657467656F6D65747279222C';
wwv_flow_api.g_varchar2_table(188) := '2866756E6374696F6E2874297B617065782E646562756728227265706F72746D61702E6D61702E64617461222C2273657467656F6D65747279222C74292C617065782E6A5175657279282223222B652E6F7074696F6E732E726567696F6E4964292E7472';
wwv_flow_api.g_varchar2_table(189) := '6967676572282273657467656F6D65747279222C7B6D61703A652E6D61702C666561747572653A742E666561747572652C6E657747656F6D657472793A742E6E657747656F6D657472792C6F6C6447656F6D657472793A742E6F6C6447656F6D65747279';
wwv_flow_api.g_varchar2_table(190) := '7D297D29292C646F63756D656E742E6164644576656E744C697374656E657228226B6579646F776E222C2866756E6374696F6E2874297B2244656C657465223D3D3D742E6B65792626652E64656C65746553656C6563746564466561747572657328297D';
wwv_flow_api.g_varchar2_table(191) := '29297D2C5F70726F63657373506F696E74733A66756E6374696F6E28652C742C6F297B76617220693D746869733B6520696E7374616E63656F6620676F6F676C652E6D6170732E4C61744C6E673F742E63616C6C286F2C65293A6520696E7374616E6365';
wwv_flow_api.g_varchar2_table(192) := '6F6620676F6F676C652E6D6170732E446174612E506F696E743F742E63616C6C286F2C652E6765742829293A652E676574417272617928292E666F7245616368282866756E6374696F6E2865297B692E5F70726F63657373506F696E747328652C742C6F';
wwv_flow_api.g_varchar2_table(193) := '297D29297D2C5F6C6F616447656F4A736F6E3A66756E6374696F6E28652C742C6F297B617065782E646562756728225F6C6F616447656F4A736F6E222C65293B6C657420693D746869732E6D61702E646174612E61646447656F4A736F6E28652C6F293B';
wwv_flow_api.g_varchar2_table(194) := '76617220733D746869733B746869732E6D61702E646174612E666F7245616368282866756E6374696F6E2865297B732E5F70726F63657373506F696E747328652E67657447656F6D6574727928292C732E626F756E64732E657874656E642C732E626F75';
wwv_flow_api.g_varchar2_table(195) := '6E6473297D29292C746869732E6F7074696F6E732E6175746F466974426F756E64732626746869732E6D61702E666974426F756E647328746869732E626F756E6473292C617065782E6A5175657279282223222B746869732E6F7074696F6E732E726567';
wwv_flow_api.g_varchar2_table(196) := '696F6E4964292E7472696767657228226C6F6164656467656F6A736F6E222C7B6D61703A746869732E6D61702C67656F4A736F6E3A652C66656174757265733A692C66696C656E616D653A747D297D2C6C6F616447656F4A736F6E537472696E673A6675';
wwv_flow_api.g_varchar2_table(197) := '6E6374696F6E28652C74297B696628617065782E646562756728227265706F72746D61702E6C6F616447656F4A736F6E537472696E67222C652C74292C65297B766172206F3D4A534F4E2E70617273652865293B746869732E626F756E64733D6E657720';
wwv_flow_api.g_varchar2_table(198) := '676F6F676C652E6D6170732E4C61744C6E67426F756E64732C746869732E5F6C6F616447656F4A736F6E286F2C74297D7D2C5F696E69744472616744726F7047656F4A534F4E3A66756E6374696F6E28297B617065782E646562756728227265706F7274';
wwv_flow_api.g_varchar2_table(199) := '6D61702E5F696E69744472616744726F7047656F4A534F4E22293B76617220653D746869732C743D646F63756D656E742E676574456C656D656E744279496428226D61705F222B746869732E6F7074696F6E732E726567696F6E4964292C6F3D646F6375';
wwv_flow_api.g_varchar2_table(200) := '6D656E742E676574456C656D656E7442794964282264726F705F222B746869732E6F7074696F6E732E726567696F6E4964292C693D66756E6374696F6E2865297B72657475726E20652E73746F7050726F7061676174696F6E28292C652E70726576656E';
wwv_flow_api.g_varchar2_table(201) := '7444656661756C7428292C6F2E7374796C652E646973706C61793D22626C6F636B222C21317D3B742E6164644576656E744C697374656E6572282264726167656E746572222C692C2131292C6F2E6164644576656E744C697374656E6572282264726167';
wwv_flow_api.g_varchar2_table(202) := '6F766572222C692C2131292C6F2E6164644576656E744C697374656E65722822647261676C65617665222C2866756E6374696F6E28297B6F2E7374796C652E646973706C61793D226E6F6E65227D292C2131292C6F2E6164644576656E744C697374656E';
wwv_flow_api.g_varchar2_table(203) := '6572282264726F70222C2866756E6374696F6E2874297B617065782E646562756728227265706F72746D61702E64726F70222C74292C742E70726576656E7444656661756C7428292C742E73746F7050726F7061676174696F6E28292C6F2E7374796C65';
wwv_flow_api.g_varchar2_table(204) := '2E646973706C61793D226E6F6E65223B76617220693D742E646174615472616E736665722E66696C65733B696628692E6C656E67746829666F722876617220732C613D303B733D695B615D3B612B2B297B766172206E3D6E65772046696C655265616465';
wwv_flow_api.g_varchar2_table(205) := '722C723D732E6E616D653B6E2E6F6E6C6F61643D66756E6374696F6E2874297B652E6C6F616447656F4A736F6E537472696E6728742E7461726765742E726573756C742C72297D2C6E2E6F6E6572726F723D66756E6374696F6E2865297B617065782E65';
wwv_flow_api.g_varchar2_table(206) := '72726F72282272656164696E67206661696C656422297D2C6E2E726561644173546578742873297D656C73657B76617220703D742E646174615472616E736665722E676574446174612822746578742F706C61696E22293B702626652E6C6F616447656F';
wwv_flow_api.g_varchar2_table(207) := '4A736F6E537472696E672870297D72657475726E21317D292C2131297D2C5F696E697444656275673A66756E6374696F6E28297B617065782E646562756728227265706F72746D61702E5F696E6974446562756722293B76617220653D746869732C743D';
wwv_flow_api.g_varchar2_table(208) := '646F63756D656E742E637265617465456C656D656E74282264697622293B742E636C6173734E616D653D227265706F72746D61702D646562756750616E656C222C742E696E6E657248544D4C3D225B6465627567206D6F64655D222C746869732E6D6170';
wwv_flow_api.g_varchar2_table(209) := '2E636F6E74726F6C735B676F6F676C652E6D6170732E436F6E74726F6C506F736974696F6E2E424F54544F4D5F4C4546545D2E707573682874292C676F6F676C652E6D6170732E6576656E742E6164644C697374656E657228746869732E6D61702C226D';
wwv_flow_api.g_varchar2_table(210) := '6F7573656D6F7665222C2866756E6374696F6E2865297B742E696E6E657248544D4C3D226D6F75736520706F736974696F6E20222B4A534F4E2E737472696E6769667928652E6C61744C6E67297D29292C676F6F676C652E6D6170732E6576656E742E61';
wwv_flow_api.g_varchar2_table(211) := '64644C697374656E657228746869732E6D61702C22626F756E64735F6368616E676564222C2866756E6374696F6E286F297B742E696E6E657248544D4C3D226D617020626F756E647320222B4A534F4E2E737472696E6769667928652E6D61702E676574';
wwv_flow_api.g_varchar2_table(212) := '426F756E64732829297D29297D2C5F67657457696E646F77506174683A66756E6374696F6E28297B617065782E646562756728227265706F72746D61702E5F67657457696E646F775061746822293B76617220653D746869732E6F7074696F6E732E706C';
wwv_flow_api.g_varchar2_table(213) := '7567696E5265736F75726365506174683B72657475726E2222213D3D653F617065782E646562756728225573696E6720737570706C69656420706C7567696E207265736F75726365207061746822293A28653D77696E646F772E6C6F636174696F6E2E6F';
wwv_flow_api.g_varchar2_table(214) := '726967696E2B77696E646F772E6C6F636174696F6E2E706174686E616D65292E696E6465784F6628222F6F7264732F722F22293E2D313F28617065782E64656275672822467269656E646C792055524C2064657465637465642028686F7374656420636C';
wwv_flow_api.g_varchar2_table(215) := '6F756429222C65292C653D652E737562737472696E6728302C652E6C617374496E6465784F6628222F722F222929293A652E696E6465784F6628222F722F22293E2D313F28617065782E64656275672822467269656E646C792055524C20646574656374';
wwv_flow_api.g_varchar2_table(216) := '6564222C65292C653D28653D652E737562737472696E6728302C652E6C617374496E6465784F6628222F722F222929292E737562737472696E6728302C652E6C617374496E6465784F6628222F222929293A28617065782E646562756728224C65676163';
wwv_flow_api.g_varchar2_table(217) := '792055524C206465746563746564222C65292C653D652E737562737472696E6728302C652E6C617374496E6465784F6628222F222929292C617065782E6465627567282270617468222C65292C657D2C5F696E69744D61704576656E74733A66756E6374';
wwv_flow_api.g_varchar2_table(218) := '696F6E28297B76617220653D746869733B5B22626F756E64735F6368616E676564222C2263656E7465725F6368616E676564222C2268656164696E675F6368616E676564222C2269646C65222C226D61707479706569645F6368616E676564222C227072';
wwv_flow_api.g_varchar2_table(219) := '6F6A656374696F6E5F6368616E676564222C2274696C65736C6F61646564222C2274696C745F6368616E676564222C227A6F6F6D5F6368616E676564225D2E666F7245616368282866756E6374696F6E2874297B617065782E6465627567282261646420';
wwv_flow_api.g_varchar2_table(220) := '6C697374656E657220666F72206D617020222B74292C676F6F676C652E6D6170732E6576656E742E6164644C697374656E657228652E6D61702C742C2866756E6374696F6E28297B617065782E646562756728226D617020222B74293B766172206F3D65';
wwv_flow_api.g_varchar2_table(221) := '2E6D61702E676574426F756E647328293B617065782E6A5175657279282223222B652E6F7074696F6E732E726567696F6E4964292E7472696767657228226D6170222B742C7B6D61703A652E6D61702C63656E7465723A652E6D61702E67657443656E74';
wwv_flow_api.g_varchar2_table(222) := '657228292E746F4A534F4E28292C736F757468776573743A6F2E676574536F7574685765737428292E746F4A534F4E28292C6E6F727468656173743A6F2E6765744E6F7274684561737428292E746F4A534F4E28292C7A6F6F6D3A652E6D61702E676574';
wwv_flow_api.g_varchar2_table(223) := '5A6F6F6D28292C68656164696E673A652E6D61702E67657448656164696E6728292C74696C743A652E6D61702E67657454696C7428292C6D6170547970653A652E6D61702E6765744D617054797065496428297D297D29297D29292C746869732E6F7074';
wwv_flow_api.g_varchar2_table(224) := '696F6E732E64657461696C65644D6F7573654576656E74732626285B2264726167222C2264726167656E64222C22647261677374617274225D2E666F7245616368282866756E6374696F6E2874297B617065782E64656275672822616464206C69737465';
wwv_flow_api.g_varchar2_table(225) := '6E657220666F72206D617020222B74292C676F6F676C652E6D6170732E6576656E742E6164644C697374656E657228652E6D61702C742C2866756E6374696F6E28297B617065782E646562756728226D617020222B74293B766172206F3D652E6D61702E';
wwv_flow_api.g_varchar2_table(226) := '676574426F756E647328293B617065782E6A5175657279282223222B652E6F7074696F6E732E726567696F6E4964292E7472696767657228226D6170222B742C7B6D61703A652E6D61702C63656E7465723A652E6D61702E67657443656E74657228292E';
wwv_flow_api.g_varchar2_table(227) := '746F4A534F4E28292C736F757468776573743A6F2E676574536F7574685765737428292E746F4A534F4E28292C6E6F727468656173743A6F2E6765744E6F7274684561737428292E746F4A534F4E28292C7A6F6F6D3A652E6D61702E6765745A6F6F6D28';
wwv_flow_api.g_varchar2_table(228) := '292C68656164696E673A652E6D61702E67657448656164696E6728292C74696C743A652E6D61702E67657454696C7428292C6D6170547970653A652E6D61702E6765744D617054797065496428297D297D29297D29292C5B22636F6E746578746D656E75';
wwv_flow_api.g_varchar2_table(229) := '222C2264626C636C69636B222C226D6F7573656D6F7665222C226D6F7573656F7574222C226D6F7573656F766572225D2E666F7245616368282866756E6374696F6E2874297B617065782E64656275672822616464206C697374656E657220666F72206D';
wwv_flow_api.g_varchar2_table(230) := '617020222B74292C676F6F676C652E6D6170732E6576656E742E6164644C697374656E657228652E6D61702C742C2866756E6374696F6E286F297B617065782E646562756728226D617020222B742C6F2E6C61744C6E67292C617065782E6A5175657279';
wwv_flow_api.g_varchar2_table(231) := '282223222B652E6F7074696F6E732E726567696F6E4964292E7472696767657228226D6170222B742C7B6D61703A652E6D61702C6C61743A6F2E6C61744C6E672E6C617428292C6C6E673A6F2E6C61744C6E672E6C6E6728297D297D29297D2929292C61';
wwv_flow_api.g_varchar2_table(232) := '7065782E64656275672822616464206C697374656E657220666F72206D617020636C69636B22292C676F6F676C652E6D6170732E6576656E742E6164644C697374656E657228746869732E6D61702C22636C69636B222C2866756E6374696F6E2874297B';
wwv_flow_api.g_varchar2_table(233) := '617065782E646562756728226D617020636C69636B222C742E6C61744C6E67292C652E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C262628652E6F7074696F6E732E70616E4F6E436C69636B2626652E6D61702E70616E546F28742E6C61744C';
wwv_flow_api.g_varchar2_table(234) := '6E67292C652E6D61702E7365745A6F6F6D28652E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C29292C617065782E6A5175657279282223222B652E6F7074696F6E732E726567696F6E4964292E7472696767657228226D6170636C69636B222C';
wwv_flow_api.g_varchar2_table(235) := '7B6D61703A652E6D61702C6C61743A742E6C61744C6E672E6C617428292C6C6E673A742E6C61744C6E672E6C6E6728297D297D29297D2C5F6372656174653A66756E6374696F6E28297B617065782E646562756728227265706F72746D61702E5F637265';
wwv_flow_api.g_varchar2_table(236) := '617465222C746869732E656C656D656E742E70726F70282269642229292C617065782E6465627567284A534F4E2E737472696E6769667928746869732E6F7074696F6E7329293B76617220653D746869733B746869732E696D6167655072656669783D74';
wwv_flow_api.g_varchar2_table(237) := '6869732E5F67657457696E646F775061746828292B222F222B746869732E6F7074696F6E732E706C7567696E46696C655072656669782B22696D616765732F6D222C617065782E64656275672822696D616765507265666978222C746869732E696D6167';
wwv_flow_api.g_varchar2_table(238) := '65507265666978293B76617220743D7B6D696E5A6F6F6D3A746869732E6F7074696F6E732E6D696E5A6F6F6D2C6D61785A6F6F6D3A746869732E6F7074696F6E732E6D61785A6F6F6D2C7A6F6F6D3A746869732E6F7074696F6E732E696E697469616C5A';
wwv_flow_api.g_varchar2_table(239) := '6F6F6D2C63656E7465723A746869732E6F7074696F6E732E696E697469616C43656E7465722C6D61705479706549643A746869732E6F7074696F6E732E6D6170547970652C647261676761626C653A746869732E6F7074696F6E732E616C6C6F7750616E';
wwv_flow_api.g_varchar2_table(240) := '2C7A6F6F6D436F6E74726F6C3A746869732E6F7074696F6E732E616C6C6F775A6F6F6D2C7363726F6C6C776865656C3A746869732E6F7074696F6E732E616C6C6F775A6F6F6D2C64697361626C65446F75626C65436C69636B5A6F6F6D3A21746869732E';
wwv_flow_api.g_varchar2_table(241) := '6F7074696F6E732E616C6C6F775A6F6F6D2C6765737475726548616E646C696E673A746869732E6F7074696F6E732E6765737475726548616E646C696E677D3B696628746869732E6F7074696F6E732E6D61705374796C65262628742E7374796C65733D';
wwv_flow_api.g_varchar2_table(242) := '746869732E6F7074696F6E732E6D61705374796C65292C746869732E6D61703D6E657720676F6F676C652E6D6170732E4D617028646F63756D656E742E676574456C656D656E744279496428746869732E656C656D656E742E70726F7028226964222929';
wwv_flow_api.g_varchar2_table(243) := '2C74292C22696E666F6C61796572223D3D746869732E6F7074696F6E732E76697375616C69736174696F6E262628746869732E6F7074696F6E732E73686F7750696E733D21312C746869732E6F7074696F6E732E73686F77496E666F506F707570733D21';
wwv_flow_api.g_varchar2_table(244) := '312C746869732E6F7074696F6E732E73686F77496E666F4C617965723D2130292C746869732E6F7074696F6E732E696E6974466E262628617065782E64656275672822696E69745F6A6176617363726970745F636F64652072756E6E696E672E2E2E2229';
wwv_flow_api.g_varchar2_table(245) := '2C746869732E696E69743D746869732E6F7074696F6E732E696E6974466E2C746869732E696E697428292C746869732E696E69742E64656C6574652C617065782E64656275672822696E69745F6A6176617363726970745F636F64652066696E69736865';
wwv_flow_api.g_varchar2_table(246) := '642E2229292C746869732E5F696E6974466561747572657328292C746869732E6F7074696F6E732E64726177696E674D6F6465732626746869732E5F696E697444726177696E6728292C746869732E6F7074696F6E732E6472616744726F7047656F4A53';
wwv_flow_api.g_varchar2_table(247) := '4F4E2626746869732E5F696E69744472616744726F7047656F4A534F4E28292C617065782E64656275672E6765744C6576656C28293E302626746869732E5F696E6974446562756728292C746869732E6F7074696F6E732E657870656374446174612626';
wwv_flow_api.g_varchar2_table(248) := '746869732E7265667265736828292C746869732E5F696E69744D61704576656E747328292C617065782E6A5175657279282223222B746869732E6F7074696F6E732E726567696F6E4964292E62696E6428226170657872656672657368222C2866756E63';
wwv_flow_api.g_varchar2_table(249) := '74696F6E28297B242822236D61705F222B652E6F7074696F6E732E726567696F6E4964292E7265706F72746D617028227265667265736822297D29292C617065782E64656275672E6765744C6576656C28293E30297B766172206F3D27242822236D6170';
wwv_flow_api.g_varchar2_table(250) := '5F272B652E6F7074696F6E732E726567696F6E49642B2722292E7265706F72746D61702822696E7374616E636522292E6D6170273B617065782E6465627567282225635468616E6B20796F7520666F72207573696E6720746865206A6B3634205265706F';
wwv_flow_api.g_varchar2_table(251) := '7274204D617020706C7567696E215C6E546F206163636573732074686520476F6F676C65204D6170206F626A656374206F6E207468697320706167652C207573653A5C6E222B6F2B225C6E4D6F726520696E666F3A2068747470733A2F2F676974687562';
wwv_flow_api.g_varchar2_table(252) := '2E636F6D2F6A6566667265796B656D702F6A6B36342D706C7567696E2D7265706F72746D61702F77696B69222C22666F6E742D73697A653A313870783B6261636B67726F756E642D636F6C6F723A233030373666663B636F6C6F723A77686974653B6C69';
wwv_flow_api.g_varchar2_table(253) := '6E652D6865696768743A333070783B646973706C61793A626C6F636B3B70616464696E673A313070783B22297D617065782E646562756728227265706F72746D61702E5F6372656174652066696E697368656422297D2C5F616674657252656672657368';
wwv_flow_api.g_varchar2_table(254) := '3A66756E6374696F6E28297B617065782E646562756728225F61667465725265667265736822292C746869732E7370696E6E6572262628617065782E6465627567282272656D6F7665207370696E6E657222292C746869732E7370696E6E65722E72656D';
wwv_flow_api.g_varchar2_table(255) := '6F76652829292C617065782E6A5175657279282223222B746869732E6F7074696F6E732E726567696F6E4964292E7472696767657228226170657861667465727265667265736822292C746869732E5F7472696767657228226368616E676522297D2C5F';
wwv_flow_api.g_varchar2_table(256) := '72656E646572506167653A66756E6374696F6E28652C74297B696628617065782E646562756728225F72656E64657250616765222C74292C652E6D617064617461297B766172206F3B696628617065782E6465627567282270446174612E6D6170646174';
wwv_flow_api.g_varchar2_table(257) := '61206C656E6774683A222C652E6D6170646174612E6C656E677468292C652E6D6170646174612E6C656E6774683E30297B666F722876617220693D303B693C652E6D6170646174612E6C656E6774683B692B2B297B696628652E6D6170646174615B695D';
wwv_flow_api.g_varchar2_table(258) := '2E6572726F72297B6F3D652E6D6170646174615B695D2E6572726F723B627265616B7D76617220733D652E6D6170646174615B695D3B69662822686561746D6170223D3D746869732E6F7074696F6E732E76697375616C69736174696F6E29735B305D26';
wwv_flow_api.g_varchar2_table(259) := '26735B315D262628746869732E626F756E64732E657874656E64287B6C61743A735B305D2C6C6E673A735B315D7D292C746869732E77656967687465644C6F636174696F6E732E70757368287B6C6F636174696F6E3A6E657720676F6F676C652E6D6170';
wwv_flow_api.g_varchar2_table(260) := '732E4C61744C6E6728735B305D2C735B315D292C7765696768743A735B325D7D29293B656C7365206966282267656F6A736F6E223D3D746869732E6F7074696F6E732E76697375616C69736174696F6E297B76617220613D7B7D3B696628732E6E262628';
wwv_flow_api.g_varchar2_table(261) := '612E6E616D653D732E6E292C732E64262628612E69643D732E64292C732E6629666F7228766172206E3D313B6E3C3D31303B6E2B2B29732E665B2261222B6E5D262628615B2261747472222B282230222B6E292E736C696365282D32295D3D732E665B22';
wwv_flow_api.g_varchar2_table(262) := '61222B6E5D293B242E657874656E6428732E67656F6A736F6E2C7B70726F706572746965733A617D292C746869732E5F6C6F616447656F4A736F6E28732E67656F6A736F6E2C6E756C6C2C7B696450726F70657274794E616D653A226964227D297D656C';
wwv_flow_api.g_varchar2_table(263) := '736520696628732E782626732E79297B746869732E626F756E64732E657874656E64287B6C61743A732E782C6C6E673A732E797D293B76617220723D746869732E5F6E65774D61726B65722873293B746869732E6D61726B6572732E707573682872292C';
wwv_flow_api.g_varchar2_table(264) := '732E642626746869732E6E657749644D61702E73657428732E642C69297D7D746869732E6F7074696F6E732E6175746F466974426F756E6473262628617065782E64656275672822666974426F756E6473222C746869732E626F756E64732E676574536F';
wwv_flow_api.g_varchar2_table(265) := '7574685765737428292E746F4A534F4E28292C746869732E626F756E64732E6765744E6F7274684561737428292E746F4A534F4E2829292C746869732E6D61702E666974426F756E647328746869732E626F756E647329292C746869732E746F74616C52';
wwv_flow_api.g_varchar2_table(266) := '6F77732B3D652E6D6170646174612E6C656E6774687D6966286F29617065782E64656275672E6572726F72286F292C746869732E73686F774D657373616765286F292C64656C65746520746869732E6E657749644D61702C746869732E5F616674657252';
wwv_flow_api.g_varchar2_table(267) := '65667265736828293B656C736520696628746869732E746F74616C526F77733C746869732E6F7074696F6E732E6D6178696D756D526F77732626652E6D6170646174612E6C656E6774683D3D746869732E6F7074696F6E732E726F777350657242617463';
wwv_flow_api.g_varchar2_table(268) := '68297B617065782E6A5175657279282223222B746869732E6F7074696F6E732E726567696F6E4964292E74726967676572282262617463686C6F61646564222C7B6D61703A746869732E6D61702C636F756E7450696E733A746869732E746F74616C526F';
wwv_flow_api.g_varchar2_table(269) := '77732C736F757468776573743A746869732E626F756E64732E676574536F7574685765737428292E746F4A534F4E28292C6E6F727468656173743A746869732E626F756E64732E6765744E6F7274684561737428292E746F4A534F4E28297D292C742B3D';
wwv_flow_api.g_varchar2_table(270) := '746869732E6F7074696F6E732E726F777350657242617463683B76617220703D746869732E6F7074696F6E732E726F777350657242617463683B746869732E746F74616C526F77732B703E746869732E6F7074696F6E732E6D6178696D756D526F777326';
wwv_flow_api.g_varchar2_table(271) := '2628703D746869732E6F7074696F6E732E6D6178696D756D526F77732D746869732E746F74616C526F7773293B76617220643D746869733B617065782E7365727665722E706C7567696E28746869732E6F7074696F6E732E616A61784964656E74696669';
wwv_flow_api.g_varchar2_table(272) := '65722C7B706167654974656D733A746869732E6F7074696F6E732E616A61784974656D732C7830313A742C7830323A707D2C7B64617461547970653A226A736F6E222C737563636573733A66756E6374696F6E2865297B617065782E646562756728226E';
wwv_flow_api.g_varchar2_table(273) := '65787420626174636820726563656976656422292C642E5F72656E6465725061676528652C74297D7D297D656C73657B696628303D3D746869732E746F74616C526F77732964656C65746520746869732E69644D61702C2222213D3D746869732E6F7074';
wwv_flow_api.g_varchar2_table(274) := '696F6E732E6E6F446174614D657373616765262628617065782E6465627567282273686F77204E6F204461746120466F756E6420696E666F77696E646F7722292C746869732E73686F774D65737361676528746869732E6F7074696F6E732E6E6F446174';
wwv_flow_api.g_varchar2_table(275) := '614D65737361676529293B656C73652073776974636828746869732E6F7074696F6E732E76697375616C69736174696F6E297B6361736522646972656374696F6E73223A746869732E5F646972656374696F6E7328293B627265616B3B6361736522636C';
wwv_flow_api.g_varchar2_table(276) := '7573746572223A746869732E6D61726B6572436C75737465726572262628617065782E646562756728226D61726B6572436C757374657265722E636C6561724D61726B65727322292C746869732E6D61726B6572436C757374657265722E636C6561724D';
wwv_flow_api.g_varchar2_table(277) := '61726B6572732829292C617065782E64656275672822637265617465206D61726B6572436C7573746572657222292C746869732E6D61726B6572436C757374657265723D6E6577204D61726B6572436C7573746572657228746869732E6D61702C746869';
wwv_flow_api.g_varchar2_table(278) := '732E6D61726B6572732C7B696D616765506174683A746869732E696D6167655072656669787D293B627265616B3B636173652273706964657266696572223A746869732E5F737069646572667928293B627265616B3B6361736522686561746D6170223A';
wwv_flow_api.g_varchar2_table(279) := '746869732E686561746D61704C61796572262628617065782E6465627567282272656D6F766520686561746D61704C6179657222292C746869732E686561746D61704C617965722E7365744D6170286E756C6C292C746869732E686561746D61704C6179';
wwv_flow_api.g_varchar2_table(280) := '65722E64656C657465292C746869732E686561746D61704C617965723D6E657720676F6F676C652E6D6170732E76697375616C697A6174696F6E2E486561746D61704C61796572287B646174613A746869732E77656967687465644C6F636174696F6E73';
wwv_flow_api.g_varchar2_table(281) := '2C6D61703A746869732E6D61702C6469737369706174696E673A746869732E6F7074696F6E732E686561746D61704469737369706174696E672C6F7061636974793A746869732E6F7074696F6E732E686561746D61704F7061636974792C726164697573';
wwv_flow_api.g_varchar2_table(282) := '3A746869732E6F7074696F6E732E686561746D61705261646975737D292C746869732E77656967687465644C6F636174696F6E732E64656C6574657D617065782E6A5175657279282223222B746869732E6F7074696F6E732E726567696F6E4964292E74';
wwv_flow_api.g_varchar2_table(283) := '72696767657228746869732E6D61706C6F616465643F226D6170726566726573686564223A226D61706C6F61646564222C7B6D61703A746869732E6D61702C636F756E7450696E733A746869732E746F74616C526F77732C736F757468776573743A7468';
wwv_flow_api.g_varchar2_table(284) := '69732E626F756E64732E676574536F7574685765737428292E746F4A534F4E28292C6E6F727468656173743A746869732E626F756E64732E6765744E6F7274684561737428292E746F4A534F4E28297D292C746869732E6D61706C6F616465643D21302C';
wwv_flow_api.g_varchar2_table(285) := '746869732E69644D61703D746869732E6E657749644D61702C64656C65746520746869732E6E657749644D61702C746869732E5F61667465725265667265736828297D7D656C736520746869732E5F61667465725265667265736828297D2C7265667265';
wwv_flow_api.g_varchar2_table(286) := '73683A66756E6374696F6E28297B696628617065782E646562756728227265706F72746D61702E7265667265736822292C746869732E686964654D65737361676528292C746869732E6F7074696F6E732E65787065637444617461297B617065782E6A51';
wwv_flow_api.g_varchar2_table(287) := '75657279282223222B746869732E6F7074696F6E732E726567696F6E4964292E747269676765722822617065786265666F72657265667265736822292C746869732E6F7074696F6E732E73686F775370696E6E6572262628746869732E7370696E6E6572';
wwv_flow_api.g_varchar2_table(288) := '2626746869732E7370696E6E65722E72656D6F766528292C617065782E6465627567282273686F77207370696E6E657222292C746869732E7370696E6E65723D617065782E7574696C2E73686F775370696E6E65722824282223222B746869732E6F7074';
wwv_flow_api.g_varchar2_table(289) := '696F6E732E726567696F6E49642929293B76617220653D746869732C743D746869732E6F7074696F6E732E726F777350657242617463683B746869732E6F7074696F6E732E6D6178696D756D526F77733C74262628743D746869732E6F7074696F6E732E';
wwv_flow_api.g_varchar2_table(290) := '6D6178696D756D526F7773292C617065782E7365727665722E706C7567696E28746869732E6F7074696F6E732E616A61784964656E7469666965722C7B706167654974656D733A746869732E6F7074696F6E732E616A61784974656D732C7830313A312C';
wwv_flow_api.g_varchar2_table(291) := '7830323A747D2C7B64617461547970653A226A736F6E222C737563636573733A66756E6374696F6E2874297B617065782E64656275672822666972737420626174636820726563656976656422292C652E5F72656D6F76654D61726B65727328292C652E';
wwv_flow_api.g_varchar2_table(292) := '77656967687465644C6F636174696F6E733D5B5D2C652E6D61726B6572733D5B5D2C652E626F756E64733D6E657720676F6F676C652E6D6170732E4C61744C6E67426F756E64732C652E6E657749644D61703D6E6577204D61702C742E6D617064617461';
wwv_flow_api.g_varchar2_table(293) := '2626742E6D6170646174615B305D2626742E6D6170646174615B305D2E6572726F723F28652E73686F774D65737361676528742E6D6170646174615B305D2E6572726F72292C652E5F6166746572526566726573682829293A652E5F72656E6465725061';
wwv_flow_api.g_varchar2_table(294) := '676528742C31297D7D297D656C736520746869732E5F61667465725265667265736828297D2C5F64657374726F793A66756E6374696F6E28297B746869732E686561746D61704C617965722626746869732E686561746D61704C617965722E72656D6F76';
wwv_flow_api.g_varchar2_table(295) := '6528292C746869732E7573657270696E262664656C65746520746869732E7573657270696E2C746869732E646972656374696F6E73446973706C6179262664656C65746520746869732E646972656374696F6E73446973706C61792C746869732E646972';
wwv_flow_api.g_varchar2_table(296) := '656374696F6E7353657276696365262664656C65746520746869732E646972656374696F6E73536572766963652C746869732E5F72656D6F76654D61726B65727328292C746869732E686964654D65737361676528292C746869732E6D61702E72656D6F';
wwv_flow_api.g_varchar2_table(297) := '766528297D2C5F7365744F7074696F6E733A66756E6374696F6E28297B746869732E5F73757065724170706C7928617267756D656E7473297D2C5F7365744F7074696F6E3A66756E6374696F6E28652C74297B73776974636828617065782E6465627567';
wwv_flow_api.g_varchar2_table(298) := '28652C74292C65297B6361736522636C69636B61626C6549636F6E73223A746869732E6D61702E7365744F7074696F6E73287B636C69636B61626C6549636F6E733A742B22223D3D2274727565227D293B627265616B3B636173652264697361626C6544';
wwv_flow_api.g_varchar2_table(299) := '656661756C745549223A746869732E6D61702E7365744F7074696F6E73287B64697361626C6544656661756C7455493A742B22223D3D2274727565227D293B627265616B3B636173652266756C6C73637265656E436F6E74726F6C223A746869732E6D61';
wwv_flow_api.g_varchar2_table(300) := '702E7365744F7074696F6E73287B66756C6C73637265656E436F6E74726F6C3A742B22223D3D2274727565227D293B627265616B3B636173652268656164696E67223A746869732E6D61702E7365744F7074696F6E73287B68656164696E673A70617273';
wwv_flow_api.g_varchar2_table(301) := '65496E742874297D293B627265616B3B63617365226B6579626F61726453686F727463757473223A746869732E6D61702E7365744F7074696F6E73287B6B6579626F61726453686F7274637574733A742B22223D3D2274727565227D293B627265616B3B';
wwv_flow_api.g_varchar2_table(302) := '63617365226D617054797065223A746869732E6D61702E7365744D617054797065496428742E746F4C6F776572436173652829292C746869732E5F737570657228652C74293B627265616B3B63617365226D617054797065436F6E74726F6C223A746869';
wwv_flow_api.g_varchar2_table(303) := '732E6D61702E7365744F7074696F6E73287B6D617054797065436F6E74726F6C3A742B22223D3D2274727565227D293B627265616B3B63617365226D61785A6F6F6D223A746869732E6D61702E7365744F7074696F6E73287B6D61785A6F6F6D3A706172';
wwv_flow_api.g_varchar2_table(304) := '7365496E742874297D292C746869732E5F737570657228652C74293B627265616B3B63617365226D696E5A6F6F6D223A746869732E6D61702E7365744F7074696F6E73287B6D696E5A6F6F6D3A7061727365496E742874297D292C746869732E5F737570';
wwv_flow_api.g_varchar2_table(305) := '657228652C74293B627265616B3B6361736522726F74617465436F6E74726F6C223A746869732E6D61702E7365744F7074696F6E73287B726F74617465436F6E74726F6C3A742B22223D3D2274727565227D293B627265616B3B63617365227363616C65';
wwv_flow_api.g_varchar2_table(306) := '436F6E74726F6C223A746869732E6D61702E7365744F7074696F6E73287B7363616C65436F6E74726F6C3A742B22223D3D2274727565227D293B627265616B3B636173652273747265657456696577436F6E74726F6C223A746869732E6D61702E736574';
wwv_flow_api.g_varchar2_table(307) := '4F7074696F6E73287B73747265657456696577436F6E74726F6C3A742B22223D3D2274727565227D293B627265616B3B63617365227374796C6573223A746869732E6D61702E7365744F7074696F6E73287B7374796C65733A747D292C746869732E5F73';
wwv_flow_api.g_varchar2_table(308) := '7570657228226D61705374796C65222C74293B627265616B3B63617365227A6F6F6D436F6E74726F6C223A746869732E6D61702E7365744F7074696F6E73287B7A6F6F6D436F6E74726F6C3A742B22223D3D2274727565227D293B627265616B3B636173';
wwv_flow_api.g_varchar2_table(309) := '652274696C74223A746869732E6D61702E73657454696C74287061727365496E74287429293B627265616B3B63617365227A6F6F6D223A746869732E6D61702E7365745A6F6F6D287061727365496E74287429293B627265616B3B64656661756C743A74';
wwv_flow_api.g_varchar2_table(310) := '6869732E5F737570657228652C74297D7D7D293B636C617373206520657874656E647320676F6F676C652E6D6170732E4F7665726C6179566965777B636F6E7374727563746F7228652C74297B737570657228292C746869732E5F636F6E74656E743D65';
wwv_flow_api.g_varchar2_table(311) := '2C746869732E5F6F7074696F6E733D747D676574206F7074696F6E7328297B72657475726E20746869732E5F6F7074696F6E737D736574206F7074696F6E732865297B746869732E5F6F7074696F6E733D657D67657420636F6E74656E7428297B726574';
wwv_flow_api.g_varchar2_table(312) := '75726E20746869732E5F636F6E74656E747D73657420636F6E74656E742865297B746869732E5F636F6E74656E743D657D67657420706F7328297B72657475726E20746869732E5F6F7074696F6E732E706F737D73657420706F732865297B746869732E';
wwv_flow_api.g_varchar2_table(313) := '5F6F7074696F6E732E706F733D657D67657420626F756E647328297B72657475726E20746869732E5F6F7074696F6E732E626F756E64737D73657420626F756E64732865297B746869732E5F6F7074696F6E732E626F756E64733D657D67657420646976';
wwv_flow_api.g_varchar2_table(314) := '28297B72657475726E20746869732E5F6469767D6F6E41646428297B746869732E5F6469763D646F63756D656E742E637265617465456C656D656E74282264697622292C746869732E5F6469762E7374796C652E626F726465725374796C653D226E6F6E';
wwv_flow_api.g_varchar2_table(315) := '65222C746869732E5F6469762E7374796C652E626F7264657257696474683D22307078222C746869732E5F6469762E7374796C652E706F736974696F6E3D226162736F6C757465222C746869732E5F6469762E696E6E657248544D4C3D746869732E5F63';
wwv_flow_api.g_varchar2_table(316) := '6F6E74656E743B636F6E737420653D746869732E67657450616E657328293B746869732E5F6F7074696F6E732E6F6E436C69636B48616E646C65723F28652E6F7665726C61794D6F7573655461726765742E617070656E644368696C6428746869732E5F';
wwv_flow_api.g_varchar2_table(317) := '646976292C676F6F676C652E6D6170732E4F7665726C6179566965772E70726576656E744D61704869747346726F6D28746869732E5F646976292C617065782E64656275672822616464206C697374656E657220666F72206F7665726C617920636C6963';
wwv_flow_api.g_varchar2_table(318) := '6B22292C676F6F676C652E6D6170732E6576656E742E616464446F6D4C697374656E657228746869732E5F6469762C22636C69636B222C746869732E5F6F7074696F6E732E6F6E436C69636B48616E646C657229293A652E6F7665726C61794C61796572';
wwv_flow_api.g_varchar2_table(319) := '2E617070656E644368696C6428746869732E5F646976297D6472617728297B696628746869732E5F646976297B636F6E7374206F3D746869732E67657450726F6A656374696F6E28292C693D746869732E6765744D617028292E6765745A6F6F6D28293B';
wwv_flow_api.g_varchar2_table(320) := '696628693E3D28746869732E5F6F7074696F6E732E6D696E5A6F6F6D7C7C30292626693C3D28746869732E5F6F7074696F6E732E6D61785A6F6F6D7C7C39392929696628746869732E5F6F7074696F6E732E626F756E6473297B636F6E737420653D6F2E';
wwv_flow_api.g_varchar2_table(321) := '66726F6D4C61744C6E67546F446976506978656C28746869732E5F6F7074696F6E732E626F756E64732E676574536F757468576573742829292C743D6F2E66726F6D4C61744C6E67546F446976506978656C28746869732E5F6F7074696F6E732E626F75';
wwv_flow_api.g_varchar2_table(322) := '6E64732E6765744E6F727468456173742829293B746869732E5F646976262628746869732E5F6469762E7374796C652E6C6566743D652E782B227078222C746869732E5F6469762E7374796C652E746F703D742E792B227078222C746869732E5F646976';
wwv_flow_api.g_varchar2_table(323) := '2E7374796C652E77696474683D742E782D652E782B227078222C746869732E5F6469762E7374796C652E6865696768743D652E792D742E792B22707822297D656C736520696628746869732E5F6F7074696F6E732E706F73297B636F6E737420693D6F2E';
wwv_flow_api.g_varchar2_table(324) := '66726F6D4C61744C6E67546F446976506978656C28746869732E5F6F7074696F6E732E706F73293B76617220652C743B73776974636828746869732E5F6F7074696F6E732E686F72697A6F6E74616C416C69676E2E746F4C6F776572436173652829297B';
wwv_flow_api.g_varchar2_table(325) := '636173652263656E746572223A653D2D746869732E5F6469762E6F666673657457696474682F323B627265616B3B63617365227269676874223A653D2D746869732E5F6469762E6F666673657457696474683B627265616B3B64656661756C743A653D30';
wwv_flow_api.g_varchar2_table(326) := '7D73776974636828746869732E5F6F7074696F6E732E766572746963616C416C69676E2E746F4C6F776572436173652829297B6361736522626F74746F6D223A743D2D746869732E5F6469762E6F66667365744865696768743B627265616B3B63617365';
wwv_flow_api.g_varchar2_table(327) := '226D6964646C65223A743D2D746869732E5F6469762E6F66667365744865696768742F323B627265616B3B64656661756C743A743D307D652B3D746869732E5F6F7074696F6E732E686F72697A6F6E74616C4F66667365747C7C302C742B3D746869732E';
wwv_flow_api.g_varchar2_table(328) := '5F6F7074696F6E732E766572746963616C4F66667365747C7C302C746869732E5F6469762E7374796C652E6C6566743D692E782B652B227078222C746869732E5F6469762E7374796C652E746F703D692E792B742B227078227D656C736520617065782E';
wwv_flow_api.g_varchar2_table(329) := '646562756728226572726F723A20756E61626C6520746F2073686F77206F7665726C617920286E6F20706F73206F7220626F756E647320646566696E65642922297D7D6F6E52656D6F766528297B746869732E5F646976262628746869732E5F6469762E';
wwv_flow_api.g_varchar2_table(330) := '706172656E744E6F64652E72656D6F76654368696C6428746869732E5F646976292C64656C65746520746869732E5F646976297D6869646528297B746869732E5F646976262628746869732E5F6469762E7374796C652E7669736962696C6974793D2268';
wwv_flow_api.g_varchar2_table(331) := '696464656E22297D73686F7728297B746869732E5F646976262628746869732E5F6469762E7374796C652E7669736962696C6974793D2276697369626C6522297D746F67676C6528297B746869732E5F6469762626282268696464656E223D3D3D746869';
wwv_flow_api.g_varchar2_table(332) := '732E5F6469762E7374796C652E7669736962696C6974793F746869732E73686F7728293A746869732E686964652829297D746F67676C65444F4D2865297B746869732E6765744D617028293F746869732E7365744D6170286E756C6C293A746869732E73';
wwv_flow_api.g_varchar2_table(333) := '65744D61702865297D7D7D29293B0A2F2F2320736F757263654D617070696E6755524C3D6A6B36347265706F72746D61705F72312E6A732E6D6170';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(109770202399551938)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'jk64reportmap_r1.min.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '7B2276657273696F6E223A332C22736F7572636573223A5B226A6B36347265706F72746D61705F72312E6A73225D2C226E616D6573223A5B2224222C22776964676574222C226F7074696F6E73222C22726567696F6E4964222C22616A61784964656E74';
wwv_flow_api.g_varchar2_table(2) := '6966696572222C22616A61784974656D73222C22706C7567696E5265736F7572636550617468222C22706C7567696E46696C65507265666978222C2265787065637444617461222C226D6178696D756D526F7773222C22726F7773506572426174636822';
wwv_flow_api.g_varchar2_table(3) := '2C22696E697469616C43656E746572222C226C6174222C226C6E67222C226D696E5A6F6F6D222C226D61785A6F6F6D222C22696E697469616C5A6F6F6D222C2276697375616C69736174696F6E222C226D617054797065222C22636C69636B5A6F6F6D4C';
wwv_flow_api.g_varchar2_table(4) := '6576656C222C226973447261676761626C65222C22686561746D61704469737369706174696E67222C22686561746D61704F706163697479222C22686561746D6170526164697573222C2270616E4F6E436C69636B222C227265737472696374436F756E';
wwv_flow_api.g_varchar2_table(5) := '747279222C226D61705374796C65222C2274726176656C4D6F6465222C22756E697453797374656D222C226F7074696D697A65576179706F696E7473222C22616C6C6F775A6F6F6D222C22616C6C6F7750616E222C226765737475726548616E646C696E';
wwv_flow_api.g_varchar2_table(6) := '67222C22696E6974466E222C226D61726B6572466F726D6174466E222C2264726177696E674D6F646573222C2266656174757265436F6C6F72222C2266656174757265436F6C6F7253656C6563746564222C226665617475726553656C65637461626C65';
wwv_flow_api.g_varchar2_table(7) := '222C2266656174757265486F76657261626C65222C22666561747572655374796C65466E222C226472616744726F7047656F4A534F4E222C226175746F466974426F756E6473222C22646972656374696F6E7350616E656C222C22737069646572666965';
wwv_flow_api.g_varchar2_table(8) := '72222C227370696465726679466F726D6174466E222C2273686F7750696E73222C2273686F77496E666F506F70757073222C2273686F77496E666F4C61796572222C22696E666F4C61796572466F726D6174466E222C2273686F775370696E6E6572222C';
wwv_flow_api.g_varchar2_table(9) := '2264657461696C65644D6F7573654576656E7473222C2269636F6E4261736550617468222C226E6F446174614D657373616765222C226E6F41646472657373526573756C7473222C22646972656374696F6E734E6F74466F756E64222C22646972656374';
wwv_flow_api.g_varchar2_table(10) := '696F6E735A65726F526573756C7473222C226164644F7665726C6179222C22636C69636B222C2264656C657465416C6C4665617475726573222C2264656C65746553656C65637465644665617475726573222C22666974426F756E6473222C2267656F6C';
wwv_flow_api.g_varchar2_table(11) := '6F63617465222C22676574416464726573734279506F73222C22676F746F41646472657373222C22676F746F506F73222C22676F746F506F734279537472696E67222C22686964654D657373616765222C226C6F616447656F4A736F6E537472696E6722';
wwv_flow_api.g_varchar2_table(12) := '2C2270616E546F222C2270616E546F4279537472696E67222C2270617273654C61744C6E67222C2272656672657368222C2273686F77446972656374696F6E73222C2273686F77496E666F57696E646F77222C2273686F774D657373616765222C227622';
wwv_flow_api.g_varchar2_table(13) := '2C22706F73222C22617272222C2261706578222C226465627567222C226861734F776E50726F7065727479222C22676F6F676C65222C226D617073222C224C61744C6E67222C22696E6465784F66222C2273706C6974222C226C656E677468222C227265';
wwv_flow_api.g_varchar2_table(14) := '706C616365222C227061727365466C6F6174222C22636F6E74656E74222C226F7665726C61794F7074696F6E73222C22657874656E64222C22626F756E6473222C22686F72697A6F6E74616C416C69676E222C22766572746963616C416C69676E222C22';
wwv_flow_api.g_varchar2_table(15) := '686F72697A6F6E74616C4F6666736574222C22766572746963616C4F6666736574222C226F6E436C69636B48616E646C6572222C226F7665726C6179222C224D61704F7665726C6179222C227365744D6170222C2274686973222C226D6170222C226D73';
wwv_flow_api.g_varchar2_table(16) := '67222C226D7367446976222C22646F63756D656E74222C22637265617465456C656D656E74222C226D6573736167655549222C22636C6173734E616D65222C22617070656E644368696C64222C226D657373616765496E6E6572222C22696E6E65724854';
wwv_flow_api.g_varchar2_table(17) := '4D4C222C226164644576656E744C697374656E6572222C2272656D6F7665222C22636F6E74726F6C73222C22436F6E74726F6C506F736974696F6E222C224C4546545F43454E544552222C2270757368222C225F6576656E7450696E44617461222C226D';
wwv_flow_api.g_varchar2_table(18) := '61726B6572222C2264222C22706F736974696F6E222C22646976222C22696E666F446976222C2264617461222C225F756E657363617065496E666F222C22696E666F222C22444F4D506172736572222C22706172736546726F6D537472696E67222C2264';
wwv_flow_api.g_varchar2_table(19) := '6F63756D656E74456C656D656E74222C2274657874436F6E74656E74222C22696E666F57696E646F77222C22496E666F57696E646F77222C22736574436F6E74656E74222C226F70656E222C225F6E65774D61726B6572222C2270696E44617461222C22';
wwv_flow_api.g_varchar2_table(20) := '5F74686973222C224D61726B6572222C2278222C2279222C227469746C65222C226E222C2269636F6E222C2263222C226C6162656C222C226C222C22647261676761626C65222C226964222C2269222C226E616D65222C2266222C22736C696365222C22';
wwv_flow_api.g_varchar2_table(21) := '73657456697369626C65222C227365745A6F6F6D222C226A5175657279222C2274726967676572222C226576656E74222C226164644C697374656E6572222C22676574506F736974696F6E222C224A534F4E222C22737472696E67696679222C2269644D';
wwv_flow_api.g_varchar2_table(22) := '6170222C22686173222C225F7370696465726679222C226F7074222C226B65657053706964657266696564222C226261736963466F726D61744576656E7473222C226D61726B657273576F6E744D6F7665222C226D61726B657273576F6E744869646522';
wwv_flow_api.g_varchar2_table(23) := '2C226F6D73222C224F7665726C617070696E674D61726B657253706964657266696572222C22737461747573222C2269636F6E55524C222C225F67657457696E646F7750617468222C226D61726B6572537461747573222C225350494445524649454422';
wwv_flow_api.g_varchar2_table(24) := '2C22535049444552464941424C45222C2273657449636F6E222C2275726C222C226D61726B657273222C226164644D61726B6572222C225F72656D6F76654D61726B657273222C22746F74616C526F7773222C2264656C657465222C2266696E64222C22';
wwv_flow_api.g_varchar2_table(25) := '70222C226F6C64706F73222C227573657270696E222C22736574506F736974696F6E222C226C61746C6E67222C224C61744C6E67426F756E64734C69746572616C222C227061727365222C226164647265737354657874222C2267656F636F646572222C';
wwv_flow_api.g_varchar2_table(26) := '2247656F636F646572222C2267656F636F6465222C2261646472657373222C22636F6D706F6E656E745265737472696374696F6E73222C22636F756E747279222C22726573756C7473222C2247656F636F646572537461747573222C224F4B222C226765';
wwv_flow_api.g_varchar2_table(27) := '6F6D65747279222C226C6F636174696F6E222C2273657443656E746572222C22726573756C74222C225A45524F5F524553554C5453222C226E6176696761746F72222C2267656F6C6F636174696F6E222C2267657443757272656E74506F736974696F6E';
wwv_flow_api.g_varchar2_table(28) := '222C22636F6F726473222C226C61746974756465222C226C6F6E676974756465222C225F646972656374696F6E73526573706F6E7365222C22726573706F6E7365222C22446972656374696F6E73537461747573222C22646972656374696F6E73446973';
wwv_flow_api.g_varchar2_table(29) := '706C6179222C22736574446972656374696F6E73222C22746F74616C44697374616E6365222C22746F74616C4475726174696F6E222C226C6567436F756E74222C22756E697473222C22726F75746573222C226C656773222C226A222C226C6567222C22';
wwv_flow_api.g_varchar2_table(30) := '64697374616E6365222C2276616C7565222C226475726174696F6E222C22646972656374696F6E73222C224E4F545F464F554E44222C226F726967696E222C2264657374696E6174696F6E222C22446972656374696F6E7352656E6465726572222C2264';
wwv_flow_api.g_varchar2_table(31) := '6972656374696F6E7353657276696365222C22446972656374696F6E7353657276696365222C2273657450616E656C222C22676574456C656D656E7442794964222C22726F757465222C2254726176656C4D6F6465222C22556E697453797374656D222C';
wwv_flow_api.g_varchar2_table(32) := '225F646972656374696F6E73222C2264657374222C22776179706F696E7473222C2273746F706F766572222C22646174614C61796572222C22666F7245616368222C2266656174757265222C2267657450726F7065727479222C225F616464436F6E7472';
wwv_flow_api.g_varchar2_table(33) := '6F6C222C2268696E74222C2263616C6C6261636B222C22636F6E74726F6C446976222C22636F6E74726F6C5549222C22636F6E74726F6C496E6E6572222C227374796C65222C226261636B67726F756E64496D616765222C22544F505F43454E54455222';
wwv_flow_api.g_varchar2_table(34) := '2C225F616464436865636B626F78222C22636F6E74726F6C436865636B626F78222C22736574417474726962757465222C22636F6E74726F6C4C6162656C222C225F616464506F696E74222C2244617461222C2246656174757265222C22506F696E7422';
wwv_flow_api.g_varchar2_table(35) := '2C22616464222C225F616464506F6C79676F6E222C2270726F70222C2267656F6D222C2267657447656F6D65747279222C2267657454797065222C22706F6C79222C226765744172726179222C224C696E65617252696E67222C2273657447656F6D6574';
wwv_flow_api.g_varchar2_table(36) := '7279222C22506F6C79676F6E222C225F696E69744665617475726573222C227365745374796C65222C22636F6C6F72222C2266696C6C436F6C6F72222C227374726F6B65436F6C6F72222C227374726F6B65576569676874222C226564697461626C6522';
wwv_flow_api.g_varchar2_table(37) := '2C2272656D6F766550726F7065727479222C2273657450726F7065727479222C227265766572745374796C65222C226F766572726964655374796C65222C225F696E697444726177696E67222C2265222C2264726177696E674D616E61676572222C2264';
wwv_flow_api.g_varchar2_table(38) := '726177696E67222C2244726177696E674D616E61676572222C2264726177696E67436F6E74726F6C4F7074696F6E73222C2274797065222C224F7665726C617954797065222C224D41524B4552222C22504F4C59474F4E222C2267657450617468222C22';
wwv_flow_api.g_varchar2_table(39) := '52454354414E474C45222C2262222C22676574426F756E6473222C22676574536F75746857657374222C226765744E6F72746845617374222C22504F4C594C494E45222C224C696E65537472696E67222C22434952434C45222C2270726F706572746965';
wwv_flow_api.g_varchar2_table(40) := '73222C22726164697573222C22676574526164697573222C2267657443656E746572222C227374796C654F7074696F6E73222C226E657747656F6D65747279222C226F6C6447656F6D65747279222C226B6579222C225F70726F63657373506F696E7473';
wwv_flow_api.g_varchar2_table(41) := '222C2274686973417267222C2263616C6C222C22676574222C2267222C225F6C6F616447656F4A736F6E222C2267656F6A736F6E222C2266696C656E616D65222C226665617475726573222C2261646447656F4A736F6E222C2267656F4A736F6E222C22';
wwv_flow_api.g_varchar2_table(42) := '67656F537472696E67222C224C61744C6E67426F756E6473222C225F696E69744472616744726F7047656F4A534F4E222C226D6170436F6E7461696E6572222C2264726F70436F6E7461696E6572222C2273686F7750616E656C222C2273746F7050726F';
wwv_flow_api.g_varchar2_table(43) := '7061676174696F6E222C2270726576656E7444656661756C74222C22646973706C6179222C2266696C6573222C22646174615472616E73666572222C2266696C65222C22726561646572222C2246696C65526561646572222C226F6E6C6F6164222C2274';
wwv_flow_api.g_varchar2_table(44) := '6172676574222C226F6E6572726F72222C226572726F72222C2272656164417354657874222C22706C61696E54657874222C2267657444617461222C225F696E69744465627567222C22424F54544F4D5F4C454654222C226C61744C6E67222C22706174';
wwv_flow_api.g_varchar2_table(45) := '68222C2277696E646F77222C22706174686E616D65222C22737562737472696E67222C226C617374496E6465784F66222C225F696E69744D61704576656E7473222C226576656E744E616D65222C2263656E746572222C22746F4A534F4E222C22736F75';
wwv_flow_api.g_varchar2_table(46) := '746877657374222C226E6F72746865617374222C227A6F6F6D222C226765745A6F6F6D222C2268656164696E67222C2267657448656164696E67222C2274696C74222C2267657454696C74222C226765744D6170547970654964222C226D61704D6F7573';
wwv_flow_api.g_varchar2_table(47) := '654576656E74222C225F637265617465222C22656C656D656E74222C22696D616765507265666978222C226D61704F7074696F6E73222C226D6170547970654964222C227A6F6F6D436F6E74726F6C222C227363726F6C6C776865656C222C2264697361';
wwv_flow_api.g_varchar2_table(48) := '626C65446F75626C65436C69636B5A6F6F6D222C227374796C6573222C224D6170222C22696E6974222C226765744C6576656C222C2262696E64222C227265706F72746D6170222C2273616D706C655F636F6465222C225F616674657252656672657368';
wwv_flow_api.g_varchar2_table(49) := '222C227370696E6E6572222C225F74726967676572222C225F72656E64657250616765222C227044617461222C227374617274526F77222C226D617064617461222C226572726F724D7367222C22726F77222C2277656967687465644C6F636174696F6E';
wwv_flow_api.g_varchar2_table(50) := '73222C22776569676874222C22696450726F70657274794E616D65222C226E657749644D6170222C22736574222C22636F756E7450696E73222C22626174636853697A65222C22736572766572222C22706C7567696E222C22706167654974656D73222C';
wwv_flow_api.g_varchar2_table(51) := '22783031222C22783032222C226461746154797065222C2273756363657373222C226D61726B6572436C75737465726572222C22636C6561724D61726B657273222C224D61726B6572436C75737465726572222C22696D61676550617468222C22686561';
wwv_flow_api.g_varchar2_table(52) := '746D61704C61796572222C2276697375616C697A6174696F6E222C22486561746D61704C61796572222C226469737369706174696E67222C226F706163697479222C226D61706C6F61646564222C227574696C222C225F64657374726F79222C225F7365';
wwv_flow_api.g_varchar2_table(53) := '744F7074696F6E73222C225F73757065724170706C79222C22617267756D656E7473222C225F7365744F7074696F6E222C227365744F7074696F6E73222C22636C69636B61626C6549636F6E73222C2264697361626C6544656661756C745549222C2266';
wwv_flow_api.g_varchar2_table(54) := '756C6C73637265656E436F6E74726F6C222C227061727365496E74222C226B6579626F61726453686F727463757473222C227365744D6170547970654964222C22746F4C6F77657243617365222C225F7375706572222C226D617054797065436F6E7472';
wwv_flow_api.g_varchar2_table(55) := '6F6C222C22726F74617465436F6E74726F6C222C227363616C65436F6E74726F6C222C2273747265657456696577436F6E74726F6C222C2273657454696C74222C224F7665726C617956696577222C225B6F626A656374204F626A6563745D222C227375';
wwv_flow_api.g_varchar2_table(56) := '706572222C225F636F6E74656E74222C225F6F7074696F6E73222C226F222C225F646976222C22626F726465725374796C65222C22626F726465725769647468222C2270616E6573222C2267657450616E6573222C226F7665726C61794D6F7573655461';
wwv_flow_api.g_varchar2_table(57) := '72676574222C2270726576656E744D61704869747346726F6D222C22616464446F6D4C697374656E6572222C226F7665726C61794C61796572222C226F7665726C617950726F6A656374696F6E222C2267657450726F6A656374696F6E222C226765744D';
wwv_flow_api.g_varchar2_table(58) := '6170222C227377222C2266726F6D4C61744C6E67546F446976506978656C222C226E65222C226C656674222C22746F70222C227769647468222C22686569676874222C2270726F6A506F73222C226F666673657458222C226F666673657459222C226F66';
wwv_flow_api.g_varchar2_table(59) := '667365745769647468222C226F6666736574486569676874222C22706172656E744E6F6465222C2272656D6F76654368696C64222C227669736962696C697479222C2273686F77222C2268696465225D2C226D617070696E6773223A2241414F41412C47';
wwv_flow_api.g_varchar2_table(60) := '4141472C57414344412C45414145432C4F4141512C694241416B422C4341473142432C514141532C4341434C432C53414179422C4741437A42432C65414179422C4741437A42432C55414179422C4741437A42432C6D42414179422C4741437A42432C69';
wwv_flow_api.g_varchar2_table(61) := '42414179422C4741437A42432C59414179422C4541437A42432C59414179422C4B41437A42432C61414179422C4B41437A42432C63414179422C43414143432C494141492C45414145432C494141492C4741437043432C51414179422C4541437A42432C';
wwv_flow_api.g_varchar2_table(62) := '51414179422C4B41437A42432C59414179422C4541437A42432C63414179422C4F41437A42432C51414179422C5541437A42432C65414179422C4B41437A42432C61414179422C4541437A42432C6F42414179422C4541437A42432C65414179422C4741';
wwv_flow_api.g_varchar2_table(63) := '437A42432C63414179422C4541437A42432C59414179422C4541437A42432C6742414179422C4741437A42432C53414179422C4741437A42432C57414179422C5541437A42432C57414179422C5341437A42432C6D42414179422C4541437A42432C5741';
wwv_flow_api.g_varchar2_table(64) := '4179422C4541437A42432C55414179422C4541437A42432C6742414179422C4F41437A42432C4F414179422C4B41437A42432C65414179422C4B41437A42432C61414179422C4B41437A42432C61414179422C5541437A42432C7142414179422C554143';
wwv_flow_api.g_varchar2_table(65) := '7A42432C6D42414179422C4541437A42432C6B42414179422C4541437A42432C65414179422C4B41437A42432C6942414179422C4541432F42432C65414179422C4541436E42432C6742414179422C4B41437A42432C57414179422C4741437A42432C69';
wwv_flow_api.g_varchar2_table(66) := '42414179422C4B41437A42432C55414179422C4541437A42432C6742414179422C4541437A42432C65414179422C4541437A42432C6B42414179422C4B41437A42432C61414179422C4541437A42432C7142414179422C4541437A42432C61414179422C';
wwv_flow_api.g_varchar2_table(67) := '4741437A42432C63414179422C4741437A42432C6942414179422C6F4241437A42432C6D42414179422C2B4541437A42432C7342414179422C384441477A42432C57414179422C4B41437A42432C4D414179422C4B41437A42432C6B42414179422C4B41';
wwv_flow_api.g_varchar2_table(68) := '437A42432C7542414179422C4B41437A42432C55414179422C4B41437A42432C55414179422C4B41437A42432C6742414179422C4B41437A42432C59414179422C4B41437A42432C51414179422C4B41437A42432C6742414179422C4B41437A42432C59';
wwv_flow_api.g_varchar2_table(69) := '414179422C4B41437A42432C6B42414179422C4B41437A42432C4D414179422C4B41437A42432C63414179422C4B41437A42432C59414179422C4B41437A42432C51414179422C4B41437A42432C65414179422C4B41432F42432C65414179422C4B4143';
wwv_flow_api.g_varchar2_table(70) := '6E42432C59414179422C4D416337424A2C594141612C534141554B2C4741456E422C49414149432C45414D51432C4741505A432C4B41414B432C4D41414D2C7742414179424A2C4741456843412C4D414141412C4B414349412C454141454B2C65414165';
wwv_flow_api.g_varchar2_table(71) := '2C514141514C2C454141454B2C654141652C4F414531434A2C4541414D2C494141494B2C4F41414F432C4B41414B432C4F41414F522C4941477A42412C45414145532C514141512C4D41414D2C4541436842502C4541414D462C45414145552C4D41414D';
wwv_flow_api.g_varchar2_table(72) := '2C4B414350562C45414145532C514141512C4D41414D2C4541437642502C4541414D462C45414145552C4D41414D2C4B414350562C45414145532C514141512C4D41414D2C4941437642502C4541414D462C45414145552C4D41414D2C4D414564522C47';
wwv_flow_api.g_varchar2_table(73) := '41416D422C4741415A412C45414149532C51414558542C454141492C4741414B412C454141492C47414147552C514141512C4B41414D2C4B41433942562C454141492C4741414B412C454141492C47414147552C514141512C4B41414D2C4B4143394254';
wwv_flow_api.g_varchar2_table(74) := '2C4B41414B432C4D41414D2C53414155462C4741437242442C4541414D2C494141494B2C4F41414F432C4B41414B432C4F41414F4B2C57414157582C454141492C49414149572C57414157582C454141492C4D41452F44432C4B41414B432C4D41414D2C';
wwv_flow_api.g_varchar2_table(75) := '6B4241416D424A2C4B414931432C4F41414F432C4741515870422C574141592C5341415569432C4541415378462C474143334236452C4B41414B432C4D41414D2C61414163552C4541415378462C4741436C432C4941414979462C454141694233462C45';
wwv_flow_api.g_varchar2_table(76) := '41414534462C4F41414F2C4341457442432C4F41416D422C4B41436E4268422C4941416D422C4B41436E4269422C674241416D422C5341436E42432C6341416D422C5341436E42432C694241416D422C4541436E42432C6541416D422C4541436E426E46';
wwv_flow_api.g_varchar2_table(77) := '2C5141416D422C4541436E42432C5141416D422C4741436E426D462C6541416D422C4D4143704268472C4741434869472C454141552C49414149432C45414157562C45414153432C47414574432C4F414441512C45414151452C4F41414F432C4B41414B';
wwv_flow_api.g_varchar2_table(78) := '432C4B4143624A2C4741515878422C594141612C5341415536422C4741436E427A422C4B41414B432C4D41414D2C77424141794277422C4741457043462C4B41414B6E432C6341454C6D432C4B41414B472C4F414153432C53414153432C634141632C4F';
wwv_flow_api.g_varchar2_table(79) := '414572432C49414149432C45414159462C53414153432C634141632C4F41437643432C45414155432C554141592C734241437442502C4B41414B472C4F41414F4B2C59414159462C47414578422C49414149472C454141654C2C53414153432C63414163';
wwv_flow_api.g_varchar2_table(80) := '2C4F415731432C4F415641492C45414161462C554141592C794241437A42452C45414161432C55414159522C4541437A42492C45414155452C59414159432C4741457442542C4B41414B472C4F41414F512C6942414169422C534141532C5741436C436C';
wwv_flow_api.g_varchar2_table(81) := '432C4B41414B432C4D41414D2C324241435873422C4B41414B592C594147545A2C4B41414B432C49414149592C534141536A432C4F41414F432C4B41414B69432C674241416742432C61414161432C4B41414B68422C4B41414B472C5141433944482C4B';
wwv_flow_api.g_varchar2_table(82) := '41414B472C514147684274432C594141612C57414354592C4B41414B432C4D41414D2C794241435073422C4B41414B472C5141434C482C4B41414B472C4F41414F532C55415570424B2C634141652C53414155432C47414572422C49414149432C454141';
wwv_flow_api.g_varchar2_table(83) := '492C4341434A6C422C49414153442C4B41414B432C4941436433462C4941415334472C4541414F452C5341415339472C4D41437A42432C4941415332472C4541414F452C5341415337472C4D41436C4332472C4F414153412C47414D4A2C4F414A49412C';
wwv_flow_api.g_varchar2_table(84) := '4541414F72422C5341415371422C4541414F72422C5141415177422C4D41432F42462C45414145472C514141554A2C4541414F72422C5141415177422C4B41452F4233482C4541414534462C4F41414F36422C45414147442C4541414F4B2C4D41435A4A';
wwv_flow_api.g_varchar2_table(85) := '2C474147584B2C634141652C53414153432C47414731422C4F4144532C49414149432C57414159432C674241416742462C4541414D2C6141437243472C674241416742432C61414933427A442C65414167422C5341415538432C4741536E422C4F41524E';
wwv_flow_api.g_varchar2_table(86) := '7A432C4B41414B432C4D41414D2C32424141344277432C4741456C436C422C4B41414B38422C6141435439422C4B41414B38422C574141612C494141496C442C4F41414F432C4B41414B6B442C5941456E432F422C4B41414B38422C57414157452C5741';
wwv_flow_api.g_varchar2_table(87) := '415768432C4B41414B77422C634141634E2C4541414F4B2C4B41414B452C4F414531447A422C4B41414B38422C57414157472C4B41414B6A432C4B41414B432C4941414B69422C4741436C426C422C4B41414B38422C5941496842492C574141592C5341';
wwv_flow_api.g_varchar2_table(88) := '4155432C4741436C422C49414149432C4541415170432C4B4143526B422C454141532C4941414974432C4F41414F432C4B41414B77442C4F41414F2C434143394270432C49414159442C4B41414B432C4941436A426D422C534141592C4941414978432C';
wwv_flow_api.g_varchar2_table(89) := '4F41414F432C4B41414B432C4F41414F71442C45414151472C45414147482C45414151492C4741437444432C4D4141594C2C454141514D2C4541437042432C4B414161502C45414151512C4541414733432C4B41414B70472C514141516B442C61414165';
wwv_flow_api.g_varchar2_table(90) := '71462C45414151512C454141472C4B41432F44432C4D414159542C45414151552C4541437042432C5541415939432C4B41414B70472C514141516B422C6341492F426F472C4541414F4B2C4B41414F2C4341435677422C4741414F5A2C4541415168422C';
wwv_flow_api.g_varchar2_table(91) := '454143664D2C4B41414F552C45414151612C45414366432C4B41414F642C454141514D2C4741456E422C4941414B2C494141494F2C454141492C45414147412C4741414B2C47414149412C4941436A42622C45414151652C47414147662C45414151652C';
wwv_flow_api.g_varchar2_table(92) := '454141452C49414149462C4B41457A4239422C4541414F4B2C4B41414B2C514141512C4941414979422C47414147472C4F41414F2C4941414D68422C45414151652C454141452C49414149462C4941364439442C4F417A444B68442C4B41414B70472C51';
wwv_flow_api.g_varchar2_table(93) := '41415134432C5541436430452C4541414F6B432C594141572C4741496C4270442C4B41414B70472C5141415167432C67424143626F452C4B41414B70472C5141415167432C6541416573462C4741473542412C4541414F4B2C4B41414B452C4D4141517A';
wwv_flow_api.g_varchar2_table(94) := '422C4B41414B70472C5141415138432C674241436A4377452C4541414F72422C51414155472C4B41414B37432C5741415736432C4B41414B77422C634141634E2C4541414F4B2C4B41414B452C4D41414F2C4341436E456C442C494141694232432C4541';
wwv_flow_api.g_varchar2_table(95) := '414F452C534143784278422C65414169422C574143626E422C4B41414B432C4D41414D2C6F424141714277432C4541414F4B2C4B41414B77422C4941437843582C4541414D78492C5141415173422C594143646B482C4541414D6E432C494141496C432C';
wwv_flow_api.g_varchar2_table(96) := '4D41414D6D442C4541414F452C554145764267422C4541414D78492C5141415169422C674241436475482C4541414D6E432C494141496F442C514141516A422C4541414D78492C5141415169422C67424145704334442C4B41414B36452C4F41414F2C49';
wwv_flow_api.g_varchar2_table(97) := '4141496C422C4541414D78492C51414151432C55414155304A2C514141512C634141656E422C4541414D6E422C63414163432C4F414776466C422C4B41414B70472C514141512B432C6D4241436271442C4B41414B70472C514141512B432C6B4241416B';
wwv_flow_api.g_varchar2_table(98) := '4275452C4541414F72422C5141415371422C494149764474432C4F41414F432C4B41414B32452C4D41414D432C5941415976432C454143472C63414135426C422C4B41414B70472C51414151652C63414134422C654141652C5341437A442C5741434938';
wwv_flow_api.g_varchar2_table(99) := '442C4B41414B432C4D41414D2C694241416B4277432C4541414F4B2C4B41414B77422C4941437A432C4941414978452C4541414D79422C4B41414B30442C6341435878432C4541414F4B2C4B41414B452C4D414151572C4541414D78492C514141513643';
wwv_flow_api.g_varchar2_table(100) := '2C674241436C4332462C4541414D68452C6541416534422C4D414572426F432C4541414D78492C5141415173422C594143646B482C4541414D6E432C494141496C432C4D41414D512C474145684236442C4541414D78492C5141415169422C6742414364';
wwv_flow_api.g_varchar2_table(101) := '75482C4541414D6E432C494141496F442C514141516A422C4541414D78492C5141415169422C67424145704334442C4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C634141656E422C4541';
wwv_flow_api.g_varchar2_table(102) := '414D6E422C63414163432C4F4147334674432C4F41414F432C4B41414B32452C4D41414D432C5941415976432C454141512C574141572C57414337432C4941414933432C4541414D79422C4B41414B30442C634143666A462C4B41414B432C4D41414D2C';
wwv_flow_api.g_varchar2_table(103) := '654141674277432C4541414F4B2C4B41414B77422C47414149592C4B41414B432C5541415572462C4941433144452C4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C614141636E422C4541';
wwv_flow_api.g_varchar2_table(104) := '414D6E422C63414163432C4F414778462C434141432C4F41414F2C594141592C554141552C634141636E432C5141415169422C4B41414B70472C51414151652C674241416B422C4941456A4671462C4B41414B36442C4F41415137442C4B41414B36442C';
wwv_flow_api.g_varchar2_table(105) := '4D41414D432C4941414935432C4541414F4B2C4B41414B77422C4B4143354374452C4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C634141656E422C4541414D6E422C63414163432C4B41';
wwv_flow_api.g_varchar2_table(106) := '477845412C4741495836432C554141572C5741435074462C4B41414B432C4D41414D2C75424147582C4941414930442C4541415170432C4B41435267452C4541414D2C43414346432C674241416F422C4541437042432C6D4241416F422C454143704243';
wwv_flow_api.g_varchar2_table(107) := '2C6942414171426E452C4B41414B70472C514141516B422C5941436C43734A2C694241416F422C4741493542314B2C4541414534462C4F41414F30452C4541414B68452C4B41414B70472C5141415130432C594145334230442C4B41414B71452C494141';
wwv_flow_api.g_varchar2_table(108) := '4D2C49414149432C34424141344274452C4B41414B432C4941414B2B442C474149724468452C4B41414B71452C494141495A2C594141592C5341436A427A442C4B41414B70472C5141415132432C6B424143542C5341415332452C4541415171442C4741';
wwv_flow_api.g_varchar2_table(109) := '47622C49414149432C4541415570432C4541414D71432C694241416D422C4941414D72432C4541414D78492C514141514B2C6B4241437444734B2C47414155442C344241413442492C61414161432C5741437A432C71434143564A2C47414155442C3442';
wwv_flow_api.g_varchar2_table(110) := '41413442492C61414161452C6141437A432C6B434143412C344241456631442C4541414F32442C514141512C43414143432C4941414B4E2C4D41496A432C4941414B2C4941414978422C454141492C45414147412C4541414968442C4B41414B2B452C51';
wwv_flow_api.g_varchar2_table(111) := '41415139462C4F4141512B442C494143724368442C4B41414B71452C49414149572C5541415568462C4B41414B2B452C514141512F422C49416170432C4F41564168442C4B41414B71452C494141495A2C594141592C594141592C5341415373422C4741';
wwv_flow_api.g_varchar2_table(112) := '43744374472C4B41414B432C4D41414D2C5741415971472C474143684374472C4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C574141592C4341414574442C494141496D432C4541414D6E';
wwv_flow_api.g_varchar2_table(113) := '432C4941414B38452C51414151412C4F414768462F452C4B41414B71452C494141495A2C594141592C634141632C5341415373422C474143784374472C4B41414B432C4D41414D2C6141416371472C4741436C4374472C4B41414B36452C4F41414F2C49';
wwv_flow_api.g_varchar2_table(114) := '4141496C422C4541414D78492C51414151432C55414155304A2C514141512C614141632C4341414574442C494141496D432C4541414D6E432C4941414B38452C51414151412C4F414733452F452C4B41414B71452C4B41476842592C65414167422C5741';
wwv_flow_api.g_varchar2_table(115) := '495A2C4741484178472C4B41414B432C4D41414D2C344241435873422C4B41414B6B462C554141592C454143626C462C4B41414B542C51414155532C4B41414B542C4F41414F34462C4F414333426E462C4B41414B2B452C514141532C434143642C4941';
wwv_flow_api.g_varchar2_table(116) := '414B2C494141492F422C454141492C45414147412C4541414968442C4B41414B2B452C5141415139462C4F4141512B442C494143724368442C4B41414B2B452C514141512F422C474141476A442C4F41414F2C4D41453342432C4B41414B2B452C514141';
wwv_flow_api.g_varchar2_table(117) := '51492C53414D72422F482C4D41414F2C5341415532462C4741436274452C4B41414B432C4D41414D2C6D424143582C4941414977432C454141536C422C4B41414B2B452C514141514B2C4D41414D2C53414153432C474141492C4F41414F412C45414145';
wwv_flow_api.g_varchar2_table(118) := '39442C4B41414B77422C49414149412C4B414D2F442C4F414C4937422C454143412C4941414974432C4F41414F432C4B41414B32452C4D41414D442C5141415172432C4541414F2C53414572437A432C4B41414B432C4D41414D2C654141674271452C47';
wwv_flow_api.g_varchar2_table(119) := '4145784237422C4741555876442C514141532C5341415572442C45414149432C4741456E422C474144416B452C4B41414B432C4D41414D2C6F4241416F4270452C45414149432C4741437A422C4F41414E442C4741416F422C4F41414E432C454141592C';
wwv_flow_api.g_varchar2_table(120) := '43414331422C494141492B4B2C4541415374462C4B41414B75462C5141415176462C4B41414B75462C5141415137422C634141632C4941414B39452C4F41414F432C4B41414B432C4F41414F2C454141452C4741432F452C4741414977472C4741415568';
wwv_flow_api.g_varchar2_table(121) := '4C2C4741414B674C2C4541414F684C2C4F414153432C4741414B2B4B2C4541414F2F4B2C4D414333436B452C4B41414B432C4D41414D2C32424143522C434143482C49414149482C4541414D2C494141494B2C4F41414F432C4B41414B432C4F41414F78';
wwv_flow_api.g_varchar2_table(122) := '452C45414149432C47414372432C4741414979462C4B41414B75462C5141434C39472C4B41414B432C4D41414D2C324341413243482C474143744479422C4B41414B75462C5141415178462C4F41414F432C4B41414B432C4B41437A42442C4B41414B75';
wwv_flow_api.g_varchar2_table(123) := '462C51414151432C594141596A482C4F414374422C43414348452C4B41414B432C4D41414D2C694241416942482C474143354279422C4B41414B75462C514141552C4941414933472C4F41414F432C4B41414B77442C4F41414F2C4341436C4370432C49';
wwv_flow_api.g_varchar2_table(124) := '414159442C4B41414B432C4941436A426D422C5341415937432C4541435A75452C5541415939432C4B41414B70472C514141516B422C63414537422C4941414973482C4541415170432C4B41435A70422C4F41414F432C4B41414B32452C4D41414D432C';
wwv_flow_api.g_varchar2_table(125) := '594141597A442C4B41414B75462C514141532C574141572C5741436E442C4941414968482C4541414D79422C4B41414B30442C634143666A462C4B41414B432C4D41414D2C67424141694269462C4B41414B432C5541415572462C4941433343452C4B41';
wwv_flow_api.g_varchar2_table(126) := '414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C614141612C4341437A4474442C494141536D432C4541414D6E432C4941436633462C4941415369452C454141496A452C4D414362432C49414153';
wwv_flow_api.g_varchar2_table(127) := '67452C4541414968452C4D41436232472C4F4141536C422C6942414B6C42412C4B41414B75462C5541435A39472C4B41414B432C4D41414D2C694341435873422C4B41414B75462C5141415178462C4F41414F2C51414B35426E432C6742414169422C53';
wwv_flow_api.g_varchar2_table(128) := '414155552C4741437642472C4B41414B432C4D41414D2C3442414136424A2C47414378432C494141496D482C454141537A462C4B41414B2F422C594141594B2C47414939422C4F4148496D482C474143417A462C4B41414B72432C5141415138482C4541';
wwv_flow_api.g_varchar2_table(129) := '414F6E4C2C4D41414D6D4C2C4541414F6C4C2C4F414539426B4C2C4741495831482C4D41414F2C534141557A442C45414149432C4741456A422C4941414967452C45414B4A2C4F414E41452C4B41414B432C4D41414D2C6B4241416B4270452C45414149';
wwv_flow_api.g_varchar2_table(130) := '432C47414576422C4F41414E442C4741416F422C4F41414E432C4941436467452C4541414D2C494141494B2C4F41414F432C4B41414B432C4F41414F78452C45414149432C4741436A4379462C4B41414B432C494141496C432C4D41414D512C4941455A';
wwv_flow_api.g_varchar2_table(131) := '412C47414958502C634141652C534141554D2C4741437242472C4B41414B432C4D41414D2C3042414132424A2C47414374432C494141496D482C454141537A462C4B41414B2F422C594141594B2C47414939422C4F4148496D482C474143417A462C4B41';
wwv_flow_api.g_varchar2_table(132) := '414B6A432C4D41414D30482C4541414F6E4C2C4D41414D6D4C2C4541414F6C4C2C4F414535426B4C2C474149586C492C554141572C53414155652C4741456A422C4941414969422C4541614A2C4F416441642C4B41414B432C4D41414D2C734241417542';
wwv_flow_api.g_varchar2_table(133) := '4A2C4741453942412C4D414141412C4941474969422C454146416A422C454141454B2C654141652C534141534C2C454141454B2C654141652C554141554C2C454141454B2C654141652C554141554C2C454141454B2C654141652C51414578462C494141';
wwv_flow_api.g_varchar2_table(134) := '49432C4F41414F432C4B41414B36472C6F4241416F4270482C474145704371462C4B41414B67432C4D41414D72482C4B4149704230422C4B41414B432C4941414931432C5541415567432C4741477042412C4741555837422C594141612C534141556B49';
wwv_flow_api.g_varchar2_table(135) := '2C4741436E426E482C4B41414B432C4D41414D2C7742414179426B482C47414370432C49414149432C454141572C494141496A482C4F41414F432C4B41414B69482C5341432F4239462C4B41414B6E432C6341434C2C4941414975452C4541415170432C';
wwv_flow_api.g_varchar2_table(136) := '4B41435A36462C45414153452C514141512C43414362432C51414177424A2C45414378424B2C7342414177442C4B4141684337442C4541414D78492C5141415175422C6742414171422C434141432B4B2C5141415139442C4541414D78492C5141415175';
wwv_flow_api.g_varchar2_table(137) := '422C6942414169422C4B414370472C53414153674C2C4541415335422C4741436A422C47414149412C4941415733462C4F41414F432C4B41414B75482C65414165432C474141492C43414331432C4941414939482C4541414D34482C454141512C474141';
wwv_flow_api.g_varchar2_table(138) := '47472C53414153432C534143394239482C4B41414B432C4D41414D2C61414163482C4741437A4236442C4541414D6E432C4941414975472C554141556A492C474143704236442C4541414D6E432C494141496C432C4D41414D512C4741435A36442C4541';
wwv_flow_api.g_varchar2_table(139) := '414D78492C5141415169422C674241436475482C4541414D6E432C494141496F442C514141516A422C4541414D78492C5141415169422C67424145704375482C4541414D7A452C51414151592C454141496A452C4D41414F69452C4541414968452C4F41';
wwv_flow_api.g_varchar2_table(140) := '4337426B452C4B41414B432C4D41414D2C654141674279482C474143334231482C4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C65414167422C434143354474442C494141536D432C4541';
wwv_flow_api.g_varchar2_table(141) := '414D6E432C4941436633462C4941415369452C454141496A452C4D414362432C4941415367452C4541414968452C4D4143626B4D2C4F4141534E2C454141512C5541456435422C4941415733462C4F41414F432C4B41414B75482C654141654D2C634143';
wwv_flow_api.g_varchar2_table(142) := '37436A492C4B41414B432C4D41414D2C694341435830442C4541414D2F442C594141592B442C4541414D78492C514141516F442C6D424145684379422C4B41414B432C4D41414D2C6B4241416D4236462C4F414D314339472C6742414169422C53414155';
wwv_flow_api.g_varchar2_table(143) := '6E442C45414149432C47414333426B452C4B41414B432C4D41414D2C34424141364270452C45414149432C47414335432C49414149734C2C454141572C494141496A482C4F41414F432C4B41414B69482C5341432F4239462C4B41414B6E432C6341434C';
wwv_flow_api.g_varchar2_table(144) := '2C4941414975452C4541415170432C4B41435A36462C45414153452C514141512C43414143512C534141592C434141436A4D2C4941414B412C4541414B432C4941414B412C4B41414F2C53414153344C2C4541415335422C4741432F44412C4941415733';
wwv_flow_api.g_varchar2_table(145) := '462C4F41414F432C4B41414B75482C65414165432C4741436C43462C454141512C4941435631482C4B41414B432C4D41414D2C654141674279482C474143334231482C4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55';
wwv_flow_api.g_varchar2_table(146) := '414155304A2C514141512C65414167422C434143354474442C494141536D432C4541414D6E432C4941436633462C49414153412C45414354432C49414153412C454143546B4D2C4F4141534E2C454141512C4F41476E4231482C4B41414B432C4D41414D';
wwv_flow_api.g_varchar2_table(147) := '2C774341435830442C4541414D2F442C594141592B442C4541414D78492C514141516F442C6D424145374275482C4941415733462C4F41414F432C4B41414B75482C654141654D2C63414337436A492C4B41414B432C4D41414D2C694341435830442C45';
wwv_flow_api.g_varchar2_table(148) := '41414D2F442C594141592B442C4541414D78492C514141516F442C6D424145684379422C4B41414B432C4D41414D2C6B4241416D4236462C4F414D31432F472C554141572C574145502C4741444169422C4B41414B432C4D41414D2C754241435069492C';
wwv_flow_api.g_varchar2_table(149) := '55414155432C594141612C43414376422C4941414978452C4541415170432C4B41435A32472C55414155432C59414159432C6F4241416D422C534141537A462C47414339432C4941414937432C4541414D2C4341434E6A452C4941414D38472C45414153';
wwv_flow_api.g_varchar2_table(150) := '30462C4F41414F432C5341437442784D2C4941414D36472C4541415330462C4F41414F452C574145314235452C4541414D6E432C494141496C432C4D41414D512C4741435A36442C4541414D78492C5141415169422C674241436475482C4541414D6E43';
wwv_flow_api.g_varchar2_table(151) := '2C494141496F442C514141516A422C4541414D78492C5141415169422C67424145704334442C4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C594141612C4341414374442C494141496D43';
wwv_flow_api.g_varchar2_table(152) := '2C4541414D6E432C4941414B33462C4941414969452C454141496A452C4941414B432C4941414967452C4541414968452C63414774476B452C4B41414B432C4D41414D2C794341576E4275492C6F42414171422C53414155432C4541415333432C474145';
wwv_flow_api.g_varchar2_table(153) := '70432C4F41444139462C4B41414B432C4D41414D2C67434141674377492C4541415333432C4741433743412C474143502C4B41414B33462C4F41414F432C4B41414B73492C694241416942642C474143394272472C4B41414B6F482C6B4241416B42432C';
wwv_flow_api.g_varchar2_table(154) := '63414163482C47414572432C494144412C49414149492C45414167422C45414147432C45414167422C45414147432C454141572C45414147432C454141512C53414376447A452C454141452C45414147412C454141496B452C45414153512C4F41414F7A';
wwv_flow_api.g_varchar2_table(155) := '492C4F4141512B442C4941414B2C434143334377452C47414173424E2C45414153512C4F41414F31452C4741414732452C4B41414B31492C4F414339432C4941414B2C4941414932492C454141452C45414147412C45414149562C45414153512C4F4141';
wwv_flow_api.g_varchar2_table(156) := '4F31452C4741414732452C4B41414B31492C4F41415132492C4941414B2C4341436E442C49414149432C4541414D582C45414153512C4F41414F31452C4741414732452C4B41414B432C4741436C434E2C47414167434F2C45414149432C53414153432C';
wwv_flow_api.g_varchar2_table(157) := '4D41433743522C47414167434D2C45414149472C53414153442C4F414772422C61414135422F482C4B41414B70472C5141415130422C61414562674D2C47414169422C674241436A42472C454141512C5341475A684A2C4B41414B36452C4F41414F2C49';
wwv_flow_api.g_varchar2_table(158) := '41414974442C4B41414B70472C51414151432C55414155304A2C514141512C614141612C434143784474442C49414651442C4B414557432C4941436E4236482C53414161522C45414362472C4D414161412C454143624F2C53414161542C45414362492C';
wwv_flow_api.g_varchar2_table(159) := '4B414161482C45414362532C57414161662C4941456A422C4D41434A2C4B41414B74492C4F41414F432C4B41414B73492C694241416942652C55414339426C492C4B41414B33422C5941415932422C4B41414B70472C5141415171442C6F42414339422C';
wwv_flow_api.g_varchar2_table(160) := '4D41434A2C4B41414B32422C4F41414F432C4B41414B73492C694241416942542C614143394231472C4B41414B33422C5941415932422C4B41414B70472C5141415173442C7542414339422C4D41434A2C5141434975422C4B41414B432C4D41414D2C34';
wwv_flow_api.g_varchar2_table(161) := '424141364236462C4B414B684470472C65414167422C53414155674B2C45414151432C454141612F4D2C47414B33432C47414A416F442C4B41414B432C4D41414D2C324241413442794A2C45414151432C454141612F4D2C474143354432452C4B41414B';
wwv_flow_api.g_varchar2_table(162) := '6D492C4F414153412C454143646E492C4B41414B6F492C59414163412C4541436E4270492C4B41414B6E432C634143446D432C4B41414B6D492C514141516E492C4B41414B6F492C5941596C422C4741584B70492C4B41414B6F482C6F4241434E70482C';
wwv_flow_api.g_varchar2_table(163) := '4B41414B6F482C6B4241416F422C4941414978492C4F41414F432C4B41414B774A2C6D4241437A4372492C4B41414B73492C6B4241416F422C49414149314A2C4F41414F432C4B41414B304A2C6B4241437A4376492C4B41414B6F482C6B4241416B4272';
wwv_flow_api.g_varchar2_table(164) := '482C4F41414F432C4B41414B432C4B41432F42442C4B41414B70472C5141415179432C694241436232442C4B41414B6F482C6B4241416B426F422C5341415370492C5341415371492C654141657A492C4B41414B70472C5141415179432C6D4241493745';
wwv_flow_api.g_varchar2_table(165) := '32442C4B41414B6D492C4F4141536E492C4B41414B2F422C594141592B422C4B41414B6D492C534141536E492C4B41414B6D492C4F41436C446E492C4B41414B6F492C5941416370492C4B41414B2F422C594141592B422C4B41414B6F492C6341416370';
wwv_flow_api.g_varchar2_table(166) := '492C4B41414B6F492C59414378432C4B4141684270492C4B41414B6D492C51414173432C4B414172426E492C4B41414B6F492C5941416F422C4341432F432C4941414968472C4541415170432C4B41435A412C4B41414B73492C6B4241416B42492C4D41';
wwv_flow_api.g_varchar2_table(167) := '414D2C4341437A42502C4F4141636E492C4B41414B6D492C4F41436E42432C5941416370492C4B41414B6F492C5941436E422F4D2C5741416375442C4F41414F432C4B41414B384A2C57414157744E2C474141734232452C4B41414B70472C5141415179';
wwv_flow_api.g_varchar2_table(168) := '422C5941437845432C5741416373442C4F41414F432C4B41414B2B4A2C5741415735492C4B41414B70472C5141415130422C6341436E442C53414153344C2C4541415333432C4741436A426E432C4541414D36452C6F4241416F42432C4541415333432C';
wwv_flow_api.g_varchar2_table(169) := '574147764339462C4B41414B432C4D41414D2C3045414766442C4B41414B432C4D41414D2C3844414B6E426D4B2C594141612C574145542C47414441704B2C4B41414B432C4D41414D2C79424141794273422C4B41414B2B452C5141415139462C4F4141';
wwv_flow_api.g_varchar2_table(170) := '4F2C6341437044652C4B41414B2B452C5141415139462C4F41414F2C454141472C4341436C42652C4B41414B6F482C6F4241434E70482C4B41414B6F482C6B4241416F422C4941414978492C4F41414F432C4B41414B774A2C6D4241437A4372492C4B41';
wwv_flow_api.g_varchar2_table(171) := '414B73492C6B4241416F422C49414149314A2C4F41414F432C4B41414B304A2C6B4241437A4376492C4B41414B6F482C6B4241416B4272482C4F41414F432C4B41414B432C4B41432F42442C4B41414B70472C5141415179432C694241436232442C4B41';
wwv_flow_api.g_varchar2_table(172) := '414B6F482C6B4241416B426F422C5341415370492C5341415371492C654141657A492C4B41414B70472C5141415179432C6D42414D37452C494148412C49414149384C2C454141536E492C4B41414B2B452C514141512C4741414733442C5341437A4230';
wwv_flow_api.g_varchar2_table(173) := '482C4541414F39492C4B41414B2B452C514141512F452C4B41414B2B452C5141415139462C4F41414F2C474141476D432C534143334332482C454141592C474143502F462C454141492C45414147412C4541414968442C4B41414B2B452C514141513946';
wwv_flow_api.g_varchar2_table(174) := '2C4F41414F2C454141472B442C49414376432B462C454141552F482C4B41414B2C4341435875462C5341415776472C4B41414B2B452C514141512F422C4741414735422C534143334234482C554141572C4941476E42764B2C4B41414B432C4D41414D79';
wwv_flow_api.g_varchar2_table(175) := '4A2C45414151572C4541414D432C454141572F492C4B41414B70472C5141415179422C5941436A442C494141492B472C4541415170432C4B41435A412C4B41414B73492C6B4241416B42492C4D41414D2C4341437A42502C4F41416F42412C4541437042';
wwv_flow_api.g_varchar2_table(176) := '432C5941416F42552C4541437042432C5541416F42412C4541437042784E2C6B4241416F4279452C4B41414B70472C5141415132422C6B4241436A43462C5741416F4275442C4F41414F432C4B41414B384A2C5741415733492C4B41414B70472C514141';
wwv_flow_api.g_varchar2_table(177) := '5179422C5941437844432C5741416F4273442C4F41414F432C4B41414B2B4A2C5741415735492C4B41414B70472C5141415130422C6341437A442C53414153344C2C4541415333432C4741436A426E432C4541414D36452C6F4241416F42432C45414153';
wwv_flow_api.g_varchar2_table(178) := '33432C574147764339462C4B41414B432C4D41414D2C324541556E4270422C7542414177422C57414370426D422C4B41414B432C4D41414D2C6F434143582C49414149754B2C454141596A4A2C4B41414B432C4941414973422C4B41437A4230482C4541';
wwv_flow_api.g_varchar2_table(179) := '4155432C534141512C53414153432C4741436E42412C45414151432C594141592C674241437042334B2C4B41414B432C4D41414D2C53414153794B2C4741437042462C4541415572492C4F41414F75492C51414B3742394C2C6B4241416D422C57414366';
wwv_flow_api.g_varchar2_table(180) := '6F422C4B41414B432C4D41414D2C2B424143582C49414149754B2C454141596A4A2C4B41414B432C4941414973422C4B41437A4230482C45414155432C534141512C53414153432C4741437642314B2C4B41414B432C4D41414D2C53414153794B2C4741';
wwv_flow_api.g_varchar2_table(181) := '437042462C4541415572492C4F41414F75492C4F41497A42452C594141612C5341415333472C4541414D34472C4541414D432C47414539422C49414149432C45414161704A2C53414153432C634141632C4F414770436F4A2C45414159724A2C53414153';
wwv_flow_api.g_varchar2_table(182) := '432C634141632C4F414376436F4A2C454141556C4A2C554141592C7342414374426B4A2C454141556A482C4D41415138472C4541436C42452C45414157684A2C59414159694A2C47414776422C49414149432C45414165744A2C53414153432C63414163';
wwv_flow_api.g_varchar2_table(183) := '2C4F415731432C4F415641714A2C454141616E4A2C554141592C794241437A426D4A2C45414161432C4D41414D432C674241416B426C482C45414572432B472C454141556A4A2C594141596B4A2C4741477442442C4541415539492C6942414169422C51';
wwv_flow_api.g_varchar2_table(184) := '41415334492C4741457043764A2C4B41414B432C49414149592C534141536A432C4F41414F432C4B41414B69432C6742414167422B492C5941415937492C4B41414B77492C4741457844412C474147584D2C614141632C5341415337472C4541414D4C2C';
wwv_flow_api.g_varchar2_table(185) := '4541414F30472C47414568432C49414149452C45414161704A2C53414153432C634141632C4F414770436F4A2C45414159724A2C53414153432C634141632C4F414376436F4A2C454141556C4A2C554141592C7342414374426B4A2C454141556A482C4D';
wwv_flow_api.g_varchar2_table(186) := '41415138472C4541436C42452C45414157684A2C59414159694A2C47414776422C49414149432C45414165744A2C53414153432C634141632C4F41433143714A2C454141616E4A2C554141592C794241457A426B4A2C454141556A4A2C594141596B4A2C';
wwv_flow_api.g_varchar2_table(187) := '47414574422C494141494B2C4541416B42334A2C53414153432C634141632C5341433743304A2C4541416742432C614141612C4F4141512C5941437243442C4541416742432C614141612C4B41414D2F472C4541414B2C494141496A442C4B41414B7047';
wwv_flow_api.g_varchar2_table(188) := '2C51414151432C5541437A446B512C4541416742432C614141612C4F4141512F472C474143724338472C4541416742432C614141612C514141532C4B41437443442C4541416742784A2C554141592C344241453542774A2C4541416742784A2C55414159';
wwv_flow_api.g_varchar2_table(189) := '2C7142414535426D4A2C454141616C4A2C59414159754A2C4741457A422C49414149452C45414165374A2C53414153432C634141632C53415331432C4F415241344A2C45414161442C614141612C4D41414D2F472C4541414B2C494141496A442C4B4141';
wwv_flow_api.g_varchar2_table(190) := '4B70472C51414151432C55414374446F512C45414161764A2C554141596B432C4541437A4271482C45414161314A2C554141592C694341457A426D4A2C454141616C4A2C59414159794A2C4741457A426A4B2C4B41414B432C49414149592C534141536A';
wwv_flow_api.g_varchar2_table(191) := '432C4F41414F432C4B41414B69432C6742414167422B492C5941415937492C4B41414B77492C4741457844412C47414758552C554141572C534141536A422C45414157314B2C4741433342452C4B41414B432C4D41414D2C734241417342754B2C454141';
wwv_flow_api.g_varchar2_table(192) := '55314B2C47414333432C49414149344B2C454141552C49414149764B2C4F41414F432C4B41414B734C2C4B41414B432C514141512C434143764339442C534141552C4941414931482C4F41414F432C4B41414B734C2C4B41414B452C4D41414D394C2C4B';
wwv_flow_api.g_varchar2_table(193) := '41477A432C4F414441304B2C4541415571422C494141496E422C47414350412C474147586F422C594141612C5341415374422C454141577A4B2C4741433742432C4B41414B432C4D41414D2C774241417742754B2C454141557A4B2C4741457A4339452C';
wwv_flow_api.g_varchar2_table(194) := '454141452C5341415373472C4B41414B70472C51414151432C5541415532512C4B41414B2C574143764376422C45414155432C534141512C53414153432C47414376422C47414149412C45414151432C594141592C634141652C4341436E432C49414149';
wwv_flow_api.g_varchar2_table(195) := '71422C4541414F74422C4541415175422C6341436E422C47414173422C5741416C42442C4541414B452C55414177422C43414537422C49414149432C4541414F482C4541414B492C5741456842442C4541414B354A2C4B41414B2C4941414970432C4F41';
wwv_flow_api.g_varchar2_table(196) := '414F432C4B41414B734C2C4B41414B572C57414157744D2C4941433143324B2C4541415134422C594141592C494141496E4D2C4F41414F432C4B41414B734C2C4B41414B612C514141514A2C53414B374433422C4541415571422C494141492C49414149';
wwv_flow_api.g_varchar2_table(197) := '314C2C4F41414F432C4B41414B734C2C4B41414B432C514141512C434143764339442C534141552C4941414931482C4F41414F432C4B41414B734C2C4B41414B612C514141512C43414143784D2C51414D7044794D2C634141652C57414358784D2C4B41';
wwv_flow_api.g_varchar2_table(198) := '414B432C4D41414D2C32424145582C4941414930442C4541415170432C4B414352694A2C454141596A4A2C4B41414B432C4941414973422C4B41477A4230482C4541415569432C534141536C4C2C4B41414B70472C5141415173432C6742414167422C53';
wwv_flow_api.g_varchar2_table(199) := '414153694E2C47414372442C4941414967432C454141512F492C4541414D78492C514141516B432C61414931422C4F414849714E2C45414151432C594141592C6742414370422B422C454141512F492C4541414D78492C514141516D432C734241453042';
wwv_flow_api.g_varchar2_table(200) := '2C434143684471502C55414165442C45414366452C59414165462C45414366472C614141652C4541436678492C55414165562C4541414D78492C514141516B422C594143374279512C554141652C4B41496E42764C2C4B41414B70472C514141516F432C';
wwv_flow_api.g_varchar2_table(201) := '6D42414562694E2C4541415578462C594141592C534141532C53414153442C47414370432F452C4B41414B432C4D41414D2C36424141364238452C4741437043412C4541414D32462C51414151432C594141592C6541433142334B2C4B41414B432C4D41';
wwv_flow_api.g_varchar2_table(202) := '414D2C614141612C534143784238452C4541414D32462C5141415171432C654141652C63414337422F4D2C4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C6B4241416D422C434141437444';
wwv_flow_api.g_varchar2_table(203) := '2C494141496D432C4541414D6E432C4941414B6B4A2C5141415133462C4541414D32462C5941456A47314B2C4B41414B432C4D41414D2C614141612C514143784238452C4541414D32462C5141415173432C594141592C634141632C4741437843684E2C';
wwv_flow_api.g_varchar2_table(204) := '4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C6742414169422C4341414374442C494141496D432C4541414D6E432C4941414B6B4A2C5141415133462C4541414D32462C63414B76476E4A';
wwv_flow_api.g_varchar2_table(205) := '2C4B41414B70472C5141415171432C6D42414D62674E2C4541415578462C594141592C614141612C53414153442C47414378432F452C4B41414B432C4D41414D2C7142414171422C5941415938452C474143354379462C4541415579432C634143567A43';
wwv_flow_api.g_varchar2_table(206) := '2C4541415530432C634141636E492C4541414D32462C514141532C434141436D432C614141632C4941437444374D2C4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C6D4241416F422C4341';
wwv_flow_api.g_varchar2_table(207) := '414374442C494141496D432C4541414D6E432C4941414B6B4A2C5141415133462C4541414D32462C6141477447462C4541415578462C594141592C594141592C53414153442C47414376432F452C4B41414B432C4D41414D2C7142414171422C57414157';
wwv_flow_api.g_varchar2_table(208) := '38452C474143334379462C4541415579432C634143566A4E2C4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C6B4241416D422C4341414374442C494141496D432C4541414D6E432C494141';
wwv_flow_api.g_varchar2_table(209) := '4B6B4A2C5141415133462C4541414D32462C65414F374779432C614141632C574143566E4E2C4B41414B432C4D41414D2C79424141794273422C4B41414B70472C5141415169432C6341436A442C4941414975472C4541415170432C4B414352694A2C45';
wwv_flow_api.g_varchar2_table(210) := '4141596A4A2C4B41414B432C4941414973422C4B4145724276422C4B41414B70472C5141415169432C614141616B442C514141512C594141592C474143394369422C4B41414B384A2C614143442C4F4143412C4F4143412C3842414952394A2C4B41414B';
wwv_flow_api.g_varchar2_table(211) := '714A2C594145442C345A4143412C34424143412C5341415377432C4741434C7A4A2C4541414D39452C3442414B642C49414149774F2C45414169422C494141496C4E2C4F41414F432C4B41414B6B4E2C51414151432C654141652C4341437844432C7342';
wwv_flow_api.g_varchar2_table(212) := '414175422C4341457242374B2C5341416578432C4F41414F432C4B41414B69432C6742414167422B492C5741433343684F2C614141656D452C4B41414B70472C5141415169432C674241476C4369512C454141652F4C2C4F41414F432C4B41414B432C4B';
wwv_flow_api.g_varchar2_table(213) := '4149334272422C4F41414F432C4B41414B32452C4D41414D432C5941415971492C45414167422C6D4241416D422C5341415374492C47414574452C4F4144412F452C4B41414B432C4D41414D2C34424141344238452C4741432F42412C4541414D30492C';
wwv_flow_api.g_varchar2_table(214) := '4D4143642C4B41414B744E2C4F41414F432C4B41414B6B4E2C51414151492C59414159432C4F41436A43684B2C4541414D38482C554141556A422C454141577A462C4541414D33442C5141415136442C6541437A432C4D41434A2C4B41414B39452C4F41';
wwv_flow_api.g_varchar2_table(215) := '414F432C4B41414B6B4E2C51414151492C59414159452C5141436A432C4941414968482C4541414937422C4541414D33442C51414151794D2C554141557A422C57414368437A492C4541414D6D492C5941415974422C4541415735442C47414337422C4D';
wwv_flow_api.g_varchar2_table(216) := '41434A2C4B41414B7A472C4F41414F432C4B41414B6B4E2C51414151492C59414159492C5541436A432C49414149432C45414149684A2C4541414D33442C51414151344D2C5941436C4270482C454141492C434141436D482C45414145452C654143462C';
wwv_flow_api.g_varchar2_table(217) := '4341414370532C4941414D6B532C45414145452C6541416570532C4D41437642432C4941414D69532C45414145472C6541416570532C4F4145784269532C45414145472C654143462C4341414370532C4941414D69532C45414145452C654141656E532C';
wwv_flow_api.g_varchar2_table(218) := '4D41437642442C4941414D6B532C45414145472C6541416572532C5141456A4338482C4541414D6D492C5941415974422C4541415735442C47414337422C4D41434A2C4B41414B7A472C4F41414F432C4B41414B6B4E2C51414151492C59414159532C53';
wwv_flow_api.g_varchar2_table(219) := '41436A4333442C4541415571422C494141492C49414149314C2C4F41414F432C4B41414B734C2C4B41414B432C514141512C434143764339442C534141552C4941414931482C4F41414F432C4B41414B734C2C4B41414B30432C57414157724A2C454141';
wwv_flow_api.g_varchar2_table(220) := '4D33442C51414151794D2C554141557A422C65414574452C4D41434A2C4B41414B6A4D2C4F41414F432C4B41414B6B4E2C51414151492C59414159572C4F41456A4337442C4541415571422C494141492C49414149314C2C4F41414F432C4B41414B734C';
wwv_flow_api.g_varchar2_table(221) := '2C4B41414B432C514141512C434143764332432C574141592C43414352432C4F414151784A2C4541414D33442C514141516F4E2C614145314233472C534141552C4941414931482C4F41414F432C4B41414B734C2C4B41414B452C4D41414D37472C4541';
wwv_flow_api.g_varchar2_table(222) := '414D33442C51414151714E2C674241493344314A2C4541414D33442C51414151452C4F41414F2C5341497A426B4A2C4541415569432C554141532C534141532F422C47414378422C4941454967452C4541464168432C454141512F492C4541414D78492C';
wwv_flow_api.g_varchar2_table(223) := '514141516B432C614143744279502C474141572C454165662C4F41624970432C45414151432C594141592C6742414370422B422C454141512F492C4541414D78492C514141516D432C71424145744277502C4741416137522C454141452C534141533049';
wwv_flow_api.g_varchar2_table(224) := '2C4541414D78492C51414151432C5541415532512C4B41414B2C5941457A4432432C45414134442C43414378442F422C55414165442C45414366452C59414165462C45414366472C614141652C474145666C4A2C4541414D78492C5141415173432C6742';
wwv_flow_api.g_varchar2_table(225) := '41436478432C4541414534462C4F41414F364E2C454141632F4B2C4541414D78492C5141415173432C65414165694E2C4941456A447A502C4541414534462C4F41414F364E2C454141632C43414143724B2C5541415579492C45414155412C5341415341';
wwv_flow_api.g_varchar2_table(226) := '2C4F4147684574432C4541415578462C594141592C634141632C53414153442C4741437A432F452C4B41414B432C4D41414D2C7142414171422C6141416138452C47414337432F452C4B41414B36452C4F41414F2C494141496C422C4541414D78492C51';
wwv_flow_api.g_varchar2_table(227) := '414151432C55414155304A2C514141512C614141632C4341414374442C494141496D432C4541414D6E432C4941414B6B4A2C5141415133462C4541414D32462C6141476847462C4541415578462C594141592C6942414169422C53414153442C47414335';
wwv_flow_api.g_varchar2_table(228) := '432F452C4B41414B432C4D41414D2C7142414171422C67424141674238452C47414368442F452C4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C6742414169422C4341414374442C494141';
wwv_flow_api.g_varchar2_table(229) := '496D432C4541414D6E432C4941414B6B4A2C5141415133462C4541414D32462C6141476E47462C4541415578462C594141592C654141652C53414153442C47414331432F452C4B41414B432C4D41414D2C7142414171422C6341416338452C4741433943';
wwv_flow_api.g_varchar2_table(230) := '2F452C4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C634141652C434143764574442C494141636D432C4541414D6E432C49414370426B4A2C5141416333462C4541414D32462C51414370';
wwv_flow_api.g_varchar2_table(231) := '4269452C59414163354A2C4541414D344A2C5941437042432C59414163374A2C4541414D364A2C6942414968426A4E2C534141534F2C6942414169422C574141572C5341415336432C47414378422C57414164412C4541414D384A2C4B41434E6C4C2C45';
wwv_flow_api.g_varchar2_table(232) := '41414D39452C3642416D426C4269512C65414169422C534141556A482C4541415569442C4541415569452C47414333432C49414149704C2C4541415170432C4B41435273472C6141416F4231482C4F41414F432C4B41414B432C4F41436843794B2C4541';
wwv_flow_api.g_varchar2_table(233) := '41536B452C4B41414B442C454141536C482C4741436842412C6141416F4231482C4F41414F432C4B41414B734C2C4B41414B452C4D41433543642C454141536B452C4B41414B442C454141536C482C454141536F482C4F4145684370482C454141537545';
wwv_flow_api.g_varchar2_table(234) := '2C5741415733422C534141512C5341415379452C4741436A43764C2C4541414D6D4C2C65414165492C4541414770452C4541415569452C4F414B3943492C614141652C53414155432C45414153432C454141556C552C474143784336452C4B41414B432C';
wwv_flow_api.g_varchar2_table(235) := '4D41414D2C65414167426D502C47414733422C49414149452C454141572F4E2C4B41414B432C4941414973422C4B41414B794D2C57414157482C454141536A552C4741476A442C4941414977492C4541415170432C4B41435A412C4B41414B432C494141';
wwv_flow_api.g_varchar2_table(236) := '4973422C4B41414B32482C534141512C53414153432C47414333422F472C4541414D6D4C2C6541416570452C4541415175422C6341416574492C4541414D37432C4F41414F442C4F41415138432C4541414D37432C5741457645532C4B41414B70472C51';
wwv_flow_api.g_varchar2_table(237) := '41415177432C6541436234442C4B41414B432C4941414931432C5541415579432C4B41414B542C5141473542642C4B41414B36452C4F41414F2C4941414974442C4B41414B70472C51414151432C55414155304A2C514141512C6742414169422C434143';
wwv_flow_api.g_varchar2_table(238) := '354474442C49414157442C4B41414B432C4941436842674F2C514141574A2C45414358452C53414157412C45414358442C53414157412C4B41496E4268512C6B4241416F422C534141556F512C454141574A2C47414572432C4741444172502C4B41414B';
wwv_flow_api.g_varchar2_table(239) := '432C4D41414D2C384241412B4277502C454141574A2C4741436A44492C454141572C434143582C494141494C2C454141556C4B2C4B41414B67432C4D41414D75492C4741437A426C4F2C4B41414B542C4F4141532C49414149582C4F41414F432C4B4141';
wwv_flow_api.g_varchar2_table(240) := '4B73502C61414339426E4F2C4B41414B344E2C61414161432C45414153432C4B41496E434D2C7142414175422C5741436E4233502C4B41414B432C4D41414D2C6B434143582C4941414930442C4541415170432C4B414552714F2C454141656A4F2C5341';
wwv_flow_api.g_varchar2_table(241) := '415371492C654141652C4F41414F7A492C4B41414B70472C51414151432C554143334479552C45414167426C4F2C5341415371492C654141652C514141517A492C4B41414B70472C51414151432C554145374430552C454141592C5341415531432C4741';
wwv_flow_api.g_varchar2_table(242) := '496C422C4F414841412C4541414532432C6B4241434633432C4541414534432C6942414346482C4541416333452C4D41414D2B452C514141552C53414376422C474149664C2C45414161314E2C6942414169422C59414161344E2C474141572C47414774';
wwv_flow_api.g_varchar2_table(243) := '44442C45414163334E2C6942414169422C57414159344E2C474141572C4741457444442C45414163334E2C6942414169422C614141612C5741437843324E2C4541416333452C4D41414D2B452C514141552C5541432F422C474145484A2C45414163334E';
wwv_flow_api.g_varchar2_table(244) := '2C6942414169422C514141512C534141536B4C2C4741433543704E2C4B41414B432C4D41414D2C6942414169426D4E2C4741433542412C4541414534432C694241434635432C4541414532432C6B42414346462C4541416333452C4D41414D2B452C5141';
wwv_flow_api.g_varchar2_table(245) := '41552C4F414539422C49414149432C4541415139432C454141452B432C61414161442C4D414333422C47414149412C4541414D31502C4F41474E2C4941414B2C4941415734502C45414150374C2C454141492C45414153364C2C4541414F462C4541414D';
wwv_flow_api.g_varchar2_table(246) := '334C2C47414149412C4941414B2C43414378432C49414149384C2C454141532C49414149432C574143626A422C45414157652C4541414B354C2C4B41437042364C2C4541414F452C4F4141532C534141536E442C47414372427A4A2C4541414D74452C6B';
wwv_flow_api.g_varchar2_table(247) := '4241416B422B4E2C454141456F442C4F41414F78492C4F41415171482C494145374367422C4541414F492C514141552C5341415372442C4741437442704E2C4B41414B30512C4D41414D2C6D424145664C2C4541414F4D2C57414157502C4F41456E422C';
wwv_flow_api.g_varchar2_table(248) := '434147482C49414149512C4541415978442C454141452B432C61414161552C514141512C6341436E43442C474143416A4E2C4541414D74452C6B4241416B4275522C47414B68432C4F41414F2C4B4143522C49415356452C574141592C5741434C39512C';
wwv_flow_api.g_varchar2_table(249) := '4B41414B432C4D41414D2C77424143582C4941414930442C4541415170432C4B414552794A2C45414159724A2C53414153432C634141632C4F414376436F4A2C454141556C4A2C554141592C7542414374426B4A2C454141552F492C554141592C654143';
wwv_flow_api.g_varchar2_table(250) := '7442562C4B41414B432C49414149592C534141536A432C4F41414F432C4B41414B69432C674241416742304F2C61414161784F2C4B41414B79492C4741476845374B2C4F41414F432C4B41414B32452C4D41414D432C594141597A442C4B41414B432C49';
wwv_flow_api.g_varchar2_table(251) := '41414B2C614141612C5341415575442C474143334469472C454141552F492C554141592C6B4241416F4269442C4B41414B432C554141554A2C4541414D694D2C5741496E4537512C4F41414F432C4B41414B32452C4D41414D432C594141597A442C4B41';
wwv_flow_api.g_varchar2_table(252) := '414B432C4941414B2C6B4241416B422C5341415575442C474143684569472C454141552F492C554141592C634141674269442C4B41414B432C5541415578422C4541414D6E432C49414149774D2C69424149764568492C65414167422C5741435A68472C';
wwv_flow_api.g_varchar2_table(253) := '4B41414B432C4D41414D2C34424145582C4941414967522C4541414F31502C4B41414B70472C51414151492C6D4241714478422C4D416E44612C4B41415430562C454143416A522C4B41414B432C4D41414D2C774341475867522C4541414F432C4F4141';
wwv_flow_api.g_varchar2_table(254) := '4F704A2C5341415334422C4F41415377482C4F41414F704A2C53414153714A2C554145764337512C514141512C614141652C47414535424E2C4B41414B432C4D41414D2C75434141774367522C47414B6E44412C4541414F412C4541414B472C55414155';
wwv_flow_api.g_varchar2_table(255) := '2C45414147482C4541414B492C594141592C53414B6E434A2C4541414B33512C514141512C514141552C47414539424E2C4B41414B432C4D41414D2C77424141794267522C4741577043412C47414E41412C4541414F412C4541414B472C554141552C45';
wwv_flow_api.g_varchar2_table(256) := '414147482C4541414B492C594141592C53414D3942442C554141552C45414147482C4541414B492C594141592C51414D314372522C4B41414B432C4D41414D2C73424141754267522C47414B6C43412C4541414F412C4541414B472C554141552C454141';
wwv_flow_api.g_varchar2_table(257) := '47482C4541414B492C594141592C4F414F6C4472522C4B41414B432C4D41414D2C4F41415167522C4741455A412C474149584B2C65414167422C5741435A2C49414149334E2C4541415170432C4B41455A2C434141432C69424143412C69424143412C6B';
wwv_flow_api.g_varchar2_table(258) := '424143412C4F4143412C6F424143412C71424143412C634143412C654143412C67424143436B4A2C534141512C5341415338472C4741436676522C4B41414B432C4D41414D2C77424141774273522C4741436E4370522C4F41414F432C4B41414B32452C';
wwv_flow_api.g_varchar2_table(259) := '4D41414D432C5941415972422C4541414D6E432C4941414B2B502C474141572C574143684476522C4B41414B432C4D41414D2C4F41414F73522C4741436C422C494141497A512C4541415336432C4541414D6E432C49414149774D2C5941437642684F2C';
wwv_flow_api.g_varchar2_table(260) := '4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C4D41414D794D2C454141572C43414337442F502C494141596D432C4541414D6E432C4941436C4267512C4F414159374E2C4541414D6E432C';
wwv_flow_api.g_varchar2_table(261) := '49414149694E2C5941415967442C5341436C43432C5541415935512C4541414F6D4E2C6541416577442C5341436C43452C5541415937512C4541414F6F4E2C6541416575442C5341436C43472C4B4141596A4F2C4541414D6E432C4941414971512C5541';
wwv_flow_api.g_varchar2_table(262) := '437442432C514141596E4F2C4541414D6E432C4941414975512C6141437442432C4B414159724F2C4541414D6E432C4941414979512C554143744239562C5141415977482C4541414D6E432C4941414930512C7542414B2F4233512C4B41414B70472C51';
wwv_flow_api.g_varchar2_table(263) := '41415169442C734241455A2C434141432C4F4143412C554143412C61414343714D2C534141512C5341415338472C4741436676522C4B41414B432C4D41414D2C77424141774273522C4741436E4370522C4F41414F432C4B41414B32452C4D41414D432C';
wwv_flow_api.g_varchar2_table(264) := '5941415972422C4541414D6E432C4941414B2B502C474141572C574143684476522C4B41414B432C4D41414D2C4F41414F73522C4741436C422C494141497A512C4541415336432C4541414D6E432C49414149774D2C5941437642684F2C4B41414B3645';
wwv_flow_api.g_varchar2_table(265) := '2C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C4D41414D794D2C454141572C43414337442F502C494141596D432C4541414D6E432C4941436C4267512C4F414159374E2C4541414D6E432C49414149694E';
wwv_flow_api.g_varchar2_table(266) := '2C5941415967442C5341436C43432C5541415935512C4541414F6D4E2C6541416577442C5341436C43452C5541415937512C4541414F6F4E2C6541416575442C5341436C43472C4B4141596A4F2C4541414D6E432C4941414971512C5541437442432C51';
wwv_flow_api.g_varchar2_table(267) := '4141596E4F2C4541414D6E432C4941414975512C6141437442432C4B414159724F2C4541414D6E432C4941414979512C554143744239562C5141415977482C4541414D6E432C4941414930512C7542414D6C432C434141432C634143412C574143412C59';
wwv_flow_api.g_varchar2_table(268) := '4143412C574143412C614143437A482C534141512C5341415338472C4741436676522C4B41414B432C4D41414D2C77424141774273522C4741436E4370522C4F41414F432C4B41414B32452C4D41414D432C5941415972422C4541414D6E432C4941414B';
wwv_flow_api.g_varchar2_table(269) := '2B502C474141572C53414153592C4741437A446E532C4B41414B432C4D41414D2C4F41414F73522C45414157592C454141636E422C514143334368522C4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C';
wwv_flow_api.g_varchar2_table(270) := '514141512C4D41414D794D2C454141572C43414337442F502C4941414D6D432C4541414D6E432C4941435A33462C4941414D73572C454141636E422C4F41414F6E562C4D41433342432C4941414D71572C454141636E422C4F41414F6C562C65414F3343';
wwv_flow_api.g_varchar2_table(271) := '6B452C4B41414B432C4D41414D2C3842414358452C4F41414F432C4B41414B32452C4D41414D432C594141597A442C4B41414B432C4941414B2C534141532C5341415532512C47414376446E532C4B41414B432C4D41414D2C594141616B532C45414163';
wwv_flow_api.g_varchar2_table(272) := '6E422C5141436C43724E2C4541414D78492C5141415169422C694241435675482C4541414D78492C5141415173422C594143646B482C4541414D6E432C494141496C432C4D41414D36532C454141636E422C5141456C43724E2C4541414D6E432C494141';
wwv_flow_api.g_varchar2_table(273) := '496F442C514141516A422C4541414D78492C5141415169422C69424145704334442C4B41414B36452C4F41414F2C494141496C422C4541414D78492C51414151432C55414155304A2C514141512C574141592C434143704574442C4941414D6D432C4541';
wwv_flow_api.g_varchar2_table(274) := '414D6E432C4941435A33462C4941414D73572C454141636E422C4F41414F6E562C4D41433342432C4941414D71572C454141636E422C4F41414F6C562C594161334273572C514141532C5741434C70532C4B41414B432C4D41414D2C6F42414171427342';
wwv_flow_api.g_varchar2_table(275) := '2C4B41414B38512C5141415174472C4B41414B2C4F41436C442F4C2C4B41414B432C4D41414D69462C4B41414B432C5541415535442C4B41414B70472C5541432F422C4941414977492C4541415170432C4B41475A412C4B41414B2B512C594141632F51';
wwv_flow_api.g_varchar2_table(276) := '2C4B41414B79452C694241416D422C4941414D7A452C4B41414B70472C514141514B2C694241416D422C5741436A4677452C4B41414B432C4D41414D2C6341416573422C4B41414B2B512C6141452F422C49414149432C454141612C4341436278572C51';
wwv_flow_api.g_varchar2_table(277) := '4141794277462C4B41414B70472C51414151592C5141437443432C514141794275462C4B41414B70472C51414151612C514143744334562C4B4141794272512C4B41414B70472C51414151632C594143744375562C4F414179426A512C4B41414B70472C';
wwv_flow_api.g_varchar2_table(278) := '51414151532C634143744334572C55414179426A522C4B41414B70472C5141415167422C51414374436B492C554141794239432C4B41414B70472C5141415136422C534143744379562C59414179426C522C4B41414B70472C5141415134422C55414374';
wwv_flow_api.g_varchar2_table(279) := '4332562C59414179426E522C4B41414B70472C5141415134422C554143744334562C77424141324270522C4B41414B70472C51414169422C5541436A4438422C67424141794273452C4B41414B70472C5141415138422C694241694431432C4741394349';
wwv_flow_api.g_varchar2_table(280) := '73452C4B41414B70472C5141415177422C5741436234562C454141574B2C4F41415372522C4B41414B70472C5141415177422C554147724334452C4B41414B432C4941414D2C4941414972422C4F41414F432C4B41414B79532C494141496C522C534141';
wwv_flow_api.g_varchar2_table(281) := '5371492C654141657A492C4B41414B38512C5141415174472C4B41414B2C4F41414F77472C47414568442C614141354268522C4B41414B70472C51414151652C674241436271462C4B41414B70472C5141415134432C554141572C454143784277442C4B';
wwv_flow_api.g_varchar2_table(282) := '41414B70472C5141415136432C6742414169422C454143394275442C4B41414B70472C5141415138432C65414167422C474147374273442C4B41414B70472C514141512B422C5341436238432C4B41414B432C4D41414D2C6D4341455873422C4B41414B';
wwv_flow_api.g_varchar2_table(283) := '75522C4B41414B76522C4B41414B70472C514141512B422C4F4143764271452C4B41414B75522C4F41434C76522C4B41414B75522C4B41414B704D2C4F41435631472C4B41414B432C4D41414D2C6D4341476673422C4B41414B694C2C67424145446A4C';
wwv_flow_api.g_varchar2_table(284) := '2C4B41414B70472C5141415169432C634143626D452C4B41414B344C2C6541474C354C2C4B41414B70472C5141415175432C694241436236442C4B41414B6F4F2C754241474C33502C4B41414B432C4D41414D38532C574141572C474143744278522C4B';
wwv_flow_api.g_varchar2_table(285) := '41414B75502C6141474C76502C4B41414B70472C514141514D2C5941436238462C4B41414B39422C5541475438422C4B41414B2B502C694241454C74522C4B41414B36452C4F41414F2C4941414974442C4B41414B70472C51414151432C554141553458';
wwv_flow_api.g_varchar2_table(286) := '2C4B41414B2C654141632C57414374442F582C454141452C5141415130492C4541414D78492C51414151432C5541415536582C554141552C63414935436A542C4B41414B432C4D41414D38532C574141572C454141472C4341477A422C49414349472C45';
wwv_flow_api.g_varchar2_table(287) := '4141632C5741416176502C4541414D78492C51414151432C534141572C2B424145784434452C4B41414B432C4D41414D2C304741454C69542C4541464B2C794541484F2C6F47415774426C542C4B41414B432C4D41414D2C2B424147666B542C63414165';
wwv_flow_api.g_varchar2_table(288) := '2C574143586E542C4B41414B432C4D41414D2C694241455073422C4B41414B36522C5541434C70542C4B41414B432C4D41414D2C6B4241435873422C4B41414B36522C514141516A522C5541476A426E432C4B41414B36452C4F41414F2C494141497444';
wwv_flow_api.g_varchar2_table(289) := '2C4B41414B70472C51414151432C55414155304A2C514141512C6F4241472F4376442C4B41414B38522C534141552C5741476E42432C594141612C53414153432C4541414F432C4741477A422C4741464178542C4B41414B432C4D41414D2C6341416575';
wwv_flow_api.g_varchar2_table(290) := '542C4741457442442C4541414D452C514141532C434147662C49414149432C4541474A2C47414C4131542C4B41414B432C4D41414D2C77424141794273542C4541414D452C514141516A542C51414B39432B532C4541414D452C514141516A542C4F4141';
wwv_flow_api.g_varchar2_table(291) := '4F2C454141472C43414578422C4941414B2C494141492B442C454141492C45414147412C4541414967502C4541414D452C514141516A542C4F4141512B442C4941414B2C43414533432C4741414967502C4541414D452C514141516C502C474141476D4D';
wwv_flow_api.g_varchar2_table(292) := '2C4D41414F2C434143784267442C45414157482C4541414D452C514141516C502C474141476D4D2C4D414335422C4D41474A2C4941414969442C4541414D4A2C4541414D452C514141516C502C47414578422C47414167432C574141354268442C4B4141';
wwv_flow_api.g_varchar2_table(293) := '4B70472C51414151652C6341475679582C454141492C49414149412C454141492C4B41435870532C4B41414B542C4F41414F442C4F41414F2C4341414368462C4941414938582C454141492C4741414737582C4941414936582C454141492C4B41457643';
wwv_flow_api.g_varchar2_table(294) := '70532C4B41414B71532C6B4241416B4272522C4B41414B2C434143784275462C534141532C4941414933482C4F41414F432C4B41414B432C4F41414F73542C454141492C47414149412C454141492C4941433543452C4F41414F462C454141492C574149';
wwv_flow_api.g_varchar2_table(295) := '68422C47414167432C574141354270532C4B41414B70472C51414151652C63414130422C43414B39432C494141496F532C454141612C4741556A422C4741524971462C4541414933502C4941434A734B2C45414157394A2C4B41414F6D502C4541414933';
wwv_flow_api.g_varchar2_table(296) := '502C474147744232502C454141496A522C4941434A344C2C45414157684B2C4741414B71502C454141496A522C474147704269522C454141496C502C4541434A2C4941414B2C4941414930452C454141492C45414147412C4741414B2C47414149412C49';
wwv_flow_api.g_varchar2_table(297) := '41436A42774B2C454141496C502C454141452C4941414930452C4B4145566D462C454141572C514141512C494141496E462C474141477A452C4F41414F2C4941414D69502C454141496C502C454141452C4941414930452C49414B37446C4F2C45414145';
wwv_flow_api.g_varchar2_table(298) := '34462C4F41414F38532C4541414976452C514141532C43414143642C57414161412C49414570432F4D2C4B41414B344E2C6141416177452C4541414976452C514141532C4B41414D2C4341414330452C65414169422C59414B76442C47414147482C4541';
wwv_flow_api.g_varchar2_table(299) := '414939502C4741414738502C4541414937502C454141472C4341436276432C4B41414B542C4F41414F442C4F41414F2C4341414368462C4941414938582C4541414939502C454141452F482C4941414936582C4541414937502C49414574432C49414149';
wwv_flow_api.g_varchar2_table(300) := '72422C454141536C422C4B41414B6B432C574141576B512C474147374270532C4B41414B2B452C514141512F442C4B41414B452C474145646B522C454141496A522C4741454A6E422C4B41414B77532C53414153432C494141494C2C454141496A522C45';
wwv_flow_api.g_varchar2_table(301) := '41414736422C49414D724368442C4B41414B70472C5141415177432C674241456271432C4B41414B432C4D41414D2C5941435073422C4B41414B542C4F41414F6D4E2C6541416577442C53414333426C512C4B41414B542C4F41414F6F4E2C6541416575';
wwv_flow_api.g_varchar2_table(302) := '442C5541452F426C512C4B41414B432C4941414931432C5541415579432C4B41414B542C5341493542532C4B41414B6B462C57414161384D2C4541414D452C514141516A542C4F414970432C474141496B542C4541454131542C4B41414B432C4D41414D';
wwv_flow_api.g_varchar2_table(303) := '79512C4D41414D67442C4741436A426E532C4B41414B33422C5941415938542C554145566E532C4B41414B77532C5341435A78532C4B41414B34522C71424145462C4741414B35522C4B41414B6B462C554141596C462C4B41414B70472C514141514F2C';
wwv_flow_api.g_varchar2_table(304) := '6141436C4336582C4541414D452C514141516A542C51414155652C4B41414B70472C51414151512C614141652C434147784471452C4B41414B36452C4F41414F2C4941414974442C4B41414B70472C51414151432C55414155304A2C5141436E432C6341';
wwv_flow_api.g_varchar2_table(305) := '41652C4341436674442C49414159442C4B41414B432C4941436A4279532C5541415931532C4B41414B6B462C5541436A42694C2C554141596E512C4B41414B542C4F41414F6D4E2C6541416577442C5341437643452C5541415970512C4B41414B542C4F';
wwv_flow_api.g_varchar2_table(306) := '41414F6F4E2C6541416575442C57414733432B422C474141596A532C4B41414B70472C51414151512C6141457A422C4941414975592C4541415933532C4B41414B70472C51414151512C6141477A4234462C4B41414B6B462C55414159794E2C45414159';
wwv_flow_api.g_varchar2_table(307) := '33532C4B41414B70472C514141514F2C634143314377592C4541415933532C4B41414B70472C514141514F2C5941416336462C4B41414B6B462C57414768442C4941414939432C4541415170432C4B41455A76422C4B41414B6D552C4F41414F432C4F41';
wwv_flow_api.g_varchar2_table(308) := '435237532C4B41414B70472C51414151452C654143622C43414145675A2C5541415939532C4B41414B70472C51414151472C5541437A42675A2C49414159642C4541435A652C494141594C2C474145642C434141454D2C534141572C4F414358432C5141';
wwv_flow_api.g_varchar2_table(309) := '41532C534141536C422C4741436476542C4B41414B432C4D41414D2C754241435830442C4541414D32502C59414159432C4541414F432C55414968432C434147482C47414173422C4741416C426A532C4B41414B6B462C69424145456C462C4B41414B36';
wwv_flow_api.g_varchar2_table(310) := '442C4D414575422C4B41412F4237442C4B41414B70472C514141516D442C674241436230422C4B41414B432C4D41414D2C694341435873422C4B41414B33422C5941415932422C4B41414B70472C514141516D442C7142414B6C432C4F41415169442C4B';
wwv_flow_api.g_varchar2_table(311) := '41414B70472C51414151652C65414372422C4941414B2C6141434471462C4B41414B36492C6341454C2C4D41434A2C4941414B2C5541474737492C4B41414B6D542C6B4241434C31552C4B41414B432C4D41414D2C674341435873422C4B41414B6D542C';
wwv_flow_api.g_varchar2_table(312) := '674241416742432C674241477A4233552C4B41414B432C4D41414D2C304241435873422C4B41414B6D542C674241416B422C49414149452C67424141674272542C4B41414B432C4941414B442C4B41414B2B452C514141532C43414143754F2C55414155';
wwv_flow_api.g_varchar2_table(313) := '74542C4B41414B2B512C6341456E462C4D41434A2C4941414B2C614143442F512C4B41414B2B442C5941454C2C4D41434A2C4941414B2C554145472F442C4B41414B75542C6541434C39552C4B41414B432C4D41414D2C754241435873422C4B41414B75';
wwv_flow_api.g_varchar2_table(314) := '542C6141416178542C4F41414F2C4D41437A42432C4B41414B75542C61414161704F2C51414774426E462C4B41414B75542C614141652C4941414933552C4F41414F432C4B41414B32552C63414163432C614141612C43414333446C532C4B4141637642';
wwv_flow_api.g_varchar2_table(315) := '2C4B41414B71532C6B4241436E4270532C49414163442C4B41414B432C4941436E4279542C5941416331542C4B41414B70472C514141516D422C6D424143334234592C5141416333542C4B41414B70472C514141516F422C654143334267532C4F414163';
wwv_flow_api.g_varchar2_table(316) := '684E2C4B41414B70472C5141415171422C674241472F422B452C4B41414B71532C6B4241416B426C4E2C4F414F2F4231472C4B41414B36452C4F41414F2C4941414974442C4B41414B70472C51414151432C55414155304A2C5141436C4376442C4B4141';
wwv_flow_api.g_varchar2_table(317) := '4B34542C554141552C654141652C594141632C434143374333542C49414159442C4B41414B432C4941436A4279532C5541415931532C4B41414B6B462C5541436A42694C2C554141596E512C4B41414B542C4F41414F6D4E2C6541416577442C53414376';
wwv_flow_api.g_varchar2_table(318) := '43452C5541415970512C4B41414B542C4F41414F6F4E2C6541416575442C57414733436C512C4B41414B34542C574141592C4541476A4235542C4B41414B36442C4D41415137442C4B41414B77532C674241435878532C4B41414B77532C5341455A7853';
wwv_flow_api.g_varchar2_table(319) := '2C4B41414B34522C734241495435522C4B41414B34522C6942414D6231542C514141532C5741474C2C474146414F2C4B41414B432C4D41414D2C714241435873422C4B41414B6E432C634143446D432C4B41414B70472C514141514D2C574141592C4341';
wwv_flow_api.g_varchar2_table(320) := '437A4275452C4B41414B36452C4F41414F2C4941414974442C4B41414B70472C51414151432C55414155304A2C514141512C71424145334376442C4B41414B70472C5141415167442C634143546F442C4B41414B36522C5341434C37522C4B41414B3652';
wwv_flow_api.g_varchar2_table(321) := '2C514141516A522C5341456A426E432C4B41414B432C4D41414D2C674241435873422C4B41414B36522C5141415570542C4B41414B6F562C4B41414B6A582C594141596C442C454141452C4941414973472C4B41414B70472C51414151432C5941473544';
wwv_flow_api.g_varchar2_table(322) := '2C4941414975492C4541415170432C4B41435232532C4541415933532C4B41414B70472C51414151512C6141457A4234462C4B41414B70472C514141514F2C5941416377592C4941433342412C4541415933532C4B41414B70472C514141514F2C614147';
wwv_flow_api.g_varchar2_table(323) := '374273452C4B41414B6D552C4F41414F432C4F41435237532C4B41414B70472C51414151452C654143622C43414145675A2C5541415939532C4B41414B70472C51414151472C5541437A42675A2C494141592C4541435A432C494141594C2C474145642C';
wwv_flow_api.g_varchar2_table(324) := '434141454D2C534141572C4F414358432C514141532C534141536C422C4741436476542C4B41414B432C4D41414D2C774241455830442C4541414D36432C694241454E37432C4541414D69512C6B4241416F422C47414331426A512C4541414D32432C51';
wwv_flow_api.g_varchar2_table(325) := '4141552C474143684233432C4541414D37432C4F4141532C49414149582C4F41414F432C4B41414B73502C6141472F422F4C2C4541414D6F512C534141572C494141496C422C49414566552C4541414D452C53414153462C4541414D452C514141512C49';
wwv_flow_api.g_varchar2_table(326) := '414149462C4541414D452C514141512C474141472F432C4F41456C442F4D2C4541414D2F442C5941415932542C4541414D452C514141512C474141472F432C4F41436E432F4D2C4541414D77502C694241494E78502C4541414D32502C59414159432C45';
wwv_flow_api.g_varchar2_table(327) := '41414F2C57414D7A4368532C4B41414B34522C6942414D626B432C534141552C5741454639542C4B41414B75542C634141674276542C4B41414B75542C6141416133532C53414376435A2C4B41414B75462C674241416B4276462C4B41414B75462C5141';
wwv_flow_api.g_varchar2_table(328) := '43354276462C4B41414B6F482C30424141344270482C4B41414B6F482C6B424143744370482C4B41414B73492C30424141344274492C4B41414B73492C6B424143314374492C4B41414B69462C694241434C6A462C4B41414B6E432C6341434C6D432C4B';
wwv_flow_api.g_varchar2_table(329) := '41414B432C49414149572C55414B626D542C594141612C574145542F542C4B41414B67552C59414161432C5941497442432C574141592C5341415535472C4541414B76462C47414B76422C4F414A41744A2C4B41414B432C4D41414D344F2C4541414B76';
wwv_flow_api.g_varchar2_table(330) := '462C4741495275462C474143522C4941414B2C6942414344744E2C4B41414B432C494141496B552C574141572C43414143432C6541416742724D2C4541414D2C494141492C5341452F432C4D41434A2C4941414B2C6D424143442F482C4B41414B432C49';
wwv_flow_api.g_varchar2_table(331) := '4141496B552C574141572C43414143452C694241416B42744D2C4541414D2C494141492C5341456A442C4D41434A2C4941414B2C6F424143442F482C4B41414B432C494141496B552C574141572C43414143472C6B4241416D42764D2C4541414D2C4941';
wwv_flow_api.g_varchar2_table(332) := '41492C5341456C442C4D41434A2C4941414B2C554143442F482C4B41414B432C494141496B552C574141572C4341414335442C5141415167452C53414153784D2C4B414574432C4D41434A2C4941414B2C6F424143442F482C4B41414B432C494141496B';
wwv_flow_api.g_varchar2_table(333) := '552C574141572C434141434B2C6B4241416D427A4D2C4541414D2C494141492C5341456C442C4D41434A2C4941414B2C554143442F482C4B41414B432C4941414977552C61414161314D2C4541414D324D2C654143354231552C4B41414B32552C4F4141';
wwv_flow_api.g_varchar2_table(334) := '5172482C4541414B76462C4741456C422C4D41434A2C4941414B2C69424143442F482C4B41414B432C494141496B552C574141572C43414143532C6541416742374D2C4541414D2C494141492C5341452F432C4D41434A2C4941414B2C554143442F482C';
wwv_flow_api.g_varchar2_table(335) := '4B41414B432C494141496B552C574141572C43414143315A2C51414151385A2C53414153784D2C4B414374432F482C4B41414B32552C4F41415172482C4541414B76462C4741456C422C4D41434A2C4941414B2C554143442F482C4B41414B432C494141';
wwv_flow_api.g_varchar2_table(336) := '496B552C574141572C43414143335A2C514141512B5A2C53414153784D2C4B414374432F482C4B41414B32552C4F41415172482C4541414B76462C4741456C422C4D41434A2C4941414B2C67424143442F482C4B41414B432C494141496B552C57414157';
wwv_flow_api.g_varchar2_table(337) := '2C43414143552C63414165394D2C4541414D2C494141492C53414539432C4D41434A2C4941414B2C654143442F482C4B41414B432C494141496B552C574141572C43414143572C614141632F4D2C4541414D2C494141492C53414537432C4D41434A2C49';
wwv_flow_api.g_varchar2_table(338) := '41414B2C6F424143442F482C4B41414B432C494141496B552C574141572C43414143592C6B4241416D42684E2C4541414D2C494141492C5341456C442C4D41434A2C4941414B2C534143442F482C4B41414B432C494141496B552C574141572C43414143';
wwv_flow_api.g_varchar2_table(339) := '39432C4F41414F744A2C49414335422F482C4B41414B32552C4F4141512C57414159354D2C4741457A422C4D41434A2C4941414B2C634143442F482C4B41414B432C494141496B552C574141572C434141436A442C594141616E4A2C4541414D2C494141';
wwv_flow_api.g_varchar2_table(340) := '492C53414535432C4D41434A2C4941414B2C4F4143442F482C4B41414B432C494141492B552C51414151542C53414153784D2C49414531422C4D41434A2C4941414B2C4F4143442F482C4B41414B432C494141496F442C514141516B522C53414153784D';
wwv_flow_api.g_varchar2_table(341) := '2C49414531422C4D41434A2C514143492F482C4B41414B32552C4F41415172482C4541414B76462C4F414D31422C4D41414D6A492C5541416D426C422C4F41414F432C4B41414B6F572C5941436A43432C5941415939562C4541415378462C4741436A42';
wwv_flow_api.g_varchar2_table(342) := '75622C514143416E562C4B41414B6F562C5341415768572C4541436842592C4B41414B71562C534141577A622C4541457042412C63414167422C4F41414F6F472C4B41414B71562C53414335427A622C5941415930622C4741414B74562C4B41414B7156';
wwv_flow_api.g_varchar2_table(343) := '2C53414157432C4541436A436C572C63414167422C4F41414F592C4B41414B6F562C534143354268572C5941415975442C4741414B33432C4B41414B6F562C534141577A532C4541436A4370452C554141592C4F41414F79422C4B41414B71562C534141';
wwv_flow_api.g_varchar2_table(344) := '5339572C4941436A43412C5141415138472C4741414B72462C4B41414B71562C5341415339572C4941414D38472C4541436A4339462C614141652C4F41414F532C4B41414B71562C5341415339562C4F41437043412C57414157694E2C4741414B784D2C';
wwv_flow_api.g_varchar2_table(345) := '4B41414B71562C5341415339562C4F414153694E2C45414376436E4C2C554141592C4F41414F72422C4B41414B75562C4B414378424C2C514145496C562C4B41414B75562C4B41414F6E562C53414153432C634141632C4F41436E434C2C4B41414B7556';
wwv_flow_api.g_varchar2_table(346) := '2C4B41414B354C2C4D41414D364C2C594141632C4F4143394278562C4B41414B75562C4B41414B354C2C4D41414D384C2C594141632C4D414339427A562C4B41414B75562C4B41414B354C2C4D41414D76492C534141572C574143334270422C4B41414B';
wwv_flow_api.g_varchar2_table(347) := '75562C4B41414B37552C55414159562C4B41414B6F562C53414533422C4D41414D4D2C4541415131562C4B41414B32562C5741436633562C4B41414B71562C534141537A562C674241476438562C4541414D452C6D4241416D4270562C59414159522C4B';
wwv_flow_api.g_varchar2_table(348) := '41414B75562C4D4143314333572C4F41414F432C4B41414B6F572C59414159592C6D4241416D4237562C4B41414B75562C4D4143684439572C4B41414B432C4D41414D2C6B43414358452C4F41414F432C4B41414B32452C4D41414D73532C6541416539';
wwv_flow_api.g_varchar2_table(349) := '562C4B41414B75562C4B41414D2C5141415376562C4B41414B71562C534141537A562C694241476E4538562C4541414D4B2C6141416176562C59414159522C4B41414B75562C4D414735434C2C4F4143492C474141496C562C4B41414B75562C4B41414D';
wwv_flow_api.g_varchar2_table(350) := '2C434143582C4D41414D532C4541416F4268572C4B41414B69572C674241457A4235462C4541444D72512C4B41414B6B572C5341434135462C5541436A422C4741414B442C4941415372512C4B41414B71562C5341415337612C534141532C4941415136';
wwv_flow_api.g_varchar2_table(351) := '562C4941415372512C4B41414B71562C5341415335612C534141532C4941437A452C4741414975462C4B41414B71562C5341415339562C4F4141512C43414374422C4D41414D34572C4541414B482C4541416B42492C714241437A4270572C4B41414B71';
wwv_flow_api.g_varchar2_table(352) := '562C5341415339562C4F41414F6D4E2C674241456E42324A2C4541414B4C2C4541416B42492C714241437A4270572C4B41414B71562C5341415339562C4F41414F6F4E2C674241477242334D2C4B41414B75562C4F41434C76562C4B41414B75562C4B41';
wwv_flow_api.g_varchar2_table(353) := '414B354C2C4D41414D324D2C4B41414F482C4541414737542C454141492C4B4143394274432C4B41414B75562C4B41414B354C2C4D41414D344D2C4941414D462C4541414739542C454141492C4B4143374276432C4B41414B75562C4B41414B354C2C4D';
wwv_flow_api.g_varchar2_table(354) := '41414D364D2C4D414153482C454141472F542C4541414936542C4541414737542C4541414B2C4B4143784374432C4B41414B75562C4B41414B354C2C4D41414D384D2C4F4141554E2C4541414735542C4541414938542C4541414739542C4541414B2C57';
wwv_flow_api.g_varchar2_table(355) := '414531432C4741414976432C4B41414B71562C5341415339572C4941414B2C43414331422C4D41414D6D592C45414155562C4541416B42492C71424141714270572C4B41414B71562C5341415339572C4B414372452C494141496F592C45414153432C45';
wwv_flow_api.g_varchar2_table(356) := '4143622C4F41414F35572C4B41414B71562C5341415337562C6742414167426B562C65414372432C4941414B2C5341434469432C4741415733572C4B41414B75562C4B41414B73422C594141592C4541436A432C4D41434A2C4941414B2C51414344462C';
wwv_flow_api.g_varchar2_table(357) := '4741415733572C4B41414B75562C4B41414B73422C59414372422C4D41434A2C51414349462C454141552C454145642C4F41414F33572C4B41414B71562C5341415335562C6341416369562C6541436E432C4941414B2C534143446B432C474141573557';
wwv_flow_api.g_varchar2_table(358) := '2C4B41414B75562C4B41414B75422C61414372422C4D41434A2C4941414B2C53414344462C4741415735572C4B41414B75562C4B41414B75422C614141612C4541436C432C4D41434A2C51414349462C454141552C45414564442C4741415733572C4B41';
wwv_flow_api.g_varchar2_table(359) := '414B71562C5341415333562C6B4241416B422C45414333436B582C4741415735572C4B41414B71562C5341415331562C6742414167422C4541437A434B2C4B41414B75562C4B41414B354C2C4D41414D324D2C4B414151492C4541415170552C45414149';
wwv_flow_api.g_varchar2_table(360) := '71552C454141572C4B41432F4333572C4B41414B75562C4B41414B354C2C4D41414D344D2C4941414F472C454141516E552C4541414971552C454141572C55414539436E592C4B41414B432C4D41414D2C3644414B334277572C574143516C562C4B4141';
wwv_flow_api.g_varchar2_table(361) := '4B75562C4F41434C76562C4B41414B75562C4B41414B77422C57414157432C5941415968582C4B41414B75562C6141432F4276562C4B41414B75562C4D414770424C2C4F4143516C562C4B41414B75562C4F41434C76562C4B41414B75562C4B41414B35';
wwv_flow_api.g_varchar2_table(362) := '4C2C4D41414D734E2C574141612C55414772432F422C4F4143516C562C4B41414B75562C4F41434C76562C4B41414B75562C4B41414B354C2C4D41414D734E2C574141612C57414772432F422C534143516C562C4B41414B75562C4F414338422C574141';
wwv_flow_api.g_varchar2_table(363) := '2F4276562C4B41414B75562C4B41414B354C2C4D41414D734E2C57414368426A582C4B41414B6B582C4F41454C6C582C4B41414B6D582C5141496A426A432C554141556A562C47414346442C4B41414B6B572C5341434C6C572C4B41414B442C4F41414F';
wwv_flow_api.g_varchar2_table(364) := '2C4D41455A432C4B41414B442C4F41414F45222C2266696C65223A226A6B36347265706F72746D61705F72312E6A73227D';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(110134322311139104)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'jk64reportmap_r1.js.map'
,p_mime_type=>'application/json'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2E7265706F72746D61702D64726F702D636F6E7461696E65727B646973706C61793A6E6F6E653B6865696768743A313030253B77696474683A313030253B706F736974696F6E3A6162736F6C7574653B7A2D696E6465783A313B746F703A303B6C656674';
wwv_flow_api.g_varchar2_table(2) := '3A303B6261636B67726F756E642D636F6C6F723A72676261283130302C3130302C3130302C2E35297D2E7265706F72746D61702D64726F702D73696C686F75657474657B636F6C6F723A236666663B626F726465723A2366666620646173686564203870';
wwv_flow_api.g_varchar2_table(3) := '783B6865696768743A63616C632831303025202D2031357078293B77696474683A63616C632831303025202D2031357078293B6261636B67726F756E642D696D6167653A75726C28646174613A696D6167652F706E673B6261736536342C6956424F5277';
wwv_flow_api.g_varchar2_table(4) := '304B47676F414141414E5355684555674141414751414141426B4341594141414277347056554141414141584E5352304941727334633651414141415A6953306445414751415A41426B6B5043735477414141416C7753466C7A4141414C457741414378';
wwv_flow_api.g_varchar2_table(5) := '4D42414A71634741414141416430535531464239304C4841497649435764734B77414141415A6445565964454E766257316C626E514151334A6C5958526C5A4342336158526F4945644A545642586751345841414143646B6C4551565234327533637355';
wwv_flow_api.g_varchar2_table(6) := '376963427A413858703347424D536552495448384A484D593763524D766D566D586F45395441634A7562686A443441706F696F706771444D57414B4167496353416943667875776877524F564A626B504439725032336F623876705A43514B676F414141';
wwv_flow_api.g_varchar2_table(7) := '4141414141414150445979694B2F654E4D3035624E7472362B76536A676358694878444D6B453157705646764763667043564943414951554151676F41674241464243414B436743414541554549416F4951424151684341674367684145424345494345';
wwv_flow_api.g_varchar2_table(8) := '4951454951674941674951684151684341674345464145494B414943414951554151676F4167424146424344497A686D46494E426F392F4B364430585664646E64335A616E654459376A53437156636E3353666A79654B524B4A624A32646E596C6C5762';
wwv_flow_api.g_varchar2_table(9) := '4B556C326935584A61586C78644A4A42497937794448783866793976596D365852364F574D4D33642F6669346849715653535743776D737735796348416772565A4C5245544F7A382B584F385A5170564A35483259366E525A4E302F623944714C727568';
wwv_flow_api.g_varchar2_table(10) := '534C786664394D706B4D4D54364C307576314A4A6C4D696839426876654A7757447776763769346F4959347A77385049774D74743175537A776546362B43484230645362666248566D627A57614A4D636E6A342B4F4841642F6433636E65337036344457';
wwv_flow_api.g_varchar2_table(11) := '4B61706A772F5033395964336C3553597870564B765673594F324C4574555664325A4E6F6975362B49347A746731563164587850416953712F586B354F546B306B39704E567179656E7036636839346C2B3558493459627452714E664861396658317434';
wwv_flow_api.g_varchar2_table(12) := '3378637747612F4E6E6333507764444159394F5A68743238724778675A507650364B5343537939665430394F557277375A74507161386A464B7631313348754C6D3549596258564658646352506C39766157474835476154516155386649352F5045384A';
wwv_flow_api.g_varchar2_table(13) := '756D6166764E5A764F2F4D517146416A466D4A52714E486B364B73716778357672317A7A414D326437656472332F36757171737261324E6E5A6270394E522B76322B36324F48517147357A4F625850494D454167466C665833646C324E373962746C3176';
wwv_flow_api.g_varchar2_table(14) := '69544130464145494B41494151424141414141414141734D7A2B4169316255676F3665626D384141414141456C46546B5375516D4343293B6261636B67726F756E642D7265706561743A6E6F2D7265706561743B6261636B67726F756E642D706F736974';
wwv_flow_api.g_varchar2_table(15) := '696F6E3A63656E7465727D2E7265706F72746D61702D636F6E74726F6C55497B6261636B67726F756E642D636F6C6F723A236666663B626F726465723A32707820736F6C696420236666663B626F726465722D7261646975733A303B626F782D73686164';
wwv_flow_api.g_varchar2_table(16) := '6F773A302032707820347078207267626128302C302C302C2E33293B637572736F723A706F696E7465723B6D617267696E2D746F703A3570783B6D617267696E2D626F74746F6D3A3570783B6D617267696E2D6C6566743A3270783B746578742D616C69';
wwv_flow_api.g_varchar2_table(17) := '676E3A63656E7465723B6865696768743A323870787D2E7265706F72746D61702D636F6E74726F6C496E6E65727B636F6C6F723A233139313931393B666F6E742D66616D696C793A526F626F746F2C417269616C2C73616E732D73657269663B666F6E74';
wwv_flow_api.g_varchar2_table(18) := '2D73697A653A313270783B6D696E2D77696474683A323470783B6D696E2D6865696768743A323470783B6C696E652D6865696768743A323470783B70616464696E672D6C6566743A3570783B70616464696E672D72696768743A3570783B6261636B6772';
wwv_flow_api.g_varchar2_table(19) := '6F756E642D7265706561743A6E6F2D7265706561743B6261636B67726F756E642D706F736974696F6E3A63656E7465727D2E7265706F72746D61702D6D65737361676555497B6261636B67726F756E642D636F6C6F723A236666663861363B626F726465';
wwv_flow_api.g_varchar2_table(20) := '722D7261646975733A3270783B626F782D736861646F773A347078203470782036707820317078207267626128302C302C302C2E33293B6D617267696E3A313070783B746578742D616C69676E3A63656E7465723B6D696E2D6865696768743A33367078';
wwv_flow_api.g_varchar2_table(21) := '7D2E7265706F72746D61702D6D657373616765496E6E65727B636F6C6F723A233730373037303B666F6E742D66616D696C793A526F626F746F2C417269616C2C73616E732D73657269663B666F6E742D73697A653A313670783B6D696E2D77696474683A';
wwv_flow_api.g_varchar2_table(22) := '323470783B6D696E2D6865696768743A323470783B6C696E652D6865696768743A323470783B70616464696E673A37707820313270783B6261636B67726F756E642D7265706561743A6E6F2D7265706561743B6261636B67726F756E642D706F73697469';
wwv_flow_api.g_varchar2_table(23) := '6F6E3A63656E7465727D2E7265706F72746D61702D646562756750616E656C7B6261636B67726F756E642D636F6C6F723A2366336633663337643B6D617267696E2D746F703A3270783B6D617267696E2D626F74746F6D3A303B6D617267696E2D6C6566';
wwv_flow_api.g_varchar2_table(24) := '743A3270783B746578742D616C69676E3A63656E7465727D0A2F2A2320736F757263654D617070696E6755524C3D6A6B36347265706F72746D61705F72312E6373732E6D61702A2F';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(110135202227153116)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'jk64reportmap_r1.min.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '7B2276657273696F6E223A332C22736F7572636573223A5B226A6B36347265706F72746D61705F72312E637373225D2C226E616D6573223A5B5D2C226D617070696E6773223A22414141412C79422C434143492C592C434143412C572C434143412C552C';
wwv_flow_api.g_varchar2_table(2) := '434143412C69422C434143412C532C434143412C4B2C434143412C4D2C434143412C71432C4341454A2C30422C434143492C552C434143412C73422C434143412C77422C434143412C75422C434143412C676C432C434143412C32422C434143412C3042';
wwv_flow_api.g_varchar2_table(3) := '2C4341454A2C6F422C434143492C71422C434143412C71422C434143412C652C434143412C6D432C434143412C632C434143412C632C434143412C69422C434143412C652C434143412C69422C434143412C572C4341454A2C75422C434143492C612C43';
wwv_flow_api.g_varchar2_table(4) := '4143412C6D432C434143412C632C434143412C632C434143412C652C434143412C67422C434143412C67422C434143412C69422C434143412C32422C434143412C30422C43414D4A2C6F422C434143492C77422C434143412C69422C434143412C79432C';
wwv_flow_api.g_varchar2_table(5) := '434143412C572C434143412C69422C434143412C652C4341454A2C75422C434143492C612C434143412C6D432C434143412C632C434143412C632C434143412C652C434143412C67422C434143412C67422C434143412C32422C434143412C30422C4341';
wwv_flow_api.g_varchar2_table(6) := '454A2C71422C434143492C30422C434143412C632C434143412C652C434143412C652C434143412C6942222C2266696C65223A226A6B36347265706F72746D61705F72312E637373222C22736F7572636573436F6E74656E74223A5B222E7265706F7274';
wwv_flow_api.g_varchar2_table(7) := '6D61702D64726F702D636F6E7461696E6572207B5C725C6E20202020646973706C61793A206E6F6E653B5C725C6E202020206865696768743A20313030253B5C725C6E2020202077696474683A20313030253B5C725C6E20202020706F736974696F6E3A';
wwv_flow_api.g_varchar2_table(8) := '206162736F6C7574653B5C725C6E202020207A2D696E6465783A20313B5C725C6E20202020746F703A203070783B5C725C6E202020206C6566743A203070783B5C725C6E202020206261636B67726F756E642D636F6C6F723A2072676261283130302C20';
wwv_flow_api.g_varchar2_table(9) := '3130302C203130302C20302E35293B5C725C6E7D5C725C6E2E7265706F72746D61702D64726F702D73696C686F7565747465207B5C725C6E20202020636F6C6F723A2077686974653B5C725C6E20202020626F726465723A207768697465206461736865';
wwv_flow_api.g_varchar2_table(10) := '64203870783B5C725C6E202020206865696768743A2063616C632831303025202D2031357078293B5C725C6E2020202077696474683A2063616C632831303025202D2031357078293B5C725C6E202020206261636B67726F756E642D696D6167653A2075';
wwv_flow_api.g_varchar2_table(11) := '726C2827646174613A696D6167652F706E673B6261736536342C6956424F5277304B47676F414141414E5355684555674141414751414141426B4341594141414277347056554141414141584E5352304941727334633651414141415A69533064454147';
wwv_flow_api.g_varchar2_table(12) := '51415A41426B6B5043735477414141416C7753466C7A4141414C4577414143784D42414A71634741414141416430535531464239304C4841497649435764734B77414141415A6445565964454E766257316C626E514151334A6C5958526C5A4342336158';
wwv_flow_api.g_varchar2_table(13) := '526F4945644A545642586751345841414143646B6C4551565234327533637355376963427A413858703347424D536552495448384A484D593763524D766D566D586F45395441634A7562686A443441706F696F706771444D57414B416749635341694366';
wwv_flow_api.g_varchar2_table(14) := '7875776877524F564A626B504439725032336F623876705A43514B676F4141414141414141414150445979694B2F654E4D3035624E7472362B76536A676358694878444D6B453157705646764763667043564943414951554151676F4167424146424341';
wwv_flow_api.g_varchar2_table(15) := '4B436743414541554549416F49514241516843416743676841454243454943454951454951674941674951684151684341674345464145494B414943414951554151676F4167424146424344497A686D46494E426F392F4B364430585664646E64335A61';
wwv_flow_api.g_varchar2_table(16) := '6E654459376A53437156636E3353666A79654B524B4A624A32646E596C6C57624B556C326935584A61586C78644A4A42497937794448783866793976596D365852364F574D4D33642F6669346849715653535743776D737735796348416772565A4C5245';
wwv_flow_api.g_varchar2_table(17) := '544F7A382B584F385A5170564A35483259366E525A4E302F623944714C727568534C786664394D706B4D4D54364C307576314A4A6C4D696839426876654A7757447776763769346F4959347A77385049774D74743175537A776546362B43484230645362';
wwv_flow_api.g_varchar2_table(18) := '666248566D627A57614A4D636E6A342B4F4841642F6433636E653370363444574B61706A772F5033395964336C3553597870564B765673594F324C4574555664325A4E6F6975362B49347A746731563164587850416953712F586B354F546B306B39704E';
wwv_flow_api.g_varchar2_table(19) := '567179656E7036636839346C2B3558493459627452714E6648613966583174343378637747612F4E6E6333507764444159394F5A68743238724778675A507650364B5343537939665430394F557277375A74507161386A464B7631313348754C6D354959';
wwv_flow_api.g_varchar2_table(20) := '6258564658646352506C39766157474835476154516155386649352F5045384A756D6166764E5A764F2F4D517146416A466D4A52714E486B364B73716778357672317A7A414D326437656472332F36757171737261324E6E5A6270394E522B76322B3632';
wwv_flow_api.g_varchar2_table(21) := '4F48517147357A4F625850494D454167466C665833646C324E373962746C317669544130464145494B41494151424141414141414141734D7A2B4169316255676F3665626D384141414141456C46546B5375516D434327293B5C725C6E20202020626163';
wwv_flow_api.g_varchar2_table(22) := '6B67726F756E642D7265706561743A206E6F2D7265706561743B5C725C6E202020206261636B67726F756E642D706F736974696F6E3A2063656E7465723B5C725C6E7D5C725C6E2E7265706F72746D61702D636F6E74726F6C5549207B5C725C6E202020';
wwv_flow_api.g_varchar2_table(23) := '206261636B67726F756E642D636F6C6F723A20236666663B5C725C6E20202020626F726465723A2032707820736F6C696420236666663B5C725C6E20202020626F726465722D7261646975733A203070783B5C725C6E20202020626F782D736861646F77';
wwv_flow_api.g_varchar2_table(24) := '3A20302032707820347078207267626128302C302C302C2E33293B5C725C6E20202020637572736F723A20706F696E7465723B5C725C6E202020206D617267696E2D746F703A203570783B5C725C6E202020206D617267696E2D626F74746F6D3A203570';
wwv_flow_api.g_varchar2_table(25) := '783B5C725C6E202020206D617267696E2D6C6566743A203270783B5C725C6E20202020746578742D616C69676E3A2063656E7465723B5C725C6E202020206865696768743A20323870783B5C725C6E7D5C725C6E2E7265706F72746D61702D636F6E7472';
wwv_flow_api.g_varchar2_table(26) := '6F6C496E6E6572207B5C725C6E20202020636F6C6F723A207267622832352C32352C3235293B5C725C6E20202020666F6E742D66616D696C793A20526F626F746F2C417269616C2C73616E732D73657269663B5C725C6E20202020666F6E742D73697A65';
wwv_flow_api.g_varchar2_table(27) := '3A20313270783B5C725C6E202020206D696E2D77696474683A20323470783B5C725C6E202020206D696E2D6865696768743A20323470783B5C725C6E202020206C696E652D6865696768743A20323470783B5C725C6E2020202070616464696E672D6C65';
wwv_flow_api.g_varchar2_table(28) := '66743A203570783B5C725C6E2020202070616464696E672D72696768743A203570783B5C725C6E202020206261636B67726F756E642D7265706561743A206E6F2D7265706561743B5C725C6E202020206261636B67726F756E642D706F736974696F6E3A';
wwv_flow_api.g_varchar2_table(29) := '2063656E7465723B5C725C6E7D5C725C6E2E7265706F72746D61702D636F6E74726F6C436865636B626F78207B5C725C6E7D5C725C6E2E7265706F72746D61702D636F6E74726F6C436865636B626F784C6162656C207B5C725C6E7D5C725C6E2E726570';
wwv_flow_api.g_varchar2_table(30) := '6F72746D61702D6D6573736167655549207B5C725C6E202020206261636B67726F756E642D636F6C6F723A20236666663861363B5C725C6E20202020626F726465722D7261646975733A203270783B5C725C6E20202020626F782D736861646F773A2034';
wwv_flow_api.g_varchar2_table(31) := '7078203470782036707820317078207267626128302C302C302C2E33293B5C725C6E202020206D617267696E3A20313070783B5C725C6E20202020746578742D616C69676E3A2063656E7465723B5C725C6E202020206D696E2D6865696768743A203336';
wwv_flow_api.g_varchar2_table(32) := '70783B5C725C6E7D5C725C6E2E7265706F72746D61702D6D657373616765496E6E6572207B5C725C6E20202020636F6C6F723A20233730373037303B5C725C6E20202020666F6E742D66616D696C793A20526F626F746F2C417269616C2C73616E732D73';
wwv_flow_api.g_varchar2_table(33) := '657269663B5C725C6E20202020666F6E742D73697A653A20313670783B5C725C6E202020206D696E2D77696474683A20323470783B5C725C6E202020206D696E2D6865696768743A20323470783B5C725C6E202020206C696E652D6865696768743A2032';
wwv_flow_api.g_varchar2_table(34) := '3470783B5C725C6E2020202070616464696E673A2037707820313270782037707820313270783B5C725C6E202020206261636B67726F756E642D7265706561743A206E6F2D7265706561743B5C725C6E202020206261636B67726F756E642D706F736974';
wwv_flow_api.g_varchar2_table(35) := '696F6E3A2063656E7465723B5C725C6E7D5C725C6E2E7265706F72746D61702D646562756750616E656C207B5C725C6E202020206261636B67726F756E642D636F6C6F723A202366336633663337643B5C725C6E202020206D617267696E2D746F703A20';
wwv_flow_api.g_varchar2_table(36) := '3270783B5C725C6E202020206D617267696E2D626F74746F6D3A203070783B5C725C6E202020206D617267696E2D6C6566743A203270783B5C725C6E20202020746578742D616C69676E3A2063656E7465723B5C725C6E7D5C725C6E225D7D';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(110135602131153117)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'jk64reportmap_r1.css.map'
,p_mime_type=>'application/json'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '6576616C2866756E6374696F6E28702C612C632C6B2C652C72297B653D66756E6374696F6E2863297B72657475726E28633C613F27273A65287061727365496E7428632F612929292B2828633D632561293E33353F537472696E672E66726F6D43686172';
wwv_flow_api.g_varchar2_table(2) := '436F646528632B3239293A632E746F537472696E6728333629297D3B6966282127272E7265706C616365282F5E2F2C537472696E6729297B7768696C6528632D2D29725B652863295D3D6B5B635D7C7C652863293B6B3D5B66756E6374696F6E2865297B';
wwv_flow_api.g_varchar2_table(3) := '72657475726E20725B655D7D5D3B653D66756E6374696F6E28297B72657475726E275C5C772B277D3B633D317D3B7768696C6528632D2D296966286B5B635D29703D702E7265706C616365286E65772052656745787028275C5C62272B652863292B275C';
wwv_flow_api.g_varchar2_table(4) := '5C62272C276727292C6B5B635D293B72657475726E20707D282735204728622C61297B622E4E28292E5628472C6E2E6F2E325A293B342E493D623B342E32453D622E4E28292E327928293B342E4D3D613B342E433D743B342E713D743B342E31363D743B';
wwv_flow_api.g_varchar2_table(5) := '342E316F3D773B342E4B28622E762829297D472E362E32463D3528297B3720643D343B3720673B3720663B342E713D33412E33752822315922293B342E712E35703D342E32453B3928342E316F297B342E326128297D342E344F28292E34482E34422834';
wwv_flow_api.g_varchar2_table(6) := '2E71293B342E32583D6E2E6F2E752E314728342E7628292C223462222C3528297B663D677D293B6E2E6F2E752E314528342E712C223432222C3528297B673D483B663D777D293B6E2E6F2E752E314528342E712C22324D222C352865297B673D773B3928';
wwv_flow_api.g_varchar2_table(7) := '2166297B3720633B3720623B3720613D642E492E4E28293B6E2E6F2E752E5828612C22324D222C642E49293B6E2E6F2E752E5828612C223356222C642E49293B3928612E32422829297B623D612E317928293B633D642E492E317328293B612E7628292E';
wwv_flow_api.g_varchar2_table(8) := '31562863293B3155283528297B612E7628292E31562863293B392862213D3D74262628612E7628292E313728293E6229297B612E7628292E334628622B31297D7D2C337A297D652E33773D483B3928652E326A297B652E326A28297D7D7D293B6E2E6F2E';
wwv_flow_api.g_varchar2_table(9) := '752E314528342E712C223255222C3528297B3720613D642E492E4E28293B6E2E6F2E752E5828612C223255222C642E49297D293B6E2E6F2E752E314528342E712C22324C222C3528297B3720613D642E492E4E28293B6E2E6F2E752E5828612C22324C22';
wwv_flow_api.g_varchar2_table(10) := '2C642E49297D297D3B472E362E32513D3528297B3928342E712626342E712E3365297B342E314628293B6E2E6F2E752E336228342E3258293B6E2E6F2E752E353728342E71293B342E712E33652E345A28342E71293B342E713D747D7D3B472E362E3338';
wwv_flow_api.g_varchar2_table(11) := '3D3528297B3928342E316F297B3720613D342E323828342E43293B342E712E552E314A3D612E792B227A223B342E712E552E31483D612E782B227A227D7D3B472E362E31463D3528297B3928342E71297B342E712E552E33363D223256227D342E316F3D';
wwv_flow_api.g_varchar2_table(12) := '777D3B472E362E32613D3528297B3928342E71297B3720653D22223B3720633D342E33672E346A28222022293B3720623D313228635B305D2E314E28292C3130293B3720643D313228635B315D2E314E28292C3130293B3720613D342E323828342E4329';
wwv_flow_api.g_varchar2_table(13) := '3B342E712E552E34333D342E32502861293B653D223C343120335A3D5C27222B342E324F2B225C2720553D5C2732303A20315A3B20314A3A20222B642B227A3B2031483A20222B622B227A3B20223B392821342E492E4E28292E316C297B652B3D223359';
wwv_flow_api.g_varchar2_table(14) := '3A20335828222B282D312A64292B227A2C20222B28282D312A62292B342E3172292B227A2C20222B28282D312A64292B342E316B292B227A2C20222B282D312A62292B227A293B227D652B3D225C273E223B342E712E33573D652B223C315920553D5C27';
wwv_flow_api.g_varchar2_table(15) := '222B2232303A20315A3B222B22314A3A20222B342E31585B305D2B227A3B222B2231483A20222B342E31585B315D2B227A3B222B2233543A20222B342E32442B223B222B22314F2D31663A20222B342E327A2B227A3B222B22314F2D33503A20222B342E';
wwv_flow_api.g_varchar2_table(16) := '32762B223B222B22314F2D334E3A20222B342E32742B223B222B22314F2D553A20222B342E32732B223B222B2231772D33493A20222B342E326F2B223B222B2231772D33453A2031683B222B2231783A20222B342E31722B227A3B222B2233422D31753A';
wwv_flow_api.g_varchar2_table(17) := '222B342E316B2B227A3B222B225C273E222B342E31362E31772B223C2F31593E223B3928315120342E31362E31343D3D3D223135227C7C342E31362E31343D3D3D2222297B342E712E31343D342E492E4E28292E324728297D4C7B342E712E31343D342E';
wwv_flow_api.g_varchar2_table(18) := '31362E31347D342E712E552E33363D22227D342E316F3D487D3B472E362E33693D352861297B342E31363D613B3720623D412E337028302C612E32542D31293B623D412E323228342E4D2E702D312C62293B3720633D342E4D5B625D3B342E324F3D632E';
wwv_flow_api.g_varchar2_table(19) := '33663B342E316B3D632E31753B342E31723D632E31783B342E31583D632E356D7C7C5B302C305D3B342E32633D632E35677C7C5B313228342E316B2F322C3130292C313228342E31722F322C3130295D3B342E32443D632E35627C7C223535223B342E32';
wwv_flow_api.g_varchar2_table(20) := '7A3D632E35317C7C31313B342E326F3D632E34567C7C223256223B342E32743D632E34547C7C223452223B342E32733D632E344E7C7C22344B223B342E32763D632E344A7C7C2234492C34472D3446223B342E33673D632E34447C7C22302030227D3B47';
wwv_flow_api.g_varchar2_table(21) := '2E362E33683D352861297B342E433D617D3B472E362E32503D352862297B3720613D5B5D3B612E59282234413A2034793B22293B612E59282232303A20315A3B20314A3A20222B622E792B227A3B2031483A20222B622E782B227A3B22293B612E592822';
wwv_flow_api.g_varchar2_table(22) := '31783A20222B342E31722B227A3B2031753A20222B342E316B2B227A3B22293B6A20612E3476282222297D3B472E362E32383D352862297B3720613D342E333728292E31502862293B612E782D3D342E32635B315D3B612E792D3D342E32635B305D3B61';
wwv_flow_api.g_varchar2_table(23) := '2E783D313228612E782C3130293B612E793D313228612E792C3130293B6A20617D3B3520442861297B342E573D613B342E513D612E7628293B342E543D612E336328293B342E31333D612E325328293B342E31383D612E336128293B342E6B3D5B5D3B34';
wwv_flow_api.g_varchar2_table(24) := '2E433D743B342E32653D743B342E5A3D46204728342C612E32332829297D442E362E34353D3528297B6A20342E6B2E707D3B442E362E31443D3528297B6A20342E6B7D3B442E362E32523D3528297B6A20342E437D3B442E362E763D3528297B6A20342E';
wwv_flow_api.g_varchar2_table(25) := '517D3B442E362E4E3D3528297B6A20342E577D3B442E362E31733D3528297B3720693B3720623D46206E2E6F2E316D28342E432C342E43293B3720613D342E314428293B4228693D303B693C612E703B692B2B297B622E5628615B695D2E532829297D6A';
wwv_flow_api.g_varchar2_table(26) := '20627D3B442E362E31433D3528297B342E5A2E4B2874293B342E6B3D5B5D3B323120342E6B7D3B442E362E31423D352865297B3720693B3720633B3720623B3928342E324E286529297B6A20777D392821342E43297B342E433D652E5328293B342E3235';
wwv_flow_api.g_varchar2_table(27) := '28297D4C7B3928342E3138297B37206C3D342E6B2E702B313B3720613D28342E432E4F28292A286C2D31292B652E5328292E4F2829292F6C3B3720643D28342E432E313928292A286C2D31292B652E5328292E31392829292F6C3B342E433D46206E2E6F';
wwv_flow_api.g_varchar2_table(28) := '2E317128612C64293B342E323528297D7D652E31703D483B342E6B2E592865293B633D342E6B2E703B623D342E572E317928293B392862213D3D742626342E512E313728293E62297B3928652E762829213D3D342E51297B652E4B28342E51297D7D4C20';
wwv_flow_api.g_varchar2_table(29) := '3928633C342E3133297B3928652E762829213D3D342E51297B652E4B28342E51297D7D4C203928633D3D3D342E3133297B4228693D303B693C633B692B2B297B342E6B5B695D2E4B2874297D7D4C7B652E4B2874297D342E324B28293B6A20487D3B442E';
wwv_flow_api.g_varchar2_table(30) := '362E324A3D352861297B6A20342E32652E324928612E532829297D3B442E362E32353D3528297B3720613D46206E2E6F2E316D28342E432C342E43293B342E32653D342E572E32662861297D3B442E362E324B3D3528297B3720633D342E6B2E703B3720';
wwv_flow_api.g_varchar2_table(31) := '613D342E572E317928293B392861213D3D742626342E512E313728293E61297B342E5A2E314628293B6A7D3928633C342E3133297B342E5A2E314628293B6A7D3720623D342E572E323328292E703B3720643D342E572E3248282928342E6B2C62293B34';
wwv_flow_api.g_varchar2_table(32) := '2E5A2E336828342E43293B342E5A2E33692864293B342E5A2E326128297D3B442E362E324E3D352861297B3720693B3928342E6B2E3164297B6A20342E6B2E3164286129213D3D2D317D4C7B4228693D303B693C342E6B2E703B692B2B297B3928613D3D';
wwv_flow_api.g_varchar2_table(33) := '3D342E6B5B695D297B6A20487D7D7D6A20777D3B35203828612C632C62297B342E5628382C6E2E6F2E325A293B633D637C7C5B5D3B623D627C7C7B7D3B342E6B3D5B5D3B342E453D5B5D3B342E316A3D5B5D3B342E31653D743B342E31693D773B342E54';
wwv_flow_api.g_varchar2_table(34) := '3D622E33557C7C33533B342E31333D622E33527C7C323B342E31573D622E32437C7C743B342E4D3D622E33517C7C5B5D3B342E32643D622E31347C7C22223B342E317A3D483B3928622E3241213D3D3135297B342E317A3D622E32417D342E31383D773B';
wwv_flow_api.g_varchar2_table(35) := '3928622E326B213D3D3135297B342E31383D622E326B7D342E31613D773B3928622E3278213D3D3135297B342E31613D622E32787D342E316C3D773B3928622E3277213D3D3135297B342E316C3D622E32777D342E31493D622E334F7C7C382E32753B34';
wwv_flow_api.g_varchar2_table(36) := '2E31743D622E334C7C7C382E32673B342E31633D622E334A7C7C382E32723B342E31543D622E33487C7C382E32703B342E31523D622E33477C7C382E326E3B342E31763D622E33447C7C382E326D3B342E31533D622E33437C7C2250223B3928334B2E33';
wwv_flow_api.g_varchar2_table(37) := '792E334D28292E3164282233782229213D3D2D31297B342E31523D342E31767D342E327128293B342E326C28632C48293B342E4B2861297D382E362E32463D3528297B3720613D343B342E31653D342E7628293B342E31693D483B342E316228293B342E';
wwv_flow_api.g_varchar2_table(38) := '316A3D5B6E2E6F2E752E314728342E7628292C223376222C3528297B612E31412877293B3928342E313728293D3D3D28342E32692822337422297C7C30297C7C342E313728293D3D3D342E3269282232432229297B6E2E6F2E752E5828342C2232682229';
wwv_flow_api.g_varchar2_table(39) := '7D7D292C6E2E6F2E752E314728342E7628292C223268222C3528297B612E316E28297D295D7D3B382E362E32513D3528297B3720693B4228693D303B693C342E6B2E703B692B2B297B3928342E6B5B695D2E762829213D3D342E3165297B342E6B5B695D';
wwv_flow_api.g_varchar2_table(40) := '2E4B28342E3165297D7D4228693D303B693C342E452E703B692B2B297B342E455B695D2E314328297D342E453D5B5D3B4228693D303B693C342E316A2E703B692B2B297B6E2E6F2E752E336228342E316A5B695D297D342E316A3D5B5D3B342E31653D74';
wwv_flow_api.g_varchar2_table(41) := '3B342E31693D777D3B382E362E33383D3528297B7D3B382E362E32713D3528297B3720692C31663B3928342E4D2E703E30297B6A7D4228693D303B693C342E31632E703B692B2B297B31663D342E31635B695D3B342E4D2E59287B33663A342E31492B28';
wwv_flow_api.g_varchar2_table(42) := '692B31292B222E222B342E31742C31753A31662C31783A31667D297D7D3B382E362E33733D3528297B3720693B3720613D342E314428293B3720623D46206E2E6F2E316D28293B4228693D303B693C612E703B692B2B297B622E5628615B695D2E532829';
wwv_flow_api.g_varchar2_table(43) := '297D342E7628292E31562862297D3B382E362E33633D3528297B6A20342E547D3B382E362E33723D352861297B342E543D617D3B382E362E32533D3528297B6A20342E31337D3B382E362E33713D352861297B342E31333D617D3B382E362E31793D3528';
wwv_flow_api.g_varchar2_table(44) := '297B6A20342E31577D3B382E362E34303D352861297B342E31573D617D3B382E362E32333D3528297B6A20342E4D7D3B382E362E336F3D352861297B342E4D3D617D3B382E362E32473D3528297B6A20342E32647D3B382E362E336E3D352861297B342E';
wwv_flow_api.g_varchar2_table(45) := '32643D617D3B382E362E32423D3528297B6A20342E317A7D3B382E362E336D3D352861297B342E317A3D617D3B382E362E33613D3528297B6A20342E31387D3B382E362E34343D352861297B342E31383D617D3B382E362E336C3D3528297B6A20342E31';
wwv_flow_api.g_varchar2_table(46) := '617D3B382E362E336B3D352861297B342E31613D617D3B382E362E336A3D3528297B6A20342E316C7D3B382E362E34383D352861297B342E316C3D617D3B382E362E356F3D3528297B6A20342E31747D3B382E362E356E3D352861297B342E31743D617D';
wwv_flow_api.g_varchar2_table(47) := '3B382E362E356C3D3528297B6A20342E31497D3B382E362E356B3D352861297B342E31493D617D3B382E362E35693D3528297B6A20342E31637D3B382E362E35683D352861297B342E31633D617D3B382E362E32483D3528297B6A20342E31547D3B382E';
wwv_flow_api.g_varchar2_table(48) := '362E35663D352861297B342E31543D617D3B382E362E35653D3528297B6A20342E31767D3B382E362E35643D352861297B342E31763D617D3B382E362E32793D3528297B6A20342E31537D3B382E362E35633D352861297B342E31533D617D3B382E362E';
wwv_flow_api.g_varchar2_table(49) := '31443D3528297B6A20342E6B7D3B382E362E35613D3528297B6A20342E6B2E707D3B382E362E35393D3528297B6A20342E457D3B382E362E35343D3528297B6A20342E452E707D3B382E362E31423D3528622C61297B342E32622862293B39282161297B';
wwv_flow_api.g_varchar2_table(50) := '342E316E28297D7D3B382E362E326C3D3528622C61297B3720633B4228632033392062297B3928622E3530286329297B342E326228625B635D297D7D39282161297B342E316E28297D7D3B382E362E32623D352862297B3928622E34582829297B372061';
wwv_flow_api.g_varchar2_table(51) := '3D343B6E2E6F2E752E314728622C223457222C3528297B3928612E3169297B342E31703D773B612E316228297D7D297D622E31703D773B342E6B2E592862297D3B382E362E34553D3528632C61297B3720623D342E32392863293B39282161262662297B';
wwv_flow_api.g_varchar2_table(52) := '342E316228297D6A20627D3B382E362E34533D3528612C63297B3720692C723B3720623D773B4228693D303B693C612E703B692B2B297B723D342E323928615B695D293B623D627C7C727D39282163262662297B342E316228297D6A20627D3B382E362E';
wwv_flow_api.g_varchar2_table(53) := '32393D352862297B3720693B3720613D2D313B3928342E6B2E3164297B613D342E6B2E31642862297D4C7B4228693D303B693C342E6B2E703B692B2B297B3928623D3D3D342E6B5B695D297B613D693B34517D7D7D3928613D3D3D2D31297B6A20777D62';
wwv_flow_api.g_varchar2_table(54) := '2E4B2874293B342E6B2E345028612C31293B6A20487D3B382E362E344D3D3528297B342E31412848293B342E6B3D5B5D7D3B382E362E31623D3528297B3720613D342E452E344C28293B342E453D5B5D3B342E31412877293B342E316E28293B31552835';
wwv_flow_api.g_varchar2_table(55) := '28297B3720693B4228693D303B693C612E703B692B2B297B615B695D2E314328297D7D2C30297D3B382E362E32663D352864297B3720663D342E333728293B3720633D46206E2E6F2E317128642E323728292E4F28292C642E323728292E31392829293B';
wwv_flow_api.g_varchar2_table(56) := '3720613D46206E2E6F2E317128642E323428292E4F28292C642E323428292E31392829293B3720653D662E31502863293B652E782B3D342E543B652E792D3D342E543B3720673D662E31502861293B672E782D3D342E543B672E792B3D342E543B372062';
wwv_flow_api.g_varchar2_table(57) := '3D662E33322865293B3720683D662E33322867293B642E562862293B642E562868293B6A20647D3B382E362E316E3D3528297B342E32362830297D3B382E362E31413D352861297B3720692C4A3B4228693D303B693C342E452E703B692B2B297B342E45';
wwv_flow_api.g_varchar2_table(58) := '5B695D2E314328297D342E453D5B5D3B4228693D303B693C342E6B2E703B692B2B297B4A3D342E6B5B695D3B4A2E31703D773B392861297B4A2E4B2874297D7D7D3B382E362E33303D3528622C65297B3720523D34453B3720673D28652E4F28292D622E';
wwv_flow_api.g_varchar2_table(59) := '4F2829292A412E314B2F314D3B3720663D28652E313928292D622E31392829292A412E314B2F314D3B3720613D412E314C28672F32292A412E314C28672F32292B412E333128622E4F28292A412E314B2F314D292A412E333128652E4F28292A412E314B';
wwv_flow_api.g_varchar2_table(60) := '2F314D292A412E314C28662F32292A412E314C28662F32293B3720633D322A412E344328412E32592861292C412E325928312D6129293B3720643D522A633B6A20647D3B382E362E33353D3528622C61297B6A20612E324928622E532829297D3B382E36';
wwv_flow_api.g_varchar2_table(61) := '2E33333D352863297B3720692C642C502C31683B3720613D347A3B3720623D743B4228693D303B693C342E452E703B692B2B297B503D342E455B695D3B31683D502E325228293B39283168297B643D342E33302831682C632E532829293B3928643C6129';
wwv_flow_api.g_varchar2_table(62) := '7B613D643B623D507D7D7D3928622626622E324A286329297B622E31422863297D4C7B503D4620442834293B502E31422863293B342E452E592850297D7D3B382E362E32363D352865297B3720692C4A3B3720643B3720633D343B392821342E3169297B';
wwv_flow_api.g_varchar2_table(63) := '6A7D3928653D3D3D30297B6E2E6F2E752E5828342C223478222C34293B3928315120342E3167213D3D22313522297B347728342E3167293B323120342E31677D7D3928342E7628292E313728293E33297B643D46206E2E6F2E316D28342E7628292E3173';
wwv_flow_api.g_varchar2_table(64) := '28292E323428292C342E7628292E317328292E32372829297D4C7B643D46206E2E6F2E316D2846206E2E6F2E31712833342E34752C2D32572E3474292C46206E2E6F2E3171282D33342E34732C32572E347229297D3720613D342E32662864293B372062';
wwv_flow_api.g_varchar2_table(65) := '3D412E323228652B342E31522C342E6B2E70293B4228693D653B693C623B692B2B297B4A3D342E6B5B695D3B3928214A2E31702626342E3335284A2C6129297B392821342E31617C7C28342E316126264A2E3471282929297B342E3333284A297D7D7D39';
wwv_flow_api.g_varchar2_table(66) := '28623C342E6B2E70297B342E31673D3155283528297B632E32362862297D2C30297D4C7B323120342E31673B6E2E6F2E752E5828342C223459222C34297D7D3B382E362E563D3528642C63297B6A28352862297B3720613B42286120333920622E36297B';
wwv_flow_api.g_varchar2_table(67) := '342E365B615D3D622E365B615D7D6A20347D292E347028642C5B635D297D3B382E32703D3528612C63297B3720663D303B3720623D22223B3720643D612E702E346F28293B3720653D643B346E2865213D3D30297B653D313228652F31302C3130293B66';
wwv_flow_api.g_varchar2_table(68) := '2B2B7D663D412E323228662C63293B6A7B31773A642C32543A662C31343A627D7D3B382E326E3D35323B382E326D3D346D3B382E32753D22346C3A2F2F6E2D6F2D346B2D35382D34692E34682E34672F34662F34652F34642F34632F6D223B382E32673D';
wwv_flow_api.g_varchar2_table(69) := '223461223B382E32723D5B35332C35362C356A2C34392C34375D3B392831512033642E362E314E213D3D5C27355C27297B33642E362E314E3D3528297B6A20342E3436282F5E5C5C732B7C5C5C732B242F672C5C275C27297D7D272C36322C3333362C27';
wwv_flow_api.g_varchar2_table(70) := '7C7C7C7C746869737C66756E6374696F6E7C70726F746F747970657C7661727C4D61726B6572436C757374657265727C69667C7C7C7C7C7C7C7C7C7C72657475726E7C6D61726B6572735F7C7C7C676F6F676C657C6D6170737C6C656E6774687C646976';
wwv_flow_api.g_varchar2_table(71) := '5F7C7C7C6E756C6C7C6576656E747C6765744D61707C66616C73657C7C7C70787C4D6174687C666F727C63656E7465725F7C436C75737465727C636C7573746572735F7C6E65777C436C757374657249636F6E7C747275657C636C75737465725F7C6D61';
wwv_flow_api.g_varchar2_table(72) := '726B65727C7365744D61707C656C73657C7374796C65735F7C6765744D61726B6572436C757374657265727C6C61747C636C75737465727C6D61705F7C7C676574506F736974696F6E7C6772696453697A655F7C7374796C657C657874656E647C6D6172';
wwv_flow_api.g_varchar2_table(73) := '6B6572436C757374657265725F7C747269676765727C707573687C636C757374657249636F6E5F7C7C7C7061727365496E747C6D696E436C757374657253697A655F7C7469746C657C756E646566696E65647C73756D735F7C6765745A6F6F6D7C617665';
wwv_flow_api.g_varchar2_table(74) := '7261676543656E7465725F7C6C6E677C69676E6F726548696464656E5F7C72657061696E747C696D61676553697A65735F7C696E6465784F667C6163746976654D61705F7C73697A657C74696D65725265665374617469637C63656E7465727C72656164';
wwv_flow_api.g_varchar2_table(75) := '795F7C6C697374656E6572735F7C6865696768745F7C656E61626C65526574696E6149636F6E735F7C4C61744C6E67426F756E64737C7265647261775F7C76697369626C655F7C697341646465647C4C61744C6E677C77696474685F7C676574426F756E';
wwv_flow_api.g_varchar2_table(76) := '64737C696D616765457874656E73696F6E5F7C6865696768747C626174636853697A6549455F7C746578747C77696474687C6765744D61785A6F6F6D7C7A6F6F6D4F6E436C69636B5F7C726573657456696577706F72745F7C6164644D61726B65727C72';
wwv_flow_api.g_varchar2_table(77) := '656D6F76657C6765744D61726B6572737C616464446F6D4C697374656E65727C686964657C6164644C697374656E65727C6C6566747C696D616765506174685F7C746F707C50497C73696E7C3138307C7472696D7C666F6E747C66726F6D4C61744C6E67';
wwv_flow_api.g_varchar2_table(78) := '546F446976506978656C7C747970656F667C626174636853697A655F7C636C7573746572436C6173735F7C63616C63756C61746F725F7C73657454696D656F75747C666974426F756E64737C6D61785A6F6F6D5F7C616E63686F72546578745F7C646976';
wwv_flow_api.g_varchar2_table(79) := '7C6162736F6C7574657C706F736974696F6E7C64656C6574657C6D696E7C6765745374796C65737C676574536F757468576573747C63616C63756C617465426F756E64735F7C637265617465436C7573746572735F7C6765744E6F727468456173747C67';
wwv_flow_api.g_varchar2_table(80) := '6574506F7346726F6D4C61744C6E675F7C72656D6F76654D61726B65725F7C73686F777C707573684D61726B6572546F5F7C616E63686F7249636F6E5F7C7469746C655F7C626F756E64735F7C676574457874656E646564426F756E64737C494D414745';
wwv_flow_api.g_varchar2_table(81) := '5F455854454E53494F4E7C69646C657C6765747C73746F7050726F7061676174696F6E7C6176657261676543656E7465727C6164644D61726B6572737C42415443485F53495A455F49457C42415443485F53495A457C746578744465636F726174696F6E';
wwv_flow_api.g_varchar2_table(82) := '5F7C43414C43554C41544F527C73657475705374796C65735F7C494D4147455F53495A45537C666F6E745374796C655F7C666F6E745765696768745F7C494D4147455F504154487C666F6E7446616D696C795F7C656E61626C65526574696E6149636F6E';
wwv_flow_api.g_varchar2_table(83) := '737C69676E6F726548696464656E7C676574436C7573746572436C6173737C7465787453697A655F7C7A6F6F6D4F6E436C69636B7C6765745A6F6F6D4F6E436C69636B7C6D61785A6F6F6D7C74657874436F6C6F725F7C636C6173734E616D655F7C6F6E';
wwv_flow_api.g_varchar2_table(84) := '4164647C6765745469746C657C67657443616C63756C61746F727C636F6E7461696E737C69734D61726B6572496E436C7573746572426F756E64737C75706461746549636F6E5F7C6D6F7573656F75747C636C69636B7C69734D61726B6572416C726561';
wwv_flow_api.g_varchar2_table(85) := '647941646465645F7C75726C5F7C6372656174654373737C6F6E52656D6F76657C67657443656E7465727C6765744D696E696D756D436C757374657253697A657C696E6465787C6D6F7573656F7665727C6E6F6E657C3137387C626F756E64734368616E';
wwv_flow_api.g_varchar2_table(86) := '6765644C697374656E65725F7C737172747C4F7665726C6179566965777C64697374616E63654265747765656E506F696E74735F7C636F737C66726F6D446976506978656C546F4C61744C6E677C616464546F436C6F73657374436C75737465725F7C38';
wwv_flow_api.g_varchar2_table(87) := '357C69734D61726B6572496E426F756E64735F7C646973706C61797C67657450726F6A656374696F6E7C647261777C696E7C6765744176657261676543656E7465727C72656D6F76654C697374656E65727C6765744772696453697A657C537472696E67';
wwv_flow_api.g_varchar2_table(88) := '7C706172656E744E6F64657C75726C7C6261636B67726F756E64506F736974696F6E5F7C73657443656E7465727C7573655374796C657C676574456E61626C65526574696E6149636F6E737C73657449676E6F726548696464656E7C67657449676E6F72';
wwv_flow_api.g_varchar2_table(89) := '6548696464656E7C7365745A6F6F6D4F6E436C69636B7C7365745469746C657C7365745374796C65737C6D61787C7365744D696E696D756D436C757374657253697A657C7365744772696453697A657C6669744D6170546F4D61726B6572737C6D696E5A';
wwv_flow_api.g_varchar2_table(90) := '6F6F6D7C637265617465456C656D656E747C7A6F6F6D5F6368616E6765647C63616E63656C427562626C657C6D7369657C757365724167656E747C3130307C646F63756D656E747C6C696E657C636C7573746572436C6173737C626174636853697A6549';
wwv_flow_api.g_varchar2_table(91) := '457C616C69676E7C7365745A6F6F6D7C626174636853697A657C63616C63756C61746F727C6465636F726174696F6E7C696D61676553697A65737C6E6176696761746F727C696D616765457874656E73696F6E7C746F4C6F776572436173657C77656967';
wwv_flow_api.g_varchar2_table(92) := '68747C696D616765506174687C66616D696C797C7374796C65737C6D696E696D756D436C757374657253697A657C36307C636F6C6F727C6772696453697A657C636C7573746572636C69636B7C696E6E657248544D4C7C726563747C636C69707C737263';
wwv_flow_api.g_varchar2_table(93) := '7C7365744D61785A6F6F6D7C696D677C6D6F757365646F776E7C637373546578747C7365744176657261676543656E7465727C67657453697A657C7265706C6163657C39307C736574456E61626C65526574696E6149636F6E737C37387C706E677C626F';
wwv_flow_api.g_varchar2_table(94) := '756E64735F6368616E6765647C696D616765737C6D61726B6572636C75737465726572706C75737C7472756E6B7C73766E7C636F6D7C676F6F676C65636F64657C76337C73706C69747C7574696C6974797C687474707C3530307C7768696C657C746F53';
wwv_flow_api.g_varchar2_table(95) := '7472696E677C6170706C797C67657456697369626C657C30303034383836353632357C30383133363434343338343534347C34383338383433343337357C30323037303737313734333437327C6A6F696E7C636C65617254696D656F75747C636C757374';
wwv_flow_api.g_varchar2_table(96) := '6572696E67626567696E7C706F696E7465727C34303030307C637572736F727C617070656E644368696C647C6174616E327C6261636B67726F756E64506F736974696F6E7C363337317C73657269667C73616E737C6F7665726C61794D6F757365546172';
wwv_flow_api.g_varchar2_table(97) := '6765747C417269616C7C666F6E7446616D696C797C6E6F726D616C7C736C6963657C636C6561724D61726B6572737C666F6E745374796C657C67657450616E65737C73706C6963657C627265616B7C626F6C647C72656D6F76654D61726B6572737C666F';
wwv_flow_api.g_varchar2_table(98) := '6E745765696768747C72656D6F76654D61726B65727C746578744465636F726174696F6E7C64726167656E647C676574447261676761626C657C636C7573746572696E67656E647C72656D6F76654368696C647C6861734F776E50726F70657274797C74';
wwv_flow_api.g_varchar2_table(99) := '65787453697A657C323030307C7C676574546F74616C436C7573746572737C626C61636B7C7C636C656172496E7374616E63654C697374656E6572737C6C6962726172797C676574436C7573746572737C676574546F74616C4D61726B6572737C746578';
wwv_flow_api.g_varchar2_table(100) := '74436F6C6F727C736574436C7573746572436C6173737C736574426174636853697A6549457C676574426174636853697A6549457C73657443616C63756C61746F727C616E63686F7249636F6E7C736574496D61676553697A65737C676574496D616765';
wwv_flow_api.g_varchar2_table(101) := '53697A65737C36367C736574496D616765506174687C676574496D616765506174687C616E63686F72546578747C736574496D616765457874656E73696F6E7C676574496D616765457874656E73696F6E7C636C6173734E616D65272E73706C69742827';
wwv_flow_api.g_varchar2_table(102) := '7C27292C302C7B7D2929';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(196478312956656012)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'markerclusterer.min.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D49484452000000350000003408060000002ABA70D5000000017352474200AECE1CE900000006624B474400FF00FF00FFA0BDA793000000097048597300000B1300000B1301009A9C180000000774494D4507D90418082A11';
wwv_flow_api.g_varchar2_table(2) := '9200839500000B3B4944415468DEBD9A5B8C5D6775C77FFF7D66C6638FC7F6C471629C40139AA4A913053058DCA14A0BA9DA7011E181B6525111F040E005CE163C70111709C139028907505504A87988902A352A8990824AA526A14004283121C56E48D2';
wwv_flow_api.g_varchar2_table(3) := '38C4E3D8E3198FE77ECEFEF3B0D7DEE79BE3DB991B5B1A9D3997FDED6F7D6B7DFFF55FFFF589CDBEDA06C800010DA0810DD2087681D4018C5DBE967F0579D6BBBFA90D4D61FD77B70AEA8994EF478151A4A1302443CAC280789A0803C1165281DD45EA62';
wwv_flow_api.g_varchar2_table(4) := 'AF202DD0D4CA46D755EBF24453A55120A43160671801B691CA716DD7CF888F6A03E1C2BF8315E02CB0542F5AFF026EAA513D8332A49DD83BC21B9531E998D5843B6154119FA90ECDD240275E74F2FD32D21C4DCDAF352CB5E6706B15DB91760359845215';
wwv_flow_api.g_varchar2_table(5) := '5E95478C3D07CC23752E3A91B6C1DE86B4037B7B6F468971E55805D2699AEA0C6A98D6E41DD8036C078AFAFED23B1DEC05A479EC21A41DC06EEC09A49DC0484C9408B905ECB3C0196016691E10F64E605B004DB540D562CD60CF916797F59A0634681869';
wwv_flow_api.g_varchar2_table(6) := '2226ECFADE7215A7696A91B60F00D70363D8233131AF0288D5FF5793ED602F214D631F25CF66697B1CD8152093EECB25EC29F2CC1BF354AB1806F6F581808145601AB80AB82D8CE9D6007021C4AB21C2AC1AAF37F1216012783CBCBE1769B80F4C9681D3';
wwv_flow_api.g_varchar2_table(7) := '97326CE8B2FB48DA960041E91D3889B40BFBF5617001746AA8B61B113A33C01CD26CED357B18691C7B2CBCD1058A307A05FB4AA4B7623F8FF464A0EA15C9020D233580CEFA8C92A0A97309DA75C9B349DABE1EFBD6F855374251E1A559E029ECE30988EC';
wwv_flow_api.g_varchar2_table(8) := '077647481E8D9C64EC21E0E5C00D013C8A9013F052ECAB8047C27BFBE2795334D5D968F8119B7307F622702B705D1F581461C431601CFB16A45B819701FBEBB02CAF46E4A2E3C0B348478027B187819B90AE8EB19D24E8234827B121CF162F97B7B44638';
wwv_flow_api.g_varchar2_table(9) := 'BF0EE995B5EBED0C3887F410F63EA47F0AAF8C24FBA79764D33D95C2B7B488FD38D23D1192AF0DE31D51B0023C4C9E9D1B04D6B58EC4FBE7112E203D0D1CC3BE03E91DB199530F6611722BD8CBF1BCED492E2A12841C06CE62DF83F4247018988850FD25';
wwv_flow_api.g_varchar2_table(10) := '4D9DD81A46D10BC59BB1678105E06EA4EB2257556032823403FC1C780CFB45603E567F0CB81638041C0E033B754E9232ECFF21CFBE43AB38089C20CFA6D64295D6CEFD526601AD586127407106F837E017D83723DD8E7D6320DA09A4A78087B0FF1B7811';
wwv_flow_api.g_varchar2_table(11) := '7837F0C6E090156D1A029EA7A9CFFDF1587A158A6DDF09BC33F6C802D2BDC073C0DDD8770137AD42D2D5390AA48781EFC422DC81FDF63A074ADFA2A9FF5D2B99DD58E9D1F3DC5DC09B903E07BC01FBDF91B625F4E6FC7B7ADCAE028DE7915E8FBD1FE983';
wwv_flow_api.g_varchar2_table(12) := 'D86DF2ECD87A0CDAB8513DF09840BA1BF8621242838E5D21DC39A4F761FF883C5BDE48B19845A55AD547EBBD3E80FDC5241769CD0B5B12DFFB915EB5394562C9EF8CD4A5299FE7894B87DFBB80FB56157DEBBD4AF4EC60DF449E3DB3A668594593CABA66';
wwv_flow_api.g_varchar2_table(13) := '77A0589756B114546784A6162F5ABE97031E00FE65D3F667B928C3489F07DE3FD0A2BA8EB491E0A92BA2ED2C7855237E34170FF80B602ED0EC77A125B8F664B9189F406A6FBA7853F1C59267AE36AC12764A627B2D4D3D45DBFB826681B428DA6E44F9A0';
wwv_flow_api.g_varchar2_table(14) := '487E2F06E5794D30F221A4FB81F744E1F734F024D271EC27900E6EB2415518DF4B537F1F5E1803FE3418FF4C943ABBA2BE7B200ACB1D91268A4ACACA924DBE8C7455F2FE2C4DAD60DF06BC06E9BD487F89BD1B38B8E95EEAD5627F17067D01F82AD24781';
wwv_flow_api.g_varchar2_table(15) := 'BFC65E8AF2BF8BB4827D1576A7961620CB80E1A400EB86AB4792C754E1784D02BF4F037FCB565D55FE6A15B72035A27E2A906E413A57F3CBD290B160FD751AC912C98AA4901B0B342B9942DB63D80DEC8A0E9D45FA3324B6D4B072AF4F4535A078FE7812';
wwv_flow_api.g_varchar2_table(16) := '450EADD1E95CB28B0CE8C4D82EB01FA988585F024E614FF42D085B148A937DC83A7441F44BE6925D1685CA81CF25030F03E35147B1C59783D5BB0FF62FE6D9306AB572AA0B1471DBC8B3C9245433605B283B5B6C920BE01AA0A8EBAFA64EAF527DABFDB7';
wwv_flow_api.g_varchar2_table(17) := 'CA53E58DAB3D57C2A6C2533BE2BB3331888183D8F7C682784B3C544EF208D2B6F04E86344DDBA3C9E22BC49D067D467491149315AD62089849DC391EAF47631023DD081C8B22515BE02121FD3654AAD158E806F058CCA75AFC0CE9546C890A48C8C2B59D';
wwv_flow_api.g_varchar2_table(18) := '989C23919D4924E5115AC504F6D15A0A861B817DD8DFDE42E4FB08F6A1C8490E95F767C0DE2497197B1669B8D6F1A5E52CE0B09B0CB91D7B3EC44AC57737004FD49F9512F3FB81EF024BB5A4BC799E3A42533F46FA9BA4AA3E419E3D075C9D183E459E15';
wwv_flow_api.g_varchar2_table(19) := 'E1A9EADEE58CA68CDDAD2D2F63B88382CC967BEE00D2E98072A29F7403308DFD40A2DA6EC65EEA223569156F03AE8C7133E047B48A5DC0DE24D11EA7550CD739B43474B182F4A5042E8DBD0D7BB286F43244AF05EE431A4D90E61F80BB809F6C786FF558';
wwv_flow_api.g_varchar2_table(20) := 'CDD7B17F83745768EC20CD613F9AC8738AD749A4F1883605D3E85446CD27C0606007702C949DCA832F23CF1EC3FE75A2C95D177AC45FC5E7E904D78674E53EF932D2A7800FD77D2ABB01FC2C26BD07BB8839CD00F3C99E23F4C1A2AC7CCB3A6931C95143';
wwv_flow_api.g_varchar2_table(21) := '756C43230CDE49ABB815F867A4D9BA8523BD1AF847E076ECFF48988007F04EDA0EFA2CF035EC8FD53CB3E47DBFA3A97BB16FABD38FD4C07E0A18AFD94F39D622794696D42AD34902167005F00CD2D9785F20BD3C14D4EF2774651938141AC5FBB0EF0C20';
wwv_flow_api.g_varchar2_table(22) := 'D1459373AF5705F02BE000F677913E19CCBFEAFBCE00DFA4551C44DA55C3384C926727A257E63A25E5D95C8F41B46BFE34110A6AB5394F47ADF58A244C8CFD20F056E0BD492AC80240EE41FA05F6BB810F21EDC7DEB3AAAF0527B18F856E7804FB0EE03D';
wwv_flow_api.g_varchar2_table(23) := '484B09302C607F2B9A72AF4D14DE0ED283D83B6BADB05CA3B3952CADBEF27C047B6FF2F0AA6D7308FB9ABAC35186EA7F221DC6FE501853A9B3024E01CF02FF1A4973CF2A51C69E42BA05781D707D30EF22599C59ECAFC6FBC3B5D7CBD7C7914E007B9348';
wwv_flow_api.g_varchar2_table(24) := '5889E216F22C31AA27505E813D5A330C58A4A929DABEBD8F5C36B0FF2B7A4D1F8F560FC97D0BC09768EAD405C49AD108B5037D0A94B19F05BE11E17F285845B5182F90678FD2F64BFAF8E919F26CF17C96DEAC89ED541CE0A868C7286DEFC27E28126DB5';
wwv_flow_api.g_varchar2_table(25) := '570AE0CDD8DB913E8D7D1F700E188D8D7B328E0E9C7FE5D922F6EF1382BC1DFB24F6F780AF0037221D8AC4EF78E62479F628ADE2CA045C84BD941A747EE9512946F699BECDBC3338D88F91166A83CB50B919FB4DC0C34879C8C873C0FFD3D4F225A8D06F';
wwv_flow_api.g_varchar2_table(26) := 'C3DB2F002DF2EC3321F2DC89746D5FF7641AE9E7B4BD2F4ECE1061DE05A6FA754B5D42CF1B43DA13CDEA8A64CE44E3ED30D2D5D14CAB1EDC08C6712C3A7FA3FD2BD837FE7854ADA7A26B783DD244D2F6ACC8F3B334758456B1374A9EB4803D459EADF42B';
wwv_flow_api.g_varchar2_table(27) := '4E97EBCE8F63EF4A0E76187B29CA903F015E594B6795765E1D0469EA81015A426FC11E8BA33FA4E24918F44834CBF7D57DE45EB3EF1479B674213D32BB8CF2391BFB244DA6A348FB80E7B01F449A0A6F2A49BCD3AB52C5F97B8ABA464BCF5894CFE900CF';
wwv_flow_api.g_varchar2_table(28) := '91673F8830DE9F34C6ABFD5C1AD4230EEB381C5282C11554A7BECA507420DC4C68702F8DE6DB28F64FC9B3E3038C3D01DC1E7B6309380ABC1039694FBD7F7A0D3947237BE9521D916C202A93670BD8A78277A50BB103FB40FCFF044DDD0F3C8274FCA25E';
wwv_flow_api.g_varchar2_table(29) := '4A43D09EC6FE3FEC9FD0D40F8167229D5C1D325D7ADEA924B097316870FDBBD7B26900BB90B6AF3A2CD583D825600E7B71E0BE52AB688464305AD745FD87B7CA56EC39F2CC83E8EB833DB93A0A9767DDD80753C10555F32EC7012A181958652ABDB9137B';
wwv_flow_api.g_varchar2_table(30) := '1C7B385928D55D797B126976508336D6F32D273516A472B88EF9BEEC3E8061D5E1ACF414DA12D27CDD7559634771EDBDC7B2895D79702EF6DA8BD1FEE9240C7BD06B393CB41CDAC8C90083F210C83A5AA47F00FF136947614E93120000000049454E44AE';
wwv_flow_api.g_varchar2_table(31) := '426082';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(196478708837656011)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'images/m1.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000003800000037080600000059D089CB000000017352474200AECE1CE900000006624B474400FF00FF00FFA0BDA793000000097048597300000B1300000B1301009A9C180000000774494D4507D90418082935';
wwv_flow_api.g_varchar2_table(2) := '852E348700000C3B4944415468DEC59A5B6CA56775869FF7F7F6611C7B0E9E49C2E41C8610483230A401955605F68F202861B8E024B800120909B50855AAE0A612EA454F522BA4F682AA055A21AE68AB5E1444C221DA3B4224402003219310C221936486';
wwv_flow_api.g_varchar2_table(3) := 'C499B13D3E8FB7F7FEDF5E787D7B3EEFD81E7BEC497FC9DAD63EFCFFB7BEF5AE77ADF5AE4F5C82AB6A80846C14AF3540127D40CD6659A2B2A9243A3696B08D8B72E51E6E82EADB5F8BB6F3E3DE45B8493F301846F4037D127DF6F9AF481086AFBCB1F259';
wwv_flow_api.g_varchar2_table(4) := '47A20D2C03CB36ADA2A4BD139BADED7829DBED619BCB805ABA6F18928C5AF73936A4EF86D1066CB30CCC1625ADED7854DBF09E8021600F50AC654CB6F8E443AF588FE233F518E858537A15D0B299065A45B9754375317074935DC065368369C7B3852BFE';
wwv_flow_api.g_varchar2_table(5) := '6F014B01BBB64D959C0F14E1AD1AD06733203100F4A7CDC8BC990C5DB4992D4A96DD5CD99084A06D1BD863DC98CD5016538A4549A203CCDA2C1425540DFA81FDC05E8991148BE1B10A989598B4992A4AAAAA81244663F394DD9F0C01F345C9CC8E793019';
wwv_flow_api.g_varchar2_table(6) := '5735A849EC8F1DEF7A2C1EDAB69909B218B1B956E24A6034BEEB4430397C9377029A5336A724C681057B0525595C3B5BF3A2C4B4EA541782AC364324558341605F40CBB1B80268494CD9141237D8BC0AD81BF7ADB4097C24EF67C6B66D2681DF4B9C0CD8';
wwv_flow_api.g_varchar2_table(7) := 'EE8DE7395B735B6242753A39E16DD983E1B92B33AF394865A628997593EB6D6E8994A01EB2E92E28C566F7C119F964E4B2DA76B328F15360DA66BFD48DF9F4DDCA66BC28F1457930B9DF4D76032319494C0654DF2071D0A6139ECD21B768B32031613323';
wwv_flow_api.g_varchar2_table(8) := '712620970CEB84B7F7488C01BB805D91FC73CFF649FC1A780A180646527C02678B92C58D60BA9518DC2D310C9CB1392071D866382A124B1461F4EF257E034C01076D0E495C673328B1373C83C4B4CD69E045E0D7C09CC4E5C06BC3F04E0F7C27258EC566';
wwv_flow_api.g_varchar2_table(9) := 'EEB3395B949CDB560CF61A1AD7419B3B12B4125948CC01C75467DA4DFEC4E6BDC0EE0CB679F2EF85A880DFD97CB32879D24DAEB1391C0493183A114D0358484475A154A1AD562E55835B240E6595C7B2CD33C033127F68F34189DD402BE0AC0C9645C688';
wwv_flow_api.g_varchar2_table(10) := 'DDA2203EEB03FA8113C07F4AFCC6E636E09A8CAC3AC0E3AAF3FC6613FE962A99AAD1FDF77512AF05CE013F005E65F37189AB028229252858B02651441A6847AC5D198CD906DA59CE2B806589A76DBE0A0C4BBC390A864755677C23D6DC76A99679F2F512';
wwv_flow_api.g_varchar2_table(11) := 'BF058ED8DC9B41304FD00BC0F781478B92E7A2CB48E9A1267173C0FD2D40ADB77EB59902FE213C3752949C7A456AD164A49B5C0FFC6556471661E093120FD89C02EE08E8FE01B01BB819F889C402F088CD0F259E026E07FED8E686F0B2A3239901FEA228';
wwv_flow_api.g_varchar2_table(12) := 'F1C514DCDB29B653B23F6A7334D8741EF832F012F07989BB6D5E9DC5DAAA3C18EF2D49FC0AF80AF06FC03B800FA4CF802F1525C75FF16EA207AE1F0E4FFDBDCD1B25EE07863222DA70AF32223A01BC0D18033E05FC7B51F2E8FF5BC3DB63E498C43D365F';
wwv_flow_api.g_varchar2_table(13) := '482960A33E70AD922DE26E02F898C483AAB3B8154259EB2A3266BCB81D52F7F5A3365FC8DED716EF93C869BFC47DC0E11DEBE8AB46B78836ACDEB1CD60DF4DEA368D756ACA8B0AF158CBA1A2E4C4C54A28008AE6711F3024D18AC09E03068B92A50BDDA0';
wwv_flow_api.g_varchar2_table(14) := '6A70204AB33D3B295C05217D03F890446BBD4DEE857020B2167FED5AD07A2DF03F081445C95CD5E0AD55830EF092C429D599CB9ADEDCD0CF02BBB71A739B84EDDD36B7A9CEB1F50C8BF8AF05319D01C642E82A80C56458DFAAD26B456F198B326C9FCD55';
wwv_flow_api.g_varchar2_table(15) := '5583E3126FB779C466DC4DDAD1C2DC9DAB643BE9C428DF3E03DC9BA5A61AD0A73A4B55839B81AB254623DD7CCFA62F7E0730504B2D49F456925806AE486D4BC4D50470ADCDBB81A3D1E47E5D6209B8ED1218970B52F700F7560D0ED91C91B8D666C44DFE';
wwv_flow_api.g_varchar2_table(16) := '29CABDD14CEF198CF5A622BE560B517695FC106A595722880EFB884415F5E758B4436FED51C376DA48074FDC6A7308B82B64917EE0B2D073F6455A2A422B6A45FDBA92267AE3C6A613FD9E53272E311B5A8B6C1C12C5D3C0BB772A9F5E204FBF1738191B';
wwv_flow_api.g_varchar2_table(17) := 'EC88AFFEA8559569B1C39963BAA5D6CBF25A32AE47BE1B8DCF243163770BE657E2EA0073F68A081C65E18DD175AC5A67EF7A8ACDD075DAB18CBEA7E36683F6A5B72EC2A01DFD259974D2FBBD97895DC53A06D1B3F076E4C69484AF8BDFCEF00A5D218FF4';
wwv_flow_api.g_varchar2_table(18) := '676F2DAF151AE18CEE55CBCBAD8C6C167AE87A97CD7C826840E600F0FCA586686CF4B3A1C9D662B3FB8067437725AB7D97D78AC1F6AACA6685559732099E50A6CF6474DCB17903F04078FB520135D1FDFDC00D59E73119296A4FE28B283597ECD5615304';
wwv_flow_api.g_varchar2_table(19) := '969D61BD1F180F952CC90F63A1BB24A5AB1D5DF8D3129397824583AD25F1A4EACC01372545CE66C26631D25562D60A98EF9D6C1571A37676E39AEA2CC45427699C23C078E49804D19BC2E0072F497E5077A17F5D35B809B826F3E80B12B5986124D5AD15';
wwv_flow_api.g_varchar2_table(20) := '445464AA5DAB90707C9052C440183A1EF1966AD4C15099FBB2B1D69DC0BFC66CE252C0F469E07EE05E9B56128C6D9EB0B92A1853919F5F4A93E4ECF7AD4275B0594EB164D3E72603122F24468ADDBADAE63BF92C4FE208F088C437B3B9DE4EC1139B7F94';
wwv_flow_api.g_varchar2_table(21) := '38045C918C913807FC4CE2BA282F53A83D2BB12B1F15489C4B062C27252B20396AF3524C795202BDA12899001E90E88FF787A38B7F3FF050AA7476805814C8F82FE02312ED20BB41E0BBC1EA435915365394CC45899920DE063A45587B2E49F0A9688DE0';
wwv_flow_api.g_varchar2_table(22) := '1D4F1EB319A81A1C06BE132C963C7618B847E23D123FDF26E12462F967E0CF243E09ECCDBC745275BE1D9A6C9109C68FC7F9803C4F2ED9544557025C69379405F288C4898086A3C87D4D7CFEDD0C4AED108A8E0277493C9C687A93558EB302A302BE188A';
wwv_flow_api.g_varchar2_table(23) := 'DC4781374657A34801FFE226076DAE8E1091C47474377B393FDF37B054942BCD6D72E94C960B6DB3CB66C6E6C5C44C61CC11A069F30B89C1804E2BE4BEF7D9BC0BF884CD64260D7AA3541031FD338952E2AF804FDBBC33C66744717F7F54536F8A3E356D';
wwv_flow_api.g_varchar2_table(24) := 'CE099B3E8981D474675DCFF9B246F5155D3355069107478163D994C721DEDE56947CD1E6F1D45CC6036F97F83BE03870C0E6E331C8D40642D33189B7A9CEEDC1907F0BE70BE928E87FA83AF78584DF97B5670BAAF38CC49E342E08242CA81E48ECD1328A';
wwv_flow_api.g_varchar2_table(25) := '183DE742EDE948F46F4E10B619001E937816F8D380522793DCFB259E0C283F15315DE693A5186AFE28D2D2AD364781AB80A56CD608D004BE2E7187CDC1EC1915D08899C7EEAC49EE14E5F9F945ADA72DAA80799B91EC46FB43973961736378B76573ABCD';
wwv_flow_api.g_varchar2_table(26) := 'A8C4576C4A890F453B53492CDBDC2C710BF02DD5F91FE07FD750C16E04FE3C9ED7855540AE63F33589476DFE28F5A809D2C0B1088D2BF2830A1267D76C9754EF0A49B3590275ECD098EA1C074EA7F9834415F2C1EDC07D01ADA9CCF3954DDBE6890DF2DD';
wwv_flow_api.g_varchar2_table(27) := '7336C35119A58A44C0499BCF493C06BC3D0AED2A8BBBDF4ABC10D24AD2538961CF929BE795B6620D59D0210574094762A06AB0BB28F951285709DE963800DC293127F179E0BF635658C5DFAFD6D3308B924E24E8A13839F194CD7F48FC4DC4F03B02DEC9';
wwv_flow_api.g_varchar2_table(28) := 'F8023809FC12B83C0B19C5E4773673D4DA524336391A8E9315CE14B705E0ACCD9B80EBE25C4C7EC0E06CB450A76281D716258F6C241E570DDE22B1CBE60989D9A898AE0F32ABB25011F073E079607FC46E1EAB678A9256AF4EAA0B0C3AF784B8938C1470';
wwv_flow_api.g_varchar2_table(29) := '4E7526DDE4269BD7AD354489EF3F27F184EA2B9B7081F9FF5EE0FA388AD27B08211D19790C78C1E672895A566413F3FA853595ED0B0C5624B12F4E4054D9ACBD15796E8FCDEBE3F040D53329AA497C632303B3CDBC2BDAB44E827ED4C1551C52381E461E';
wwv_flow_api.g_varchar2_table(30) := 'C82A98B49619D5995B6F48536CB4BB458943329CCF15B8385B764524FE1F030F4712EECF5879DC5E39A4B389E1CD8B3D9B33009C917828F2E4506C62911D5CE803A6A3575C7702B5AE81C9D512A8CED9605727D52D987454E280CD94EA346D1EB2391B39';
wwv_flow_api.g_varchar2_table(31) := 'EAB474E1D157407F222BFB2624BE57943C0C2C025706D3929FB8B099284AE6B3D31F3B72086138E4C324F5E7877F9680F998E90D019DA2647993F7DD15709F9658B4B94C623890E26C76989E33A3FACB09E5A20DEC39FCDA67B327A89DAC444A3BDB8944';
wwv_flow_api.g_varchar2_table(32) := '3FB5D111AB35E270248C2A221CE8893542C59B4F65D8A606A09BFA52B90ABA9DA26432A0D8C98E8B74072636DAAC71591C0E459D5964C27362E5659BD3AA33B7D57EB3E022AEF0E8421C7D9C8E122B49FAA9BBA06A6E6968B91C8545D2361D2731A654E7';
wwv_flow_api.g_varchar2_table(33) := '743A08BBD571F64E9DD926BA8A74A0EEEC66E32F337430EADE561C0B5BA96BEB9B9F34AF75FD1F0AC219E5F22D72070000000049454E44AE426082';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(196479090461656011)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'images/m2.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2E7265706F72746D61702D64726F702D636F6E7461696E6572207B0D0A20202020646973706C61793A206E6F6E653B0D0A202020206865696768743A20313030253B0D0A2020202077696474683A20313030253B0D0A20202020706F736974696F6E3A20';
wwv_flow_api.g_varchar2_table(2) := '6162736F6C7574653B0D0A202020207A2D696E6465783A20313B0D0A20202020746F703A203070783B0D0A202020206C6566743A203070783B0D0A202020206261636B67726F756E642D636F6C6F723A2072676261283130302C203130302C203130302C';
wwv_flow_api.g_varchar2_table(3) := '20302E35293B0D0A7D0D0A2E7265706F72746D61702D64726F702D73696C686F7565747465207B0D0A20202020636F6C6F723A2077686974653B0D0A20202020626F726465723A20776869746520646173686564203870783B0D0A202020206865696768';
wwv_flow_api.g_varchar2_table(4) := '743A2063616C632831303025202D2031357078293B0D0A2020202077696474683A2063616C632831303025202D2031357078293B0D0A202020206261636B67726F756E642D696D6167653A2075726C2827646174613A696D6167652F706E673B62617365';
wwv_flow_api.g_varchar2_table(5) := '36342C6956424F5277304B47676F414141414E5355684555674141414751414141426B4341594141414277347056554141414141584E5352304941727334633651414141415A6953306445414751415A41426B6B5043735477414141416C7753466C7A41';
wwv_flow_api.g_varchar2_table(6) := '41414C4577414143784D42414A71634741414141416430535531464239304C4841497649435764734B77414141415A6445565964454E766257316C626E514151334A6C5958526C5A4342336158526F4945644A545642586751345841414143646B6C4551';
wwv_flow_api.g_varchar2_table(7) := '565234327533637355376963427A413858703347424D536552495448384A484D593763524D766D566D586F45395441634A7562686A443441706F696F706771444D57414B4167496353416943667875776877524F564A626B504439725032336F62387670';
wwv_flow_api.g_varchar2_table(8) := '5A43514B676F4141414141414141414150445979694B2F654E4D3035624E7472362B76536A676358694878444D6B453157705646764763667043564943414951554151676F41674241464243414B436743414541554549416F4951424151684341674367';
wwv_flow_api.g_varchar2_table(9) := '6841454243454943454951454951674941674951684151684341674345464145494B414943414951554151676F4167424146424344497A686D46494E426F392F4B364430585664646E64335A616E654459376A53437156636E3353666A79654B524B4A62';
wwv_flow_api.g_varchar2_table(10) := '4A32646E596C6C57624B556C326935584A61586C78644A4A42497937794448783866793976596D365852364F574D4D33642F6669346849715653535743776D737735796348416772565A4C5245544F7A382B584F385A5170564A35483259366E525A4E30';
wwv_flow_api.g_varchar2_table(11) := '2F623944714C727568534C786664394D706B4D4D54364C307576314A4A6C4D696839426876654A7757447776763769346F4959347A77385049774D74743175537A776546362B43484230645362666248566D627A57614A4D636E6A342B4F4841642F6433';
wwv_flow_api.g_varchar2_table(12) := '636E653370363444574B61706A772F5033395964336C3553597870564B765673594F324C4574555664325A4E6F6975362B49347A746731563164587850416953712F586B354F546B306B39704E567179656E7036636839346C2B3558493459627452714E';
wwv_flow_api.g_varchar2_table(13) := '6648613966583174343378637747612F4E6E6333507764444159394F5A68743238724778675A507650364B5343537939665430394F557277375A74507161386A464B7631313348754C6D3549596258564658646352506C39766157474835476154516155';
wwv_flow_api.g_varchar2_table(14) := '386649352F5045384A756D6166764E5A764F2F4D517146416A466D4A52714E486B364B73716778357672317A7A414D326437656472332F36757171737261324E6E5A6270394E522B76322B36324F48517147357A4F625850494D454167466C665833646C';
wwv_flow_api.g_varchar2_table(15) := '324E373962746C317669544130464145494B41494151424141414141414141734D7A2B4169316255676F3665626D384141414141456C46546B5375516D434327293B0D0A202020206261636B67726F756E642D7265706561743A206E6F2D726570656174';
wwv_flow_api.g_varchar2_table(16) := '3B0D0A202020206261636B67726F756E642D706F736974696F6E3A2063656E7465723B0D0A7D0D0A2E7265706F72746D61702D636F6E74726F6C5549207B0D0A202020206261636B67726F756E642D636F6C6F723A20236666663B0D0A20202020626F72';
wwv_flow_api.g_varchar2_table(17) := '6465723A2032707820736F6C696420236666663B0D0A20202020626F726465722D7261646975733A203070783B0D0A20202020626F782D736861646F773A20302032707820347078207267626128302C302C302C2E33293B0D0A20202020637572736F72';
wwv_flow_api.g_varchar2_table(18) := '3A20706F696E7465723B0D0A202020206D617267696E2D746F703A203570783B0D0A202020206D617267696E2D626F74746F6D3A203570783B0D0A202020206D617267696E2D6C6566743A203270783B0D0A20202020746578742D616C69676E3A206365';
wwv_flow_api.g_varchar2_table(19) := '6E7465723B0D0A202020206865696768743A20323870783B0D0A7D0D0A2E7265706F72746D61702D636F6E74726F6C496E6E6572207B0D0A20202020636F6C6F723A207267622832352C32352C3235293B0D0A20202020666F6E742D66616D696C793A20';
wwv_flow_api.g_varchar2_table(20) := '526F626F746F2C417269616C2C73616E732D73657269663B0D0A20202020666F6E742D73697A653A20313270783B0D0A202020206D696E2D77696474683A20323470783B0D0A202020206D696E2D6865696768743A20323470783B0D0A202020206C696E';
wwv_flow_api.g_varchar2_table(21) := '652D6865696768743A20323470783B0D0A2020202070616464696E672D6C6566743A203570783B0D0A2020202070616464696E672D72696768743A203570783B0D0A202020206261636B67726F756E642D7265706561743A206E6F2D7265706561743B0D';
wwv_flow_api.g_varchar2_table(22) := '0A202020206261636B67726F756E642D706F736974696F6E3A2063656E7465723B0D0A7D0D0A2E7265706F72746D61702D636F6E74726F6C436865636B626F78207B0D0A7D0D0A2E7265706F72746D61702D636F6E74726F6C436865636B626F784C6162';
wwv_flow_api.g_varchar2_table(23) := '656C207B0D0A7D0D0A2E7265706F72746D61702D6D6573736167655549207B0D0A202020206261636B67726F756E642D636F6C6F723A20236666663861363B0D0A20202020626F726465722D7261646975733A203270783B0D0A20202020626F782D7368';
wwv_flow_api.g_varchar2_table(24) := '61646F773A20347078203470782036707820317078207267626128302C302C302C2E33293B0D0A202020206D617267696E3A20313070783B0D0A20202020746578742D616C69676E3A2063656E7465723B0D0A202020206D696E2D6865696768743A2033';
wwv_flow_api.g_varchar2_table(25) := '3670783B0D0A7D0D0A2E7265706F72746D61702D6D657373616765496E6E6572207B0D0A20202020636F6C6F723A20233730373037303B0D0A20202020666F6E742D66616D696C793A20526F626F746F2C417269616C2C73616E732D73657269663B0D0A';
wwv_flow_api.g_varchar2_table(26) := '20202020666F6E742D73697A653A20313670783B0D0A202020206D696E2D77696474683A20323470783B0D0A202020206D696E2D6865696768743A20323470783B0D0A202020206C696E652D6865696768743A20323470783B0D0A202020207061646469';
wwv_flow_api.g_varchar2_table(27) := '6E673A2037707820313270782037707820313270783B0D0A202020206261636B67726F756E642D7265706561743A206E6F2D7265706561743B0D0A202020206261636B67726F756E642D706F736974696F6E3A2063656E7465723B0D0A7D0D0A2E726570';
wwv_flow_api.g_varchar2_table(28) := '6F72746D61702D646562756750616E656C207B0D0A202020206261636B67726F756E642D636F6C6F723A202366336633663337643B0D0A202020206D617267696E2D746F703A203270783B0D0A202020206D617267696E2D626F74746F6D3A203070783B';
wwv_flow_api.g_varchar2_table(29) := '0D0A202020206D617267696E2D6C6566743A203270783B0D0A20202020746578742D616C69676E3A2063656E7465723B0D0A7D0D0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(196479559923656011)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'jk64reportmap_r1.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000004200000041080600000065C07246000000017352474200AECE1CE900000006624B474400FF00FF00FFA0BDA793000000097048597300000B1300000B1301009A9C180000000774494D4507D90418082A2C';
wwv_flow_api.g_varchar2_table(2) := 'CA68CF8400000EF44944415478DAC59CDD8F9CF755C73FE799D937DBBBB6E3B7244E53DB4993344E4A04729B3608FA1A540A52ABB6820615F5861BDA72C32552051217FC05880B0A2D15A5481429424254A4081252A212540A4EE2247662BB49ECC4217E';
wwv_flow_api.g_varchar2_table(3) := 'DBD7999DE77071BEBF7DCE3C1EC7BBEB5D7B246B7667679EE7F73BBF73BEE77BBEE78C8D4D78D440D5FA3D3F0CBA7A8B011D8FDF970D96F59681C3C000D70BF97AAE0F6EE4C33671F366600E95C1B8C3043066309637547EB42BD7E240DFA10F2C59FC5C';
wwv_flow_api.g_varchar2_table(4) := '5BFCDB70A3D8461BC0A172E81A4C3A4C188CE77DAF72E14E1831AFD30D7A0E4BC02230A892B3B5D771D33CC2A1034C12273F214F706DFC8AFD9717BCB59851EFF7E4311E9E3670E8591864D16490EBF10EBB5E4FA8E3225B812DC8ED7DD8DD5D8BC7753F';
wwv_flow_api.g_varchar2_table(5) := 'DDB49F363D9021CBDFC7B579F4F995EB79CB600A9DF90AE6AFC718B68E93C71B238C1B6C27C0CEDAA7A91FCABA8B4B2F39D4D595189A71A312884E10E135A1EBBB35619371A506961D2E54F1BCB2C64D31448EC31AB61B6C29A79DBD3D9DFCA2C3AC851B';
wwv_flow_api.g_varchar2_table(6) := '97F0D9EEB083F0A2C9143EE5020BC09CC305834B06B58C33096CF578F6EC71691FB5C35C0597D78A1BB65A2FB06130BC8500C1E2BED60A8779E092507E9BC37E83BD1EC6AB92BB6357C78D82051780378033F2A80E3063309541D5860F62D1C290BE5A83';
wwv_flow_api.g_varchar2_table(7) := 'D81ABD60DCE234BB05C4F269140FD02676017713CF7893F6561BC665936661FCDAE02DE084C379197C5A99C9DA3802F450A8ACC618B6DA90A06584D6692C217774B815B8CB608748917BB3C06C04B356E2F01654643CA0E1251DE06DE015833745C6A60B';
wwv_flow_api.g_varchar2_table(8) := '505B139AA6755D1059DB98D000B60133DEF2620B032C38EC060E19EC957BD69640CDE3402A2D6ED1E3C416ACD9BF035D61C038CD732D9CC8E0583CE42CF08AF064ABC71AB33100DEB10895EB3344D9B198E2B4C3565B7989F31ED6BE17B8D3C36BBC95F7';
wwv_flow_api.g_varchar2_table(9) := 'BB0458BE4D9CE0450BC32D2AF3ECD1662B8373757C6E92C0809DC296DD40479891E1A5121E9D3478599FD991B2CA6587D96AA34223839847BA9C927B8E197CC06333852B1437AE082678C2E0B4C1620DB703F718BCC7E176196B3285CC820CF9B20C77CC';
wwv_flow_api.g_varchar2_table(10) := 'E09C47763A208FEB685F859F9878C859E07FF4FB2DCA56B3B64A50B27512A84AA7F68872BD25172FA7711C7849EEFE61835F0276897E7784FEB430A2187399C0971A78DDE1DF801FAB58BBCFE160F2BC7CCF39871F898A7BB58614BA6642950C72BF4556';
wwv_flow_api.g_varchar2_table(11) := 'F0C41D4CE0F4ACE8EFA30E9F9607798B6C79F2A29C9E3316E453BF0C3C6EF0A40710FF3CB0AD182461D63183E3F56612AA11A1F220E1B265D12780970C0E393C6670403581B74E3C33CE41CA40DD16AD26112EF308C5171DBE6B70D6E1307047BAD67183';
wwv_flow_api.g_varchar2_table(12) := '63EB29C0D65D6B24107D8088F7173CF2FC27812F28650D686A8C4AAB9D15885D06E688D8EE5984DA6D0E5302E51965823A9D3A16A1B66CF03D87A765EC43C0AB15BCB4DE2A7423CAF08A00D009835F073EE802331A03546287CF014745886A6D7A4660FB';
wwv_flow_api.g_varchar2_table(13) := '86E8F5BC0727D86D61E4C30E7B64D4629012FE4F02FF0474AAC838EB2EC5AFCB10ADD8FE65E031B97F2D2FE81239FE09871F1314FB51870F0177101BDCA68DBEA1C2ECAC479679DAE10981E6871D3E21AF59F646E55A04FECCE0E84D1766125E8C3B7CD6';
wwv_flow_api.g_varchar2_table(14) := 'E0E33246D7E1A7443CCF005F7778D4E0A007780E554C23F489590BCC791CF85319F5CB0467E9A9FCFE07831F5A639C9BFBF0E19F7FB386BFACE1F37518E3B71C4ED7B158AFC53A5D6E7EAD7F75E816271C3EA5EBFD760DDF74F8D551F7BFE98F7AD818F7';
wwv_flow_api.g_varchar2_table(15) := '3A580D7FA00DD575B3B1D51AA11EF1F3EFE85E775F4D18DE90D3AC37F65AFFB8C68D5FCB33CA75BE73433DC1AFCF08DFD848238CF08CAF6EB831543F54356CAD61CC1BEABB2E4F71F8CA5A71608D9EE11E45DBAF6DE8017B6C74CAE18E1AF679D403DBF4';
wwv_flow_api.g_varchar2_table(16) := 'FA967A446AAEAF7271874335BC526F82015A8670877F97F671CD83AA47EFBBF250DBB7D630566913137A7F87A61F8105857ED8E17E877DB57A1455CB00894B7C0DB873B3A356F73DE2F045AE42A2F2E6C5BEBA75A3964DAB00DC2132B8A570FB2EC379BC';
wwv_flow_api.g_varchar2_table(17) := 'A70FECD5F34EA2E27BAE0E29EE5EE0398B02AB18E17D0E1FB7509F37ED91A4B871834F3BFC9DC19936ABD4E6670C6EF560A953F2A47F2DDDB754C78C75C500278A102B632C7990209222E40E730677015F7478AC0E91E53F3C98E347817B36B13D398AC7';
wwv_flow_api.g_varchar2_table(18) := 'FDA20ABF335523133EE070A7C1531EC4EBEE54F2F7A59CF75B171BEBDA7047A9D4D2CB2E374AAC6FD1A30ED8AF365EC742397AC4E03F1DEE4356B74D267949FF9C060ED421D1FD8937CAF622C14A8FAAF8EBD0E8283B09B12787B555A4A6AC1ECBDA4CC7';
wwv_flow_api.g_varchar2_table(19) := '866FBC64A120DD562CACC5CCEAFD07AD29AF37FD614DEFE4B06A90BEC5BF6542D1BADDC28307AD501D27DE3324E85649032CA7EF5584C1CE96A7F4D54099CC8EE271F3310FCDF266D0FBFB24F12D26F5DAB5A6DA87376C6A125DD177ADAE9663EDCAACB3';
wwv_flow_api.g_varchar2_table(20) := '2CB49D2827A216FD3BF2AAEA26D8019D78479A25C953A709A1B96ED5423ECA65D7B278B748AB9DC41B6AC5DBF88810BB91C64022CFA836EDA8C10B6FA3F95A65BD39854279A1237579410075B3AA5F37D8612D00CCCDE851F8F2AE1E91C891B5B0634C0A';
wwv_flow_api.g_varchar2_table(21) := '52CF87BB51A50973C3F5006B74D0DA615F56C33D42F6624A9D2B3DD551D7AAACC510453D4D7D857CD371356BE61956A3B70A345FF4263E6F8817E846FFA5A653B74560066A14775BE17D39ABE7D923FAA931E334835E2D8981096218E4B48849B9E914A1';
wwv_flow_api.g_varchar2_table(22) := '3E9FE406A6CFB2198317D4D0C9C5E265839F69BD9DD68296D46BE95AD38A5869D1D729A69C483DE77C38CB4CCAF2AFA6E937F4DA218F06CC3B7E03A48284FCAF7918E2FD96CA04F562DFF41086C792A7963665373586CC6270A5A92D32E9A82237F7BC61';
wwv_flow_api.g_varchar2_table(23) := '71952C7FDA1B602C9E7298A0DA476D83B4D0D5902987270C5ED5FD3B89DBCC5ACC536C974714B6BB2C8F18F3E18CD2AB1207B7D6E600CE59D369AA094A3D071C4F54BA060E48A0FD7B0F627323AACF0B068F7BF452F77A03F0038353F2F299D660DA3BD6';
wwv_flow_api.g_varchar2_table(24) := '007CF6B07E25ABF46CD8A5C7D4C63FA7E732AAB303B8C5E029D2EB2AD03E61F04D83176C13432365B37F71F881C1C36A2996BF2F024F19ECD5E17802D63302FCB1DC5204964AD628F4D9D270C614F01A4D8FA2B8D24183172DBCA292DB0D805F203A4E5F';
wwv_flow_api.g_varchar2_table(25) := 'DA4C49515678D3E1AB16F7BCBF74C374CFB70C4EA96B96874C065518622A570E161ED44F53412CA5D6BF132A55AD967E5598A4C37E0F34FEBE0855F958E56184D755A6DB461A249DEA82C19754517ED68707D8DCE06FEB98F1BA2D4DE99A3A6D289378A2';
wwv_flow_api.g_varchar2_table(26) := '9E2B9DF3D2685DF4E1719E2E21659D482E59BCE5418B5EC33342EB129BFB1CBEAEC6CBE7054E763DFC22819A5988429F019E01BEE23148525BD35A7CD662A4E89E96EB1BF07C1DD8D72DF85606DF8C106D5706404B3BAD184745CB9C0777E824A2B25FBA';
wwv_flow_api.g_varchar2_table(27) := 'C4F7E4A6A52CEF499CF97DE09F812F38BCDE9EBC5BAB01F48113C0673C08D49705927DFDAD63F086C3B7EB6825EE47E5B73CE735AD6DBA855FCB051FABAAD9F8B2661A72CB7E52D4FAA4526C61647D8707B5D8EF286F1706B7E470B7C3D7D4F2FB14F037';
wwv_flow_api.g_varchar2_table(28) := '3493B1B64A63AC203DF0E7C450CAEBC0EF490C5AA0E981CE397CDBA2A9FC402903B48F9EC1319AC1D5CC8AE7955D564E1203FE30363AE10D6B43D3F4E70983EC4E75458728749E17937B9F744497BBEE32F880C19B32D6534A790745C246EA79C942A765';
wwv_flow_api.g_varchar2_table(29) := '803F36F81670C4E0370839AE64B9AE0766FC35319DF3417971F1A63111AE7316B851A519CE1AB85CA94CB7562317C5DD547ADD1D2E697147949BCB10B85920F1B3C0270D3EA7D45BE2D6248C9C72785AD2D91E0BA1F72183875C33147A7414FF3F2562FD';
wwv_flow_api.g_varchar2_table(30) := '82DEF7B0D4F10ECDC23B04AE7DDF623CE088C3BEB4B6AE0EE159A5D76D0C4FDBCD0297D238549336F4E2A4F842950CB42CFABC97104BC75BF63B59C1D11A3E6621B177FCCA21F29E98EAF3553471C7BC71D5CC18171D0E021F15759FD6C9E698AA3499F7';
wwv_flow_api.g_varchar2_table(31) := '5D0BC31D21AACF3CA3BDE4F01379E1AE34166D3473DBBDB2EFEE88BA7C512AF6648AD52E30530520ED02DE9B66B00DB8AB8EF73F49E0C9EF223293AE516627F7D1487FFDAB00E57B808F4827B5E499E5E4CE007F61C1733EE4419E48C6AF09EA7D4EE15C';
wwv_flow_api.g_varchar2_table(32) := '25D0718D36F646EA11AD2F9F5C4C6929175DD306FF4B6402F726BF0F08B4FE0831E8F10D83673C55A9C55DE5AAD7CA18C744D6CC8775D325E2BA7FE4F0B6C323C0AD9686D4658C37AA98BBDC21F58C942DFA366268BD3BAA4354451BFFA2C1CE1661D9A6';
wwv_flow_api.g_varchar2_table(33) := '30F98972F2EE64AC6502903EA609966F19FCD0E157E4E23BE4D22F5CAB3D67F07F9AC7DA2D0275419EF603E1CD7BC528C76930A684F91987FF96C43FD5E2130520AF90EAECDDBA2775B87719E15B79BF406CDEE07EA2E153DC314FBF9D11193B2F807CC8';
wwv_flow_api.g_varchar2_table(34) := 'E3F4FE8A6BCC466B86EA7344EBE04581E75BC2A8031683ABBD54805512714F11735A5B54791631A6A4ED4B55B41FAED8B8ADA253BE5DC6A887852C2E297F1F22BA495BCA0675A3D22A384FA0F759B9E535E7A235EE3C237DD4D4A3D843E05355324D6A57';
wwv_flow_api.g_varchar2_table(35) := 'CE39BC5CC1498F89BC698671A552FFE5E2D58650ED5A3D352D6AA726E0EA94875D39FCA2748AC30A8D810D7F79A5143E038BA9D80BAB6496931E45D514716F4B2A5A594357C079CC631D3BCBB77D523D51118D9E8B362224B81A46B42DA478BAA8DFA748';
wwv_flow_api.g_varchar2_table(36) := '73D0FA7D8CF8FB8FA468DF57327141F024A40CD6506354D20DB690A6FD6986D1FBE225A72415EE49EC367BC21CF14D20AFDFE5E4BBABE9B41A0C049E268BE7543566E111732ACD4F03EF2706416B9AEF7EBE25D45FEDA3A779CC99CC79B4A657C5249794';
wwv_flow_api.g_varchar2_table(37) := 'C9B62421DA93C1E6850BF5B57A176B9ACED76A768A0F58EB2B03A5EB74BE8A4D4C7800DB1D2ADB5FB298BA5FF5004E1D1EF6732AAEFA063F73385EC1B278CB4C52AFF357235CD9E65DC361CD8668F7F9954DA64A45EA099953C3781601631D75C782C1FC';
wwv_flow_api.g_varchar2_table(38) := '6AA663EBE1F986DB24B19D13404CAA9D37DEEA6695E50DF405B759D8A4E9FC9631262D72F578AB2E59E93249ED5ED0E9F4D7732FED7442730D93454F60D8F805177A1605606FAD431AEB529BD38955C0160D8F77D314BE33CCED178878F7B51AA3A4EFC4';
wwv_flow_api.g_varchar2_table(39) := '098626FD53477E4E228BD7EBE86776D76388948B6BE5E7256BBE97D9498B2E94B7B71E415761E5AD382FB4DBF4059759C98CCB6B09850D3144CB1818F46B7D3559AD806D4AAB45D8EDAFD55553C62AFF4B4095C2AE5F3088F4BF075CCFBCD2BA0D41D6F3';
wwv_flow_api.g_varchar2_table(40) := '9B5318D4618C791962ABFEB4BCD6384C9BEB2BD3B88641E6CA107AD5EAFF5F4F57E9FF011B99B0508E2564630000000049454E44AE426082';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(196479906449656011)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'images/m3.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000004E0000004D0806000000083E52B3000000097048597300000B1300000B1301009A9C18000001396943435050686F746F73686F70204943432070726F66696C65000078DAAD91B14AC3501486BF1B45C5A1';
wwv_flow_api.g_varchar2_table(2) := '5608E2E0702751506CD5C18C495B8A2058AB4392AD494395D224DCDCAA7D0847B70E2EEE3E8193A3E0A0F804BE81E2D4C121487012C16FFACECFE170E007A362D79D86518641AC55BBE948D7F3E5EC13334C014027CC52BBD53A00889338E227023E5F11';
wwv_flow_api.g_varchar2_table(3) := '00CF9B76DD69F037E6C3546960026C77A32C045101FA173AD520C68019F4530DE20E30D549BB06E20128F5727F014A41EE6F4049B99E0FE203307BAEE78331079841EE2B80A9A34B0D504BD2913AEB9D6A59B52C4BDADD2488E4F128D3D12093FB7198A8';
wwv_flow_api.g_varchar2_table(4) := '34511D1D7581FC3F0016F3C576D3916B55CBDA5BE79F713D5FE6F67E8400C4D2639115844375FEDD85B1F3FB5CDC182FC3E12D4C4F8A6CF70A6E3660E1BAC856AB50DE82FBF117C2B34FFE1C09B327000000206348524D00007A25000080830000F9FF00';
wwv_flow_api.g_varchar2_table(5) := '0080E8000052080001155800003A970000176FD75A1F900000148A4944415478DAD49C596C5CE775C77FE7CE0C878B286ADF65CB966DC5CD66174DDA38B0EB382D9A3A05D2026E80224F7D2D50A02D52146881E6A54F7DEB73D087BC1445DBD4DDEC2E40';
wwv_flow_api.g_varchar2_table(6) := '5C277613C349E3C6756CC79257598B29D1A21672389C997BFA30FF431E5E8D280E458AE90508519C3BF77EDFFF3BEBFF9CEFB3928BACE7320CC7AFFBDBA02BEECBDFA9FE0ED4800230FD5B385E077A867501D74F0F28F3736F349E3C26C76F38E6F86C98';
wwv_flow_api.g_varchar2_table(7) := 'ABCED65C053002343486BA00B30488A589FB8A75E8FF74F5D3D14FEF764EE076015718D670BC615823A4CBB090AC22AF78FADD97FEB4123873BC21C92B81D2F19E611DC703C8F2FF2B7085006A1816D2554BD2E5E9A7ACAA7402CC07485CDC50ABCCA12B';
wwv_flow_api.g_varchar2_table(8) := 'C9EBA49FEE668058DF44C046933AD61C37C3DCF112700B4D044BBF2F8124104B01192A6CF17BA8B09E17F7D480BA61238E07806DFDF43612C08D042E6CD4B8406BEAFFA5E32155019EC920BB3E73C34C4EA0179FE9BBE6789116A5E1B80780F15EC7CB8A';
wwv_flow_api.g_varchar2_table(9) := '3D2C621C8E2F020BFAE95524784B8133013519AA98008949065861CF7A40DBB045605112B2422DAB9E50DF2B0CAB393E028CC80CD4652B5D8067E9B574CF38701568FD34005703260D1B4D463E4B048E874A761D9F07E6816EB265A3C01430A1DF1B15B5';
wwv_flow_api.g_varchar2_table(10) := '32D9AA1630EFF835C3E61C9F13A875C3C60D1B13A05EF1B21E218E61538E378139A9F2960037AAC98E840D936459F2A66ED88206DA967A8E030781ED8E8F1B3622AF5B4FF19C57622B971A4718B2A867CE02171DBF62D81549FE846163152F1CEA5FD367';
wwv_flow_api.g_varchar2_table(11) := '851671E1760267C0A861DBE40008239D62B052D2D1923A16C05E60A7613B816D8E8F498D004A4DCC6F14C44A6A2D05C98B86CD03571CBF0CCC1A76C9F15949E7986C5CCDB0321C8E9E11E099C0F3CD06AED04BB7E9FB4BB19606514AB216808EE375C7F7';
wwv_flow_api.g_varchar2_table(12) := '1BB60BD80FEC90542DC6BDE9B9D9C90C9A4859F9B726BBBA4BAA7919B8005C94245ED3F3C7A4FE85BEEBC92ED7F5F7D6305ED7864CB942D2A63468AF00570AB096FEBED3F123C041D99FAE3C6729D52E3CFB02425C57489E6B418A14BF594AA50288701A';
wwv_flow_api.g_varchar2_table(13) := '4DD9D073869D062EC92B87A7AFA550A608DB0B5CD1F7D606843333ACB44D48CD8AB44226633F072C38BE0D380A1C366C02E80AD4F0B608B488C91681760A1B3A52A79C398CC8F03704C04884375A0892432A34BE79C3CE00EFCBA18C686C8DF0F8E1B804';
wwv_flow_api.g_varchar2_table(14) := 'DCDC5AA5CED691E4D70C0BFB54D34BDBC0ACE31DC38E02773A3E15AB1BA049424235160CBB08CC387ED9B079196BD7777629C1AF397E450EC192E79D326C37B0C7F131D9AE6E2C4CB2835DA9ED19E05D8D79879E512A849977FCDA30F9EE7A804393D926';
wwv_flow_api.g_varchar2_table(15) := '3BB7005C1248C71D3F086C531E1A91BD458EEAF80CF08E6167259D93C07EC3F639BE071817C8E302A106CC19D603E61C3F27C93E2B296902871DBF03D8ABFB22902E34AE9E1CD579E094616D6037302A49BCA63892A155D587702A9288BAC0E868F54E68';
wwv_flow_api.g_varchar2_table(16) := 'E2A3A13EE18014DFCD00EF02E704C85D861D07F63ABE5B76732ABC744EEC937AB7057CCBB04BC0078E9F02DE91A41E04EE707CAFECD86204DDB2C18B864D3BFE2670D5B0A6E36DC37A3E6432712B715CC4534DE06EE0B854368C75A8F17CA88954E11EE0';
wwv_flow_api.g_varchar2_table(17) := '23C0FDC09DB237A4EF79D5AB26DBD814B84BE108F01EF063E024F0B63CEA51E00EA975E4A8A645B95BCF7E751867B0199943C449AD64C76A1AEC65017606D803FC82E38F0287A4A66DC3DAE97B395ECB04A34BED57504E52C57B0DFB28300D3C07BC60D8';
wwv_flow_api.g_varchar2_table(18) := '9BB259C781ED32113DBD6341EF6B0E13FCE660DCF1C1AA7A2336F546ACA9E34DC34E004722B673FC0349C182610F3AFEB861772AF26F07239258931C8A8434075332225B6595142E7FAFE1F88861671D7FDAB017B5A8F7C9F6157ADE19E00D79D01B32C3';
wwv_flow_api.g_varchar2_table(19) := 'AB31DBAB02B79ADD1B001CB2172714829C017EE2F876E071E0730A31CA0446E48E26299893F19F97D1BFA8EF3480DD8EEF90FD9C707C4271A1CBF0673B5893FD7D0E78CAF14B86DDEFF821C5762703B4B5003788525F3770AB5C6372F52D8525BF087C5C';
wwv_flow_api.g_varchar2_table(20) := '6C6D27D9AF5149CF34F026F0AAE367059E8B296E2AA4B92C2FD8D567DB8003867D440E69AFA4AF9582E578DF2BC077642EA6800B4AD1580B70ABD5508602EE66229DECD351E0D7814F295B68EB7BA3405312F95DC75F92541D72FC2EE080D2A71D866D77';
wwv_flow_api.g_varchar2_table(21) := '7C9F61D3B2955794CC5F30EC1DC7DF13ADF400F090E347054A5B608CC981BC04FCB5E3172A8CCC2D01B7190CB0CB5B5DD4BF4D0D62DCF136F03DE079017102F838F069E06744026C537CD548CF0CCE2E54F80DE04581F203E07549F7838A03C3E8CF2977';
wwv_flow_api.g_varchar2_table(22) := '6D4962378EB51D56E26EA6C2E99EBDC063863D2AEAE892E3CFCBF3ED30EC09E009C74FC85E0DB4A1555B9AEEE94A15FF1EF83B01F430F01070405EF5DBC03392DA35ACB86F9EAA0E011C4A8BBEE4F827807F03BE63D867813F013E5F016750456B4D1395';
wwv_flow_api.g_varchar2_table(23) := '23F89AE3CF19F690E3BF2A27F08F8ECFDCAC66BA5ACD75AB80C3B0A6C294B71CFFB2617FA620D8158A50A921ACD51C58E5F773C01F027FABCCE1AA78BAD501A848F796035779510DF873C3BEACB0A018B672BE06E973A9E493C09F4A75D72C69C302576C';
wwv_flow_api.g_varchar2_table(24) := 'A8C11CFCA21AF05B867DC5F123A958C306BFDB44947E05F84D79F04D2D1AE709D636F8F923C01765D3F6731B2EB12DBFA770A8BED9C00541992B4D1BF1D24F005F5552CF6648DA0DAE7B81DF017E6E13F0AA0156975E370C1B17CBDA8C9AA762AD49494E';
wwv_flow_api.g_varchar2_table(25) := '2BE590E51A8A1B93C06F38FE305B737D06784221CBB575963D7B09AC5AA2BC16EB49A53CDD686A627191848705DC25B1A9B3621642847A55830B3CECF8E35B005878EB3AF088E39F35ECDF2B631B544B596A2F8BEA9852C231604C0EAE264C8A7AF0FFA1';
wwv_flow_api.g_varchar2_table(26) := 'B6111E44B15636634A4CC394D2965322148FE8BE9315091C71FC41E0F81AD3B40D7512E97D7718F669E0D9544D1B748D033BC50A4771FDAA523C0CAB8B720F6AAB1EED0A23A9081C74CD22FD0A793DEBB7E38847DB2175B84775CC0B22147FE8F8BDB22F';
wwv_flow_api.g_varchar2_table(27) := 'DB06C45DB7C747F4DFB707F88CE3478153E9F3C3B283358DB9E6F89DCA688A44923612A313E46AE178BD9EBB861C5F220BD56BB643897499CA7F8B6A3DB8DBB043625B0F1A760CD867D8DB8E1F17BB6BEB086E374AEA82853E2AE2F434F045999D4949D8';
wwv_flow_api.g_varchar2_table(28) := '8C72DF69A961239528EB2241AF44B13D39B8A27E03EF1974F3680A514C7F5F50DFC66E79E068A18AEA514380EE5C2735B5D1D736C38E39FE8AF2D8BB92DAD6C5C0BC2D9B5D263B58930ACFCA218E54DD6BC1F51D8FD16A359298D3B07F8BA282266538C3';
wwv_flow_api.g_varchar2_table(29) := '207781CBEA883C20BBC8ED96B64A401CDEFD84C0F8D0B019C3AE88E31B91542DD2EF3AF08AC3C84E73452F4B916F968A86940469584FACADAB7619ADA4355656DC3B2A34EF767C7CABA54D131D73FC80E8FA6B3247E1084BEB87646186AA7D77A3B99931';
wwv_flow_api.g_varchar2_table(30) := 'CFA758857140B474B58DB494A48DB2DCE06C86750D9B1D20C15B76692ED11B5C73FC430158482D0B39B089289C677052B3E22D57B9A259B029FB6049853B865DD0609A831665ABA54FF58CEE00D3E4AB10144B1DA359888AA1DFDFBFDAA2C497F45E55A6';
wwv_flow_api.g_varchar2_table(31) := 'BD2C7720F57E9A8093CD1E95B465558E7E3C146A0DB29556B17F2B81AB767D47374F65D56AF240517C8E55AB2BB62B653BCCB65863656E0A157F7A8A0446356E936A5E13C5BFA2102E2C8AB5B02383AE6836B6747F5D2F5EACDA04967BD0AEB2CE4EC74D';
wwv_flow_api.g_varchar2_table(32) := 'B81615AB452F5D8C3FE634AF7B6A153C227B1AE8E10A650979854C52656A0DEDA495B0B46761AE92AF9A5A541B8E9F767C46A2EF5BA49AAEF7CF023F562DB69654D20DEBD0EFEA1C57E89155A454B93252D2EBBC6A37C04B935CEAC3ADAC0032FC134AB1';
wwv_flow_api.g_varchar2_table(33) := '66B35ACB698C8989BDB495715CF2F8570D7B1FD8A5D432E65D02970C3B27D01A118E254159543A560F218B7C35B762556398BAE3B30A6803C442C9FEB861D3924892C48D1976875AB1DECE31E1ED96B604C27B8E9F038EA9D6EA29D49AD31CC71C1F71BC';
wwv_flow_api.g_varchar2_table(34) := '90A446D07B253A4753CB068695D14ADAAD24E24BD570754B9224B20E4C397E510DCBB968D2A4DF85F49EE33F50E334B73BAE4B01EB8CE32F18761EB84FF1E7927D73FCAAB46342397980BA945EB2DC601DA6CA816E18C36EC560A2071186DEB05AF292BB';
wwv_flow_api.g_varchar2_table(35) := 'F4D0F38E5FAB6C623B26957D897E6BC3EDCE57B3CD7EDDB0EF2B1F3DAC46EE58C805C32E3ABEA07CB69E84A62B1BEE4AFC7338E28E778A6042B8BEA33BECC1ACE3AD947AB912F809FA7D1FA7E5E2A3177707F029FAD5F627B7285B404EED5BC0FFD2EF14';
wwv_flow_api.g_varchar2_table(36) := 'D89608CB1A705E639C346C7BD83DA96B5BCC49E4AB45254CE984C4452751953A1E113B30274F1B117613386AD819C37EC2F575CE87B4D3E549C3BE6BB75B53FBD7B7E917A4A3BFA4965329F59E9C14933391A4AA90365D64793F6D8E494B60B1902A952C';
wwv_flow_api.g_varchar2_table(37) := '7703851EA3F0A2A51C34723B57FE7758BFBF66D8BB1AA08B75D8073C269EEB8FC3C3DEC6C4FEB2E37FE1F849C3BE00EC53DE590AC00F8177C5E8EC4B1898E6102D67C1FE9429BDEC1AD6CB015F47A189254730A62F5C32ECC3B0038EF7D4157E10780BF8';
wwv_flow_api.g_varchar2_table(38) := '9EFA3F6259E61C7F40859A17813F922D59911B6E46DCA6C97DCDB0E7D56EF129BD3B5AC0460D7BC9B0FF11C1B95B60B9428F39014B22323CCDBB03CBDB19717C511F1429A1AD895AF9D0F16905B7247B764C0FFF91E36FCA901652FD86618F38FE08F00D';
wwv_flow_api.g_varchar2_table(39) := 'C37E5792B7B493F05683E3143A90B66DFE01F075E0238E3F16E956B4AF1A76CEF197E5F18FB1DC26EBFA7C867ED7661019514EA84962DBD54A7E6C8CF54ACE3AAE174F2B0A0FBA7DD1B0BD6254A70DFB67A561D134BDE0F84EE097804780BF02BEEAF8C9';
wwv_flow_api.g_varchar2_table(40) := 'C4B2DA7AE2BC0C567AC6FBC0EF3BFE75C78F38FECB861D326C419FD714E83F0DBC266AFF00FDCD2B68D15B0AB3BA413555AEAE611DC3964008A3D711131A7F2F15F08ED26FEE3BAB2207DA54E6E2F4670DFB21700C7854F72F28F2DEE7F8AFE959FF2235';
wwv_flow_api.g_varchar2_table(41) := 'F86DE0F332CAB1F37998A24EBEA7053C03FCA5E3CF011FD3621DD7FB4BA58905F09C612FC8C3DE93174199C35BA159868DA610CDA4A2EDB0FF553E2EF6B1D7933D0AEEFD8A1A93F76BC2411F8DAAD2D552FD7227F000CB5DDD0BA2D19FD067FF65D83BAA';
wwv_flow_api.g_varchar2_table(42) := '2E7D4E25C6230300B9D9759E7E7BFEB3C0DF28347A58A0ED5773E1A2C6D1035E77FC29D9E98F2AE16FC921D415AF9ED6DF7609E85E1AD7622E3156F772C5D6F0EDD9BBEAEF57A5DF7719766FCAF7220AFFD0B01F39BEC7B02F3AFE49A9F5628A0B0BE065';
wwv_flow_api.g_varchar2_table(43) := 'C5571FA823FC670DFB82E3F728D91E93872E2B2C4E4744E41CFD9EDE6F69115ED1441FA7DF6F5C931971BDB374FC9461DF74FC7D49E491A0BF64D36B8EBF264757D7B6D0B07BA10D5744410D042E2A3F3B621F69DA5CD6D6171BF4DB4F77EBEF652A034E';
wwv_flow_api.g_varchar2_table(44) := '3BFE7DFABB66BE44BF77A493F672C5FEFA6B86BDAE7BDF943D3924203F69D85105A124EF7616F8BEEAA31F187659B5D09F37EC7E49752F55AAA26DE194E3FF64D8AB02F688C0E9453AA53D652F4BA2A612E011302FD06F0759DA513D682F9769229329A9';
wwv_flow_api.g_varchar2_table(45) := '8D54A3A582C77EFAFDBB93ACDCFFD993B8FF98FECE96270C7B10B816DE29EF18D43EAA964881A714AD4FCA46F6526C56136FD65371F9634AA176699CCD743842388231E015C7BF69D82949DA41DD1B315B08C46BF45BF9C78089E41C4DF3BE1A29D86A35';
wwv_flow_api.g_varchar2_table(46) := '0717C2B98139FA2A9AF22CE7B432B107BE2370EBF4770E16928C6F48527E25D134A1DE4D967BD8261DFF0FD9A5D508D009C3EEA6DF65DE485B375D6A67E94098FF049E567871BFE38745EF07DD5F53A9F32C70561A3616417EA2CBE2080E5F4BB1A62B69';
wwv_flow_api.g_varchar2_table(47) := '984AA94A3023E37AD03B12F93B754FA995AC2B44A9033F01FEC1F10FD49B7B97EEEDA4ADE835FA6DA8ED3584215DA9F91EB5E6775399B321BB36EDF8B3C00BF28227443C2040C2E19569435CA179D5D32663538634C7808EF5FA4D68F31179D0BCA9B72E';
wwv_flow_api.g_varchar2_table(48) := '699B9154D5E8EFD8ABB17CD6D188E2A431FAADF4CF089C8F4BC5F7B3DC8357977D995D83276D036F3B3E27E92992779F51D2FE3AF0DF32230F387E508EA69B6CB803E7A5C2AD20392BA0798A0A7CA8F2A006584B221C06B329CF7309382986748FC43DE2';
wwv_flow_api.g_varchar2_table(49) := 'C142004D19F6A612EA371CFF68B251079402BDCB1ACE02099ACBF1D3B2572D05DF67E8774CBDECF8BC3282FBD46915C7041529C498D6B867E5919B49AB22A05EA4BF4F766070BE968DBEA30A189BE9240593019ED74A37244977A4155D6A5E51403D2346';
wwv_flow_api.g_varchar2_table(50) := 'E28C067FC4B0138E4F19F6AFF25A37ACB8A56B3BFDCD20FB05C06B0A4F4A79CCC3861D483675A962A54A57D04957133D968F2D2A64D72EB3BC596F5DC00578DB456EE6A0D0B4EA572489C7A4A2DB128BB214D268027302FB820687F6619537E0D5AED312';
wwv_flow_api.g_varchar2_table(51) := '6D57EAAA423F497F77E02E9990A2B27021692D49EA5BE21FA7C47EC4DEFCF0DE5DCD67FE4645EA6180331561A61430966915A35438AF01ED76FC1E494430AD964E5C70399F0EFD0D6EAF565DFDCDC0D306B9BBB540E3CAA7EBC9E605704D4D7C5AB631DA';
wwv_flow_api.g_varchar2_table(52) := 'B92652409E9D544F19D2FCCDF2E7B5B64084A12C74484B2D3124B9E5619E7E47D0CBDACF70A7D4A19D292BE582630A0986EE74D7C6E2DD2935F2C4B785F76F481D63A3F1BC4E81989007B6142C87EDBBC6F2D11F6C047091F0C74A4CA630A564E5C14F2D';
wwv_flow_api.g_varchar2_table(53) := '0DF89454F110FDCEC849964F1A8CBC7845343EE45842BD8B54340F2F7D4DF1D9FB0A4F4A2DF84405E8DCC31C15FD351D9F316CD34D299544E29EF9B9603926E4DAAFAA98332D06E58018E568465E30EC927259BF49FDE0BAEABC36F0EE93B44717D56565';
wwv_flow_api.g_varchar2_table(54) := '37D392B205D9E7E89CF7B4ABDA52B6331468EB012E400A9B34216661A90A14AA48BF117941937957F4FA5E71FC7B1D6FEBBC91DE3A25EEAA16B1D078E2488D33690CBB649B23650C523252A98E2477E876FEA1CE1D19B00D72E9342F960F20F054888E16';
wwv_flow_api.g_varchar2_table(55) := '8BB60C6E50D8A332E8AB9EA67593B2E2B8C28E52EA38AFF746A741A6BDBDD255E092DA3939AF817BD93613B8B02B63A284724BBB57272FE98A4EA71E37393DF026C0E5F396EA897CAC0FE8BAB2C438F7B460F371D8DF7A80BBD56D47D1D1532A611E53E9';
wwv_flow_api.g_varchar2_table(56) := 'B0915A4383658DD357EB92D08139E090EF8EAD54CDF4FC2520227E1419D0356C41A0DDF2F1B71BB5492CA4A72BA6240E8DCA9E3778BB380074238AAD11D6D463A152AE191D463D05D8C1E0763662C21BBDBB2E5A071624054D5153F56C0313457FAB5799';
wwv_flow_api.g_varchar2_table(57) := 'F2D025C0F48E38D5B02D5274430E15DD2CE04285BAA2805A02704CEF8AFE93EE5A54650DB626DED3D0A20438DD748E5DB919BD2B9B7DF27404AAADC4E58DB0C63379D730E15EEA8CEFA914D8DA28755CEDFABF0100A16F6D639814B0B40000000049454E';
wwv_flow_api.g_varchar2_table(58) := '44AE426082';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(196480326877656011)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'images/m4.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000005A000000590806000000BE3C33AC000000097048597300000B1300000B1301009A9C18000001396943435050686F746F73686F70204943432070726F66696C65000078DAAD91B14AC3501486BF1B45C5A1';
wwv_flow_api.g_varchar2_table(2) := '5608E2E0702751506CD5C18C495B8A2058AB4392AD494395D224DCDCAA7D0847B70E2EEE3E8193A3E0A0F804BE81E2D4C121487012C16FFACECFE170E007A362D79D86518641AC55BBE948D7F3E5EC13334C014027CC52BBD53A00889338E227023E5F11';
wwv_flow_api.g_varchar2_table(3) := '00CF9B76DD69F037E6C3546960026C77A32C045101FA173AD520C68019F4530DE20E30D549BB06E20128F5727F014A41EE6F4049B99E0FE203307BAEE78331079841EE2B80A9A34B0D504BD2913AEB9D6A59B52C4BDADD2488E4F128D3D12093FB7198A8';
wwv_flow_api.g_varchar2_table(4) := '34511D1D7581FC3F0016F3C576D3916B55CBDA5BE79F713D5FE6F67E8400C4D2639115844375FEDD85B1F3FB5CDC182FC3E12D4C4F8A6CF70A6E3660E1BAC856AB50DE82FBF117C2B34FFE1C09B327000000206348524D00007A25000080830000F9FF00';
wwv_flow_api.g_varchar2_table(5) := '0080E8000052080001155800003A970000176FD75A1F90000018F84944415478DADC9D498C65E755C77FE7BEF7EAD5D05DD5F3E06EBB1D3B6DE221267642200E843823442890054220162C4062074B9691B262838412C48288880D20764880022603716C';
wwv_flow_api.g_varchar2_table(6) := '4C12EC38B6E3D84E3A3DB8BBDDF354E39B0E8BEFFFDD7BDEAD57DD55D5D5D5159EF454F5AADE9DCE3DDFFFFCCF78EDCB0CB8BD97E9A7AFF0F7512F1FB1AD8DFA5F0134C23FF5D91BC000E8810DC2867DFDFD26C7E126E7E9B7B81EBFC575ADFC6AB2755E';
wwv_flow_api.g_varchar2_table(7) := '0D9D4FB326E0225C78F86C48A85122F9F34042EFE9677F05296FDAEB6E09DA24C82CD0464DD0F9F34ACB21ABD64AEAD5AF09BA17847F5704BFD9822EF46E828D81B78031B046A591E5D2ED0F2F6D5B097F46E084136E56A1CF7DB02E7817E800DD0037FF';
wwv_flow_api.g_varchar2_table(8) := '6F045D002D1D6F4C422EC0243D77301F06C19B6267F86023B07868DB818E633A8716D87812B47725F0CE30B6FFEC09BA4882654C17D908C6CC83E40612A604E20116CC93C1F320751B54DFF1BC8FA2D25EF361CC767DB622C05643E7D44F822E85DEFB59';
wwv_flow_api.g_varchar2_table(9) := '1274C6DE36302E4117015F0735EDCDC2F59A41F38A5D94F09E977B5119461CAC19AE271B4D0BC78DF81EAF5FAB8C2EB0A47777A335BC7987843C0E4C69FF1696B057822DB5519F8D4ABB2C63683F6D57C7631F450D25542B84FD19FF5BE11C324459D0F8';
wwv_flow_api.g_varchar2_table(10) := '7CB3F38A9B00E681B98D14F6460BBA0D36912ED09B12A8B4C802707A164A4FCB762109D6BA35BA37A90BCFF013C96CFC99717621EDCBE6830237924D6002AC2DD8AA6BB70F5347269381F625607123184A7303B5B82DA18C0701D40C5CB98CB3C62EEA77';
wwv_flow_api.g_varchar2_table(11) := 'D7F6DBD3F69E6FD884FEDE0AFCDA4778113D19B7452DFD85F0735EC759D4CD6A079B518315CF2BAB19E866A16DFB775BD08504B23D50A94158CE56FB5B172C5FB849D3A6C17702BB8069ED2F636F36667E13AFD36AD88C6EE035E02AF8C5F4BB75805909';
wwv_flow_api.g_varchar2_table(12) := '7A429A6E354E1E94C3C6B4020ADDB0C17AB5FB7605DD10164FCAA25359788F17DF4F17E9F3D2B406D8147050EF2919447DDF3AC34BDA56110218FA3DEF6B066C06FC3E09EA02D859F0ABE9066481FBB8A0CC8351CE70D74CE7E70DE17677B305DD0ACBBB';
wwv_flow_api.g_varchar2_table(13) := '114E2E5F68A138C4BC967057C73B00EC4D9AEB53092AAC118CE540372B6A5A318CF143863152B940FF4C8AE01660A00DBE5B9A7E01FC0AD88D84E93E093E11D84A64460D9D27BA9ECE66093A63F2A4F6E123D4AA13B0B2007600BB25E89DD2A6413064A3';
wwv_flow_api.g_varchar2_table(14) := '82483948547F53838A48E51AB5D84776C14DF6635A10B523099B0BC07509B057A3A383C04CB2711E04977E2D82B6F50A3A50A66546AF23CBDF9171DB9F046CBB6584BA620756C18C051A086220326EDE1703E809A2225E3786E91C63E063D52AB3E8D4F4';
wwv_flow_api.g_varchar2_table(15) := 'C4742C09DAA7817DC069B077C0E7F4FFA96490DD2A8FD5A3576AEBD0E875617B3F69AB1515749461CDF9A421DE03DB0B1C06DBA38B37D1B948F71AD579D83CD815E00AF88D64B86C41372E9FEF36617E43376121ACCE4C07A7C176A695E3533A46E6E535';
wwv_flow_api.g_varchar2_table(16) := 'C5F06DC0FDD2F4B3E067D27E6D46FB8B4E91E8E3DAF9F57AA12353AA397D9E1216CE0AFF9A60F782DF03EC91E3E00A140DAAC0124D69ED05B08B5AC6F3D2D029B07D32B6E301AEA62430099A3969ED6CBAC1D605CE0327C52C7682EF4DE7E1DAD67254CF';
wwv_flow_api.g_varchar2_table(17) := '12DFCF1068E3328C6F2783697D609B8EBD108CA16F36EB88C22E801B12C661E0BE8AF2952EB4070C5ED48DB908BC23A18D8985ECD7CF03C2F51D15165B1196700E7936C27E668133090EB8029CD3FFF6A7B74D49EB9BC3F86D4D1D6B4AE77152ABD3C24A';
wwv_flow_api.g_varchar2_table(18) := 'EDAC5750CDE551B27509FB5A08D83C003CA8252A63B2CCF55E4ACB949F4A0B27C11F023E0076549AD51073292AEA182376435E266087C10F06589A4FFBF7578197811F839D06EE15DDDB2E56E4215C9A237C0F806D4BDBDAF5ADE682BBA0E24012942D55';
wwv_flow_api.g_varchar2_table(19) := '58E6456027A7813704313B814F823F9E382F3389621935973D1A3F1BB6BB96FF5F84B8368284871384F161E075E03BC09B60A78087C08F48D90601BFADA28176489ABDB4BEDC46259A8D8E752C68B94E869B9859C23509F994B0EFBDC013C0E309264CAE';
wwv_flow_api.g_varchar2_table(20) := 'B9F7A495D1F12846049B7D44D685101635C1C00E9D4B86A4578057811F09EA0EC968B6C44A9A3A8FCB8221BF831A6DEB8112072E8520FA41615D1FEC2AF82961E70CF00BE0BF0C7644DB860BB2422BA00E3D99737743425654AE8496BC6DA16BE88067C6';
wwv_flow_api.g_varchar2_table(21) := '3203FE11B0C7C09F039E4D50E28B8292DDDA8F8CA91D13B6737BDABC2AE8B075DC509B058E093B0F825D03DE022E03EF023E0DFE8160483DB8BE720CCC92805024CEB3E3734DFBE90926661237F79C3599AAA27458151675D76A430CE653C011E019E035';
wwv_flow_api.g_varchar2_table(22) := 'B03941C95E29CB31B04B1B21E00DC2681FF1BBBB96E43105743AD2B00F021F041E117EF645F7144FB00919A44B895ED931F0B7139FB6AE1C99CC3AA6AA489D351214794BAB65AF78F103E2EF4DC54E3AE13C9B32D80DD1BED780E3F2102F2A0EE21B25E4';
wwv_flow_api.g_varchar2_table(23) := '3B9DCABA2E48D806BC0FF8B80490F93621BBD113ACBC958C1557F5B7B63CB771ED675A98BB47DF392F9A7823C454DE064E08871FD02ABA4776A31356D238F01EDD9806F06D6DB7B84552596BC2EF81824F7BE4F20EE4E55985A5DC90907F9096B1CF25C1';
wwv_flow_api.g_varchar2_table(24) := 'D82FA555E00F80EF908027F59E49C120AE4B70D7B5128E83BD02FE8298CD71B0FBC1DF0F1C4D59142B741E5D19E569DDB8B6BCD1AD969C5D0D7E1BD2BCEF816F077B52466949DCF93AF03CF07569F907C17E03FC3169A2045052B71C1544AEF3A430F8A0';
wwv_flow_api.g_varchar2_table(25) := '6EEA13E04F83FD36F0A230F8BFC05E063EA255B54B02EE2786C32B60DF4D6C6935E1D87511854D2937E88BD6FDA796EED3D2EE9F005F4D9A6CF700BF0FFE6BC063C2D6C668ECB3C0A7A97F675C387D04FC68A290F6ABC03F005F4BCCC73E09FE648208FB';
wwv_flow_api.g_varchar2_table(26) := '1EF837C08F4BF8ABB0495BBB242C0BFB5961F26109FE07C0A3C01F039F53F87294B55DCFD5ED067E45EF23C05FE9F88BC2F3422BE9CDCD10807D792473B8995BBE16977D6411CCB43CC2536999F367609F088CC582B7C7CA01FF35ABDDABC017807F1543';
wwv_flow_api.g_varchar2_table(27) := '195768F416F7D26B50B9BEA2CE4D2C09B3C0467C11F813B0DF13DD63B9DB6D76BB07AA09EBE7C03E2F3BF025D1B97543C116828E152F600CF804F087E08FDC36F8AD5ECB5B29F6C17EC1D897C57836E5558C480BDDC90B6E0B33FF14ECE1108DBBC36A65';
wwv_flow_api.g_varchar2_table(28) := '31C1BB2B195E3E2BAAB8E9826ECA6AC71AE58D7E1D05FE4034CB96C3C566BC1C39507F043CA96BDE0C41BB62BA3EAEF4CD4CC551CBCC866D80E0C7C07F0BFC3377E826AE55C11E077E47C1AF3BF16A100A753246B718AEDE69C901E8289833296E9B6306';
wwv_flow_api.g_varchar2_table(29) := 'B92268B505DD6DE029E0332328DCDD7AED047E5D31EA0B212CB01E63D490875A2FA66F4A8E4BCD001BF9CBC80B2B946075390147B5D1825CDE6B7AC7744F2D0D5F52A3FDE09F03DEBD0504EC212B7308FC63F20EBFBF0AEA1E4B1AF2CF6DBAE60B525615';
wwv_flow_api.g_varchar2_table(30) := '77BA29ECDA0FACC3623D3255857C5995D3566ABEA3E4E54E795627C12FE8607B4499AE8D38C1FB138DB3E9F5B8AF1B6F183D2C6F7B544AF4FD556C9C3DCF9D49A0D656D1CD8514F52B333DCD50D36D600D95D57AB3828BD240B98AB395DAC95A9EA1C549';
wwv_flow_api.g_varchar2_table(31) := '614ECB51B0F72B207443073EA168DC76F02752BC97F626D1B9D53A354A77F913C037180EF4B7A992C4F3A2842DC555F6D560E28642BD3EBCA2CB92866633007751FB52CE68E4B2AF88C7FD109EDCAE00D0233A39D709FF4811B53D72B3F7B0F55EA6D5F8';
wwv_flow_api.g_varchar2_table(32) := '6E52C6FDAAAEE5806CC97E52AAEB84647123846C63665FF579CC53257987985D33D02BAF61546E61C8E9F9DC2FA2BA3453F18A1F4C6EB52DC950160AE2DF0FA6F0A6EFA72AD6F1CDA774A3E06308C26624D809E037810F29AB930DDC8214EABC8C66B796';
wwv_flow_api.g_varchar2_table(33) := 'D96F4AF8DA6639CE17A33973CC0AD7AB5A4DC58BAEF25B9B142D0CFBF05EBABBBEA4F0E8EECA69B8DB421EE9BDEE4A86D1DAD2DC055D5B57D73593CA8AAD9BB235E6A1B6241642BAAE7D5047C62294D7C6837BD5D2E093A90E6D59F4492556B4A4093140';
wwv_flow_api.g_varchar2_table(34) := 'EDA2827D05EC0FDC654CBED56BBF12B4B9763B9F7B5F2BBB2558EC2705F3FAAA544B860B7ECD47117767648F48F9B75C711FA0C507CAD3A95FC49B23C2A24BD2E2A9A4D5BE95053DA5A8624F38DC513CDC2ABB656A1719D99B987D0F5B29B259AC1C16CC';
wwv_flow_api.g_varchar2_table(35) := 'DA6DFD90DE271C7C40D54E5154D86BA625769DAA04CCD9D22FEB49711ACAFACC32D4E4E4A180D21AB5763CAAEF99AFB4706FA7C85177397B9365EF8EEAEA2CF3CA71B656CFF94DD89E114A1BAC1688AE5F3BB756D28D0B93F65670C39B622B16BEF333F2';
wwv_flow_api.g_varchar2_table(36) := 'B2DC741AD8D71023587741F97A02CB39D0B4A84A9F7E500017BDCB0670813BD48D7A07E8DE40583D5983CB5CA6DC0B4EC80AA2B2B50ABAA4D7B934200A32975E65377D30DC6483D5B225C5D6251D868CBAAAFB3DF7D6E402CD8698C65519CA5C265C878C';
wwv_flow_api.g_varchar2_table(37) := '9BC6F28BCAF75F364424CFC5C855F7D1B1913F5FC247AF8667856222CD1480F273322A0C5786DE756CCE7CF84272B1BD95B874AE4AF59A925876BB036E7BEE3ACB9D001678F690468FC2D818A1CABCB2DE67969B2373346F50DB3E37DD5C2115C86C65E6';
wwv_flow_api.g_varchar2_table(38) := '71466E762E42AF53D579BDF335DB88EF2C325C683F4AD09996786CFA2942FC6354F3756E73B82ED7741078B6C9CB92FF6F6793D66F35CFB0CCF29C576BC72E45E3E2AB93623676410CAB5D6D476CBD93327A4B6DD1A157C633FF75AF751C05B7D2675323';
wwv_flow_api.g_varchar2_table(39) := 'E65029AD2617F884FAF42ED5661B156A33BE47058A6F2508F2BA33749721237B707E4AFCF9905A2F621CA30FCCA57231578F8B376A7E5E2F71EF324C9A0D662E9AF7309D651933C8C1122D8BCC91CB03B464A16F90FA44EAFCB2ADA85847598CD3A1D172';
wwv_flow_api.g_varchar2_table(40) := '0B0495CA057A1CEC2595173FA8E0513FB08B01F835B0CB82C389400AF2B564E860D841339302F68A8031FDE5068F963E2F52D51767CF504D9ADE4BC17FBF5EDB47416A189A027E02FEA2C2905BE9B544AAFD7B53D1B7C31264B437F3B233F354430022F4';
wwv_flow_api.g_varchar2_table(41) := 'F6249F4115A01B5AB003A01B053D1881C32DA1C97CCA9C58B6C259ADB7EBC0578193A1163A43CC7412B6B58067C17F3A32B4B2E96E60790E17C19E5394F13D6A100A096B1CEC5CD266579A2ABBE025CCCE53D687587344C8C1C1FB458867F4C28A8E1988';
wwv_flow_api.g_varchar2_table(42) := 'DCCF371B703CD39829A575E6C15E13A71EAB0CA8B7D2057010EC5FD277EC2E234719DCEA264DF6AF2B00F6684D5B051BBC995889ED4A3722275CDD65B7E69212960810E6817821DC1ED2E85E2DF09F9746A6701729CB664B2EDC003B207EF95AE2A3DE0F';
wwv_flow_api.g_varchar2_table(43) := 'ADBD3DC1C77B75B3BE027C6B8BC0C61BE05F4AF6C58E0A9F2DD891CC248E91DA39F68900445FA010EBBA21056B8E58AE7D093A6FE8FD5A4C225BE409EDF8B204EE21BCDA2355CCEF1205FA81C8BF8A52AC239AF710A942E95BC0979261BCABC1FE8BC03F';
wwv_flow_api.g_varchar2_table(44) := '01FF0CF610F08B0916CAB1427915BF2567AB4D6AC128828C34EEC2AEA7D511475194DE71468A7E51977CA026B9C946135BBC27BC5A1416E9E6F8A49A6CC680EF821D4FB18E72892EA6D8817F545AF30CF0976A291E1DBCBD6374AE5CADFF08F677AACB7E';
wwv_flow_api.g_varchar2_table(45) := '0AFC906689A814C1C792A6DA37A95AE4A6057B83D0057659184D706462DC3E17BB5313B47782DB69E1EEB6854BA775A75B810F0F124EFBBD4953FCB5C442CA61509AE8657BC13FAB9BF237AAEC3C1DF0907073374AB83E4CE7AC0F7C11F80B09F053A975';
wwv_flow_api.g_varchar2_table(46) := '83A6B42F0B6C5ECD4A6F26A5B1039510DD159F2E8053C2E77615F1730FDDBE6AD7F32141674C1AD5B9AF1D714577B11340BFA3A0F811FD7C85D478D30F71811CF57A225D1CD3C0DF26CDE6F55B440A6F1B27F43A0DFCB5847C1AF890DEDBA87ABCF33CBC';
wwv_flow_api.g_varchar2_table(47) := '1F2696445F946F3755B37D6615B9ACA22F0A6B2382D3B9396959F44E46D1FB61990D0415E30A969C5357A9FA014B0632931C14BB0AF6ED6444BCA3A26F57FF779FD402F7BB12F6571266E79EEB4C9BFC362065488B5D81FC933AD69F27E7C33F01FE4979';
wwv_flow_api.g_varchar2_table(48) := 'B68A97E7D4959D057B3E79B31C4A8C290F2274D470349F9888676C1EAF4DA20CB3419263D3F82C9F8F31ED1CDED4B2B7E8BC8812D992E2CDBB2A0B5D364D6E97C1BCA026C9C33296FD603C8BE01C5C065E005ED252CBABA2AE94B6362D8E45EFFC37D817';
wwv_flow_api.g_varchar2_table(49) := '80BF079F013E4DEA0DDFA5889B667F98860CFA33C0F7D4CFFEB0B4B517C23DAD74DEF696B47C4A4544815BDB400D51D99161545235B78535C3CE5D146E8AAABF6F0FA91E42BEBE29A2E747B4645E151B51CCC317A43D5D41D1512DC3EF8A427D11FC7952';
wwv_flow_api.g_varchar2_table(50) := 'F7D4A3603F5FD98251F347B9892DF5B792B0780EEC3BC2D207C19ED214851D551C9D86E2CF57F4DD17648F1E9601B4A0206D79C067925F617996880F0F4BC42927E7AC9CCAD2D0BFA1ACAE87D0678BAA813ECFB98B746F17A9D6EE0DE07FF4BF8FCBB1D1';
wwv_flow_api.g_varchar2_table(51) := '981F7AFAFD11E1DF8BA4C6A1AF09E31F107E3EA6FD6DD34D6DB17CA6924B73AF6A859C506CE565C5603AA47AE80F8BD30FC4847A9403ADB8A61BF38C1C907709360621AC90057E863417A4A5D5D7A8D1E2D0B35E69C02841E7F94563D55CB878B77C5294';
wwv_flow_api.g_varchar2_table(52) := 'E6BC66D5A90ECD625C7BB7B8F38B2996E0E3499BD8A995A211C3F4C4583E02F638D8EBE02F01FF01FECD542A6CF782DFAF65BC43E716CFBF27EFED7561F1150588F6AB91539E2913F20007A14D390F687911F8A69C9787D2F1B27D2A4BBE06F215CE6A9B';
wwv_flow_api.g_varchar2_table(53) := '999ABB9D6791E4A15DFD7A1295D1C2A6CBB25A85928174D50C7F461ABDAB96CA6A80EF92B07F027C5D3CFC63299768D7C3A8887E0850BD37E1B4CD2683EBDF017B16EC7F55CDDA5A9E60B041D266B7245C9ED4CFBD82882919E47E68EECF1EEF523A065F';
wwv_flow_api.g_varchar2_table(54) := '4D3E020F91BA76759C3801D896C0CF4AE3958971AB452DB5AA7DD938A095B2E02A80A11D8A6362FC635C277E4ECB674A243F0EE61B937133F013F20A2F031F2535ED7443863CEF77A7B03FC3C19BE03F9461BD700B1BB85390F3948C9E0262B9D8874135';
wwv_flow_api.g_varchar2_table(55) := 'A0C55AA49EF11784CB9713ACF87D326C5ECD9DF646821F3BAF98479EB3D4A8C90539274BA3B2FECD95235CE5DCBA51B3ED7289D815E1D5840C5E8BE1B9A4E3F20627B4B49FA32C12649F584A5E9683E1E46EE9EEAFF6D5D4FE0E53CD3DAD976D0D74D3CE';
wwv_flow_api.g_varchar2_table(56) := 'CA7E3CAF9BFDA062E78DE0845908A05DD4BC9105CA5115CB58CE80E159ABAB12B436F439DDFDE608D3DF1617BE26D630A6D919ED9012EB504D7F992295F2BE9CC643D8D36A15DE5BCBA2E77AC0B7A475AB8B7CA6F8C5891046F0E161BA0C344BE438F8BF';
wwv_flow_api.g_varchar2_table(57) := '09D26692C13555BB5A48325B9EF7713D9D875F4A37D227AB04ACD579F38AA515B72AA019A41880E5D4D5A096FD9D9051BBA168D823AAE76854CBB5C4E0E944DB98067B1BF87735C3BF2F35D9DB2E41900A26EDDCADE162886B6B85F9BC8EA55977E5E0D7';
wwv_flow_api.g_varchar2_table(58) := '3792D1F31312DEA1C48E7C87667A0C6ADA2F1EEE3F167B916352AEEE88F7B902B57FB3E5B69A2C4478B244596D9A738ADBA52DD74993B896648C26187E524443542D4F8A3999B48B2BA46961FB6408EF13DE9FE2A6B33346FA3037B4CFC33AEF538289B3';
wwv_flow_api.g_varchar2_table(59) := '49DBFD8236BC5FF6637B758E4303B07A8961704AD058E8BB2D96C792731A6B919B0C1E6CAE6E5DFA6230828D1A8C8CC9BACF2A939C677CDE433902C2558169F35A19EF5690E9ACF8F8F7351B495AC684F8EA08C1DE14B66753FE8FB793D0ED98847C59FB';
wwv_flow_api.g_varchar2_table(60) := 'BC373092A6B4D043014C8EDD5C94017F47D7375305D696B54E2C8EA273EB11746621AAB0F4891A6FCEDAAAC08ACF26CDA6A3E539139C190B64BE2DADDA2F67E37A9A7ECB0B2145742B5C1EA1D1F692AC7F27C5687CA7C2A13BD4AC54840727E442FB50C3';
wwv_flow_api.g_varchar2_table(61) := 'E2EF68855DD34C91A98A565AAD5AC0960455DDD5586AD6266C33C59773E57FCCB64C5631683BAEA57C44AD156DB9A4DD30814637C8DAA2647B152739C98AF57A371DC8928773EF93C3D2D68D9E5478A011E02C7ABB3D19D333C263C5D0990CCF081884AC';
wwv_flow_api.g_varchar2_table(62) := '0A8A65CCC906F8460A3ABBE7735423826BF57625C56A6805BCA38B9FA79A76DE0E61D37E8D9AEDD5FFCFB3BE67A364E1E501E0F1A9158370DC6244B8F3B47039873DB7D5B685E1D1F973AC61FEFF7ACA7665C5AD9E5588F56693FA9F668FDA3505FCDF25';
wwv_flow_api.g_varchar2_table(63) := 'A7246B6751656ACC64C016B5F4D79900F022C09ACA0186667F844824F33278D9F0B635417D2CDCB8903129CF7196350EB95A6F7D7457B4AF503C24543C9513181B60B2D43EAF21249785C94794836B5404DF0B31168D5FBB99A0FD56E736ABB8C614C355';
wwv_flow_api.g_varchar2_table(64) := 'E60D51B96B12EE19552121DAD966685E6BD9AB12878FE7F1F96C86A01506C4A96636DBF27205CFCF35694803E6D205FAAC3467A78CD476393A735A2DB7534F9DFB5096640809C1A3F3E2DA7AC8429EF06B1315A3F21846880FE2E94A9397D8E4B1C651D8';
wwv_flow_api.g_varchar2_table(65) := '1EA8DCA80713E60B694B0897F49E9286CF08BF73EA7E709BE7958B5A26757397A88A312FD5ECC24490C388A76378BF82B4B25A8BCD1474C4ECCC3EC62A777D682E52AEF51076E707C9D882DC77246CD3DF6E3741BB94846AB3D2DC2BD2C81CEC9A0C3E81';
wwv_flow_api.g_varchar2_table(66) := '57E3EE4B1C8FB1650D035FFFECE88D12745EAE7ABE4916660E6196A4245F501E1BDCD277F57C2A9B1FE110DC8EA0CF85D595D367AD44D73C385D16A71D50955AD009CF8BB9ED1E9C8DEC96EA0737349786C512A9410D4E5AD543106C3C2CCD8D2837F070';
wwv_flow_api.g_varchar2_table(67) := '0EE3D5B9E447FB9541A7DA00F1F2DCF33C920D7B38D946B7A5E56C774754695CCE88FA3BCA87E244CD6D04B77E231F73175DE7F864B941B8D9B1A155017B5B0A6D121BF6BA53FD7F1EF2724BD2D876E83CB560D97390BDC3C6766FE5F84ABF2AA21F1AFE';
wwv_flow_api.g_varchar2_table(68) := '6D0126F26ACA89880D7F88E49D6EB4EC5569315FA41A29D466F86944D16B5B6D587495828E8FD6F3E8DD75AB890CDE5DDBF1B79EA0431E2D6B37632121D0AC321F6B7F5ACFAD63E9CBBAC5E2C37EF3138D36A50772B35B87072176DB0CDC7AC09A9EACB6';
wwv_flow_api.g_varchar2_table(69) := 'EA91CA828E5C2A606A40BDB3DA3BEAF57F0300BFB046A4513C75FF0000000049454E44AE426082';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(196480709738656010)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'images/m5.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A0D0A6A6B3634205265706F72744D61702076312E35204A616E20323032310D0A68747470733A2F2F6769746875622E636F6D2F6A6566667265796B656D702F6A6B36342D706C7567696E2D7265706F72746D61700D0A436F70797269676874202863';
wwv_flow_api.g_varchar2_table(2) := '292032303136202D2032303231204A656666726579204B656D700D0A52656C656173656420756E64657220746865204D4954206C6963656E63653A20687474703A2F2F6F70656E736F757263652E6F72672F6C6963656E7365732F6D69742D6C6963656E';
wwv_flow_api.g_varchar2_table(3) := '73650D0A2A2F0D0A0D0A24282066756E6374696F6E2829207B0D0A2020242E7769646765742820226A6B36342E7265706F72746D6170222C207B0D0A0D0A202020202F2F2064656661756C74206F7074696F6E730D0A202020206F7074696F6E733A207B';
wwv_flow_api.g_varchar2_table(4) := '0D0A2020202020202020726567696F6E49642020202020202020202020202020203A2022222C0D0A2020202020202020616A61784964656E7469666965722020202020202020203A2022222C0D0A2020202020202020616A61784974656D732020202020';
wwv_flow_api.g_varchar2_table(5) := '2020202020202020203A2022222C0D0A2020202020202020706C7567696E5265736F757263655061746820202020203A2022222C0D0A2020202020202020706C7567696E46696C65507265666978202020202020203A2022222C0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(6) := '65787065637444617461202020202020202020202020203A20747275652C0D0A20202020202020206D6178696D756D526F77732020202020202020202020203A206E756C6C2C0D0A2020202020202020726F777350657242617463682020202020202020';
wwv_flow_api.g_varchar2_table(7) := '2020203A206E756C6C2C0D0A2020202020202020696E697469616C43656E746572202020202020202020203A207B6C61743A302C6C6E673A307D2C0D0A20202020202020206D696E5A6F6F6D202020202020202020202020202020203A20312C0D0A2020';
wwv_flow_api.g_varchar2_table(8) := '2020202020206D61785A6F6F6D202020202020202020202020202020203A206E756C6C2C0D0A2020202020202020696E697469616C5A6F6F6D2020202020202020202020203A20322C0D0A202020202020202076697375616C69736174696F6E20202020';
wwv_flow_api.g_varchar2_table(9) := '2020202020203A202270696E73222C0D0A20202020202020206D617054797065202020202020202020202020202020203A2022726F61646D6170222C202F2F676F6F676C652E6D6170732E4D61705479706549640D0A2020202020202020636C69636B5A';
wwv_flow_api.g_varchar2_table(10) := '6F6F6D4C6576656C2020202020202020203A206E756C6C2C0D0A20202020202020206973447261676761626C652020202020202020202020203A2066616C73652C0D0A2020202020202020686561746D61704469737369706174696E6720202020203A20';
wwv_flow_api.g_varchar2_table(11) := '66616C73652C0D0A2020202020202020686561746D61704F7061636974792020202020202020203A20302E362C0D0A2020202020202020686561746D6170526164697573202020202020202020203A20352C0D0A202020202020202070616E4F6E436C69';
wwv_flow_api.g_varchar2_table(12) := '636B202020202020202020202020203A20747275652C0D0A20202020202020207265737472696374436F756E74727920202020202020203A2022222C0D0A20202020202020206D61705374796C652020202020202020202020202020203A2022222C0D0A';
wwv_flow_api.g_varchar2_table(13) := '202020202020202074726176656C4D6F6465202020202020202020202020203A202244524956494E47222C202F2F676F6F676C652E6D6170732E54726176656C4D6F64650D0A2020202020202020756E697453797374656D202020202020202020202020';
wwv_flow_api.g_varchar2_table(14) := '203A20224D4554524943222C202F2F676F6F676C652E6D6170732E556E697453797374656D0D0A20202020202020206F7074696D697A65576179706F696E74732020202020203A2066616C73652C0D0A2020202020202020616C6C6F775A6F6F6D202020';
wwv_flow_api.g_varchar2_table(15) := '20202020202020202020203A20747275652C0D0A2020202020202020616C6C6F7750616E2020202020202020202020202020203A20747275652C0D0A20202020202020206765737475726548616E646C696E6720202020202020203A20226175746F222C';
wwv_flow_api.g_varchar2_table(16) := '0D0A2020202020202020696E6974466E20202020202020202020202020202020203A206E756C6C2C0D0A20202020202020206D61726B6572466F726D6174466E2020202020202020203A206E756C6C2C0D0A202020202020202064726177696E674D6F64';
wwv_flow_api.g_varchar2_table(17) := '657320202020202020202020203A206E756C6C2C0D0A202020202020202066656174757265436F6C6F7220202020202020202020203A202723636336366666272C0D0A202020202020202066656174757265436F6C6F7253656C65637465642020203A20';
wwv_flow_api.g_varchar2_table(18) := '2723666636363030272C0D0A20202020202020206665617475726553656C65637461626C652020202020203A20747275652C0D0A202020202020202066656174757265486F76657261626C65202020202020203A20747275652C0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(19) := '666561747572655374796C65466E2020202020202020203A206E756C6C2C0D0A20202020202020206472616744726F7047656F4A534F4E20202020202020203A2066616C73652C0D0A09096175746F466974426F756E6473202020202020202020203A20';
wwv_flow_api.g_varchar2_table(20) := '747275652C0D0A2020202020202020646972656374696F6E7350616E656C20202020202020203A206E756C6C2C0D0A202020202020202073706964657266696572202020202020202020202020203A207B7D2C0D0A202020202020202073706964657266';
wwv_flow_api.g_varchar2_table(21) := '79466F726D6174466E202020202020203A206E756C6C2C0D0A202020202020202073686F7750696E732020202020202020202020202020203A20747275652C20202F2F73686F77207468652050696E73202870696E20747970652076697375616C697361';
wwv_flow_api.g_varchar2_table(22) := '74696F6E73206F6E6C79290D0A202020202020202073686F77496E666F506F707570732020202020202020203A20747275652C20202F2F73686F772074686520496E666F20706F707570207768656E2070696E20697320636C69636B65640D0A20202020';
wwv_flow_api.g_varchar2_table(23) := '2020202073686F77496E666F4C61796572202020202020202020203A2066616C73652C202F2F73686F772074686520496E666F206C61796572202870696E20747970652076697375616C69736174696F6E73206F6E6C79290D0A2020202020202020696E';
wwv_flow_api.g_varchar2_table(24) := '666F4C61796572466F726D6174466E2020202020203A206E756C6C2C0D0A202020202020202073686F775370696E6E65722020202020202020202020203A20747275652C0D0A202020202020202064657461696C65644D6F7573654576656E7473202020';
wwv_flow_api.g_varchar2_table(25) := '203A2066616C73652C0D0A202020202020202069636F6E426173655061746820202020202020202020203A2022222C0D0A20202020202020206E6F446174614D657373616765202020202020202020203A2022222C0D0A20202020202020206E6F416464';
wwv_flow_api.g_varchar2_table(26) := '72657373526573756C7473202020202020203A202241646472657373206E6F7420666F756E64222C0D0A2020202020202020646972656374696F6E734E6F74466F756E6420202020203A20224174206C65617374206F6E65206F6620746865206F726967';
wwv_flow_api.g_varchar2_table(27) := '696E2C2064657374696E6174696F6E2C206F7220776179706F696E747320636F756C64206E6F742062652067656F636F6465642E222C0D0A2020202020202020646972656374696F6E735A65726F526573756C747320203A20224E6F20726F7574652063';
wwv_flow_api.g_varchar2_table(28) := '6F756C6420626520666F756E64206265747765656E20746865206F726967696E20616E642064657374696E6174696F6E2E222C0D0A0D0A20202020202020202F2F2043616C6C6261636B730D0A20202020202020206164644F7665726C61792020202020';
wwv_flow_api.g_varchar2_table(29) := '20202020202020203A206E756C6C2C202F2F61646420616E206F7665726C61792028652E672E206D6170206F7220696E666F20626F7829206F6E20746F70206F6620746865206D61700D0A2020202020202020636C69636B202020202020202020202020';
wwv_flow_api.g_varchar2_table(30) := '2020202020203A206E756C6C2C202F2F73696D756C617465206120636C69636B206F6E2061206D61726B65720D0A202020202020202064656C657465416C6C46656174757265732020202020203A206E756C6C2C202F2F64656C65746520616C6C206665';
wwv_flow_api.g_varchar2_table(31) := '617475726573202864726177696E67206D616E61676572290D0A202020202020202064656C65746553656C65637465644665617475726573203A206E756C6C2C202F2F64656C6574652073656C6563746564206665617475726573202864726177696E67';
wwv_flow_api.g_varchar2_table(32) := '206D616E61676572290D0A2020202020202020666974426F756E647320202020202020202020202020203A206E756C6C2C202F2F70616E2F7A6F6F6D20746865206D617020746F2074686520676976656E20626F756E64730D0A20202020202020206765';
wwv_flow_api.g_varchar2_table(33) := '6F6C6F6361746520202020202020202020202020203A206E756C6C2C202F2F66696E64207468652075736572277320646576696365206C6F636174696F6E0D0A2020202020202020676574416464726573734279506F7320202020202020203A206E756C';
wwv_flow_api.g_varchar2_table(34) := '6C2C202F2F67657420636C6F73657374206164647265737320746F2074686520676976656E206C6F636174696F6E0D0A2020202020202020676F746F416464726573732020202020202020202020203A206E756C6C2C202F2F7365617263682062792061';
wwv_flow_api.g_varchar2_table(35) := '64647265737320616E6420706C616365207468652070696E2074686572650D0A2020202020202020676F746F506F73202020202020202020202020202020203A206E756C6C2C202F2F706C616365207468652070696E206174206120676976656E20706F';
wwv_flow_api.g_varchar2_table(36) := '736974696F6E207B6C61742C6C6E677D0D0A2020202020202020676F746F506F734279537472696E6720202020202020203A206E756C6C2C202F2F706C616365207468652070696E206174206120676976656E20706F736974696F6E20286C61742C6C6E';
wwv_flow_api.g_varchar2_table(37) := '672070726F7669646564206173206120737472696E67206F72204C61744C6E674C69746572616C290D0A2020202020202020686964654D6573736167652020202020202020202020203A206E756C6C2C202F2F6869646520746865207761726E696E672F';
wwv_flow_api.g_varchar2_table(38) := '6572726F72206D6573736167650D0A20202020202020206C6F616447656F4A736F6E537472696E672020202020203A206E756C6C2C202F2F6C6F61642066656174757265732066726F6D20612047656F4A534F4E20646F63756D656E740D0A2020202020';
wwv_flow_api.g_varchar2_table(39) := '20202070616E546F2020202020202020202020202020202020203A206E756C6C2C202F2F70616E206D617020746F20676976656E206C6F636174696F6E20286C61742C6C6E67290D0A202020202020202070616E546F4279537472696E67202020202020';
wwv_flow_api.g_varchar2_table(40) := '202020203A206E756C6C2C202F2F70616E206D617020746F20676976656E20706F736974696F6E20286C61742C6C6E672070726F7669646564206173206120737472696E67206F72204C61744C6E674C69746572616C290D0A2020202020202020706172';
wwv_flow_api.g_varchar2_table(41) := '73654C61744C6E672020202020202020202020203A206E756C6C2C202F2F70617273652061206C61742C6C6E6720737472696E6720696E746F206120676F6F676C652E6D6170732E4C61744C6E670D0A2020202020202020726566726573682020202020';
wwv_flow_api.g_varchar2_table(42) := '20202020202020202020203A206E756C6C2C202F2F7265667265736820746865206D6170202872652D72756E20746865207175657279290D0A202020202020202073686F77446972656374696F6E732020202020202020203A206E756C6C2C202F2F7368';
wwv_flow_api.g_varchar2_table(43) := '6F7720726F757465206265747765656E2074776F206C6F636174696F6E730D0A090973686F77496E666F57696E646F772020202020202020203A206E756C6C2C202F2F73657420616E642073686F7720696E666F2077696E646F772028706F7075702920';
wwv_flow_api.g_varchar2_table(44) := '666F7220612070696E0D0A202020202020202073686F774D6573736167652020202020202020202020203A206E756C6C20202F2F73686F772061207761726E696E672F6572726F72206D6573736167650D0A202020207D2C0D0A0D0A202020202F2F7265';
wwv_flow_api.g_varchar2_table(45) := '7475726E20676F6F676C65206D617073204C61744C6E67206261736564206F6E2070617273696E672074686520676976656E20737472696E670D0A202020202F2F7468652064656C696D69746572206D6179206265206120737061636520282029206F72';
wwv_flow_api.g_varchar2_table(46) := '20612073656D69636F6C6F6E20283B29206F72206120636F6D6D6120282C292077697468206F6E6520657863657074696F6E3A0D0A202020202F2F69662074686520646563696D616C20706F696E7420697320696E64696361746564206279206120636F';
wwv_flow_api.g_varchar2_table(47) := '6D6D6120282C292074686520736570617261746F72206D757374206265206120737061636520282029206F722073656D69636F6C6F6E20283B290D0A202020202F2F652E672E3A0D0A202020202F2F202020202D31372E39363039203132322E32313232';
wwv_flow_api.g_varchar2_table(48) := '0D0A202020202F2F202020202D31372E393630392C3132322E323132320D0A202020202F2F202020202D31372E393630393B3132322E323132320D0A202020202F2F202020202D31372C39363039203132322C323132320D0A202020202F2F202020202D';
wwv_flow_api.g_varchar2_table(49) := '31372C393630393B3132322C323132320D0A202020202F2F416C736F206163636570747320616E64207061727365732061204C61744C6E674C69746572616C2C20652E672E0D0A202020202F2F202020207B226C6174223A2D31372E393630392C20226C';
wwv_flow_api.g_varchar2_table(50) := '6E67223A3132322E323132327D0D0A2020202070617273654C61744C6E673A2066756E6374696F6E20287629207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E70617273654C61744C6E67222C2076293B0D0A202020';
wwv_flow_api.g_varchar2_table(51) := '202020202076617220706F733B0D0A2020202020202020696620287620213D3D206E756C6C202626207620213D3D20756E646566696E656429207B0D0A20202020202020202020202069662028762E6861734F776E50726F706572747928226C61742229';
wwv_flow_api.g_varchar2_table(52) := '2626762E6861734F776E50726F706572747928226C6E67222929207B0D0A202020202020202020202020202020202F2F20706172736520617320676F6F676C652E6D6170732E4C61744C6E674C69746572616C0D0A202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(53) := '20706F73203D206E657720676F6F676C652E6D6170732E4C61744C6E672876293B0D0A2020202020202020202020207D20656C7365207B0D0A20202020202020202020202020202020766172206172723B0D0A2020202020202020202020202020202069';
wwv_flow_api.g_varchar2_table(54) := '662028762E696E6465784F6628223B22293E2D3129207B0D0A2020202020202020202020202020202020202020617272203D20762E73706C697428223B22293B0D0A202020202020202020202020202020207D20656C73652069662028762E696E646578';
wwv_flow_api.g_varchar2_table(55) := '4F6628222022293E2D3129207B0D0A2020202020202020202020202020202020202020617272203D20762E73706C697428222022293B0D0A202020202020202020202020202020207D20656C73652069662028762E696E6465784F6628222C22293E2D31';
wwv_flow_api.g_varchar2_table(56) := '29207B0D0A2020202020202020202020202020202020202020617272203D20762E73706C697428222C22293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020202020202069662028617272202626206172722E6C656E67';
wwv_flow_api.g_varchar2_table(57) := '74683D3D3229207B0D0A20202020202020202020202020202020202020202F2F636F6E7665727420746F2075736520706572696F6420282E2920666F7220646563696D616C20706F696E740D0A2020202020202020202020202020202020202020617272';
wwv_flow_api.g_varchar2_table(58) := '5B305D203D206172725B305D2E7265706C616365282F2C2F672C20222E22293B0D0A20202020202020202020202020202020202020206172725B315D203D206172725B315D2E7265706C616365282F2C2F672C20222E22293B0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(59) := '2020202020202020202020617065782E64656275672822706172736564222C20617272293B0D0A2020202020202020202020202020202020202020706F73203D206E657720676F6F676C652E6D6170732E4C61744C6E67287061727365466C6F61742861';
wwv_flow_api.g_varchar2_table(60) := '72725B305D292C7061727365466C6F6174286172725B315D29293B0D0A202020202020202020202020202020207D20656C7365207B0D0A2020202020202020202020202020202020202020617065782E646562756728276E6F204C61744C6E6720666F75';
wwv_flow_api.g_varchar2_table(61) := '6E64272C2076293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D0D0A20202020202020207D0D0A202020202020202072657475726E20706F733B0D0A202020207D2C0D0A202020200D0A202020202F2A0D0A2020';
wwv_flow_api.g_varchar2_table(62) := '2020202A0D0A20202020202A204D6170204F7665726C61790D0A20202020202A0D0A20202020202A2F0D0A202020206164644F7665726C61793A2066756E6374696F6E2028636F6E74656E742C206F7074696F6E7329207B0D0A20202020202020206170';
wwv_flow_api.g_varchar2_table(63) := '65782E646562756728226164644F7665726C6179222C20636F6E74656E742C206F7074696F6E73293B0D0A2020202020202020766172206F7665726C61794F7074696F6E73203D20242E657874656E64287B0D0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(64) := '2F2F64656661756C74206F7074696F6E730D0A20202020202020202020202020202020626F756E647320202020202020202020203A206E756C6C2C20202020202F2F207363616C6520746865206F626A65637420746F206D617463682074686973207261';
wwv_flow_api.g_varchar2_table(65) := '6E6765206F66206C61742C6C6F6E6720636F6F7264696E617465732028652E672E20746F2073686F772061206D617020696D616765206F6E20746F70206F6620746865206D6170290D0A20202020202020202020202020202020706F7320202020202020';
wwv_flow_api.g_varchar2_table(66) := '202020202020203A206E756C6C2C20202020202F2F2028706F73206F6E6C792920706F736974696F6E20746865206F626A656374206174207468697320706F696E742028646F6E2774207363616C65206974290D0A202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(67) := '20686F72697A6F6E74616C416C69676E20203A202263656E746572222C202F2F2028706F73206F6E6C7929206C6566742C2063656E7465722C2072696768740D0A20202020202020202020202020202020766572746963616C416C69676E202020203A20';
wwv_flow_api.g_varchar2_table(68) := '226D6964646C65222C202F2F2028706F73206F6E6C792920746F702C206D6964646C652C20626F74746F6D0D0A20202020202020202020202020202020686F72697A6F6E74616C4F6666736574203A20302C20202020202020202F2F2028706F73206F6E';
wwv_flow_api.g_varchar2_table(69) := '6C792920706978656C206F6666736574202878290D0A20202020202020202020202020202020766572746963616C4F66667365742020203A20302C20202020202020202F2F2028706F73206F6E6C792920706978656C206F6666736574202879290D0A20';
wwv_flow_api.g_varchar2_table(70) := '2020202020202020202020202020206D696E5A6F6F6D202020202020202020203A20302C20202020202020202F2F2068696465206966207A6F6F6D6564206F757420706173742074686973206C6576656C0D0A202020202020202020202020202020206D';
wwv_flow_api.g_varchar2_table(71) := '61785A6F6F6D202020202020202020203A2039392C202020202020202F2F2068696465206966207A6F6F6D656420696E20706173742074686973206C6576656C0D0A202020202020202020202020202020206F6E436C69636B48616E646C65722020203A';
wwv_flow_api.g_varchar2_table(72) := '206E756C6C2020202020202F2F2066756E6374696F6E20746F2063616C6C206966206F7665726C617920636C69636B656420286E756C6C20746F206D616B65206E6F7420636C69636B61626C65290D0A2020202020202020202020207D2C206F7074696F';
wwv_flow_api.g_varchar2_table(73) := '6E73293B0D0A2020202020202020766172206F7665726C6179203D206E6577204D61704F7665726C617928636F6E74656E742C206F7665726C61794F7074696F6E73293B0D0A20202020202020206F7665726C61792E7365744D617028746869732E6D61';
wwv_flow_api.g_varchar2_table(74) := '70293B0D0A202020202020202072657475726E206F7665726C61793B0D0A202020207D2C0D0A0D0A092F2A0D0A09202A0D0A09202A204D45535341474520504F5055500D0A09202A0D0A09202A2F0D0A2020202073686F774D6573736167653A2066756E';
wwv_flow_api.g_varchar2_table(75) := '6374696F6E20286D736729207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E73686F774D657373616765222C206D7367293B0D0A0D0A2020202020202020746869732E686964654D65737361676528293B0D0A0D0A20';
wwv_flow_api.g_varchar2_table(76) := '20202020202020746869732E6D7367446976203D20646F63756D656E742E637265617465456C656D656E74282764697627293B0D0A0D0A2020202020202020766172206D6573736167655549203D20646F63756D656E742E637265617465456C656D656E';
wwv_flow_api.g_varchar2_table(77) := '74282764697627293B0D0A20202020202020206D65737361676555492E636C6173734E616D65203D20277265706F72746D61702D6D6573736167655549273B0D0A2020202020202020746869732E6D73674469762E617070656E644368696C64286D6573';
wwv_flow_api.g_varchar2_table(78) := '736167655549293B0D0A0D0A2020202020202020766172206D657373616765496E6E6572203D20646F63756D656E742E637265617465456C656D656E74282764697627293B0D0A20202020202020206D657373616765496E6E65722E636C6173734E616D';
wwv_flow_api.g_varchar2_table(79) := '65203D20277265706F72746D61702D6D657373616765496E6E6572273B0D0A20202020202020206D657373616765496E6E65722E696E6E657248544D4C203D206D73673B0D0A20202020202020206D65737361676555492E617070656E644368696C6428';
wwv_flow_api.g_varchar2_table(80) := '6D657373616765496E6E6572293B0D0A0D0A2020202020202020746869732E6D73674469762E6164644576656E744C697374656E65722827636C69636B272C2066756E6374696F6E2829207B0D0A202020202020202020202020617065782E6465627567';
wwv_flow_api.g_varchar2_table(81) := '28226F6E20636C69636B202D2068696465206D65737361676522293B0D0A202020202020202020202020746869732E72656D6F766528293B0D0A20202020202020207D293B0D0A0D0A2020202020202020746869732E6D61702E636F6E74726F6C735B67';
wwv_flow_api.g_varchar2_table(82) := '6F6F676C652E6D6170732E436F6E74726F6C506F736974696F6E2E4C4546545F43454E5445525D2E7075736828746869732E6D7367446976293B0D0A202020202020202072657475726E20746869732E6D73674469763B0D0A202020207D2C0D0A0D0A20';
wwv_flow_api.g_varchar2_table(83) := '202020686964654D6573736167653A2066756E6374696F6E2829207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E686964654D65737361676522293B0D0A202020202020202069662028746869732E6D736744697629';
wwv_flow_api.g_varchar2_table(84) := '207B0D0A202020202020202020202020746869732E6D73674469762E72656D6F766528293B0D0A20202020202020207D0D0A202020207D2C0D0A0D0A092F2A0D0A09202A0D0A09202A205245504F52542050494E530D0A09202A0D0A09202A2F0D0A0D0A';
wwv_flow_api.g_varchar2_table(85) := '202020205F6576656E7450696E446174613A2066756E6374696F6E20286D61726B657229207B0D0A20202020202020202F2F6765742070696E206461746120666F722070617373696E6720746F20616E206576656E742068616E646C65720D0A20202020';
wwv_flow_api.g_varchar2_table(86) := '202020207661722064203D207B0D0A2020202020202020202020206D6170202020203A20746869732E6D61702C0D0A2020202020202020202020206C6174202020203A206D61726B65722E706F736974696F6E2E6C617428292C0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(87) := '202020206C6E67202020203A206D61726B65722E706F736974696F6E2E6C6E6728292C0D0A0909096D61726B6572203A206D61726B65720D0A20202020202020207D3B0D0A2020202020202020696620286D61726B65722E6F7665726C617926266D6172';
wwv_flow_api.g_varchar2_table(88) := '6B65722E6F7665726C61792E64697629207B0D0A202020202020202020202020642E696E666F446976203D206D61726B65722E6F7665726C61792E6469763B0D0A20202020202020207D0D0A2020202020202020242E657874656E6428642C206D61726B';
wwv_flow_api.g_varchar2_table(89) := '65722E64617461293B0D0A202020202020202072657475726E20643B0D0A202020207D2C0D0A0D0A202020205F756E657363617065496E666F3A2066756E6374696F6E28696E666F29207B0D0A09092F2F756E657363617065207468652068746D6C2066';
wwv_flow_api.g_varchar2_table(90) := '6F722074686520696E666F2077696E646F7720636F6E74656E74730D0A0909766172206874203D206E657720444F4D50617273657228292E706172736546726F6D537472696E6728696E666F2C2022746578742F68746D6C22293B0D0A09097265747572';
wwv_flow_api.g_varchar2_table(91) := '6E2068742E646F63756D656E74456C656D656E742E74657874436F6E74656E743B0D0A202020207D2C0D0A0D0A092F2F73686F772074686520696E666F2077696E646F7720666F7220612070696E3B207365742074686520636F6E74656E7420666F7220';
wwv_flow_api.g_varchar2_table(92) := '69740D0A0973686F77496E666F57696E646F773A2066756E6374696F6E20286D61726B657229207B0D0A0909617065782E646562756728227265706F72746D61702E73686F77496E666F57696E646F77222C206D61726B6572293B0D0A09092F2F73686F';
wwv_flow_api.g_varchar2_table(93) := '7720696E666F2077696E646F7720666F7220746869732070696E0D0A09096966202821746869732E696E666F57696E646F7729207B0D0A090909746869732E696E666F57696E646F77203D206E657720676F6F676C652E6D6170732E496E666F57696E64';
wwv_flow_api.g_varchar2_table(94) := '6F7728293B0D0A09097D0D0A0909746869732E696E666F57696E646F772E736574436F6E74656E7428746869732E5F756E657363617065496E666F286D61726B65722E646174612E696E666F29293B0D0A09092F2F6173736F6369617465207468652069';
wwv_flow_api.g_varchar2_table(95) := '6E666F2077696E646F77207769746820746865206D61726B657220616E642073686F77206F6E20746865206D61700D0A0909746869732E696E666F57696E646F772E6F70656E28746869732E6D61702C206D61726B6572293B0D0A202020202020202072';
wwv_flow_api.g_varchar2_table(96) := '657475726E20746869732E696E666F57696E646F773B0D0A097D2C0D0A0D0A202020202F2F706C6163652061207265706F72742070696E206F6E20746865206D61700D0A202020205F6E65774D61726B65723A2066756E6374696F6E202870696E446174';
wwv_flow_api.g_varchar2_table(97) := '6129207B0D0A2020202020202020766172205F74686973203D20746869732C0D0A2020202020202020202020206D61726B6572203D206E657720676F6F676C652E6D6170732E4D61726B6572287B0D0A20202020202020202020202020206D6170202020';
wwv_flow_api.g_varchar2_table(98) := '202020203A20746869732E6D61702C0D0A2020202020202020202020202020706F736974696F6E20203A206E657720676F6F676C652E6D6170732E4C61744C6E672870696E446174612E782C2070696E446174612E79292C0D0A20202020202020202020';
wwv_flow_api.g_varchar2_table(99) := '202020207469746C6520202020203A2070696E446174612E6E2C0D0A202020202020202020202020202069636F6E2020202020203A202870696E446174612E633F28746869732E6F7074696F6E732E69636F6E4261736550617468202B2070696E446174';
wwv_flow_api.g_varchar2_table(100) := '612E63293A6E756C6C292C0D0A20202020202020202020202020206C6162656C20202020203A2070696E446174612E6C2C0D0A2020202020202020202020202020647261676761626C65203A20746869732E6F7074696F6E732E6973447261676761626C';
wwv_flow_api.g_varchar2_table(101) := '650D0A2020202020202020202020207D293B0D0A0D0A20202020202020202F2F6C6F6164206F7572206F776E206461746120696E746F20746865206D61726B65720D0A20202020202020206D61726B65722E64617461203D207B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(102) := '2020202069642020203A2070696E446174612E642C0D0A202020202020202020202020696E666F203A2070696E446174612E692C0D0A2020202020202020202020206E616D65203A2070696E446174612E6E0D0A09097D3B0D0A2020202020202020666F';
wwv_flow_api.g_varchar2_table(103) := '7220287661722069203D20313B2069203C3D2031303B20692B2B29207B0D0A2020202020202020202020206966202870696E446174612E66262670696E446174612E665B2261222B695D29207B0D0A202020202020202020202020202020202F2F662E61';
wwv_flow_api.g_varchar2_table(104) := '312C20662E61322C202E2E2E20662E61313020636F6E76657274656420746F206D61726B65722E646174612E6174747230312C206D61726B65722E646174612E6174747230322C202E2E2E206D61726B65722E646174612E6174747231300D0A20202020';
wwv_flow_api.g_varchar2_table(105) := '2020202020202020202020206D61726B65722E646174615B2261747472222B282730272B69292E736C696365282D32295D203D2070696E446174612E665B2261222B695D3B0D0A2020202020202020202020207D0D0A20202020202020207D0D0A0D0A20';
wwv_flow_api.g_varchar2_table(106) := '202020202020206966202821746869732E6F7074696F6E732E73686F7750696E7329207B0D0A2020202020202020202020206D61726B65722E73657456697369626C652866616C7365293B0D0A20202020202020207D0D0A0D0A20202020202020202F2F';
wwv_flow_api.g_varchar2_table(107) := '69662061206D61726B657220666F726D617474696E672066756E6374696F6E20686173206265656E20737570706C6965642C2063616C6C2069740D0A202020202020202069662028746869732E6F7074696F6E732E6D61726B6572466F726D6174466E29';
wwv_flow_api.g_varchar2_table(108) := '207B0D0A202020202020202020202020746869732E6F7074696F6E732E6D61726B6572466F726D6174466E286D61726B6572293B0D0A20202020202020207D0D0A0D0A2020202020202020696620286D61726B65722E646174612E696E666F2026262074';
wwv_flow_api.g_varchar2_table(109) := '6869732E6F7074696F6E732E73686F77496E666F4C6179657229207B0D0A2020202020202020202020206D61726B65722E6F7665726C6179203D20746869732E6164644F7665726C617928746869732E5F756E657363617065496E666F286D61726B6572';
wwv_flow_api.g_varchar2_table(110) := '2E646174612E696E666F292C207B0D0A20202020202020202020202020202020706F732020202020202020202020203A206D61726B65722E706F736974696F6E2C0D0A202020202020202020202020202020206F6E436C69636B48616E646C6572203A20';
wwv_flow_api.g_varchar2_table(111) := '66756E6374696F6E202829207B0D0A2020202020202020202020202020202020202020617065782E64656275672822696E666F4C6179657220636C69636B6564222C206D61726B65722E646174612E6964293B0D0A202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(112) := '2020202020696620285F746869732E6F7074696F6E732E70616E4F6E436C69636B29207B0D0A2020202020202020202020202020202020202020202020205F746869732E6D61702E70616E546F286D61726B65722E706F736974696F6E293B0D0A202020';
wwv_flow_api.g_varchar2_table(113) := '20202020202020202020202020202020207D0D0A2020202020202020202020202020202020202020696620285F746869732E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C29207B0D0A2020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(114) := '205F746869732E6D61702E7365745A6F6F6D285F746869732E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C293B0D0A20202020202020202020202020202020202020207D0D0A2020202020202020202020202020202020202020617065782E6A';
wwv_flow_api.g_varchar2_table(115) := '5175657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E7472696767657228226D61726B6572636C69636B222C205F746869732E5F6576656E7450696E44617461286D61726B657229293B0D0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(116) := '202020207D0D0A2020202020202020202020207D293B0D0A20202020202020202020202069662028746869732E6F7074696F6E732E696E666F4C61796572466F726D6174466E29207B0D0A20202020202020202020202020202020746869732E6F707469';
wwv_flow_api.g_varchar2_table(117) := '6F6E732E696E666F4C61796572466F726D6174466E286D61726B65722E6F7665726C61792C206D61726B6572293B0D0A2020202020202020202020207D0D0A20202020202020207D0D0A0D0A2020202020202020676F6F676C652E6D6170732E6576656E';
wwv_flow_api.g_varchar2_table(118) := '742E6164644C697374656E6572286D61726B65722C0D0A20202020202020202020202028746869732E6F7074696F6E732E76697375616C69736174696F6E3D3D2273706964657266696572223F227370696465725F636C69636B223A22636C69636B2229';
wwv_flow_api.g_varchar2_table(119) := '2C0D0A20202020202020202020202066756E6374696F6E202829207B0D0A20202020202020202020202020202020617065782E646562756728226D61726B657220636C69636B6564222C206D61726B65722E646174612E6964293B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(120) := '20202020202020202076617220706F73203D20746869732E676574506F736974696F6E28293B0D0A20202020202020202020202020202020696620286D61726B65722E646174612E696E666F202626205F746869732E6F7074696F6E732E73686F77496E';
wwv_flow_api.g_varchar2_table(121) := '666F506F7075707329207B0D0A20202020202020202020202020202020202020205F746869732E73686F77496E666F57696E646F772874686973293B0D0A202020202020202020202020202020207D0D0A20202020202020202020202020202020696620';
wwv_flow_api.g_varchar2_table(122) := '285F746869732E6F7074696F6E732E70616E4F6E436C69636B29207B0D0A20202020202020202020202020202020202020205F746869732E6D61702E70616E546F28706F73293B0D0A202020202020202020202020202020207D0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(123) := '2020202020202020696620285F746869732E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C29207B0D0A20202020202020202020202020202020202020205F746869732E6D61702E7365745A6F6F6D285F746869732E6F7074696F6E732E636C69';
wwv_flow_api.g_varchar2_table(124) := '636B5A6F6F6D4C6576656C293B0D0A202020202020202020202020202020207D0D0A20202020202020202020202020202020617065782E6A5175657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E7472696767657228226D';
wwv_flow_api.g_varchar2_table(125) := '61726B6572636C69636B222C205F746869732E5F6576656E7450696E44617461286D61726B657229293B0D0A2020202020202020202020207D293B0D0A0D0A2020202020202020676F6F676C652E6D6170732E6576656E742E6164644C697374656E6572';
wwv_flow_api.g_varchar2_table(126) := '286D61726B65722C202264726167656E64222C2066756E6374696F6E202829207B0D0A20202020202020202020202076617220706F73203D20746869732E676574506F736974696F6E28293B0D0A202020202020202020202020617065782E6465627567';
wwv_flow_api.g_varchar2_table(127) := '28226D61726B6572206D6F766564222C206D61726B65722E646174612E69642C204A534F4E2E737472696E6769667928706F7329293B0D0A202020202020202020202020617065782E6A5175657279282223222B5F746869732E6F7074696F6E732E7265';
wwv_flow_api.g_varchar2_table(128) := '67696F6E4964292E7472696767657228226D61726B657264726167222C205F746869732E5F6576656E7450696E44617461286D61726B657229293B0D0A20202020202020207D293B0D0A0D0A0909696620285B2270696E73222C22696E666F6C61796572';
wwv_flow_api.g_varchar2_table(129) := '222C22636C7573746572222C2273706964657266696572225D2E696E6465784F6628746869732E6F7074696F6E732E76697375616C69736174696F6E29203E202D3129207B0D0A0909092F2F20696620746865206D61726B657220776173206E6F742070';
wwv_flow_api.g_varchar2_table(130) := '726576696F75736C792073686F776E20696E20746865206C61737420726566726573682C20726169736520746865206D61726B6572206164646564206576656E740D0A0909096966202821746869732E69644D61707C7C21746869732E69644D61702E68';
wwv_flow_api.g_varchar2_table(131) := '6173286D61726B65722E646174612E69642929207B0D0A09090909617065782E6A5175657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E7472696767657228226D61726B65726164646564222C205F746869732E5F657665';
wwv_flow_api.g_varchar2_table(132) := '6E7450696E44617461286D61726B657229293B0D0A0909097D0D0A09097D0D0A202020202020202072657475726E206D61726B65723B0D0A202020207D2C0D0A0D0A202020202F2F20736574207570207468652053706964657266696572207669737561';
wwv_flow_api.g_varchar2_table(133) := '6C69736174696F6E0D0A202020205F73706964657266793A2066756E6374696F6E2829207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E5F737069646572667922293B0D0A20202020202020202F2F20726566657220';
wwv_flow_api.g_varchar2_table(134) := '746F3A2068747470733A2F2F6769746875622E636F6D2F6A61776A2F4F7665726C617070696E674D61726B6572537069646572666965720D0A0D0A2020202020202020766172205F74686973203D20746869732C0D0A2020202020202020202020206F70';
wwv_flow_api.g_varchar2_table(135) := '74203D207B0D0A202020202020202020202020202020206B65657053706964657266696564202020203A20747275652C0D0A202020202020202020202020202020206261736963466F726D61744576656E7473203A20747275652C0D0A20202020202020';
wwv_flow_api.g_varchar2_table(136) := '2020202020202020206D61726B657273576F6E744D6F76652020203A2021746869732E6F7074696F6E732E6973447261676761626C652C0D0A202020202020202020202020202020206D61726B657273576F6E74486964652020203A20747275650D0A20';
wwv_flow_api.g_varchar2_table(137) := '20202020202020202020207D3B0D0A0D0A20202020202020202F2F20616C6C6F772074686520646576656C6F70657220746F20736574202F206F76657272696465207370696465726679206F7074696F6E730D0A2020202020202020242E657874656E64';
wwv_flow_api.g_varchar2_table(138) := '286F70742C20746869732E6F7074696F6E732E73706964657266696572293B0D0A0D0A2020202020202020746869732E6F6D73203D206E6577204F7665726C617070696E674D61726B65725370696465726669657228746869732E6D61702C206F707429';
wwv_flow_api.g_varchar2_table(139) := '3B0D0A0D0A20202020202020202F2F20666F726D617420746865206D61726B657273207573696E67207468652070726F766964656420666F726D61742066756E6374696F6E20286F7074696F6E732E7370696465726679466F726D6174466E292C0D0A20';
wwv_flow_api.g_varchar2_table(140) := '202020202020202F2F206F72206966206E6F74207370656369666965642C2070726F7669646520612064656661756C742066756E6374696F6E0D0A2020202020202020746869732E6F6D732E6164644C697374656E65722827666F726D6174272C0D0A20';
wwv_flow_api.g_varchar2_table(141) := '2020202020202020202020746869732E6F7074696F6E732E7370696465726679466F726D6174466E0D0A2020202020202020202020207C7C202066756E6374696F6E286D61726B65722C2073746174757329207B0D0A2020202020202020202020202020';
wwv_flow_api.g_varchar2_table(142) := '2020202020202F2F206966206261736963466F726D61744576656E7473203D20747275652C207374617475732077696C6C20626520535049444552464945442C20535049444552464941424C452C206F7220554E535049444552464941424C450D0A2020';
wwv_flow_api.g_varchar2_table(143) := '2020202020202020202020202020202020202F2F206966206261736963466F726D61744576656E7473203D2066616C73652C207374617475732077696C6C2062652053504944455246494544206F7220554E535049444552464945440D0A202020202020';
wwv_flow_api.g_varchar2_table(144) := '20202020202020202020202020207661722069636F6E55524C203D205F746869732E5F67657457696E646F77506174682829202B20222F22202B205F746869732E6F7074696F6E732E706C7567696E46696C65507265666978202B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(145) := '202020202020202020202020202020202028737461747573203D3D204F7665726C617070696E674D61726B6572537069646572666965722E6D61726B65725374617475732E53504944455246494544203F0D0A2020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(146) := '20202020202020202020202020202020202027696D616765732F73706F746C696768742D776179706F696E742D626C75652E706E6727203A0D0A20202020202020202020202020202020202020202020202020737461747573203D3D204F7665726C6170';
wwv_flow_api.g_varchar2_table(147) := '70696E674D61726B6572537069646572666965722E6D61726B65725374617475732E535049444552464941424C45203F0D0A202020202020202020202020202020202020202020202020202020202020202020202027696D616765732F73706F746C6967';
wwv_flow_api.g_varchar2_table(148) := '68742D776179706F696E742D612E706E6727203A0D0A202020202020202020202020202020202020202020202020202020202020202020202027696D616765732F73706F746C696768742D706F692E706E6727293B0D0A20202020202020202020202020';
wwv_flow_api.g_varchar2_table(149) := '202020202020202F2F617065782E6465627567282273706964657266792E666F726D6174222C206D61726B65722C207374617475732C2069636F6E55524C293B0D0A20202020202020202020202020202020202020206D61726B65722E73657449636F6E';
wwv_flow_api.g_varchar2_table(150) := '287B75726C3A2069636F6E55524C7D293B0D0A202020202020202020202020202020207D293B0D0A0D0A20202020202020202F2F20726567697374657220746865206D61726B657273207769746820746865204F7665726C617070696E674D61726B6572';
wwv_flow_api.g_varchar2_table(151) := '537069646572666965720D0A2020202020202020666F7220287661722069203D20303B2069203C20746869732E6D61726B6572732E6C656E6774683B20692B2B29207B0D0A202020202020202020202020746869732E6F6D732E6164644D61726B657228';
wwv_flow_api.g_varchar2_table(152) := '746869732E6D61726B6572735B695D293B0D0A20202020202020207D0D0A0D0A2020202020202020746869732E6F6D732E6164644C697374656E657228277370696465726679272C2066756E6374696F6E286D61726B65727329207B0D0A202020202020';
wwv_flow_api.g_varchar2_table(153) := '202020202020617065782E646562756728227370696465726679222C206D61726B657273293B0D0A090909617065782E6A5175657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E7472696767657228227370696465726679';
wwv_flow_api.g_varchar2_table(154) := '222C207B206D61703A5F746869732E6D61702C206D61726B6572733A6D61726B657273207D293B0D0A20202020202020207D293B0D0A0D0A2020202020202020746869732E6F6D732E6164644C697374656E65722827756E7370696465726679272C2066';
wwv_flow_api.g_varchar2_table(155) := '756E6374696F6E286D61726B65727329207B0D0A202020202020202020202020617065782E64656275672822756E7370696465726679222C206D61726B657273293B0D0A090909617065782E6A5175657279282223222B5F746869732E6F7074696F6E73';
wwv_flow_api.g_varchar2_table(156) := '2E726567696F6E4964292E747269676765722822756E7370696465726679222C207B206D61703A5F746869732E6D61702C206D61726B6572733A6D61726B657273207D293B0D0A20202020202020207D293B0D0A0D0A202020202020202072657475726E';
wwv_flow_api.g_varchar2_table(157) := '20746869732E6F6D733B0D0A202020207D2C0D0A0D0A202020205F72656D6F76654D61726B6572733A2066756E6374696F6E2829207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E5F72656D6F76654D61726B657273';
wwv_flow_api.g_varchar2_table(158) := '22293B0D0A2020202020202020746869732E746F74616C526F7773203D20303B0D0A202020202020202069662028746869732E626F756E647329207B20746869732E626F756E64732E64656C6574653B207D0D0A20202020202020206966202874686973';
wwv_flow_api.g_varchar2_table(159) := '2E6D61726B65727329207B0D0A202020202020202020202020666F7220287661722069203D20303B2069203C20746869732E6D61726B6572732E6C656E6774683B20692B2B29207B0D0A20202020202020202020202020202020746869732E6D61726B65';
wwv_flow_api.g_varchar2_table(160) := '72735B695D2E7365744D6170286E756C6C293B0D0A2020202020202020202020207D0D0A202020202020202020202020746869732E6D61726B6572732E64656C6574653B0D0A20202020202020207D0D0A202020207D2C0D0A0D0A202020202F2F63616C';
wwv_flow_api.g_varchar2_table(161) := '6C207468697320746F2073696D756C6174652061206D6F75736520636C69636B206F6E20746865206D61726B657220666F722074686520676976656E2069642076616C75650D0A202020202F2F652E672E20746869732077696C6C2073686F7720746865';
wwv_flow_api.g_varchar2_table(162) := '20696E666F2077696E646F7720666F722074686520676976656E206D61726B657220616E64207472696767657220746865206D61726B6572636C69636B206576656E740D0A20202020636C69636B3A2066756E6374696F6E2028696429207B0D0A202020';
wwv_flow_api.g_varchar2_table(163) := '2020202020617065782E646562756728227265706F72746D61702E636C69636B22293B0D0A2020202020202020766172206D61726B6572203D20746869732E6D61726B6572732E66696E64282066756E6374696F6E2870297B2072657475726E20702E64';
wwv_flow_api.g_varchar2_table(164) := '6174612E69643D3D69643B207D293B0D0A2020202020202020696620286D61726B657229207B0D0A2020202020202020202020206E657720676F6F676C652E6D6170732E6576656E742E74726967676572286D61726B65722C22636C69636B22293B0D0A';
wwv_flow_api.g_varchar2_table(165) := '20202020202020207D20656C7365207B0D0A202020202020202020202020617065782E646562756728226964206E6F7420666F756E64222C206964293B0D0A20202020202020207D0D0A202020202020202072657475726E206D61726B65723B0D0A2020';
wwv_flow_api.g_varchar2_table(166) := '20207D2C0D0A0D0A092F2A0D0A09202A0D0A09202A20555345522050494E0D0A09202A0D0A09202A2F0D0A0D0A202020202F2F706C616365206F72206D6F76652074686520757365722070696E20746F2074686520676976656E206C6F636174696F6E0D';
wwv_flow_api.g_varchar2_table(167) := '0A20202020676F746F506F733A2066756E6374696F6E20286C61742C6C6E6729207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E676F746F506F73222C6C61742C6C6E67293B0D0A2020202020202020696620286C61';
wwv_flow_api.g_varchar2_table(168) := '74213D3D6E756C6C202626206C6E67213D3D6E756C6C29207B0D0A202020202020202020202020766172206F6C64706F73203D20746869732E7573657270696E3F746869732E7573657270696E2E676574506F736974696F6E28293A286E657720676F6F';
wwv_flow_api.g_varchar2_table(169) := '676C652E6D6170732E4C61744C6E6728302C3029293B0D0A202020202020202020202020696620286F6C64706F73202626206C61743D3D6F6C64706F732E6C61742829202626206C6E673D3D6F6C64706F732E6C6E67282929207B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(170) := '202020202020202020617065782E646562756728227573657270696E206E6F74206368616E67656422293B0D0A2020202020202020202020207D20656C7365207B0D0A2020202020202020202020202020202076617220706F73203D206E657720676F6F';
wwv_flow_api.g_varchar2_table(171) := '676C652E6D6170732E4C61744C6E67286C61742C6C6E67293B0D0A2020202020202020202020202020202069662028746869732E7573657270696E29207B0D0A2020202020202020202020202020202020202020617065782E646562756728226D6F7665';
wwv_flow_api.g_varchar2_table(172) := '206578697374696E672070696E20746F206E657720706F736974696F6E206F6E206D6170222C706F73293B0D0A2020202020202020202020202020202020202020746869732E7573657270696E2E7365744D617028746869732E6D6170293B0D0A202020';
wwv_flow_api.g_varchar2_table(173) := '2020202020202020202020202020202020746869732E7573657270696E2E736574506F736974696F6E28706F73293B0D0A202020202020202020202020202020207D20656C7365207B0D0A2020202020202020202020202020202020202020617065782E';
wwv_flow_api.g_varchar2_table(174) := '64656275672822637265617465207573657270696E222C706F73293B0D0A2020202020202020202020202020202020202020746869732E7573657270696E203D206E657720676F6F676C652E6D6170732E4D61726B6572287B0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(175) := '2020202020202020202020202020206D6170202020202020203A20746869732E6D61702C0D0A202020202020202020202020202020202020202020202020706F736974696F6E20203A20706F732C0D0A2020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(176) := '20202020647261676761626C65203A20746869732E6F7074696F6E732E6973447261676761626C650D0A20202020202020202020202020202020202020207D293B0D0A2020202020202020202020202020202020202020766172205F74686973203D2074';
wwv_flow_api.g_varchar2_table(177) := '6869733B0D0A2020202020202020202020202020202020202020676F6F676C652E6D6170732E6576656E742E6164644C697374656E657228746869732E7573657270696E2C202264726167656E64222C2066756E6374696F6E202829207B0D0A20202020';
wwv_flow_api.g_varchar2_table(178) := '202020202020202020202020202020202020202076617220706F73203D20746869732E676574506F736974696F6E28293B0D0A202020202020202020202020202020202020202020202020617065782E646562756728227573657270696E206D6F766564';
wwv_flow_api.g_varchar2_table(179) := '222C204A534F4E2E737472696E6769667928706F7329293B0D0A202020202020202020202020202020202020202020202020617065782E6A5175657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E7472696767657228226D';
wwv_flow_api.g_varchar2_table(180) := '61726B657264726167222C7B0D0A202020202020202020202020202020202020202020202020202020206D6170202020203A205F746869732E6D61702C0D0A202020202020202020202020202020202020202020202020202020206C6174202020203A20';
wwv_flow_api.g_varchar2_table(181) := '706F732E6C617428292C0D0A202020202020202020202020202020202020202020202020202020206C6E67202020203A20706F732E6C6E6728292C0D0A202020202020202020202020202020202020202020202020202020206D61726B6572203A207468';
wwv_flow_api.g_varchar2_table(182) := '69730D0A2020202020202020202020202020202020202020202020207D290D0A20202020202020202020202020202020202020207D293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D0D0A20202020202020207D';
wwv_flow_api.g_varchar2_table(183) := '20656C73652069662028746869732E7573657270696E29207B0D0A202020202020202020202020617065782E646562756728226D6F7665206578697374696E672070696E206F666620746865206D617022293B0D0A202020202020202020202020746869';
wwv_flow_api.g_varchar2_table(184) := '732E7573657270696E2E7365744D6170286E756C6C293B0D0A20202020202020207D0D0A202020207D2C0D0A0D0A202020202F2F70617273652074686520676976656E20737472696E672061732061206C61742C6C6F6E6720706169722C207075742061';
wwv_flow_api.g_varchar2_table(185) := '2070696E2061742074686174206C6F636174696F6E0D0A20202020676F746F506F734279537472696E673A2066756E6374696F6E20287629207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E676F746F506F73427953';
wwv_flow_api.g_varchar2_table(186) := '7472696E67222C2076293B0D0A2020202020202020766172206C61746C6E67203D20746869732E70617273654C61744C6E672876293B0D0A2020202020202020696620286C61746C6E6729207B0D0A202020202020202020202020746869732E676F746F';
wwv_flow_api.g_varchar2_table(187) := '506F73286C61746C6E672E6C617428292C6C61746C6E672E6C6E672829293B0D0A20202020202020207D0D0A202020202020202072657475726E206C61746C6E673B0D0A202020207D2C0D0A0D0A202020202F2F706C616365206F72206D6F7665207468';
wwv_flow_api.g_varchar2_table(188) := '6520757365722070696E20746F2074686520676976656E206C6F636174696F6E0D0A2020202070616E546F3A2066756E6374696F6E20286C61742C6C6E6729207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E70616E';
wwv_flow_api.g_varchar2_table(189) := '546F222C6C61742C6C6E67293B0D0A202020202020202076617220706F733B0D0A2020202020202020696620286C6174213D3D6E756C6C202626206C6E67213D3D6E756C6C29207B0D0A202020202020202020202020706F73203D206E657720676F6F67';
wwv_flow_api.g_varchar2_table(190) := '6C652E6D6170732E4C61744C6E67286C61742C6C6E67293B0D0A202020202020202020202020746869732E6D61702E70616E546F28706F73293B0D0A20202020202020207D0D0A202020202020202072657475726E20706F733B0D0A202020207D2C0D0A';
wwv_flow_api.g_varchar2_table(191) := '0D0A202020202F2F70617273652074686520676976656E20737472696E672061732061206C61742C6C6F6E6720706169722C2070616E20746F2074686174206C6F636174696F6E0D0A2020202070616E546F4279537472696E673A2066756E6374696F6E';
wwv_flow_api.g_varchar2_table(192) := '20287629207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E70616E546F4279537472696E67222C2076293B0D0A2020202020202020766172206C61746C6E67203D20746869732E70617273654C61744C6E672876293B';
wwv_flow_api.g_varchar2_table(193) := '0D0A2020202020202020696620286C61746C6E6729207B0D0A202020202020202020202020746869732E70616E546F286C61746C6E672E6C617428292C6C61746C6E672E6C6E672829293B0D0A20202020202020207D0D0A202020202020202072657475';
wwv_flow_api.g_varchar2_table(194) := '726E206C61746C6E673B0D0A202020207D2C0D0A0D0A202020202F2F70616E2F7A6F6F6D20746865206D617020746F2074686520676976656E20626F756E64730D0A20202020666974426F756E64733A2066756E6374696F6E20287629207B0D0A202020';
wwv_flow_api.g_varchar2_table(195) := '2020202020617065782E646562756728227265706F72746D61702E666974426F756E6473222C2076293B0D0A202020202020202076617220626F756E64733B0D0A2020202020202020696620287620213D3D206E756C6C202626207620213D3D20756E64';
wwv_flow_api.g_varchar2_table(196) := '6566696E656429207B0D0A20202020202020202020202069662028762E6861734F776E50726F706572747928226561737422292626762E6861734F776E50726F706572747928226E6F72746822292626762E6861734F776E50726F70657274792822736F';
wwv_flow_api.g_varchar2_table(197) := '75746822292626762E6861734F776E50726F7065727479282277657374222929207B0D0A202020202020202020202020202020202F2F20706172736520617320676F6F676C652E6D6170732E4C61744C6E67426F756E64734C69746572616C0D0A202020';
wwv_flow_api.g_varchar2_table(198) := '20202020202020202020202020626F756E6473203D206E657720676F6F676C652E6D6170732E4C61744C6E67426F756E64734C69746572616C2876293B0D0A2020202020202020202020207D20656C7365207B0D0A202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(199) := '20626F756E6473203D204A534F4E2E70617273652876293B0D0A2020202020202020202020207D0D0A0D0A20202020202020202020202069662028626F756E647329207B0D0A20202020202020202020202020202020746869732E6D61702E666974426F';
wwv_flow_api.g_varchar2_table(200) := '756E647328626F756E6473293B0D0A2020202020202020202020207D0D0A20202020202020207D0D0A202020202020202072657475726E20626F756E64733B0D0A202020207D2C0D0A0D0A092F2A0D0A09202A0D0A09202A2047454F434F44494E470D0A';
wwv_flow_api.g_varchar2_table(201) := '09202A0D0A09202A2F0D0A0D0A202020202F2F73656172636820746865206D617020666F7220616E20616464726573733B20696620666F756E642C2070757420612070696E2061742074686174206C6F636174696F6E20616E6420726169736520616464';
wwv_flow_api.g_varchar2_table(202) := '72657373666F756E6420747269676765720D0A20202020676F746F416464726573733A2066756E6374696F6E2028616464726573735465787429207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E676F746F41646472';
wwv_flow_api.g_varchar2_table(203) := '657373222C206164647265737354657874293B0D0A20202020202020207661722067656F636F646572203D206E657720676F6F676C652E6D6170732E47656F636F6465723B0D0A2020202020202020746869732E686964654D65737361676528293B0D0A';
wwv_flow_api.g_varchar2_table(204) := '2020202020202020766172205F74686973203D20746869733B0D0A202020202020202067656F636F6465722E67656F636F6465287B0D0A202020202020202020202020616464726573732020202020202020202020202020203A20616464726573735465';
wwv_flow_api.g_varchar2_table(205) := '78742C0D0A202020202020202020202020636F6D706F6E656E745265737472696374696F6E73203A205F746869732E6F7074696F6E732E7265737472696374436F756E747279213D3D22223F7B636F756E7472793A5F746869732E6F7074696F6E732E72';
wwv_flow_api.g_varchar2_table(206) := '65737472696374436F756E7472797D3A7B7D0D0A20202020202020207D2C2066756E6374696F6E28726573756C74732C2073746174757329207B0D0A20202020202020202020202069662028737461747573203D3D3D20676F6F676C652E6D6170732E47';
wwv_flow_api.g_varchar2_table(207) := '656F636F6465725374617475732E4F4B29207B0D0A2020202020202020202020202020202076617220706F73203D20726573756C74735B305D2E67656F6D657472792E6C6F636174696F6E3B0D0A20202020202020202020202020202020617065782E64';
wwv_flow_api.g_varchar2_table(208) := '65627567282267656F636F6465206F6B222C20706F73293B0D0A202020202020202020202020202020205F746869732E6D61702E73657443656E74657228706F73293B0D0A202020202020202020202020202020205F746869732E6D61702E70616E546F';
wwv_flow_api.g_varchar2_table(209) := '28706F73293B0D0A20202020202020202020202020202020696620285F746869732E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C29207B0D0A20202020202020202020202020202020202020205F746869732E6D61702E7365745A6F6F6D285F';
wwv_flow_api.g_varchar2_table(210) := '746869732E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C293B0D0A202020202020202020202020202020207D0D0A202020202020202020202020202020205F746869732E676F746F506F7328706F732E6C617428292C20706F732E6C6E672829';
wwv_flow_api.g_varchar2_table(211) := '293B0D0A20202020202020202020202020202020617065782E6465627567282261646472657373666F756E64222C20726573756C7473293B0D0A20202020202020202020202020202020617065782E6A5175657279282223222B5F746869732E6F707469';
wwv_flow_api.g_varchar2_table(212) := '6F6E732E726567696F6E4964292E74726967676572282261646472657373666F756E64222C207B0D0A20202020202020202020202020202020202020206D6170202020203A205F746869732E6D61702C0D0A202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(213) := '20206C6174202020203A20706F732E6C617428292C0D0A20202020202020202020202020202020202020206C6E67202020203A20706F732E6C6E6728292C0D0A2020202020202020202020202020202020202020726573756C74203A20726573756C7473';
wwv_flow_api.g_varchar2_table(214) := '5B305D0D0A202020202020202020202020202020207D293B0D0A2020202020202020202020207D20656C73652069662028737461747573203D3D3D20676F6F676C652E6D6170732E47656F636F6465725374617475732E5A45524F5F524553554C545329';
wwv_flow_api.g_varchar2_table(215) := '207B0D0A20202020202020202020202020202020617065782E64656275672822676574416464726573734279506F733A205A45524F5F524553554C545322293B0D0A202020202020202020202020202020205F746869732E73686F774D65737361676528';
wwv_flow_api.g_varchar2_table(216) := '5F746869732E6F7074696F6E732E6E6F41646472657373526573756C7473293B0D0A2020202020202020202020207D20656C7365207B0D0A20202020202020202020202020202020617065782E6465627567282247656F636F646572206661696C656422';
wwv_flow_api.g_varchar2_table(217) := '2C20737461747573293B0D0A2020202020202020202020207D0D0A20202020202020207D293B0D0A202020207D2C0D0A0D0A202020202F2F6765742074686520636C6F73657374206164647265737320746F206120676976656E206C6F636174696F6E20';
wwv_flow_api.g_varchar2_table(218) := '6279206C61742F6C6F6E670D0A20202020676574416464726573734279506F733A2066756E6374696F6E20286C61742C6C6E6729207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E676574416464726573734279506F';
wwv_flow_api.g_varchar2_table(219) := '73222C206C61742C6C6E67293B0D0A20202020202020207661722067656F636F646572203D206E657720676F6F676C652E6D6170732E47656F636F6465723B0D0A2020202020202020746869732E686964654D65737361676528293B0D0A202020202020';
wwv_flow_api.g_varchar2_table(220) := '2020766172205F74686973203D20746869733B0D0A202020202020202067656F636F6465722E67656F636F6465287B276C6F636174696F6E273A207B6C61743A206C61742C206C6E673A206C6E677D7D2C2066756E6374696F6E28726573756C74732C20';
wwv_flow_api.g_varchar2_table(221) := '73746174757329207B0D0A20202020202020202020202069662028737461747573203D3D3D20676F6F676C652E6D6170732E47656F636F6465725374617475732E4F4B29207B0D0A2020202020202020202020202020202069662028726573756C74735B';
wwv_flow_api.g_varchar2_table(222) := '305D29207B0D0A202020202020202020202020202020202020617065782E6465627567282261646472657373666F756E64222C20726573756C7473293B0D0A202020202020202020202020202020202020617065782E6A5175657279282223222B5F7468';
wwv_flow_api.g_varchar2_table(223) := '69732E6F7074696F6E732E726567696F6E4964292E74726967676572282261646472657373666F756E64222C207B0D0A202020202020202020202020202020202020202020206D6170202020203A205F746869732E6D61702C0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(224) := '202020202020202020202020206C6174202020203A206C61742C0D0A202020202020202020202020202020202020202020206C6E67202020203A206C6E672C0D0A20202020202020202020202020202020202020202020726573756C74203A2072657375';
wwv_flow_api.g_varchar2_table(225) := '6C74735B305D0D0A2020202020202020202020202020202020207D293B0D0A202020202020202020202020202020207D20656C7365207B0D0A2020202020202020202020202020202020202020617065782E646562756728226765744164647265737342';
wwv_flow_api.g_varchar2_table(226) := '79506F733A204E6F20726573756C74732072657475726E656422293B0D0A20202020202020202020202020202020202020205F746869732E73686F774D657373616765285F746869732E6F7074696F6E732E6E6F41646472657373526573756C7473293B';
wwv_flow_api.g_varchar2_table(227) := '0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D20656C73652069662028737461747573203D3D3D20676F6F676C652E6D6170732E47656F636F6465725374617475732E5A45524F5F524553554C545329207B0D0A20';
wwv_flow_api.g_varchar2_table(228) := '202020202020202020202020202020617065782E64656275672822676574416464726573734279506F733A205A45524F5F524553554C545322293B0D0A202020202020202020202020202020205F746869732E73686F774D657373616765285F74686973';
wwv_flow_api.g_varchar2_table(229) := '2E6F7074696F6E732E6E6F41646472657373526573756C7473293B0D0A2020202020202020202020207D20656C7365207B0D0A20202020202020202020202020202020617065782E6465627567282247656F636F646572206661696C6564222C20737461';
wwv_flow_api.g_varchar2_table(230) := '747573293B0D0A2020202020202020202020207D0D0A20202020202020207D293B0D0A202020207D2C0D0A0D0A202020202F2F73656172636820666F72207468652075736572206465766963652773206C6F636174696F6E20696620706F737369626C65';
wwv_flow_api.g_varchar2_table(231) := '0D0A2020202067656F6C6F636174653A2066756E6374696F6E202829207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E67656F6C6F6361746522293B0D0A2020202020202020696620286E6176696761746F722E6765';
wwv_flow_api.g_varchar2_table(232) := '6F6C6F636174696F6E29207B0D0A202020202020202020202020766172205F74686973203D20746869733B0D0A2020202020202020202020206E6176696761746F722E67656F6C6F636174696F6E2E67657443757272656E74506F736974696F6E286675';
wwv_flow_api.g_varchar2_table(233) := '6E6374696F6E28706F736974696F6E29207B0D0A2020202020202020202020202020202076617220706F73203D207B0D0A20202020202020202020202020202020202020206C6174203A20706F736974696F6E2E636F6F7264732E6C617469747564652C';
wwv_flow_api.g_varchar2_table(234) := '0D0A20202020202020202020202020202020202020206C6E67203A20706F736974696F6E2E636F6F7264732E6C6F6E6769747564650D0A202020202020202020202020202020207D3B0D0A202020202020202020202020202020205F746869732E6D6170';
wwv_flow_api.g_varchar2_table(235) := '2E70616E546F28706F73293B0D0A20202020202020202020202020202020696620285F746869732E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C29207B0D0A20202020202020202020202020202020202020205F746869732E6D61702E736574';
wwv_flow_api.g_varchar2_table(236) := '5A6F6F6D285F746869732E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C293B0D0A202020202020202020202020202020207D0D0A20202020202020202020202020202020617065782E6A5175657279282223222B5F746869732E6F7074696F6E';
wwv_flow_api.g_varchar2_table(237) := '732E726567696F6E4964292E74726967676572282267656F6C6F63617465222C207B6D61703A5F746869732E6D61702C206C61743A706F732E6C61742C206C6E673A706F732E6C6E677D293B0D0A2020202020202020202020207D293B0D0A2020202020';
wwv_flow_api.g_varchar2_table(238) := '2020207D20656C7365207B0D0A202020202020202020202020617065782E6465627567282262726F7773657220646F6573206E6F7420737570706F72742067656F6C6F636174696F6E22293B0D0A20202020202020207D0D0A202020207D2C0D0A0D0A09';
wwv_flow_api.g_varchar2_table(239) := '2F2A0D0A09202A0D0A09202A20444952454354494F4E530D0A09202A0D0A09202A2F0D0A0D0A09202F2F746869732069732063616C6C6564207768656E20646972656374696F6E7320617265207265717565737465640D0A202020205F64697265637469';
wwv_flow_api.g_varchar2_table(240) := '6F6E73526573706F6E73653A2066756E6374696F6E2028726573706F6E73652C73746174757329207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E5F646972656374696F6E73526573706F6E7365222C726573706F6E';
wwv_flow_api.g_varchar2_table(241) := '73652C737461747573293B0D0A20202020202020207377697463682873746174757329207B0D0A20202020202020206361736520676F6F676C652E6D6170732E446972656374696F6E735374617475732E4F4B3A0D0A2020202020202020202020207468';
wwv_flow_api.g_varchar2_table(242) := '69732E646972656374696F6E73446973706C61792E736574446972656374696F6E7328726573706F6E7365293B0D0A20202020202020202020202076617220746F74616C44697374616E6365203D20302C20746F74616C4475726174696F6E203D20302C';
wwv_flow_api.g_varchar2_table(243) := '206C6567436F756E74203D20302C20756E697473203D20226D6574657273223B0D0A202020202020202020202020666F72202876617220693D303B2069203C20726573706F6E73652E726F757465732E6C656E6774683B20692B2B29207B0D0A20202020';
wwv_flow_api.g_varchar2_table(244) := '2020202020202020202020206C6567436F756E74203D206C6567436F756E74202B20726573706F6E73652E726F757465735B695D2E6C6567732E6C656E6774683B0D0A20202020202020202020202020202020666F722028766172206A3D303B206A203C';
wwv_flow_api.g_varchar2_table(245) := '20726573706F6E73652E726F757465735B695D2E6C6567732E6C656E6774683B206A2B2B29207B0D0A2020202020202020202020202020202020202020766172206C6567203D20726573706F6E73652E726F757465735B695D2E6C6567735B6A5D3B0D0A';
wwv_flow_api.g_varchar2_table(246) := '2020202020202020202020202020202020202020746F74616C44697374616E6365203D20746F74616C44697374616E6365202B206C65672E64697374616E63652E76616C75653B0D0A2020202020202020202020202020202020202020746F74616C4475';
wwv_flow_api.g_varchar2_table(247) := '726174696F6E203D20746F74616C4475726174696F6E202B206C65672E6475726174696F6E2E76616C75653B0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D0D0A2020202020202020202020206966202874686973';
wwv_flow_api.g_varchar2_table(248) := '2E6F7074696F6E732E756E697453797374656D203D3D3D2022494D50455249414C2229207B0D0A202020202020202020202020202020202F2F636F6E76657274206D657465727320746F206D696C65730D0A20202020202020202020202020202020746F';
wwv_flow_api.g_varchar2_table(249) := '74616C44697374616E6365202A3D20302E30303036323133373131393232343B0D0A20202020202020202020202020202020756E697473203D20226D696C6573223B0D0A2020202020202020202020207D0D0A202020202020202020202020766172205F';
wwv_flow_api.g_varchar2_table(250) := '74686973203D20746869733B0D0A202020202020202020202020617065782E6A5175657279282223222B746869732E6F7074696F6E732E726567696F6E4964292E747269676765722822646972656374696F6E73222C7B0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(251) := '20202020206D617020202020202020203A205F746869732E6D61702C0D0A2020202020202020202020202020202064697374616E63652020203A20746F74616C44697374616E63652C0D0A20202020202020202020202020202020756E69747320202020';
wwv_flow_api.g_varchar2_table(252) := '20203A20756E6974732C0D0A202020202020202020202020202020206475726174696F6E2020203A20746F74616C4475726174696F6E2C0D0A202020202020202020202020202020206C656773202020202020203A206C6567436F756E742C0D0A202020';
wwv_flow_api.g_varchar2_table(253) := '20202020202020202020202020646972656374696F6E73203A20726573706F6E73650D0A2020202020202020202020207D293B0D0A202020202020202020202020627265616B3B0D0A20202020202020206361736520676F6F676C652E6D6170732E4469';
wwv_flow_api.g_varchar2_table(254) := '72656374696F6E735374617475732E4E4F545F464F554E443A0D0A202020202020202020202020746869732E73686F774D65737361676528746869732E6F7074696F6E732E646972656374696F6E734E6F74466F756E64293B0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(255) := '202020627265616B3B0D0A20202020202020206361736520676F6F676C652E6D6170732E446972656374696F6E735374617475732E5A45524F5F524553554C54533A0D0A202020202020202020202020746869732E73686F774D65737361676528746869';
wwv_flow_api.g_varchar2_table(256) := '732E6F7074696F6E732E646972656374696F6E735A65726F526573756C7473293B0D0A202020202020202020202020627265616B3B0D0A202020202020202064656661756C743A0D0A202020202020202020202020617065782E64656275672822446972';
wwv_flow_api.g_varchar2_table(257) := '656374696F6E732072657175657374206661696C6564222C20737461747573293B0D0A20202020202020207D0D0A202020207D2C0D0A0D0A202020202F2F73686F772073696D706C6520726F757465206265747765656E2074776F20706F696E74730D0A';
wwv_flow_api.g_varchar2_table(258) := '2020202073686F77446972656374696F6E733A2066756E6374696F6E20286F726967696E2C2064657374696E6174696F6E2C2074726176656C4D6F646529207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E73686F77';
wwv_flow_api.g_varchar2_table(259) := '446972656374696F6E73222C206F726967696E2C2064657374696E6174696F6E2C2074726176656C4D6F6465293B0D0A2020202020202020746869732E6F726967696E203D206F726967696E3B0D0A2020202020202020746869732E64657374696E6174';
wwv_flow_api.g_varchar2_table(260) := '696F6E203D2064657374696E6174696F6E3B0D0A2020202020202020746869732E686964654D65737361676528293B0D0A202020202020202069662028746869732E6F726967696E2626746869732E64657374696E6174696F6E29207B0D0A2020202020';
wwv_flow_api.g_varchar2_table(261) := '202020202020206966202821746869732E646972656374696F6E73446973706C617929207B0D0A20202020202020202020202020202020746869732E646972656374696F6E73446973706C6179203D206E657720676F6F676C652E6D6170732E44697265';
wwv_flow_api.g_varchar2_table(262) := '6374696F6E7352656E64657265723B0D0A20202020202020202020202020202020746869732E646972656374696F6E7353657276696365203D206E657720676F6F676C652E6D6170732E446972656374696F6E73536572766963653B0D0A202020202020';
wwv_flow_api.g_varchar2_table(263) := '20202020202020202020746869732E646972656374696F6E73446973706C61792E7365744D617028746869732E6D6170293B0D0A2020202020202020202020202020202069662028746869732E6F7074696F6E732E646972656374696F6E7350616E656C';
wwv_flow_api.g_varchar2_table(264) := '29207B0D0A2020202020202020202020202020202020202020746869732E646972656374696F6E73446973706C61792E73657450616E656C28646F63756D656E742E676574456C656D656E744279496428746869732E6F7074696F6E732E646972656374';
wwv_flow_api.g_varchar2_table(265) := '696F6E7350616E656C29293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D0D0A2020202020202020202020202F2F73696D706C6520646972656374696F6E73206265747765656E2074776F206C6F636174696F6E';
wwv_flow_api.g_varchar2_table(266) := '730D0A202020202020202020202020746869732E6F726967696E203D20746869732E70617273654C61744C6E6728746869732E6F726967696E297C7C746869732E6F726967696E3B0D0A202020202020202020202020746869732E64657374696E617469';
wwv_flow_api.g_varchar2_table(267) := '6F6E203D20746869732E70617273654C61744C6E6728746869732E64657374696E6174696F6E297C7C746869732E64657374696E6174696F6E3B0D0A20202020202020202020202069662028746869732E6F726967696E20213D3D202222202626207468';
wwv_flow_api.g_varchar2_table(268) := '69732E64657374696E6174696F6E20213D3D20222229207B0D0A20202020202020202020202020202020766172205F74686973203D20746869733B0D0A20202020202020202020202020202020746869732E646972656374696F6E73536572766963652E';
wwv_flow_api.g_varchar2_table(269) := '726F757465287B0D0A20202020202020202020202020202020202020206F726967696E2020202020203A20746869732E6F726967696E2C0D0A202020202020202020202020202020202020202064657374696E6174696F6E203A20746869732E64657374';
wwv_flow_api.g_varchar2_table(270) := '696E6174696F6E2C0D0A202020202020202020202020202020202020202074726176656C4D6F646520203A20676F6F676C652E6D6170732E54726176656C4D6F64655B74726176656C4D6F64653F74726176656C4D6F64653A746869732E6F7074696F6E';
wwv_flow_api.g_varchar2_table(271) := '732E74726176656C4D6F64655D2C0D0A2020202020202020202020202020202020202020756E697453797374656D20203A20676F6F676C652E6D6170732E556E697453797374656D5B746869732E6F7074696F6E732E756E697453797374656D5D0D0A20';
wwv_flow_api.g_varchar2_table(272) := '2020202020202020202020202020207D2C2066756E6374696F6E28726573706F6E73652C737461747573297B0D0A20202020202020202020202020202020202020205F746869732E5F646972656374696F6E73526573706F6E736528726573706F6E7365';
wwv_flow_api.g_varchar2_table(273) := '2C737461747573290D0A202020202020202020202020202020207D293B0D0A2020202020202020202020207D20656C7365207B0D0A20202020202020202020202020202020617065782E646562756728224E6F20646972656374696F6E7320746F207368';
wwv_flow_api.g_varchar2_table(274) := '6F77202D206E65656420626F7468206F726967696E20616E642064657374696E6174696F6E206C6F636174696F6E22293B0D0A2020202020202020202020207D0D0A20202020202020207D20656C7365207B0D0A20202020202020202020202061706578';
wwv_flow_api.g_varchar2_table(275) := '2E64656275672822556E61626C6520746F2073686F7720646972656374696F6E733A206E6F20646174612C206E6F206F726967696E2F64657374696E6174696F6E22293B0D0A20202020202020207D0D0A202020207D2C0D0A0D0A202020202F2F646972';
wwv_flow_api.g_varchar2_table(276) := '656374696F6E732076697375616C69736174696F6E206261736564206F6E20717565727920646174610D0A202020205F646972656374696F6E733A2066756E6374696F6E202829207B0D0A2020202020202020617065782E646562756728227265706F72';
wwv_flow_api.g_varchar2_table(277) := '746D61702E5F646972656374696F6E7320222B746869732E6D61726B6572732E6C656E6774682B2220776179706F696E747322293B0D0A202020202020202069662028746869732E6D61726B6572732E6C656E6774683E3129207B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(278) := '20202020206966202821746869732E646972656374696F6E73446973706C617929207B0D0A20202020202020202020202020202020746869732E646972656374696F6E73446973706C6179203D206E657720676F6F676C652E6D6170732E446972656374';
wwv_flow_api.g_varchar2_table(279) := '696F6E7352656E64657265723B0D0A20202020202020202020202020202020746869732E646972656374696F6E7353657276696365203D206E657720676F6F676C652E6D6170732E446972656374696F6E73536572766963653B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(280) := '2020202020202020746869732E646972656374696F6E73446973706C61792E7365744D617028746869732E6D6170293B0D0A2020202020202020202020202020202069662028746869732E6F7074696F6E732E646972656374696F6E7350616E656C2920';
wwv_flow_api.g_varchar2_table(281) := '7B0D0A2020202020202020202020202020202020202020746869732E646972656374696F6E73446973706C61792E73657450616E656C28646F63756D656E742E676574456C656D656E744279496428746869732E6F7074696F6E732E646972656374696F';
wwv_flow_api.g_varchar2_table(282) := '6E7350616E656C29293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D0D0A202020202020202020202020766172206F726967696E203D20746869732E6D61726B6572735B305D2E706F736974696F6E2C0D0A2020';
wwv_flow_api.g_varchar2_table(283) := '202020202020202020202020202064657374203D20746869732E6D61726B6572735B746869732E6D61726B6572732E6C656E6774682D315D2E706F736974696F6E2C0D0A20202020202020202020202020202020776179706F696E7473203D205B5D3B0D';
wwv_flow_api.g_varchar2_table(284) := '0A202020202020202020202020666F7220287661722069203D20313B2069203C20746869732E6D61726B6572732E6C656E6774682D313B20692B2B29207B0D0A20202020202020202020202020202020776179706F696E74732E70757368287B0D0A2020';
wwv_flow_api.g_varchar2_table(285) := '2020202020202020202020202020202020206C6F636174696F6E203A20746869732E6D61726B6572735B695D2E706F736974696F6E2C0D0A202020202020202020202020202020202020202073746F706F766572203A20747275650D0A20202020202020';
wwv_flow_api.g_varchar2_table(286) := '2020202020202020207D293B0D0A2020202020202020202020207D0D0A202020202020202020202020617065782E6465627567286F726967696E2C20646573742C20776179706F696E74732C20746869732E6F7074696F6E732E74726176656C4D6F6465';
wwv_flow_api.g_varchar2_table(287) := '293B0D0A202020202020202020202020766172205F74686973203D20746869733B0D0A202020202020202020202020746869732E646972656374696F6E73536572766963652E726F757465287B0D0A202020202020202020202020202020206F72696769';
wwv_flow_api.g_varchar2_table(288) := '6E2020202020202020202020203A206F726967696E2C0D0A2020202020202020202020202020202064657374696E6174696F6E202020202020203A20646573742C0D0A20202020202020202020202020202020776179706F696E74732020202020202020';
wwv_flow_api.g_varchar2_table(289) := '203A20776179706F696E74732C0D0A202020202020202020202020202020206F7074696D697A65576179706F696E7473203A20746869732E6F7074696F6E732E6F7074696D697A65576179706F696E74732C0D0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(290) := '74726176656C4D6F646520202020202020203A20676F6F676C652E6D6170732E54726176656C4D6F64655B746869732E6F7074696F6E732E74726176656C4D6F64655D2C0D0A20202020202020202020202020202020756E697453797374656D20202020';
wwv_flow_api.g_varchar2_table(291) := '202020203A20676F6F676C652E6D6170732E556E697453797374656D5B746869732E6F7074696F6E732E756E697453797374656D5D0D0A2020202020202020202020207D2C2066756E6374696F6E28726573706F6E73652C737461747573297B0D0A2020';
wwv_flow_api.g_varchar2_table(292) := '20202020202020202020202020205F746869732E5F646972656374696F6E73526573706F6E736528726573706F6E73652C737461747573290D0A2020202020202020202020207D293B0D0A20202020202020207D20656C7365207B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(293) := '2020202020617065782E646562756728226E6F7420656E6F75676820776179706F696E7473202D206E656564206174206C6561737420616E206F726967696E20616E6420612064657374696E6174696F6E20706F696E7422293B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(294) := '7D0D0A202020207D2C0D0A0D0A092F2A0D0A09202A0D0A09202A2044524157494E47204C415945520D0A09202A0D0A09202A2F0D0A0D0A2020202064656C65746553656C656374656446656174757265733A2066756E6374696F6E2829207B0D0A202020';
wwv_flow_api.g_varchar2_table(295) := '2020202020617065782E646562756728227265706F72746D61702E64656C65746553656C6563746564466561747572657322293B0D0A202020202020202076617220646174614C61796572203D20746869732E6D61702E646174613B0D0A202020202020';
wwv_flow_api.g_varchar2_table(296) := '2020646174614C617965722E666F72456163682866756E6374696F6E286665617475726529207B0D0A20202020202020202020202069662028666561747572652E67657450726F70657274792827697353656C6563746564272929207B0D0A2020202020';
wwv_flow_api.g_varchar2_table(297) := '2020202020202020202020617065782E6465627567282272656D6F7665222C66656174757265293B0D0A20202020202020202020202020202020646174614C617965722E72656D6F76652866656174757265293B0D0A2020202020202020202020207D0D';
wwv_flow_api.g_varchar2_table(298) := '0A20202020202020207D293B0D0A202020207D2C0D0A0D0A2020202064656C657465416C6C46656174757265733A2066756E6374696F6E2829207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E64656C657465416C6C';
wwv_flow_api.g_varchar2_table(299) := '466561747572657322293B0D0A202020202020202076617220646174614C61796572203D20746869732E6D61702E646174613B0D0A2020202020202020646174614C617965722E666F72456163682866756E6374696F6E286665617475726529207B0D0A';
wwv_flow_api.g_varchar2_table(300) := '202020202020202020202020617065782E6465627567282272656D6F7665222C66656174757265293B0D0A202020202020202020202020646174614C617965722E72656D6F76652866656174757265293B0D0A20202020202020207D293B0D0A20202020';
wwv_flow_api.g_varchar2_table(301) := '7D2C0D0A0D0A202020205F616464436F6E74726F6C3A2066756E6374696F6E2869636F6E2C2068696E742C2063616C6C6261636B29207B0D0A0D0A202020202020202076617220636F6E74726F6C446976203D20646F63756D656E742E63726561746545';
wwv_flow_api.g_varchar2_table(302) := '6C656D656E74282764697627293B0D0A0D0A20202020202020202F2F205365742043535320666F722074686520636F6E74726F6C20626F726465722E0D0A202020202020202076617220636F6E74726F6C5549203D20646F63756D656E742E6372656174';
wwv_flow_api.g_varchar2_table(303) := '65456C656D656E74282764697627293B0D0A2020202020202020636F6E74726F6C55492E636C6173734E616D65203D20277265706F72746D61702D636F6E74726F6C5549273B0D0A2020202020202020636F6E74726F6C55492E7469746C65203D206869';
wwv_flow_api.g_varchar2_table(304) := '6E743B0D0A2020202020202020636F6E74726F6C4469762E617070656E644368696C6428636F6E74726F6C5549293B0D0A0D0A20202020202020202F2F205365742043535320666F722074686520636F6E74726F6C20696E746572696F722E0D0A202020';
wwv_flow_api.g_varchar2_table(305) := '202020202076617220636F6E74726F6C496E6E6572203D20646F63756D656E742E637265617465456C656D656E74282764697627293B0D0A2020202020202020636F6E74726F6C496E6E65722E636C6173734E616D65203D20277265706F72746D61702D';
wwv_flow_api.g_varchar2_table(306) := '636F6E74726F6C496E6E6572273B0D0A2020202020202020636F6E74726F6C496E6E65722E7374796C652E6261636B67726F756E64496D616765203D2069636F6E3B0D0A0D0A2020202020202020636F6E74726F6C55492E617070656E644368696C6428';
wwv_flow_api.g_varchar2_table(307) := '636F6E74726F6C496E6E6572293B0D0A0D0A20202020202020202F2F2053657475702074686520636C69636B206576656E74206C697374656E65720D0A2020202020202020636F6E74726F6C55492E6164644576656E744C697374656E65722827636C69';
wwv_flow_api.g_varchar2_table(308) := '636B272C2063616C6C6261636B293B0D0A0D0A2020202020202020746869732E6D61702E636F6E74726F6C735B676F6F676C652E6D6170732E436F6E74726F6C506F736974696F6E2E544F505F43454E5445525D2E7075736828636F6E74726F6C446976';
wwv_flow_api.g_varchar2_table(309) := '293B0D0A0D0A202020202020202072657475726E20636F6E74726F6C4469763B0D0A202020207D2C0D0A0D0A202020205F616464436865636B626F783A2066756E6374696F6E286E616D652C206C6162656C2C2068696E7429207B0D0A0D0A2020202020';
wwv_flow_api.g_varchar2_table(310) := '20202076617220636F6E74726F6C446976203D20646F63756D656E742E637265617465456C656D656E74282764697627293B0D0A0D0A20202020202020202F2F205365742043535320666F722074686520636F6E74726F6C20626F726465722E0D0A2020';
wwv_flow_api.g_varchar2_table(311) := '20202020202076617220636F6E74726F6C5549203D20646F63756D656E742E637265617465456C656D656E74282764697627293B0D0A2020202020202020636F6E74726F6C55492E636C6173734E616D65203D20277265706F72746D61702D636F6E7472';
wwv_flow_api.g_varchar2_table(312) := '6F6C5549273B0D0A2020202020202020636F6E74726F6C55492E7469746C65203D2068696E743B0D0A2020202020202020636F6E74726F6C4469762E617070656E644368696C6428636F6E74726F6C5549293B0D0A0D0A20202020202020202F2F205365';
wwv_flow_api.g_varchar2_table(313) := '742043535320666F722074686520636F6E74726F6C20696E746572696F722E0D0A202020202020202076617220636F6E74726F6C496E6E6572203D20646F63756D656E742E637265617465456C656D656E74282764697627293B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(314) := '636F6E74726F6C496E6E65722E636C6173734E616D65203D20277265706F72746D61702D636F6E74726F6C496E6E6572273B0D0A0D0A2020202020202020636F6E74726F6C55492E617070656E644368696C6428636F6E74726F6C496E6E6572293B0D0A';
wwv_flow_api.g_varchar2_table(315) := '0D0A202020202020202076617220636F6E74726F6C436865636B626F78203D20646F63756D656E742E637265617465456C656D656E742827696E70757427293B0D0A2020202020202020636F6E74726F6C436865636B626F782E73657441747472696275';
wwv_flow_api.g_varchar2_table(316) := '7465282774797065272C2027636865636B626F7827293B0D0A2020202020202020636F6E74726F6C436865636B626F782E73657441747472696275746528276964272C206E616D652B275F272B746869732E6F7074696F6E732E726567696F6E4964293B';
wwv_flow_api.g_varchar2_table(317) := '0D0A2020202020202020636F6E74726F6C436865636B626F782E73657441747472696275746528276E616D65272C206E616D65293B0D0A2020202020202020636F6E74726F6C436865636B626F782E736574417474726962757465282776616C7565272C';
wwv_flow_api.g_varchar2_table(318) := '20275927293B0D0A2020202020202020636F6E74726F6C436865636B626F782E636C6173734E616D65203D20277265706F72746D61702D636F6E74726F6C436865636B626F78273B0D0A0D0A2020202020202020636F6E74726F6C436865636B626F782E';
wwv_flow_api.g_varchar2_table(319) := '636C6173734E616D65203D20277265706F72746D61702D636865636B626F78273B0D0A0D0A2020202020202020636F6E74726F6C496E6E65722E617070656E644368696C6428636F6E74726F6C436865636B626F78293B0D0A0D0A202020202020202076';
wwv_flow_api.g_varchar2_table(320) := '617220636F6E74726F6C4C6162656C203D20646F63756D656E742E637265617465456C656D656E7428276C6162656C27293B0D0A2020202020202020636F6E74726F6C4C6162656C2E7365744174747269627574652827666F72272C6E616D652B275F27';
wwv_flow_api.g_varchar2_table(321) := '2B746869732E6F7074696F6E732E726567696F6E4964293B0D0A2020202020202020636F6E74726F6C4C6162656C2E696E6E657248544D4C203D206C6162656C3B0D0A2020202020202020636F6E74726F6C4C6162656C2E636C6173734E616D65203D20';
wwv_flow_api.g_varchar2_table(322) := '277265706F72746D61702D636F6E74726F6C436865636B626F784C6162656C273B0D0A0D0A2020202020202020636F6E74726F6C496E6E65722E617070656E644368696C6428636F6E74726F6C4C6162656C293B0D0A0D0A202020202020202074686973';
wwv_flow_api.g_varchar2_table(323) := '2E6D61702E636F6E74726F6C735B676F6F676C652E6D6170732E436F6E74726F6C506F736974696F6E2E544F505F43454E5445525D2E7075736828636F6E74726F6C446976293B0D0A0D0A202020202020202072657475726E20636F6E74726F6C446976';
wwv_flow_api.g_varchar2_table(324) := '3B0D0A202020207D2C0D0A0D0A202020205F616464506F696E743A2066756E6374696F6E28646174614C617965722C20706F7329207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E5F616464506F696E74222C646174';
wwv_flow_api.g_varchar2_table(325) := '614C617965722C706F73293B0D0A20202020202020207661722066656174757265203D206E657720676F6F676C652E6D6170732E446174612E46656174757265287B0D0A20202020202020202020202067656F6D657472793A206E657720676F6F676C65';
wwv_flow_api.g_varchar2_table(326) := '2E6D6170732E446174612E506F696E7428706F73290D0A20202020202020207D293B0D0A2020202020202020646174614C617965722E6164642866656174757265293B0D0A202020202020202072657475726E20666561747572653B0D0A202020207D2C';
wwv_flow_api.g_varchar2_table(327) := '0D0A0D0A202020205F616464506F6C79676F6E3A2066756E6374696F6E28646174614C617965722C2061727229207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E5F616464506F6C79676F6E222C646174614C617965';
wwv_flow_api.g_varchar2_table(328) := '722C617272293B0D0A0D0A20202020202020206966202824282223686F6C655F222B746869732E6F7074696F6E732E726567696F6E4964292E70726F702822636865636B6564222929207B0D0A202020202020202020202020646174614C617965722E66';
wwv_flow_api.g_varchar2_table(329) := '6F72456163682866756E6374696F6E286665617475726529207B0D0A2020202020202020202020202020202069662028666561747572652E67657450726F70657274792827697353656C6563746564272929207B0D0A2020202020202020202020202020';
wwv_flow_api.g_varchar2_table(330) := '2020202020207661722067656F6D203D20666561747572652E67657447656F6D6574727928293B0D0A20202020202020202020202020202020202020206966202867656F6D2E676574547970652829203D3D2022506F6C79676F6E2229207B0D0A202020';
wwv_flow_api.g_varchar2_table(331) := '2020202020202020202020202020202020202020202F2F617070656E6420746865206E657720686F6C6520746F20746865206578697374696E6720706F6C79676F6E0D0A20202020202020202020202020202020202020202020202076617220706F6C79';
wwv_flow_api.g_varchar2_table(332) := '203D2067656F6D2E676574417272617928293B0D0A2020202020202020202020202020202020202020202020202F2F74686520706F6C79676F6E2077696C6C206E6F7720626520616E206172726179206F66204C696E65617252696E67730D0A20202020';
wwv_flow_api.g_varchar2_table(333) := '2020202020202020202020202020202020202020706F6C792E70757368286E657720676F6F676C652E6D6170732E446174612E4C696E65617252696E672861727229293B0D0A202020202020202020202020202020202020202020202020666561747572';
wwv_flow_api.g_varchar2_table(334) := '652E73657447656F6D65747279286E657720676F6F676C652E6D6170732E446174612E506F6C79676F6E28706F6C7929293B0D0A20202020202020202020202020202020202020207D0D0A202020202020202020202020202020207D0D0A202020202020';
wwv_flow_api.g_varchar2_table(335) := '2020202020207D293B0D0A20202020202020207D20656C7365207B0D0A202020202020202020202020646174614C617965722E616464286E657720676F6F676C652E6D6170732E446174612E46656174757265287B0D0A20202020202020202020202020';
wwv_flow_api.g_varchar2_table(336) := '20202067656F6D657472793A206E657720676F6F676C652E6D6170732E446174612E506F6C79676F6E285B6172725D290D0A2020202020202020202020207D29293B0D0A20202020202020207D0D0A202020207D2C0D0A0D0A202020202F2F20696E6974';
wwv_flow_api.g_varchar2_table(337) := '69616C69736174696F6E20666F722064617461206C61796572207768656E206E6F7420696E2064726177696E67206D6F64650D0A202020205F696E697446656174757265733A2066756E6374696F6E2829207B0D0A2020202020202020617065782E6465';
wwv_flow_api.g_varchar2_table(338) := '62756728227265706F72746D61702E5F696E6974466561747572657322293B0D0A0D0A2020202020202020766172205F74686973203D20746869732C0D0A202020202020202020202020646174614C61796572203D20746869732E6D61702E646174613B';
wwv_flow_api.g_varchar2_table(339) := '0D0A0D0A20202020202020202F2F204368616E67652074686520636F6C6F72207768656E2074686520697353656C65637465642070726F70657274792069732073657420746F20747275652E0D0A2020202020202020646174614C617965722E73657453';
wwv_flow_api.g_varchar2_table(340) := '74796C6528746869732E6F7074696F6E732E666561747572655374796C65466E7C7C66756E6374696F6E286665617475726529207B0D0A20202020202020202020202076617220636F6C6F72203D205F746869732E6F7074696F6E732E66656174757265';
wwv_flow_api.g_varchar2_table(341) := '436F6C6F723B0D0A20202020202020202020202069662028666561747572652E67657450726F70657274792827697353656C6563746564272929207B0D0A20202020202020202020202020202020636F6C6F72203D205F746869732E6F7074696F6E732E';
wwv_flow_api.g_varchar2_table(342) := '66656174757265436F6C6F7253656C65637465643B0D0A2020202020202020202020207D0D0A20202020202020202020202072657475726E202F2A2A204074797065207B21676F6F676C652E6D6170732E446174612E5374796C654F7074696F6E737D20';
wwv_flow_api.g_varchar2_table(343) := '2A2F287B0D0A2020202020202020202020202020202066696C6C436F6C6F72202020203A20636F6C6F722C0D0A202020202020202020202020202020207374726F6B65436F6C6F7220203A20636F6C6F722C0D0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(344) := '7374726F6B65576569676874203A20312C0D0A20202020202020202020202020202020647261676761626C65202020203A205F746869732E6F7074696F6E732E6973447261676761626C652C0D0A20202020202020202020202020202020656469746162';
wwv_flow_api.g_varchar2_table(345) := '6C6520202020203A2066616C73650D0A2020202020202020202020207D293B0D0A20202020202020207D293B0D0A0D0A202020202020202069662028746869732E6F7074696F6E732E6665617475726553656C65637461626C6529207B0D0A2020202020';
wwv_flow_api.g_varchar2_table(346) := '202020202020202F2F205768656E20746865207573657220636C69636B732C207365742027697353656C6563746564272C206368616E67696E672074686520636F6C6F72206F66207468652073686170652E0D0A20202020202020202020202064617461';
wwv_flow_api.g_varchar2_table(347) := '4C617965722E6164644C697374656E65722827636C69636B272C2066756E6374696F6E286576656E7429207B0D0A20202020202020202020202020202020617065782E646562756728227265706F72746D61702E6D61702E64617461202D20636C69636B';
wwv_flow_api.g_varchar2_table(348) := '222C6576656E74293B0D0A20202020202020202020202020202020696620286576656E742E666561747572652E67657450726F70657274792827697353656C6563746564272929207B0D0A2020202020202020202020202020202020202020617065782E';
wwv_flow_api.g_varchar2_table(349) := '64656275672822697353656C6563746564222C2266616C736522293B0D0A20202020202020202020202020202020202020206576656E742E666561747572652E72656D6F766550726F70657274792827697353656C656374656427293B0D0A2020202020';
wwv_flow_api.g_varchar2_table(350) := '202020202020202020202020202020617065782E6A5175657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E747269676765722822756E73656C65637466656174757265222C207B6D61703A5F746869732E6D61702C206665';
wwv_flow_api.g_varchar2_table(351) := '61747572653A6576656E742E666561747572657D293B0D0A202020202020202020202020202020207D20656C7365207B0D0A2020202020202020202020202020202020202020617065782E64656275672822697353656C6563746564222C227472756522';
wwv_flow_api.g_varchar2_table(352) := '293B0D0A20202020202020202020202020202020202020206576656E742E666561747572652E73657450726F70657274792827697353656C6563746564272C2074727565293B0D0A2020202020202020202020202020202020202020617065782E6A5175';
wwv_flow_api.g_varchar2_table(353) := '657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E74726967676572282273656C65637466656174757265222C207B6D61703A5F746869732E6D61702C20666561747572653A6576656E742E666561747572657D293B0D0A20';
wwv_flow_api.g_varchar2_table(354) := '2020202020202020202020202020207D0D0A2020202020202020202020207D293B0D0A20202020202020207D0D0A0D0A202020202020202069662028746869732E6F7074696F6E732E66656174757265486F76657261626C6529207B0D0A0D0A20202020';
wwv_flow_api.g_varchar2_table(355) := '20202020202020202F2F205768656E20746865207573657220686F766572732C2074656D7074207468656D20746F20636C69636B206279206F75746C696E696E67207468652073686170652E0D0A2020202020202020202020202F2F2043616C6C207265';
wwv_flow_api.g_varchar2_table(356) := '766572745374796C65282920746F2072656D6F766520616C6C206F76657272696465732E20546869732077696C6C2075736520746865207374796C652072756C65730D0A2020202020202020202020202F2F20646566696E656420696E20746865206675';
wwv_flow_api.g_varchar2_table(357) := '6E6374696F6E2070617373656420746F207365745374796C6528290D0A0D0A202020202020202020202020646174614C617965722E6164644C697374656E657228276D6F7573656F766572272C2066756E6374696F6E286576656E7429207B0D0A202020';
wwv_flow_api.g_varchar2_table(358) := '20202020202020202020202020617065782E646562756728227265706F72746D61702E6D61702E64617461222C226D6F7573656F766572222C6576656E74293B0D0A20202020202020202020202020202020646174614C617965722E7265766572745374';
wwv_flow_api.g_varchar2_table(359) := '796C6528293B0D0A20202020202020202020202020202020646174614C617965722E6F766572726964655374796C65286576656E742E666561747572652C207B7374726F6B655765696768743A20347D293B0D0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(360) := '617065782E6A5175657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E7472696767657228226D6F7573656F76657266656174757265222C207B6D61703A5F746869732E6D61702C20666561747572653A6576656E742E6665';
wwv_flow_api.g_varchar2_table(361) := '61747572657D293B0D0A2020202020202020202020207D293B0D0A0D0A202020202020202020202020646174614C617965722E6164644C697374656E657228276D6F7573656F7574272C2066756E6374696F6E286576656E7429207B0D0A202020202020';
wwv_flow_api.g_varchar2_table(362) := '20202020202020202020617065782E646562756728227265706F72746D61702E6D61702E64617461222C226D6F7573656F7574222C6576656E74293B0D0A20202020202020202020202020202020646174614C617965722E7265766572745374796C6528';
wwv_flow_api.g_varchar2_table(363) := '293B0D0A20202020202020202020202020202020617065782E6A5175657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E7472696767657228226D6F7573656F757466656174757265222C207B6D61703A5F746869732E6D61';
wwv_flow_api.g_varchar2_table(364) := '702C20666561747572653A6576656E742E666561747572657D293B0D0A2020202020202020202020207D293B0D0A20202020202020207D0D0A0D0A202020207D2C0D0A0D0A202020202F2F20696E697469616C69736174696F6E20666F72206461746120';
wwv_flow_api.g_varchar2_table(365) := '6C61796572207768656E20696E2064726177696E67206D6F64650D0A202020205F696E697444726177696E673A2066756E6374696F6E2829207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E5F696E69744472617769';
wwv_flow_api.g_varchar2_table(366) := '6E67222C746869732E6F7074696F6E732E64726177696E674D6F646573293B0D0A2020202020202020766172205F74686973203D20746869732C0D0A202020202020202020202020646174614C61796572203D20746869732E6D61702E646174613B0D0A';
wwv_flow_api.g_varchar2_table(367) := '0D0A202020202020202069662028746869732E6F7074696F6E732E64726177696E674D6F6465732E696E6465784F662822706F6C79676F6E22293E2D3129207B0D0A202020202020202020202020746869732E5F616464436865636B626F78280D0A2020';
wwv_flow_api.g_varchar2_table(368) := '202020202020202020202020202027686F6C65272C202F2F6E616D650D0A2020202020202020202020202020202027486F6C65272C202F2F6C6162656C0D0A2020202020202020202020202020202027537562747261637420686F6C652066726F6D2070';
wwv_flow_api.g_varchar2_table(369) := '6F6C79676F6E272C202F2F68696E740D0A202020202020202020202020293B0D0A20202020202020207D0D0A0D0A2020202020202020746869732E5F616464436F6E74726F6C280D0A0909092F2F747261736863616E2069636F6E0D0A20202020202020';
wwv_flow_api.g_varchar2_table(370) := '20202020202275726C2827646174613A696D6167652F706E673B6261736536342C6956424F5277304B47676F414141414E53556845556741414142514141414155434159414141434E6952304E4141414135456C45515651346A63335550306F44515254';
wwv_flow_api.g_varchar2_table(371) := '4838553955524753783941536577636F7A3541414C3972596578633454324668593667454530544D49515332564645484567435970664D553632637A2B3053492F4750627866722F35386D59596C6E58586F4D4576635A4430486E477861734E57426E61';
wwv_flow_api.g_varchar2_table(372) := '455935776C2F564D38343759726342393375456E36682B473130676A7A6A6D755541773537414963353441616D45587A4264645433666F342F6A393554314E50593877745131517A6A714D65346A506F68466C776C6D566B4F43472F7833634F6B78702B';
wwv_flow_api.g_varchar2_table(373) := '455638332B47566A304152622F50654532766D7238542B7A30415A4A6365454E324A664331416449355732722F714D73324579346449364F6C624E33767138414A646975395458776E75512B6334373344414775674256376F5757476D76696463414141';
wwv_flow_api.g_varchar2_table(374) := '4141456C46546B5375516D43432729222C0D0A2020202020202020202020202744656C6574652073656C6563746564206665617475726573272C202F2F68696E740D0A20202020202020202020202066756E6374696F6E286529207B0D0A202020202020';
wwv_flow_api.g_varchar2_table(375) := '202020202020202020205F746869732E64656C65746553656C6563746564466561747572657328293B0D0A2020202020202020202020207D293B0D0A0D0A20202020202020202F2F2066726F6D2068747470733A2F2F6A73666964646C652E6E65742F67';
wwv_flow_api.g_varchar2_table(376) := '656F636F64657A69702F657A666532774C672F35372F0D0A0D0A20202020202020207661722064726177696E674D616E61676572203D206E657720676F6F676C652E6D6170732E64726177696E672E44726177696E674D616E61676572287B0D0A202020';
wwv_flow_api.g_varchar2_table(377) := '20202020202020202064726177696E67436F6E74726F6C4F7074696F6E733A207B0D0A20202020202020202020202020202F2A68747470733A2F2F646576656C6F706572732E676F6F676C652E636F6D2F6D6170732F646F63756D656E746174696F6E2F';
wwv_flow_api.g_varchar2_table(378) := '6A6176617363726970742F7265666572656E63652F636F6E74726F6C23436F6E74726F6C506F736974696F6E2A2F0D0A2020202020202020202020202020706F736974696F6E20202020203A20676F6F676C652E6D6170732E436F6E74726F6C506F7369';
wwv_flow_api.g_varchar2_table(379) := '74696F6E2E544F505F43454E5445522C0D0A202020202020202020202020202064726177696E674D6F646573203A20746869732E6F7074696F6E732E64726177696E674D6F6465730D0A2020202020202020202020207D0D0A20202020202020207D293B';
wwv_flow_api.g_varchar2_table(380) := '0D0A202020202020202064726177696E674D616E616765722E7365744D617028746869732E6D6170293B0D0A0D0A20202020202020202F2F2066726F6D20687474703A2F2F737461636B6F766572666C6F772E636F6D2F7175657374696F6E732F323530';
wwv_flow_api.g_varchar2_table(381) := '37323036392F6578706F72742D67656F6A736F6E2D646174612D66726F6D2D676F6F676C652D6D6170730D0A20202020202020202F2F2066726F6D20687474703A2F2F6A73666964646C652E6E65742F646F6B746F726D6F6C6C652F35463838442F0D0A';
wwv_flow_api.g_varchar2_table(382) := '2020202020202020676F6F676C652E6D6170732E6576656E742E6164644C697374656E65722864726177696E674D616E616765722C20276F7665726C6179636F6D706C657465272C2066756E6374696F6E286576656E7429207B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(383) := '20202020617065782E646562756728227265706F72746D61702E6F7665726C6179636F6D706C657465222C6576656E74293B0D0A20202020202020202020202073776974636820286576656E742E7479706529207B0D0A20202020202020202020202063';
wwv_flow_api.g_varchar2_table(384) := '61736520676F6F676C652E6D6170732E64726177696E672E4F7665726C6179547970652E4D41524B45523A0D0A202020202020202020202020202020205F746869732E5F616464506F696E7428646174614C617965722C206576656E742E6F7665726C61';
wwv_flow_api.g_varchar2_table(385) := '792E676574506F736974696F6E2829293B0D0A20202020202020202020202020202020627265616B3B0D0A2020202020202020202020206361736520676F6F676C652E6D6170732E64726177696E672E4F7665726C6179547970652E504F4C59474F4E3A';
wwv_flow_api.g_varchar2_table(386) := '0D0A202020202020202020202020202020207661722070203D206576656E742E6F7665726C61792E6765745061746828292E676574417272617928293B0D0A202020202020202020202020202020205F746869732E5F616464506F6C79676F6E28646174';
wwv_flow_api.g_varchar2_table(387) := '614C617965722C2070293B0D0A20202020202020202020202020202020627265616B3B0D0A2020202020202020202020206361736520676F6F676C652E6D6170732E64726177696E672E4F7665726C6179547970652E52454354414E474C453A0D0A2020';
wwv_flow_api.g_varchar2_table(388) := '20202020202020202020202020207661722062203D206576656E742E6F7665726C61792E676574426F756E647328292C0D0A202020202020202020202020202020202020202070203D205B622E676574536F7574685765737428292C0D0A202020202020';
wwv_flow_api.g_varchar2_table(389) := '202020202020202020202020202020202020207B6C6174203A20622E676574536F7574685765737428292E6C617428292C0D0A20202020202020202020202020202020202020202020202020206C6E67203A20622E6765744E6F7274684561737428292E';
wwv_flow_api.g_varchar2_table(390) := '6C6E6728290D0A202020202020202020202020202020202020202020202020207D2C0D0A20202020202020202020202020202020202020202020202020622E6765744E6F7274684561737428292C0D0A2020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(391) := '20202020207B6C6E67203A20622E676574536F7574685765737428292E6C6E6728292C0D0A20202020202020202020202020202020202020202020202020206C6174203A20622E6765744E6F7274684561737428292E6C617428290D0A20202020202020';
wwv_flow_api.g_varchar2_table(392) := '2020202020202020202020202020202020207D5D3B0D0A202020202020202020202020202020205F746869732E5F616464506F6C79676F6E28646174614C617965722C2070293B0D0A20202020202020202020202020202020627265616B3B0D0A202020';
wwv_flow_api.g_varchar2_table(393) := '2020202020202020206361736520676F6F676C652E6D6170732E64726177696E672E4F7665726C6179547970652E504F4C594C494E453A0D0A20202020202020202020202020202020646174614C617965722E616464286E657720676F6F676C652E6D61';
wwv_flow_api.g_varchar2_table(394) := '70732E446174612E46656174757265287B0D0A202020202020202020202020202020202020202067656F6D657472793A206E657720676F6F676C652E6D6170732E446174612E4C696E65537472696E67286576656E742E6F7665726C61792E6765745061';
wwv_flow_api.g_varchar2_table(395) := '746828292E67657441727261792829290D0A202020202020202020202020202020207D29293B0D0A20202020202020202020202020202020627265616B3B0D0A2020202020202020202020206361736520676F6F676C652E6D6170732E64726177696E67';
wwv_flow_api.g_varchar2_table(396) := '2E4F7665726C6179547970652E434952434C453A0D0A202020202020202020202020202020202F2F746F646F3A2066696E6420736F6D6520776179206F662073686F77696E672074686520636972636C652C20616C6F6E67207769746820656469746162';
wwv_flow_api.g_varchar2_table(397) := '6C65207261646975733F0D0A20202020202020202020202020202020646174614C617965722E616464286E657720676F6F676C652E6D6170732E446174612E46656174757265287B0D0A202020202020202020202020202020202020202070726F706572';
wwv_flow_api.g_varchar2_table(398) := '746965733A207B0D0A2020202020202020202020202020202020202020202020207261646975733A206576656E742E6F7665726C61792E67657452616469757328290D0A20202020202020202020202020202020202020207D2C0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(399) := '20202020202020202020202067656F6D657472793A206E657720676F6F676C652E6D6170732E446174612E506F696E74286576656E742E6F7665726C61792E67657443656E7465722829290D0A202020202020202020202020202020207D29293B0D0A20';
wwv_flow_api.g_varchar2_table(400) := '202020202020202020202020202020627265616B3B0D0A2020202020202020202020207D0D0A2020202020202020202020206576656E742E6F7665726C61792E7365744D6170286E756C6C293B0D0A20202020202020207D293B0D0A0D0A202020202020';
wwv_flow_api.g_varchar2_table(401) := '20202F2F204368616E67652074686520636F6C6F72207768656E2074686520697353656C65637465642070726F70657274792069732073657420746F20747275652E0D0A2020202020202020646174614C617965722E7365745374796C652866756E6374';
wwv_flow_api.g_varchar2_table(402) := '696F6E286665617475726529207B0D0A20202020202020202020202076617220636F6C6F72203D205F746869732E6F7074696F6E732E66656174757265436F6C6F722C0D0A202020202020202020202020202020206564697461626C65203D2066616C73';
wwv_flow_api.g_varchar2_table(403) := '652C0D0A202020202020202020202020202020207374796C654F7074696F6E733B0D0A20202020202020202020202069662028666561747572652E67657450726F70657274792827697353656C6563746564272929207B0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(404) := '2020202020636F6C6F72203D205F746869732E6F7074696F6E732E66656174757265436F6C6F7253656C65637465643B0D0A202020202020202020202020202020202F2F2069662077652772652064726177696E67206120686F6C652C20776520646F6E';
wwv_flow_api.g_varchar2_table(405) := '27742077616E7420746F20647261672F6564697420746865206578697374696E6720666561747572650D0A202020202020202020202020202020206564697461626C65203D20212824282223686F6C655F222B5F746869732E6F7074696F6E732E726567';
wwv_flow_api.g_varchar2_table(406) := '696F6E4964292E70726F702822636865636B65642229293B0D0A2020202020202020202020207D0D0A2020202020202020202020207374796C654F7074696F6E73203D202F2A2A204074797065207B21676F6F676C652E6D6170732E446174612E537479';
wwv_flow_api.g_varchar2_table(407) := '6C654F7074696F6E737D202A2F7B0D0A2020202020202020202020202020202066696C6C436F6C6F72202020203A20636F6C6F722C0D0A202020202020202020202020202020207374726F6B65436F6C6F7220203A20636F6C6F722C0D0A202020202020';
wwv_flow_api.g_varchar2_table(408) := '202020202020202020207374726F6B65576569676874203A20310D0A2020202020202020202020207D3B0D0A202020202020202020202020696620285F746869732E6F7074696F6E732E666561747572655374796C65466E29207B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(409) := '202020202020202020242E657874656E64287374796C654F7074696F6E732C205F746869732E6F7074696F6E732E666561747572655374796C65466E286665617475726529293B0D0A2020202020202020202020207D0D0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(410) := '72657475726E20242E657874656E64287374796C654F7074696F6E732C207B647261676761626C653A6564697461626C652C206564697461626C653A6564697461626C657D293B0D0A20202020202020207D293B0D0A0D0A202020202020202064617461';
wwv_flow_api.g_varchar2_table(411) := '4C617965722E6164644C697374656E6572282761646466656174757265272C2066756E6374696F6E286576656E7429207B0D0A202020202020202020202020617065782E646562756728227265706F72746D61702E6D61702E64617461222C2261646466';
wwv_flow_api.g_varchar2_table(412) := '656174757265222C6576656E74293B0D0A202020202020202020202020617065782E6A5175657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E74726967676572282261646466656174757265222C207B6D61703A5F746869';
wwv_flow_api.g_varchar2_table(413) := '732E6D61702C20666561747572653A6576656E742E666561747572657D293B0D0A20202020202020207D293B0D0A0D0A2020202020202020646174614C617965722E6164644C697374656E6572282772656D6F766566656174757265272C2066756E6374';
wwv_flow_api.g_varchar2_table(414) := '696F6E286576656E7429207B0D0A202020202020202020202020617065782E646562756728227265706F72746D61702E6D61702E64617461222C2272656D6F766566656174757265222C6576656E74293B0D0A202020202020202020202020617065782E';
wwv_flow_api.g_varchar2_table(415) := '6A5175657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E74726967676572282272656D6F766566656174757265222C207B6D61703A5F746869732E6D61702C20666561747572653A6576656E742E666561747572657D293B';
wwv_flow_api.g_varchar2_table(416) := '0D0A20202020202020207D293B0D0A0D0A2020202020202020646174614C617965722E6164644C697374656E6572282773657467656F6D65747279272C2066756E6374696F6E286576656E7429207B0D0A202020202020202020202020617065782E6465';
wwv_flow_api.g_varchar2_table(417) := '62756728227265706F72746D61702E6D61702E64617461222C2273657467656F6D65747279222C6576656E74293B0D0A202020202020202020202020617065782E6A5175657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E';
wwv_flow_api.g_varchar2_table(418) := '74726967676572282273657467656F6D65747279222C207B0D0A090909096D61702020202020202020203A205F746869732E6D61702C0D0A090909096665617475726520202020203A206576656E742E666561747572652C0D0A090909096E657747656F';
wwv_flow_api.g_varchar2_table(419) := '6D65747279203A206576656E742E6E657747656F6D657472792C0D0A090909096F6C6447656F6D65747279203A206576656E742E6F6C6447656F6D657472790D0A0909097D293B0D0A20202020202020207D293B0D0A0D0A2020202020202020646F6375';
wwv_flow_api.g_varchar2_table(420) := '6D656E742E6164644576656E744C697374656E657228276B6579646F776E272C2066756E6374696F6E286576656E7429207B0D0A202020202020202020202020696620286576656E742E6B6579203D3D3D202244656C6574652229207B0D0A2020202020';
wwv_flow_api.g_varchar2_table(421) := '20202020202020202020205F746869732E64656C65746553656C6563746564466561747572657328293B0D0A2020202020202020202020207D0D0A20202020202020207D293B0D0A0D0A202020207D2C0D0A0D0A092F2A0D0A09202A0D0A09202A204745';
wwv_flow_api.g_varchar2_table(422) := '4F4A534F4E0D0A09202A0D0A09202A2F0D0A0D0A202020202F2A2A0D0A20202020202A2050726F63657373206561636820706F696E7420696E20612047656F6D657472792C207265676172646C657373206F6620686F7720646565702074686520706F69';
wwv_flow_api.g_varchar2_table(423) := '6E7473206D6179206C69652E0D0A20202020202A2040706172616D207B676F6F676C652E6D6170732E446174612E47656F6D657472797D2067656F6D65747279202D2073747275637475726520746F2070726F636573730D0A20202020202A2040706172';
wwv_flow_api.g_varchar2_table(424) := '616D207B66756E6374696F6E28676F6F676C652E6D6170732E4C61744C6E67297D2063616C6C6261636B2066756E6374696F6E20746F2063616C6C206F6E20656163680D0A20202020202A20202020204C61744C6E6720706F696E7420656E636F756E74';
wwv_flow_api.g_varchar2_table(425) := '657265640D0A20202020202A2040706172616D207B4F626A6563747D2074686973417267202D2076616C7565206F66202774686973272061732070726F766964656420746F202763616C6C6261636B270D0A20202020202A2F0D0A202020205F70726F63';
wwv_flow_api.g_varchar2_table(426) := '657373506F696E7473203A2066756E6374696F6E202867656F6D657472792C2063616C6C6261636B2C207468697341726729207B0D0A2020202020202020766172205F74686973203D20746869733B0D0A20202020202020206966202867656F6D657472';
wwv_flow_api.g_varchar2_table(427) := '7920696E7374616E63656F6620676F6F676C652E6D6170732E4C61744C6E6729207B0D0A20202020202020202020202063616C6C6261636B2E63616C6C28746869734172672C2067656F6D65747279293B0D0A20202020202020207D20656C7365206966';
wwv_flow_api.g_varchar2_table(428) := '202867656F6D6574727920696E7374616E63656F6620676F6F676C652E6D6170732E446174612E506F696E7429207B0D0A20202020202020202020202063616C6C6261636B2E63616C6C28746869734172672C2067656F6D657472792E6765742829293B';
wwv_flow_api.g_varchar2_table(429) := '0D0A20202020202020207D20656C7365207B0D0A20202020202020202020202067656F6D657472792E676574417272617928292E666F72456163682866756E6374696F6E286729207B0D0A202020202020202020202020202020205F746869732E5F7072';
wwv_flow_api.g_varchar2_table(430) := '6F63657373506F696E747328672C2063616C6C6261636B2C2074686973417267293B0D0A2020202020202020202020207D293B0D0A20202020202020207D0D0A202020207D2C0D0A0D0A202020205F6C6F616447656F4A736F6E203A2066756E6374696F';
wwv_flow_api.g_varchar2_table(431) := '6E202867656F6A736F6E2C2066696C656E616D652C206F7074696F6E7329207B0D0A2020202020202020617065782E646562756728225F6C6F616447656F4A736F6E222C2067656F6A736F6E293B0D0A0D0A20202020202020202F2F2072656E64657220';
wwv_flow_api.g_varchar2_table(432) := '746865206665617475726573206F6E20746865206D61700D0A20202020202020206C6574206665617475726573203D20746869732E6D61702E646174612E61646447656F4A736F6E2867656F6A736F6E2C206F7074696F6E73293B0D0A0D0A2020202020';
wwv_flow_api.g_varchar2_table(433) := '2020202F2F5570646174652061206D617027732076696577706F727420746F2066697420656163682067656F6D6574727920696E206120646174617365740D0A2020202020202020766172205F74686973203D20746869733B0D0A202020202020202074';
wwv_flow_api.g_varchar2_table(434) := '6869732E6D61702E646174612E666F72456163682866756E6374696F6E286665617475726529207B0D0A2020202020202020202020205F746869732E5F70726F63657373506F696E747328666561747572652E67657447656F6D6574727928292C205F74';
wwv_flow_api.g_varchar2_table(435) := '6869732E626F756E64732E657874656E642C205F746869732E626F756E6473293B0D0A20202020202020207D293B0D0A202020202020202069662028746869732E6F7074696F6E732E6175746F466974426F756E647329207B0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(436) := '202020746869732E6D61702E666974426F756E647328746869732E626F756E6473293B0D0A20202020202020207D0D0A0D0A2020202020202020617065782E6A5175657279282223222B746869732E6F7074696F6E732E726567696F6E4964292E747269';
wwv_flow_api.g_varchar2_table(437) := '6767657228226C6F6164656467656F6A736F6E222C207B0D0A2020202020202020202020206D61702020202020203A20746869732E6D61702C0D0A20202020202020202020202067656F4A736F6E20203A2067656F6A736F6E2C0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(438) := '202020206665617475726573203A2066656174757265732C0D0A20202020202020202020202066696C656E616D65203A2066696C656E616D650D0A20202020202020207D293B0D0A202020207D2C0D0A0D0A202020206C6F616447656F4A736F6E537472';
wwv_flow_api.g_varchar2_table(439) := '696E67203A2066756E6374696F6E202867656F537472696E672C2066696C656E616D6529207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E6C6F616447656F4A736F6E537472696E67222C2067656F537472696E672C';
wwv_flow_api.g_varchar2_table(440) := '2066696C656E616D65293B0D0A20202020202020206966202867656F537472696E6729207B0D0A2020202020202020202020207661722067656F6A736F6E203D204A534F4E2E70617273652867656F537472696E67293B0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(441) := '20746869732E626F756E6473203D206E657720676F6F676C652E6D6170732E4C61744C6E67426F756E64733B0D0A202020202020202020202020746869732E5F6C6F616447656F4A736F6E2867656F6A736F6E2C2066696C656E616D65293B0D0A202020';
wwv_flow_api.g_varchar2_table(442) := '20202020207D0D0A202020207D2C0D0A0D0A202020205F696E69744472616744726F7047656F4A534F4E203A2066756E6374696F6E202829207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E5F696E69744472616744';
wwv_flow_api.g_varchar2_table(443) := '726F7047656F4A534F4E22293B0D0A2020202020202020766172205F74686973203D20746869733B0D0A20202020202020202F2F2073657420757020746865206472616720262064726F70206576656E74730D0A2020202020202020766172206D617043';
wwv_flow_api.g_varchar2_table(444) := '6F6E7461696E6572203D20646F63756D656E742E676574456C656D656E744279496428276D61705F272B746869732E6F7074696F6E732E726567696F6E4964292C0D0A20202020202020202020202064726F70436F6E7461696E6572203D20646F63756D';
wwv_flow_api.g_varchar2_table(445) := '656E742E676574456C656D656E7442794964282764726F705F272B746869732E6F7074696F6E732E726567696F6E4964293B0D0A0D0A20202020202020207661722073686F7750616E656C203D2066756E6374696F6E20286529207B0D0A202020202020';
wwv_flow_api.g_varchar2_table(446) := '20202020202020202020652E73746F7050726F7061676174696F6E28293B0D0A20202020202020202020202020202020652E70726576656E7444656661756C7428293B0D0A2020202020202020202020202020202064726F70436F6E7461696E65722E73';
wwv_flow_api.g_varchar2_table(447) := '74796C652E646973706C6179203D2027626C6F636B273B0D0A2020202020202020202020202020202072657475726E2066616C73653B0D0A2020202020202020202020207D3B0D0A0D0A20202020202020202F2F206D61702D7370656369666963206576';
wwv_flow_api.g_varchar2_table(448) := '656E74730D0A20202020202020206D6170436F6E7461696E65722E6164644576656E744C697374656E6572282764726167656E746572272C2073686F7750616E656C2C2066616C7365293B0D0A0D0A20202020202020202F2F206F7665726C6179207370';
wwv_flow_api.g_varchar2_table(449) := '656369666963206576656E7473202873696E6365206974206F6E6C792061707065617273206F6E6365206472616720737461727473290D0A202020202020202064726F70436F6E7461696E65722E6164644576656E744C697374656E6572282764726167';
wwv_flow_api.g_varchar2_table(450) := '6F766572272C2073686F7750616E656C2C2066616C7365293B0D0A0D0A202020202020202064726F70436F6E7461696E65722E6164644576656E744C697374656E65722827647261676C65617665272C2066756E6374696F6E2829207B0D0A2020202020';
wwv_flow_api.g_varchar2_table(451) := '2020202020202064726F70436F6E7461696E65722E7374796C652E646973706C6179203D20276E6F6E65273B0D0A20202020202020207D2C2066616C7365293B0D0A0D0A202020202020202064726F70436F6E7461696E65722E6164644576656E744C69';
wwv_flow_api.g_varchar2_table(452) := '7374656E6572282764726F70272C2066756E6374696F6E286529207B0D0A202020202020202020202020617065782E646562756728227265706F72746D61702E64726F70222C65293B0D0A202020202020202020202020652E70726576656E7444656661';
wwv_flow_api.g_varchar2_table(453) := '756C7428293B0D0A202020202020202020202020652E73746F7050726F7061676174696F6E28293B0D0A20202020202020202020202064726F70436F6E7461696E65722E7374796C652E646973706C6179203D20276E6F6E65273B0D0A0D0A2020202020';
wwv_flow_api.g_varchar2_table(454) := '202020202020207661722066696C6573203D20652E646174615472616E736665722E66696C65733B0D0A2020202020202020202020206966202866696C65732E6C656E67746829207B0D0A202020202020202020202020202020202F2F2070726F636573';
wwv_flow_api.g_varchar2_table(455) := '732066696C65287329206265696E672064726F707065640D0A202020202020202020202020202020202F2F2067726162207468652066696C6520646174612066726F6D20656163682066696C650D0A20202020202020202020202020202020666F722028';
wwv_flow_api.g_varchar2_table(456) := '7661722069203D20302C2066696C653B2066696C65203D2066696C65735B695D3B20692B2B29207B0D0A202020202020202020202020202020202020202076617220726561646572203D206E65772046696C6552656164657228292C0D0A202020202020';
wwv_flow_api.g_varchar2_table(457) := '20202020202020202020202020202020202066696C656E616D65203D2066696C652E6E616D653B0D0A20202020202020202020202020202020202020207265616465722E6F6E6C6F6164203D2066756E6374696F6E286529207B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(458) := '202020202020202020202020202020205F746869732E6C6F616447656F4A736F6E537472696E6728652E7461726765742E726573756C742C2066696C656E616D65293B0D0A20202020202020202020202020202020202020207D3B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(459) := '202020202020202020202020207265616465722E6F6E6572726F72203D2066756E6374696F6E286529207B0D0A202020202020202020202020202020202020202020202020617065782E6572726F72282772656164696E67206661696C656427293B0D0A';
wwv_flow_api.g_varchar2_table(460) := '20202020202020202020202020202020202020207D3B0D0A20202020202020202020202020202020202020207265616465722E726561644173546578742866696C65293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(461) := '207D20656C7365207B0D0A202020202020202020202020202020202F2F2070726F63657373206E6F6E2D66696C652028652E672E2074657874206F722068746D6C2920636F6E74656E74206265696E672064726F707065640D0A20202020202020202020';
wwv_flow_api.g_varchar2_table(462) := '2020202020202F2F20677261622074686520706C61696E20746578742076657273696F6E206F662074686520646174610D0A2020202020202020202020202020202076617220706C61696E54657874203D20652E646174615472616E736665722E676574';
wwv_flow_api.g_varchar2_table(463) := '446174612827746578742F706C61696E27293B0D0A2020202020202020202020202020202069662028706C61696E5465787429207B0D0A20202020202020202020202020202020202020205F746869732E6C6F616447656F4A736F6E537472696E672870';
wwv_flow_api.g_varchar2_table(464) := '6C61696E54657874293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D0D0A0D0A2020202020202020202020202F2F2070726576656E742064726167206576656E742066726F6D20627562626C696E672066757274';
wwv_flow_api.g_varchar2_table(465) := '6865720D0A20202020202020202020202072657475726E2066616C73653B0D0A20202020202020207D2C2066616C7365293B0D0A202020207D2C0D0A0D0A092F2A0D0A09202A0D0A09202A205554494C49544945530D0A09202A0D0A09202A2F0D0A0D0A';
wwv_flow_api.g_varchar2_table(466) := '095F696E697444656275673A2066756E6374696F6E2829207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E5F696E6974446562756722293B0D0A2020202020202020766172205F74686973203D20746869733B0D0A0D';
wwv_flow_api.g_varchar2_table(467) := '0A202020202020202076617220636F6E74726F6C5549203D20646F63756D656E742E637265617465456C656D656E74282764697627293B0D0A2020202020202020636F6E74726F6C55492E636C6173734E616D65203D20277265706F72746D61702D6465';
wwv_flow_api.g_varchar2_table(468) := '62756750616E656C273B0D0A2020202020202020636F6E74726F6C55492E696E6E657248544D4C203D20275B6465627567206D6F64655D273B0D0A2020202020202020746869732E6D61702E636F6E74726F6C735B676F6F676C652E6D6170732E436F6E';
wwv_flow_api.g_varchar2_table(469) := '74726F6C506F736974696F6E2E424F54544F4D5F4C4546545D2E7075736828636F6E74726F6C5549293B0D0A0D0A20202020202020202F2F206173206D6F757365206973206D6F766564206F76657220746865206D61702C2073686F7720746865206375';
wwv_flow_api.g_varchar2_table(470) := '7272656E7420636F6F7264696E6174657320696E207468652064656275672070616E656C0D0A2020202020202020676F6F676C652E6D6170732E6576656E742E6164644C697374656E657228746869732E6D61702C20226D6F7573656D6F7665222C2066';
wwv_flow_api.g_varchar2_table(471) := '756E6374696F6E20286576656E7429207B0D0A202020202020202020202020636F6E74726F6C55492E696E6E657248544D4C203D20276D6F75736520706F736974696F6E2027202B204A534F4E2E737472696E67696679286576656E742E6C61744C6E67';
wwv_flow_api.g_varchar2_table(472) := '293B0D0A20202020202020207D293B0D0A0D0A20202020202020202F2F206173206D61702069732070616E6E6564206F72207A6F6F6D65642C2073686F77207468652063757272656E74206D617020626F756E647320696E207468652064656275672070';
wwv_flow_api.g_varchar2_table(473) := '616E656C0D0A2020202020202020676F6F676C652E6D6170732E6576656E742E6164644C697374656E657228746869732E6D61702C2022626F756E64735F6368616E676564222C2066756E6374696F6E20286576656E7429207B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(474) := '20202020636F6E74726F6C55492E696E6E657248544D4C203D20276D617020626F756E64732027202B204A534F4E2E737472696E67696679285F746869732E6D61702E676574426F756E64732829293B0D0A20202020202020207D293B0D0A202020207D';
wwv_flow_api.g_varchar2_table(475) := '2C0D0A0D0A202020205F67657457696E646F77506174683A2066756E6374696F6E2829207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E5F67657457696E646F775061746822293B0D0A20202020202020200D0A2020';
wwv_flow_api.g_varchar2_table(476) := '2020202020207661722070617468203D20746869732E6F7074696F6E732E706C7567696E5265736F75726365506174683B0D0A20202020202020200D0A2020202020202020696620287061746820213D3D20222229207B0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(477) := '20617065782E646562756728225573696E6720737570706C69656420706C7567696E207265736F75726365207061746822293B0D0A20202020202020207D20656C7365207B0D0A0D0A20202020202020202020202070617468203D2077696E646F772E6C';
wwv_flow_api.g_varchar2_table(478) := '6F636174696F6E2E6F726967696E202B2077696E646F772E6C6F636174696F6E2E706174686E616D653B0D0A0D0A20202020202020202020202069662028706174682E696E6465784F6628222F6F7264732F722F2229203E202D3129207B0D0A20202020';
wwv_flow_api.g_varchar2_table(479) := '2020202020202020202020202F2F206861636B20746F2068616E646C6520686F7374656420636C6F756420696E7374616E63652055524C3F0D0A20202020202020202020202020202020617065782E64656275672822467269656E646C792055524C2064';
wwv_flow_api.g_varchar2_table(480) := '657465637465642028686F7374656420636C6F756429222C2070617468293B0D0A0D0A202020202020202020202020202020202F2F2045787065637465643A2068747470733A2F2F7072656669782E6164622E65752D6672616E6B667572742D312E6F72';
wwv_flow_api.g_varchar2_table(481) := '61636C65636C6F7564617070732E636F6D2F6F7264732F722F686D735F666972652F617070616C6961732F70616765616C6961733F73657373696F6E3D31323334350D0A0D0A202020202020202020202020202020202F2F207374726970206F66662065';
wwv_flow_api.g_varchar2_table(482) := '766572797468696E6720696E636C7564696E6720616E642061667465722074686520222F722F22206269740D0A2020202020202020202020202020202070617468203D20706174682E737562737472696E6728302C20706174682E6C617374496E646578';
wwv_flow_api.g_varchar2_table(483) := '4F6628222F722F2229293B0D0A0D0A202020202020202020202020202020202F2F206E6F7720697420697320736F6D657468696E67206C696B653A0D0A202020202020202020202020202020202F2F2068747470733A2F2F7072656669782E6164622E65';
wwv_flow_api.g_varchar2_table(484) := '752D6672616E6B667572742D312E6F7261636C65636C6F7564617070732E636F6D2F6F7264730D0A0D0A2020202020202020202020207D20656C73652069662028706174682E696E6465784F6628222F722F2229203E202D3129207B0D0A202020202020';
wwv_flow_api.g_varchar2_table(485) := '202020202020202020202F2F20467269656E646C792055524C7320696E207573650D0A20202020202020202020202020202020617065782E64656275672822467269656E646C792055524C206465746563746564222C2070617468293B0D0A0D0A202020';
wwv_flow_api.g_varchar2_table(486) := '202020202020202020202020202F2F2045787065637465643A2068747470733A2F2F617065782E6F7261636C652E636F6D2F706C732F617065782F6A6B36342F722F6A6B36345F7265706F72745F6D61705F6465762F636C7573746572696E670D0A0D0A';
wwv_flow_api.g_varchar2_table(487) := '202020202020202020202020202020202F2F207374726970206F66662065766572797468696E6720696E636C7564696E6720616E642061667465722074686520222F722F22206269740D0A2020202020202020202020202020202070617468203D207061';
wwv_flow_api.g_varchar2_table(488) := '74682E737562737472696E6728302C20706174682E6C617374496E6465784F6628222F722F2229293B0D0A0D0A202020202020202020202020202020202F2F206E6F7720697420697320736F6D657468696E67206C696B653A0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(489) := '202020202020202F2F2068747470733A2F2F617065782E6F7261636C652E636F6D2F706C732F617065782F6A6B36340D0A0D0A202020202020202020202020202020202F2F207374726970206F6666207468652070617468207072656669780D0A202020';
wwv_flow_api.g_varchar2_table(490) := '2020202020202020202020202070617468203D20706174682E737562737472696E6728302C20706174682E6C617374496E6465784F6628222F2229293B0D0A0D0A202020202020202020202020202020202F2F206E6F7720697420697320736F6D657468';
wwv_flow_api.g_varchar2_table(491) := '696E67206C696B653A0D0A202020202020202020202020202020202F2F2068747470733A2F2F617065782E6F7261636C652E636F6D2F706C732F617065780D0A2020202020202020202020207D20656C7365207B0D0A2020202020202020202020202020';
wwv_flow_api.g_varchar2_table(492) := '20202F2F204C65676163792055524C7320696E207573650D0A20202020202020202020202020202020617065782E646562756728224C65676163792055524C206465746563746564222C2070617468293B0D0A0D0A202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(493) := '202F2F2045787065637465643A2068747470733A2F2F617065782E6F7261636C652E636F6D2F706C732F617065782F660D0A0D0A202020202020202020202020202020202F2F207374726970206F66662074686520222F6622206269740D0A2020202020';
wwv_flow_api.g_varchar2_table(494) := '202020202020202020202070617468203D20706174682E737562737472696E6728302C20706174682E6C617374496E6465784F6628222F2229293B0D0A0D0A202020202020202020202020202020202F2F206E6F7720697420697320736F6D657468696E';
wwv_flow_api.g_varchar2_table(495) := '67206C696B653A0D0A202020202020202020202020202020202F2F2068747470733A2F2F617065782E6F7261636C652E636F6D2F706C732F617065780D0A2020202020202020202020207D0D0A20202020202020207D0D0A0D0A20202020202020206170';
wwv_flow_api.g_varchar2_table(496) := '65782E6465627567282270617468222C2070617468293B0D0A0D0A202020202020202072657475726E20706174683B0D0A202020207D2C0D0A0D0A202020202F2F206164642061206C697374656E657220666F722065616368204D6170206576656E7420';
wwv_flow_api.g_varchar2_table(497) := '7468617420726169736573206120706C7567696E206576656E740D0A202020205F696E69744D61704576656E74733A2066756E6374696F6E2829207B0D0A2020202020202020766172205F74686973203D20746869733B0D0A0D0A20202020202020205B';
wwv_flow_api.g_varchar2_table(498) := '22626F756E64735F6368616E676564220D0A20202020202020202C2263656E7465725F6368616E676564220D0A20202020202020202C2268656164696E675F6368616E676564220D0A20202020202020202C2269646C65220D0A20202020202020202C22';
wwv_flow_api.g_varchar2_table(499) := '6D61707479706569645F6368616E676564220D0A20202020202020202C2270726F6A656374696F6E5F6368616E676564220D0A20202020202020202C2274696C65736C6F61646564220D0A20202020202020202C2274696C745F6368616E676564220D0A';
wwv_flow_api.g_varchar2_table(500) := '20202020202020202C227A6F6F6D5F6368616E676564220D0A20202020202020205D2E666F72456163682866756E6374696F6E286576656E744E616D6529207B0D0A202020202020202020202020617065782E64656275672822616464206C697374656E';
wwv_flow_api.g_varchar2_table(501) := '657220666F72206D617020222B6576656E744E616D65293B0D0A202020202020202020202020676F6F676C652E6D6170732E6576656E742E6164644C697374656E6572285F746869732E6D61702C206576656E744E616D652C2066756E6374696F6E2829';
wwv_flow_api.g_varchar2_table(502) := '207B0D0A20202020202020202020202020202020617065782E646562756728226D617020222B6576656E744E616D65293B0D0A2020202020202020202020202020202076617220626F756E6473203D205F746869732E6D61702E676574426F756E647328';
wwv_flow_api.g_varchar2_table(503) := '293B0D0A20202020202020202020202020202020617065782E6A5175657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E7472696767657228226D6170222B6576656E744E616D652C207B0D0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(504) := '20202020202020206D6170202020202020203A205F746869732E6D61702C0D0A202020202020202020202020202020202020202063656E746572202020203A205F746869732E6D61702E67657443656E74657228292E746F4A534F4E28292C0D0A202020';
wwv_flow_api.g_varchar2_table(505) := '2020202020202020202020202020202020736F75746877657374203A20626F756E64732E676574536F7574685765737428292E746F4A534F4E28292C0D0A20202020202020202020202020202020202020206E6F72746865617374203A20626F756E6473';
wwv_flow_api.g_varchar2_table(506) := '2E6765744E6F7274684561737428292E746F4A534F4E28292C0D0A20202020202020202020202020202020202020207A6F6F6D2020202020203A205F746869732E6D61702E6765745A6F6F6D28292C0D0A20202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(507) := '2068656164696E672020203A205F746869732E6D61702E67657448656164696E6728292C0D0A202020202020202020202020202020202020202074696C742020202020203A205F746869732E6D61702E67657454696C7428292C0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(508) := '2020202020202020202020206D6170547970652020203A205F746869732E6D61702E6765744D617054797065496428290D0A202020202020202020202020202020207D293B0D0A2020202020202020202020207D293B0D0A20202020202020207D293B0D';
wwv_flow_api.g_varchar2_table(509) := '0A0D0A2020202020202020696628746869732E6F7074696F6E732E64657461696C65644D6F7573654576656E747329207B0D0A0D0A2020202020202020202020205B2264726167220D0A2020202020202020202020202C2264726167656E64220D0A2020';
wwv_flow_api.g_varchar2_table(510) := '202020202020202020202C22647261677374617274220D0A2020202020202020202020205D2E666F72456163682866756E6374696F6E286576656E744E616D6529207B0D0A20202020202020202020202020202020617065782E64656275672822616464';
wwv_flow_api.g_varchar2_table(511) := '206C697374656E657220666F72206D617020222B6576656E744E616D65293B0D0A20202020202020202020202020202020676F6F676C652E6D6170732E6576656E742E6164644C697374656E6572285F746869732E6D61702C206576656E744E616D652C';
wwv_flow_api.g_varchar2_table(512) := '2066756E6374696F6E2829207B0D0A2020202020202020202020202020202020202020617065782E646562756728226D617020222B6576656E744E616D65293B0D0A202020202020202020202020202020202020202076617220626F756E6473203D205F';
wwv_flow_api.g_varchar2_table(513) := '746869732E6D61702E676574426F756E647328293B0D0A2020202020202020202020202020202020202020617065782E6A5175657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E7472696767657228226D6170222B657665';
wwv_flow_api.g_varchar2_table(514) := '6E744E616D652C207B0D0A2020202020202020202020202020202020202020202020206D6170202020202020203A205F746869732E6D61702C0D0A20202020202020202020202020202020202020202020202063656E746572202020203A205F74686973';
wwv_flow_api.g_varchar2_table(515) := '2E6D61702E67657443656E74657228292E746F4A534F4E28292C0D0A202020202020202020202020202020202020202020202020736F75746877657374203A20626F756E64732E676574536F7574685765737428292E746F4A534F4E28292C0D0A202020';
wwv_flow_api.g_varchar2_table(516) := '2020202020202020202020202020202020202020206E6F72746865617374203A20626F756E64732E6765744E6F7274684561737428292E746F4A534F4E28292C0D0A2020202020202020202020202020202020202020202020207A6F6F6D202020202020';
wwv_flow_api.g_varchar2_table(517) := '3A205F746869732E6D61702E6765745A6F6F6D28292C0D0A20202020202020202020202020202020202020202020202068656164696E672020203A205F746869732E6D61702E67657448656164696E6728292C0D0A202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(518) := '20202020202020202074696C742020202020203A205F746869732E6D61702E67657454696C7428292C0D0A2020202020202020202020202020202020202020202020206D6170547970652020203A205F746869732E6D61702E6765744D61705479706549';
wwv_flow_api.g_varchar2_table(519) := '6428290D0A20202020202020202020202020202020202020207D293B0D0A202020202020202020202020202020207D293B0D0A2020202020202020202020207D293B0D0A0D0A2020202020202020202020202F2F207468657365206576656E7473206765';
wwv_flow_api.g_varchar2_table(520) := '742061204D61704D6F7573654576656E74206F626A6563740D0A2020202020202020202020205B22636F6E746578746D656E75220D0A2020202020202020202020202C2264626C636C69636B220D0A2020202020202020202020202C226D6F7573656D6F';
wwv_flow_api.g_varchar2_table(521) := '7665220D0A2020202020202020202020202C226D6F7573656F7574220D0A2020202020202020202020202C226D6F7573656F766572220D0A2020202020202020202020205D2E666F72456163682866756E6374696F6E286576656E744E616D6529207B0D';
wwv_flow_api.g_varchar2_table(522) := '0A20202020202020202020202020202020617065782E64656275672822616464206C697374656E657220666F72206D617020222B6576656E744E616D65293B0D0A20202020202020202020202020202020676F6F676C652E6D6170732E6576656E742E61';
wwv_flow_api.g_varchar2_table(523) := '64644C697374656E6572285F746869732E6D61702C206576656E744E616D652C2066756E6374696F6E286D61704D6F7573654576656E7429207B0D0A2020202020202020202020202020202020202020617065782E646562756728226D617020222B6576';
wwv_flow_api.g_varchar2_table(524) := '656E744E616D652C206D61704D6F7573654576656E742E6C61744C6E67293B0D0A2020202020202020202020202020202020202020617065782E6A5175657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E74726967676572';
wwv_flow_api.g_varchar2_table(525) := '28226D6170222B6576656E744E616D652C207B0D0A2020202020202020202020202020202020202020202020206D6170203A205F746869732E6D61702C0D0A2020202020202020202020202020202020202020202020206C6174203A206D61704D6F7573';
wwv_flow_api.g_varchar2_table(526) := '654576656E742E6C61744C6E672E6C617428292C0D0A2020202020202020202020202020202020202020202020206C6E67203A206D61704D6F7573654576656E742E6C61744C6E672E6C6E6728290D0A2020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(527) := '7D293B0D0A202020202020202020202020202020207D293B0D0A2020202020202020202020207D293B0D0A0D0A20202020202020207D0D0A0D0A2020202020202020617065782E64656275672822616464206C697374656E657220666F72206D61702063';
wwv_flow_api.g_varchar2_table(528) := '6C69636B22293B0D0A2020202020202020676F6F676C652E6D6170732E6576656E742E6164644C697374656E657228746869732E6D61702C2022636C69636B222C2066756E6374696F6E20286D61704D6F7573654576656E7429207B0D0A202020202020';
wwv_flow_api.g_varchar2_table(529) := '202020202020617065782E646562756728226D617020636C69636B222C206D61704D6F7573654576656E742E6C61744C6E67293B0D0A202020202020202020202020696620285F746869732E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C2920';
wwv_flow_api.g_varchar2_table(530) := '7B0D0A20202020202020202020202020202020696620285F746869732E6F7074696F6E732E70616E4F6E436C69636B29207B0D0A20202020202020202020202020202020202020205F746869732E6D61702E70616E546F286D61704D6F7573654576656E';
wwv_flow_api.g_varchar2_table(531) := '742E6C61744C6E67293B0D0A202020202020202020202020202020207D0D0A202020202020202020202020202020205F746869732E6D61702E7365745A6F6F6D285F746869732E6F7074696F6E732E636C69636B5A6F6F6D4C6576656C293B0D0A202020';
wwv_flow_api.g_varchar2_table(532) := '2020202020202020207D0D0A202020202020202020202020617065782E6A5175657279282223222B5F746869732E6F7074696F6E732E726567696F6E4964292E7472696767657228226D6170636C69636B222C207B0D0A090909096D6170203A205F7468';
wwv_flow_api.g_varchar2_table(533) := '69732E6D61702C0D0A090909096C6174203A206D61704D6F7573654576656E742E6C61744C6E672E6C617428292C0D0A090909096C6E67203A206D61704D6F7573654576656E742E6C61744C6E672E6C6E6728290D0A0909097D293B0D0A202020202020';
wwv_flow_api.g_varchar2_table(534) := '20207D293B0D0A0D0A202020207D2C0D0A0D0A092F2A0D0A09202A0D0A09202A204D41494E0D0A09202A0D0A09202A2F0D0A0D0A202020202F2F2054686520636F6E7374727563746F720D0A202020205F6372656174653A2066756E6374696F6E282920';
wwv_flow_api.g_varchar2_table(535) := '7B0D0A2020202020202020617065782E646562756728227265706F72746D61702E5F637265617465222C20746869732E656C656D656E742E70726F70282269642229293B0D0A2020202020202020617065782E6465627567284A534F4E2E737472696E67';
wwv_flow_api.g_varchar2_table(536) := '69667928746869732E6F7074696F6E7329293B0D0A2020202020202020766172205F74686973203D20746869733B0D0A0D0A20202020202020202F2F20676574206162736F6C7574652055524C20666F72207468697320736974652C20696E636C756469';
wwv_flow_api.g_varchar2_table(537) := '6E67202F617065782F206F72202F6F7264732F20287468697320697320726571756972656420627920736F6D6520676F6F676C65206D6170732041504973290D0A2020202020202020746869732E696D616765507265666978203D20746869732E5F6765';
wwv_flow_api.g_varchar2_table(538) := '7457696E646F77506174682829202B20222F22202B20746869732E6F7074696F6E732E706C7567696E46696C65507265666978202B2022696D616765732F6D223B0D0A2020202020202020617065782E64656275672827696D616765507265666978272C';
wwv_flow_api.g_varchar2_table(539) := '20746869732E696D616765507265666978293B0D0A0D0A2020202020202020766172206D61704F7074696F6E73203D207B0D0A2020202020202020202020206D696E5A6F6F6D202020202020202020202020202020203A20746869732E6F7074696F6E73';
wwv_flow_api.g_varchar2_table(540) := '2E6D696E5A6F6F6D2C0D0A2020202020202020202020206D61785A6F6F6D202020202020202020202020202020203A20746869732E6F7074696F6E732E6D61785A6F6F6D2C0D0A2020202020202020202020207A6F6F6D20202020202020202020202020';
wwv_flow_api.g_varchar2_table(541) := '2020202020203A20746869732E6F7074696F6E732E696E697469616C5A6F6F6D2C0D0A20202020202020202020202063656E74657220202020202020202020202020202020203A20746869732E6F7074696F6E732E696E697469616C43656E7465722C0D';
wwv_flow_api.g_varchar2_table(542) := '0A2020202020202020202020206D617054797065496420202020202020202020202020203A20746869732E6F7074696F6E732E6D6170547970652C0D0A202020202020202020202020647261676761626C6520202020202020202020202020203A207468';
wwv_flow_api.g_varchar2_table(543) := '69732E6F7074696F6E732E616C6C6F7750616E2C0D0A2020202020202020202020207A6F6F6D436F6E74726F6C2020202020202020202020203A20746869732E6F7074696F6E732E616C6C6F775A6F6F6D2C0D0A2020202020202020202020207363726F';
wwv_flow_api.g_varchar2_table(544) := '6C6C776865656C2020202020202020202020203A20746869732E6F7074696F6E732E616C6C6F775A6F6F6D2C0D0A20202020202020202020202064697361626C65446F75626C65436C69636B5A6F6F6D203A202128746869732E6F7074696F6E732E616C';
wwv_flow_api.g_varchar2_table(545) := '6C6F775A6F6F6D292C0D0A2020202020202020202020206765737475726548616E646C696E6720202020202020203A20746869732E6F7074696F6E732E6765737475726548616E646C696E670D0A20202020202020207D3B0D0A0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(546) := '69662028746869732E6F7074696F6E732E6D61705374796C6529207B0D0A2020202020202020202020206D61704F7074696F6E732E7374796C6573203D20746869732E6F7074696F6E732E6D61705374796C653B0D0A20202020202020207D0D0A0D0A20';
wwv_flow_api.g_varchar2_table(547) := '20202020202020746869732E6D6170203D206E657720676F6F676C652E6D6170732E4D617028646F63756D656E742E676574456C656D656E744279496428746869732E656C656D656E742E70726F70282269642229292C6D61704F7074696F6E73293B0D';
wwv_flow_api.g_varchar2_table(548) := '0A0D0A202020202020202069662028746869732E6F7074696F6E732E76697375616C69736174696F6E3D3D22696E666F6C617965722229207B0D0A202020202020202020202020746869732E6F7074696F6E732E73686F7750696E73203D2066616C7365';
wwv_flow_api.g_varchar2_table(549) := '3B0D0A202020202020202020202020746869732E6F7074696F6E732E73686F77496E666F506F70757073203D2066616C73653B0D0A202020202020202020202020746869732E6F7074696F6E732E73686F77496E666F4C61796572203D20747275653B0D';
wwv_flow_api.g_varchar2_table(550) := '0A20202020202020207D0D0A0D0A202020202020202069662028746869732E6F7074696F6E732E696E6974466E29207B0D0A202020202020202020202020617065782E64656275672822696E69745F6A6176617363726970745F636F64652072756E6E69';
wwv_flow_api.g_varchar2_table(551) := '6E672E2E2E22293B0D0A2020202020202020202020202F2F696E736964652074686520696E697428292066756E6374696F6E2077652077616E742022746869732220746F20726566657220746F20746869730D0A20202020202020202020202074686973';
wwv_flow_api.g_varchar2_table(552) := '2E696E69743D746869732E6F7074696F6E732E696E6974466E3B0D0A202020202020202020202020746869732E696E697428293B0D0A202020202020202020202020746869732E696E69742E64656C6574653B0D0A202020202020202020202020617065';
wwv_flow_api.g_varchar2_table(553) := '782E64656275672822696E69745F6A6176617363726970745F636F64652066696E69736865642E22293B0D0A20202020202020207D0D0A0D0A2020202020202020746869732E5F696E6974466561747572657328293B0D0A0D0A20202020202020206966';
wwv_flow_api.g_varchar2_table(554) := '2028746869732E6F7074696F6E732E64726177696E674D6F64657329207B0D0A202020202020202020202020746869732E5F696E697444726177696E6728293B0D0A20202020202020207D0D0A0D0A202020202020202069662028746869732E6F707469';
wwv_flow_api.g_varchar2_table(555) := '6F6E732E6472616744726F7047656F4A534F4E29207B0D0A202020202020202020202020746869732E5F696E69744472616744726F7047656F4A534F4E28293B0D0A20202020202020207D0D0A0D0A202020202020202069662028617065782E64656275';
wwv_flow_api.g_varchar2_table(556) := '672E6765744C6576656C28293E3029207B0D0A202020202020202020202020746869732E5F696E6974446562756728293B0D0A20202020202020207D0D0A0D0A202020202020202069662028746869732E6F7074696F6E732E6578706563744461746129';
wwv_flow_api.g_varchar2_table(557) := '207B0D0A202020202020202020202020746869732E7265667265736828293B0D0A20202020202020207D0D0A0D0A2020202020202020746869732E5F696E69744D61704576656E747328293B0D0A0D0A2020202020202020617065782E6A517565727928';
wwv_flow_api.g_varchar2_table(558) := '2223222B746869732E6F7074696F6E732E726567696F6E4964292E62696E6428226170657872656672657368222C66756E6374696F6E28297B0D0A202020202020202020202020242822236D61705F222B5F746869732E6F7074696F6E732E726567696F';
wwv_flow_api.g_varchar2_table(559) := '6E4964292E7265706F72746D617028227265667265736822293B0D0A20202020202020207D293B0D0A0D0A20202020202020202F2F2070757420736F6D652075736566756C20696E666F20696E2074686520636F6E736F6C65206C6F6720666F72206465';
wwv_flow_api.g_varchar2_table(560) := '76656C6F7065727320746F20686176652066756E20776974680D0A202020202020202069662028617065782E64656275672E6765744C6576656C28293E3029207B0D0A0D0A2020202020202020202020202F2F207072657474792069742075702028666F';
wwv_flow_api.g_varchar2_table(561) := '722062726F7773657273207468617420737570706F72742074686973290D0A20202020202020202020202076617220636F6E736F6C655F637373203D2027666F6E742D73697A653A313870783B6261636B67726F756E642D636F6C6F723A233030373666';
wwv_flow_api.g_varchar2_table(562) := '663B636F6C6F723A77686974653B6C696E652D6865696768743A333070783B646973706C61793A626C6F636B3B70616464696E673A313070783B270D0A2020202020202020202020202020202C73616D706C655F636F6465203D2027242822236D61705F';
wwv_flow_api.g_varchar2_table(563) := '27202B205F746869732E6F7074696F6E732E726567696F6E4964202B202722292E7265706F72746D61702822696E7374616E636522292E6D6170273B0D0A0D0A202020202020202020202020617065782E6465627567282225635468616E6B20796F7520';
wwv_flow_api.g_varchar2_table(564) := '666F72207573696E6720746865206A6B3634205265706F7274204D617020706C7567696E215C6E220D0A202020202020202020202020202020202B2022546F206163636573732074686520476F6F676C65204D6170206F626A656374206F6E2074686973';
wwv_flow_api.g_varchar2_table(565) := '20706167652C207573653A5C6E220D0A202020202020202020202020202020202B2073616D706C655F636F6465202B20225C6E220D0A202020202020202020202020202020202B20224D6F726520696E666F3A2068747470733A2F2F6769746875622E63';
wwv_flow_api.g_varchar2_table(566) := '6F6D2F6A6566667265796B656D702F6A6B36342D706C7567696E2D7265706F72746D61702F77696B69222C0D0A20202020202020202020202020202020636F6E736F6C655F637373293B0D0A0D0A20202020202020207D0D0A0D0A202020202020202061';
wwv_flow_api.g_varchar2_table(567) := '7065782E646562756728227265706F72746D61702E5F6372656174652066696E697368656422293B0D0A202020207D2C0D0A0D0A202020205F6166746572526566726573683A2066756E6374696F6E2829207B0D0A2020202020202020617065782E6465';
wwv_flow_api.g_varchar2_table(568) := '62756728225F61667465725265667265736822293B0D0A0D0A202020202020202069662028746869732E7370696E6E657229207B0D0A202020202020202020202020617065782E6465627567282272656D6F7665207370696E6E657222293B0D0A202020';
wwv_flow_api.g_varchar2_table(569) := '202020202020202020746869732E7370696E6E65722E72656D6F766528293B0D0A20202020202020207D0D0A0D0A2020202020202020617065782E6A5175657279282223222B746869732E6F7074696F6E732E726567696F6E4964292E74726967676572';
wwv_flow_api.g_varchar2_table(570) := '28226170657861667465727265667265736822293B0D0A0D0A20202020202020202F2F205472696767657220612063616C6C6261636B2F6576656E740D0A2020202020202020746869732E5F747269676765722820226368616E67652220293B0D0A2020';
wwv_flow_api.g_varchar2_table(571) := '20207D2C0D0A0D0A202020205F72656E646572506167653A2066756E6374696F6E2870446174612C207374617274526F7729207B0D0A2020202020202020617065782E646562756728225F72656E64657250616765222C207374617274526F77293B0D0A';
wwv_flow_api.g_varchar2_table(572) := '0D0A20202020202020206966202870446174612E6D61706461746129207B0D0A202020202020202020202020617065782E6465627567282270446174612E6D617064617461206C656E6774683A222C2070446174612E6D6170646174612E6C656E677468';
wwv_flow_api.g_varchar2_table(573) := '293B0D0A0D0A202020202020202020202020766172206572726F724D73673B0D0A0D0A2020202020202020202020202F2F2072656E64657220746865206D617020646174610D0A2020202020202020202020206966202870446174612E6D617064617461';
wwv_flow_api.g_varchar2_table(574) := '2E6C656E6774683E3029207B0D0A0D0A20202020202020202020202020202020666F7220287661722069203D20303B2069203C2070446174612E6D6170646174612E6C656E6774683B20692B2B29207B0D0A0D0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(575) := '202020206966202870446174612E6D6170646174615B695D2E6572726F7229207B0D0A2020202020202020202020202020202020202020202020206572726F724D7367203D2070446174612E6D6170646174615B695D2E6572726F723B0D0A2020202020';
wwv_flow_api.g_varchar2_table(576) := '20202020202020202020202020202020202020627265616B3B0D0A20202020202020202020202020202020202020207D0D0A0D0A202020202020202020202020202020202020202076617220726F77203D2070446174612E6D6170646174615B695D3B0D';
wwv_flow_api.g_varchar2_table(577) := '0A0D0A202020202020202020202020202020202020202069662028746869732E6F7074696F6E732E76697375616C69736174696F6E3D3D22686561746D61702229207B0D0A2020202020202020202020202020202020202020202020202F2F2065616368';
wwv_flow_api.g_varchar2_table(578) := '20726F7720697320616E206172726179205B782C792C7765696768745D0D0A0D0A202020202020202020202020202020202020202020202020696628726F775B305D2626726F775B315D29207B0D0A202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(579) := '20202020202020746869732E626F756E64732E657874656E64287B6C61743A726F775B305D2C6C6E673A726F775B315D7D293B0D0A0D0A20202020202020202020202020202020202020202020202020202020746869732E77656967687465644C6F6361';
wwv_flow_api.g_varchar2_table(580) := '74696F6E732E70757368287B0D0A20202020202020202020202020202020202020202020202020202020202020206C6F636174696F6E3A6E657720676F6F676C652E6D6170732E4C61744C6E6728726F775B305D2C20726F775B315D292C0D0A20202020';
wwv_flow_api.g_varchar2_table(581) := '202020202020202020202020202020202020202020202020202020207765696768743A726F775B325D0D0A202020202020202020202020202020202020202020202020202020207D293B0D0A202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(582) := '7D0D0A0D0A20202020202020202020202020202020202020207D20656C73652069662028746869732E6F7074696F6E732E76697375616C69736174696F6E3D3D2267656F6A736F6E2229207B0D0A20202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(583) := '20202F2F2074686520646174612073686F756C64206861766520612047656F4A736F6E20646F63756D656E742C20616C6F6E672077697468206F7074696F6E616C206E616D652C20696420616E6420666C6578206669656C64730D0A2020202020202020';
wwv_flow_api.g_varchar2_table(584) := '202020202020202020202020202020202F2F20746865206E616D652C20696420616E6420666C6578206669656C64732077696C6C20626520616464656420746F207468652067656F4A736F6E2070726F706572746965730D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(585) := '202020202020202020202020202F2F2028616C7465726E61746976656C792C207468652067656F6A736F6E206D6967687420616C72656164792068617665207468652070726F7065727469657320656D62656464656420696E206974290D0A0D0A202020';
wwv_flow_api.g_varchar2_table(586) := '2020202020202020202020202020202020202020207661722070726F70657274696573203D207B7D3B0D0A0D0A20202020202020202020202020202020202020202020202069662028726F772E6E29207B0D0A2020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(587) := '202020202020202020202070726F706572746965732E6E616D65203D20726F772E6E3B0D0A2020202020202020202020202020202020202020202020207D0D0A0D0A20202020202020202020202020202020202020202020202069662028726F772E6429';
wwv_flow_api.g_varchar2_table(588) := '207B0D0A2020202020202020202020202020202020202020202020202020202070726F706572746965732E6964203D20726F772E643B0D0A2020202020202020202020202020202020202020202020207D0D0A0D0A202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(589) := '20202020202020202069662028726F772E6629207B0D0A20202020202020202020202020202020202020202020202020202020666F722028766172206A203D20313B206A203C3D2031303B206A2B2B29207B0D0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(590) := '2020202020202020202020202020202069662028726F772E665B2261222B6A5D29207B0D0A2020202020202020202020202020202020202020202020202020202020202020202020202F2F6174747230312E2E6174747231300D0A202020202020202020';
wwv_flow_api.g_varchar2_table(591) := '20202020202020202020202020202020202020202020202020202070726F706572746965735B2261747472222B282730272B6A292E736C696365282D32295D203D20726F772E665B2261222B6A5D3B0D0A20202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(592) := '202020202020202020202020207D0D0A202020202020202020202020202020202020202020202020202020207D0D0A2020202020202020202020202020202020202020202020207D0D0A0D0A202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(593) := '242E657874656E6428726F772E67656F6A736F6E2C207B2270726F70657274696573223A70726F706572746965737D293B0D0A0D0A202020202020202020202020202020202020202020202020746869732E5F6C6F616447656F4A736F6E28726F772E67';
wwv_flow_api.g_varchar2_table(594) := '656F6A736F6E2C206E756C6C2C207B22696450726F70657274794E616D65223A226964227D293B0D0A0D0A20202020202020202020202020202020202020207D20656C7365207B0D0A2020202020202020202020202020202020202020202020202F2F20';
wwv_flow_api.g_varchar2_table(595) := '6561636820726F7720697320612070696E20696E666F20737472756374757265207769746820782C20792C206574632E20617474726962757465730D0A0D0A202020202020202020202020202020202020202020202020696628726F772E782626726F77';
wwv_flow_api.g_varchar2_table(596) := '2E7929207B0D0A20202020202020202020202020202020202020202020202020202020746869732E626F756E64732E657874656E64287B6C61743A726F772E782C6C6E673A726F772E797D293B0D0A0D0A20202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(597) := '202020202020202020766172206D61726B6572203D20746869732E5F6E65774D61726B657228726F77293B0D0A0D0A202020202020202020202020202020202020202020202020202020202F2F2070757420746865206D61726B657220696E746F207468';
wwv_flow_api.g_varchar2_table(598) := '65206172726179206F66206D61726B6572730D0A20202020202020202020202020202020202020202020202020202020746869732E6D61726B6572732E70757368286D61726B6572293B0D0A0D0A20202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(599) := '20202020202069662028726F772E6429207B0D0A20202020202020202020202020202020202020202020202020202020202020202F2F20616C736F207075742074686520696420696E746F20746865204944204D61700D0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(600) := '2020202020202020202020202020202020202020746869732E6E657749644D61702E73657428726F772E642C2069293B0D0A202020202020202020202020202020202020202020202020202020207D0D0A20202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(601) := '20202020207D0D0A20202020202020202020202020202020202020207D0D0A202020202020202020202020202020207D0D0A0D0A2020202020202020202020202020202069662028746869732E6F7074696F6E732E6175746F466974426F756E64732920';
wwv_flow_api.g_varchar2_table(602) := '7B0D0A0D0A2020202020202020202020202020202020202020617065782E64656275672822666974426F756E6473222C0D0A202020202020202020202020202020202020202020202020746869732E626F756E64732E676574536F757468576573742829';
wwv_flow_api.g_varchar2_table(603) := '2E746F4A534F4E28292C0D0A202020202020202020202020202020202020202020202020746869732E626F756E64732E6765744E6F7274684561737428292E746F4A534F4E2829293B0D0A0D0A2020202020202020202020202020202020202020746869';
wwv_flow_api.g_varchar2_table(604) := '732E6D61702E666974426F756E647328746869732E626F756E6473293B0D0A0D0A202020202020202020202020202020207D0D0A0D0A20202020202020202020202020202020746869732E746F74616C526F7773202B3D2070446174612E6D6170646174';
wwv_flow_api.g_varchar2_table(605) := '612E6C656E6774683B0D0A0D0A2020202020202020202020207D0D0A0D0A202020202020202020202020696620286572726F724D736729207B0D0A0D0A20202020202020202020202020202020617065782E64656275672E6572726F72286572726F724D';
wwv_flow_api.g_varchar2_table(606) := '7367293B0D0A20202020202020202020202020202020746869732E73686F774D657373616765286572726F724D7367293B0D0A0D0A2020202020202020202020202020202064656C65746520746869732E6E657749644D61703B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(607) := '2020202020202020746869732E5F61667465725265667265736828293B0D0A0D0A2020202020202020202020207D20656C7365206966202828746869732E746F74616C526F7773203C20746869732E6F7074696F6E732E6D6178696D756D526F7773290D';
wwv_flow_api.g_varchar2_table(608) := '0A202020202020202020202020202020202626202870446174612E6D6170646174612E6C656E677468203D3D20746869732E6F7074696F6E732E726F777350657242617463682929207B0D0A202020202020202020202020202020202F2F206765742074';
wwv_flow_api.g_varchar2_table(609) := '6865206E6578742070616765206F6620646174610D0A0D0A20202020202020202020202020202020617065782E6A5175657279282223222B746869732E6F7074696F6E732E726567696F6E4964292E74726967676572280D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(610) := '2020202020202020202262617463686C6F61646564222C207B0D0A20202020202020202020202020202020202020206D6170202020202020203A20746869732E6D61702C0D0A2020202020202020202020202020202020202020636F756E7450696E7320';
wwv_flow_api.g_varchar2_table(611) := '3A20746869732E746F74616C526F77732C0D0A2020202020202020202020202020202020202020736F75746877657374203A20746869732E626F756E64732E676574536F7574685765737428292E746F4A534F4E28292C0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(612) := '2020202020202020206E6F72746865617374203A20746869732E626F756E64732E6765744E6F7274684561737428292E746F4A534F4E28290D0A202020202020202020202020202020207D293B0D0A0D0A20202020202020202020202020202020737461';
wwv_flow_api.g_varchar2_table(613) := '7274526F77202B3D20746869732E6F7074696F6E732E726F777350657242617463683B0D0A0D0A2020202020202020202020202020202076617220626174636853697A65203D20746869732E6F7074696F6E732E726F777350657242617463683B0D0A0D';
wwv_flow_api.g_varchar2_table(614) := '0A202020202020202020202020202020202F2F20646F6E27742065786365656420746865206D6178696D756D20726F77730D0A2020202020202020202020202020202069662028746869732E746F74616C526F7773202B20626174636853697A65203E20';
wwv_flow_api.g_varchar2_table(615) := '746869732E6F7074696F6E732E6D6178696D756D526F777329207B0D0A2020202020202020202020202020202020202020626174636853697A65203D20746869732E6F7074696F6E732E6D6178696D756D526F7773202D20746869732E746F74616C526F';
wwv_flow_api.g_varchar2_table(616) := '77733B0D0A202020202020202020202020202020207D0D0A0D0A20202020202020202020202020202020766172205F74686973203D20746869733B0D0A0D0A20202020202020202020202020202020617065782E7365727665722E706C7567696E280D0A';
wwv_flow_api.g_varchar2_table(617) := '2020202020202020202020202020202020202020746869732E6F7074696F6E732E616A61784964656E7469666965722C0D0A20202020202020202020202020202020202020207B20706167654974656D73203A20746869732E6F7074696F6E732E616A61';
wwv_flow_api.g_varchar2_table(618) := '784974656D732C0D0A20202020202020202020202020202020202020202020783031202020202020203A207374617274526F772C0D0A20202020202020202020202020202020202020202020783032202020202020203A20626174636853697A650D0A20';
wwv_flow_api.g_varchar2_table(619) := '202020202020202020202020202020202020207D2C0D0A20202020202020202020202020202020202020207B206461746154797065203A20226A736F6E222C0D0A20202020202020202020202020202020202020202020737563636573733A2066756E63';
wwv_flow_api.g_varchar2_table(620) := '74696F6E28704461746129207B0D0A2020202020202020202020202020202020202020202020202020617065782E646562756728226E65787420626174636820726563656976656422293B0D0A2020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(621) := '2020205F746869732E5F72656E646572506167652870446174612C207374617274526F77293B0D0A202020202020202020202020202020202020202020207D0D0A20202020202020202020202020202020202020207D293B0D0A0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(622) := '202020207D20656C7365207B0D0A202020202020202020202020202020202F2F206E6F206D6F7265206461746120746F2072656E6465722C2066696E6973682072656E646572696E670D0A0D0A2020202020202020202020202020202069662028746869';
wwv_flow_api.g_varchar2_table(623) := '732E746F74616C526F7773203D3D203029207B0D0A0D0A202020202020202020202020202020202020202064656C65746520746869732E69644D61703B0D0A0D0A202020202020202020202020202020202020202069662028746869732E6F7074696F6E';
wwv_flow_api.g_varchar2_table(624) := '732E6E6F446174614D65737361676520213D3D20222229207B0D0A202020202020202020202020202020202020202020202020617065782E6465627567282273686F77204E6F204461746120466F756E6420696E666F77696E646F7722293B0D0A202020';
wwv_flow_api.g_varchar2_table(625) := '202020202020202020202020202020202020202020746869732E73686F774D65737361676528746869732E6F7074696F6E732E6E6F446174614D657373616765293B0D0A20202020202020202020202020202020202020207D0D0A0D0A20202020202020';
wwv_flow_api.g_varchar2_table(626) := '2020202020202020207D20656C7365207B0D0A0D0A20202020202020202020202020202020202020207377697463682028746869732E6F7074696F6E732E76697375616C69736174696F6E29207B0D0A2020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(627) := '636173652022646972656374696F6E73223A0D0A202020202020202020202020202020202020202020202020746869732E5F646972656374696F6E7328293B0D0A0D0A202020202020202020202020202020202020202020202020627265616B3B0D0A20';
wwv_flow_api.g_varchar2_table(628) := '20202020202020202020202020202020202020636173652022636C7573746572223A0D0A2020202020202020202020202020202020202020202020202F2F204D6F726520696E666F3A2068747470733A2F2F646576656C6F706572732E676F6F676C652E';
wwv_flow_api.g_varchar2_table(629) := '636F6D2F6D6170732F646F63756D656E746174696F6E2F6A6176617363726970742F6D61726B65722D636C7573746572696E670D0A0D0A20202020202020202020202020202020202020202020202069662028746869732E6D61726B6572436C75737465';
wwv_flow_api.g_varchar2_table(630) := '72657229207B0D0A20202020202020202020202020202020202020202020202020202020617065782E646562756728226D61726B6572436C757374657265722E636C6561724D61726B65727322293B0D0A20202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(631) := '202020202020202020746869732E6D61726B6572436C757374657265722E636C6561724D61726B65727328293B0D0A2020202020202020202020202020202020202020202020207D0D0A0D0A202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(632) := '617065782E64656275672822637265617465206D61726B6572436C7573746572657222293B0D0A202020202020202020202020202020202020202020202020746869732E6D61726B6572436C75737465726572203D206E6577204D61726B6572436C7573';
wwv_flow_api.g_varchar2_table(633) := '746572657228746869732E6D61702C20746869732E6D61726B6572732C207B696D616765506174683A746869732E696D6167655072656669787D293B0D0A0D0A202020202020202020202020202020202020202020202020627265616B3B0D0A20202020';
wwv_flow_api.g_varchar2_table(634) := '2020202020202020202020202020202063617365202273706964657266696572223A0D0A202020202020202020202020202020202020202020202020746869732E5F737069646572667928293B0D0A0D0A20202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(635) := '2020202020627265616B3B0D0A2020202020202020202020202020202020202020636173652022686561746D6170223A0D0A0D0A20202020202020202020202020202020202020202020202069662028746869732E686561746D61704C6179657229207B';
wwv_flow_api.g_varchar2_table(636) := '0D0A20202020202020202020202020202020202020202020202020202020617065782E6465627567282272656D6F766520686561746D61704C6179657222293B0D0A20202020202020202020202020202020202020202020202020202020746869732E68';
wwv_flow_api.g_varchar2_table(637) := '6561746D61704C617965722E7365744D6170286E756C6C293B0D0A20202020202020202020202020202020202020202020202020202020746869732E686561746D61704C617965722E64656C6574653B0D0A202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(638) := '2020202020207D0D0A0D0A202020202020202020202020202020202020202020202020746869732E686561746D61704C61796572203D206E657720676F6F676C652E6D6170732E76697375616C697A6174696F6E2E486561746D61704C61796572287B0D';
wwv_flow_api.g_varchar2_table(639) := '0A202020202020202020202020202020202020202020202020202020206461746120202020202020203A20746869732E77656967687465644C6F636174696F6E732C0D0A202020202020202020202020202020202020202020202020202020206D617020';
wwv_flow_api.g_varchar2_table(640) := '20202020202020203A20746869732E6D61702C0D0A202020202020202020202020202020202020202020202020202020206469737369706174696E67203A20746869732E6F7074696F6E732E686561746D61704469737369706174696E672C0D0A202020';
wwv_flow_api.g_varchar2_table(641) := '202020202020202020202020202020202020202020202020206F70616369747920202020203A20746869732E6F7074696F6E732E686561746D61704F7061636974792C0D0A20202020202020202020202020202020202020202020202020202020726164';
wwv_flow_api.g_varchar2_table(642) := '6975732020202020203A20746869732E6F7074696F6E732E686561746D61705261646975730D0A2020202020202020202020202020202020202020202020207D293B0D0A0D0A202020202020202020202020202020202020202020202020746869732E77';
wwv_flow_api.g_varchar2_table(643) := '656967687465644C6F636174696F6E732E64656C6574653B0D0A0D0A202020202020202020202020202020202020202020202020627265616B3B0D0A20202020202020202020202020202020202020207D0D0A0D0A202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(644) := '207D0D0A0D0A20202020202020202020202020202020617065782E6A5175657279282223222B746869732E6F7074696F6E732E726567696F6E4964292E74726967676572280D0A202020202020202020202020202020202020202028746869732E6D6170';
wwv_flow_api.g_varchar2_table(645) := '6C6F616465643F226D6170726566726573686564223A226D61706C6F6164656422292C207B0D0A20202020202020202020202020202020202020206D6170202020202020203A20746869732E6D61702C0D0A202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(646) := '2020636F756E7450696E73203A20746869732E746F74616C526F77732C0D0A2020202020202020202020202020202020202020736F75746877657374203A20746869732E626F756E64732E676574536F7574685765737428292E746F4A534F4E28292C0D';
wwv_flow_api.g_varchar2_table(647) := '0A20202020202020202020202020202020202020206E6F72746865617374203A20746869732E626F756E64732E6765744E6F7274684561737428292E746F4A534F4E28290D0A202020202020202020202020202020207D293B0D0A0D0A20202020202020';
wwv_flow_api.g_varchar2_table(648) := '202020202020202020746869732E6D61706C6F61646564203D20747275653B0D0A0D0A202020202020202020202020202020202F2F2072656D656D656D62657220746865204944204D617020666F7220746865206E65787420726566726573680D0A2020';
wwv_flow_api.g_varchar2_table(649) := '2020202020202020202020202020746869732E69644D6170203D20746869732E6E657749644D61703B0D0A2020202020202020202020202020202064656C65746520746869732E6E657749644D61703B0D0A0D0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(650) := '746869732E5F61667465725265667265736828293B0D0A2020202020202020202020207D0D0A0D0A20202020202020207D20656C7365207B0D0A202020202020202020202020746869732E5F61667465725265667265736828293B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(651) := '207D0D0A0D0A202020207D2C0D0A0D0A202020202F2F2043616C6C6564207768656E20637265617465642C206F72206966207468652072656672657368206576656E742069732063616C6C65640D0A20202020726566726573683A2066756E6374696F6E';
wwv_flow_api.g_varchar2_table(652) := '2829207B0D0A2020202020202020617065782E646562756728227265706F72746D61702E7265667265736822293B0D0A2020202020202020746869732E686964654D65737361676528293B0D0A202020202020202069662028746869732E6F7074696F6E';
wwv_flow_api.g_varchar2_table(653) := '732E6578706563744461746129207B0D0A202020202020202020202020617065782E6A5175657279282223222B746869732E6F7074696F6E732E726567696F6E4964292E747269676765722822617065786265666F72657265667265736822293B0D0A0D';
wwv_flow_api.g_varchar2_table(654) := '0A20202020202020202020202069662028746869732E6F7074696F6E732E73686F775370696E6E657229207B0D0A2020202020202020202020202020202069662028746869732E7370696E6E657229207B0D0A2020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(655) := '202020746869732E7370696E6E65722E72656D6F766528293B0D0A202020202020202020202020202020207D0D0A20202020202020202020202020202020617065782E6465627567282273686F77207370696E6E657222293B0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(656) := '20202020202020746869732E7370696E6E6572203D20617065782E7574696C2E73686F775370696E6E65722824282223222B746869732E6F7074696F6E732E726567696F6E496429293B0D0A2020202020202020202020207D0D0A0D0A20202020202020';
wwv_flow_api.g_varchar2_table(657) := '2020202020766172205F74686973203D20746869732C0D0A20202020202020202020202020202020626174636853697A65203D20746869732E6F7074696F6E732E726F777350657242617463683B0D0A0D0A202020202020202020202020696620287468';
wwv_flow_api.g_varchar2_table(658) := '69732E6F7074696F6E732E6D6178696D756D526F7773203C20626174636853697A6529207B0D0A20202020202020202020202020202020626174636853697A65203D20746869732E6F7074696F6E732E6D6178696D756D526F77733B0D0A202020202020';
wwv_flow_api.g_varchar2_table(659) := '2020202020207D0D0A0D0A202020202020202020202020617065782E7365727665722E706C7567696E280D0A20202020202020202020202020202020746869732E6F7074696F6E732E616A61784964656E7469666965722C0D0A20202020202020202020';
wwv_flow_api.g_varchar2_table(660) := '2020202020207B20706167654974656D73203A20746869732E6F7074696F6E732E616A61784974656D732C0D0A202020202020202020202020202020202020783031202020202020203A20312C0D0A202020202020202020202020202020202020783032';
wwv_flow_api.g_varchar2_table(661) := '202020202020203A20626174636853697A650D0A202020202020202020202020202020207D2C0D0A202020202020202020202020202020207B206461746154797065203A20226A736F6E222C0D0A20202020202020202020202020202020202073756363';
wwv_flow_api.g_varchar2_table(662) := '6573733A2066756E6374696F6E28704461746129207B0D0A20202020202020202020202020202020202020202020617065782E64656275672822666972737420626174636820726563656976656422293B0D0A0D0A202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(663) := '202020202020205F746869732E5F72656D6F76654D61726B65727328293B0D0A0D0A202020202020202020202020202020202020202020205F746869732E77656967687465644C6F636174696F6E73203D205B5D3B0D0A20202020202020202020202020';
wwv_flow_api.g_varchar2_table(664) := '2020202020202020205F746869732E6D61726B657273203D205B5D3B0D0A202020202020202020202020202020202020202020205F746869732E626F756E6473203D206E657720676F6F676C652E6D6170732E4C61744C6E67426F756E64733B0D0A0D0A';
wwv_flow_api.g_varchar2_table(665) := '202020202020202020202020202020202020202020202F2F2069644D617020697320612064617461206D6170206F6620696420746F20746865206461746120666F7220612070696E0D0A202020202020202020202020202020202020202020205F746869';
wwv_flow_api.g_varchar2_table(666) := '732E6E657749644D6170203D206E6577204D617028293B0D0A0D0A2020202020202020202020202020202020202020202020206966202870446174612E6D617064617461262670446174612E6D6170646174615B305D262670446174612E6D6170646174';
wwv_flow_api.g_varchar2_table(667) := '615B305D2E6572726F7229207B0D0A0D0A202020202020202020202020202020202020202020202020202020205F746869732E73686F774D6573736167652870446174612E6D6170646174615B305D2E6572726F72293B0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(668) := '20202020202020202020202020202020205F746869732E5F61667465725265667265736828293B0D0A0D0A2020202020202020202020202020202020202020202020207D20656C7365207B0D0A0D0A202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(669) := '202020202020205F746869732E5F72656E646572506167652870446174612C2031293B0D0A0D0A2020202020202020202020202020202020202020202020207D0D0A2020202020202020202020202020202020207D0D0A20202020202020202020202020';
wwv_flow_api.g_varchar2_table(670) := '2020207D293B0D0A20202020202020207D20656C7365207B0D0A202020202020202020202020746869732E5F61667465725265667265736828293B0D0A20202020202020207D0D0A202020207D2C0D0A0D0A202020202F2F204576656E747320626F756E';
wwv_flow_api.g_varchar2_table(671) := '6420766961205F6F6E206172652072656D6F766564206175746F6D61746963616C6C790D0A202020202F2F20726576657274206F74686572206D6F64696669636174696F6E7320686572650D0A202020205F64657374726F793A2066756E6374696F6E28';
wwv_flow_api.g_varchar2_table(672) := '29207B0D0A20202020202020202F2F2072656D6F76652067656E65726174656420656C656D656E74730D0A202020202020202069662028746869732E686561746D61704C6179657229207B20746869732E686561746D61704C617965722E72656D6F7665';
wwv_flow_api.g_varchar2_table(673) := '28293B207D0D0A202020202020202069662028746869732E7573657270696E29207B2064656C65746520746869732E7573657270696E3B207D0D0A202020202020202069662028746869732E646972656374696F6E73446973706C617929207B2064656C';
wwv_flow_api.g_varchar2_table(674) := '65746520746869732E646972656374696F6E73446973706C61793B207D0D0A202020202020202069662028746869732E646972656374696F6E735365727669636529207B2064656C65746520746869732E646972656374696F6E73536572766963653B20';
wwv_flow_api.g_varchar2_table(675) := '7D0D0A2020202020202020746869732E5F72656D6F76654D61726B65727328293B0D0A2020202020202020746869732E686964654D65737361676528293B0D0A2020202020202020746869732E6D61702E72656D6F766528293B0D0A202020207D2C0D0A';
wwv_flow_api.g_varchar2_table(676) := '0D0A202020202F2F205F7365744F7074696F6E732069732063616C6C6564207769746820612068617368206F6620616C6C206F7074696F6E73207468617420617265206368616E67696E670D0A202020202F2F20616C7761797320726566726573682077';
wwv_flow_api.g_varchar2_table(677) := '68656E206368616E67696E67206F7074696F6E730D0A202020205F7365744F7074696F6E733A2066756E6374696F6E2829207B0D0A20202020202020202F2F205F737570657220616E64205F73757065724170706C792068616E646C65206B656570696E';
wwv_flow_api.g_varchar2_table(678) := '672074686520726967687420746869732D636F6E746578740D0A2020202020202020746869732E5F73757065724170706C792820617267756D656E747320293B0D0A202020207D2C0D0A0D0A202020202F2F205F7365744F7074696F6E2069732063616C';
wwv_flow_api.g_varchar2_table(679) := '6C656420666F72206561636820696E646976696475616C206F7074696F6E2074686174206973206368616E67696E670D0A202020205F7365744F7074696F6E3A2066756E6374696F6E28206B65792C2076616C75652029207B0D0A202020202020202061';
wwv_flow_api.g_varchar2_table(680) := '7065782E6465627567286B65792C2076616C7565293B0D0A0D0A20202020202020202F2F20646576206E6F74653A20746F20676574206120626F6F6C65616E2066726F6D20612076616C7565207768696368206D69676874206265206120737472696E67';
wwv_flow_api.g_varchar2_table(681) := '0D0A20202020202020202F2F2028227472756522206F72202266616C73652229206F7220616C7265616479206120626F6F6C65616E2C207765207573652076616C75652B27273D3D2774727565270D0A202020202020202073776974636820286B657929';
wwv_flow_api.g_varchar2_table(682) := '207B0D0A2020202020202020636173652022636C69636B61626C6549636F6E73223A0D0A202020202020202020202020746869732E6D61702E7365744F7074696F6E73287B636C69636B61626C6549636F6E733A2876616C75652B27273D3D2774727565';
wwv_flow_api.g_varchar2_table(683) := '27297D293B0D0A0D0A202020202020202020202020627265616B3B0D0A202020202020202063617365202264697361626C6544656661756C745549223A0D0A202020202020202020202020746869732E6D61702E7365744F7074696F6E73287B64697361';
wwv_flow_api.g_varchar2_table(684) := '626C6544656661756C7455493A2876616C75652B27273D3D277472756527297D293B0D0A0D0A202020202020202020202020627265616B3B0D0A202020202020202063617365202266756C6C73637265656E436F6E74726F6C223A0D0A20202020202020';
wwv_flow_api.g_varchar2_table(685) := '2020202020746869732E6D61702E7365744F7074696F6E73287B66756C6C73637265656E436F6E74726F6C3A2876616C75652B27273D3D277472756527297D293B0D0A0D0A202020202020202020202020627265616B3B0D0A2020202020202020636173';
wwv_flow_api.g_varchar2_table(686) := '65202268656164696E67223A0D0A202020202020202020202020746869732E6D61702E7365744F7074696F6E73287B68656164696E673A7061727365496E742876616C7565297D293B0D0A0D0A202020202020202020202020627265616B3B0D0A202020';
wwv_flow_api.g_varchar2_table(687) := '20202020206361736520226B6579626F61726453686F727463757473223A0D0A202020202020202020202020746869732E6D61702E7365744F7074696F6E73287B6B6579626F61726453686F7274637574733A2876616C75652B27273D3D277472756527';
wwv_flow_api.g_varchar2_table(688) := '297D293B0D0A0D0A202020202020202020202020627265616B3B0D0A20202020202020206361736520226D617054797065223A0D0A202020202020202020202020746869732E6D61702E7365744D61705479706549642876616C75652E746F4C6F776572';
wwv_flow_api.g_varchar2_table(689) := '436173652829293B0D0A202020202020202020202020746869732E5F737570657228206B65792C2076616C756520293B0D0A0D0A202020202020202020202020627265616B3B0D0A20202020202020206361736520226D617054797065436F6E74726F6C';
wwv_flow_api.g_varchar2_table(690) := '223A0D0A202020202020202020202020746869732E6D61702E7365744F7074696F6E73287B6D617054797065436F6E74726F6C3A2876616C75652B27273D3D277472756527297D293B0D0A0D0A202020202020202020202020627265616B3B0D0A202020';
wwv_flow_api.g_varchar2_table(691) := '20202020206361736520226D61785A6F6F6D223A0D0A202020202020202020202020746869732E6D61702E7365744F7074696F6E73287B6D61785A6F6F6D3A7061727365496E742876616C7565297D293B0D0A202020202020202020202020746869732E';
wwv_flow_api.g_varchar2_table(692) := '5F737570657228206B65792C2076616C756520293B0D0A0D0A202020202020202020202020627265616B3B0D0A20202020202020206361736520226D696E5A6F6F6D223A0D0A202020202020202020202020746869732E6D61702E7365744F7074696F6E';
wwv_flow_api.g_varchar2_table(693) := '73287B6D696E5A6F6F6D3A7061727365496E742876616C7565297D293B0D0A202020202020202020202020746869732E5F737570657228206B65792C2076616C756520293B0D0A0D0A202020202020202020202020627265616B3B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(694) := '20636173652022726F74617465436F6E74726F6C223A0D0A202020202020202020202020746869732E6D61702E7365744F7074696F6E73287B726F74617465436F6E74726F6C3A2876616C75652B27273D3D277472756527297D293B0D0A0D0A20202020';
wwv_flow_api.g_varchar2_table(695) := '2020202020202020627265616B3B0D0A20202020202020206361736520227363616C65436F6E74726F6C223A0D0A202020202020202020202020746869732E6D61702E7365744F7074696F6E73287B7363616C65436F6E74726F6C3A2876616C75652B27';
wwv_flow_api.g_varchar2_table(696) := '273D3D277472756527297D293B0D0A0D0A202020202020202020202020627265616B3B0D0A202020202020202063617365202273747265657456696577436F6E74726F6C223A0D0A202020202020202020202020746869732E6D61702E7365744F707469';
wwv_flow_api.g_varchar2_table(697) := '6F6E73287B73747265657456696577436F6E74726F6C3A2876616C75652B27273D3D277472756527297D293B0D0A0D0A202020202020202020202020627265616B3B0D0A20202020202020206361736520227374796C6573223A0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(698) := '20202020746869732E6D61702E7365744F7074696F6E73287B7374796C65733A76616C75657D293B0D0A202020202020202020202020746869732E5F73757065722820226D61705374796C65222C2076616C756520293B0D0A0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(699) := '202020627265616B3B0D0A20202020202020206361736520227A6F6F6D436F6E74726F6C223A0D0A202020202020202020202020746869732E6D61702E7365744F7074696F6E73287B7A6F6F6D436F6E74726F6C3A2876616C75652B27273D3D27747275';
wwv_flow_api.g_varchar2_table(700) := '6527297D293B0D0A0D0A202020202020202020202020627265616B3B0D0A202020202020202063617365202274696C74223A0D0A202020202020202020202020746869732E6D61702E73657454696C74287061727365496E742876616C756529293B0D0A';
wwv_flow_api.g_varchar2_table(701) := '0D0A202020202020202020202020627265616B3B0D0A20202020202020206361736520227A6F6F6D223A0D0A202020202020202020202020746869732E6D61702E7365745A6F6F6D287061727365496E742876616C756529293B0D0A0D0A202020202020';
wwv_flow_api.g_varchar2_table(702) := '202020202020627265616B3B0D0A202020202020202064656661756C743A0D0A202020202020202020202020746869732E5F737570657228206B65792C2076616C756520293B0D0A20202020202020207D0D0A202020207D0D0A0D0A20207D293B0D0A0D';
wwv_flow_api.g_varchar2_table(703) := '0A20202020636C617373204D61704F7665726C617920657874656E647320676F6F676C652E6D6170732E4F7665726C617956696577207B0D0A2020202020202020636F6E7374727563746F7228636F6E74656E742C206F7074696F6E7329207B0D0A2020';
wwv_flow_api.g_varchar2_table(704) := '20202020202020202020737570657228293B0D0A202020202020202020202020746869732E5F636F6E74656E74203D20636F6E74656E743B0D0A202020202020202020202020746869732E5F6F7074696F6E73203D206F7074696F6E733B0D0A20202020';
wwv_flow_api.g_varchar2_table(705) := '202020207D0D0A2020202020202020676574206F7074696F6E732829207B2072657475726E20746869732E5F6F7074696F6E733B207D0D0A2020202020202020736574206F7074696F6E73286F29207B20746869732E5F6F7074696F6E73203D206F3B20';
wwv_flow_api.g_varchar2_table(706) := '7D0D0A202020202020202067657420636F6E74656E742829207B2072657475726E20746869732E5F636F6E74656E743B207D0D0A202020202020202073657420636F6E74656E74286329207B20746869732E5F636F6E74656E74203D20633B207D0D0A20';
wwv_flow_api.g_varchar2_table(707) := '2020202020202067657420706F732829207B2072657475726E20746869732E5F6F7074696F6E732E706F733B207D0D0A202020202020202073657420706F73287029207B20746869732E5F6F7074696F6E732E706F73203D20703B207D0D0A2020202020';
wwv_flow_api.g_varchar2_table(708) := '20202067657420626F756E64732829207B2072657475726E20746869732E5F6F7074696F6E732E626F756E64733B207D0D0A202020202020202073657420626F756E6473286229207B20746869732E5F6F7074696F6E732E626F756E6473203D20623B20';
wwv_flow_api.g_varchar2_table(709) := '7D0D0A2020202020202020676574206469762829207B2072657475726E20746869732E5F6469763B207D0D0A20202020202020206F6E4164642829207B0D0A2020202020202020202020202F2F20746869732069732063616C6C6564207768656E207468';
wwv_flow_api.g_varchar2_table(710) := '65206D617027732070616E65732061726520726561647920616E6420746865206F7665726C617920686173206265656E20616464656420746F20746865206D61702E0D0A202020202020202020202020746869732E5F646976203D20646F63756D656E74';
wwv_flow_api.g_varchar2_table(711) := '2E637265617465456C656D656E74282264697622293B0D0A202020202020202020202020746869732E5F6469762E7374796C652E626F726465725374796C65203D20226E6F6E65223B0D0A202020202020202020202020746869732E5F6469762E737479';
wwv_flow_api.g_varchar2_table(712) := '6C652E626F726465725769647468203D2022307078223B0D0A202020202020202020202020746869732E5F6469762E7374796C652E706F736974696F6E203D20226162736F6C757465223B0D0A202020202020202020202020746869732E5F6469762E69';
wwv_flow_api.g_varchar2_table(713) := '6E6E657248544D4C203D20746869732E5F636F6E74656E743B0D0A2020202020202020202020202F2F2074686572652061726520352070616E6573207765206D61792061646420636F6E74656E7420746F202D2072656665723A2068747470733A2F2F64';
wwv_flow_api.g_varchar2_table(714) := '6576656C6F706572732E676F6F676C652E636F6D2F6D6170732F646F63756D656E746174696F6E2F6A6176617363726970742F7265666572656E63652F6F7665726C61792D76696577234D617050616E65730D0A202020202020202020202020636F6E73';
wwv_flow_api.g_varchar2_table(715) := '742070616E6573203D20746869732E67657450616E657328293B0D0A20202020202020202020202069662028746869732E5F6F7074696F6E732E6F6E436C69636B48616E646C657229207B0D0A202020202020202020202020202020202F2F206F766572';
wwv_flow_api.g_varchar2_table(716) := '6C61794D6F757365546172676574202870616E652033293A206F7665726C6179732074686174207265636569766520444F4D206576656E74730D0A202020202020202020202020202020202F2F2068747470733A2F2F737461636B6F766572666C6F772E';
wwv_flow_api.g_varchar2_table(717) := '636F6D2F7175657374696F6E732F333336313832332F6D616B652D637573746F6D2D6F7665726C61792D636C69636B61626C652D676F6F676C652D6D6170732D6170692D76330D0A2020202020202020202020202020202070616E65732E6F7665726C61';
wwv_flow_api.g_varchar2_table(718) := '794D6F7573655461726765742E617070656E644368696C6428746869732E5F646976293B0D0A20202020202020202020202020202020676F6F676C652E6D6170732E4F7665726C6179566965772E70726576656E744D61704869747346726F6D28746869';
wwv_flow_api.g_varchar2_table(719) := '732E5F646976293B0D0A20202020202020202020202020202020617065782E64656275672822616464206C697374656E657220666F72206F7665726C617920636C69636B22293B0D0A20202020202020202020202020202020676F6F676C652E6D617073';
wwv_flow_api.g_varchar2_table(720) := '2E6576656E742E616464446F6D4C697374656E657228746869732E5F6469762C2022636C69636B222C20746869732E5F6F7074696F6E732E6F6E436C69636B48616E646C6572293B0D0A2020202020202020202020207D20656C7365207B0D0A20202020';
wwv_flow_api.g_varchar2_table(721) := '2020202020202020202020202F2F206F7665726C61794C61796572202870616E652031293A206F7665726C617973207468617420646F206E6F74207265636569766520444F4D206576656E74730D0A2020202020202020202020202020202070616E6573';
wwv_flow_api.g_varchar2_table(722) := '2E6F7665726C61794C617965722E617070656E644368696C6428746869732E5F646976293B0D0A2020202020202020202020207D0D0A20202020202020207D0D0A2020202020202020647261772829207B0D0A2020202020202020202020206966202874';
wwv_flow_api.g_varchar2_table(723) := '6869732E5F64697629207B0D0A20202020202020202020202020202020636F6E7374206F7665726C617950726F6A656374696F6E203D20746869732E67657450726F6A656374696F6E28292C0D0A20202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(724) := '6D6170203D20746869732E6765744D617028292C0D0A202020202020202020202020202020202020202020207A6F6F6D203D206D61702E6765745A6F6F6D28293B0D0A2020202020202020202020202020202069662028287A6F6F6D203E3D2028746869';
wwv_flow_api.g_varchar2_table(725) := '732E5F6F7074696F6E732E6D696E5A6F6F6D7C7C30292920262620287A6F6F6D203C3D2028746869732E5F6F7074696F6E732E6D61785A6F6F6D7C7C3939292929207B0D0A202020202020202020202020202020202020202069662028746869732E5F6F';
wwv_flow_api.g_varchar2_table(726) := '7074696F6E732E626F756E647329207B0D0A202020202020202020202020202020202020202020202020636F6E7374207377203D206F7665726C617950726F6A656374696F6E2E66726F6D4C61744C6E67546F446976506978656C280D0A202020202020';
wwv_flow_api.g_varchar2_table(727) := '20202020202020202020202020202020202020202020746869732E5F6F7074696F6E732E626F756E64732E676574536F7574685765737428290D0A202020202020202020202020202020202020202020202020293B0D0A20202020202020202020202020';
wwv_flow_api.g_varchar2_table(728) := '2020202020202020202020636F6E7374206E65203D206F7665726C617950726F6A656374696F6E2E66726F6D4C61744C6E67546F446976506978656C280D0A20202020202020202020202020202020202020202020202020202020746869732E5F6F7074';
wwv_flow_api.g_varchar2_table(729) := '696F6E732E626F756E64732E6765744E6F7274684561737428290D0A202020202020202020202020202020202020202020202020293B0D0A2020202020202020202020202020202020202020202020202F2F20526573697A65207468652064697620746F';
wwv_flow_api.g_varchar2_table(730) := '206669742074686520696E646963617465642064696D656E73696F6E732E0D0A20202020202020202020202020202020202020202020202069662028746869732E5F64697629207B0D0A2020202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(731) := '2020746869732E5F6469762E7374796C652E6C656674203D2073772E78202B20227078223B0D0A20202020202020202020202020202020202020202020202020202020746869732E5F6469762E7374796C652E746F70203D206E652E79202B2022707822';
wwv_flow_api.g_varchar2_table(732) := '3B0D0A20202020202020202020202020202020202020202020202020202020746869732E5F6469762E7374796C652E7769647468203D20286E652E78202D2073772E7829202B20227078223B0D0A20202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(733) := '202020202020746869732E5F6469762E7374796C652E686569676874203D202873772E79202D206E652E7929202B20227078223B0D0A2020202020202020202020202020202020202020202020207D0D0A20202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(734) := '207D20656C73652069662028746869732E5F6F7074696F6E732E706F7329207B0D0A202020202020202020202020202020202020202020202020636F6E73742070726F6A506F73203D206F7665726C617950726F6A656374696F6E2E66726F6D4C61744C';
wwv_flow_api.g_varchar2_table(735) := '6E67546F446976506978656C28746869732E5F6F7074696F6E732E706F73293B0D0A202020202020202020202020202020202020202020202020766172206F6666736574582C206F6666736574593B0D0A20202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(736) := '202020202073776974636828746869732E5F6F7074696F6E732E686F72697A6F6E74616C416C69676E2E746F4C6F77657243617365282929207B0D0A20202020202020202020202020202020202020202020202063617365202763656E746572273A0D0A';
wwv_flow_api.g_varchar2_table(737) := '202020202020202020202020202020202020202020202020202020206F666673657458203D202D746869732E5F6469762E6F666673657457696474682F323B0D0A20202020202020202020202020202020202020202020202020202020627265616B3B0D';
wwv_flow_api.g_varchar2_table(738) := '0A2020202020202020202020202020202020202020202020206361736520277269676874273A0D0A202020202020202020202020202020202020202020202020202020206F666673657458203D202D746869732E5F6469762E6F66667365745769647468';
wwv_flow_api.g_varchar2_table(739) := '3B0D0A20202020202020202020202020202020202020202020202020202020627265616B3B0D0A20202020202020202020202020202020202020202020202064656661756C743A202F2F6C6566740D0A2020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(740) := '20202020202020206F666673657458203D20303B0D0A2020202020202020202020202020202020202020202020207D0D0A20202020202020202020202020202020202020202020202073776974636828746869732E5F6F7074696F6E732E766572746963';
wwv_flow_api.g_varchar2_table(741) := '616C416C69676E2E746F4C6F77657243617365282929207B0D0A202020202020202020202020202020202020202020202020636173652027626F74746F6D273A0D0A202020202020202020202020202020202020202020202020202020206F6666736574';
wwv_flow_api.g_varchar2_table(742) := '59203D202D746869732E5F6469762E6F66667365744865696768743B0D0A20202020202020202020202020202020202020202020202020202020627265616B3B0D0A2020202020202020202020202020202020202020202020206361736520276D696464';
wwv_flow_api.g_varchar2_table(743) := '6C65273A0D0A202020202020202020202020202020202020202020202020202020206F666673657459203D202D746869732E5F6469762E6F66667365744865696768742F323B0D0A20202020202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(744) := '627265616B3B0D0A20202020202020202020202020202020202020202020202064656661756C743A202F2F746F700D0A202020202020202020202020202020202020202020202020202020206F666673657459203D20303B0D0A20202020202020202020';
wwv_flow_api.g_varchar2_table(745) := '20202020202020202020202020207D0D0A2020202020202020202020202020202020202020202020206F666673657458202B3D20746869732E5F6F7074696F6E732E686F72697A6F6E74616C4F66667365747C7C303B0D0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(746) := '2020202020202020202020206F666673657459202B3D20746869732E5F6F7074696F6E732E766572746963616C4F66667365747C7C303B0D0A202020202020202020202020202020202020202020202020746869732E5F6469762E7374796C652E6C6566';
wwv_flow_api.g_varchar2_table(747) := '74203D202870726F6A506F732E78202B206F66667365745829202B20227078223B0D0A202020202020202020202020202020202020202020202020746869732E5F6469762E7374796C652E746F70203D202870726F6A506F732E79202B206F6666736574';
wwv_flow_api.g_varchar2_table(748) := '5929202B20227078223B0D0A20202020202020202020202020202020202020207D20656C7365207B0D0A202020202020202020202020202020202020202020202020617065782E646562756728226572726F723A20756E61626C6520746F2073686F7720';
wwv_flow_api.g_varchar2_table(749) := '6F7665726C617920286E6F20706F73206F7220626F756E647320646566696E65642922293B0D0A20202020202020202020202020202020202020207D0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D0D0A20202020';
wwv_flow_api.g_varchar2_table(750) := '202020207D0D0A20202020202020206F6E52656D6F76652829207B0D0A20202020202020202020202069662028746869732E5F64697629207B0D0A20202020202020202020202020202020746869732E5F6469762E706172656E744E6F64652E72656D6F';
wwv_flow_api.g_varchar2_table(751) := '76654368696C6428746869732E5F646976293B0D0A2020202020202020202020202020202064656C65746520746869732E5F6469763B0D0A2020202020202020202020207D0D0A20202020202020207D0D0A2020202020202020686964652829207B0D0A';
wwv_flow_api.g_varchar2_table(752) := '20202020202020202020202069662028746869732E5F64697629207B0D0A20202020202020202020202020202020746869732E5F6469762E7374796C652E7669736962696C697479203D202268696464656E223B0D0A2020202020202020202020207D0D';
wwv_flow_api.g_varchar2_table(753) := '0A20202020202020207D0D0A202020202020202073686F772829207B0D0A20202020202020202020202069662028746869732E5F64697629207B0D0A20202020202020202020202020202020746869732E5F6469762E7374796C652E7669736962696C69';
wwv_flow_api.g_varchar2_table(754) := '7479203D202276697369626C65223B0D0A2020202020202020202020207D0D0A20202020202020207D0D0A2020202020202020746F67676C652829207B0D0A20202020202020202020202069662028746869732E5F64697629207B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(755) := '20202020202020202069662028746869732E5F6469762E7374796C652E7669736962696C697479203D3D3D202268696464656E2229207B0D0A2020202020202020202020202020202020202020746869732E73686F7728293B0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(756) := '202020202020207D20656C7365207B0D0A2020202020202020202020202020202020202020746869732E6869646528293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D0D0A20202020202020207D0D0A20202020';
wwv_flow_api.g_varchar2_table(757) := '20202020746F67676C65444F4D286D617029207B0D0A20202020202020202020202069662028746869732E6765744D6170282929207B0D0A20202020202020202020202020202020746869732E7365744D6170286E756C6C293B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(758) := '202020207D20656C7365207B0D0A20202020202020202020202020202020746869732E7365744D6170286D6170293B0D0A2020202020202020202020207D0D0A20202020202020207D0D0A202020207D0D0A0D0A7D293B';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(196481127661656010)
,p_plugin_id=>wwv_flow_api.id(184856223301707224)
,p_file_name=>'jk64reportmap_r1.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/plugins/dynamic_action/com_jk64_report_google_map_da_r1
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(185401511240732772)
,p_plugin_type=>'DYNAMIC ACTION'
,p_name=>'COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_display_name=>'JK64 Report Google Map R1 Action'
,p_category=>'EXECUTE'
,p_supported_ui_types=>'DESKTOP'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('DYNAMIC ACTION','COM.JK64.REPORT_GOOGLE_MAP_DA_R1'),'')
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'-- jk64 ReportMap Action v1.0 Aug 2020',
'-- https://github.com/jeffreykemp/jk64-plugin-reportmap',
'-- Copyright (c) 2020 Jeffrey Kemp',
'-- Released under the MIT licence: http://opensource.org/licenses/mit-license',
'',
'subtype plugin_attr is varchar2(32767);',
'',
'function render ',
'    ( p_dynamic_action apex_plugin.t_dynamic_action',
'    , p_plugin         apex_plugin.t_plugin ',
'    ) return apex_plugin.t_dynamic_action_render_result is',
'',
'    l_action         plugin_attr := p_dynamic_action.attribute_01;',
'    l_source_type    plugin_attr := p_dynamic_action.attribute_02;',
'    l_page_item      plugin_attr := p_dynamic_action.attribute_03;',
'    l_selector       plugin_attr := p_dynamic_action.attribute_04;',
'    l_static_value   plugin_attr := p_dynamic_action.attribute_05;',
'    l_js_expression  plugin_attr := p_dynamic_action.attribute_06;',
'    l_option         plugin_attr := p_dynamic_action.attribute_07;',
'    ',
'    l_action_js      varchar2(32767);',
'    l_val_js         varchar2(32767);',
'    l_result         apex_plugin.t_dynamic_action_render_result;',
'',
'begin',
'    if apex_application.g_debug then',
'        apex_plugin_util.debug_dynamic_action',
'            (p_plugin         => p_plugin',
'            ,p_dynamic_action => p_dynamic_action);',
'    end if;',
'    ',
'    l_action_js := case l_action',
'        when ''deleteAllFeatures'' then',
'            ''$("#map_"+e.id).reportmap("deleteAllFeatures");''',
'        when ''deleteSelectedFeatures'' then',
'            ''$("#map_"+e.id).reportmap("deleteSelectedFeatures");''',
'        when ''fitBounds'' then',
'            ''$("#map_"+e.id).reportmap("fitBounds",#VAL#);''',
'        when ''geolocate'' then',
'            ''$("#map_"+e.id).reportmap("geolocate");''',
'        when ''getAddressByPos'' then',
'            ''var pos = $("#map_"+e.id).reportmap("instance").parseLatLng(#VAL#);''',
'         || ''$("#map_"+e.id).reportmap("getAddressByPos",pos.lat(),pos.lng());''',
'        when ''gotoAddress'' then',
'            ''$("#map_"+e.id).reportmap("gotoAddress",#VAL#);''',
'        when ''gotoPosByString'' then',
'            ''$("#map_"+e.id).reportmap("gotoPosByString",#VAL#);''',
'        when ''hideMessage'' then',
'            ''$("#map_"+e.id).reportmap("hideMessage");''',
'        when ''loadGeoJsonString'' then',
'            ''$("#map_"+e.id).reportmap("loadGeoJsonString",#VAL#);''',
'        when ''panTo'' then',
'            ''$("#map_"+e.id).reportmap("panToByString",#VAL#);''',
'        when ''restrictTo'' then',
'            ''$("#map_"+e.id).reportmap("instance").map.setOptions({restriction:{latLngBounds:#VAL#}});''        ',
'        when ''restrictToStrict'' then',
'            ''$("#map_"+e.id).reportmap("instance").map.setOptions({restriction:{latLngBounds:#VAL#,strictBounds:true}});''  ',
'        when ''setOption'' then',
'            ''$("#map_"+e.id).reportmap("option","'' || l_option || ''",#VAL#);''',
'        when ''showMessage'' then',
'            ''$("#map_"+e.id).reportmap("showMessage",#VAL#);''',
'        end;',
'    ',
'    if l_action_js is null then',
'        raise_application_error(-20000, ''Plugin error: unrecognised action ('' || l_action || '')'');',
'    end if;',
'    ',
'    if instr(l_action_js,''#VAL#'') > 0 then',
'    ',
'        l_action_js := replace(l_action_js, ''#VAL#'', ''val'');',
'        ',
'        l_val_js :=    ',
'            case l_source_type',
'            when ''triggeringElement'' then',
'                ''var val=$v(this.triggeringElement);''',
'            when ''pageItem'' then',
'                ''var val=$v("'' || apex_javascript.escape(l_page_item) || ''");''',
'            when ''jquerySelector'' then',
'                ''var val=$("'' || apex_javascript.escape(l_selector) || ''").val();''',
'            when ''javascriptExpression'' then',
'                ''var val='' || l_js_expression || '';''',
'            when ''static'' then',
'                ''var val="'' || apex_javascript.escape(l_static_value) || ''";''',
'            end;',
'        ',
'        if l_val_js is null then',
'            raise_application_error(-20000, ''Plugin error: unrecognised source type ('' || l_source_type || '')'');',
'        end if;',
'',
'    end if;',
'',
'    l_result.javascript_function',
'        := ''function(){''',
'        ||     ''apex.debug("ReportMap Action:","''|| l_action || ''");''',
'        ||     l_val_js',
'        ||     ''this.affectedElements.each(function(i,e){''',
'        ||         l_action_js',
'        ||     ''});''',
'        || ''}'';',
'',
'    return l_result;',
'exception',
'    when others then',
'        apex_debug.error(sqlerrm);',
'        apex_debug.message(dbms_utility.format_error_stack);',
'        apex_debug.message(dbms_utility.format_call_stack);',
'        raise;',
'end render;'))
,p_api_version=>2
,p_render_function=>'render'
,p_standard_attributes=>'REGION:REQUIRED'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>',
'Use this to perform the selected action on a map region. This plugin is to be used in conjunction with a <strong>JK64 Report Google Map R1</strong> region on the page.',
'</p><p>',
'Refer to the wiki for documentation: <strong>https://github.com/jeffreykemp/jk64-plugin-reportmap/wiki</strong>.',
'</p><p>',
'Please raise any bugs or enhancements on GitHub: <strong>https://github.com/jeffreykemp/jk64-plugin-reportmap/issues</strong>.',
'</p>'))
,p_version_identifier=>'1.0'
,p_about_url=>'https://jeffreykemp.github.io/jk64-plugin-reportmap/'
,p_plugin_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Copyright (c) 2020 Jeffrey Kemp',
'Released under the MIT licence: http://opensource.org/licenses/mit-license'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(185404162771917838)
,p_plugin_id=>wwv_flow_api.id(185401511240732772)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Action'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'setOption'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'Select the action to execute for the selected map.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185837805831536832)
,p_plugin_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_display_sequence=>10
,p_display_value=>'Set Option'
,p_return_value=>'setOption'
,p_help_text=>'Set a map option.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185404870471920790)
,p_plugin_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_display_sequence=>20
,p_display_value=>'Search map by Address'
,p_return_value=>'gotoAddress'
,p_help_text=>'Search the map for the given address (e.g. "Koombana Drive, Bunbury, Western Australia"), point of interest ("Fern Pool, Karijini, Western Australia"), or lat/long (e.g. "-33.64392 115.34432").'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185753591160943594)
,p_plugin_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_display_sequence=>30
,p_display_value=>'Get Address at Location'
,p_return_value=>'getAddressByPos'
,p_help_text=>'Find the closest address to a given location by lat/long. When this action is executed, the address is returned via the addressFound event.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185415923526003690)
,p_plugin_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_display_sequence=>40
,p_display_value=>'Place Marker'
,p_return_value=>'gotoPosByString'
,p_help_text=>'Move or place the marker at a given position (lat, long). Position may be provided as a LatLngLiteral, e.g. {"lat":-34, "lng":151}'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185417697732113905)
,p_plugin_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_display_sequence=>50
,p_display_value=>'Go to Device Location'
,p_return_value=>'geolocate'
,p_help_text=>'Search for the user device''s location using navigator.geolocation.getCurrentPosition, if possible (and allowed by the user).'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185694363608447665)
,p_plugin_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_display_sequence=>60
,p_display_value=>'Fit Bounds'
,p_return_value=>'fitBounds'
,p_help_text=>'Pan/Zoom the map so that it fits the specified bounds. The value must be provided as a LatLngBounds object or a LatLngBoundsLiteral, e.g. {"south":-37.71010, "west":87.56120, "north":-9.95828, "east":150.66667}'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185495585047549629)
,p_plugin_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_display_sequence=>70
,p_display_value=>'Pan To'
,p_return_value=>'panTo'
,p_help_text=>'Move the map centered on the given point. Value must be a Lat,Long (e.g. "27.1751448 78.0421422").'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(127649799031680332)
,p_plugin_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_display_sequence=>80
,p_display_value=>'Restrict to bounds'
,p_return_value=>'restrictTo'
,p_help_text=>'When set, a user can only pan and zoom inside the given bounds. Bounds can restrict both longitude and latitude, or can restrict latitude only. For latitude-only bounds use west and east longitudes of -180 and 180, respectively. For example: {north:6'
||'0, south:-60, west:-180, east:180}'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(127650194136687270)
,p_plugin_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_display_sequence=>90
,p_display_value=>'Restrict to bounds (strict mode)'
,p_return_value=>'restrictToStrict'
,p_help_text=>'When set, a user can only pan and zoom inside the given bounds. Bounds can restrict both longitude and latitude, or can restrict latitude only. For latitude-only bounds use west and east longitudes of -180 and 180, respectively. For example: {north:6'
||'0, south:-60, west:-180, east:180}. Strict mode reduces how far a user can zoom out, ensuring that everything outside of the restricted bounds stays hidden.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185666416012383762)
,p_plugin_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_display_sequence=>100
,p_display_value=>'Load GeoJSON'
,p_return_value=>'loadGeoJsonString'
,p_help_text=>'Load one or more features specified in a GeoJSON document.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185728943698127993)
,p_plugin_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_display_sequence=>110
,p_display_value=>'Delete All Features'
,p_return_value=>'deleteAllFeatures'
,p_help_text=>'Remove all features (e.g. those loaded via GeoJson, or drawn by the user).'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185729402669129162)
,p_plugin_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_display_sequence=>120
,p_display_value=>'Delete Selected Features'
,p_return_value=>'deleteSelectedFeatures'
,p_help_text=>'Remove selected features (e.g. those loaded via GeoJson, or drawn by the user).'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185418834298136765)
,p_plugin_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_display_sequence=>200
,p_display_value=>'Show Message'
,p_return_value=>'showMessage'
,p_help_text=>'Show a Warning/Error message. The message is shown in a light yellow box centered left in the viewing window.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185419249823138660)
,p_plugin_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_display_sequence=>210
,p_display_value=>'Hide Message'
,p_return_value=>'hideMessage'
,p_help_text=>'Hide the Warning/Error message.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(185406363502187239)
,p_plugin_id=>wwv_flow_api.id(185401511240732772)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>30
,p_prompt=>'Source Type'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'triggeringElement'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'IN_LIST'
,p_depending_on_expression=>'setOption,fitBounds,getAddressByPos,gotoAddress,gotoPosByString,loadGeoJsonString,panTo,showMessage,restrictTo,restrictToStrict'
,p_lov_type=>'STATIC'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185407082143190998)
,p_plugin_attribute_id=>wwv_flow_api.id(185406363502187239)
,p_display_sequence=>10
,p_display_value=>'Triggering Element'
,p_return_value=>'triggeringElement'
,p_help_text=>'Get the value from the item that the Dynamic Action is on.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185409368707214923)
,p_plugin_attribute_id=>wwv_flow_api.id(185406363502187239)
,p_display_sequence=>30
,p_display_value=>'Page Item'
,p_return_value=>'pageItem'
,p_help_text=>'Specify an item on the page to provide the source value for the action.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185407804061195106)
,p_plugin_attribute_id=>wwv_flow_api.id(185406363502187239)
,p_display_sequence=>40
,p_display_value=>'jQuery Selector'
,p_return_value=>'jquerySelector'
,p_help_text=>'Specify a jQuery Selector to provide the source value for the action'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185468689481176088)
,p_plugin_attribute_id=>wwv_flow_api.id(185406363502187239)
,p_display_sequence=>50
,p_display_value=>'JavaScript Expression'
,p_return_value=>'javascriptExpression'
,p_help_text=>'Set the value using a JavaScript expression.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185423289235211104)
,p_plugin_attribute_id=>wwv_flow_api.id(185406363502187239)
,p_display_sequence=>60
,p_display_value=>'Static Value'
,p_return_value=>'static'
,p_help_text=>'Set a single static value.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(185408206448203169)
,p_plugin_id=>wwv_flow_api.id(185401511240732772)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>40
,p_prompt=>'Page Item'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(185406363502187239)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'pageItem'
,p_help_text=>'Specify the page item to provide the source value for the action.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(185409769876225322)
,p_plugin_id=>wwv_flow_api.id(185401511240732772)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>50
,p_prompt=>'jQuery Selector'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(185406363502187239)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'jquerySelector'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Specify the jQuery selector to identify the source value for the action.',
'',
'e.g.',
'<code>',
'#itemId',
'</code>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(185425899201218327)
,p_plugin_id=>wwv_flow_api.id(185401511240732772)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>60
,p_prompt=>'Value'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(185406363502187239)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'static'
,p_help_text=>'Enter the value to be used. Substitution syntax allowed.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(185476654365190327)
,p_plugin_id=>wwv_flow_api.id(185401511240732772)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>70
,p_prompt=>'JavaScript Expression'
,p_attribute_type=>'JAVASCRIPT'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(185406363502187239)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'javascriptExpression'
,p_help_text=>'Specify the JavaScript expression to use to set the value for the action.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(185976370461586849)
,p_plugin_id=>wwv_flow_api.id(185401511240732772)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>20
,p_prompt=>'Option'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'zoom'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(185404162771917838)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'setOption'
,p_lov_type=>'STATIC'
,p_help_text=>'Specify the option or parameter that should be changed by this dynamic action.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186028730360078201)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>10
,p_display_value=>'Clickable Icons'
,p_return_value=>'clickableIcons'
,p_help_text=>'set to false to make map icons (points of interest) unclickable'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186029441730081813)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>30
,p_display_value=>'Disable default UI'
,p_return_value=>'disableDefaultUI'
,p_help_text=>'set to true to disable all the default UI'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186029932559085842)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>40
,p_display_value=>'Full Screen control'
,p_return_value=>'fullscreenControl'
,p_help_text=>'true/false to enable/disable the Fullscreen control'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186151974955958450)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>50
,p_display_value=>'Gesture Handling'
,p_return_value=>'gestureHandling'
,p_help_text=>'set to "cooperative", "greedy", "none", or "auto" (default)'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186152415728959612)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>60
,p_display_value=>'Heading'
,p_return_value=>'heading'
,p_help_text=>'heading for aerial imagery in degrees measured clockwise from cardinal direction North'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186152787673960999)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>70
,p_display_value=>'Keyboard shortcuts'
,p_return_value=>'keyboardShortcuts'
,p_help_text=>'true/false to enable/disable keyboard shortcuts'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186153137304962127)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>80
,p_display_value=>'Map Type control'
,p_return_value=>'mapTypeControl'
,p_help_text=>'true/false to enable/disable the Map type control'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186168105908967370)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>90
,p_display_value=>'Map Type'
,p_return_value=>'mapType'
,p_help_text=>'Change the map type. "hybrid", "roadmap" (default), "satellite", or "terrain"'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186168520130969436)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>100
,p_display_value=>'Maximum Zoom level'
,p_return_value=>'maxZoom'
,p_help_text=>'the maximum zoom level to be displayed (0..23)'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186168894114970848)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>110
,p_display_value=>'Minimum Zoom level'
,p_return_value=>'minZoom'
,p_help_text=>'the minimum zoom level to be displayed (0..23)'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186002716184597936)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>120
,p_display_value=>'Restrict search to Country'
,p_return_value=>'restrictCountry'
,p_help_text=>'Restrict address search results to a selected country.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186169292045972018)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>130
,p_display_value=>'Rotate control'
,p_return_value=>'rotateControl'
,p_help_text=>'true/false to enable/disable the Rotate control'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186169662893973005)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>140
,p_display_value=>'Scale control'
,p_return_value=>'scaleControl'
,p_help_text=>'true/false to enable/disable the Scale control'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186170041265974312)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>150
,p_display_value=>'Street View Pegman control'
,p_return_value=>'streetViewControl'
,p_help_text=>'true/false to enable/disable the Street View Pegman control'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186170497380975720)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>160
,p_display_value=>'Styles'
,p_return_value=>'styles'
,p_help_text=>'set the map styles'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186170849360977108)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>170
,p_display_value=>'Tilt'
,p_return_value=>'tilt'
,p_help_text=>unistr('set to 0 (no tilt allowed) or 45 (automatically switch to 45\00B0 imagery where available for the current zoom level and viewport)')
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(185996004721594871)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>180
,p_display_value=>'Zoom level'
,p_return_value=>'zoom'
,p_help_text=>'Set or change the map zoom level (typically 1..23, although not all areas can be zoomed to all levels; if the map does not provide tiles to the chosen zoom level, it will zoom as far as it can).'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(186185745977979698)
,p_plugin_attribute_id=>wwv_flow_api.id(185976370461586849)
,p_display_sequence=>190
,p_display_value=>'Zoom control'
,p_return_value=>'zoomControl'
,p_help_text=>'true/false to enable/disable the Zoom control'
);
end;
/
prompt --application/shared_components/plugins/dynamic_action/apex_clob_load_2
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(64938179294117346412)
,p_plugin_type=>'DYNAMIC ACTION'
,p_name=>'APEX.CLOB.LOAD.2'
,p_display_name=>'APEX CLOB Load 2'
,p_category=>'EXECUTE'
,p_supported_ui_types=>'DESKTOP'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('DYNAMIC ACTION','APEX.CLOB.LOAD.2'),'')
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'PROCEDURE DOWNLOAD_FILE (',
'    P_IN_BLOB        BLOB,',
'    P_IN_FILE_NAME   VARCHAR2,',
'    P_IN_MIME_TYPE   VARCHAR2',
') AS',
'    VR_BLOB BLOB := P_IN_BLOB;',
'BEGIN',
'    HTP.INIT;',
'    OWA_UTIL.MIME_HEADER(',
'        NVL(',
'            P_IN_MIME_TYPE,',
'            ''application/octet''',
'        ),',
'        FALSE,',
'        ''UTF-8''',
'    );',
'    HTP.P(''Content-length: '' || DBMS_LOB.GETLENGTH(P_IN_BLOB));',
'    HTP.P(''Content-Disposition: attachment; filename="'' ||',
'    APEX_ESCAPE.HTML_ATTRIBUTE(P_IN_FILE_NAME) ||',
'    ''"'');',
'    OWA_UTIL.HTTP_HEADER_CLOSE;',
'    WPG_DOCLOAD.DOWNLOAD_FILE(VR_BLOB);',
'EXCEPTION',
'    WHEN OTHERS THEN',
'        APEX_DEBUG.ERROR(''APEX CLOB Load 2 - Error while Execute File Download'');',
'        APEX_DEBUG.ERROR(SQLERRM);',
'        APEX_DEBUG.ERROR(DBMS_UTILITY.FORMAT_ERROR_BACKTRACE);',
'        RAISE;',
'END;',
'',
'FUNCTION SQL_TO_SYS_REFCURSOR (',
'    P_IN_SQL_STATEMENT   CLOB,',
'    P_IN_BINDS           SYS.DBMS_SQL.VARCHAR2_TABLE',
') RETURN SYS_REFCURSOR AS',
'    VR_CURS         BINARY_INTEGER;',
'    VR_REF_CURSOR   SYS_REFCURSOR;',
'    VR_EXEC         BINARY_INTEGER;',
'    /* TODO make size dynamic */',
'    VR_BINDS        VARCHAR(100);',
'BEGIN',
'    VR_CURS         := DBMS_SQL.OPEN_CURSOR;',
'    DBMS_SQL.PARSE(',
'        VR_CURS,',
'        P_IN_SQL_STATEMENT,',
'        DBMS_SQL.NATIVE',
'    );',
'    IF P_IN_BINDS.COUNT > 0 THEN',
'        FOR I IN 1..P_IN_BINDS.COUNT LOOP',
'            /* TODO find out how to prevent ltrim */',
'            VR_BINDS := LTRIM(',
'                P_IN_BINDS(I),',
'                '':''',
'            );',
'            DBMS_SQL.BIND_VARIABLE(',
'                VR_CURS,',
'                VR_BINDS,',
'                V(VR_BINDS)',
'            );',
'        END LOOP;',
'    END IF;',
'',
'    VR_EXEC         := DBMS_SQL.EXECUTE(VR_CURS);',
'    VR_REF_CURSOR   := DBMS_SQL.TO_REFCURSOR(VR_CURS);',
'    RETURN VR_REF_CURSOR;',
'EXCEPTION',
'    WHEN OTHERS THEN',
'        IF DBMS_SQL.IS_OPEN(VR_CURS) THEN',
'            DBMS_SQL.CLOSE_CURSOR(VR_CURS);',
'        END IF;',
'        RAISE;',
'END;',
'',
'FUNCTION F_AJAX (',
'    P_DYNAMIC_ACTION   IN   APEX_PLUGIN.T_DYNAMIC_ACTION,',
'    P_PLUGIN           IN   APEX_PLUGIN.T_PLUGIN',
') RETURN APEX_PLUGIN.T_DYNAMIC_ACTION_AJAX_RESULT IS',
'',
'    VR_RESULT            APEX_PLUGIN.T_DYNAMIC_ACTION_AJAX_RESULT;',
'    VR_CUR               SYS_REFCURSOR;',
'    VR_BIND_NAMES        SYS.DBMS_SQL.VARCHAR2_TABLE;',
'    VR_CLOB              CLOB := NULL;',
'    VR_TMP_STR           VARCHAR2(32767);',
'    VR_SQL               P_DYNAMIC_ACTION.ATTRIBUTE_01%TYPE := P_DYNAMIC_ACTION.ATTRIBUTE_01;',
'    VR_PLSQL_BLOCK       P_DYNAMIC_ACTION.ATTRIBUTE_07%TYPE := P_DYNAMIC_ACTION.ATTRIBUTE_07;',
'    VR_FUNCTION_TYPE     P_DYNAMIC_ACTION.ATTRIBUTE_04%TYPE := APEX_APPLICATION.G_X01;',
'    VR_COLLECTION_NAME   VARCHAR2(32767) := APEX_APPLICATION.G_X02;',
'    VR_PK                VARCHAR2(32767) := APEX_APPLICATION.G_X03;',
'    VR_FILE_NAME         VARCHAR2(200);',
'    VR_BLOB              BLOB;',
'    VR_MIME_TYPE         VARCHAR2(200);',
'    VR_USE_PRINT_IMG     P_DYNAMIC_ACTION.ATTRIBUTE_13%TYPE := P_DYNAMIC_ACTION.ATTRIBUTE_13;',
'    VR_PLSQL_PRINT_IMG   P_DYNAMIC_ACTION.ATTRIBUTE_14%TYPE := P_DYNAMIC_ACTION.ATTRIBUTE_14;',
'BEGIN',
'    CASE',
'        WHEN VR_FUNCTION_TYPE = ''PRINT_CLOB'' THEN',
'            BEGIN',
'                /* undocumented function of APEX for get all bindings */',
'                VR_BIND_NAMES   := WWV_FLOW_UTILITIES.GET_BINDS(VR_SQL);',
'                VR_CUR          := SQL_TO_SYS_REFCURSOR(',
'                    RTRIM(',
'                        VR_SQL,',
'                        '';''',
'                    ),',
'                    VR_BIND_NAMES',
'                );',
'',
'                /* create json */',
'                APEX_JSON.OPEN_OBJECT;',
'                APEX_JSON.WRITE(',
'                    ''row'',',
'                    VR_CUR',
'                );',
'                APEX_JSON.CLOSE_OBJECT;',
'            EXCEPTION',
'                WHEN OTHERS THEN',
'                    IF VR_CUR%ISOPEN THEN',
'                        CLOSE VR_CUR;',
'                    END IF;',
'                    APEX_DEBUG.ERROR(''APEX CLOB Load 2 - Error while execute clob download'');',
'                    APEX_DEBUG.ERROR(SQLERRM);',
'                    APEX_DEBUG.ERROR(DBMS_UTILITY.FORMAT_ERROR_BACKTRACE);',
'                    RAISE;',
'            END;',
'        WHEN VR_FUNCTION_TYPE = ''UPLOAD_CLOB'' THEN',
'            BEGIN',
'                DBMS_LOB.CREATETEMPORARY(',
'                    VR_CLOB,',
'                    FALSE,',
'                    DBMS_LOB.SESSION',
'                );',
'                FOR I IN 1..APEX_APPLICATION.G_F01.COUNT LOOP',
'                    VR_TMP_STR := WWV_FLOW.G_F01(I);',
'                    IF LENGTH(VR_TMP_STR) > 0 THEN',
'                        DBMS_LOB.WRITEAPPEND(',
'                            VR_CLOB,',
'                            LENGTH(VR_TMP_STR),',
'                            VR_TMP_STR',
'                        );',
'                    END IF;',
'',
'                END LOOP;',
'',
'                IF P_DYNAMIC_ACTION.ATTRIBUTE_06 = ''PLSQL'' THEN',
'                    BEGIN',
'                        EXECUTE IMMEDIATE ( VR_PLSQL_BLOCK )',
'                            USING VR_CLOB;',
'                    EXCEPTION',
'                        WHEN OTHERS THEN',
'                            APEX_DEBUG.ERROR(''APEX CLOB Load 2 - Error while executing dynamic PL/SQL Block after Upload CLOB.'');',
'                            APEX_DEBUG.ERROR(DBMS_UTILITY.FORMAT_ERROR_BACKTRACE);',
'                    END;',
'',
'                    APEX_DEBUG.INFO(''APEX CLOB Load 2 - Upload and Execute of Dynamic PL/SQL Block successful with CLOB: '' ||',
'                    DBMS_LOB.GETLENGTH(VR_CLOB) ||',
'                    '' Bytes.'');',
'                ELSE',
'                    IF VR_COLLECTION_NAME IS NOT NULL THEN',
'                        APEX_COLLECTION.CREATE_OR_TRUNCATE_COLLECTION(P_COLLECTION_NAME => VR_COLLECTION_NAME);',
'                        APEX_COLLECTION.ADD_MEMBER(',
'                            P_COLLECTION_NAME   => VR_COLLECTION_NAME,',
'                            P_CLOB001           => VR_CLOB',
'                        );',
'                    ELSE',
'                        APEX_DEBUG.ERROR(''APEX CLOB Load 2 - Item that sotres collection name is null or does not exist.'');',
'                    END IF;',
'',
'                    APEX_DEBUG.INFO(''Upload to Collection ('' ||',
'                    VR_COLLECTION_NAME ||',
'                    '') successful with CLOB: '' ||',
'                    DBMS_LOB.GETLENGTH(VR_CLOB) ||',
'                    '' Bytes.'');',
'',
'                END IF;',
'',
'                DBMS_LOB.FREETEMPORARY(VR_CLOB);',
'            EXCEPTION',
'                WHEN OTHERS THEN',
'                    DBMS_LOB.FREETEMPORARY(VR_CLOB);',
'                    APEX_DEBUG.ERROR(''APEX CLOB Load 2 - Error while upload clob'');',
'                    APEX_DEBUG.ERROR(SQLERRM);',
'                    APEX_DEBUG.ERROR(DBMS_UTILITY.FORMAT_ERROR_BACKTRACE);',
'                    RAISE;',
'            END;',
'        WHEN VR_FUNCTION_TYPE = ''PRINT_IMAGE'' AND VR_USE_PRINT_IMG = ''Y'' THEN',
'            BEGIN',
'                EXECUTE IMMEDIATE ( VR_PLSQL_PRINT_IMG )',
'                    USING IN VR_PK, OUT VR_FILE_NAME, OUT VR_MIME_TYPE, OUT VR_BLOB;',
'            EXCEPTION',
'                WHEN OTHERS THEN',
'                    APEX_DEBUG.ERROR(''APEX CLOB Load 2 - Error while executing dynamic PL/SQL Block to get Blob Source for Image Download.'');',
'                    APEX_DEBUG.ERROR(SQLERRM);',
'                    APEX_DEBUG.ERROR(DBMS_UTILITY.FORMAT_ERROR_BACKTRACE);',
'                    RAISE;',
'            END;',
'',
'            IF VR_FILE_NAME IS NOT NULL THEN',
'                DOWNLOAD_FILE(',
'                    P_IN_BLOB        => VR_BLOB,',
'                    P_IN_FILE_NAME   => VR_FILE_NAME,',
'                    P_IN_MIME_TYPE   => VR_MIME_TYPE',
'                );',
'            END IF;',
'',
'        ELSE',
'            APEX_DEBUG.ERROR(''APEX CLOB Load 2 - Function Type does not exists'');',
'    END CASE;',
'',
'    RETURN VR_RESULT;',
'END;',
'',
'FUNCTION F_RENDER (',
'    P_DYNAMIC_ACTION   IN                 APEX_PLUGIN.T_DYNAMIC_ACTION,',
'    P_PLUGIN           IN                 APEX_PLUGIN.T_PLUGIN',
') RETURN APEX_PLUGIN.T_DYNAMIC_ACTION_RENDER_RESULT IS',
'',
'    VR_RESULT             APEX_PLUGIN.T_DYNAMIC_ACTION_RENDER_RESULT;',
'    VR_FUNCTION_TYPE      P_DYNAMIC_ACTION.ATTRIBUTE_04%TYPE := P_DYNAMIC_ACTION.ATTRIBUTE_04;',
'    VR_ITEMS_2_SUBMIT     P_DYNAMIC_ACTION.ATTRIBUTE_02%TYPE := APEX_PLUGIN_UTIL.PAGE_ITEM_NAMES_TO_JQUERY(P_DYNAMIC_ACTION.ATTRIBUTE_02);',
'    VR_ESCAPE_HTML        P_DYNAMIC_ACTION.ATTRIBUTE_03%TYPE := P_DYNAMIC_ACTION.ATTRIBUTE_03;',
'    VR_SHOW_LOADER        P_DYNAMIC_ACTION.ATTRIBUTE_05%TYPE := P_DYNAMIC_ACTION.ATTRIBUTE_05;',
'    VR_COLLECTION_NAME    P_DYNAMIC_ACTION.ATTRIBUTE_08%TYPE := P_DYNAMIC_ACTION.ATTRIBUTE_08;',
'    VR_ITEMS_STORE_CLOB   P_DYNAMIC_ACTION.ATTRIBUTE_09%TYPE := P_DYNAMIC_ACTION.ATTRIBUTE_09;',
'    VR_SANITIZE_HTML      P_DYNAMIC_ACTION.ATTRIBUTE_10%TYPE := P_DYNAMIC_ACTION.ATTRIBUTE_10;',
'    VR_SANITIZE_HTML_OPT  P_DYNAMIC_ACTION.ATTRIBUTE_11%TYPE := P_DYNAMIC_ACTION.ATTRIBUTE_11;',
'    VR_UN_ESCAPE_HTML     P_DYNAMIC_ACTION.ATTRIBUTE_12%TYPE := P_DYNAMIC_ACTION.ATTRIBUTE_12;',
'    VR_USE_URTE_IMG_LOAD  P_DYNAMIC_ACTION.ATTRIBUTE_13%TYPE := P_DYNAMIC_ACTION.ATTRIBUTE_13;',
'    VR_ITEMS_2_SUBMIT_IMG P_DYNAMIC_ACTION.ATTRIBUTE_15%TYPE := APEX_PLUGIN_UTIL.PAGE_ITEM_NAMES_TO_JQUERY(P_DYNAMIC_ACTION.ATTRIBUTE_15);',
'BEGIN',
'    APEX_JAVASCRIPT.ADD_LIBRARY(',
'        P_NAME        => ''clobload.pkgd.min'',',
'        P_DIRECTORY   => P_PLUGIN.FILE_PREFIX,',
'        P_VERSION     => NULL,',
'        P_KEY         => ''clobload2jssrc''',
'    );',
'',
'    VR_RESULT.JAVASCRIPT_FUNCTION   := ''function () { var self = this; clobLoad.initialize( self, { '' ||',
'    APEX_JAVASCRIPT.ADD_ATTRIBUTE(',
'        ''ajaxID'',',
'        APEX_PLUGIN.GET_AJAX_IDENTIFIER',
'    ) ||',
'    APEX_JAVASCRIPT.ADD_ATTRIBUTE(',
'        ''functionType'',',
'        VR_FUNCTION_TYPE',
'    ) ||',
'    APEX_JAVASCRIPT.ADD_ATTRIBUTE(',
'        ''items2Submit'',',
'        VR_ITEMS_2_SUBMIT',
'    ) ||',
'    APEX_JAVASCRIPT.ADD_ATTRIBUTE(',
'        ''items2SubmitImg'',',
'        VR_ITEMS_2_SUBMIT_IMG',
'    ) ||',
'    APEX_JAVASCRIPT.ADD_ATTRIBUTE(',
'        ''itemStoresCLOB'',',
'        VR_ITEMS_STORE_CLOB',
'    ) ||',
'    APEX_JAVASCRIPT.ADD_ATTRIBUTE(',
'        ''escapeHTML'',',
'        VR_ESCAPE_HTML',
'    ) ||',
'    APEX_JAVASCRIPT.ADD_ATTRIBUTE(',
'        ''unEscapeHTML'',',
'        VR_UN_ESCAPE_HTML',
'    ) ||',
'    APEX_JAVASCRIPT.ADD_ATTRIBUTE(',
'        ''sanitize'',',
'        VR_SANITIZE_HTML',
'    ) ||',
'    APEX_JAVASCRIPT.ADD_ATTRIBUTE(',
'        ''sanitizeOptions'',',
'        VR_SANITIZE_HTML_OPT',
'    ) ||',
'    APEX_JAVASCRIPT.ADD_ATTRIBUTE(',
'        ''collectionNameItem'',',
'        VR_COLLECTION_NAME',
'    ) ||',
'    APEX_JAVASCRIPT.ADD_ATTRIBUTE(',
'        ''useURTEImgLoader'',',
'        VR_USE_URTE_IMG_LOAD',
'    ) ||',
'    APEX_JAVASCRIPT.ADD_ATTRIBUTE(',
'        ''showLoader'',',
'        VR_SHOW_LOADER,',
'        TRUE,',
'        FALSE',
'    ) ||',
'    ''}); }'';',
'',
'    RETURN VR_RESULT;',
'END F_RENDER;'))
,p_api_version=>2
,p_render_function=>'F_RENDER'
,p_ajax_function=>'F_AJAX'
,p_standard_attributes=>'REGION:WAIT_FOR_RESULT'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This plug-in can load clob data to any DOM element or Item on the APEX page, including also the RichTextEditor (CKE).</p>',
'<p>It''s also possible to upload a CLOB value again to the database. This value is stored in APEX Collection or it''s also possible that this plug-ins calls a PL/SQL API e.g. to write the CLOB into table after upload.</p>',
'<p>You can set Affected Element this is the element where any Dynamic Action Event is fired on and where the loader icon is shown.</p>',
'<p>When you want to get content of collection when submit page. Call the Upload with Dynamic Action "Before Page Submit". If "Before Page Submit" is not working the start upload e.g. by button click and as second action fire page submit.</p>',
'<p> This plugin can also sanitize HTML content on render and upload.</p>'))
,p_version_identifier=>'1.4'
,p_about_url=>'https://github.com/RonnyWeiss/APEX-CLOB-Load-2'
,p_files_version=>122
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(64938387787009358771)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'SQL Source'
,p_attribute_type=>'SQL'
,p_is_required=>true
,p_default_value=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT',
'    /* Element type dom - for jQuery selector e.g. body or #region-id, item - for item name e.g. P1_MY_ITEM */',
'    ''dom'' AS ELEMENT_TYPE,',
'    /* jQuery selector or item name */',
'    ''body'' AS ELEMENT_SELECTOR,',
'    /* CLOB value */',
'    TO_CLOB(''The CLOB Loader has replaced your body please set another element where CLOB should be loaded ;)'') AS CLOB_VALUE',
'FROM',
'    DUAL'))
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(64939421514284444937)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'PRINT_CLOB'
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<pre>',
'SELECT',
'    ''item'' AS ELEMENT_TYPE,',
'    ''P1_ITEM'' AS ELEMENT_SELECTOR,',
'    TO_CLOB(''Hello World'') AS CLOB_VALUE',
'FROM',
'    DUAL',
'UNION ALL',
'SELECT',
'    ''dom'' AS ELEMENT_TYPE,',
'    ''body'' AS ELEMENT_SELECTOR,',
'    TO_CLOB(''The CLOB Loader has replaced your body please set another element where CLOB should be loaded ;)'') AS CLOB_VALUE',
'FROM',
'    DUAL',
'</pre>'))
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Since this plug-in can load multiple elements once, the element, the type and the CLOB must be specified in the SQL statement. Each line thus loads one element with CLOB.',
'',
'An example:',
'<pre>',
'SELECT',
'    /* Element type dom - for jQuery selector e.g. body or #region-id, item - for item name e.g. P1_MY_ITEM */',
'    ''dom'' AS ELEMENT_TYPE,',
'    /* jQuery selector or item name */',
'    ''body'' AS ELEMENT_SELECTOR,',
'    /* CLOB value */',
'    TO_CLOB(''The CLOB Loader has replaced your body please set another element where CLOB should be loaded ;)'') AS CLOB_VALUE',
'FROM',
'    DUAL',
'</pre>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(64938391909943360898)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>100
,p_prompt=>'Items to Submit'
,p_attribute_type=>'PAGE ITEMS'
,p_is_required=>false
,p_is_translatable=>false
,p_help_text=>'Items that should be submited in each ajax call when upload or render CLOB.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(64938417415867364071)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>110
,p_prompt=>'Escape special Characters'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(64939421514284444937)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'PRINT_CLOB'
,p_help_text=>'Select if special characters should be escaped in Render Mode.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(64939421514284444937)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>1
,p_prompt=>'Function Type'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'PRINT_CLOB'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'This attribute is used to set whether the plug-in should work as CLOB renderer or as CLOB uploader.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(64939422233229445983)
,p_plugin_attribute_id=>wwv_flow_api.id(64939421514284444937)
,p_display_sequence=>10
,p_display_value=>'Print CLOBs'
,p_return_value=>'PRINT_CLOB'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(64939393993985445302)
,p_plugin_attribute_id=>wwv_flow_api.id(64939421514284444937)
,p_display_sequence=>20
,p_display_value=>'Upload CLOB'
,p_return_value=>'UPLOAD_CLOB'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(64957614969374936898)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>300
,p_prompt=>'Show Loader Icon'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'Y'
,p_is_translatable=>false
,p_help_text=>'If selected then loader icon is shown on affected element. The Dynamic Action Events of this plugin is also fired on the affcted element.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(65142919597660684155)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>20
,p_prompt=>'Upload to'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'COLLECTION'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(64939421514284444937)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'UPLOAD_CLOB'
,p_lov_type=>'STATIC'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Select if you want to Upload to a collection or if you want to execute PL/SQL.',
'',
'When you want to get content of collection when submit page. Call the Upload with Dynamic Action and event: Before Page Submit.'))
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(65143385817376685348)
,p_plugin_attribute_id=>wwv_flow_api.id(65142919597660684155)
,p_display_sequence=>10
,p_display_value=>'Collection'
,p_return_value=>'COLLECTION'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(65143387343261686898)
,p_plugin_attribute_id=>wwv_flow_api.id(65142919597660684155)
,p_display_sequence=>20
,p_display_value=>'Execute PL/SQL'
,p_return_value=>'PLSQL'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(65143420907686691275)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_prompt=>'Execute PL/SQL'
,p_attribute_type=>'PLSQL'
,p_is_required=>true
,p_default_value=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'    /* You need to use V(''P1_COL_NAME'') because :P1_COL_NAME is not supported here */',
'    VR_COL_NAME   VARCHAR2(100) := NVL( V(''P1_COLLECTION_NAME''), ''MY_COLLECTION'');',
'BEGIN',
'    APEX_COLLECTION.CREATE_OR_TRUNCATE_COLLECTION(P_COLLECTION_NAME   => VR_COL_NAME);',
'    APEX_COLLECTION.ADD_MEMBER(',
'        P_COLLECTION_NAME   => VR_COL_NAME,',
'        P_CLOB001           => :CLOB',
'    );',
'END;'))
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(65142919597660684155)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'PLSQL'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>You can execute dynamic PL/SQL when upload a CLOB.</p>',
'<p>Important is that you use the binding :CLOB for this binding the uploaded CLOB is set.</p>',
'<p>When want to use APEX items you have to call V(''P1_ITEM'') because of binding and add the items in "Items to Submit". Use (SELECT V(''P1_ITEM'') FROM DUAL) for better perfromance when use in SQL Statement => See Oracle FAST_DUAL.</p>',
'<pre>',
'DECLARE',
'    /* You need to use V(''P1_COL_NAME'') because :P1_COL_NAME is not supported here */',
'    VR_COL_NAME   VARCHAR2(100) := NVL( V(''P1_COLLECTION_NAME''), ''MY_COLLECTION'');',
'BEGIN',
'    APEX_COLLECTION.CREATE_OR_TRUNCATE_COLLECTION(P_COLLECTION_NAME   => VR_COL_NAME);',
'    APEX_COLLECTION.ADD_MEMBER(',
'        P_COLLECTION_NAME   => VR_COL_NAME,',
'        P_CLOB001           => :CLOB',
'    );',
'END;',
'</pre>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(65143426863968694842)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_prompt=>'Item stores Collection Name'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(65142919597660684155)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'COLLECTION'
,p_help_text=>'Select an Item that stores the collection name.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(65148599151541876892)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>9
,p_display_sequence=>90
,p_prompt=>'Item stores CLOB Value'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(64939421514284444937)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'UPLOAD_CLOB'
,p_help_text=>'Choose the item from which you want to upload the CLOB.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(65298641881369048484)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>10
,p_display_sequence=>130
,p_prompt=>'Sanitize HTML'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'Y'
,p_is_translatable=>false
,p_help_text=>'Sanitizes HTML e.g. &lt;script&gt; tags will be removed.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(65303925003317449954)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>11
,p_display_sequence=>140
,p_prompt=>'Sanitize HTML Options'
,p_attribute_type=>'JAVASCRIPT'
,p_is_required=>true
,p_default_value=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{',
'  "ALLOWED_ATTR": [',
'    "accesskey",',
'    "align",',
'    "alt",',
'    "always",',
'    "autocomplete",',
'    "autoplay",',
'    "border",',
'    "cellpadding",',
'    "cellspacing",',
'    "charset",',
'    "class",',
'    "dir",',
'    "height",',
'    "href",',
'    "id",',
'    "lang",',
'    "name",',
'    "rel",',
'    "required",',
'    "src",',
'    "style",',
'    "summary",',
'    "tabindex",',
'    "target",',
'    "title",',
'    "type",',
'    "value",',
'    "width"',
'  ],',
'  "ALLOWED_TAGS": [',
'    "a",',
'    "address",',
'    "b",',
'    "blockquote",',
'    "br",',
'    "caption",',
'    "code",',
'    "dd",',
'    "div",',
'    "dl",',
'    "dt",',
'    "em",',
'    "figcaption",',
'    "figure",',
'    "h1",',
'    "h2",',
'    "h3",',
'    "h4",',
'    "h5",',
'    "h6",',
'    "hr",',
'    "i",',
'    "img",',
'    "label",',
'    "li",',
'    "nl",',
'    "ol",',
'    "p",',
'    "pre",',
'    "s",',
'    "span",',
'    "strike",',
'    "strong",',
'    "sub",',
'    "sup",',
'    "table",',
'    "tbody",',
'    "td",',
'    "th",',
'    "thead",',
'    "tr",',
'    "u",',
'    "ul"',
'  ]',
'}'))
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(65298641881369048484)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'This Clob Loader includes a sanitizer for HTML as option to use:',
'A Full Description you will find on: https://github.com/cure53/DOMPurify',
'Example: ',
'<pre>',
'{',
'  "ALLOWED_ATTR": [',
'    "accesskey",',
'    "align",',
'    "alt",',
'    "always",',
'    "autocomplete",',
'    "autoplay",',
'    "border",',
'    "cellpadding",',
'    "cellspacing",',
'    "charset",',
'    "class",',
'    "dir",',
'    "height",',
'    "href",',
'    "id",',
'    "lang",',
'    "name",',
'    "rel",',
'    "required",',
'    "src",',
'    "style",',
'    "summary",',
'    "tabindex",',
'    "target",',
'    "title",',
'    "type",',
'    "value",',
'    "width"',
'  ],',
'  "ALLOWED_TAGS": [',
'    "a",',
'    "address",',
'    "b",',
'    "blockquote",',
'    "br",',
'    "caption",',
'    "code",',
'    "dd",',
'    "div",',
'    "dl",',
'    "dt",',
'    "em",',
'    "figcaption",',
'    "figure",',
'    "h1",',
'    "h2",',
'    "h3",',
'    "h4",',
'    "h5",',
'    "h6",',
'    "hr",',
'    "i",',
'    "img",',
'    "label",',
'    "li",',
'    "nl",',
'    "ol",',
'    "p",',
'    "pre",',
'    "s",',
'    "span",',
'    "strike",',
'    "strong",',
'    "sub",',
'    "sup",',
'    "table",',
'    "tbody",',
'    "td",',
'    "th",',
'    "thead",',
'    "tr",',
'    "u",',
'    "ul"',
'  ]',
'}',
'</pre>',
'<pre>',
'# make output safe for usage in jQuery''s $()/html() method (default is false)',
'SAFE_FOR_JQUERY: true',
'',
'# strip {{ ... }} and &amp;lt;% ... %&amp;gt; to make output safe for template systems',
'# be careful please, this mode is not recommended for production usage.',
'# allowing template parsing in user-controlled HTML is not advised at all.',
'# only use this mode if there is really no alternative.',
'SAFE_FOR_TEMPLATES: true',
'',
'# allow only &amp;lt;b&amp;gt;',
'ALLOWED_TAGS: [''b'']',
'',
'# allow only &amp;lt;b&amp;gt; and &amp;lt;q&amp;gt; with style attributes (for whatever reason)',
'ALLOWED_TAGS: [''b'', ''q''], ALLOWED_ATTR: [''style'']',
'',
'# allow all safe HTML elements but neither SVG nor MathML',
'USE_PROFILES: {html: true}',
'',
'# allow all safe SVG elements and SVG Filters',
'USE_PROFILES: {svg: true, svgFilters: true}',
'',
'# allow all safe MathML elements and SVG',
'USE_PROFILES: {mathMl: true, svg: true}',
'',
'# leave all as it is but forbid &amp;lt;style&amp;gt;',
'FORBID_TAGS: [''style'']',
'',
'# leave all as it is but forbid style attributes',
'FORBID_ATTR: [''style'']',
'',
'# extend the existing array of allowed tags',
'ADD_TAGS: [''my-tag'']',
'',
'# extend the existing array of attributes',
'ADD_ATTR: [''my-attr'']',
'',
'# prohibit HTML5 data attributes (default is true)',
'ALLOW_DATA_ATTR: false',
'',
'# allow external protocol handlers in URL attributes (default is false)',
'# by default only http, https, ftp, ftps, tel, mailto, callto, cid and xmpp are allowed.',
'ALLOW_UNKNOWN_PROTOCOLS: true',
'</pre>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(65324733090931370357)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>12
,p_display_sequence=>120
,p_prompt=>'Unescape special Characters'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(64939421514284444937)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'UPLOAD_CLOB'
,p_help_text=>'Unescapes HTML when upload to save it as HTML in DB.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(34089980827284990953)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>13
,p_display_sequence=>200
,p_prompt=>'Use Image Loader of Unleash RichTextEditor Plug-in'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(64939421514284444937)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'PRINT_CLOB'
,p_help_text=>'Use Image Loader of Unleash RichTextEditor Plug-in. Tihs feature is usefull when u are using this plugin and have img tags that where created with that plugin in your clob.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(34090271623133000695)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>14
,p_display_sequence=>210
,p_prompt=>'Execute to get Image Sources'
,p_attribute_type=>'PLSQL'
,p_is_required=>true
,p_default_value=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'    VR_FILE_NAME     VARCHAR2(200);',
'    VR_MIME_TYPE     VARCHAR2(200);',
'    VR_BINARY_FILE   BLOB;',
'    VR_PK            VARCHAR2(200) := :PK;',
'    /* You need to use V(''P1_COL_NAME'') because :P1_COL_NAME is not supported here */',
'    VR_COL_NAME      VARCHAR2(200) := NVL(',
'        V(''P1_COL_NAME''),',
'        ''IMG_COLLECTION''',
'    );',
'BEGIN',
'    SELECT',
'        C001,',
'        C002,',
'        BLOB001',
'    INTO',
'        VR_FILE_NAME,',
'        VR_MIME_TYPE,',
'        VR_BINARY_FILE',
'    FROM',
'        APEX_COLLECTIONS',
'    WHERE',
'        COLLECTION_NAME   = VR_COL_NAME',
'        AND C001              = VR_PK',
'        AND ROWNUM            = 1;',
'',
'    :FILE_NAME     := VR_FILE_NAME;',
'    :MIME_TYPE     := VR_MIME_TYPE;',
'     /* Please ignore PLS-00382: expression is of wrong type',
'       because binding of :BLOB is not supported by current',
'       APEX PL/SQL Validator ',
'     */',
'    :BINARY_FILE   := VR_BINARY_FILE;',
'EXCEPTION',
'    WHEN OTHERS THEN',
'        APEX_DEBUG.ERROR(SQLERRM);',
'        APEX_DEBUG.ERROR(DBMS_UTILITY.FORMAT_ERROR_STACK);',
'END;'))
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(34089980827284990953)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>If the CLOB is loaded into the RTE, the image download is inserted on the left.</p>',
'<p>This PL/SQL block is used to load the images from a table or collection using a primary key (:PK).</p>',
'<p>On Error please check APEX Debug. When want to use APEX items you have to call V(''P1_ITEM'') because of binding and add the items in "Items to Submit".</p>',
'<p>Use (SELECT V(''P1_ITEM'') FROM DUAL) for better perfromance when use in SQL Statement => See Oracle FAST_DUAL.</p>',
'<pre>',
'DECLARE',
'    VR_FILE_NAME     VARCHAR2(200);',
'    VR_MIME_TYPE     VARCHAR2(200);',
'    VR_BINARY_FILE   BLOB;',
'    VR_PK            VARCHAR2(200) := :PK;',
'    /* You need to use V(''P1_COL_NAME'') because :P1_COL_NAME is not supported here */',
'    VR_COL_NAME      VARCHAR2(200) := NVL(',
'        V(''P1_COL_NAME''),',
'        ''IMG_COLLECTION''',
'    );',
'BEGIN',
'    SELECT',
'        C001,',
'        C002,',
'        BLOB001',
'    INTO',
'        VR_FILE_NAME,',
'        VR_MIME_TYPE,',
'        VR_BINARY_FILE',
'    FROM',
'        APEX_COLLECTIONS',
'    WHERE',
'        COLLECTION_NAME   = VR_COL_NAME',
'        AND C001              = VR_PK',
'        AND ROWNUM            = 1;',
'',
'    :FILE_NAME     := VR_FILE_NAME;',
'    :MIME_TYPE     := VR_MIME_TYPE;',
'     /* Please ignore PLS-00382: expression is of wrong type',
'       because binding of :BLOB is not supported by current',
'       APEX PL/SQL Validator ',
'     */',
'    :BINARY_FILE   := VR_BINARY_FILE;',
'EXCEPTION',
'    WHEN OTHERS THEN',
'        APEX_DEBUG.ERROR(SQLERRM);',
'        APEX_DEBUG.ERROR(DBMS_UTILITY.FORMAT_ERROR_STACK);',
'END;',
'</pre>'))
);
end;
/
begin
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(34283771363864412680)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>15
,p_display_sequence=>220
,p_prompt=>'Items to Submit'
,p_attribute_type=>'PAGE ITEMS'
,p_is_required=>false
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(34089980827284990953)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Items that should be submitted for Image Loader.</p>',
'<b>Because of missing APEX feature no item with checksum can be used here.</b>'))
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(65212686087221210414)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_name=>'clobrendercomplete'
,p_display_name=>'CLOB Render Complete'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(480024951349066020)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_name=>'clobrendererror'
,p_display_name=>'CLOB Render Error'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(65212685766879210412)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_name=>'clobuploadcomplete'
,p_display_name=>'CLOB Upload Complete'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(480024615970066017)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_name=>'clobuploaderror'
,p_display_name=>'CLOB Upload Error'
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '4D4954204C6963656E73650A0A436F7079726967687420286329203230323020526F6E6E7920576569C39F0A0A5065726D697373696F6E20697320686572656279206772616E7465642C2066726565206F66206368617267652C20746F20616E79207065';
wwv_flow_api.g_varchar2_table(2) := '72736F6E206F627461696E696E67206120636F70790A6F66207468697320736F66747761726520616E64206173736F63696174656420646F63756D656E746174696F6E2066696C657320287468652022536F66747761726522292C20746F206465616C0A';
wwv_flow_api.g_varchar2_table(3) := '696E2074686520536F66747761726520776974686F7574207265737472696374696F6E2C20696E636C7564696E6720776974686F7574206C696D69746174696F6E20746865207269676874730A746F207573652C20636F70792C206D6F646966792C206D';
wwv_flow_api.g_varchar2_table(4) := '657267652C207075626C6973682C20646973747269627574652C207375626C6963656E73652C20616E642F6F722073656C6C0A636F70696573206F662074686520536F6674776172652C20616E6420746F207065726D697420706572736F6E7320746F20';
wwv_flow_api.g_varchar2_table(5) := '77686F6D2074686520536F6674776172652069730A6675726E697368656420746F20646F20736F2C207375626A65637420746F2074686520666F6C6C6F77696E6720636F6E646974696F6E733A0A0A5468652061626F766520636F70797269676874206E';
wwv_flow_api.g_varchar2_table(6) := '6F7469636520616E642074686973207065726D697373696F6E206E6F74696365207368616C6C20626520696E636C7564656420696E20616C6C0A636F70696573206F72207375627374616E7469616C20706F7274696F6E73206F662074686520536F6674';
wwv_flow_api.g_varchar2_table(7) := '776172652E0A0A54484520534F4654574152452049532050524F564944454420224153204953222C20574954484F55542057415252414E5459204F4620414E59204B494E442C2045585052455353204F520A494D504C4945442C20494E434C5544494E47';
wwv_flow_api.g_varchar2_table(8) := '20425554204E4F54204C494D4954454420544F205448452057415252414E54494553204F46204D45524348414E544142494C4954592C0A4649544E45535320464F52204120504152544943554C415220505552504F534520414E44204E4F4E494E465249';
wwv_flow_api.g_varchar2_table(9) := '4E47454D454E542E20494E204E4F204556454E54205348414C4C205448450A415554484F5253204F5220434F5059524947485420484F4C44455253204245204C4941424C4520464F5220414E5920434C41494D2C2044414D41474553204F52204F544845';
wwv_flow_api.g_varchar2_table(10) := '520A4C494142494C4954592C205748455448455220494E20414E20414354494F4E204F4620434F4E54524143542C20544F5254204F52204F54484552574953452C2041524953494E472046524F4D2C0A4F5554204F46204F5220494E20434F4E4E454354';
wwv_flow_api.g_varchar2_table(11) := '494F4E20574954482054484520534F465457415245204F522054484520555345204F52204F54484552204445414C494E475320494E205448450A534F4654574152452E';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(65217067849502542032)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_file_name=>'LICENSE'
,p_mime_type=>'application/octet-stream'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '68747470733A2F2F6769746875622E636F6D2F6375726535332F444F4D5075726966790D0A0D0A444F4D5075726966790D0A436F707972696768742032303135204D6172696F204865696465726963680D0A0D0A444F4D50757269667920697320667265';
wwv_flow_api.g_varchar2_table(2) := '6520736F6674776172653B20796F752063616E2072656469737472696275746520697420616E642F6F72206D6F6469667920697420756E646572207468650D0A7465726D73206F66206569746865723A0D0A0D0A61292074686520417061636865204C69';
wwv_flow_api.g_varchar2_table(3) := '63656E73652056657273696F6E20322E302C206F720D0A622920746865204D6F7A696C6C61205075626C6963204C6963656E73652056657273696F6E20322E300D0A0D0A2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D';
wwv_flow_api.g_varchar2_table(4) := '2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D0D0A0D0A4C6963656E73656420756E6465722074686520417061636865204C6963656E73652C2056657273696F6E20322E302028746865';
wwv_flow_api.g_varchar2_table(5) := '20224C6963656E736522293B0D0A796F75206D6179206E6F742075736520746869732066696C652065786365707420696E20636F6D706C69616E6365207769746820746865204C6963656E73652E0D0A596F75206D6179206F627461696E206120636F70';
wwv_flow_api.g_varchar2_table(6) := '79206F6620746865204C6963656E73652061740D0A0D0A20202020687474703A2F2F7777772E6170616368652E6F72672F6C6963656E7365732F4C4943454E53452D322E300D0A0D0A20202020556E6C657373207265717569726564206279206170706C';
wwv_flow_api.g_varchar2_table(7) := '696361626C65206C6177206F722061677265656420746F20696E2077726974696E672C20736F6674776172650D0A20202020646973747269627574656420756E64657220746865204C6963656E7365206973206469737472696275746564206F6E20616E';
wwv_flow_api.g_varchar2_table(8) := '20224153204953222042415349532C0D0A20202020574954484F55542057415252414E54494553204F5220434F4E444954494F4E53204F4620414E59204B494E442C206569746865722065787072657373206F7220696D706C6965642E0D0A2020202053';
wwv_flow_api.g_varchar2_table(9) := '656520746865204C6963656E736520666F7220746865207370656369666963206C616E677561676520676F7665726E696E67207065726D697373696F6E7320616E640D0A202020206C696D69746174696F6E7320756E64657220746865204C6963656E73';
wwv_flow_api.g_varchar2_table(10) := '652E0D0A0D0A2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D0D0A4D6F7A696C6C61205075626C696320';
wwv_flow_api.g_varchar2_table(11) := '4C6963656E73652C2076657273696F6E20322E300D0A0D0A312E20446566696E6974696F6E730D0A0D0A312E312E2093436F6E7472696275746F72940D0A0D0A20202020206D65616E73206561636820696E646976696475616C206F72206C6567616C20';
wwv_flow_api.g_varchar2_table(12) := '656E74697479207468617420637265617465732C20636F6E747269627574657320746F207468650D0A20202020206372656174696F6E206F662C206F72206F776E7320436F766572656420536F6674776172652E0D0A0D0A312E322E2093436F6E747269';
wwv_flow_api.g_varchar2_table(13) := '6275746F722056657273696F6E940D0A0D0A20202020206D65616E732074686520636F6D62696E6174696F6E206F662074686520436F6E747269627574696F6E73206F66206F74686572732028696620616E7929207573656420627920610D0A20202020';
wwv_flow_api.g_varchar2_table(14) := '20436F6E7472696275746F7220616E64207468617420706172746963756C617220436F6E7472696275746F72927320436F6E747269627574696F6E2E0D0A0D0A312E332E2093436F6E747269627574696F6E940D0A0D0A20202020206D65616E7320436F';
wwv_flow_api.g_varchar2_table(15) := '766572656420536F667477617265206F66206120706172746963756C617220436F6E7472696275746F722E0D0A0D0A312E342E2093436F766572656420536F667477617265940D0A0D0A20202020206D65616E7320536F7572636520436F646520466F72';
wwv_flow_api.g_varchar2_table(16) := '6D20746F2077686963682074686520696E697469616C20436F6E7472696275746F7220686173206174746163686564207468650D0A20202020206E6F7469636520696E204578686962697420412C207468652045786563757461626C6520466F726D206F';
wwv_flow_api.g_varchar2_table(17) := '66207375636820536F7572636520436F646520466F726D2C20616E640D0A20202020204D6F64696669636174696F6E73206F66207375636820536F7572636520436F646520466F726D2C20696E2065616368206361736520696E636C7564696E6720706F';
wwv_flow_api.g_varchar2_table(18) := '7274696F6E730D0A202020202074686572656F662E0D0A0D0A312E352E2093496E636F6D70617469626C652057697468205365636F6E64617279204C6963656E736573940D0A20202020206D65616E730D0A0D0A2020202020612E207468617420746865';
wwv_flow_api.g_varchar2_table(19) := '20696E697469616C20436F6E7472696275746F722068617320617474616368656420746865206E6F746963652064657363726962656420696E0D0A202020202020202045786869626974204220746F2074686520436F766572656420536F667477617265';
wwv_flow_api.g_varchar2_table(20) := '3B206F720D0A0D0A2020202020622E20746861742074686520436F766572656420536F66747761726520776173206D61646520617661696C61626C6520756E64657220746865207465726D73206F662076657273696F6E0D0A2020202020202020312E31';
wwv_flow_api.g_varchar2_table(21) := '206F72206561726C696572206F6620746865204C6963656E73652C20627574206E6F7420616C736F20756E64657220746865207465726D73206F6620610D0A20202020202020205365636F6E64617279204C6963656E73652E0D0A0D0A312E362E209345';
wwv_flow_api.g_varchar2_table(22) := '786563757461626C6520466F726D940D0A0D0A20202020206D65616E7320616E7920666F726D206F662074686520776F726B206F74686572207468616E20536F7572636520436F646520466F726D2E0D0A0D0A312E372E20934C617267657220576F726B';
wwv_flow_api.g_varchar2_table(23) := '940D0A0D0A20202020206D65616E73206120776F726B207468617420636F6D62696E657320436F766572656420536F6674776172652077697468206F74686572206D6174657269616C2C20696E20612073657061726174650D0A202020202066696C6520';
wwv_flow_api.g_varchar2_table(24) := '6F722066696C65732C2074686174206973206E6F7420436F766572656420536F6674776172652E0D0A0D0A312E382E20934C6963656E7365940D0A0D0A20202020206D65616E73207468697320646F63756D656E742E0D0A0D0A312E392E20934C696365';
wwv_flow_api.g_varchar2_table(25) := '6E7361626C65940D0A0D0A20202020206D65616E7320686176696E672074686520726967687420746F206772616E742C20746F20746865206D6178696D756D20657874656E7420706F737369626C652C2077686574686572206174207468650D0A202020';
wwv_flow_api.g_varchar2_table(26) := '202074696D65206F662074686520696E697469616C206772616E74206F722073756273657175656E746C792C20616E7920616E6420616C6C206F66207468652072696768747320636F6E76657965642062790D0A202020202074686973204C6963656E73';
wwv_flow_api.g_varchar2_table(27) := '652E0D0A0D0A312E31302E20934D6F64696669636174696F6E73940D0A0D0A20202020206D65616E7320616E79206F662074686520666F6C6C6F77696E673A0D0A0D0A2020202020612E20616E792066696C6520696E20536F7572636520436F64652046';
wwv_flow_api.g_varchar2_table(28) := '6F726D207468617420726573756C74732066726F6D20616E206164646974696F6E20746F2C2064656C6574696F6E0D0A202020202020202066726F6D2C206F72206D6F64696669636174696F6E206F662074686520636F6E74656E7473206F6620436F76';
wwv_flow_api.g_varchar2_table(29) := '6572656420536F6674776172653B206F720D0A0D0A2020202020622E20616E79206E65772066696C6520696E20536F7572636520436F646520466F726D207468617420636F6E7461696E7320616E7920436F766572656420536F6674776172652E0D0A0D';
wwv_flow_api.g_varchar2_table(30) := '0A312E31312E2093506174656E7420436C61696D7394206F66206120436F6E7472696275746F720D0A0D0A2020202020206D65616E7320616E7920706174656E7420636C61696D2873292C20696E636C7564696E6720776974686F7574206C696D697461';
wwv_flow_api.g_varchar2_table(31) := '74696F6E2C206D6574686F642C2070726F636573732C0D0A202020202020616E642061707061726174757320636C61696D732C20696E20616E7920706174656E74204C6963656E7361626C65206279207375636820436F6E7472696275746F7220746861';
wwv_flow_api.g_varchar2_table(32) := '740D0A202020202020776F756C6420626520696E6672696E6765642C2062757420666F7220746865206772616E74206F6620746865204C6963656E73652C20627920746865206D616B696E672C0D0A2020202020207573696E672C2073656C6C696E672C';
wwv_flow_api.g_varchar2_table(33) := '206F66666572696E6720666F722073616C652C20686176696E67206D6164652C20696D706F72742C206F72207472616E73666572206F660D0A2020202020206569746865722069747320436F6E747269627574696F6E73206F722069747320436F6E7472';
wwv_flow_api.g_varchar2_table(34) := '696275746F722056657273696F6E2E0D0A0D0A312E31322E20935365636F6E64617279204C6963656E7365940D0A0D0A2020202020206D65616E73206569746865722074686520474E552047656E6572616C205075626C6963204C6963656E73652C2056';
wwv_flow_api.g_varchar2_table(35) := '657273696F6E20322E302C2074686520474E55204C65737365720D0A20202020202047656E6572616C205075626C6963204C6963656E73652C2056657273696F6E20322E312C2074686520474E552041666665726F2047656E6572616C205075626C6963';
wwv_flow_api.g_varchar2_table(36) := '0D0A2020202020204C6963656E73652C2056657273696F6E20332E302C206F7220616E79206C617465722076657273696F6E73206F662074686F7365206C6963656E7365732E0D0A0D0A312E31332E2093536F7572636520436F646520466F726D940D0A';
wwv_flow_api.g_varchar2_table(37) := '0D0A2020202020206D65616E732074686520666F726D206F662074686520776F726B2070726566657272656420666F72206D616B696E67206D6F64696669636174696F6E732E0D0A0D0A312E31342E2093596F759420286F722093596F757294290D0A0D';
wwv_flow_api.g_varchar2_table(38) := '0A2020202020206D65616E7320616E20696E646976696475616C206F722061206C6567616C20656E746974792065786572636973696E672072696768747320756E64657220746869730D0A2020202020204C6963656E73652E20466F72206C6567616C20';
wwv_flow_api.g_varchar2_table(39) := '656E7469746965732C2093596F759420696E636C7564657320616E7920656E74697479207468617420636F6E74726F6C732C2069730D0A202020202020636F6E74726F6C6C65642062792C206F7220697320756E64657220636F6D6D6F6E20636F6E7472';
wwv_flow_api.g_varchar2_table(40) := '6F6C207769746820596F752E20466F7220707572706F736573206F6620746869730D0A202020202020646566696E6974696F6E2C2093636F6E74726F6C94206D65616E73202861292074686520706F7765722C20646972656374206F7220696E64697265';
wwv_flow_api.g_varchar2_table(41) := '63742C20746F2063617573650D0A20202020202074686520646972656374696F6E206F72206D616E6167656D656E74206F66207375636820656E746974792C207768657468657220627920636F6E7472616374206F720D0A2020202020206F7468657277';
wwv_flow_api.g_varchar2_table(42) := '6973652C206F7220286229206F776E657273686970206F66206D6F7265207468616E2066696674792070657263656E74202835302529206F66207468650D0A2020202020206F75747374616E64696E6720736861726573206F722062656E656669636961';
wwv_flow_api.g_varchar2_table(43) := '6C206F776E657273686970206F66207375636820656E746974792E0D0A0D0A0D0A322E204C6963656E7365204772616E747320616E6420436F6E646974696F6E730D0A0D0A322E312E204772616E74730D0A0D0A20202020204561636820436F6E747269';
wwv_flow_api.g_varchar2_table(44) := '6275746F7220686572656279206772616E747320596F75206120776F726C642D776964652C20726F79616C74792D667265652C0D0A20202020206E6F6E2D6578636C7573697665206C6963656E73653A0D0A0D0A2020202020612E20756E64657220696E';
wwv_flow_api.g_varchar2_table(45) := '74656C6C65637475616C2070726F70657274792072696768747320286F74686572207468616E20706174656E74206F722074726164656D61726B290D0A20202020202020204C6963656E7361626C65206279207375636820436F6E7472696275746F7220';
wwv_flow_api.g_varchar2_table(46) := '746F207573652C20726570726F647563652C206D616B6520617661696C61626C652C0D0A20202020202020206D6F646966792C20646973706C61792C20706572666F726D2C20646973747269627574652C20616E64206F7468657277697365206578706C';
wwv_flow_api.g_varchar2_table(47) := '6F6974206974730D0A2020202020202020436F6E747269627574696F6E732C20656974686572206F6E20616E20756E6D6F6469666965642062617369732C2077697468204D6F64696669636174696F6E732C206F722061730D0A20202020202020207061';
wwv_flow_api.g_varchar2_table(48) := '7274206F662061204C617267657220576F726B3B20616E640D0A0D0A2020202020622E20756E64657220506174656E7420436C61696D73206F66207375636820436F6E7472696275746F7220746F206D616B652C207573652C2073656C6C2C206F666665';
wwv_flow_api.g_varchar2_table(49) := '7220666F720D0A202020202020202073616C652C2068617665206D6164652C20696D706F72742C20616E64206F7468657277697365207472616E73666572206569746865722069747320436F6E747269627574696F6E730D0A20202020202020206F7220';
wwv_flow_api.g_varchar2_table(50) := '69747320436F6E7472696275746F722056657273696F6E2E0D0A0D0A322E322E2045666665637469766520446174650D0A0D0A2020202020546865206C6963656E736573206772616E74656420696E2053656374696F6E20322E31207769746820726573';
wwv_flow_api.g_varchar2_table(51) := '7065637420746F20616E7920436F6E747269627574696F6E206265636F6D650D0A202020202065666665637469766520666F72206561636820436F6E747269627574696F6E206F6E2074686520646174652074686520436F6E7472696275746F72206669';
wwv_flow_api.g_varchar2_table(52) := '7273742064697374726962757465730D0A20202020207375636820436F6E747269627574696F6E2E0D0A0D0A322E332E204C696D69746174696F6E73206F6E204772616E742053636F70650D0A0D0A2020202020546865206C6963656E73657320677261';
wwv_flow_api.g_varchar2_table(53) := '6E74656420696E20746869732053656374696F6E20322061726520746865206F6E6C7920726967687473206772616E74656420756E64657220746869730D0A20202020204C6963656E73652E204E6F206164646974696F6E616C20726967687473206F72';
wwv_flow_api.g_varchar2_table(54) := '206C6963656E7365732077696C6C20626520696D706C6965642066726F6D2074686520646973747269627574696F6E0D0A20202020206F72206C6963656E73696E67206F6620436F766572656420536F66747761726520756E6465722074686973204C69';
wwv_flow_api.g_varchar2_table(55) := '63656E73652E204E6F74776974687374616E64696E672053656374696F6E0D0A2020202020322E312862292061626F76652C206E6F20706174656E74206C6963656E7365206973206772616E746564206279206120436F6E7472696275746F723A0D0A0D';
wwv_flow_api.g_varchar2_table(56) := '0A2020202020612E20666F7220616E7920636F64652074686174206120436F6E7472696275746F72206861732072656D6F7665642066726F6D20436F766572656420536F6674776172653B206F720D0A0D0A2020202020622E20666F7220696E6672696E';
wwv_flow_api.g_varchar2_table(57) := '67656D656E7473206361757365642062793A2028692920596F757220616E6420616E79206F7468657220746869726420706172747992730D0A20202020202020206D6F64696669636174696F6E73206F6620436F766572656420536F6674776172652C20';
wwv_flow_api.g_varchar2_table(58) := '6F7220286969292074686520636F6D62696E6174696F6E206F66206974730D0A2020202020202020436F6E747269627574696F6E732077697468206F7468657220736F66747761726520286578636570742061732070617274206F662069747320436F6E';
wwv_flow_api.g_varchar2_table(59) := '7472696275746F720D0A202020202020202056657273696F6E293B206F720D0A0D0A2020202020632E20756E64657220506174656E7420436C61696D7320696E6672696E67656420627920436F766572656420536F66747761726520696E207468652061';
wwv_flow_api.g_varchar2_table(60) := '6273656E6365206F66206974730D0A2020202020202020436F6E747269627574696F6E732E0D0A0D0A202020202054686973204C6963656E736520646F6573206E6F74206772616E7420616E792072696768747320696E207468652074726164656D6172';
wwv_flow_api.g_varchar2_table(61) := '6B732C2073657276696365206D61726B732C206F720D0A20202020206C6F676F73206F6620616E7920436F6E7472696275746F722028657863657074206173206D6179206265206E656365737361727920746F20636F6D706C792077697468207468650D';
wwv_flow_api.g_varchar2_table(62) := '0A20202020206E6F7469636520726571756972656D656E747320696E2053656374696F6E20332E34292E0D0A0D0A322E342E2053756273657175656E74204C6963656E7365730D0A0D0A20202020204E6F20436F6E7472696275746F72206D616B657320';
wwv_flow_api.g_varchar2_table(63) := '6164646974696F6E616C206772616E7473206173206120726573756C74206F6620596F75722063686F69636520746F0D0A2020202020646973747269627574652074686520436F766572656420536F66747761726520756E646572206120737562736571';
wwv_flow_api.g_varchar2_table(64) := '75656E742076657273696F6E206F662074686973204C6963656E73650D0A2020202020287365652053656374696F6E2031302E3229206F7220756E64657220746865207465726D73206F662061205365636F6E64617279204C6963656E73652028696620';
wwv_flow_api.g_varchar2_table(65) := '7065726D69747465640D0A2020202020756E64657220746865207465726D73206F662053656374696F6E20332E33292E0D0A0D0A322E352E20526570726573656E746174696F6E0D0A0D0A20202020204561636820436F6E7472696275746F7220726570';
wwv_flow_api.g_varchar2_table(66) := '726573656E747320746861742074686520436F6E7472696275746F722062656C69657665732069747320436F6E747269627574696F6E730D0A202020202061726520697473206F726967696E616C206372656174696F6E287329206F7220697420686173';
wwv_flow_api.g_varchar2_table(67) := '2073756666696369656E742072696768747320746F206772616E74207468650D0A202020202072696768747320746F2069747320436F6E747269627574696F6E7320636F6E76657965642062792074686973204C6963656E73652E0D0A0D0A322E362E20';
wwv_flow_api.g_varchar2_table(68) := '46616972205573650D0A0D0A202020202054686973204C6963656E7365206973206E6F7420696E74656E64656420746F206C696D697420616E792072696768747320596F75206861766520756E646572206170706C696361626C650D0A2020202020636F';
wwv_flow_api.g_varchar2_table(69) := '7079726967687420646F637472696E6573206F662066616972207573652C2066616972206465616C696E672C206F72206F74686572206571756976616C656E74732E0D0A0D0A322E372E20436F6E646974696F6E730D0A0D0A202020202053656374696F';
wwv_flow_api.g_varchar2_table(70) := '6E7320332E312C20332E322C20332E332C20616E6420332E342061726520636F6E646974696F6E73206F6620746865206C6963656E736573206772616E74656420696E0D0A202020202053656374696F6E20322E312E0D0A0D0A0D0A332E20526573706F';
wwv_flow_api.g_varchar2_table(71) := '6E736962696C69746965730D0A0D0A332E312E20446973747269627574696F6E206F6620536F7572636520466F726D0D0A0D0A2020202020416C6C20646973747269627574696F6E206F6620436F766572656420536F66747761726520696E20536F7572';
wwv_flow_api.g_varchar2_table(72) := '636520436F646520466F726D2C20696E636C7564696E6720616E790D0A20202020204D6F64696669636174696F6E73207468617420596F7520637265617465206F7220746F20776869636820596F7520636F6E747269627574652C206D75737420626520';
wwv_flow_api.g_varchar2_table(73) := '756E646572207468650D0A20202020207465726D73206F662074686973204C6963656E73652E20596F75206D75737420696E666F726D20726563697069656E747320746861742074686520536F7572636520436F646520466F726D0D0A20202020206F66';
wwv_flow_api.g_varchar2_table(74) := '2074686520436F766572656420536F66747761726520697320676F7665726E656420627920746865207465726D73206F662074686973204C6963656E73652C20616E6420686F770D0A2020202020746865792063616E206F627461696E206120636F7079';
wwv_flow_api.g_varchar2_table(75) := '206F662074686973204C6963656E73652E20596F75206D6179206E6F7420617474656D707420746F20616C746572206F720D0A202020202072657374726963742074686520726563697069656E7473922072696768747320696E2074686520536F757263';
wwv_flow_api.g_varchar2_table(76) := '6520436F646520466F726D2E0D0A0D0A332E322E20446973747269627574696F6E206F662045786563757461626C6520466F726D0D0A0D0A2020202020496620596F75206469737472696275746520436F766572656420536F66747761726520696E2045';
wwv_flow_api.g_varchar2_table(77) := '786563757461626C6520466F726D207468656E3A0D0A0D0A2020202020612E207375636820436F766572656420536F667477617265206D75737420616C736F206265206D61646520617661696C61626C6520696E20536F7572636520436F646520466F72';
wwv_flow_api.g_varchar2_table(78) := '6D2C0D0A202020202020202061732064657363726962656420696E2053656374696F6E20332E312C20616E6420596F75206D75737420696E666F726D20726563697069656E7473206F66207468650D0A202020202020202045786563757461626C652046';
wwv_flow_api.g_varchar2_table(79) := '6F726D20686F7720746865792063616E206F627461696E206120636F7079206F66207375636820536F7572636520436F646520466F726D2062790D0A2020202020202020726561736F6E61626C65206D65616E7320696E20612074696D656C79206D616E';
wwv_flow_api.g_varchar2_table(80) := '6E65722C206174206120636861726765206E6F206D6F7265207468616E2074686520636F73740D0A20202020202020206F6620646973747269627574696F6E20746F2074686520726563697069656E743B20616E640D0A0D0A2020202020622E20596F75';
wwv_flow_api.g_varchar2_table(81) := '206D6179206469737472696275746520737563682045786563757461626C6520466F726D20756E64657220746865207465726D73206F662074686973204C6963656E73652C0D0A20202020202020206F72207375626C6963656E736520697420756E6465';
wwv_flow_api.g_varchar2_table(82) := '7220646966666572656E74207465726D732C2070726F7669646564207468617420746865206C6963656E736520666F720D0A20202020202020207468652045786563757461626C6520466F726D20646F6573206E6F7420617474656D707420746F206C69';
wwv_flow_api.g_varchar2_table(83) := '6D6974206F7220616C7465722074686520726563697069656E7473920D0A202020202020202072696768747320696E2074686520536F7572636520436F646520466F726D20756E6465722074686973204C6963656E73652E0D0A0D0A332E332E20446973';
wwv_flow_api.g_varchar2_table(84) := '747269627574696F6E206F662061204C617267657220576F726B0D0A0D0A2020202020596F75206D61792063726561746520616E6420646973747269627574652061204C617267657220576F726B20756E646572207465726D73206F6620596F75722063';
wwv_flow_api.g_varchar2_table(85) := '686F6963652C0D0A202020202070726F7669646564207468617420596F7520616C736F20636F6D706C7920776974682074686520726571756972656D656E7473206F662074686973204C6963656E736520666F72207468650D0A2020202020436F766572';
wwv_flow_api.g_varchar2_table(86) := '656420536F6674776172652E20496620746865204C617267657220576F726B206973206120636F6D62696E6174696F6E206F6620436F766572656420536F6674776172650D0A202020202077697468206120776F726B20676F7665726E6564206279206F';
wwv_flow_api.g_varchar2_table(87) := '6E65206F72206D6F7265205365636F6E64617279204C6963656E7365732C20616E642074686520436F76657265640D0A2020202020536F667477617265206973206E6F7420496E636F6D70617469626C652057697468205365636F6E64617279204C6963';
wwv_flow_api.g_varchar2_table(88) := '656E7365732C2074686973204C6963656E7365207065726D6974730D0A2020202020596F7520746F206164646974696F6E616C6C792064697374726962757465207375636820436F766572656420536F66747761726520756E6465722074686520746572';
wwv_flow_api.g_varchar2_table(89) := '6D73206F660D0A202020202073756368205365636F6E64617279204C6963656E73652873292C20736F20746861742074686520726563697069656E74206F6620746865204C617267657220576F726B206D61792C2061740D0A2020202020746865697220';
wwv_flow_api.g_varchar2_table(90) := '6F7074696F6E2C206675727468657220646973747269627574652074686520436F766572656420536F66747761726520756E64657220746865207465726D73206F660D0A20202020206569746865722074686973204C6963656E7365206F722073756368';
wwv_flow_api.g_varchar2_table(91) := '205365636F6E64617279204C6963656E73652873292E0D0A0D0A332E342E204E6F74696365730D0A0D0A2020202020596F75206D6179206E6F742072656D6F7665206F7220616C74657220746865207375627374616E6365206F6620616E79206C696365';
wwv_flow_api.g_varchar2_table(92) := '6E7365206E6F74696365732028696E636C7564696E670D0A2020202020636F70797269676874206E6F74696365732C20706174656E74206E6F74696365732C20646973636C61696D657273206F662077617272616E74792C206F72206C696D6974617469';
wwv_flow_api.g_varchar2_table(93) := '6F6E730D0A20202020206F66206C696162696C6974792920636F6E7461696E65642077697468696E2074686520536F7572636520436F646520466F726D206F662074686520436F76657265640D0A2020202020536F6674776172652C2065786365707420';
wwv_flow_api.g_varchar2_table(94) := '7468617420596F75206D617920616C74657220616E79206C6963656E7365206E6F746963657320746F2074686520657874656E740D0A2020202020726571756972656420746F2072656D656479206B6E6F776E206661637475616C20696E616363757261';
wwv_flow_api.g_varchar2_table(95) := '636965732E0D0A0D0A332E352E204170706C69636174696F6E206F66204164646974696F6E616C205465726D730D0A0D0A2020202020596F75206D61792063686F6F736520746F206F666665722C20616E6420746F206368617267652061206665652066';
wwv_flow_api.g_varchar2_table(96) := '6F722C2077617272616E74792C20737570706F72742C0D0A2020202020696E64656D6E697479206F72206C696162696C697479206F626C69676174696F6E7320746F206F6E65206F72206D6F726520726563697069656E7473206F6620436F7665726564';
wwv_flow_api.g_varchar2_table(97) := '0D0A2020202020536F6674776172652E20486F77657665722C20596F75206D617920646F20736F206F6E6C79206F6E20596F7572206F776E20626568616C662C20616E64206E6F74206F6E20626568616C660D0A20202020206F6620616E7920436F6E74';
wwv_flow_api.g_varchar2_table(98) := '72696275746F722E20596F75206D757374206D616B65206974206162736F6C7574656C7920636C656172207468617420616E7920737563680D0A202020202077617272616E74792C20737570706F72742C20696E64656D6E6974792C206F72206C696162';
wwv_flow_api.g_varchar2_table(99) := '696C697479206F626C69676174696F6E206973206F66666572656420627920596F750D0A2020202020616C6F6E652C20616E6420596F752068657265627920616772656520746F20696E64656D6E69667920657665727920436F6E7472696275746F7220';
wwv_flow_api.g_varchar2_table(100) := '666F7220616E790D0A20202020206C696162696C69747920696E637572726564206279207375636820436F6E7472696275746F72206173206120726573756C74206F662077617272616E74792C20737570706F72742C0D0A2020202020696E64656D6E69';
wwv_flow_api.g_varchar2_table(101) := '7479206F72206C696162696C697479207465726D7320596F75206F666665722E20596F75206D617920696E636C756465206164646974696F6E616C0D0A2020202020646973636C61696D657273206F662077617272616E747920616E64206C696D697461';
wwv_flow_api.g_varchar2_table(102) := '74696F6E73206F66206C696162696C69747920737065636966696320746F20616E790D0A20202020206A7572697364696374696F6E2E0D0A0D0A342E20496E6162696C69747920746F20436F6D706C792044756520746F2053746174757465206F722052';
wwv_flow_api.g_varchar2_table(103) := '6567756C6174696F6E0D0A0D0A202020496620697420697320696D706F737369626C6520666F7220596F7520746F20636F6D706C79207769746820616E79206F6620746865207465726D73206F662074686973204C6963656E73650D0A20202077697468';
wwv_flow_api.g_varchar2_table(104) := '207265737065637420746F20736F6D65206F7220616C6C206F662074686520436F766572656420536F6674776172652064756520746F20737461747574652C206A7564696369616C0D0A2020206F726465722C206F7220726567756C6174696F6E207468';
wwv_flow_api.g_varchar2_table(105) := '656E20596F75206D7573743A2028612920636F6D706C79207769746820746865207465726D73206F662074686973204C6963656E73650D0A202020746F20746865206D6178696D756D20657874656E7420706F737369626C653B20616E64202862292064';
wwv_flow_api.g_varchar2_table(106) := '6573637269626520746865206C696D69746174696F6E7320616E642074686520636F64650D0A20202074686579206166666563742E2053756368206465736372697074696F6E206D75737420626520706C6163656420696E206120746578742066696C65';
wwv_flow_api.g_varchar2_table(107) := '20696E636C75646564207769746820616C6C0D0A202020646973747269627574696F6E73206F662074686520436F766572656420536F66747761726520756E6465722074686973204C6963656E73652E2045786365707420746F207468650D0A20202065';
wwv_flow_api.g_varchar2_table(108) := '7874656E742070726F686962697465642062792073746174757465206F7220726567756C6174696F6E2C2073756368206465736372697074696F6E206D7573742062650D0A20202073756666696369656E746C792064657461696C656420666F72206120';
wwv_flow_api.g_varchar2_table(109) := '726563697069656E74206F66206F7264696E61727920736B696C6C20746F2062652061626C6520746F0D0A202020756E6465727374616E642069742E0D0A0D0A352E205465726D696E6174696F6E0D0A0D0A352E312E2054686520726967687473206772';
wwv_flow_api.g_varchar2_table(110) := '616E74656420756E6465722074686973204C6963656E73652077696C6C207465726D696E617465206175746F6D61746963616C6C7920696620596F750D0A20202020206661696C20746F20636F6D706C79207769746820616E79206F6620697473207465';
wwv_flow_api.g_varchar2_table(111) := '726D732E20486F77657665722C20696620596F75206265636F6D6520636F6D706C69616E742C0D0A20202020207468656E2074686520726967687473206772616E74656420756E6465722074686973204C6963656E73652066726F6D2061207061727469';
wwv_flow_api.g_varchar2_table(112) := '63756C617220436F6E7472696275746F720D0A2020202020617265207265696E737461746564202861292070726F766973696F6E616C6C792C20756E6C65737320616E6420756E74696C207375636820436F6E7472696275746F720D0A20202020206578';
wwv_flow_api.g_varchar2_table(113) := '706C696369746C7920616E642066696E616C6C79207465726D696E6174657320596F7572206772616E74732C20616E6420286229206F6E20616E206F6E676F696E672062617369732C0D0A20202020206966207375636820436F6E7472696275746F7220';
wwv_flow_api.g_varchar2_table(114) := '6661696C7320746F206E6F7469667920596F75206F6620746865206E6F6E2D636F6D706C69616E636520627920736F6D650D0A2020202020726561736F6E61626C65206D65616E73207072696F7220746F203630206461797320616674657220596F7520';
wwv_flow_api.g_varchar2_table(115) := '6861766520636F6D65206261636B20696E746F20636F6D706C69616E63652E0D0A20202020204D6F72656F7665722C20596F7572206772616E74732066726F6D206120706172746963756C617220436F6E7472696275746F7220617265207265696E7374';
wwv_flow_api.g_varchar2_table(116) := '61746564206F6E20616E0D0A20202020206F6E676F696E67206261736973206966207375636820436F6E7472696275746F72206E6F74696669657320596F75206F6620746865206E6F6E2D636F6D706C69616E63652062790D0A2020202020736F6D6520';
wwv_flow_api.g_varchar2_table(117) := '726561736F6E61626C65206D65616E732C2074686973206973207468652066697273742074696D6520596F752068617665207265636569766564206E6F74696365206F660D0A20202020206E6F6E2D636F6D706C69616E63652077697468207468697320';
wwv_flow_api.g_varchar2_table(118) := '4C6963656E73652066726F6D207375636820436F6E7472696275746F722C20616E6420596F75206265636F6D650D0A2020202020636F6D706C69616E74207072696F7220746F203330206461797320616674657220596F75722072656365697074206F66';
wwv_flow_api.g_varchar2_table(119) := '20746865206E6F746963652E0D0A0D0A352E322E20496620596F7520696E697469617465206C697469676174696F6E20616761696E737420616E7920656E7469747920627920617373657274696E67206120706174656E740D0A2020202020696E667269';
wwv_flow_api.g_varchar2_table(120) := '6E67656D656E7420636C61696D20286578636C7564696E67206465636C617261746F7279206A7564676D656E7420616374696F6E732C20636F756E7465722D636C61696D732C0D0A2020202020616E642063726F73732D636C61696D732920616C6C6567';
wwv_flow_api.g_varchar2_table(121) := '696E672074686174206120436F6E7472696275746F722056657273696F6E206469726563746C79206F720D0A2020202020696E6469726563746C7920696E6672696E67657320616E7920706174656E742C207468656E2074686520726967687473206772';
wwv_flow_api.g_varchar2_table(122) := '616E74656420746F20596F7520627920616E7920616E640D0A2020202020616C6C20436F6E7472696275746F727320666F722074686520436F766572656420536F66747761726520756E6465722053656374696F6E20322E31206F662074686973204C69';
wwv_flow_api.g_varchar2_table(123) := '63656E73650D0A20202020207368616C6C207465726D696E6174652E0D0A0D0A352E332E20496E20746865206576656E74206F66207465726D696E6174696F6E20756E6465722053656374696F6E7320352E31206F7220352E322061626F76652C20616C';
wwv_flow_api.g_varchar2_table(124) := '6C20656E6420757365720D0A20202020206C6963656E73652061677265656D656E747320286578636C7564696E67206469737472696275746F727320616E6420726573656C6C657273292077686963682068617665206265656E0D0A202020202076616C';
wwv_flow_api.g_varchar2_table(125) := '69646C79206772616E74656420627920596F75206F7220596F7572206469737472696275746F727320756E6465722074686973204C6963656E7365207072696F7220746F0D0A20202020207465726D696E6174696F6E207368616C6C2073757276697665';
wwv_flow_api.g_varchar2_table(126) := '207465726D696E6174696F6E2E0D0A0D0A362E20446973636C61696D6572206F662057617272616E74790D0A0D0A202020436F766572656420536F6674776172652069732070726F766964656420756E6465722074686973204C6963656E7365206F6E20';
wwv_flow_api.g_varchar2_table(127) := '616E20936173206973942062617369732C20776974686F75740D0A20202077617272616E7479206F6620616E79206B696E642C20656974686572206578707265737365642C20696D706C6965642C206F72207374617475746F72792C20696E636C756469';
wwv_flow_api.g_varchar2_table(128) := '6E672C0D0A202020776974686F7574206C696D69746174696F6E2C2077617272616E7469657320746861742074686520436F766572656420536F6674776172652069732066726565206F6620646566656374732C0D0A2020206D65726368616E7461626C';
wwv_flow_api.g_varchar2_table(129) := '652C2066697420666F72206120706172746963756C617220707572706F7365206F72206E6F6E2D696E6672696E67696E672E2054686520656E746972650D0A2020207269736B20617320746F20746865207175616C69747920616E6420706572666F726D';
wwv_flow_api.g_varchar2_table(130) := '616E6365206F662074686520436F766572656420536F667477617265206973207769746820596F752E0D0A20202053686F756C6420616E7920436F766572656420536F6674776172652070726F76652064656665637469766520696E20616E7920726573';
wwv_flow_api.g_varchar2_table(131) := '706563742C20596F7520286E6F7420616E790D0A202020436F6E7472696275746F722920617373756D652074686520636F7374206F6620616E79206E656365737361727920736572766963696E672C207265706169722C206F720D0A202020636F727265';
wwv_flow_api.g_varchar2_table(132) := '6374696F6E2E205468697320646973636C61696D6572206F662077617272616E747920636F6E737469747574657320616E20657373656E7469616C2070617274206F6620746869730D0A2020204C6963656E73652E204E6F20757365206F662020616E79';
wwv_flow_api.g_varchar2_table(133) := '20436F766572656420536F66747761726520697320617574686F72697A656420756E6465722074686973204C6963656E73650D0A20202065786365707420756E646572207468697320646973636C61696D65722E0D0A0D0A372E204C696D69746174696F';
wwv_flow_api.g_varchar2_table(134) := '6E206F66204C696162696C6974790D0A0D0A202020556E646572206E6F2063697263756D7374616E63657320616E6420756E646572206E6F206C6567616C207468656F72792C207768657468657220746F72742028696E636C7564696E670D0A2020206E';
wwv_flow_api.g_varchar2_table(135) := '65676C6967656E6365292C20636F6E74726163742C206F72206F74686572776973652C207368616C6C20616E7920436F6E7472696275746F722C206F7220616E796F6E652077686F0D0A202020646973747269627574657320436F766572656420536F66';
wwv_flow_api.g_varchar2_table(136) := '7477617265206173207065726D69747465642061626F76652C206265206C6961626C6520746F20596F7520666F7220616E790D0A2020206469726563742C20696E6469726563742C207370656369616C2C20696E636964656E74616C2C206F7220636F6E';
wwv_flow_api.g_varchar2_table(137) := '73657175656E7469616C2064616D61676573206F6620616E790D0A20202063686172616374657220696E636C7564696E672C20776974686F7574206C696D69746174696F6E2C2064616D6167657320666F72206C6F73742070726F666974732C206C6F73';
wwv_flow_api.g_varchar2_table(138) := '73206F660D0A202020676F6F6477696C6C2C20776F726B2073746F70706167652C20636F6D7075746572206661696C757265206F72206D616C66756E6374696F6E2C206F7220616E7920616E6420616C6C0D0A2020206F7468657220636F6D6D65726369';
wwv_flow_api.g_varchar2_table(139) := '616C2064616D61676573206F72206C6F737365732C206576656E2069662073756368207061727479207368616C6C2068617665206265656E0D0A202020696E666F726D6564206F662074686520706F73736962696C697479206F6620737563682064616D';
wwv_flow_api.g_varchar2_table(140) := '616765732E2054686973206C696D69746174696F6E206F66206C696162696C6974790D0A2020207368616C6C206E6F74206170706C7920746F206C696162696C69747920666F72206465617468206F7220706572736F6E616C20696E6A75727920726573';
wwv_flow_api.g_varchar2_table(141) := '756C74696E672066726F6D20737563680D0A20202070617274799273206E65676C6967656E636520746F2074686520657874656E74206170706C696361626C65206C61772070726F6869626974732073756368206C696D69746174696F6E2E0D0A202020';
wwv_flow_api.g_varchar2_table(142) := '536F6D65206A7572697364696374696F6E7320646F206E6F7420616C6C6F7720746865206578636C7573696F6E206F72206C696D69746174696F6E206F6620696E636964656E74616C206F720D0A202020636F6E73657175656E7469616C2064616D6167';
wwv_flow_api.g_varchar2_table(143) := '65732C20736F2074686973206578636C7573696F6E20616E64206C696D69746174696F6E206D6179206E6F74206170706C7920746F20596F752E0D0A0D0A382E204C697469676174696F6E0D0A0D0A202020416E79206C697469676174696F6E2072656C';
wwv_flow_api.g_varchar2_table(144) := '6174696E6720746F2074686973204C6963656E7365206D61792062652062726F75676874206F6E6C7920696E2074686520636F75727473206F660D0A20202061206A7572697364696374696F6E2077686572652074686520646566656E64616E74206D61';
wwv_flow_api.g_varchar2_table(145) := '696E7461696E7320697473207072696E636970616C20706C616365206F6620627573696E6573730D0A202020616E642073756368206C697469676174696F6E207368616C6C20626520676F7665726E6564206279206C617773206F662074686174206A75';
wwv_flow_api.g_varchar2_table(146) := '72697364696374696F6E2C20776974686F75740D0A2020207265666572656E636520746F2069747320636F6E666C6963742D6F662D6C61772070726F766973696F6E732E204E6F7468696E6720696E20746869732053656374696F6E207368616C6C0D0A';
wwv_flow_api.g_varchar2_table(147) := '20202070726576656E7420612070617274799273206162696C69747920746F206272696E672063726F73732D636C61696D73206F7220636F756E7465722D636C61696D732E0D0A0D0A392E204D697363656C6C616E656F75730D0A0D0A20202054686973';
wwv_flow_api.g_varchar2_table(148) := '204C6963656E736520726570726573656E74732074686520636F6D706C6574652061677265656D656E7420636F6E6365726E696E6720746865207375626A656374206D61747465720D0A202020686572656F662E20496620616E792070726F766973696F';
wwv_flow_api.g_varchar2_table(149) := '6E206F662074686973204C6963656E73652069732068656C6420746F20626520756E656E666F72636561626C652C20737563680D0A20202070726F766973696F6E207368616C6C206265207265666F726D6564206F6E6C7920746F207468652065787465';
wwv_flow_api.g_varchar2_table(150) := '6E74206E656365737361727920746F206D616B652069740D0A202020656E666F72636561626C652E20416E79206C6177206F7220726567756C6174696F6E2077686963682070726F7669646573207468617420746865206C616E6775616765206F662061';
wwv_flow_api.g_varchar2_table(151) := '0D0A202020636F6E7472616374207368616C6C20626520636F6E73747275656420616761696E7374207468652064726166746572207368616C6C206E6F74206265207573656420746F20636F6E73747275650D0A20202074686973204C6963656E736520';
wwv_flow_api.g_varchar2_table(152) := '616761696E7374206120436F6E7472696275746F722E0D0A0D0A0D0A31302E2056657273696F6E73206F6620746865204C6963656E73650D0A0D0A31302E312E204E65772056657273696F6E730D0A0D0A2020202020204D6F7A696C6C6120466F756E64';
wwv_flow_api.g_varchar2_table(153) := '6174696F6E20697320746865206C6963656E736520737465776172642E204578636570742061732070726F766964656420696E2053656374696F6E0D0A20202020202031302E332C206E6F206F6E65206F74686572207468616E20746865206C6963656E';
wwv_flow_api.g_varchar2_table(154) := '73652073746577617264206861732074686520726967687420746F206D6F64696679206F720D0A2020202020207075626C697368206E65772076657273696F6E73206F662074686973204C6963656E73652E20456163682076657273696F6E2077696C6C';
wwv_flow_api.g_varchar2_table(155) := '20626520676976656E20610D0A20202020202064697374696E6775697368696E672076657273696F6E206E756D6265722E0D0A0D0A31302E322E20456666656374206F66204E65772056657273696F6E730D0A0D0A202020202020596F75206D61792064';
wwv_flow_api.g_varchar2_table(156) := '6973747269627574652074686520436F766572656420536F66747761726520756E64657220746865207465726D73206F66207468652076657273696F6E206F660D0A202020202020746865204C6963656E736520756E64657220776869636820596F7520';
wwv_flow_api.g_varchar2_table(157) := '6F726967696E616C6C792072656365697665642074686520436F766572656420536F6674776172652C206F720D0A202020202020756E64657220746865207465726D73206F6620616E792073756273657175656E742076657273696F6E207075626C6973';
wwv_flow_api.g_varchar2_table(158) := '68656420627920746865206C6963656E73650D0A202020202020737465776172642E0D0A0D0A31302E332E204D6F6469666965642056657273696F6E730D0A0D0A202020202020496620796F752063726561746520736F667477617265206E6F7420676F';
wwv_flow_api.g_varchar2_table(159) := '7665726E65642062792074686973204C6963656E73652C20616E6420796F752077616E7420746F0D0A2020202020206372656174652061206E6577206C6963656E736520666F72207375636820736F6674776172652C20796F75206D6179206372656174';
wwv_flow_api.g_varchar2_table(160) := '6520616E64207573652061206D6F6469666965640D0A20202020202076657273696F6E206F662074686973204C6963656E736520696620796F752072656E616D6520746865206C6963656E736520616E642072656D6F766520616E790D0A202020202020';
wwv_flow_api.g_varchar2_table(161) := '7265666572656E63657320746F20746865206E616D65206F6620746865206C6963656E73652073746577617264202865786365707420746F206E6F7465207468617420737563680D0A2020202020206D6F646966696564206C6963656E73652064696666';
wwv_flow_api.g_varchar2_table(162) := '6572732066726F6D2074686973204C6963656E7365292E0D0A0D0A31302E342E20446973747269627574696E6720536F7572636520436F646520466F726D207468617420697320496E636F6D70617469626C652057697468205365636F6E64617279204C';
wwv_flow_api.g_varchar2_table(163) := '6963656E7365730D0A202020202020496620596F752063686F6F736520746F206469737472696275746520536F7572636520436F646520466F726D207468617420697320496E636F6D70617469626C6520576974680D0A2020202020205365636F6E6461';
wwv_flow_api.g_varchar2_table(164) := '7279204C6963656E73657320756E64657220746865207465726D73206F6620746869732076657273696F6E206F6620746865204C6963656E73652C207468650D0A2020202020206E6F746963652064657363726962656420696E20457868696269742042';
wwv_flow_api.g_varchar2_table(165) := '206F662074686973204C6963656E7365206D7573742062652061747461636865642E0D0A0D0A457868696269742041202D20536F7572636520436F646520466F726D204C6963656E7365204E6F746963650D0A0D0A2020202020205468697320536F7572';
wwv_flow_api.g_varchar2_table(166) := '636520436F646520466F726D206973207375626A65637420746F207468650D0A2020202020207465726D73206F6620746865204D6F7A696C6C61205075626C6963204C6963656E73652C20762E0D0A202020202020322E302E204966206120636F707920';
wwv_flow_api.g_varchar2_table(167) := '6F6620746865204D504C20776173206E6F740D0A2020202020206469737472696275746564207769746820746869732066696C652C20596F752063616E0D0A2020202020206F627461696E206F6E652061740D0A202020202020687474703A2F2F6D6F7A';
wwv_flow_api.g_varchar2_table(168) := '696C6C612E6F72672F4D504C2F322E302F2E0D0A0D0A4966206974206973206E6F7420706F737369626C65206F7220646573697261626C6520746F2070757420746865206E6F7469636520696E206120706172746963756C61722066696C652C20746865';
wwv_flow_api.g_varchar2_table(169) := '6E0D0A596F75206D617920696E636C75646520746865206E6F7469636520696E2061206C6F636174696F6E2028737563682061732061204C4943454E53452066696C6520696E20612072656C6576616E740D0A6469726563746F72792920776865726520';
wwv_flow_api.g_varchar2_table(170) := '6120726563697069656E7420776F756C64206265206C696B656C7920746F206C6F6F6B20666F7220737563682061206E6F746963652E0D0A0D0A596F75206D617920616464206164646974696F6E616C206163637572617465206E6F7469636573206F66';
wwv_flow_api.g_varchar2_table(171) := '20636F70797269676874206F776E6572736869702E0D0A0D0A457868696269742042202D2093496E636F6D70617469626C652057697468205365636F6E64617279204C6963656E73657394204E6F746963650D0A0D0A2020202020205468697320536F75';
wwv_flow_api.g_varchar2_table(172) := '72636520436F646520466F726D2069732093496E636F6D70617469626C650D0A20202020202057697468205365636F6E64617279204C6963656E736573942C20617320646566696E65642062790D0A202020202020746865204D6F7A696C6C6120507562';
wwv_flow_api.g_varchar2_table(173) := '6C6963204C6963656E73652C20762E20322E302E0D0A0D0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(65302405931316278021)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_file_name=>'LICENSE4LIBS'
,p_mime_type=>'application/octet-stream'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2166756E6374696F6E28652C74297B226F626A656374223D3D747970656F66206578706F727473262622756E646566696E656422213D747970656F66206D6F64756C653F6D6F64756C652E6578706F7274733D7428293A2266756E6374696F6E223D3D74';
wwv_flow_api.g_varchar2_table(2) := '7970656F6620646566696E652626646566696E652E616D643F646566696E652874293A652E444F4D5075726966793D7428297D28746869732C66756E6374696F6E28297B2275736520737472696374223B66756E6374696F6E206528652C74297B682626';
wwv_flow_api.g_varchar2_table(3) := '6828652C6E756C6C293B666F722876617220723D742E6C656E6774683B722D2D3B297B766172206E3D745B725D3B69662822737472696E67223D3D747970656F66206E297B766172206F3D6E2E746F4C6F7765724361736528293B6F213D3D6E2626284F';
wwv_flow_api.g_varchar2_table(4) := '626A6563742E697346726F7A656E2874297C7C28745B725D3D6F292C6E3D6F297D655B6E5D3D21307D72657475726E20657D66756E6374696F6E20742865297B76617220743D7B7D2C723D766F696420303B666F72287220696E2065297928672C652C5B';
wwv_flow_api.g_varchar2_table(5) := '725D29262628745B725D3D655B725D293B72657475726E20747D66756E6374696F6E20722865297B69662841727261792E69734172726179286529297B666F722876617220743D302C723D417272617928652E6C656E677468293B743C652E6C656E6774';
wwv_flow_api.g_varchar2_table(6) := '683B742B2B29725B745D3D655B745D3B72657475726E20727D72657475726E2041727261792E66726F6D2865297D66756E6374696F6E206E28297B766172206F3D617267756D656E74732E6C656E6774683E302626766F69642030213D3D617267756D65';
wwv_flow_api.g_varchar2_table(7) := '6E74735B305D3F617267756D656E74735B305D3A5228292C753D66756E6374696F6E2865297B72657475726E206E2865297D3B696628752E76657273696F6E3D22322E302E37222C752E72656D6F7665643D5B5D2C216F7C7C216F2E646F63756D656E74';
wwv_flow_api.g_varchar2_table(8) := '7C7C39213D3D6F2E646F63756D656E742E6E6F6465547970652972657475726E20752E6973537570706F727465643D21312C753B76617220673D6F2E646F63756D656E742C683D21312C793D21312C623D6F2E646F63756D656E742C5F3D6F2E446F6375';
wwv_flow_api.g_varchar2_table(9) := '6D656E74467261676D656E742C433D6F2E48544D4C54656D706C617465456C656D656E742C443D6F2E4E6F64652C493D6F2E4E6F646546696C7465722C483D6F2E4E616D65644E6F64654D61702C7A3D766F696420303D3D3D483F6F2E4E616D65644E6F';
wwv_flow_api.g_varchar2_table(10) := '64654D61707C7C6F2E4D6F7A4E616D6564417474724D61703A482C503D6F2E546578742C463D6F2E436F6D6D656E742C6A3D6F2E444F4D5061727365722C553D6F2E5472757374656454797065733B6966282266756E6374696F6E223D3D747970656F66';
wwv_flow_api.g_varchar2_table(11) := '2043297B76617220243D622E637265617465456C656D656E74282274656D706C61746522293B242E636F6E74656E742626242E636F6E74656E742E6F776E6572446F63756D656E74262628623D242E636F6E74656E742E6F776E6572446F63756D656E74';
wwv_flow_api.g_varchar2_table(12) := '297D76617220423D6B28552C67292C563D423F422E63726561746548544D4C282222293A22222C713D622C573D712E696D706C656D656E746174696F6E2C473D712E6372656174654E6F64654974657261746F722C593D712E676574456C656D656E7473';
wwv_flow_api.g_varchar2_table(13) := '42795461674E616D652C583D712E637265617465446F63756D656E74467261676D656E742C4A3D672E696D706F72744E6F64652C4B3D7B7D3B752E6973537570706F727465643D572626766F69642030213D3D572E63726561746548544D4C446F63756D';
wwv_flow_api.g_varchar2_table(14) := '656E74262639213D3D622E646F63756D656E744D6F64653B76617220513D762C5A3D542C65653D452C74653D782C72653D412C6E653D532C6F653D4C2C69653D6E756C6C2C61653D65287B7D2C5B5D2E636F6E63617428722869292C722861292C72286C';
wwv_flow_api.g_varchar2_table(15) := '292C722873292C7228632929292C6C653D6E756C6C2C73653D65287B7D2C5B5D2E636F6E63617428722864292C722866292C722870292C72286D2929292C63653D6E756C6C2C75653D6E756C6C2C64653D21302C66653D21302C70653D21312C6D653D21';
wwv_flow_api.g_varchar2_table(16) := '312C67653D21312C68653D21312C79653D21312C62653D21312C76653D21312C54653D21312C45653D21312C78653D21312C4C653D21302C41653D21302C53653D21312C77653D7B7D2C4F653D65287B7D2C5B22616E6E6F746174696F6E2D786D6C222C';
wwv_flow_api.g_varchar2_table(17) := '22617564696F222C22636F6C67726F7570222C2264657363222C22666F726569676E6F626A656374222C2268656164222C22696672616D65222C226D617468222C226D69222C226D6E222C226D6F222C226D73222C226D74657874222C226E6F656D6265';
wwv_flow_api.g_varchar2_table(18) := '64222C226E6F6672616D6573222C22706C61696E74657874222C22736372697074222C227374796C65222C22737667222C2274656D706C617465222C227468656164222C227469746C65222C22766964656F222C22786D70225D292C4D653D65287B7D2C';
wwv_flow_api.g_varchar2_table(19) := '5B22617564696F222C22766964656F222C22696D67222C22736F75726365222C22696D616765225D292C4E653D6E756C6C2C52653D65287B7D2C5B22616C74222C22636C617373222C22666F72222C226964222C226C6162656C222C226E616D65222C22';
wwv_flow_api.g_varchar2_table(20) := '7061747465726E222C22706C616365686F6C646572222C2273756D6D617279222C227469746C65222C2276616C7565222C227374796C65222C22786D6C6E73225D292C6B653D6E756C6C2C5F653D622E637265617465456C656D656E742822666F726D22';
wwv_flow_api.g_varchar2_table(21) := '292C43653D66756E6374696F6E286E297B6B6526266B653D3D3D6E7C7C286E2626226F626A656374223D3D3D28766F696420303D3D3D6E3F22756E646566696E6564223A77286E29297C7C286E3D7B7D292C69653D22414C4C4F5745445F544147532269';
wwv_flow_api.g_varchar2_table(22) := '6E206E3F65287B7D2C6E2E414C4C4F5745445F54414753293A61652C6C653D22414C4C4F5745445F4154545222696E206E3F65287B7D2C6E2E414C4C4F5745445F41545452293A73652C4E653D224144445F5552495F534146455F4154545222696E206E';
wwv_flow_api.g_varchar2_table(23) := '3F652874285265292C6E2E4144445F5552495F534146455F41545452293A52652C63653D22464F524249445F5441475322696E206E3F65287B7D2C6E2E464F524249445F54414753293A7B7D2C75653D22464F524249445F4154545222696E206E3F6528';
wwv_flow_api.g_varchar2_table(24) := '7B7D2C6E2E464F524249445F41545452293A7B7D2C77653D225553455F50524F46494C455322696E206E26266E2E5553455F50524F46494C45532C64653D2131213D3D6E2E414C4C4F575F415249415F415454522C66653D2131213D3D6E2E414C4C4F57';
wwv_flow_api.g_varchar2_table(25) := '5F444154415F415454522C70653D6E2E414C4C4F575F554E4B4E4F574E5F50524F544F434F4C537C7C21312C6D653D6E2E534146455F464F525F4A51554552597C7C21312C67653D6E2E534146455F464F525F54454D504C415445537C7C21312C68653D';
wwv_flow_api.g_varchar2_table(26) := '6E2E57484F4C455F444F43554D454E547C7C21312C76653D6E2E52455455524E5F444F4D7C7C21312C54653D6E2E52455455524E5F444F4D5F465241474D454E547C7C21312C45653D6E2E52455455524E5F444F4D5F494D504F52547C7C21312C78653D';
wwv_flow_api.g_varchar2_table(27) := '6E2E52455455524E5F545255535445445F545950457C7C21312C62653D6E2E464F5243455F424F44597C7C21312C4C653D2131213D3D6E2E53414E4954495A455F444F4D2C41653D2131213D3D6E2E4B4545505F434F4E54454E542C53653D6E2E494E5F';
wwv_flow_api.g_varchar2_table(28) := '504C4143457C7C21312C6F653D6E2E414C4C4F5745445F5552495F5245474558507C7C6F652C676526262866653D2131292C546526262876653D2130292C776526262869653D65287B7D2C5B5D2E636F6E636174287228632929292C6C653D5B5D2C2130';
wwv_flow_api.g_varchar2_table(29) := '3D3D3D77652E68746D6C262628652869652C69292C65286C652C6429292C21303D3D3D77652E737667262628652869652C61292C65286C652C66292C65286C652C6D29292C21303D3D3D77652E73766746696C74657273262628652869652C6C292C6528';
wwv_flow_api.g_varchar2_table(30) := '6C652C66292C65286C652C6D29292C21303D3D3D77652E6D6174684D6C262628652869652C73292C65286C652C70292C65286C652C6D2929292C6E2E4144445F5441475326262869653D3D3D616526262869653D7428696529292C652869652C6E2E4144';
wwv_flow_api.g_varchar2_table(31) := '445F5441475329292C6E2E4144445F415454522626286C653D3D3D73652626286C653D74286C6529292C65286C652C6E2E4144445F4154545229292C6E2E4144445F5552495F534146455F41545452262665284E652C6E2E4144445F5552495F53414645';
wwv_flow_api.g_varchar2_table(32) := '5F41545452292C416526262869655B222374657874225D3D2130292C68652626652869652C5B2268746D6C222C2268656164222C22626F6479225D292C69652E7461626C65262628652869652C5B2274626F6479225D292C64656C6574652063652E7462';
wwv_flow_api.g_varchar2_table(33) := '6F6479292C4E26264E286E292C6B653D6E297D2C44653D66756E6374696F6E2865297B752E72656D6F7665642E70757368287B656C656D656E743A657D293B7472797B652E706172656E744E6F64652E72656D6F76654368696C642865297D6361746368';
wwv_flow_api.g_varchar2_table(34) := '2874297B652E6F7574657248544D4C3D567D7D2C49653D66756E6374696F6E28652C74297B7472797B752E72656D6F7665642E70757368287B6174747269627574653A742E6765744174747269627574654E6F64652865292C66726F6D3A747D297D6361';
wwv_flow_api.g_varchar2_table(35) := '7463682865297B752E72656D6F7665642E70757368287B6174747269627574653A6E756C6C2C66726F6D3A747D297D742E72656D6F76654174747269627574652865297D2C48653D66756E6374696F6E2874297B76617220723D766F696420302C6E3D76';
wwv_flow_api.g_varchar2_table(36) := '6F696420303B696628626529743D223C72656D6F76653E3C2F72656D6F76653E222B743B656C73657B766172206F3D742E6D61746368282F5E5B5C735D2B2F293B286E3D6F26266F5B305D29262628743D742E736C696365286E2E6C656E67746829297D';
wwv_flow_api.g_varchar2_table(37) := '69662868297472797B723D286E6577206A292E706172736546726F6D537472696E6728742C22746578742F68746D6C22297D63617463682865297B7D696628792626652863652C5B227469746C65225D292C21727C7C21722E646F63756D656E74456C65';
wwv_flow_api.g_varchar2_table(38) := '6D656E74297B76617220693D28723D572E63726561746548544D4C446F63756D656E7428222229292E626F64793B692E706172656E744E6F64652E72656D6F76654368696C6428692E706172656E744E6F64652E6669727374456C656D656E744368696C';
wwv_flow_api.g_varchar2_table(39) := '64292C692E6F7574657248544D4C3D423F422E63726561746548544D4C2874293A747D72657475726E207426266E2626722E626F64792E696E736572744265666F726528622E637265617465546578744E6F6465286E292C722E626F64792E6368696C64';
wwv_flow_api.g_varchar2_table(40) := '4E6F6465735B305D7C7C6E756C6C292C592E63616C6C28722C68653F2268746D6C223A22626F647922295B305D7D3B752E6973537570706F7274656426262866756E6374696F6E28297B7472797B486528273C7376673E3C703E3C74657874617265613E';
wwv_flow_api.g_varchar2_table(41) := '3C696D67207372633D223C2F74657874617265613E3C696D67207372633D78206162633D312F2F223E27292E717565727953656C6563746F72282273766720696D672229262628683D2130297D63617463682865297B7D7D28292C66756E6374696F6E28';
wwv_flow_api.g_varchar2_table(42) := '297B7472797B76617220653D486528223C782F3E3C7469746C653E266C743B2F7469746C652667743B266C743B696D672667743B22293B2F3C5C2F7469746C652F2E7465737428652E717565727953656C6563746F7228227469746C6522292E696E6E65';
wwv_flow_api.g_varchar2_table(43) := '7248544D4C29262628793D2130297D63617463682865297B7D7D2829293B766172207A653D66756E6374696F6E2865297B72657475726E20472E63616C6C28652E6F776E6572446F63756D656E747C7C652C652C492E53484F575F454C454D454E547C49';
wwv_flow_api.g_varchar2_table(44) := '2E53484F575F434F4D4D454E547C492E53484F575F544558542C66756E6374696F6E28297B72657475726E20492E46494C5445525F4143434550547D2C2131297D2C50653D66756E6374696F6E2865297B72657475726E226F626A656374223D3D3D2876';
wwv_flow_api.g_varchar2_table(45) := '6F696420303D3D3D443F22756E646566696E6564223A77284429293F6520696E7374616E63656F6620443A652626226F626A656374223D3D3D28766F696420303D3D3D653F22756E646566696E6564223A77286529292626226E756D626572223D3D7479';
wwv_flow_api.g_varchar2_table(46) := '70656F6620652E6E6F646554797065262622737472696E67223D3D747970656F6620652E6E6F64654E616D657D2C46653D66756E6374696F6E28652C742C72297B4B5B655D26264B5B655D2E666F72456163682866756E6374696F6E2865297B652E6361';
wwv_flow_api.g_varchar2_table(47) := '6C6C28752C742C722C6B65297D297D2C6A653D66756E6374696F6E2865297B76617220743D766F696420303B696628466528226265666F726553616E6974697A65456C656D656E7473222C652C6E756C6C292C66756E6374696F6E2865297B7265747572';
wwv_flow_api.g_varchar2_table(48) := '6E21286520696E7374616E63656F6620507C7C6520696E7374616E63656F6620467C7C22737472696E67223D3D747970656F6620652E6E6F64654E616D65262622737472696E67223D3D747970656F6620652E74657874436F6E74656E7426262266756E';
wwv_flow_api.g_varchar2_table(49) := '6374696F6E223D3D747970656F6620652E72656D6F76654368696C642626652E6174747269627574657320696E7374616E63656F66207A26262266756E6374696F6E223D3D747970656F6620652E72656D6F766541747472696275746526262266756E63';
wwv_flow_api.g_varchar2_table(50) := '74696F6E223D3D747970656F6620652E736574417474726962757465262622737472696E67223D3D747970656F6620652E6E616D657370616365555249297D2865292972657475726E2044652865292C21303B76617220723D652E6E6F64654E616D652E';
wwv_flow_api.g_varchar2_table(51) := '746F4C6F7765724361736528293B6966284665282275706F6E53616E6974697A65456C656D656E74222C652C7B7461674E616D653A722C616C6C6F776564546167733A69657D292C2822737667223D3D3D727C7C226D617468223D3D3D7229262630213D';
wwv_flow_api.g_varchar2_table(52) := '3D652E717565727953656C6563746F72416C6C2822702C20627222292E6C656E6774682972657475726E2044652865292C21303B6966282169655B725D7C7C63655B725D297B69662841652626214F655B725D26262266756E6374696F6E223D3D747970';
wwv_flow_api.g_varchar2_table(53) := '656F6620652E696E7365727441646A6163656E7448544D4C297472797B766172206E3D652E696E6E657248544D4C3B652E696E7365727441646A6163656E7448544D4C28224166746572456E64222C423F422E63726561746548544D4C286E293A6E297D';
wwv_flow_api.g_varchar2_table(54) := '63617463682865297B7D72657475726E2044652865292C21307D72657475726E226E6F736372697074223D3D3D7226262F3C5C2F6E6F7363726970742F692E7465737428652E696E6E657248544D4C293F2844652865292C2130293A226E6F656D626564';
wwv_flow_api.g_varchar2_table(55) := '223D3D3D7226262F3C5C2F6E6F656D6265642F692E7465737428652E696E6E657248544D4C293F2844652865292C2130293A28216D657C7C652E6669727374456C656D656E744368696C647C7C652E636F6E74656E742626652E636F6E74656E742E6669';
wwv_flow_api.g_varchar2_table(56) := '727374456C656D656E744368696C647C7C212F3C2F672E7465737428652E74657874436F6E74656E74297C7C28752E72656D6F7665642E70757368287B656C656D656E743A652E636C6F6E654E6F646528297D292C652E696E6E657248544D4C3F652E69';
wwv_flow_api.g_varchar2_table(57) := '6E6E657248544D4C3D652E696E6E657248544D4C2E7265706C616365282F3C2F672C22266C743B22293A652E696E6E657248544D4C3D652E74657874436F6E74656E742E7265706C616365282F3C2F672C22266C743B2229292C67652626333D3D3D652E';
wwv_flow_api.g_varchar2_table(58) := '6E6F646554797065262628743D28743D28743D652E74657874436F6E74656E74292E7265706C61636528512C22202229292E7265706C616365285A2C222022292C652E74657874436F6E74656E74213D3D74262628752E72656D6F7665642E7075736828';
wwv_flow_api.g_varchar2_table(59) := '7B656C656D656E743A652E636C6F6E654E6F646528297D292C652E74657874436F6E74656E743D7429292C46652822616674657253616E6974697A65456C656D656E7473222C652C6E756C6C292C2131297D2C55653D66756E6374696F6E28652C742C72';
wwv_flow_api.g_varchar2_table(60) := '297B6966284C65262628226964223D3D3D747C7C226E616D65223D3D3D74292626287220696E20627C7C7220696E205F65292972657475726E21313B6966286665262665652E74657374287429293B656C7365206966286465262674652E746573742874';
wwv_flow_api.g_varchar2_table(61) := '29293B656C73657B696628216C655B745D7C7C75655B745D2972657475726E21313B6966284E655B745D293B656C7365206966286F652E7465737428722E7265706C616365286E652C22222929293B656C7365206966282273726322213D3D7426262278';
wwv_flow_api.g_varchar2_table(62) := '6C696E6B3A6872656622213D3D742626226872656622213D3D747C7C22736372697074223D3D3D657C7C30213D3D722E696E6465784F662822646174613A22297C7C214D655B655D297B696628706526262172652E7465737428722E7265706C61636528';
wwv_flow_api.g_varchar2_table(63) := '6E652C22222929293B656C736520696628722972657475726E21317D656C73653B7D72657475726E21307D2C24653D66756E6374696F6E2865297B76617220743D766F696420302C723D766F696420302C6E3D766F696420302C6F3D766F696420302C69';
wwv_flow_api.g_varchar2_table(64) := '3D766F696420303B466528226265666F726553616E6974697A6541747472696275746573222C652C6E756C6C293B76617220613D652E617474726962757465733B69662861297B766172206C3D7B617474724E616D653A22222C6174747256616C75653A';
wwv_flow_api.g_varchar2_table(65) := '22222C6B656570417474723A21302C616C6C6F776564417474726962757465733A6C657D3B666F7228693D612E6C656E6774683B692D2D3B297B76617220733D743D615B695D2C633D732E6E616D652C643D732E6E616D6573706163655552493B696628';
wwv_flow_api.g_varchar2_table(66) := '723D742E76616C75652E7472696D28292C6E3D632E746F4C6F7765724361736528292C6C2E617474724E616D653D6E2C6C2E6174747256616C75653D722C6C2E6B656570417474723D21302C4665282275706F6E53616E6974697A654174747269627574';
wwv_flow_api.g_varchar2_table(67) := '65222C652C6C292C723D6C2E6174747256616C75652C226E616D65223D3D3D6E262622494D47223D3D3D652E6E6F64654E616D652626612E6964296F3D612E69642C613D4F284D2C612C5B5D292C496528226964222C65292C496528632C65292C612E69';
wwv_flow_api.g_varchar2_table(68) := '6E6465784F66286F293E692626652E73657441747472696275746528226964222C6F2E76616C7565293B656C73657B69662822494E505554223D3D3D652E6E6F64654E616D6526262274797065223D3D3D6E26262266696C65223D3D3D7226266C2E6B65';
wwv_flow_api.g_varchar2_table(69) := '6570417474722626286C655B6E5D7C7C2175655B6E5D2929636F6E74696E75653B226964223D3D3D632626652E73657441747472696275746528632C2222292C496528632C65297D6966286C2E6B65657041747472296966282F7376677C6D6174682F69';
wwv_flow_api.g_varchar2_table(70) := '2E7465737428652E6E616D6573706163655552492926266E65772052656745787028223C2F28222B4F626A6563742E6B657973284F65292E6A6F696E28227C22292B2229222C226922292E7465737428722929496528632C65293B656C73657B67652626';
wwv_flow_api.g_varchar2_table(71) := '28723D28723D722E7265706C61636528512C22202229292E7265706C616365285A2C22202229293B76617220663D652E6E6F64654E616D652E746F4C6F7765724361736528293B696628556528662C6E2C7229297472797B643F652E7365744174747269';
wwv_flow_api.g_varchar2_table(72) := '627574654E5328642C632C72293A652E73657441747472696275746528632C72292C752E72656D6F7665642E706F7028297D63617463682865297B7D7D7D46652822616674657253616E6974697A6541747472696275746573222C652C6E756C6C297D7D';
wwv_flow_api.g_varchar2_table(73) := '2C42653D66756E6374696F6E20652874297B76617220723D766F696420302C6E3D7A652874293B666F7228466528226265666F726553616E6974697A65536861646F77444F4D222C742C6E756C6C293B723D6E2E6E6578744E6F646528293B2946652822';
wwv_flow_api.g_varchar2_table(74) := '75706F6E53616E6974697A65536861646F774E6F6465222C722C6E756C6C292C6A652872297C7C28722E636F6E74656E7420696E7374616E63656F66205F26266528722E636F6E74656E74292C2465287229293B46652822616674657253616E6974697A';
wwv_flow_api.g_varchar2_table(75) := '65536861646F77444F4D222C742C6E756C6C297D3B72657475726E20752E73616E6974697A653D66756E6374696F6E28652C74297B76617220723D766F696420302C6E3D766F696420302C693D766F696420302C613D766F696420302C6C3D766F696420';
wwv_flow_api.g_varchar2_table(76) := '303B696628657C7C28653D225C783363212D2D5C78336522292C22737472696E6722213D747970656F6620652626215065286529297B6966282266756E6374696F6E22213D747970656F6620652E746F537472696E67297468726F77206E657720547970';
wwv_flow_api.g_varchar2_table(77) := '654572726F722822746F537472696E67206973206E6F7420612066756E6374696F6E22293B69662822737472696E6722213D747970656F6628653D652E746F537472696E67282929297468726F77206E657720547970654572726F722822646972747920';
wwv_flow_api.g_varchar2_table(78) := '6973206E6F74206120737472696E672C2061626F7274696E6722297D69662821752E6973537570706F72746564297B696628226F626A656374223D3D3D77286F2E746F53746174696348544D4C297C7C2266756E6374696F6E223D3D747970656F66206F';
wwv_flow_api.g_varchar2_table(79) := '2E746F53746174696348544D4C297B69662822737472696E67223D3D747970656F6620652972657475726E206F2E746F53746174696348544D4C2865293B69662850652865292972657475726E206F2E746F53746174696348544D4C28652E6F75746572';
wwv_flow_api.g_varchar2_table(80) := '48544D4C297D72657475726E20657D69662879657C7C43652874292C752E72656D6F7665643D5B5D2C5365293B656C7365206966286520696E7374616E63656F66204429313D3D3D286E3D28723D486528225C783363212D2D5C7833652229292E6F776E';
wwv_flow_api.g_varchar2_table(81) := '6572446F63756D656E742E696D706F72744E6F646528652C213029292E6E6F646554797065262622424F4459223D3D3D6E2E6E6F64654E616D653F723D6E3A2248544D4C223D3D3D6E2E6E6F64654E616D653F723D6E3A722E617070656E644368696C64';
wwv_flow_api.g_varchar2_table(82) := '286E293B656C73657B696628217665262621676526262168652626786526262D313D3D3D652E696E6465784F6628223C22292972657475726E20423F422E63726561746548544D4C2865293A653B6966282128723D4865286529292972657475726E2076';
wwv_flow_api.g_varchar2_table(83) := '653F6E756C6C3A567D72262662652626446528722E66697273744368696C64293B666F722876617220733D7A652853653F653A72293B693D732E6E6578744E6F646528293B29333D3D3D692E6E6F6465547970652626693D3D3D617C7C6A652869297C7C';
wwv_flow_api.g_varchar2_table(84) := '28692E636F6E74656E7420696E7374616E63656F66205F2626426528692E636F6E74656E74292C24652869292C613D69293B696628613D6E756C6C2C53652972657475726E20653B6966287665297B696628546529666F72286C3D582E63616C6C28722E';
wwv_flow_api.g_varchar2_table(85) := '6F776E6572446F63756D656E74293B722E66697273744368696C643B296C2E617070656E644368696C6428722E66697273744368696C64293B656C7365206C3D723B72657475726E2045652626286C3D4A2E63616C6C28672C6C2C213029292C6C7D7661';
wwv_flow_api.g_varchar2_table(86) := '7220633D68653F722E6F7574657248544D4C3A722E696E6E657248544D4C3B72657475726E206765262628633D28633D632E7265706C61636528512C22202229292E7265706C616365285A2C22202229292C42262678653F422E63726561746548544D4C';
wwv_flow_api.g_varchar2_table(87) := '2863293A637D2C752E736574436F6E6669673D66756E6374696F6E2865297B43652865292C79653D21307D2C752E636C656172436F6E6669673D66756E6374696F6E28297B6B653D6E756C6C2C79653D21317D2C752E697356616C696441747472696275';
wwv_flow_api.g_varchar2_table(88) := '74653D66756E6374696F6E28652C742C72297B6B657C7C4365287B7D293B766172206E3D652E746F4C6F7765724361736528292C6F3D742E746F4C6F7765724361736528293B72657475726E205565286E2C6F2C72297D2C752E616464486F6F6B3D6675';
wwv_flow_api.g_varchar2_table(89) := '6E6374696F6E28652C74297B2266756E6374696F6E223D3D747970656F6620742626284B5B655D3D4B5B655D7C7C5B5D2C4B5B655D2E70757368287429297D2C752E72656D6F7665486F6F6B3D66756E6374696F6E2865297B4B5B655D26264B5B655D2E';
wwv_flow_api.g_varchar2_table(90) := '706F7028297D2C752E72656D6F7665486F6F6B733D66756E6374696F6E2865297B4B5B655D2626284B5B655D3D5B5D297D2C752E72656D6F7665416C6C486F6F6B733D66756E6374696F6E28297B4B3D7B7D7D2C757D766172206F3D4F626A6563742E66';
wwv_flow_api.g_varchar2_table(91) := '7265657A657C7C66756E6374696F6E2865297B72657475726E20657D2C693D6F285B2261222C2261626272222C226163726F6E796D222C2261646472657373222C2261726561222C2261727469636C65222C226173696465222C22617564696F222C2262';
wwv_flow_api.g_varchar2_table(92) := '222C22626469222C2262646F222C22626967222C22626C696E6B222C22626C6F636B71756F7465222C22626F6479222C226272222C22627574746F6E222C2263616E766173222C2263617074696F6E222C2263656E746572222C2263697465222C22636F';
wwv_flow_api.g_varchar2_table(93) := '6465222C22636F6C222C22636F6C67726F7570222C22636F6E74656E74222C2264617461222C22646174616C697374222C226464222C226465636F7261746F72222C2264656C222C2264657461696C73222C2264666E222C22646972222C22646976222C';
wwv_flow_api.g_varchar2_table(94) := '22646C222C226474222C22656C656D656E74222C22656D222C226669656C64736574222C2266696763617074696F6E222C22666967757265222C22666F6E74222C22666F6F746572222C22666F726D222C226831222C226832222C226833222C22683422';
wwv_flow_api.g_varchar2_table(95) := '2C226835222C226836222C2268656164222C22686561646572222C226867726F7570222C226872222C2268746D6C222C2269222C22696D67222C22696E707574222C22696E73222C226B6264222C226C6162656C222C226C6567656E64222C226C69222C';
wwv_flow_api.g_varchar2_table(96) := '226D61696E222C226D6170222C226D61726B222C226D617271756565222C226D656E75222C226D656E756974656D222C226D65746572222C226E6176222C226E6F6272222C226F6C222C226F707467726F7570222C226F7074696F6E222C226F75747075';
wwv_flow_api.g_varchar2_table(97) := '74222C2270222C22707265222C2270726F6772657373222C2271222C227270222C227274222C2272756279222C2273222C2273616D70222C2273656374696F6E222C2273656C656374222C22736861646F77222C22736D616C6C222C22736F7572636522';
wwv_flow_api.g_varchar2_table(98) := '2C22737061636572222C227370616E222C22737472696B65222C227374726F6E67222C227374796C65222C22737562222C2273756D6D617279222C22737570222C227461626C65222C2274626F6479222C227464222C2274656D706C617465222C227465';
wwv_flow_api.g_varchar2_table(99) := '787461726561222C2274666F6F74222C227468222C227468656164222C2274696D65222C227472222C22747261636B222C227474222C2275222C22756C222C22766172222C22766964656F222C22776272225D292C613D6F285B22737667222C2261222C';
wwv_flow_api.g_varchar2_table(100) := '22616C74676C797068222C22616C74676C797068646566222C22616C74676C7970686974656D222C22616E696D617465636F6C6F72222C22616E696D6174656D6F74696F6E222C22616E696D6174657472616E73666F726D222C22617564696F222C2263';
wwv_flow_api.g_varchar2_table(101) := '616E766173222C22636972636C65222C22636C697070617468222C2264656673222C2264657363222C22656C6C69707365222C2266696C746572222C22666F6E74222C2267222C22676C797068222C22676C797068726566222C22686B65726E222C2269';
wwv_flow_api.g_varchar2_table(102) := '6D616765222C226C696E65222C226C696E6561726772616469656E74222C226D61726B6572222C226D61736B222C226D65746164617461222C226D70617468222C2270617468222C227061747465726E222C22706F6C79676F6E222C22706F6C796C696E';
wwv_flow_api.g_varchar2_table(103) := '65222C2272616469616C6772616469656E74222C2272656374222C2273746F70222C227374796C65222C22737769746368222C2273796D626F6C222C2274657874222C227465787470617468222C227469746C65222C2274726566222C22747370616E22';
wwv_flow_api.g_varchar2_table(104) := '2C22766964656F222C2276696577222C22766B65726E225D292C6C3D6F285B226665426C656E64222C226665436F6C6F724D6174726978222C226665436F6D706F6E656E745472616E73666572222C226665436F6D706F73697465222C226665436F6E76';
wwv_flow_api.g_varchar2_table(105) := '6F6C76654D6174726978222C226665446966667573654C69676874696E67222C226665446973706C6163656D656E744D6170222C22666544697374616E744C69676874222C226665466C6F6F64222C22666546756E6341222C22666546756E6342222C22';
wwv_flow_api.g_varchar2_table(106) := '666546756E6347222C22666546756E6352222C226665476175737369616E426C7572222C2266654D65726765222C2266654D657267654E6F6465222C2266654D6F7270686F6C6F6779222C2266654F6666736574222C226665506F696E744C6967687422';
wwv_flow_api.g_varchar2_table(107) := '2C22666553706563756C61724C69676874696E67222C22666553706F744C69676874222C22666554696C65222C22666554757262756C656E6365225D292C733D6F285B226D617468222C226D656E636C6F7365222C226D6572726F72222C226D66656E63';
wwv_flow_api.g_varchar2_table(108) := '6564222C226D66726163222C226D676C797068222C226D69222C226D6C6162656C65647472222C226D6D756C746973637269707473222C226D6E222C226D6F222C226D6F766572222C226D706164646564222C226D7068616E746F6D222C226D726F6F74';
wwv_flow_api.g_varchar2_table(109) := '222C226D726F77222C226D73222C226D7370616365222C226D73717274222C226D7374796C65222C226D737562222C226D737570222C226D737562737570222C226D7461626C65222C226D7464222C226D74657874222C226D7472222C226D756E646572';
wwv_flow_api.g_varchar2_table(110) := '222C226D756E6465726F766572225D292C633D6F285B222374657874225D292C753D4F626A6563742E667265657A657C7C66756E6374696F6E2865297B72657475726E20657D2C643D75285B22616363657074222C22616374696F6E222C22616C69676E';
wwv_flow_api.g_varchar2_table(111) := '222C22616C74222C226175746F636F6D706C657465222C226261636B67726F756E64222C226267636F6C6F72222C22626F72646572222C2263656C6C70616464696E67222C2263656C6C73706163696E67222C22636865636B6564222C2263697465222C';
wwv_flow_api.g_varchar2_table(112) := '22636C617373222C22636C656172222C22636F6C6F72222C22636F6C73222C22636F6C7370616E222C22636F6E74726F6C73222C22636F6F726473222C2263726F73736F726967696E222C226461746574696D65222C2264656661756C74222C22646972';
wwv_flow_api.g_varchar2_table(113) := '222C2264697361626C6564222C22646F776E6C6F6164222C22656E6374797065222C2266616365222C22666F72222C2268656164657273222C22686569676874222C2268696464656E222C2268696768222C2268726566222C22687265666C616E67222C';
wwv_flow_api.g_varchar2_table(114) := '226964222C22696E74656772697479222C2269736D6170222C226C6162656C222C226C616E67222C226C697374222C226C6F6F70222C226C6F77222C226D6178222C226D61786C656E677468222C226D65646961222C226D6574686F64222C226D696E22';
wwv_flow_api.g_varchar2_table(115) := '2C226D696E6C656E677468222C226D756C7469706C65222C226E616D65222C226E6F7368616465222C226E6F76616C6964617465222C226E6F77726170222C226F70656E222C226F7074696D756D222C227061747465726E222C22706C616365686F6C64';
wwv_flow_api.g_varchar2_table(116) := '6572222C22706F73746572222C227072656C6F6164222C2270756264617465222C22726164696F67726F7570222C22726561646F6E6C79222C2272656C222C227265717569726564222C22726576222C227265766572736564222C22726F6C65222C2272';
wwv_flow_api.g_varchar2_table(117) := '6F7773222C22726F777370616E222C227370656C6C636865636B222C2273636F7065222C2273656C6563746564222C227368617065222C2273697A65222C2273697A6573222C227370616E222C227372636C616E67222C227374617274222C2273726322';
wwv_flow_api.g_varchar2_table(118) := '2C22737263736574222C2273746570222C227374796C65222C2273756D6D617279222C22746162696E646578222C227469746C65222C2274797065222C227573656D6170222C2276616C69676E222C2276616C7565222C227769647468222C22786D6C6E';
wwv_flow_api.g_varchar2_table(119) := '73225D292C663D75285B22616363656E742D686569676874222C22616363756D756C617465222C226164646974697665222C22616C69676E6D656E742D626173656C696E65222C22617363656E74222C226174747269627574656E616D65222C22617474';
wwv_flow_api.g_varchar2_table(120) := '72696275746574797065222C22617A696D757468222C22626173656672657175656E6379222C22626173656C696E652D7368696674222C22626567696E222C2262696173222C226279222C22636C617373222C22636C6970222C22636C69702D70617468';
wwv_flow_api.g_varchar2_table(121) := '222C22636C69702D72756C65222C22636F6C6F72222C22636F6C6F722D696E746572706F6C6174696F6E222C22636F6C6F722D696E746572706F6C6174696F6E2D66696C74657273222C22636F6C6F722D70726F66696C65222C22636F6C6F722D72656E';
wwv_flow_api.g_varchar2_table(122) := '646572696E67222C226378222C226379222C2264222C226478222C226479222C2264696666757365636F6E7374616E74222C22646972656374696F6E222C22646973706C6179222C2264697669736F72222C22647572222C22656467656D6F6465222C22';
wwv_flow_api.g_varchar2_table(123) := '656C65766174696F6E222C22656E64222C2266696C6C222C2266696C6C2D6F706163697479222C2266696C6C2D72756C65222C2266696C746572222C2266696C746572756E697473222C22666C6F6F642D636F6C6F72222C22666C6F6F642D6F70616369';
wwv_flow_api.g_varchar2_table(124) := '7479222C22666F6E742D66616D696C79222C22666F6E742D73697A65222C22666F6E742D73697A652D61646A757374222C22666F6E742D73747265746368222C22666F6E742D7374796C65222C22666F6E742D76617269616E74222C22666F6E742D7765';
wwv_flow_api.g_varchar2_table(125) := '69676874222C226678222C226679222C226731222C226732222C22676C7970682D6E616D65222C22676C797068726566222C226772616469656E74756E697473222C226772616469656E747472616E73666F726D222C22686569676874222C2268726566';
wwv_flow_api.g_varchar2_table(126) := '222C226964222C22696D6167652D72656E646572696E67222C22696E222C22696E32222C226B222C226B31222C226B32222C226B33222C226B34222C226B65726E696E67222C226B6579706F696E7473222C226B657973706C696E6573222C226B657974';
wwv_flow_api.g_varchar2_table(127) := '696D6573222C226C616E67222C226C656E67746861646A757374222C226C65747465722D73706163696E67222C226B65726E656C6D6174726978222C226B65726E656C756E69746C656E677468222C226C69676874696E672D636F6C6F72222C226C6F63';
wwv_flow_api.g_varchar2_table(128) := '616C222C226D61726B65722D656E64222C226D61726B65722D6D6964222C226D61726B65722D7374617274222C226D61726B6572686569676874222C226D61726B6572756E697473222C226D61726B65727769647468222C226D61736B636F6E74656E74';
wwv_flow_api.g_varchar2_table(129) := '756E697473222C226D61736B756E697473222C226D6178222C226D61736B222C226D65646961222C226D6574686F64222C226D6F6465222C226D696E222C226E616D65222C226E756D6F637461766573222C226F6666736574222C226F70657261746F72';
wwv_flow_api.g_varchar2_table(130) := '222C226F706163697479222C226F72646572222C226F7269656E74222C226F7269656E746174696F6E222C226F726967696E222C226F766572666C6F77222C227061696E742D6F72646572222C2270617468222C22706174686C656E677468222C227061';
wwv_flow_api.g_varchar2_table(131) := '747465726E636F6E74656E74756E697473222C227061747465726E7472616E73666F726D222C227061747465726E756E697473222C22706F696E7473222C227072657365727665616C706861222C227072657365727665617370656374726174696F222C';
wwv_flow_api.g_varchar2_table(132) := '227072696D6974697665756E697473222C2272222C227278222C227279222C22726164697573222C2272656678222C2272656679222C22726570656174636F756E74222C22726570656174647572222C2272657374617274222C22726573756C74222C22';
wwv_flow_api.g_varchar2_table(133) := '726F74617465222C227363616C65222C2273656564222C2273686170652D72656E646572696E67222C2273706563756C6172636F6E7374616E74222C2273706563756C61726578706F6E656E74222C227370726561646D6574686F64222C227374646465';
wwv_flow_api.g_varchar2_table(134) := '76696174696F6E222C2273746974636874696C6573222C2273746F702D636F6C6F72222C2273746F702D6F706163697479222C227374726F6B652D646173686172726179222C227374726F6B652D646173686F6666736574222C227374726F6B652D6C69';
wwv_flow_api.g_varchar2_table(135) := '6E65636170222C227374726F6B652D6C696E656A6F696E222C227374726F6B652D6D697465726C696D6974222C227374726F6B652D6F706163697479222C227374726F6B65222C227374726F6B652D7769647468222C227374796C65222C227375726661';
wwv_flow_api.g_varchar2_table(136) := '63657363616C65222C22746162696E646578222C2274617267657478222C2274617267657479222C227472616E73666F726D222C22746578742D616E63686F72222C22746578742D6465636F726174696F6E222C22746578742D72656E646572696E6722';
wwv_flow_api.g_varchar2_table(137) := '2C22746578746C656E677468222C2274797065222C227531222C227532222C22756E69636F6465222C2276616C756573222C2276696577626F78222C227669736962696C697479222C2276657273696F6E222C22766572742D6164762D79222C22766572';
wwv_flow_api.g_varchar2_table(138) := '742D6F726967696E2D78222C22766572742D6F726967696E2D79222C227769647468222C22776F72642D73706163696E67222C2277726170222C2277726974696E672D6D6F6465222C22786368616E6E656C73656C6563746F72222C22796368616E6E65';
wwv_flow_api.g_varchar2_table(139) := '6C73656C6563746F72222C2278222C227831222C227832222C22786D6C6E73222C2279222C227931222C227932222C227A222C227A6F6F6D616E6470616E225D292C703D75285B22616363656E74222C22616363656E74756E646572222C22616C69676E';
wwv_flow_api.g_varchar2_table(140) := '222C22626576656C6C6564222C22636C6F7365222C22636F6C756D6E73616C69676E222C22636F6C756D6E6C696E6573222C22636F6C756D6E7370616E222C2264656E6F6D616C69676E222C226465707468222C22646972222C22646973706C6179222C';
wwv_flow_api.g_varchar2_table(141) := '22646973706C61797374796C65222C22656E636F64696E67222C2266656E6365222C226672616D65222C22686569676874222C2268726566222C226964222C226C617267656F70222C226C656E677468222C226C696E65746869636B6E657373222C226C';
wwv_flow_api.g_varchar2_table(142) := '7370616365222C226C71756F7465222C226D6174686261636B67726F756E64222C226D617468636F6C6F72222C226D61746873697A65222C226D61746876617269616E74222C226D617873697A65222C226D696E73697A65222C226D6F7661626C656C69';
wwv_flow_api.g_varchar2_table(143) := '6D697473222C226E6F746174696F6E222C226E756D616C69676E222C226F70656E222C22726F77616C69676E222C22726F776C696E6573222C22726F7773706163696E67222C22726F777370616E222C22727370616365222C227271756F7465222C2273';
wwv_flow_api.g_varchar2_table(144) := '63726970746C6576656C222C227363726970746D696E73697A65222C2273637269707473697A656D756C7469706C696572222C2273656C656374696F6E222C22736570617261746F72222C22736570617261746F7273222C227374726574636879222C22';
wwv_flow_api.g_varchar2_table(145) := '7375627363726970747368696674222C227375707363726970747368696674222C2273796D6D6574726963222C22766F6666736574222C227769647468222C22786D6C6E73225D292C6D3D75285B22786C696E6B3A68726566222C22786D6C3A6964222C';
wwv_flow_api.g_varchar2_table(146) := '22786C696E6B3A7469746C65222C22786D6C3A7370616365222C22786D6C6E733A786C696E6B225D292C673D4F626A6563742E6861734F776E50726F70657274792C683D4F626A6563742E73657450726F746F747970654F662C793D2822756E64656669';
wwv_flow_api.g_varchar2_table(147) := '6E656422213D747970656F66205265666C65637426265265666C656374292E6170706C793B797C7C28793D66756E6374696F6E28652C742C72297B72657475726E20652E6170706C7928742C72297D293B76617220623D4F626A6563742E7365616C7C7C';
wwv_flow_api.g_varchar2_table(148) := '66756E6374696F6E2865297B72657475726E20657D2C763D62282F5C7B5C7B5B5C735C535D2A7C5B5C735C535D2A5C7D5C7D2F676D292C543D62282F3C255B5C735C535D2A7C5B5C735C535D2A253E2F676D292C453D62282F5E646174612D5B5C2D5C77';
wwv_flow_api.g_varchar2_table(149) := '2E5C75303042372D5C75464646465D2F292C783D62282F5E617269612D5B5C2D5C775D2B242F292C4C3D62282F5E283F3A283F3A283F3A667C6874297470733F7C6D61696C746F7C74656C7C63616C6C746F7C6369647C786D7070293A7C5B5E612D7A5D';
wwv_flow_api.g_varchar2_table(150) := '7C5B612D7A2B2E5C2D5D2B283F3A5B5E612D7A2B2E5C2D3A5D7C2429292F69292C413D62282F5E283F3A5C772B7363726970747C64617461293A2F69292C533D62282F5B5C75303030302D5C75303032305C75303041305C75313638305C75313830455C';
wwv_flow_api.g_varchar2_table(151) := '75323030302D5C75323032395C75323035665C75333030305D2F67292C773D2266756E6374696F6E223D3D747970656F662053796D626F6C26262273796D626F6C223D3D747970656F662053796D626F6C2E6974657261746F723F66756E6374696F6E28';
wwv_flow_api.g_varchar2_table(152) := '65297B72657475726E20747970656F6620657D3A66756E6374696F6E2865297B72657475726E206526262266756E6374696F6E223D3D747970656F662053796D626F6C2626652E636F6E7374727563746F723D3D3D53796D626F6C262665213D3D53796D';
wwv_flow_api.g_varchar2_table(153) := '626F6C2E70726F746F747970653F2273796D626F6C223A747970656F6620657D2C4F3D2822756E646566696E656422213D747970656F66205265666C65637426265265666C656374292E6170706C792C4D3D41727261792E70726F746F747970652E736C';
wwv_flow_api.g_varchar2_table(154) := '6963652C4E3D4F626A6563742E667265657A652C523D66756E6374696F6E28297B72657475726E22756E646566696E6564223D3D747970656F662077696E646F773F6E756C6C3A77696E646F777D3B4F7C7C284F3D66756E6374696F6E28652C742C7229';
wwv_flow_api.g_varchar2_table(155) := '7B72657475726E20652E6170706C7928742C72297D293B766172206B3D66756E6374696F6E28652C74297B696628226F626A65637422213D3D28766F696420303D3D3D653F22756E646566696E6564223A77286529297C7C2266756E6374696F6E22213D';
wwv_flow_api.g_varchar2_table(156) := '747970656F6620652E637265617465506F6C6963792972657475726E206E756C6C3B76617220723D6E756C6C2C6E3D22646174612D74742D706F6C6963792D737566666978223B742E63757272656E745363726970742626742E63757272656E74536372';
wwv_flow_api.g_varchar2_table(157) := '6970742E686173417474726962757465286E29262628723D742E63757272656E745363726970742E676574417474726962757465286E29293B766172206F3D22646F6D707572696679222B28723F2223222B723A2222293B7472797B72657475726E2065';
wwv_flow_api.g_varchar2_table(158) := '2E637265617465506F6C696379286F2C7B63726561746548544D4C3A66756E6374696F6E2865297B72657475726E20657D7D297D63617463682865297B72657475726E20636F6E736F6C652E7761726E282254727573746564547970657320706F6C6963';
wwv_flow_api.g_varchar2_table(159) := '7920222B6F2B2220636F756C64206E6F7420626520637265617465642E22292C6E756C6C7D7D3B72657475726E206E28297D293B76617220636C6F624C6F61643D66756E6374696F6E28297B2275736520737472696374223B66756E6374696F6E207428';
wwv_flow_api.g_varchar2_table(160) := '652C74297B72657475726E20444F4D5075726966792E73616E6974697A6528652C742E73616E6974697A654F7074696F6E73297D66756E6374696F6E207228652C722C6F297B7472797B6E2E64656275672E696E666F2865292C652E726F772626652E72';
wwv_flow_api.g_varchar2_table(161) := '6F772E6C656E6774683E302626242E6561636828652E726F772C66756E6374696F6E28652C6F297B6F2E454C454D454E545F53454C4543544F5226266F2E434C4F425F56414C55452626286F2E454C454D454E545F545950453F22646F6D223D3D6F2E45';
wwv_flow_api.g_varchar2_table(162) := '4C454D454E545F545950453F66756E6374696F6E28652C722C6F297B76617220693B69662865297B696628242865292E656D70747928292C722626722E6C656E6774683E30297B696628693D6F2E73616E6974697A653F7428722C6F293A722C6F2E6573';
wwv_flow_api.g_varchar2_table(163) := '6361706548544D4C29242865292E746578742869293B656C7365206966286F2E75736555525445496D674C6F61646572297B76617220613D2428223C6469763E3C2F6469763E22292C6C3D6F2E6974656D73325375626D6974496D673B7472797B612E68';
wwv_flow_api.g_varchar2_table(164) := '746D6C2869293B76617220733D612E66696E642827696D675B616C742A3D2261696823225D27293B242E6561636828732C66756E6374696F6E28652C74297B696628742E7469746C65297B76617220723D742E7469746C652C693D617065782E73657276';
wwv_flow_api.g_varchar2_table(165) := '65722E706C7567696E55726C286F2E616A617849442C7B7830313A225052494E545F494D414745222C7830333A722C706167654974656D733A6C7D293B742E7372633D697D656C7365206E2E64656275672E6572726F722822696D6720696E2072696368';
wwv_flow_api.g_varchar2_table(166) := '74657874656469746F7220686173206E6F207469746C652E205469746C6520697320757365642061207072696D617279206B657920746F2067657420696D6167652066726F6D2064622E22297D292C612E66696E6428222A22292E63737328226D61782D';
wwv_flow_api.g_varchar2_table(167) := '7769647468222C223130302522292E63737328226F766572666C6F772D77726170222C22627265616B2D776F726422292E6373732822776F72642D77726170222C22627265616B2D776F726422292E63737328222D6D732D68797068656E73222C226175';
wwv_flow_api.g_varchar2_table(168) := '746F22292E63737328222D6D6F7A2D68797068656E73222C226175746F22292E63737328222D7765626B69742D68797068656E73222C226175746F22292E637373282268797068656E73222C226175746F22292E637373282277686974652D7370616365';
wwv_flow_api.g_varchar2_table(169) := '222C226E6F726D616C22292C612E66696E642822696D6722292E63737328226F626A6563742D666974222C22636F6E7461696E22292E63737328226F626A6563742D706F736974696F6E222C2235302520302522292C242865292E68746D6C28615B305D';
wwv_flow_api.g_varchar2_table(170) := '2E696E6E657248544D4C297D63617463682865297B6E2E64656275672E6572726F7228224572726F72207768696C652074727920746F206C6F616420696D61676573207768656E206C6F6164696E672072696368207465787420656469746F722E22292C';
wwv_flow_api.g_varchar2_table(171) := '6E2E64656275672E6572726F722865297D7D656C736520242865292E68746D6C2869293B617065782E6576656E742E7472696767657228652C22636C6F6272656E646572636F6D706C65746522297D7D656C7365206E2E64656275672E6572726F722822';
wwv_flow_api.g_varchar2_table(172) := '4E6F20454C454D454E545F53454C4543544F522073657420696E2053514C20666F7220434C4F422052656E64657222297D286F2E454C454D454E545F53454C4543544F522C6F2E434C4F425F56414C55452C72293A226974656D223D3D6F2E454C454D45';
wwv_flow_api.g_varchar2_table(173) := '4E545F545950453F66756E6374696F6E28652C722C6F297B76617220692C613D21313B6966286529696628722626722E6C656E6774683E30297B696628693D6F2E73616E6974697A653F7428722C6F293A722C6F2E65736361706548544D4C29693D6E2E';
wwv_flow_api.g_varchar2_table(174) := '65736361706548544D4C2872293B656C7365206966286F2E75736555525445496D674C6F61646572297B766172206C3D2428223C6469763E3C2F6469763E22292C733D6F2E6974656D73325375626D6974496D673B7472797B6C2E68746D6C2869293B76';
wwv_flow_api.g_varchar2_table(175) := '617220633D6C2E66696E642827696D675B616C742A3D2261696823225D27293B242E6561636828632C66756E6374696F6E28652C74297B696628742E7469746C65297B76617220723D742E7469746C652C693D617065782E7365727665722E706C756769';
wwv_flow_api.g_varchar2_table(176) := '6E55726C286F2E616A617849442C7B7830313A225052494E545F494D414745222C7830333A722C706167654974656D733A737D293B742E7372633D697D656C7365206E2E64656275672E6572726F722822696D6720696E20726963687465787465646974';
wwv_flow_api.g_varchar2_table(177) := '6F7220686173206E6F207469746C652E205469746C6520697320757365642061207072696D617279206B657920746F2067657420696D6167652066726F6D2064622E22297D292C693D6C5B305D2E696E6E657248544D4C7D63617463682865297B6E2E64';
wwv_flow_api.g_varchar2_table(178) := '656275672E6572726F7228224572726F72207768696C652074727920746F206C6F616420696D61676573207768656E206C6F6164696E672072696368207465787420656469746F722E22292C6E2E64656275672E6572726F722865297D7D2D31213D3D61';
wwv_flow_api.g_varchar2_table(179) := '7065782E6974656D2865292E6974656D5F747970652E696E6465784F662822434B454449544F5222293F28434B454449544F522E6F6E2822696E7374616E63655265616479222C66756E6374696F6E2874297B2130213D3D612626286E2E64656275672E';
wwv_flow_api.g_varchar2_table(180) := '696E666F2822434B454449544F5220696E7374616E6365526561647920666972656422292C6E2E7365744974656D56616C756528652C69292C434B454449544F522E696E7374616E6365735B655D2E6F6E2822636F6E74656E74446F6D222C66756E6374';
wwv_flow_api.g_varchar2_table(181) := '696F6E28297B617065782E6576656E742E74726967676572282223222B652C22636C6F6272656E646572636F6D706C65746522297D292C613D2130297D292C73657454696D656F75742866756E6374696F6E28297B2130213D3D612626286E2E64656275';
wwv_flow_api.g_varchar2_table(182) := '672E696E666F28224E6F20496E7374616E6365205265616479206576656E742066726F6D20434B454449544F5222292C6E2E7365744974656D56616C756528652C69292C434B454449544F522E696E7374616E6365735B655D2E6F6E2822636F6E74656E';
wwv_flow_api.g_varchar2_table(183) := '74446F6D222C66756E6374696F6E28297B617065782E6576656E742E74726967676572282223222B652C22636C6F6272656E646572636F6D706C65746522297D292C613D2130297D2C37353029293A286E2E7365744974656D56616C756528652C69292C';
wwv_flow_api.g_varchar2_table(184) := '617065782E6576656E742E74726967676572282223222B652C22636C6F6272656E646572636F6D706C6574652229297D656C736520617065782E6576656E742E74726967676572282223222B652C22636C6F6272656E646572636F6D706C65746522293B';
wwv_flow_api.g_varchar2_table(185) := '656C7365206E2E64656275672E6572726F7228224E6F20454C454D454E545F53454C4543544F522073657420696E2053514C20666F7220434C4F422052656E64657222297D286F2E454C454D454E545F53454C4543544F522C6F2E434C4F425F56414C55';
wwv_flow_api.g_varchar2_table(186) := '452C72293A6E2E64656275672E6572726F722822454C454D454E545F54595045206D7573742062653A20646F6D2C206974656D20616E64206E6F7420222B6F2E454C454D454E545F54595045293A6E2E64656275672E6572726F722822454C454D454E54';
wwv_flow_api.g_varchar2_table(187) := '5F54595045206973206E756C6C20696E2053514C20666F7220434C4F422052656E6465722229297D292C242E6561636828722E616666456C656D656E74732C66756E6374696F6E28652C74297B6E2E6C6F616465722E73746F702874292C617065782E65';
wwv_flow_api.g_varchar2_table(188) := '76656E742E7472696767657228742C22636C6F6272656E646572636F6D706C65746522297D292C617065782E64612E726573756D65286F2E726573756D6543616C6C6261636B2C2131297D63617463682865297B6E2E64656275672E6572726F72282245';
wwv_flow_api.g_varchar2_table(189) := '72726F72207768696C652072656E64657220434C4F4222292C6E2E64656275672E6572726F722865292C242E6561636828722E616666456C656D656E74732C66756E6374696F6E28652C74297B6E2E6C6F616465722E73746F702874292C617065782E65';
wwv_flow_api.g_varchar2_table(190) := '76656E742E7472696767657228742C22636C6F6272656E6465726572726F7222297D292C617065782E64612E726573756D65286F2E726573756D6543616C6C6261636B2C2130297D7D766172206E3D7B76657273696F6E3A22312E322E35222C69734150';
wwv_flow_api.g_varchar2_table(191) := '45583A66756E6374696F6E28297B72657475726E22756E646566696E656422213D747970656F6620617065787D2C64656275673A7B696E666F3A66756E6374696F6E2865297B6E2E69734150455828292626617065782E64656275672E696E666F286529';
wwv_flow_api.g_varchar2_table(192) := '7D2C6572726F723A66756E6374696F6E2865297B6E2E69734150455828293F617065782E64656275672E6572726F722865293A636F6E736F6C652E6572726F722865297D7D2C65736361706548544D4C3A66756E6374696F6E2865297B6966286E756C6C';
wwv_flow_api.g_varchar2_table(193) := '3D3D3D652972657475726E206E756C6C3B696628766F69642030213D3D65297B696628226F626A656374223D3D747970656F662065297472797B653D4A534F4E2E737472696E676966792865297D63617463682865297B7D72657475726E206E2E697341';
wwv_flow_api.g_varchar2_table(194) := '50455828293F617065782E7574696C2E65736361706548544D4C28537472696E67286529293A28653D537472696E67286529292E7265706C616365282F262F672C2226616D703B22292E7265706C616365282F3C2F672C22266C743B22292E7265706C61';
wwv_flow_api.g_varchar2_table(195) := '6365282F3E2F672C222667743B22292E7265706C616365282F222F672C222671756F743B22292E7265706C616365282F272F672C2226237832373B22292E7265706C616365282F5C2F2F672C2226237832463B22297D7D2C756E45736361706548544D4C';
wwv_flow_api.g_varchar2_table(196) := '3A66756E6374696F6E2865297B6966286E756C6C3D3D3D652972657475726E206E756C6C3B696628766F69642030213D3D65297B696628226F626A656374223D3D747970656F662065297472797B653D4A534F4E2E737472696E676966792865297D6361';
wwv_flow_api.g_varchar2_table(197) := '7463682865297B7D72657475726E28653D537472696E67286529292E7265706C616365282F26616D703B2F672C222622292E7265706C616365282F266C743B2F672C223E22292E7265706C616365282F2667743B2F672C223E22292E7265706C61636528';
wwv_flow_api.g_varchar2_table(198) := '2F2671756F743B2F672C272227292E7265706C616365282F237832373B2F672C222722292E7265706C616365282F26237832463B2F672C225C5C22297D7D2C6C6F616465723A7B73746172743A66756E6374696F6E2865297B6966286E2E697341504558';
wwv_flow_api.g_varchar2_table(199) := '282929617065782E7574696C2E73686F775370696E6E65722824286529293B656C73657B76617220743D2428223C7370616E3E3C2F7370616E3E22293B742E6174747228226964222C226C6F61646572222B65292C742E616464436C617373282263742D';
wwv_flow_api.g_varchar2_table(200) := '6C6F6164657222293B76617220723D2428223C693E3C2F693E22293B722E616464436C617373282266612066612D726566726573682066612D32782066612D616E696D2D7370696E22292C722E63737328226261636B67726F756E64222C227267626128';
wwv_flow_api.g_varchar2_table(201) := '3132312C3132312C3132312C302E362922292C722E6373732822626F726465722D726164697573222C223130302522292C722E637373282270616464696E67222C223135707822292C722E6373732822636F6C6F72222C22776869746522292C742E6170';
wwv_flow_api.g_varchar2_table(202) := '70656E642872292C242865292E617070656E642874297D7D2C73746F703A66756E6374696F6E2865297B2428652B22203E202E752D50726F63657373696E6722292E72656D6F766528292C2428652B22203E202E63742D6C6F6164657222292E72656D6F';
wwv_flow_api.g_varchar2_table(203) := '766528297D7D2C7365744974656D56616C75653A66756E6374696F6E28742C72297B6E2E69734150455828293F617065782E6974656D287429262630213D617065782E6974656D2874292E6E6F64653F617065782E6974656D2874292E73657456616C75';
wwv_flow_api.g_varchar2_table(204) := '652872293A636F6E736F6C652E6572726F722822506C656173652063686F6F7365206120736574206974656D2E2042656361757365207468652076616C75652028222B722B22292063616E206E6F7420626520736574206F6E206974656D2028222B742B';
wwv_flow_api.g_varchar2_table(205) := '222922293A636F6E736F6C652E6572726F7228224572726F72207768696C652074727920746F2063616C6C20617065782E6974656D222B65297D2C6765744974656D56616C75653A66756E6374696F6E2874297B69662821742972657475726E22223B69';
wwv_flow_api.g_varchar2_table(206) := '66286E2E6973415045582829297B696628617065782E6974656D287429262630213D617065782E6974656D2874292E6E6F64652972657475726E20617065782E6974656D2874292E67657456616C756528293B636F6E736F6C652E6572726F722822506C';
wwv_flow_api.g_varchar2_table(207) := '656173652063686F6F7365206120676574206974656D2E2042656361757365207468652076616C756520636F756C64206E6F74206265206765742066726F6D206974656D28222B742B222922297D656C736520636F6E736F6C652E6572726F7228224572';
wwv_flow_api.g_varchar2_table(208) := '726F72207768696C652074727920746F2063616C6C20617065782E6974656D222B65297D2C6A736F6E53617665457874656E643A66756E6374696F6E28652C74297B76617220723D7B7D2C6E3D7B7D3B69662822737472696E67223D3D747970656F6620';
wwv_flow_api.g_varchar2_table(209) := '74297472797B6E3D4A534F4E2E70617273652874297D63617463682865297B636F6E736F6C652E6572726F7228224572726F72207768696C652074727920746F20706172736520746172676574436F6E6669672E20506C6561736520636865636B20796F';
wwv_flow_api.g_varchar2_table(210) := '757220436F6E666967204A534F4E2E205374616E6461726420436F6E6669672077696C6C20626520757365642E22292C636F6E736F6C652E6572726F722865292C636F6E736F6C652E6572726F722874297D656C7365206E3D743B7472797B723D242E65';
wwv_flow_api.g_varchar2_table(211) := '7874656E642821302C652C6E297D63617463682874297B636F6E736F6C652E6572726F7228224572726F72207768696C652074727920746F206D657267652032204A534F4E7320696E746F207374616E64617264204A534F4E20696620616E7920617474';
wwv_flow_api.g_varchar2_table(212) := '726962757465206973206D697373696E672E20506C6561736520636865636B20796F757220436F6E666967204A534F4E2E205374616E6461726420436F6E6669672077696C6C20626520757365642E22292C636F6E736F6C652E6572726F722874292C72';
wwv_flow_api.g_varchar2_table(213) := '3D652C636F6E736F6C652E6572726F722872297D72657475726E20727D2C73706C6974537472696E673241727261793A66756E6374696F6E2865297B6966286E2E69734150455828292626617065782E7365727665722626617065782E7365727665722E';
wwv_flow_api.g_varchar2_table(214) := '6368756E6B2972657475726E20617065782E7365727665722E6368756E6B2865293B76617220742C723D5B5D3B696628652E6C656E6774683E386533297B666F7228723D5B5D2C743D303B743C652E6C656E6774683B29722E7075736828652E73756273';
wwv_flow_api.g_varchar2_table(215) := '747228742C38653329292C742B3D3865333B72657475726E20727D72657475726E20722E707573682865292C727D7D3B72657475726E7B696E697469616C697A653A66756E6374696F6E28652C6F297B6E2E64656275672E696E666F286F293B76617220';
wwv_flow_api.g_varchar2_table(216) := '693D6F3B696628692E73616E6974697A654F7074696F6E733D6E2E6A736F6E53617665457874656E64287B414C4C4F5745445F415454523A5B226163636573736B6579222C22616C69676E222C22616C74222C22616C77617973222C226175746F636F6D';
wwv_flow_api.g_varchar2_table(217) := '706C657465222C226175746F706C6179222C22626F72646572222C2263656C6C70616464696E67222C2263656C6C73706163696E67222C2263686172736574222C22636C617373222C22646972222C22686569676874222C2268726566222C226964222C';
wwv_flow_api.g_varchar2_table(218) := '226C616E67222C226E616D65222C2272656C222C227265717569726564222C22737263222C227374796C65222C2273756D6D617279222C22746162696E646578222C22746172676574222C227469746C65222C2274797065222C2276616C7565222C2277';
wwv_flow_api.g_varchar2_table(219) := '69647468225D2C414C4C4F5745445F544147533A5B2261222C2261646472657373222C2262222C22626C6F636B71756F7465222C226272222C2263617074696F6E222C22636F6465222C226464222C22646976222C22646C222C226474222C22656D222C';
wwv_flow_api.g_varchar2_table(220) := '2266696763617074696F6E222C22666967757265222C226831222C226832222C226833222C226834222C226835222C226836222C226872222C2269222C22696D67222C226C6162656C222C226C69222C226E6C222C226F6C222C2270222C22707265222C';
wwv_flow_api.g_varchar2_table(221) := '2273222C227370616E222C22737472696B65222C227374726F6E67222C22737562222C22737570222C227461626C65222C2274626F6479222C227464222C227468222C227468656164222C227472222C2275222C22756C225D7D2C6F2E73616E6974697A';
wwv_flow_api.g_varchar2_table(222) := '654F7074696F6E73292C224E223D3D692E73616E6974697A653F692E73616E6974697A653D21313A692E73616E6974697A653D21302C224E223D3D692E65736361706548544D4C3F692E65736361706548544D4C3D21313A692E65736361706548544D4C';
wwv_flow_api.g_varchar2_table(223) := '3D21302C224E223D3D692E756E45736361706548544D4C3F692E756E45736361706548544D4C3D21313A692E756E45736361706548544D4C3D21302C2259223D3D692E73686F774C6F616465723F692E73686F774C6F616465723D21303A692E73686F77';
wwv_flow_api.g_varchar2_table(224) := '4C6F616465723D21312C2259223D3D692E75736555525445496D674C6F616465723F692E75736555525445496D674C6F616465723D21303A692E75736555525445496D674C6F616465723D21312C692E616666456C656D656E74733D5B5D2C652E616666';
wwv_flow_api.g_varchar2_table(225) := '6563746564456C656D656E74732626242E6561636828652E6166666563746564456C656D656E74732C66756E6374696F6E28652C74297B76617220723D242874292E617474722822696422293B722626692E616666456C656D656E74732E707573682822';
wwv_flow_api.g_varchar2_table(226) := '23222B72297D292C692E73686F774C6F616465722626242E6561636828692E616666456C656D656E74732C66756E6374696F6E28652C74297B6E2E6C6F616465722E73746172742874297D292C225052494E545F434C4F42223D3D692E66756E6374696F';
wwv_flow_api.g_varchar2_table(227) := '6E54797065297B76617220613D692E6974656D73325375626D69743B617065782E7365727665722E706C7567696E28692E616A617849442C7B7830313A6F2E66756E6374696F6E547970652C706167654974656D733A617D2C7B737563636573733A6675';
wwv_flow_api.g_varchar2_table(228) := '6E6374696F6E2874297B7228742C692C65297D2C6572726F723A66756E6374696F6E2874297B6E2E64656275672E6572726F7228224572726F72207768696C65206D616B6520414A41582043616C6C20666F722052656E646572434C4F4222292C6E2E64';
wwv_flow_api.g_varchar2_table(229) := '656275672E6572726F7228742E726573706F6E736554657874292C242E6561636828692E616666456C656D656E74732C66756E6374696F6E28652C74297B6E2E6C6F616465722E73746F702874292C617065782E6576656E742E7472696767657228742C';
wwv_flow_api.g_varchar2_table(230) := '22636C6F6272656E6465726572726F7222297D292C617065782E64612E726573756D6528652E726573756D6543616C6C6261636B2C2130297D2C64617461547970653A226A736F6E227D297D656C73652166756E6374696F6E28652C72297B766172206F';
wwv_flow_api.g_varchar2_table(231) := '3D6E2E6765744974656D56616C756528652E6974656D53746F726573434C4F42292C693D652E6974656D73325375626D69742C613D6E2E6765744974656D56616C756528652E636F6C6C656374696F6E4E616D654974656D293B652E756E457363617065';
wwv_flow_api.g_varchar2_table(232) := '48544D4C2626286F3D6E2E756E45736361706548544D4C286F29292C652E73616E6974697A652626286F3D74286F2C6529293B766172206C3D6E2E73706C6974537472696E67324172726179286F293B617065782E7365727665722E706C7567696E2865';
wwv_flow_api.g_varchar2_table(233) := '2E616A617849442C7B7830313A652E66756E6374696F6E547970652C7830323A612C6630313A6C2C706167654974656D733A697D2C7B64617461547970653A2274657874222C737563636573733A66756E6374696F6E2874297B242E6561636828652E61';
wwv_flow_api.g_varchar2_table(234) := '6666456C656D656E74732C66756E6374696F6E28652C74297B6E2E6C6F616465722E73746F702874292C617065782E6576656E742E7472696767657228742C22636C6F6275706C6F6164636F6D706C65746522297D292C6E2E64656275672E696E666F28';
wwv_flow_api.g_varchar2_table(235) := '2255706C6F6164207375636365737366756C2E22292C617065782E64612E726573756D6528722E726573756D6543616C6C6261636B2C2131297D2C6572726F723A66756E6374696F6E28742C6F2C69297B242E6561636828652E616666456C656D656E74';
wwv_flow_api.g_varchar2_table(236) := '732C66756E6374696F6E28652C74297B6E2E6C6F616465722E73746F702874292C617065782E6576656E742E7472696767657228742C22636C6F6275706C6F61646572726F7222297D292C6E2E64656275672E696E666F282255706C6F6164206572726F';
wwv_flow_api.g_varchar2_table(237) := '722E22292C6E2E64656275672E6572726F722874292C6E2E64656275672E6572726F72286F292C6E2E64656275672E6572726F722869292C617065782E64612E726573756D6528722E726573756D6543616C6C6261636B2C2130297D7D297D28692C6529';
wwv_flow_api.g_varchar2_table(238) := '7D7D7D28293B';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(65302444872976279071)
,p_plugin_id=>wwv_flow_api.id(64938179294117346412)
,p_file_name=>'clobload.pkgd.min.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/user_interfaces
begin
wwv_flow_api.create_user_interface(
 p_id=>wwv_flow_api.id(25186303948932505463)
,p_ui_type_name=>'DESKTOP'
,p_display_name=>'Desktop'
,p_display_seq=>10
,p_use_auto_detect=>false
,p_is_default=>true
,p_theme_id=>42
,p_home_url=>'f?p=&APP_ID.:HOME:&SESSION.'
,p_login_url=>'f?p=&APP_ID.:LOGIN_DESKTOP:&SESSION.'
,p_theme_style_by_user_pref=>false
,p_navigation_list_id=>wwv_flow_api.id(25186261540139505399)
,p_navigation_list_position=>'SIDE'
,p_navigation_list_template_id=>wwv_flow_api.id(25186296185919505441)
,p_nav_list_template_options=>'#DEFAULT#'
,p_nav_bar_type=>'LIST'
,p_nav_bar_list_id=>wwv_flow_api.id(25186303809636505463)
,p_nav_bar_list_template_id=>wwv_flow_api.id(25186296021391505441)
,p_nav_bar_template_options=>'#DEFAULT#'
);
end;
/
prompt --application/user_interfaces/combined_files
begin
null;
end;
/
prompt --application/pages/page_00001
begin
wwv_flow_api.create_page(
 p_id=>1
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Report Map Pins'
,p_alias=>'PINS'
,p_step_title=>'Demo Report Map Plugin'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Home'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<strong>Click a pin to get data about it.</strong>',
'<p>',
'The map region has static id "mymap".',
'<p>',
'Query for map plugin:',
'<code>',
'    select c003 as lat, c004 as lng, c002 as name, c001 as id,',
'           c002 || '' (id='' || c001 || '')'' as info ',
'    from apex_collections',
'    where collection_name = ''MAP''',
'</code>',
'<p>',
'Dynamic action on plugin event <strong>markerClick</strong> with actions Set Value on P1_CLICKED, to JavaScript Expressions:',
'<code>',
'    "this.data.id=" + this.data.id + " this.data.name=" + this.data.name',
'</code>',
'and for P1_POSITION:',
'<code>',
'    this.data.lat + "," + this.data.lng',
'</code>',
'<p>',
'This page only uses declarative APEX features (no added javascript).'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(73507635119238450)
,p_plug_name=>'Report Map Pins'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3214474053693807630)
,p_plug_name=>'Report Map'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'from apex_collections',
'where collection_name = ''MAP'''))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>'apex.debug("javascript init code");'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(3214474250168807632)
,p_name=>'Source data'
,p_template=>wwv_flow_api.id(25186277719855505424)
,p_display_sequence=>40
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_new_grid_row=>false
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info ',
'from apex_collections',
'where collection_name = ''MAP'''))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(25186286576607505432)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_IN_SELECT_LIST'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(3214474397713807633)
,p_query_column_id=>1
,p_column_alias=>'LAT'
,p_column_display_sequence=>1
,p_column_heading=>'Lat'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(3214474413224807634)
,p_query_column_id=>2
,p_column_alias=>'LNG'
,p_column_display_sequence=>2
,p_column_heading=>'Lng'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(3214474588120807635)
,p_query_column_id=>3
,p_column_alias=>'NAME'
,p_column_display_sequence=>3
,p_column_heading=>'Name'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(3214474659149807636)
,p_query_column_id=>4
,p_column_alias=>'ID'
,p_column_display_sequence=>4
,p_column_heading=>'Id'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(75061271489626107)
,p_query_column_id=>5
,p_column_alias=>'INFO'
,p_column_display_sequence=>5
,p_column_heading=>'Info'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33391359332218413)
,p_name=>'P1_POSITION'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(73507635119238450)
,p_prompt=>'Position'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(3214474856975807638)
,p_name=>'P1_CLICKED'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(73507635119238450)
,p_prompt=>'Pin data'
,p_placeholder=>'(click a map marker to show data here)'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>4000
,p_tag_attributes=>'readonly'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(48414083574082303)
,p_name=>'map loaded'
,p_event_sequence=>20
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3214474053693807630)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|maploaded'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(48414180379082304)
,p_event_id=>wwv_flow_api.id(48414083574082303)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'apex.debug("loaded",this.data.countPins,"pins");'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(3214474913618807639)
,p_name=>'marker clicked'
,p_event_sequence=>30
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3214474053693807630)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|markerclick'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(3214475003576807640)
,p_event_id=>wwv_flow_api.id(3214474913618807639)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P1_CLICKED'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'"this.data.id=" + this.data.id + " this.data.name=" + this.data.name'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33391446464218414)
,p_event_id=>wwv_flow_api.id(3214474913618807639)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P1_POSITION'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'this.data.lat + " " + this.data.lng'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
end;
/
prompt --application/pages/page_00002
begin
wwv_flow_api.create_page(
 p_id=>2
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Draggable Pins'
,p_alias=>'DRAGGABLE'
,p_step_title=>'Draggable Pins'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Draggable Pins'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<strong>Drag a pin to move it to another location.</strong>',
'<p>',
'The map region has static id "mymap".',
'<p>',
'Dynamic action on plugin event <strong>markerClick</strong> sets P2_CLICKED.',
'<p>',
'Dynamic action on plugin event <strong>markerDrag</strong> sets P2_DRAGGED.',
'<p>',
'Dynamic action on click of the Refresh button does an ordinary Refresh action on the region. This reloads the data for the map and shows the pins on the map.'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32939239851408724)
,p_plug_name=>'Report Google Map Plugin'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'from apex_collections',
'where collection_name = ''MAP'''))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_04=>'DRAGGABLE:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(105746644532707140)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(33393226609218432)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(32939239851408724)
,p_button_name=>'REFRESH'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(25186298860096505445)
,p_button_image_alt=>'Refresh'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-refresh'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(22168173774368444)
,p_name=>'P2_DRAGGED'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(105746644532707140)
,p_prompt=>'P2_DRAGGED'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(32243429012468731)
,p_name=>'P2_CLICKED'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(105746644532707140)
,p_prompt=>'P2_CLICKED'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(32243815993468757)
,p_name=>'markerClick'
,p_event_sequence=>10
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32939239851408724)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|markerclick'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33391766523218417)
,p_event_id=>wwv_flow_api.id(32243815993468757)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P2_CLICKED'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'"this.data.id="+this.data.id+" this.data.name="+this.data.name+" this.data.lat="+this.data.lat+" this.data.lng="+this.data.lng'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(22167954866368442)
,p_name=>'markerDrag'
,p_event_sequence=>30
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32939239851408724)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|markerdrag'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33391880175218418)
,p_event_id=>wwv_flow_api.id(22167954866368442)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P2_DRAGGED'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'"this.data.id="+this.data.id+" this.data.name="+this.data.name+" this.data.lat="+this.data.lat+" this.data.lng="+this.data.lng'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(33393385263218433)
,p_name=>'refresh map'
,p_event_sequence=>40
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(33393226609218432)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33393483088218434)
,p_event_id=>wwv_flow_api.id(33393385263218433)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32939239851408724)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(48414470703082307)
,p_name=>'mapLoaded'
,p_event_sequence=>50
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32939239851408724)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|maploaded'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(48414556841082308)
,p_event_id=>wwv_flow_api.id(48414470703082307)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex.debug("map loaded");',
'apex.debug(this.data);'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(48414622069082309)
,p_name=>'mapRefreshed'
,p_event_sequence=>60
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32939239851408724)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|maprefreshed'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(48414750174082310)
,p_event_id=>wwv_flow_api.id(48414622069082309)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex.debug("map refreshed");',
'apex.debug(this.data);'))
);
end;
/
prompt --application/pages/page_00003
begin
wwv_flow_api.create_page(
 p_id=>3
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Sync with Report'
,p_alias=>'SYNC'
,p_step_title=>'Sync with Report'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Sync with Report'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<strong>Click on location name in the report </strong> executes:',
'<p>',
'<code>',
'    $("#map_mymap").reportmap("click","#ID#")',
'</code>',
'</p><hr><p>',
'When you select Map Type, a dynamic action <strong>JK64 Report Google Map R1 Action</strong> set to <strong>Set Option</strong> for option <strong>Map Type</strong> is executed.',
'</p><hr><p>',
'Map Style: <a href="https://snazzymaps.com/style/55352/bojangles">"Bojangles"</a>',
'</p>'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32940867019408740)
,p_plug_name=>'column1'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32938070306408712)
,p_plug_name=>'Report Google Map Plugin with Style'
,p_region_name=>'mymap'
,p_parent_plug_id=>wwv_flow_api.id(32940867019408740)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info ',
'from apex_collections',
'where collection_name = ''MAP'''))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'400'
,p_attribute_02=>'PINS'
,p_attribute_03=>'11'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_11=>'[{"featureType":"all","elementType":"labels.text.fill","stylers":[{"color":"#ed5929"}]},{"featureType":"administrative","elementType":"labels.text.fill","stylers":[{"color":"#444444"}]},{"featureType":"administrative.country","elementType":"labels.te'
||'xt.fill","stylers":[{"color":"#ed5929"}]},{"featureType":"administrative.province","elementType":"labels.text.fill","stylers":[{"color":"#ed5929"}]},{"featureType":"administrative.locality","elementType":"labels.text.fill","stylers":[{"color":"#92929'
||'2"},{"weight":"2.85"},{"lightness":"-1"}]},{"featureType":"administrative.neighborhood","elementType":"labels.text.fill","stylers":[{"color":"#ed5929"}]},{"featureType":"administrative.land_parcel","elementType":"labels.text.fill","stylers":[{"color"'
||':"#ed5929"}]},{"featureType":"landscape","elementType":"all","stylers":[{"color":"#f2f2f2"}]},{"featureType":"poi","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"poi","elementType":"labels.text.fill","stylers":[{"color":"#ed592'
||'9"}]},{"featureType":"road","elementType":"all","stylers":[{"saturation":-100},{"lightness":45}]},{"featureType":"road","elementType":"geometry.fill","stylers":[{"color":"#ed5929"}]},{"featureType":"road.highway","elementType":"all","stylers":[{"visi'
||'bility":"simplified"}]},{"featureType":"road.highway","elementType":"geometry.fill","stylers":[{"color":"#ed5929"}]},{"featureType":"road.highway","elementType":"labels.text.fill","stylers":[{"color":"#ffffff"},{"weight":"1.22"}]},{"featureType":"roa'
||'d.highway","elementType":"labels.text.stroke","stylers":[{"color":"#ed5929"},{"weight":"1"}]},{"featureType":"road.arterial","elementType":"geometry.fill","stylers":[{"color":"#d5d5d5"}]},{"featureType":"road.arterial","elementType":"labels.icon","st'
||'ylers":[{"visibility":"off"}]},{"featureType":"road.local","elementType":"all","stylers":[{"color":"#d5d5d5"}]},{"featureType":"transit","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"geometry.fill","sty'
||'lers":[{"color":"#ed5929"}]},{"featureType":"water","elementType":"all","stylers":[{"color":"#46bcec"},{"visibility":"on"}]},{"featureType":"water","elementType":"geometry.fill","stylers":[{"color":"#d6d6d6"}]},{"featureType":"water","elementType":"l'
||'abels.text.fill","stylers":[{"color":"#ffffff"}]},{"featureType":"water","elementType":"labels.text.stroke","stylers":[{"color":"#ed5929"}]}]'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(75093680814959571)
,p_plug_name=>'Notes'
,p_parent_plug_id=>wwv_flow_api.id(32940867019408740)
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(75089679997959566)
,p_name=>'Source data'
,p_template=>wwv_flow_api.id(25186277719855505424)
,p_display_sequence=>40
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_new_grid_row=>false
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info ',
'from apex_collections',
'where collection_name = ''MAP'''))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(25186286576607505432)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_IN_SELECT_LIST'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(75090094828959567)
,p_query_column_id=>1
,p_column_alias=>'LAT'
,p_column_display_sequence=>2
,p_column_heading=>'Lat'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(75090455967959568)
,p_query_column_id=>2
,p_column_alias=>'LNG'
,p_column_display_sequence=>3
,p_column_heading=>'Lng'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(75090850583959568)
,p_query_column_id=>3
,p_column_alias=>'NAME'
,p_column_display_sequence=>1
,p_column_heading=>'Name'
,p_use_as_row_header=>'N'
,p_column_link=>'javascript:$("#map_mymap").reportmap("click","#ID#")'
,p_column_linktext=>'<span class="t-Icon fa fa-map-marker" aria-hidden="true"></span>#NAME#'
,p_column_link_attr=>'class="t-Button t-Button--icon t-Button--hot t-Button--large t-Button--simple t-Button--stretch t-Button--iconLeft"'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(75091257552959568)
,p_query_column_id=>4
,p_column_alias=>'ID'
,p_column_display_sequence=>4
,p_hidden_column=>'Y'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(75091614835959569)
,p_query_column_id=>5
,p_column_alias=>'INFO'
,p_column_display_sequence=>5
,p_hidden_column=>'Y'
,p_derived_column=>'N'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(53978871110556343)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(32938070306408712)
,p_button_name=>'SHOW_MESSAGE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(25186298792612505445)
,p_button_image_alt=>'Show Message'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(53978935019556344)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(32938070306408712)
,p_button_name=>'HIDE_MESSAGE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(25186298792612505445)
,p_button_image_alt=>'Hide Message'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(53979445134556349)
,p_name=>'P3_MESSAGE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(32938070306408712)
,p_source=>'A whole new world...'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(57884892606842102)
,p_name=>'P3_MAP_TYPE'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(32938070306408712)
,p_prompt=>'Map Type'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC2:hybrid;hybrid,roadmap;roadmap,satellite;satellite,terrain;terrain'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(25186298275602505444)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53979018785556345)
,p_name=>'click show message'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(53978871110556343)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53979132203556346)
,p_event_id=>wwv_flow_api.id(53979018785556345)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32938070306408712)
,p_attribute_01=>'showMessage'
,p_attribute_02=>'static'
,p_attribute_05=>'&P3_MESSAGE.'
,p_attribute_07=>'zoom'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53979254219556347)
,p_name=>'click hide message'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(53978935019556344)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53979345122556348)
,p_event_id=>wwv_flow_api.id(53979254219556347)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32938070306408712)
,p_attribute_01=>'hideMessage'
,p_attribute_02=>'triggeringElement'
,p_attribute_07=>'zoom'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(57884981253842103)
,p_name=>'set map type'
,p_event_sequence=>30
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P3_MAP_TYPE'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57885039875842104)
,p_event_id=>wwv_flow_api.id(57884981253842103)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32938070306408712)
,p_attribute_01=>'setOption'
,p_attribute_02=>'triggeringElement'
,p_attribute_07=>'mapType'
);
end;
/
prompt --application/pages/page_00004
begin
wwv_flow_api.create_page(
 p_id=>4
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Marker Clustering'
,p_alias=>'CLUSTERING'
,p_step_title=>'Marker Clustering'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Marker Clustering'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<strong>This map has Marker Clustering enabled.</strong>',
'<p>',
'Query for map plugin (this takes a random 10% sample to improve performance):',
'<code>',
'    select lat, lng,',
'           ''Magnitude '' || mag as name,',
'           lat||'',''||lng as id',
'    from jk64demo_earthquakes sample(10)',
'</code>',
'<p>',
'Dynamic action on plugin event <strong>markerClick</strong> sets P1_CLICKED.'))
,p_page_comment=>'This page requires the table jk64demo_earthquakes.'
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32939470180408726)
,p_plug_name=>'Report Google Map Plugin'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>'select lat, lng, ''Magnitude '' || mag as name, lat||'',''||lng as id from jk64demo_earthquakes sample(10)'
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'350'
,p_attribute_02=>'CLUSTER'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(105766656883857610)
,p_plug_name=>'Marker Clustering'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(3246733271933426792)
,p_name=>'Source data'
,p_template=>wwv_flow_api.id(25186277719855505424)
,p_display_sequence=>30
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_new_grid_row=>false
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>'select lat, lng, ''Magnitude '' || mag as name, lat||'',''||lng as id from jk64demo_earthquakes'
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(25186286576607505432)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_IN_SELECT_LIST'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(32261494605619180)
,p_query_column_id=>1
,p_column_alias=>'LAT'
,p_column_display_sequence=>1
,p_column_heading=>'Lat'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(32261766225619181)
,p_query_column_id=>2
,p_column_alias=>'LNG'
,p_column_display_sequence=>2
,p_column_heading=>'Lng'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(32262100159619182)
,p_query_column_id=>3
,p_column_alias=>'NAME'
,p_column_display_sequence=>3
,p_column_heading=>'Name'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(32262585402619182)
,p_query_column_id=>4
,p_column_alias=>'ID'
,p_column_display_sequence=>4
,p_column_heading=>'ID'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(32263347067619182)
,p_name=>'P4_CLICKED'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(105766656883857610)
,p_prompt=>'P4_CLICKED'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(32263764889619202)
,p_name=>'markerClick'
,p_event_sequence=>10
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32939470180408726)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|markerclick'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33393158320218431)
,p_event_id=>wwv_flow_api.id(32263764889619202)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P4_CLICKED'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'"this.data.id="+this.data.id+" this.data.name="+this.data.name+" this.data.lat="+this.data.lat+" this.data.lng="+this.data.lng'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
end;
/
prompt --application/pages/page_00005
begin
wwv_flow_api.create_page(
 p_id=>5
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Search Map'
,p_alias=>'SEARCH'
,p_step_title=>'Search Map'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>',
'Enter a <b>Search</b> string - e.g. an address, place name or landmark. The item',
'has an onchange dynamic action that executes a <strong>JK64 Report Google Map R1 Action</strong>',
'set to <strong>Search map by Address</strong>.',
'</p><p>',
'When it is found, the map raises the <strong>addressFound</strong> event.',
'</p><p>',
'A dynamic action on the region then executes the following Actions:',
'<ol><li>Execute JavaScript Code:',
'<code>',
'    this.data.map.setCenter({lat:this.data.lat,lng:this.data.lng});',
'    this.data.map.setZoom(17);',
'</code>',
'</li><li>Set Value, on item P5_ADDRESS, to JavaScript Expression:',
'<code>',
'    this.data.result.formatted_address',
'</code>',
'</li><li>Set Value, on item P5_DSP_LAT_LNG, to JavaScript Expression:',
'<code>',
'    this.data.lat + " " + this.data.lng);',
'</code>',
'</li></ol>',
'</p><p>',
'Alternatively, if you click any point on the map, the <strong>mapClick</strong>',
'event fires and a dynamic action executes a <strong>JK64 Report Google Map R1 Action</strong>',
'set to <strong>Place Marker</strong> based on a JavaScript Expression:',
'<code>',
'    {"lat":this.data.lat, "lng":this.data.lng}',
'</code>',
'Followed by another <strong>JK64 Report Google Map R1 Action</strong> set to',
'<strong>Get Address at Location</strong> based on the same JavaScript expression.',
'</p><p>',
'The maps "Draggable" option is set. This means the marker can be dragged to a new location; when this occurs, the <strong>markerDrag</strong> event fires and a',
'dynamic action calls <code>Get Address at Location</code> again.',
'</p><p>',
'If the <b>Region</b> is selected, the search will <em>bias</em> the results to the selected region if multiple results are found.',
'</p><p>',
'If the <b>Country</b> is selected, the results will be <em>restricted</em> to the selected country.',
'</p><p>',
'When the Country is changed, a dynamic action performs three actions:',
'<ol>',
'<li>Set Value - retrieves the lat,lng for the country into P5_LATLNG</li>',
'<li>Javascript:',
'    <code>',
'        $("#map_mymap").reportmap("option","restrictCountry",$v("P5_COUNTRY"));',
'    </code>',
'</li>',
'    <li><strong>JK64 Report Google Map R1 Action</strong> set to <strong>Pan To</strong> based on P5_LATLNG.</li>',
'</ol>',
'</p>'))
,p_page_comment=>'This page requires the table jk64demo_countries.'
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(22167236053368435)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>30
,p_plug_new_grid_row=>false
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32938247034408714)
,p_plug_name=>'Search Map'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'600'
,p_attribute_02=>'PINS'
,p_attribute_03=>'13'
,p_attribute_04=>'PAN_ON_CLICK:DRAGGABLE:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_06=>'&P5_LATLNG.'
,p_attribute_09=>'&P5_REGION.'
,p_attribute_10=>'&P5_COUNTRY.'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(53974978684556304)
,p_name=>'P5_REGION'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(22167236053368435)
,p_prompt=>'Bias to Region'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'select country, iso_a2 from jk64demo_countries where iso_a2 is not null order by 1'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'default bias (US)'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-globe'
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'REDIRECT_SET_VALUE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(70256251299092631)
,p_name=>'P5_SEARCH'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(22167236053368435)
,p_prompt=>'Search'
,p_placeholder=>'enter address to search for'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>80
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-search'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(70256306778092632)
,p_name=>'P5_ADDRESS'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(22167236053368435)
,p_prompt=>'Address'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_tag_attributes=>'readonly'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-envelope-square'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(70256464164092633)
,p_name=>'P5_COUNTRY'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(22167236053368435)
,p_prompt=>'Restrict to Country'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'select country, iso_a2 from jk64demo_countries where iso_a2 is not null and lat is not null and lng is not null order by 1'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'(all countries)'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-map-marker'
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(70256530354092634)
,p_name=>'P5_LATLNG'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(22167236053368435)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(102156918047353009)
,p_name=>'P5_DSP_LAT_LNG'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(22167236053368435)
,p_prompt=>'Lat/Long'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_tag_attributes=>'readonly'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-map-pin'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(70256859857092637)
,p_computation_sequence=>10
,p_computation_item=>'P5_LATLNG'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT lat||'',''||lng',
'FROM jk64demo_countries',
'WHERE iso_a2 = :P5_COUNTRY'))
,p_compute_when=>'P5_COUNTRY'
,p_compute_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(102156728439353007)
,p_name=>'addressFound'
,p_event_sequence=>10
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32938247034408714)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|addressfound'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(102156898191353008)
,p_event_id=>wwv_flow_api.id(102156728439353007)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32938247034408714)
,p_attribute_01=>'panTo'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'this.data.lat + " " + this.data.lng'
,p_attribute_07=>'zoom'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57884708367842101)
,p_event_id=>wwv_flow_api.id(102156728439353007)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32938247034408714)
,p_attribute_01=>'setOption'
,p_attribute_02=>'static'
,p_attribute_05=>'17'
,p_attribute_07=>'zoom'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33391528882218415)
,p_event_id=>wwv_flow_api.id(102156728439353007)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P5_ADDRESS'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'this.data.result.formatted_address'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33391652411218416)
,p_event_id=>wwv_flow_api.id(102156728439353007)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P5_LATLNG,P5_DSP_LAT_LNG'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'this.data.lat + " " + this.data.lng'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(22166137092368424)
,p_name=>'on search'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P5_SEARCH'
,p_condition_element=>'P5_SEARCH'
,p_triggering_condition_type=>'NOT_NULL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53978759977556342)
,p_event_id=>wwv_flow_api.id(22166137092368424)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32938247034408714)
,p_attribute_01=>'gotoAddress'
,p_attribute_02=>'triggeringElement'
,p_attribute_07=>'zoom'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(22167710187368440)
,p_name=>'mapclick - get address'
,p_event_sequence=>30
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32938247034408714)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|mapclick'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53979514216556350)
,p_event_id=>wwv_flow_api.id(22167710187368440)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32938247034408714)
,p_attribute_01=>'gotoPosByString'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'{"lat":this.data.lat,"lng":this.data.lng}'
,p_attribute_07=>'zoom'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(22167882306368441)
,p_event_id=>wwv_flow_api.id(22167710187368440)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32938247034408714)
,p_attribute_01=>'getAddressByPos'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'{"lat":this.data.lat,"lng":this.data.lng}'
,p_attribute_07=>'zoom'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53977082197556325)
,p_name=>'markerDrag'
,p_event_sequence=>40
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32938247034408714)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|markerdrag'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53977164774556326)
,p_event_id=>wwv_flow_api.id(53977082197556325)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32938247034408714)
,p_attribute_01=>'getAddressByPos'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'{"lat":this.data.lat,"lng":this.data.lng}'
,p_attribute_07=>'zoom'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(32938383315408715)
,p_name=>'on change country'
,p_event_sequence=>50
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P5_COUNTRY'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(32938401649408716)
,p_event_id=>wwv_flow_api.id(32938383315408715)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P5_LATLNG'
,p_attribute_01=>'SQL_STATEMENT'
,p_attribute_03=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT lat||'',''||lng',
'FROM jk64demo_countries',
'WHERE iso_a2 = :P5_COUNTRY'))
,p_attribute_07=>'P5_COUNTRY'
,p_attribute_08=>'Y'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(32938538624408717)
,p_event_id=>wwv_flow_api.id(32938383315408715)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32938247034408714)
,p_attribute_01=>'setOption'
,p_attribute_02=>'triggeringElement'
,p_attribute_07=>'restrictCountry'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57885842081842112)
,p_event_id=>wwv_flow_api.id(32938383315408715)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32938247034408714)
,p_attribute_01=>'panTo'
,p_attribute_02=>'pageItem'
,p_attribute_03=>'P5_LATLNG'
,p_attribute_07=>'zoom'
);
end;
/
prompt --application/pages/page_00006
begin
wwv_flow_api.create_page(
 p_id=>6
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Geo Heatmap'
,p_alias=>'HEATMAP'
,p_step_title=>'Geo Heatmap'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Geo Heatmap'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<strong>This map renders the data as a Heatmap.</strong>',
'<p>',
'Query for map plugin:',
'<code>',
'    select round(lat,3), round(lng,3), sum(10*(mag+1))',
'    from jk64demo_earthquakes',
'    where mag+1>=0',
'    group by round(lat,3), round(lng,3)',
'</code>',
'<p>',
'Adding the SUM() and GROUP BY helps to reduce the volume of data sent to the client. For a heatmap, sending 5 rows with the same position and weight "1" is the same as sending a single row with weight "5".'))
,p_page_comment=>'This page requires the table jk64demo_earthquakes.'
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(86703429402923302)
,p_plug_name=>'column1'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(138044127907793320)
,p_plug_name=>'Geo Heatmap'
,p_parent_plug_id=>wwv_flow_api.id(86703429402923302)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3279010546482362500)
,p_plug_name=>'Report Google Map Plugin ("mymap")'
,p_region_name=>'mymap'
,p_parent_plug_id=>wwv_flow_api.id(86703429402923302)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>'select round(lat,3), round(lng,3), sum(exp(mag+1)) from jk64demo_earthquakes where mag+1>=0 group by round(lat,3), round(lng,3)'
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'400'
,p_attribute_02=>'HEATMAP'
,p_attribute_03=>'13'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_11=>'[{"featureType":"water","elementType":"geometry","stylers":[{"color":"#e9e9e9"},{"lightness":17}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":20}]},{"featureType":"road.highway","elementType":"geom'
||'etry.fill","stylers":[{"color":"#ffffff"},{"lightness":17}]},{"featureType":"road.highway","elementType":"geometry.stroke","stylers":[{"color":"#ffffff"},{"lightness":29},{"weight":0.2}]},{"featureType":"road.arterial","elementType":"geometry","style'
||'rs":[{"color":"#ffffff"},{"lightness":18}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"color":"#ffffff"},{"lightness":16}]},{"featureType":"poi","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":21}]},{"featu'
||'reType":"poi.park","elementType":"geometry","stylers":[{"color":"#dedede"},{"lightness":21}]},{"elementType":"labels.text.stroke","stylers":[{"visibility":"on"},{"color":"#ffffff"},{"lightness":16}]},{"elementType":"labels.text.fill","stylers":[{"sat'
||'uration":36},{"color":"#333333"},{"lightness":40}]},{"elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"geometry","stylers":[{"color":"#f2f2f2"},{"lightness":19}]},{"featureType":"administrative","el'
||'ementType":"geometry.fill","stylers":[{"color":"#fefefe"},{"lightness":20}]},{"featureType":"administrative","elementType":"geometry.stroke","stylers":[{"color":"#fefefe"},{"lightness":17},{"weight":1.2}]}]'
,p_attribute_12=>'N'
,p_attribute_13=>'0.7'
,p_attribute_14=>'10'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(3279010742957362502)
,p_name=>'Source data'
,p_template=>wwv_flow_api.id(25186277719855505424)
,p_display_sequence=>20
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_new_grid_row=>false
,p_grid_column_span=>3
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>'select round(lat,3), round(lng,3), sum(10*(mag+1)) from jk64demo_earthquakes where mag+1>=0 group by round(lat,3), round(lng,3)'
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(25186286576607505432)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_IN_SELECT_LIST'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33393896629218438)
,p_query_column_id=>1
,p_column_alias=>'ROUND(LAT,3)'
,p_column_display_sequence=>1
,p_column_heading=>'Round(lat,3)'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33393924751218439)
,p_query_column_id=>2
,p_column_alias=>'ROUND(LNG,3)'
,p_column_display_sequence=>2
,p_column_heading=>'Round(lng,3)'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33394094415218440)
,p_query_column_id=>3
,p_column_alias=>'SUM(10*(MAG+1))'
,p_column_display_sequence=>3
,p_column_heading=>'Sum(10*(mag+1))'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
end;
/
prompt --application/pages/page_00007
begin
wwv_flow_api.create_page(
 p_id=>7
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Directions'
,p_alias=>'DIRECTIONS'
,p_step_title=>'Directions'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Directions'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<hr>',
'Directions between two locations can be shown. Locations may be entered as lat,lng pairs or as addresses or place names.',
'<p>',
'The resulting route is shown on the map, and (optionally) the directions in human-readable form are listed in another region. The total distance (in metres) and duration (in seconds) can be set on a page item you specify. This is done by a dynamic ac'
||'tion on the Travel Mode, Origin and Destination items that executes the following javascript:',
'<code>',
'    $("#map_mymap").reportmap("showDirections",',
'        $v("P7_ORIGIN"),',
'        $v("P7_DEST"),',
'        $v("P7_TRAVEL_MODE"));',
'</code>',
'<p>',
'The map then triggers the "directions" event which is used to set the total distance (in metres) and duration (in seconds).',
'<code>',
'    $s("P7_DISTANCE",this.data.distance);',
'    $s("P7_DURATION",this.data.duration);',
'</code>',
'Subsequent dynamic actions convert these results to kilometres and minutes.',
'<p>',
'The Directions Panel is an ordinary APEX region with the following contents:',
'<code>',
'    &lt;div id="directionspanel">&lt;/div>',
'</code>',
'The <strong>JavaScript Initialization Code</strong> on the plugin is:',
'<code>',
'    this.options.directionsPanel = "directionspanel";',
'</code>',
'<p>',
'Have a peek in your browser console log; you will find the complete output of the DirectionsResponse, a javascript object which includes all details of the route and turn-by-turn instructions.',
'</p>',
'<p>',
'If you click the map, a dynamic action is triggered ("mapClick") which executes the following:',
'<code>',
'    if ($v("P7_ORIGIN")=="") {',
'      $s("P7_ORIGIN", this.data.lat+","+this.data.lng);',
'    } else {',
'      $s("P7_DEST", this.data.lat+","+this.data.lng);',
'    }',
'</code>'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(53433487834558232)
,p_plug_name=>'column1'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--noUI:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32938840967408720)
,p_plug_name=>'Directions ("mymap")'
,p_region_name=>'mymap'
,p_parent_plug_id=>wwv_flow_api.id(53433487834558232)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>'this.options.directionsPanel = "directionspanel";'
,p_attribute_01=>'550'
,p_attribute_02=>'PINS'
,p_attribute_03=>'13'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(53433680102558234)
,p_plug_name=>'Parameters'
,p_parent_plug_id=>wwv_flow_api.id(53433487834558232)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(53433553570558233)
,p_plug_name=>'column1'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--noUI:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(53432833579558226)
,p_plug_name=>'Directions panel'
,p_parent_plug_id=>wwv_flow_api.id(53433553570558233)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_plug_new_grid_row=>false
,p_plug_display_point=>'BODY'
,p_plug_source=>'<div id="directionspanel"></div>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(75663994968050645)
,p_plug_name=>'About this page'
,p_parent_plug_id=>wwv_flow_api.id(53433553570558233)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_header=>'Type some place names, or click the map to set start and end coordinates.'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(22168388754368446)
,p_name=>'P7_TRAVEL_MODE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(53433680102558234)
,p_item_default=>'DRIVING'
,p_prompt=>'Travel Mode'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC2:Driving;DRIVING,Walking;WALKING,Bicycling;BICYCLING,Transit;TRANSIT'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(33868539879697068)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75662991037050635)
,p_name=>'P7_ORIGIN'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(53433680102558234)
,p_prompt=>'Origin'
,p_placeholder=>'lat,lng or address'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-search'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
,p_show_quick_picks=>'Y'
,p_quick_pick_label_01=>'sample'
,p_quick_pick_value_01=>'48.8810 2.3453'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75663055384050636)
,p_name=>'P7_DEST'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(53433680102558234)
,p_prompt=>'Destination'
,p_placeholder=>'lat,lng or address'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-search'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
,p_show_quick_picks=>'Y'
,p_quick_pick_label_01=>'sample'
,p_quick_pick_value_01=>'51.5321 -0.1239'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75663134877050637)
,p_name=>'P7_DISTANCE'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(53433680102558234)
,p_prompt=>'Distance'
,p_post_element_text=>'m'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-fit-to-width'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75663280286050638)
,p_name=>'P7_DURATION'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(53433680102558234)
,p_prompt=>'Duration'
,p_post_element_text=>'s'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-clock-o'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75663311445050639)
,p_name=>'P7_DISTANCE_KM'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(53433680102558234)
,p_post_element_text=>'km'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-fit-to-width'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(75663454412050640)
,p_name=>'P7_DURATION_MI'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(53433680102558234)
,p_post_element_text=>'min'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-clock-o'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(75663569140050641)
,p_name=>'on change distance'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P7_DISTANCE'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(75663624492050642)
,p_event_id=>wwv_flow_api.id(75663569140050641)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'$s("P7_DISTANCE_KM", Math.round(parseFloat($v("P7_DISTANCE"))/1000));'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(75663792845050643)
,p_name=>'on change duration'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P7_DURATION'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(75663854933050644)
,p_event_id=>wwv_flow_api.id(75663792845050643)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'$s("P7_DURATION_MI", Math.round(parseFloat($v("P7_DURATION"))/60));'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(147430690110327127)
,p_name=>'mapclick'
,p_event_sequence=>30
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32938840967408720)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|mapclick'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(147430752831327128)
,p_event_id=>wwv_flow_api.id(147430690110327127)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if ($v("P7_ORIGIN")=="") {',
'  $s("P7_ORIGIN", this.data.lat+","+this.data.lng);',
'} else {',
'  $s("P7_DEST", this.data.lat+","+this.data.lng);',
'}'))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(22166565553368428)
,p_name=>'directions'
,p_event_sequence=>40
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32938840967408720)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|directions'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(22166634907368429)
,p_event_id=>wwv_flow_api.id(22166565553368428)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'$s("P7_DISTANCE",this.data.distance);',
'$s("P7_DURATION",this.data.duration);',
'console.log("directions response object", this.data.directions);'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(32937782021408709)
,p_name=>'on enter origin / dest'
,p_event_sequence=>60
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P7_TRAVEL_MODE,P7_ORIGIN,P7_DEST'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(81687881639953244)
,p_event_id=>wwv_flow_api.id(32937782021408709)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DIRECTIONS_DA'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32938840967408720)
,p_attribute_02=>'pageItem'
,p_attribute_03=>'P7_ORIGIN'
,p_attribute_07=>'P7_DEST'
,p_attribute_11=>'P7_TRAVEL_MODE'
);
end;
/
prompt --application/pages/page_00008
begin
wwv_flow_api.create_page(
 p_id=>8
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Pin Icons'
,p_alias=>'ICONS'
,p_step_title=>'Pin Icons'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Pin Icons'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'The column <strong>Icon</strong> in the report (prepended by the iconBasePath, if set) must form an absolute URL to a image accessible by the client.',
'<p>',
'Query for map plugin:',
'<code>',
'    select c003 as lat, c004 as lng, c002 as name, c001 as id,',
'           c002 || '' (id='' || c001 || '')'' as info ,',
'           c007 AS icon',
'    from apex_collections',
'    where collection_name = ''MAP''',
'</code>',
'    <p>',
'The <b>JavaScript Initialization Code</b> is:',
'<code>',
'    this.options.iconBasePath = ''https://maps.google.com/mapfiles/kml/shapes/'';',
'</code>'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(66183243515380734)
,p_plug_name=>'Report Google Map Plugin with Icons'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'      ,c007 as icon',
'from apex_collections',
'where collection_name = ''MAP''',
'and (c003!=0 or c004!=0)'))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>'this.options.iconBasePath = ''https://maps.google.com/mapfiles/kml/shapes/'';'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_03=>'13'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(143136712478408572)
,p_name=>'Source data'
,p_template=>wwv_flow_api.id(25186277719855505424)
,p_display_sequence=>30
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_new_grid_row=>false
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'      ,c007 as icon',
'from apex_collections',
'where collection_name = ''MAP''',
'and (c003!=0 or c004!=0)'))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(25186286576607505432)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_IN_SELECT_LIST'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33245998681972046)
,p_query_column_id=>1
,p_column_alias=>'LAT'
,p_column_display_sequence=>1
,p_column_heading=>'Lat'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33246329574972047)
,p_query_column_id=>2
,p_column_alias=>'LNG'
,p_column_display_sequence=>2
,p_column_heading=>'Lng'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33246700507972048)
,p_query_column_id=>3
,p_column_alias=>'NAME'
,p_column_display_sequence=>3
,p_column_heading=>'Name'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33247167992972048)
,p_query_column_id=>4
,p_column_alias=>'ID'
,p_column_display_sequence=>4
,p_column_heading=>'Id'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33247575286972048)
,p_query_column_id=>5
,p_column_alias=>'INFO'
,p_column_display_sequence=>5
,p_column_heading=>'Info'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(32940961402408741)
,p_query_column_id=>6
,p_column_alias=>'ICON'
,p_column_display_sequence=>6
,p_column_heading=>'Icon'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(143143126796408584)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
end;
/
prompt --application/pages/page_00009
begin
wwv_flow_api.create_page(
 p_id=>9
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'HOME PAGE'
,p_alias=>'HOME'
,p_step_title=>'Demo Report Map Plugin'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32937906099408711)
,p_plug_name=>'JK64 Report Google Map R1 [Plug-In]'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'300'
,p_attribute_02=>'PINS'
,p_attribute_03=>'13'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'SATELLITE'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32941035244408742)
,p_plug_name=>'Menu'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#:t-Cards--featured force-fa-lg:t-Cards--displayIcons:t-Cards--3cols:t-Cards--desc-4ln:u-colors:t-Cards--animColorFill'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_list_id=>wwv_flow_api.id(33313102857679622)
,p_plug_source_type=>'NATIVE_LIST'
,p_list_template_id=>wwv_flow_api.id(25186291675510505436)
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32941184508408743)
,p_plug_name=>'Title'
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useBreadcrumbTitle'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186281048793505426)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_01'
,p_menu_id=>wwv_flow_api.id(25186305310574505552)
,p_plug_source_type=>'NATIVE_BREADCRUMB'
,p_menu_template_id=>wwv_flow_api.id(25186299214327505447)
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
end;
/
prompt --application/pages/page_00010
begin
wwv_flow_api.create_page(
 p_id=>10
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Report Map with Labels'
,p_alias=>'LABELS'
,p_step_title=>'Report Map with Labels'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Report Map with Labels'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'The column <strong>Label</strong> in the report is used to derive a letter to show in each pin. Only the first letter from the label is shown.',
'<p>',
'The map region has static id "mymap".',
'<p>',
'Query for map plugin:',
'<code>',
'    select c003 as lat, c004 as lng, c002 as name, c001 as id,',
'           c002 || '' (id='' || c001 || '')'' as info ,',
'           '''' AS icon,',
'           c006 as label',
'    from apex_collections',
'    where collection_name = ''MAP''',
'</code>'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32938674169408718)
,p_plug_name=>'Report Google Map Plugin with Labels'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info , '''' AS icon, c006 as label',
'from apex_collections',
'where collection_name = ''MAP'''))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_03=>'13'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(109892143132436556)
,p_name=>'Source data'
,p_template=>wwv_flow_api.id(25186277719855505424)
,p_display_sequence=>30
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_new_grid_row=>false
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info , c006 as label',
'from apex_collections',
'where collection_name = ''MAP'''))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(25186286576607505432)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_IN_SELECT_LIST'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(109892519531436558)
,p_query_column_id=>1
,p_column_alias=>'LAT'
,p_column_display_sequence=>1
,p_column_heading=>'Lat'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(109892989909436560)
,p_query_column_id=>2
,p_column_alias=>'LNG'
,p_column_display_sequence=>2
,p_column_heading=>'Lng'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(109893323869436560)
,p_query_column_id=>3
,p_column_alias=>'NAME'
,p_column_display_sequence=>3
,p_column_heading=>'Name'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(109893709307436560)
,p_query_column_id=>4
,p_column_alias=>'ID'
,p_column_display_sequence=>4
,p_column_heading=>'Id'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(109894172014436560)
,p_query_column_id=>5
,p_column_alias=>'INFO'
,p_column_display_sequence=>5
,p_column_heading=>'Info'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(108286228512337945)
,p_query_column_id=>6
,p_column_alias=>'LABEL'
,p_column_display_sequence=>6
,p_column_heading=>'Label'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(109898557450436568)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
end;
/
prompt --application/pages/page_00011
begin
wwv_flow_api.create_page(
 p_id=>11
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Route Map'
,p_alias=>'ROUTE'
,p_step_title=>'Route Map'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Route Map'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<strong>Visualisation: Directions</strong>',
'<p>',
'Show route directions between two points with some waypoints on the way. The first record returned by the query is taken as the starting point, and the last record is used as the end point for the journey.',
'<p>',
'Google Maps allows a maximum of 8 waypoints in addition to the origin and destination.',
'<p>',
'The Directions Panel is an ordinary APEX region with the following contents:',
'<code>',
'    &lt;div id="directionspanel">&lt;/div>',
'</code>',
'The <b>JavaScript Initialization Code</b> on the plugin is: ',
'<code>',
'    this.options.directionsPanel = "directionspanel";',
'</code>',
'<p>',
'If the "Optimize Waypoints" plugin attribute is switched on, the map would reorder the intermediate waypoints to minimize the route cost.',
'<p>',
'A dynamic action on the region responds to the "directions" event with this javascript:',
'<code>',
'    $s("P11_DISTANCE",this.data.distance);',
'    $s("P11_DURATION",this.data.duration);',
'    $s("P11_LEGS",this.data.legs);',
'</code>'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(22167390620368436)
,p_plug_name=>'column2'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>50
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(110570584726744336)
,p_name=>'Source data'
,p_parent_plug_id=>wwv_flow_api.id(22167390620368436)
,p_template=>wwv_flow_api.id(25186277719855505424)
,p_display_sequence=>60
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info ',
'from apex_collections',
'where collection_name = ''ROUTE''',
'order by c001'))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(25186286576607505432)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_IN_SELECT_LIST'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(110570954876744339)
,p_query_column_id=>1
,p_column_alias=>'LAT'
,p_column_display_sequence=>1
,p_column_heading=>'Lat'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(110571341825744341)
,p_query_column_id=>2
,p_column_alias=>'LNG'
,p_column_display_sequence=>2
,p_column_heading=>'Lng'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(110571783425744341)
,p_query_column_id=>3
,p_column_alias=>'NAME'
,p_column_display_sequence=>3
,p_column_heading=>'Name'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(110572146362744341)
,p_query_column_id=>4
,p_column_alias=>'ID'
,p_column_display_sequence=>4
,p_column_heading=>'Id'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(110572562714744341)
,p_query_column_id=>5
,p_column_alias=>'INFO'
,p_column_display_sequence=>5
,p_column_heading=>'Info'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(110574138430744347)
,p_plug_name=>'Route Map'
,p_parent_plug_id=>wwv_flow_api.id(22167390620368436)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(53975790849556312)
,p_plug_name=>'column1'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--noUI:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32938967914408721)
,p_plug_name=>'Report Google Map Plugin'
,p_region_name=>'mymap'
,p_parent_plug_id=>wwv_flow_api.id(53975790849556312)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'from apex_collections',
'where collection_name = ''ROUTE''',
'order by c001'))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>'this.options.directionsPanel = "directionspanel";'
,p_attribute_01=>'500'
,p_attribute_02=>'DIRECTIONS'
,p_attribute_03=>'13'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_15=>'DRIVING'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(53975679259556311)
,p_plug_name=>'Directions Panel'
,p_parent_plug_id=>wwv_flow_api.id(53975790849556312)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>'<div id="directionspanel"></div>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(22167699338368439)
,p_name=>'P11_LEGS'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(110574138430744347)
,p_prompt=>'Legs'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_grid_column=>7
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-map-signs'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(110652627730935336)
,p_name=>'P11_DISTANCE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(110574138430744347)
,p_prompt=>'Distance'
,p_post_element_text=>'m'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-fit-to-width'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(110653053445935338)
,p_name=>'P11_DISTANCE_KM'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(110574138430744347)
,p_post_element_text=>'km'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-fit-to-width'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(110653418369935338)
,p_name=>'P11_DURATION'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(110574138430744347)
,p_prompt=>'Duration'
,p_post_element_text=>'s'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-clock-o'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(110653830285935338)
,p_name=>'P11_DURATION_MI'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(110574138430744347)
,p_post_element_text=>'m'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-clock-o'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(109722918116796639)
,p_name=>'set distance km'
,p_event_sequence=>30
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P11_DISTANCE'
,p_condition_element=>'P11_DISTANCE'
,p_triggering_condition_type=>'NOT_NULL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(109723002945796640)
,p_event_id=>wwv_flow_api.id(109722918116796639)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'$s("P11_DISTANCE_KM", Math.round(parseFloat($v("P11_DISTANCE"))/1000));'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(109723123426796641)
,p_name=>'set duration mi'
,p_event_sequence=>40
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P11_DURATION'
,p_condition_element=>'P11_DURATION'
,p_triggering_condition_type=>'NOT_NULL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(109723297625796642)
,p_event_id=>wwv_flow_api.id(109723123426796641)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'$s("P11_DURATION_MI", Math.round(parseFloat($v("P11_DURATION"))/60));'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(22167419846368437)
,p_name=>'directions'
,p_event_sequence=>50
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32938967914408721)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|directions'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(22167567796368438)
,p_event_id=>wwv_flow_api.id(22167419846368437)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'$s("P11_DISTANCE",this.data.distance);',
'$s("P11_DURATION",this.data.duration);',
'$s("P11_LEGS",this.data.legs);'))
);
end;
/
prompt --application/pages/page_00012
begin
wwv_flow_api.create_page(
 p_id=>12
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Geolocate'
,p_alias=>'GEOLOCATE'
,p_step_title=>'Geolocate'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>',
'    Click the button to geolocate: find your current location. Your browser may ask your permission to provide this information to the page. This demo app doesn''t send that info anywhere; but you could code your app to do something with it if you nee'
||'ded to. The accuracy of the geolocation will depend on the user''s device.',
'</p><p>',
'    The button has a dynamic action that runs the Report Map Action <strong>"Go to Device Location"</strong>.',
'</p><p>',
'    The region has a Dynamic Action on the <b>geolocate</b> event which has two Actions:',
'<ol>',
'<li>Report Map Action <strong>"Set Zoom"</strong> to static value: 15',
'    </li>',
'<li><b>Set Value</b>: set item P12_CENTRE to JavaScript Expression:',
'<code>',
'this.data.lat+" "+this.data.lng',
'</code></li>',
'</ol>',
'</p><p>',
'    <a href="https://github.com/jeffreykemp/jk64-plugin-reportmap/wiki/Tip:-Zoom-to-user''s-current-location">Tip: Zoom to user''s current location</a>',
'</p>'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32939196388408723)
,p_plug_name=>'Map'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'400'
,p_attribute_02=>'PINS'
,p_attribute_03=>'15'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(135883373743086238)
,p_plug_name=>'Geolocate'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>5
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(135883455584086239)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(135883373743086238)
,p_button_name=>'GEOLOCATE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--iconRight:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(25186298860096505445)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Geolocate'
,p_button_position=>'ABOVE_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-bolt'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33390974272218409)
,p_name=>'P12_CENTRE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(135883373743086238)
,p_prompt=>'Centre'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-map-pin'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(135883585641086240)
,p_name=>'on click geolocate'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(135883455584086239)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(135883665810086241)
,p_event_id=>wwv_flow_api.id(135883585641086240)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32939196388408723)
,p_attribute_01=>'geolocate'
,p_attribute_02=>'triggeringElement'
,p_attribute_07=>'zoom'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(33391015195218410)
,p_name=>'on geolocate'
,p_event_sequence=>20
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32939196388408723)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|geolocate'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33391185195218411)
,p_event_id=>wwv_flow_api.id(33391015195218410)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P12_CENTRE'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'this.data.lat+" "+this.data.lng'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
end;
/
prompt --application/pages/page_00013
begin
wwv_flow_api.create_page(
 p_id=>13
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Javascript Initialization'
,p_alias=>'JSINIT'
,p_step_title=>'Javascript Initialization'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Javascript Initialization'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'The <strong>JavaScript Initialization Code</strong> on this plugin is:',
'<code>',
'    console.log("map zoom: "+this.map.getZoom());',
'    //hide the default UI elements',
'    this.map.setOptions({"disableDefaultUI":true});',
'    this.map.setOptions({"zoomControl":false});',
'    //show the scale control',
'    this.map.setOptions({"scaleControl":true});',
'</code>',
'It will run once on page load, after the google maps object has been created but before the data is loaded into the map.'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32939684191408728)
,p_plug_name=>'Report Google Map Plugin'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'from apex_collections',
'where collection_name = ''MAP'''))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'console.log("map zoom: "+this.map.getZoom());',
'//hide the default UI elements',
'this.map.setOptions({"disableDefaultUI":true});',
'this.map.setOptions({"zoomControl":false});',
'//show the scale control',
'this.map.setOptions({"scaleControl":true});'))
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_03=>'13'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(106207781081018300)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
end;
/
prompt --application/pages/page_00014
begin
wwv_flow_api.create_page(
 p_id=>14
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Fixed in Place - no Pan or Zoom'
,p_alias=>'NOPANZOOM'
,p_step_title=>'Fixed in Place - no Pan or Zoom'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Fixed in Place - no Pan or Zoom'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Pan and Zoom options have been turned off, making the map relatively static.',
'<p>',
'The query does not include the "info" column, which means the pins don''t show any info window on click. If an "info" column had been provided, clicking a pin would show the info window; if the info window is too close to the edge, the map would pan a'
||' bit to move it into range.'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32939858902408730)
,p_plug_name=>'Report Google Map Plugin ("mymap")'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id',
'from apex_collections',
'where collection_name = ''MAP''',
'and c002 != ''Center Point'''))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(106425996049571729)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
end;
/
prompt --application/pages/page_00015
begin
wwv_flow_api.create_page(
 p_id=>15
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'A Tale of Two Cities'
,p_alias=>'FUN'
,p_step_title=>'A Tale of Two Cities'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'A Tale of Two Cities'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_javascript_file_urls=>'#APP_IMAGES#randomColor.min.js'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'This page demonstrates how multiple map regions can be loaded onto the same page.',
'<p>',
'The first button has the following code (style data removed for clarity and to preserve some suspense!):',
'<code>',
'    var snazzystyle = [...];',
'    $("#map_busselton").reportmap("instance").map.setOptions({styles:snazzystyle});',
'</code>',
'<p>',
'The second button has the following code:',
'<code>',
'    var pano = $("#map_esperance").reportmap("instance").map.getStreetView();',
'    pano.setPosition({"lat":-33.89532,"lng":121.82223});',
'    pano.setVisible(true);',
'</code>'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32940304653408735)
,p_plug_name=>'Report Google Map Plugin ("busselton")'
,p_region_name=>'busselton'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'from apex_collections',
'where collection_name = ''MAP''',
'and c002 = ''Busselton'''))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'300'
,p_attribute_02=>'PINS'
,p_attribute_03=>'13'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32940545318408737)
,p_plug_name=>'Report Google Map Plugin ("esperance")'
,p_region_name=>'esperance'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>40
,p_plug_new_grid_row=>false
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'from apex_collections',
'where collection_name = ''MAP''',
'and c002 = ''Esperance'''))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'300'
,p_attribute_02=>'PINS'
,p_attribute_03=>'13'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED'
,p_attribute_11=>'[{featureType:"water",elementType:"geometry",stylers:[{visibility:"on"},{color:"#aee2e0"}]},{featureType:"landscape",elementType:"geometry.fill",stylers:[{color:"#abce83"}]},{featureType:"poi",elementType:"geometry.fill",stylers:[{color:"#769E72"}]},'
||'{featureType:"poi",elementType:"labels.text.fill",stylers:[{color:"#7B8758"}]},{featureType:"poi",elementType:"labels.text.stroke",stylers:[{color:"#EBF4A4"}]},{featureType:"poi.park",elementType:"geometry",stylers:[{visibility:"simplified"},{color:"'
||'#8dab68"}]},{featureType:"road",elementType:"geometry.fill",stylers:[{visibility:"simplified"}]},{featureType:"road",elementType:"labels.text.fill",stylers:[{color:"#5B5B3F"}]},{featureType:"road",elementType:"labels.text.stroke",stylers:[{color:"#AB'
||'CE83"}]},{featureType:"road",elementType:"labels.icon",stylers:[{visibility:"off"}]},{featureType:"road.local",elementType:"geometry",stylers:[{color:"#A4C67D"}]},{featureType:"road.arterial",elementType:"geometry",stylers:[{color:"#9BBF72"}]},{featu'
||'reType:"road.highway",elementType:"geometry",stylers:[{color:"#EBF4A4"}]},{featureType:"transit",stylers:[{visibility:"off"}]},{featureType:"administrative",elementType:"geometry.stroke",stylers:[{visibility:"on"},{color:"#87ae79"}]},{featureType:"ad'
||'ministrative",elementType:"geometry.fill",stylers:[{color:"#7f2200"},{visibility:"off"}]},{featureType:"administrative",elementType:"labels.text.stroke",stylers:[{color:"#ffffff"},{visibility:"on"},{weight:4.1}]},{featureType:"administrative",element'
||'Type:"labels.text.fill",stylers:[{color:"#495421"}]},{featureType:"administrative.neighborhood",elementType:"labels",stylers:[{visibility:"off"}]}]'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(106437377172634103)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>50
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(32937142028408703)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(32940304653408735)
,p_button_name=>'BUTTON1'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(25186298860096505445)
,p_button_image_alt=>'Do something to this map'
,p_button_position=>'BELOW_BOX'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-gears'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(32937205302408704)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(32940545318408737)
,p_button_name=>'BUTTON2'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(25186298860096505445)
,p_button_image_alt=>'Do something to this map'
,p_button_position=>'BELOW_BOX'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-gears'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(32934177360395660)
,p_name=>'P15_CLICKED'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(106437377172634103)
,p_prompt=>'P15_CLICKED'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(32934553398395661)
,p_name=>'markerClick_busselton'
,p_event_sequence=>10
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32940304653408735)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|markerclick'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(32935079154395661)
,p_event_id=>wwv_flow_api.id(32934553398395661)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'$s("P15_CLICKED", "busselton this.data.id="+this.data.id+" this.data.name="+this.data.name+" this.data.lat="+this.data.lat+" this.data.lng="+this.data.lng);'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(22168764002368450)
,p_name=>'markerClick_esperance'
,p_event_sequence=>20
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32940545318408737)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|markerclick'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(32936917678408701)
,p_event_id=>wwv_flow_api.id(22168764002368450)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'$s("P15_CLICKED", "esperance this.data.id="+this.data.id+" this.data.name="+this.data.name+" this.data.lat="+this.data.lat+" this.data.lng="+this.data.lng);'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(32937352326408705)
,p_name=>'onclick1'
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(32937142028408703)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(32937403802408706)
,p_event_id=>wwv_flow_api.id(32937352326408705)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var snazzystyle = [{featureType:"administrative",elementType:"labels.text.fill",stylers:[{color:"#444444"}]},{featureType:"landscape",elementType:"all",stylers:[{color:"#f2f2f2"}]},{featureType:"poi",elementType:"all",stylers:[{visibility:"off"}]},{f'
||'eatureType:"road",elementType:"all",stylers:[{saturation:-100},{lightness:45}]},{featureType:"road.highway",elementType:"all",stylers:[{visibility:"simplified"}]},{featureType:"road.arterial",elementType:"labels.icon",stylers:[{visibility:"off"}]},{f'
||'eatureType:"transit",elementType:"all",stylers:[{visibility:"off"}]},{featureType:"water",elementType:"all",stylers:[{color:randomColor()},{visibility:"on"}]}];',
'$("#map_busselton").reportmap("instance").map.setOptions({styles:snazzystyle});'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(32937599782408707)
,p_name=>'onclick2'
,p_event_sequence=>40
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(32937205302408704)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(32937624366408708)
,p_event_id=>wwv_flow_api.id(32937599782408707)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var pano = $("#map_esperance").reportmap("instance").map.getStreetView();',
'pano.setPosition({"lat":-33.89532,"lng":121.82223});',
'pano.setVisible(true);'))
);
end;
/
prompt --application/pages/page_00016
begin
wwv_flow_api.create_page(
 p_id=>16
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Application Static Icons'
,p_alias=>'STATIC'
,p_step_title=>'Application Static Icons'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Application Static Icons'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'The column <strong>Icon</strong> in the report can refer to icons loaded from application static files.',
'<p>',
'Query for map plugin:',
'<code>',
'    select c003 as lat, c004 as lng, c002 as name,',
'           c001 as id, c002 || '' (id='' || c001 || '')'' as info ,',
'           c008 AS icon',
'    from apex_collections',
'    where collection_name = ''MAP''',
'</code>',
'<p>',
'The <b>JavaScript Initialization Code</b> is set to:',
'<code>',
'    this.options.iconBasePath = ''&#35;APP_IMAGES#'';',
'</code>'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(99447872302700825)
,p_plug_name=>'Report Google Map Plugin with Static Icons'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'      ,c008 as icon',
'from apex_collections',
'where collection_name = ''MAP''',
'and (c003!=0 or c004!=0)'))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>'this.options.iconBasePath = ''#APP_IMAGES#'';'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_03=>'13'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(176401341265728663)
,p_name=>'Source data'
,p_template=>wwv_flow_api.id(25186277719855505424)
,p_display_sequence=>30
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_new_grid_row=>false
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'      ,c008 as icon',
'from apex_collections',
'where collection_name = ''MAP''',
'and (c003!=0 or c004!=0)'))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(25186286576607505432)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_IN_SELECT_LIST'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33266358400320140)
,p_query_column_id=>1
,p_column_alias=>'LAT'
,p_column_display_sequence=>1
,p_column_heading=>'Lat'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33266742426320143)
,p_query_column_id=>2
,p_column_alias=>'LNG'
,p_column_display_sequence=>2
,p_column_heading=>'Lng'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33267162591320143)
,p_query_column_id=>3
,p_column_alias=>'NAME'
,p_column_display_sequence=>3
,p_column_heading=>'Name'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33267580122320143)
,p_query_column_id=>4
,p_column_alias=>'ID'
,p_column_display_sequence=>4
,p_column_heading=>'Id'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33267923298320143)
,p_query_column_id=>5
,p_column_alias=>'INFO'
,p_column_display_sequence=>5
,p_column_heading=>'Info'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33268320308320144)
,p_query_column_id=>6
,p_column_alias=>'ICON'
,p_column_display_sequence=>6
,p_column_heading=>'Icon'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(176407755583728675)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_grid_column_span=>5
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
end;
/
prompt --application/pages/page_00017
begin
wwv_flow_api.create_page(
 p_id=>17
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Flex Fields'
,p_alias=>'FLEX'
,p_step_title=>'Flex Fields'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Flex Fields'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<strong>Click a pin to get data about it, including the values for up to 10 "flex fields" that were supplied in the query. This example generates random 3-character strings.</strong>',
'<p>',
'Query for map plugin:',
'<code>',
'    select c003 as lat, c004 as lng, c002 as name, c001 as id',
'          ,c002 || '' (id='' || c001 || '')'' as info',
'          ,c009 as attr01',
'          ,c010 as attr02',
'          ,c011 as attr03',
'    from apex_collections',
'    where collection_name = ''MAP''',
'</code>',
'<p>',
'When a pin is clicked, a dynamic action on the <b>markerClick</b> event gets the details for the pin, including the ten flex fields. It has an Action, Set Value on P17_DATA, with JavaScript Expression:',
'<code>',
'    "this.data.attr01=" + this.data.attr01',
'    + " this.data.attr02=" + this.data.attr02',
'    + " this.data.attr03=" + this.data.attr03',
'</code>'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(106892920984447966)
,p_plug_name=>'Flex Fields'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3247859339559017146)
,p_plug_name=>'Report Map'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info, '''' as icon, '''' as lbl',
'      ,c009 as attr01',
'      ,c010 as attr02',
'      ,c011 as attr03',
'from apex_collections',
'where collection_name = ''MAP'''))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(3247859536034017148)
,p_name=>'Source data'
,p_template=>wwv_flow_api.id(25186277719855505424)
,p_display_sequence=>40
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_new_grid_row=>false
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'      ,c009 as attr01',
'      ,c010 as attr02',
'      ,c011 as attr03',
'from apex_collections',
'where collection_name = ''MAP'''))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(25186286576607505432)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_IN_SELECT_LIST'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33387313660209572)
,p_query_column_id=>1
,p_column_alias=>'LAT'
,p_column_display_sequence=>1
,p_column_heading=>'Lat'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33387728822209573)
,p_query_column_id=>2
,p_column_alias=>'LNG'
,p_column_display_sequence=>2
,p_column_heading=>'Lng'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33388164433209573)
,p_query_column_id=>3
,p_column_alias=>'NAME'
,p_column_display_sequence=>3
,p_column_heading=>'Name'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33388504541209574)
,p_query_column_id=>4
,p_column_alias=>'ID'
,p_column_display_sequence=>4
,p_column_heading=>'Id'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(33388928300209574)
,p_query_column_id=>5
,p_column_alias=>'INFO'
,p_column_display_sequence=>5
,p_column_heading=>'Info'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(32941219850408744)
,p_query_column_id=>6
,p_column_alias=>'ATTR01'
,p_column_display_sequence=>6
,p_column_heading=>'Attr01'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(32941358608408745)
,p_query_column_id=>7
,p_column_alias=>'ATTR02'
,p_column_display_sequence=>7
,p_column_heading=>'Attr02'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(32941437325408746)
,p_query_column_id=>8
,p_column_alias=>'ATTR03'
,p_column_display_sequence=>8
,p_column_heading=>'Attr03'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33386384838209562)
,p_name=>'P17_DATA'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(106892920984447966)
,p_prompt=>'Data'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(33389399247209593)
,p_name=>'markerClick'
,p_event_sequence=>10
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3247859339559017146)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|markerclick'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33389764564209594)
,p_event_id=>wwv_flow_api.id(33389399247209593)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P17_DATA'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>wwv_flow_string.join(wwv_flow_t_varchar2(
'"this.data.attr01=" + this.data.attr01',
'+ " this.data.attr02=" + this.data.attr02',
'+ " this.data.attr03=" + this.data.attr03'))
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
end;
/
prompt --application/pages/page_00018
begin
wwv_flow_api.create_page(
 p_id=>18
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Google Map Layers'
,p_alias=>'LAYERS'
,p_step_title=>'Google Map Layers'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'This page demonstrates how to add a Google Maps Layer to the map. Google Maps provides three layers: Traffic, Transit, and Bicycling.',
'<p>',
'On change of the select list item, the following JavaScript is run:',
'<code>',
'    // remove the previous layer, if it exists',
'    if (typeof lyr===''object'') { lyr.setMap(null); }',
'    delete lyr;',
'    // get the layer',
'    switch ($v("P18_LAYER")) {',
'      case ''traffic'': lyr = new google.maps.TrafficLayer(); break;',
'      case ''transit'': lyr = new google.maps.TransitLayer(); break;',
'      case ''bicycling'': lyr = new google.maps.BicyclingLayer(); break;',
'    }',
'    // put the layer on the map',
'    lyr.setMap( $("#map_mymap").reportmap("instance").map );',
'</code>'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(33391994028218419)
,p_plug_name=>'Google Map Layers'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(34002150270955113)
,p_plug_name=>'Map'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_05=>'11'
,p_attribute_06=>'40.710,-73.984'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33392026858218420)
,p_name=>'P18_LAYER'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(33391994028218419)
,p_prompt=>'Layer'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC2:Traffic;traffic,Transit;transit,Bicycling;bicycling'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'(select a layer)'
,p_cHeight=>1
,p_colspan=>4
,p_grid_column=>3
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(33392302536218423)
,p_name=>'on change'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P18_LAYER'
,p_condition_element=>'P18_LAYER'
,p_triggering_condition_type=>'NOT_NULL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(33392404864218424)
,p_event_id=>wwv_flow_api.id(33392302536218423)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if (typeof lyr===''object'') { lyr.setMap(null); }',
'delete lyr;',
'switch ($v("P18_LAYER")) {',
'  case ''traffic'': lyr = new google.maps.TrafficLayer(); break;',
'  case ''transit'': lyr = new google.maps.TransitLayer(); break;',
'  case ''bicycling'': lyr = new google.maps.BicyclingLayer(); break;',
'}',
'lyr.setMap( $("#map_mymap").reportmap("instance").map );'))
);
end;
/
prompt --application/pages/page_00019
begin
wwv_flow_api.create_page(
 p_id=>19
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Drawing & GeoJSON'
,p_alias=>'DRAWING'
,p_step_title=>'Drawing & GeoJSON'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Drawing & GeoJSON'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_page_is_public_y_n=>'Y'
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(42644103296606719)
,p_plug_name=>'Info'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul><li>',
'',
'The "Drag & Drop GeoJSON" is an option that can be enabled on the plugin. This causes the plugin to render a drag-and-drop div over the map that responds to the user dropping a JSON fragment or a file containing JSON.',
'',
'</li><li>',
'',
'The "Drawing Mode" feature is enabled by choosing one or more shape types (marker, polygon, polyline, rectangle, and/or circle). If this is enabled, the plugin renders the drawing buttons at the top of the map, including controls for deleting feature'
||'s.',
'',
'</li><li>',
'',
'To export all the features on the map as a GeoJSON file, use javascript like this:',
'<code>',
'var map = $("#map_testmap").reportmap("instance").map;',
'map.data.toGeoJson(function(o){',
'    $s("P19_GEOJSON", JSON.stringify(o));',
'});',
'</code>',
'',
'</li><li>',
'',
'These features, including those loaded from a GeoJSON file, are drawn using the Google Maps "Data Layer"; they are separate from any report pins rendered from the SQL query; the report pins are not drawn in the data layer so would not be exported as '
||'GeoJSON.',
'',
'</li><li>',
'',
'To load GeoJSON onto the map, use the <strong>JK64 Report Google Map R1 Action</strong> dynamic action with Action set to <strong>Load GeoJSON</strong>.',
'',
'<p>',
'',
'Alternatively, the following Javascript API call can be used:',
'<code>',
'$("#map_testmap").reportmap("loadGeoJsonString", ''...your geoJON here...'');',
'</code>',
'',
'</li></ul>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(130957783436617934)
,p_plug_name=>'Drawing & GeoJSON'
,p_region_name=>'testmap'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'400'
,p_attribute_02=>'PINS'
,p_attribute_04=>'PAN_ON_CLICK:DRAGGABLE:PAN_ALLOWED:ZOOM_ALLOWED:GEOJSON_DRAGDROP:SPINNER'
,p_attribute_12=>'N'
,p_attribute_16=>'polygon:rectangle'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'greedy'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(130962274204700424)
,p_plug_name=>'Features'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186274022717505420)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul><li>',
'Drag-and-drop a geoJSON document or file onto the map.',
'</li><li>',
'Add one or more features to the map using the polygon or rectangle tool.',
'</li><li>',
'Select a feature to edit or move it. It will be shown in red when it is editable. You can move the vertices or add more vertices.',
'</li><li>',
'To add a hole to a polygon:',
'  <ol><li>',
'  Select the polygon to which you wish to add a hole (it will be shown in red)',
'  </li><li>',
'  Click the "hole" checkbox',
'  </li><li>',
'  Draw another polygon (or rectangle) within the polygon.',
'  </li></ol>',
'</li><li>',
'Delete selected or all polygons (e.g. select the objects, then either click the trashcan icon or press the Delete key).',
'</li><li>',
'Export the data as a geoJSON document.',
'</li></ul>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(44669801672691145)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(130957783436617934)
,p_button_name=>'GET_GEOJSON'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(25186298860096505445)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Get GeoJSON'
,p_button_position=>'BODY'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-download'
,p_grid_new_row=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(42643768439606715)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(130962274204700424)
,p_button_name=>'LOAD_SAMPLE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--success:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(25186298860096505445)
,p_button_image_alt=>'Load Sample'
,p_button_position=>'REGION_TEMPLATE_EDIT'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-upload'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(42644042443606718)
,p_name=>'P19_JSON_INDENT'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(130957783436617934)
,p_prompt=>'JSON indent'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC2:1 space;1,2 spaces;2,4 spaces;4'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'none'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(25186298275602505444)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_help_text=>'This controls how the GeoJSON is converted to a string.'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(44670270390691141)
,p_name=>'P19_GEOJSON'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(130957783436617934)
,p_prompt=>'GeoJSON'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>60
,p_cHeight=>16
,p_grid_label_column_span=>0
,p_field_template=>wwv_flow_api.id(25186298121364505443)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(44672389155691118)
,p_name=>'get geojson'
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(44669801672691145)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(44672887919691117)
,p_event_id=>wwv_flow_api.id(44672389155691118)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var map = $("#map_testmap").reportmap("instance").map;',
'map.data.toGeoJson(function(o){',
'    $s("P19_GEOJSON", JSON.stringify(o,null,''    ''.substring(0,$v("P19_JSON_INDENT"))));',
'});'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(44675046434691116)
,p_name=>'loadedGeoJson'
,p_event_sequence=>70
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(130957783436617934)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|loadedgeojson'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(44675564828691116)
,p_event_id=>wwv_flow_api.id(44675046434691116)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'$s("P19_GEOJSON", JSON.stringify(this.data.geoJson,null,''    ''.substring(0,$v("P19_JSON_INDENT"))));'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(44673290806691117)
,p_name=>'addFeature'
,p_event_sequence=>80
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(130957783436617934)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|addfeature'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(44673737170691117)
,p_event_id=>wwv_flow_api.id(44673290806691117)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'this.data.map.data.toGeoJson(function(o){',
'    $s("P19_GEOJSON", JSON.stringify(o,null,''    ''.substring(0,$v("P19_JSON_INDENT"))));',
'});'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(44675811297691116)
,p_name=>'setGeometry'
,p_event_sequence=>90
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(130957783436617934)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|setgeometry'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(44676324645691115)
,p_event_id=>wwv_flow_api.id(44675811297691116)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'this.data.map.data.toGeoJson(function(o){',
'    $s("P19_GEOJSON", JSON.stringify(o,null,''    ''.substring(0,$v("P19_JSON_INDENT"))));',
'});'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(44674199883691116)
,p_name=>'removeFeature'
,p_event_sequence=>100
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(130957783436617934)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|removefeature'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(44674691942691116)
,p_event_id=>wwv_flow_api.id(44674199883691116)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'this.data.map.data.toGeoJson(function(o){',
'    $s("P19_GEOJSON", JSON.stringify(o,null,''    ''.substring(0,$v("P19_JSON_INDENT"))));',
'});'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(42643855974606716)
,p_name=>'click load sample'
,p_event_sequence=>110
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(42643768439606715)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(42643997063606717)
,p_event_id=>wwv_flow_api.id(42643855974606716)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(130957783436617934)
,p_attribute_01=>'loadGeoJsonString'
,p_attribute_02=>'static'
,p_attribute_05=>'{"type":"FeatureCollection","features":[{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[115.81810956058052,-31.97383444279713],[115.81816320476082,-31.965348125709053],[115.81942705955316,-31.963045289361652],[115.83356551761699,-31.9'
||'50765554651483],[115.84524707746186,-31.954567079185118],[115.84569017891499,-31.959739299429998],[115.8460045343354,-31.961616227489593],[115.8422644610373,-31.963072596059856],[115.84141044463922,-31.964019223244122],[115.84023992757739,-31.9647983'
||'62690065],[115.83827547664714,-31.967871166607786],[115.83664147701074,-31.96930650292521],[115.83428864535836,-31.970050102393433],[115.83351831178607,-31.971133179223234],[115.83172337698943,-31.97200873460981],[115.8272462331779,-31.97259304090624'
||'],[115.82645659503487,-31.97074727635052],[115.82297186593951,-31.97255845111874],[115.81810956058052,-31.97383444279713]],[[115.82864956807771,-31.962373541584306],[115.83208279561677,-31.964485251059358],[115.83534436177888,-31.962373541584306],[11'
||'5.83534436177888,-31.957567401061706],[115.83208279561677,-31.959351528034734],[115.82847790670075,-31.957640223249268],[115.82864956807771,-31.962373541584306]]]}}]}'
,p_attribute_07=>'zoom'
);
end;
/
prompt --application/pages/page_00020
begin
wwv_flow_api.create_page(
 p_id=>20
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Event: Marker Added'
,p_alias=>'MARKERADDED'
,p_step_title=>'Event: Marker Added'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Event: Marker Added'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<strong>When a pin is first shown, the marker added event is fired.</strong>',
'<p>',
'<p>',
'Dynamic action on plugin event <strong>markerAdded</strong> that executes the following JavaScript:',
'<code>',
'    $s("P20_IDLIST", $v("P20_IDLIST")+" "+this.data.id);',
'    this.data.marker.setAnimation(google.maps.Animation.DROP);',
'</code>',
'<p>',
'(When the map is refreshed, the "log" is cleared)',
'<p>',
'Notice that when switching from Data Set #1 to Data Set #2 (or vice versa), only those data points',
'that were not previously shown are triggered.'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(121904602637835470)
,p_plug_name=>'Event: Marker Added'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3262871021212404650)
,p_plug_name=>'Report Map'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'from apex_collections',
'where collection_name = ''MAP''',
'and c001 != ''14'' /*exclude Null Island*/',
'and case',
'    when :P20_SUBSET=''1'' and substr(upper(c002),1,1) between ''A'' and ''R'' then ''Y''',
'    when :P20_SUBSET=''2'' and substr(upper(c002),1,1) between ''H'' and ''Z'' then ''Y''',
'    when :P20_SUBSET=''S'' and c001 = ''6'' then ''Y''',
'    end = ''Y'''))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_ajax_items_to_submit=>'P20_SUBSET'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(3262871217687404652)
,p_name=>'Source data'
,p_template=>wwv_flow_api.id(25186277719855505424)
,p_display_sequence=>40
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_new_grid_row=>false
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info ',
'from apex_collections',
'where collection_name = ''MAP''',
'and c001 != ''14'' /*exclude Null Island*/'))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(25186286576607505432)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_IN_SELECT_LIST'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(48399311498597077)
,p_query_column_id=>1
,p_column_alias=>'LAT'
,p_column_display_sequence=>1
,p_column_heading=>'Lat'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(48399787676597080)
,p_query_column_id=>2
,p_column_alias=>'LNG'
,p_column_display_sequence=>2
,p_column_heading=>'Lng'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(48400131633597080)
,p_query_column_id=>3
,p_column_alias=>'NAME'
,p_column_display_sequence=>3
,p_column_heading=>'Name'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(48400558016597080)
,p_query_column_id=>4
,p_column_alias=>'ID'
,p_column_display_sequence=>4
,p_column_heading=>'Id'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(48400961810597080)
,p_query_column_id=>5
,p_column_alias=>'INFO'
,p_column_display_sequence=>5
,p_column_heading=>'Info'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17496955770379244)
,p_name=>'P20_SUBSET'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(121904602637835470)
,p_prompt=>'Data Subset'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:Data Set #1;1,Data Set #2;2,Single Pin;S'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'(none)'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17497407838379249)
,p_name=>'P20_IDLIST'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(121904602637835470)
,p_prompt=>'ID List'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(17497049445379245)
,p_name=>'on change subset'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P20_SUBSET'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(17497524430379250)
,p_event_id=>wwv_flow_api.id(17497049445379245)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P20_IDLIST'
,p_attribute_01=>'STATIC_ASSIGNMENT'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(17497125768379246)
,p_event_id=>wwv_flow_api.id(17497049445379245)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3262871021212404650)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(17497261850379247)
,p_name=>'markerAdded'
,p_event_sequence=>20
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3262871021212404650)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|markeradded'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(17497352244379248)
,p_event_id=>wwv_flow_api.id(17497261850379247)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'$s("P20_IDLIST", $v("P20_IDLIST")+" "+this.data.id);',
'this.data.marker.setAnimation(google.maps.Animation.DROP);'))
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(48415208825082315)
,p_event_id=>wwv_flow_api.id(17497261850379247)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if (this.data.id == "6") {',
'    this.data.marker.info = "Rottnest Island";',
'    $("#map_mymap").reportmap("showInfoWindow", this.data.marker);',
'}'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(48414813858082311)
,p_name=>'markerClick'
,p_event_sequence=>30
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3262871021212404650)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|markerclick'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(48414939058082312)
,p_event_id=>wwv_flow_api.id(48414813858082311)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'apex.debug(this.data);'
);
end;
/
prompt --application/pages/page_00021
begin
wwv_flow_api.create_page(
 p_id=>21
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Localisation'
,p_alias=>'LOCALISATION'
,p_step_title=>'Localisation'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Localisation'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<h3>Language</h3>',
'By default, the map uses the user''s preferred language setting as specified in the browser, when displaying textual information such as the names for controls, copyright notices, driving directions and labels on maps. In most cases, it''s preferable t'
||'o respect the browser setting. The language attribute on the plugin allows the developer to override the user''s preferred language.',
'</p>',
'<h3>Region</h3>',
'When you load the map it applies a default bias for application behavior towards the United States. If you want to alter your application to serve different map tiles or bias the application (such as biasing geocoding results towards the region), you'
||' can override this default behavior by setting the Region attribute.',
'<p>',
'Example: try searching for "Toledo" with the Region set to different values.'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(53435004136558248)
,p_plug_name=>'Search'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--noUI:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(119994026229661015)
,p_plug_name=>'Report Google Map Plugin'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_03=>'13'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_08=>'&P21_LANGUAGE.'
,p_attribute_09=>'&P21_REGION.'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(196953909510688865)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(53434539503558243)
,p_name=>'P21_LANGUAGE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(119994026229661015)
,p_prompt=>'Language'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:Afrikaans;af,Arabic;ar,Chinese;zh,English;en,French;fr,German;de,Hebrew;iw,Hindi;hi,Italian;it,Japanese;ja,Korean;ko,Portuguese;pt,Spanish;es,Thai;th,Vietnamese;vi,Zulu;zu'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'(user''s preferred)'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(25186298275602505444)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--xlarge'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'SUBMIT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(53434628238558244)
,p_name=>'P21_REGION'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(119994026229661015)
,p_prompt=>'Region'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:Great Britain (gb);gb,Spain (es);es,Australia (au);au,Japan (jp);jp'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'(default - United States)'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(25186298275602505444)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--xlarge'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'SUBMIT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(53434730085558245)
,p_name=>'P21_SEARCH'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(53435004136558248)
,p_prompt=>'Search by location'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_icon_css_classes=>'fa-search'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53434882086558246)
,p_name=>'on change'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P21_SEARCH'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53434935335558247)
,p_event_id=>wwv_flow_api.id(53434882086558246)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(119994026229661015)
,p_attribute_01=>'gotoAddress'
,p_attribute_02=>'triggeringElement'
,p_attribute_07=>'zoom'
);
end;
/
prompt --application/pages/page_00022
begin
wwv_flow_api.create_page(
 p_id=>22
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Load GeoJSON from database'
,p_alias=>'GEOJSON'
,p_step_title=>'Load GeoJSON from database'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Load GeoJSON from database v2'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_page_is_public_y_n=>'Y'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'A Dynamic Action on the Country select list uses the APEX CLOB Load 2 plugin to load the geometry for the country''s borders into the hidden P22_GEOJSON item.',
'<p>',
'A Dynamic Action on P22_GEOJSON runs the JK64 Report Google Map R1 Action action "loadGeoJsonString", with the value based on the following JavaScript expression:',
'<p>',
'<code>',
'''{"type":"Feature","geometry":''+$v("P22_GEOJSON")+'',"properties":{"name":"''+$v("P22_COUNTRY")+''"}}''',
'</code>',
'</p>',
'Alternatively, to load GeoJSON onto the map programmatically, the following Javascript API call may instead be used:',
'<code>',
'$("#map_testmap").reportmap("loadGeoJsonString", ''...your geoJON here...'');',
'</code>',
'<p>',
'<hr>',
'Even better, you can load GeoJSON onto the map via the SQL Query.'))
,p_page_comment=>'This page requires the table jk64demo_countries.'
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(53976929483556324)
,p_plug_name=>'Geometry Data Not Loaded'
,p_region_template_options=>'#DEFAULT#:t-Alert--horizontal:t-Alert--defaultIcons:t-Alert--warning'
,p_plug_template=>wwv_flow_api.id(25186268102268505408)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'This page requires the country border geometry loaded into the jk64demo_countries table.',
'<p>',
'To load this data, run <code>jk64demo_countries_geometry.sql</code>. You can download this script from <a href="https://github.com/jeffreykemp/jk64-plugin-reportmap/tree/master/demo_src" target=_blank>here</a>.'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NOT_EXISTS'
,p_plug_display_when_condition=>'select 1 from jk64demo_countries where geometry is not null'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(143264965385881192)
,p_plug_name=>'Info'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(231578645525892407)
,p_plug_name=>'Load GeoJSON from database'
,p_region_name=>'testmap'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'400'
,p_attribute_02=>'PINS'
,p_attribute_04=>'PAN_ON_CLICK:DRAGGABLE:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_11=>wwv_flow_string.join(wwv_flow_t_varchar2(
'[',
'    {',
'        "featureType": "all",',
'        "elementType": "labels",',
'        "stylers": [',
'            {',
'                "visibility": "off"',
'            }',
'        ]',
'    },',
'    {',
'        "featureType": "administrative",',
'        "elementType": "all",',
'        "stylers": [',
'            {',
'                "visibility": "off"',
'            }',
'        ]',
'    },',
'    {',
'        "featureType": "landscape.man_made",',
'        "elementType": "all",',
'        "stylers": [',
'            {',
'                "visibility": "off"',
'            }',
'        ]',
'    },',
'    {',
'        "featureType": "poi",',
'        "elementType": "all",',
'        "stylers": [',
'            {',
'                "visibility": "off"',
'            }',
'        ]',
'    },',
'    {',
'        "featureType": "road",',
'        "elementType": "all",',
'        "stylers": [',
'            {',
'                "visibility": "off"',
'            }',
'        ]',
'    },',
'    {',
'        "featureType": "transit",',
'        "elementType": "all",',
'        "stylers": [',
'            {',
'                "visibility": "off"',
'            }',
'        ]',
'    }',
']'))
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'greedy'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23769800678459439)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(231578645525892407)
,p_button_name=>'DELETE_ALL_FEATURES'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(25186298792612505445)
,p_button_image_alt=>'Delete All Features'
,p_button_position=>'BELOW_BOX'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(53977299144556327)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(143264965385881192)
,p_button_name=>'GEOJSON_VISUALISATION'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--link:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(25186298860096505445)
,p_button_image_alt=>'Load GeoJson via SQL'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_button_redirect_url=>'f?p=&APP_ID.:27:&SESSION.::&DEBUG.:RP::'
,p_icon_css_classes=>'fa-radar-chart'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23770144837459442)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(231578645525892407)
,p_button_name=>'LOAD_ALL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(25186298792612505445)
,p_button_image_alt=>'Load All'
,p_button_position=>'BELOW_BOX'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50331505725390985)
,p_name=>'P22_COUNTRY'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(231578645525892407)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Country'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select country || '' ('' || ceil(dbms_lob.getlength(geometry)/1024) || ''KB)'' as d',
'      ,country',
'from jk64demo_countries',
'where geometry is not null',
'and country != ''Antarctica''',
'order by country'))
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(25186298275602505444)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50331917207390988)
,p_name=>'P22_GEOJSON'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(231578645525892407)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(57885256088842106)
,p_name=>'P22_NAME'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(231578645525892407)
,p_prompt=>'Name'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(25186298121364505443)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(50334670966391008)
,p_name=>'load country borders'
,p_event_sequence=>120
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P22_COUNTRY'
,p_condition_element=>'P22_COUNTRY'
,p_triggering_condition_type=>'NOT_NULL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(50335132619391008)
,p_event_id=>wwv_flow_api.id(50334670966391008)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_APEX.CLOB.LOAD.2'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /* Element type dom - for jQuery selector e.g. body or #region-id, item - for item name e.g. P1_MY_ITEM */',
'    ''item'' AS ELEMENT_TYPE,',
'    /* jQuery selector or item name */',
'    ''P22_GEOJSON'' AS ELEMENT_SELECTOR,',
'    geometry as clob_value',
'from jk64demo_countries',
'where country = :P22_COUNTRY'))
,p_attribute_02=>'P22_COUNTRY'
,p_attribute_03=>'N'
,p_attribute_04=>'PRINT_CLOB'
,p_attribute_05=>'Y'
,p_attribute_10=>'N'
,p_attribute_13=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23769977703459440)
,p_name=>'on click delete all features'
,p_event_sequence=>130
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23769800678459439)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23770065299459441)
,p_event_id=>wwv_flow_api.id(23769977703459440)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(231578645525892407)
,p_attribute_01=>'deleteAllFeatures'
,p_attribute_02=>'triggeringElement'
,p_attribute_07=>'zoom'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23770267752459443)
,p_name=>'on click load all'
,p_event_sequence=>140
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23770144837459442)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57885784589842111)
,p_event_id=>wwv_flow_api.id(23770267752459443)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P22_NAME,P22_COUNTRY'
,p_attribute_01=>'STATIC_ASSIGNMENT'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23770715618459448)
,p_event_id=>wwv_flow_api.id(23770267752459443)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_APEX.CLOB.LOAD.2'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(231578645525892407)
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /* Element type dom - for jQuery selector e.g. body or #region-id, item - for item name e.g. P1_MY_ITEM */',
'    ''item'' AS ELEMENT_TYPE,',
'    /* jQuery selector or item name */',
'    ''P22_GEOJSON'' AS ELEMENT_SELECTOR,',
'    geometry as clob_value',
'from jk64demo_countries',
'where country != ''Antarctica''',
'and geometry is not null'))
,p_attribute_03=>'N'
,p_attribute_04=>'PRINT_CLOB'
,p_attribute_05=>'Y'
,p_attribute_10=>'N'
,p_attribute_13=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23770479354459445)
,p_name=>'on load geojson'
,p_event_sequence=>150
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P22_GEOJSON'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23770555888459446)
,p_event_id=>wwv_flow_api.id(23770479354459445)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(231578645525892407)
,p_attribute_01=>'loadGeoJsonString'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'''{"type":"Feature","geometry":''+$v("P22_GEOJSON")+'',"properties":{"name":"''+$v("P22_COUNTRY")+''"}}'''
,p_attribute_07=>'zoom'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(57885322907842107)
,p_name=>'mouse over feature'
,p_event_sequence=>160
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(231578645525892407)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|mouseoverfeature'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57885449651842108)
,p_event_id=>wwv_flow_api.id(57885322907842107)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P22_NAME'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'this.data.feature.getProperty("name")'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(57885506723842109)
,p_name=>'mouse out feature'
,p_event_sequence=>170
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(231578645525892407)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|mouseoutfeature'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57885651496842110)
,p_event_id=>wwv_flow_api.id(57885506723842109)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P22_NAME'
,p_attribute_01=>'STATIC_ASSIGNMENT'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
end;
/
prompt --application/pages/page_00023
begin
wwv_flow_api.create_page(
 p_id=>23
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Issue: Marker Clustering Close Together'
,p_step_title=>'Marker Clustering Close Together'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Marker Clustering Close Together'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(86732111425373179)
,p_plug_name=>'Report Google Map Plugin'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 43.6383, -70.3031, ''pnt1'', ''p1'' from dual',
'union all',
'select 43.63831, -70.3031, ''pnt2'', ''p2'' from dual'))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'350'
,p_attribute_02=>'CLUSTER'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(159559298128822063)
,p_plug_name=>'Marker Clustering'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(53793396288964489)
,p_name=>'P23_CLICKED'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(159559298128822063)
,p_prompt=>'P23_CLICKED'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53795979480964502)
,p_name=>'markerClick'
,p_event_sequence=>10
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(86732111425373179)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|markerclick'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53796409984964503)
,p_event_id=>wwv_flow_api.id(53795979480964502)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P23_CLICKED'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'"this.data.id="+this.data.id+" this.data.name="+this.data.name+" this.data.lat="+this.data.lat+" this.data.lng="+this.data.lng'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53434357811558241)
,p_name=>'mapclick'
,p_event_sequence=>20
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(86732111425373179)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|mapclick'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53434410195558242)
,p_event_id=>wwv_flow_api.id(53434357811558241)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'apex.debug("zoom", this.data.map.getZoom());'
);
end;
/
prompt --application/pages/page_00024
begin
wwv_flow_api.create_page(
 p_id=>24
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Spiderfier'
,p_alias=>'SPIDERFIER'
,p_step_title=>'Spiderfier'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Spiderfier'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'This map shows the pins but if they are very close or overlapping, when the user clicks on the cluster it spreads them out ("spiderfies" them) with lines tracking them back to their original position. The user can then click the individual pins to ge'
||'t info about them.',
'<p>',
'Uses <a href="OverlappingMarkerSpiderfier" target=_blank>https://github.com/jawj/OverlappingMarkerSpiderfier</a>.',
'<p>',
'By default the plugin uses a function to format the pins so that they look different if they are spiderfied or not. To modify the formatting you can',
'    provide your own marker formatting function and specify it in the <b>JavaScript Initialization Code</b> attribute.',
'<p>',
'To customise the markers in response to the spiderfier''s changes, use the plugin''s <b>JavaScript Initialization Code</b> to supply a spiderfy format function, e.g.:',
'    <code>',
'    this.options.spiderfyFormatFn = function(marker, status) {',
'        var iconURL = ''https://mt.googleapis.com/vt/icon/name=icons/spotlight/''',
'            + (status == OverlappingMarkerSpiderfier.markerStatus.SPIDERFIED)',
'            ? ''spotlight-waypoint-blue.png''',
'            : ''spotlight-poi.png'';',
'        marker.setIcon({url: iconURL});',
'    };',
'    </code>',
'</p>',
'If the spiderfy option basicFormatEvents = true, status will be SPIDERFIED, SPIDERFIABLE, or UNSPIDERFIABLE; if basicFormatEvents = false, status will be SPIDERFIED or UNSPIDERFIED',
''))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(127416361299230443)
,p_plug_name=>'Visualisation: Spiderfier'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3268382779873799623)
,p_plug_name=>'Report Map'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'from apex_collections',
'where collection_name = ''MAP'''))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex.debug("javascript init code");',
'',
'// set any non-default spiderfier options here',
'',
'// keepSpiderfied defaults to true',
'//this.options.spiderfier.keepSpiderfied = false;',
'',
'// Reference: https://github.com/jawj/OverlappingMarkerSpiderfier',
'/*',
'this.options.spiderfyFormatFn = function(marker, status) {',
'    var iconURL = ''https://mt.googleapis.com/vt/icon/name=icons/spotlight/''',
'        + ((status == OverlappingMarkerSpiderfier.markerStatus.SPIDERFIED)',
'          ? ''spotlight-waypoint-blue.png''',
'          : ''spotlight-poi.png'');',
'    marker.setIcon({url: iconURL});',
'};',
'*/'))
,p_attribute_01=>'350'
,p_attribute_02=>'SPIDERFIER'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(53909868870992015)
,p_name=>'P24_CLICKED'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(127416361299230443)
,p_prompt=>'Pin data'
,p_placeholder=>'(click a map marker to show data here)'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>4000
,p_tag_attributes=>'readonly'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(53910230774992019)
,p_name=>'P24_POSITION'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(127416361299230443)
,p_prompt=>'Position'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53914663696992051)
,p_name=>'map loaded'
,p_event_sequence=>20
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3268382779873799623)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|maploaded'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53915198773992051)
,p_event_id=>wwv_flow_api.id(53914663696992051)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'apex.debug("loaded",this.data.countPins,"pins");'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53913214021992048)
,p_name=>'marker clicked'
,p_event_sequence=>30
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3268382779873799623)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|markerclick'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53913720136992050)
,p_event_id=>wwv_flow_api.id(53913214021992048)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_CLICKED'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'"this.data.id=" + this.data.id + " this.data.name=" + this.data.name'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53914273595992050)
,p_event_id=>wwv_flow_api.id(53913214021992048)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P24_POSITION'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'this.data.lat + " " + this.data.lng'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
end;
/
prompt --application/pages/page_00025
begin
wwv_flow_api.create_page(
 p_id=>25
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Custom Marker Format'
,p_alias=>'CUSTOMMARKER'
,p_step_title=>'Custom Marker Format'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Custom Marker Format'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'The page provides a function to the plugin to supply custom code to format each marker or manipulate it in other ways.',
'<p>',
'    Each marker is a <b><a href="https://developers.google.com/maps/documentation/javascript/reference/marker#Marker" target=_blank>google.maps.Marker</a></b> object with the following attributes (among others), most of which may be changed by your f'
||'unction:',
'<ul>',
'    <li><b>data.id</b> = source query id</li>',
'    <li><b>data.name</b> = source query name</li>',
'    <li><b>data.info</b> = source query info</li>',
'    <li><b>title</b> = based on source query name by default</li>',
'    <li><b>icon</b> = based on source query icon by default, plus baseIconPath if set</li>',
'    <li><b>label</b> = based on source query label</li>',
'    <li><b>position</b> = google.maps.LatLng object</li>',
'    <li><b>data.attr01</b>, <b>data.attr02</b>, .. <b>data.attr10</b> = source query flex fields</li>',
'</ul>',
'You can also call Google Maps API methods on the Marker object, such as setAnimation, setOpacity, setDraggable, etc.',
'<p>',
'Note that the marker.icon property can be a URL to an image to show, or to a <a href="https://developers.google.com/maps/documentation/javascript/symbols" target=_blank>Symbol</a>.'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(53977371832556328)
,p_plug_name=>'Custom Marker Formatter #2'
,p_region_name=>'mymap2'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c005 as name, c001 as id, c002 || '' (pop='' || c005 || '')'' as info, '''' as icon, c002 as lbl',
'      ,c005 as attr01',
'from apex_collections',
'where collection_name = ''MAP''',
'and (c003,c004) not in ((0,0))',
'and c005 is not null'))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'this.options.markerFormatFn = function(marker) {',
'',
'    var population = parseFloat(marker.data.attr01);',
'',
'    // icon can be a Symbol',
'    marker.icon = {',
'      path          : google.maps.SymbolPath.CIRCLE,',
'      fillColor     : "#dd0000",',
'      fillOpacity   : 0.6,',
'      strokeColor   : "#0000dd",',
'      strokeOpacity : 0.9,',
'      strokeWeight  : 1,',
'      scale         : 5 * Math.log(population)',
'    };',
'',
'}'))
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_03=>'13'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_11=>'[{"featureType":"all","elementType":"geometry","stylers":[{"color":"#4740a0"}]},{"featureType":"all","elementType":"labels.text.fill","stylers":[{"gamma":0.01},{"lightness":20}]},{"featureType":"all","elementType":"labels.text.stroke","stylers":[{"sa'
||'turation":-31},{"lightness":-33},{"weight":2},{"gamma":0.8}]},{"featureType":"all","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"administrative","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"adm'
||'inistrative","elementType":"labels","stylers":[{"visibility":"simplified"},{"weight":"0.50"}]},{"featureType":"administrative","elementType":"labels.text","stylers":[{"visibility":"off"}]},{"featureType":"administrative","elementType":"labels.text.st'
||'roke","stylers":[{"weight":"0.50"}]},{"featureType":"administrative.locality","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"landscape","elementType":"all","stylers":[{"visibility":"simplified"},{"color":"#e1e1e1"}]},{"featureT'
||'ype":"landscape","elementType":"geometry","stylers":[{"lightness":30},{"saturation":30}]},{"featureType":"landscape.natural","elementType":"all","stylers":[{"visibility":"on"}]},{"featureType":"landscape.natural","elementType":"labels","stylers":[{"v'
||'isibility":"off"}]},{"featureType":"landscape.natural.landcover","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"poi","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"poi","elementType":"geometry","stylers":'
||'[{"saturation":20}]},{"featureType":"poi.park","elementType":"geometry","stylers":[{"lightness":20},{"saturation":-20}]},{"featureType":"road","elementType":"all","stylers":[{"visibility":"on"}]},{"featureType":"road","elementType":"geometry","styler'
||'s":[{"lightness":10},{"saturation":-30}]},{"featureType":"road","elementType":"geometry.fill","stylers":[{"visibility":"on"},{"color":"#8a8a8a"}]},{"featureType":"road","elementType":"geometry.stroke","stylers":[{"saturation":25},{"lightness":25}]},{'
||'"featureType":"road","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"road.highway","elementType":"all","stylers":[{"visibility":"on"},{"hue":"#ff0000"}]},{"featureType":"road.highway","elementType":"labels","stylers":[{"visib'
||'ility":"off"}]},{"featureType":"road.highway","elementType":"labels.text","stylers":[{"visibility":"off"}]},{"featureType":"road.arterial","elementType":"all","stylers":[{"visibility":"on"}]},{"featureType":"road.arterial","elementType":"labels","sty'
||'lers":[{"visibility":"off"}]},{"featureType":"road.local","elementType":"all","stylers":[{"visibility":"on"}]},{"featureType":"transit","elementType":"all","stylers":[{"visibility":"on"},{"color":"#1bc984"}]},{"featureType":"transit","elementType":"l'
||'abels","stylers":[{"visibility":"off"}]},{"featureType":"transit.line","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"transit.station.airport","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"transit.statio'
||'n.airport","elementType":"geometry.fill","stylers":[{"visibility":"on"},{"color":"#b4b4b4"}]},{"featureType":"transit.station.airport","elementType":"labels","stylers":[{"visibility":"simplified"},{"weight":"1.00"},{"color":"#e50c0c"}]},{"featureType'
||'":"transit.station.airport","elementType":"labels.text","stylers":[{"visibility":"off"}]},{"featureType":"transit.station.airport","elementType":"labels.icon","stylers":[{"weight":"1.25"},{"color":"#00b3fb"}]},{"featureType":"transit.station.rail","e'
||'lementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"transit.station.rail","elementType":"geometry","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"all","stylers":[{"lightness":-20},{"visibility":"on"}]},{"featu'
||'reType":"water","elementType":"geometry.fill","stylers":[{"color":"#ffffff"}]},{"featureType":"water","elementType":"labels.text","stylers":[{"visibility":"off"}]}]'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(53977576467556330)
,p_plug_name=>'JavaScript Initialization Code'
,p_parent_plug_id=>wwv_flow_api.id(53977371832556328)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<code>this.options.markerFormatFn = function(marker) {',
'',
'    var population = parseFloat(marker.data.attr01);',
'',
'    // icon can be a Symbol',
'    marker.icon = {',
'      path          : google.maps.SymbolPath.CIRCLE,',
'      fillColor     : "#dd0000",',
'      fillOpacity   : 0.6,',
'      strokeColor   : "#0000dd",',
'      strokeOpacity : 0.9,',
'      strokeWeight  : 1,',
'      scale         : 5 * Math.log(population)',
'    };',
'',
'}',
'</code>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(87084137971692016)
,p_plug_name=>'Custom Marker Formatter #1'
,p_region_name=>'mymap1'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'from apex_collections',
'where collection_name = ''MAP''',
'and (c003,c004) not in ((0,0))'))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'this.options.markerFormatFn = function(marker) {',
'',
'    // icon can be a URL to an icon image',
'    marker.icon = ''https://mt.googleapis.com/vt/icon/name=icons/spotlight/''',
'        + ((marker.data.id % 2 == 0)',
'           ? ''spotlight-waypoint-blue.png''',
'           : ''spotlight-waypoint-a.png'')',
'        + ''&scale=1.5'';',
'',
'    // you can change other attributes of the marker as well',
'    marker.title = marker.data.name.toUpperCase();',
'    ',
'    // we can call google.maps.Marker object methods as well',
'    marker.setOpacity(0.5);',
'',
'    if (marker.title == ''HOME'') {',
'        // we can shift the marker position',
'        marker.setPosition( {lat: -31.82531, lng: 115.84366} );',
'    }',
'}'))
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_03=>'13'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_11=>'[{"featureType":"all","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"all","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"administrative","elementType":"all","stylers":[{"visibility":"off"}]},{"'
||'featureType":"landscape.man_made","elementType":"all","stylers":[{"visibility":"simplified"}]},{"featureType":"landscape.man_made","elementType":"geometry.fill","stylers":[{"visibility":"on"},{"color":"#000000"}]},{"featureType":"landscape.man_made",'
||'"elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"landscape.man_made","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"landscape.natural.landcover","elementType":"geometry.fill","stylers":[{"color":'
||'"#e1e1e1"}]},{"featureType":"landscape.natural.terrain","elementType":"geometry.fill","stylers":[{"color":"#e1e1e1"}]},{"featureType":"poi","elementType":"geometry","stylers":[{"visibility":"simplified"}]},{"featureType":"poi","elementType":"labels",'
||'"stylers":[{"visibility":"off"}]},{"featureType":"poi.attraction","elementType":"geometry.fill","stylers":[{"visibility":"on"},{"color":"#000000"}]},{"featureType":"poi.attraction","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featu'
||'reType":"poi.business","elementType":"geometry.fill","stylers":[{"visibility":"on"},{"color":"#000000"}]},{"featureType":"poi.government","elementType":"geometry.fill","stylers":[{"visibility":"on"},{"color":"#000000"}]},{"featureType":"poi.medical",'
||'"elementType":"geometry.fill","stylers":[{"visibility":"on"},{"color":"#000000"}]},{"featureType":"poi.park","elementType":"geometry.fill","stylers":[{"color":"#e1e1e1"},{"visibility":"on"}]},{"featureType":"poi.place_of_worship","elementType":"geome'
||'try.fill","stylers":[{"color":"#000000"}]},{"featureType":"poi.school","elementType":"geometry.fill","stylers":[{"color":"#000000"}]},{"featureType":"poi.sports_complex","elementType":"geometry.fill","stylers":[{"color":"#b4b4b4"},{"visibility":"on"}'
||']},{"featureType":"road","elementType":"all","stylers":[{"saturation":-100},{"lightness":45},{"visibility":"simplified"}]},{"featureType":"road","elementType":"geometry.fill","stylers":[{"visibility":"on"},{"color":"#ffffff"}]},{"featureType":"road",'
||'"elementType":"geometry.stroke","stylers":[{"visibility":"off"}]},{"featureType":"road","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"road","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"trans'
||'it","elementType":"all","stylers":[{"visibility":"simplified"}]},{"featureType":"transit.line","elementType":"geometry.fill","stylers":[{"visibility":"on"},{"color":"#ffffff"}]},{"featureType":"transit.station","elementType":"geometry.fill","stylers"'
||':[{"color":"#323232"},{"visibility":"on"}]},{"featureType":"transit.station","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"all","stylers":[{"color":"#ffffff"},{"visibility":"on"}]},{"featureType":'
||'"water","elementType":"labels","stylers":[{"visibility":"off"}]}]'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(53977480039556329)
,p_plug_name=>'JavaScript Initialization Code'
,p_parent_plug_id=>wwv_flow_api.id(87084137971692016)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<code>this.options.markerFormatFn = function(marker) {',
'',
'    // icon can be a URL to an icon image',
'    marker.icon = ''https://mt.googleapis.com/vt/icon/name=icons/spotlight/''',
'        + ((marker.data.id % 2 == 0)',
'           ? ''spotlight-waypoint-blue.png''',
'           : ''spotlight-waypoint-a.png'')',
'        + ''&scale=1.5'';',
'',
'    // you can change other attributes of the marker as well',
'    marker.title = marker.data.name.toUpperCase();',
'    ',
'    // we can call google.maps.Marker object methods as well',
'    marker.setOpacity(0.5);',
'',
'    if (marker.title == ''HOME'') {',
'        // we can shift the marker position',
'        marker.setPosition( {lat: -31.82531, lng: 115.84366} );',
'    }',
'}',
'</code>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(164044021252719866)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>40
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
end;
/
prompt --application/pages/page_00026
begin
wwv_flow_api.create_page(
 p_id=>26
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Batched Results'
,p_alias=>'BATCHED'
,p_step_title=>'Batched Results'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Paged Results'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'The Rows Per Batch plugin attribute has been set to 1000. This causes the plugin to load the pins in multiple ajax calls. Using this attribute increases the overall time required to load all the data, but allows the map to start showing some pins ear'
||'lier, making it more user-friendly.',
'<p>',
'As each batch is received, the map will expand the bounds (pan & zoom) to show the new pins.',
'<p>',
'As each intermediate batch is received, the <b>batchLoaded</b> event fires. It usually does not fire after the last batch, although it is possible (in the edge case when the total rows is an exact multiple of the batch size).',
'<p>',
'When the last batch is received, the <b>mapLoaded</b> event fires.',
'<p>',
'<hr>',
'<em>Side note:</em> for the marker styling, the <b>JavaScript Initialization Code</b> is:',
'<code>',
'this.options.markerFormatFn = function(marker, flex) {',
'    var mag = parseFloat(flex.a1)',
'       ,iconName;',
'',
'    if (mag > 4.5) {',
'        iconName = ''capital_small_highlight.png'';',
'    } else if (mag > 3.0) {',
'        iconName = ''capital_small.png'';',
'    } else if (mag > 1.5) {',
'        iconName = ''placemark_circle_highlight.png'';',
'    } else {',
'        iconName = ''placemark_circle.png'';',
'    }',
'    ',
'    // these icons are 32x32 images, more-or-less centered',
'    ',
'    marker.icon = {',
'        url: ''https://maps.google.com/mapfiles/kml/shapes/'' + iconName,',
'        anchor: new google.maps.Point(15, 16)',
'    };',
'    ',
'    marker.title = ''Magnitude:'' + flex.a1;',
'',
'    marker.setOpacity(0.5);',
'}',
'</code>'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(192220682381606272)
,p_plug_name=>'Batched Results'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3333187100956175452)
,p_plug_name=>'Report Google Map Plugin ("mymap")'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186269690704505415)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select lat, lng, '''' name, '''' id, '''' info, '''' icon, '''' label, mag as flex1',
'from jk64demo_earthquakes'))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'this.options.markerFormatFn = function(marker) {',
'    var mag = parseFloat(marker.data.attr01)',
'       ,iconName;',
'',
'    if (mag > 4.5) {',
'        iconName = ''capital_small_highlight.png'';',
'    } else if (mag > 3.0) {',
'        iconName = ''capital_small.png'';',
'    } else if (mag > 1.5) {',
'        iconName = ''placemark_circle_highlight.png'';',
'    } else {',
'        iconName = ''placemark_circle.png'';',
'    }',
'    ',
'    // these icons are 32x32 images, more-or-less centered',
'    ',
'    marker.icon = {',
'        url: ''https://maps.google.com/mapfiles/kml/shapes/'' + iconName,',
'        anchor: new google.maps.Point(15, 16)',
'    };',
'    ',
'    marker.title = ''Magnitude:'' + marker.data.attr01;',
'',
'    marker.setOpacity(0.5);',
'}'))
,p_attribute_01=>'400'
,p_attribute_02=>'PINS'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:DISABLEFITBOUNDS:SPINNER'
,p_attribute_07=>'1000'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(53975878892556313)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(192220682381606272)
,p_button_name=>'REFRESH'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(25186298860096505445)
,p_button_image_alt=>'Refresh'
,p_button_position=>'REGION_TEMPLATE_EDIT'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-refresh'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(53975050793556305)
,p_name=>'P26_EXPECTED_ROWS'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(192220682381606272)
,p_prompt=>'Expected Rows'
,p_source=>'select count(*) from jk64demo_earthquakes'
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(25186298275602505444)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_item_comment=>'This page requires the table jk64demo_earthquakes.'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(53975119202556306)
,p_name=>'P26_ACTUAL_ROWS'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(192220682381606272)
,p_prompt=>'Actual Rows'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(25186298275602505444)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53975238968556307)
,p_name=>'mapLoaded'
,p_event_sequence=>10
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3333187100956175452)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|maploaded'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53975313815556308)
,p_event_id=>wwv_flow_api.id(53975238968556307)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P26_ACTUAL_ROWS'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'this.data.countPins'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53976127050556316)
,p_name=>'mapRefreshed'
,p_event_sequence=>20
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3333187100956175452)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|maprefreshed'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53976282592556317)
,p_event_id=>wwv_flow_api.id(53976127050556316)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P26_ACTUAL_ROWS'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'this.data.countPins'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53975499353556309)
,p_name=>'batchLoaded'
,p_event_sequence=>30
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3333187100956175452)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|batchloaded'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53975530284556310)
,p_event_id=>wwv_flow_api.id(53975499353556309)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P26_ACTUAL_ROWS'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'this.data.countPins'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53975979099556314)
,p_name=>'refresh region'
,p_event_sequence=>40
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(53975878892556313)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53976029843556315)
,p_event_id=>wwv_flow_api.id(53975979099556314)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3333187100956175452)
);
end;
/
prompt --application/pages/page_00027
begin
wwv_flow_api.create_page(
 p_id=>27
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Load GeoJSON via SQL'
,p_alias=>'SQLGEOJSON'
,p_step_title=>'Load GeoJSON via SQL'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Load GeoJSON from database v2'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_page_is_public_y_n=>'Y'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'The Visualisation on this map is set to "GeoJson" and the SQL Query loads some countries selected at random.',
'<p>',
'<code>',
'select json_object(',
'           ''type'' is ''Feature'',',
'           ''geometry'' is geometry',
'           returning clob',
'       ) as geojson',
'      ,country as name',
'      ,rownum as id',
'      ,country||''-flex1'' as flex1',
'      ,''#'' || /*random color*/ to_char(dbms_random.value(0, to_number(''FFFFFF'',''XXXXXX'')),''fm0XXXXX'')',
'       as flex2',
'from (',
'    select * ',
'    from   jk64demo_countries',
'    where  geometry is not null',
'    order by dbms_random.value',
') where rownum <= 70',
'</code>',
'<p>',
'The JavaScript Initialisation code has this:',
'    <code>',
'        this.options.featureStyleFn = function(feature) {',
'            var color = feature.getProperty(''attr02'');',
'            return /** @type {!google.maps.Data.StyleOptions} */({',
'                fillColor    : color,',
'                strokeColor  : color,',
'                strokeWeight : 2',
'            });',
'        }',
'    </code>',
'<hr>',
'We could also embed the properties in the geoJson document; this allows the',
'developer to include any arbitrary properties while avoiding using "flex" fields:',
'<code>',
'select json_object(',
'           ''type'' is ''Feature'',',
'           ''geometry'' is c.geometry,',
'           ''properties'' is json_object(',
'               ''id'' is c.id,',
'               ''name'' is c.country,',
'               ''population'' is c.pop',
'           )',
'           returning clob',
'       ) as geojson',
'from   country_borders c',
'</code>',
'<hr>',
'A Dynamic Action on the <b>mouseoverFeature</b> event sets <code>P27_NAME</code> to:',
'<code>',
'this.data.feature.getProperty("name")',
'</code>',
'A Dynamic Action on the <b>mouseoutFeature</b> event clears <code>P27_NAME</code>.',
'<hr>',
'A Dynamic Action on the <b>selectFeature</b> event sets <code>P27_DATA</code> to:',
'<code>',
'"id=" + this.data.feature.getProperty("id")',
'+ " attr01=" + this.data.feature.getProperty("attr01")',
'+ " attr02=" + this.data.feature.getProperty("attr02")',
'</code>',
'<hr>',
'Refresh the page to load the borders for a different set of countries.',
'<hr>',
'It is possible to query the data layer and interact dynamically with its contents.',
'For example, the "Select feature with id=1" button runs the following JavaScript:',
'<p>',
'<code>',
'var dataLayer = $("#map_testmap").reportmap("instance").map.data,',
'    feature = dataLayer.getFeatureById(''1'');',
'',
'feature.setProperty("isSelected",true);',
'',
'$s("P27_NAME", feature.getProperty("name"));',
'',
'$s("P27_DETAILS",',
'    "id=" + feature.getProperty("id")',
'    + " attr01=" + feature.getProperty("attr01")',
'    + " attr02=" + feature.getProperty("attr02"));',
'</code>',
'<p>',
'This gets the Data Layer from the Google Map object, then queries it for the',
'feature matching the given ID (note that our query sets id to the rownum). It',
'then sets the "isSelected" property on the feature which triggers the map to',
're-execute the feature''s style function.',
'<hr>',
'    <p>A custom style hides all the labels and roads from the map.'))
,p_page_comment=>'This page requires the table jk64demo_countries.'
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(108624573787901255)
,p_plug_name=>'Geometry Data Not Loaded'
,p_region_template_options=>'#DEFAULT#:t-Alert--horizontal:t-Alert--defaultIcons:t-Alert--warning'
,p_plug_template=>wwv_flow_api.id(25186268102268505408)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'This page requires the country border geometry loaded into the jk64demo_countries table.',
'<p>',
'To load this data, run <code>jk64demo_countries_geometry.sql</code>. You can download this script from <a href="https://github.com/jeffreykemp/jk64-plugin-reportmap/tree/master/demo_src" target=_blank>here</a>.'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NOT_EXISTS'
,p_plug_display_when_condition=>'select 1 from jk64demo_countries where geometry is not null'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(197912609690226123)
,p_plug_name=>'Info'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(286226289830237338)
,p_plug_name=>'Load GeoJSON via SQL'
,p_region_name=>'testmap'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select json_object(',
'           ''type'' is ''Feature'',',
'           ''geometry'' is geometry',
'           returning clob',
'       ) as geojson',
'      ,country as name',
'      ,rownum as id',
'      ,country||''-flex1'' as flex1',
'      ,''#'' || /*random color*/ to_char(dbms_random.value(0, to_number(''FFFFFF'',''XXXXXX'')),''fm0XXXXX'')',
'       as flex2',
'from (',
'    select * ',
'    from   jk64demo_countries',
'    where  country != ''Antarctica''',
'    and    geometry is not null',
'    order by dbms_random.value',
') where rownum <= 70'))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'this.options.featureStyleFn = function(feature) {',
'    var color = feature.getProperty(''attr02'');',
'    return /** @type {!google.maps.Data.StyleOptions} */({',
'        fillColor    : color,',
'        strokeColor  : color,',
'        strokeWeight : 2',
'    });',
'}'))
,p_attribute_01=>'400'
,p_attribute_02=>'GEOJSON'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_07=>'5'
,p_attribute_11=>wwv_flow_string.join(wwv_flow_t_varchar2(
'[',
'    {',
'        "featureType": "all",',
'        "elementType": "labels",',
'        "stylers": [',
'            {',
'                "visibility": "off"',
'            }',
'        ]',
'    },',
'    {',
'        "featureType": "administrative",',
'        "elementType": "all",',
'        "stylers": [',
'            {',
'                "visibility": "off"',
'            }',
'        ]',
'    },',
'    {',
'        "featureType": "landscape.man_made",',
'        "elementType": "all",',
'        "stylers": [',
'            {',
'                "visibility": "off"',
'            }',
'        ]',
'    },',
'    {',
'        "featureType": "poi",',
'        "elementType": "all",',
'        "stylers": [',
'            {',
'                "visibility": "off"',
'            }',
'        ]',
'    },',
'    {',
'        "featureType": "road",',
'        "elementType": "all",',
'        "stylers": [',
'            {',
'                "visibility": "off"',
'            }',
'        ]',
'    },',
'    {',
'        "featureType": "transit",',
'        "elementType": "all",',
'        "stylers": [',
'            {',
'                "visibility": "off"',
'            }',
'        ]',
'    }',
']'))
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'greedy'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(53978495913556339)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(286226289830237338)
,p_button_name=>'SELECT1'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(25186298792612505445)
,p_button_image_alt=>'Select feature with id=1'
,p_button_position=>'BELOW_BOX'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(53977893245556333)
,p_name=>'P27_NAME'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(286226289830237338)
,p_prompt=>'Country:'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_colspan=>4
,p_field_template=>wwv_flow_api.id(25186298275602505444)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(53978171492556336)
,p_name=>'P27_DETAILS'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(286226289830237338)
,p_prompt=>'Data:'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(25186298275602505444)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53977696811556331)
,p_name=>'mouse over feature'
,p_event_sequence=>170
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(286226289830237338)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|mouseoverfeature'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53977715751556332)
,p_event_id=>wwv_flow_api.id(53977696811556331)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P27_NAME'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'this.data.feature.getProperty("name")'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53977932904556334)
,p_name=>'mouse out feature'
,p_event_sequence=>180
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(286226289830237338)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|mouseoutfeature'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53978039883556335)
,p_event_id=>wwv_flow_api.id(53977932904556334)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P27_NAME'
,p_attribute_01=>'STATIC_ASSIGNMENT'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53978242087556337)
,p_name=>'select feature'
,p_event_sequence=>190
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(286226289830237338)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|selectfeature'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53978388864556338)
,p_event_id=>wwv_flow_api.id(53978242087556337)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P27_DETAILS'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>wwv_flow_string.join(wwv_flow_t_varchar2(
'"id=" + this.data.feature.getProperty("id")',
'    + " attr01=" + this.data.feature.getProperty("attr01")',
'    + " attr02=" + this.data.feature.getProperty("attr02")'))
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(53978555069556340)
,p_name=>'on click select 1'
,p_event_sequence=>200
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(53978495913556339)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(53978666591556341)
,p_event_id=>wwv_flow_api.id(53978555069556340)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var dataLayer = $("#map_testmap").reportmap("instance").map.data,',
'    feature = dataLayer.getFeatureById(''1'');',
'',
'feature.setProperty("isSelected",true);',
'',
'$s("P27_NAME", feature.getProperty("name"));',
'',
'$s("P27_DETAILS",',
'    "id=" + feature.getProperty("id")',
'    + " attr01=" + feature.getProperty("attr01")',
'    + " attr02=" + feature.getProperty("attr02"));'))
);
end;
/
prompt --application/pages/page_00028
begin
wwv_flow_api.create_page(
 p_id=>28
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Plugin Options'
,p_alias=>'ACTIONPLUGIN'
,p_step_title=>'Plugin Options'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Plugin Options'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'This page uses the <strong>JK64 Report Google Map R1 Action</strong> plugin to set (or unset) various options on the Google map.',
'<p>',
unistr('Note that some options don''t take effect unless the map is in a certain mode. For example, the "Rotate" control is not shown unless the map type is Satellite or Hybrid, the Tilt is 45\00B0, the map is zoomed in and showing an area that has compatible pho')
||'tography.'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(132008617906502353)
,p_plug_name=>'Info'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3272975036481071533)
,p_plug_name=>'Map'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(57889635632842150)
,p_button_sequence=>50
,p_button_plug_id=>wwv_flow_api.id(3272975036481071533)
,p_button_name=>'RESTRICT_BOUNDS'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(25186298792612505445)
,p_button_image_alt=>'Restrict Bounds'
,p_button_position=>'BOTTOM'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(58736175175757006)
,p_button_sequence=>60
,p_button_plug_id=>wwv_flow_api.id(3272975036481071533)
,p_button_name=>'RESTRICT_BOUNDS_STRICT'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(25186298792612505445)
,p_button_image_alt=>'Restrict Bounds (strict)'
,p_button_position=>'BOTTOM'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(58735800608757003)
,p_button_sequence=>70
,p_button_plug_id=>wwv_flow_api.id(3272975036481071533)
,p_button_name=>'UNRESTRICT_BOUNDS'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(25186298792612505445)
,p_button_image_alt=>'Unrestrict Bounds'
,p_button_position=>'BOTTOM'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(57887162492842125)
,p_name=>'P28_CONTROL'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(3272975036481071533)
,p_prompt=>'Control'
,p_display_as=>'NATIVE_CHECKBOX'
,p_lov=>'STATIC:clickableIcons;clickableIcons,fullscreenControl;fullscreenControl,mapTypeControl;mapTypeControl,rotateControl;rotateControl,scaleControl;scaleControl,streetViewControl;streetViewControl,zoomControl;zoomControl,disableDefaultUI;disableDefaultUI'
||',keyboardShortcuts;keyboardShortcuts'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(25186298370354505444)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'3'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(57888476231842138)
,p_name=>'P28_TILT'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(3272975036481071533)
,p_prompt=>'Tilt'
,p_display_as=>'NATIVE_RADIOGROUP'
,p_lov=>unistr('STATIC:0\00B0 (top down only);0,45\00B0 (where available);45')
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_api.id(25186298370354505444)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'1'
,p_attribute_02=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(57889098966842144)
,p_name=>'P28_ZOOM'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(3272975036481071533)
,p_prompt=>'Zoom'
,p_placeholder=>'level 0..23'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>10
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_api.id(25186298370354505444)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'0'
,p_attribute_02=>'23'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(57889399069842147)
,p_name=>'P28_MAP_TYPE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(3272975036481071533)
,p_prompt=>'Map Type'
,p_display_as=>'NATIVE_RADIOGROUP'
,p_lov=>'STATIC:roadmap;roadmap,satellite;satellite,terrain;terrain,hybrid;hybrid'
,p_colspan=>2
,p_field_template=>wwv_flow_api.id(25186298370354505444)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'1'
,p_attribute_02=>'NONE'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(57887297070842126)
,p_name=>'set map options'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P28_CONTROL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57887326373842127)
,p_event_id=>wwv_flow_api.id(57887297070842126)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'setOption'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'$v(this.triggeringElement).indexOf("fullscreenControl") > -1'
,p_attribute_07=>'fullscreenControl'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57887652338842130)
,p_event_id=>wwv_flow_api.id(57887297070842126)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'setOption'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'$v(this.triggeringElement).indexOf("mapTypeControl") > -1'
,p_attribute_07=>'mapTypeControl'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57887715247842131)
,p_event_id=>wwv_flow_api.id(57887297070842126)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'setOption'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'$v(this.triggeringElement).indexOf("rotateControl") > -1'
,p_attribute_07=>'rotateControl'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57887820188842132)
,p_event_id=>wwv_flow_api.id(57887297070842126)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'setOption'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'$v(this.triggeringElement).indexOf("scaleControl") > -1'
,p_attribute_07=>'scaleControl'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57887935266842133)
,p_event_id=>wwv_flow_api.id(57887297070842126)
,p_event_result=>'TRUE'
,p_action_sequence=>50
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'setOption'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'$v(this.triggeringElement).indexOf("streetViewControl") > -1'
,p_attribute_07=>'streetViewControl'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57888093623842134)
,p_event_id=>wwv_flow_api.id(57887297070842126)
,p_event_result=>'TRUE'
,p_action_sequence=>60
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'setOption'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'$v(this.triggeringElement).indexOf("zoomControl") > -1'
,p_attribute_07=>'zoomControl'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57888787942842141)
,p_event_id=>wwv_flow_api.id(57887297070842126)
,p_event_result=>'TRUE'
,p_action_sequence=>70
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'setOption'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'$v(this.triggeringElement).indexOf("clickableIcons") > -1'
,p_attribute_07=>'clickableIcons'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57888880665842142)
,p_event_id=>wwv_flow_api.id(57887297070842126)
,p_event_result=>'TRUE'
,p_action_sequence=>80
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'setOption'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'$v(this.triggeringElement).indexOf("disableDefaultUI") > -1'
,p_attribute_07=>'disableDefaultUI'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57888908900842143)
,p_event_id=>wwv_flow_api.id(57887297070842126)
,p_event_result=>'TRUE'
,p_action_sequence=>90
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'setOption'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'$v(this.triggeringElement).indexOf("keyboardShortcuts") > -1'
,p_attribute_07=>'keyboardShortcuts'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(57888200396842136)
,p_name=>'set control size'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P28_CONTROL_SIZE'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57888301525842137)
,p_event_id=>wwv_flow_api.id(57888200396842136)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'setOption'
,p_attribute_02=>'triggeringElement'
,p_attribute_07=>'controlSize'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(57888513673842139)
,p_name=>'set tilt'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P28_TILT'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57888628428842140)
,p_event_id=>wwv_flow_api.id(57888513673842139)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'setOption'
,p_attribute_02=>'triggeringElement'
,p_attribute_07=>'tilt'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(57889117170842145)
,p_name=>'set zoom'
,p_event_sequence=>30
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P28_ZOOM'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57889243038842146)
,p_event_id=>wwv_flow_api.id(57889117170842145)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'setOption'
,p_attribute_02=>'triggeringElement'
,p_attribute_07=>'zoom'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(57889483919842148)
,p_name=>'set map type'
,p_event_sequence=>40
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P28_MAP_TYPE'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(57889517452842149)
,p_event_id=>wwv_flow_api.id(57889483919842148)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'setOption'
,p_attribute_02=>'triggeringElement'
,p_attribute_07=>'mapType'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(58735650081757001)
,p_name=>'click restrict bounds'
,p_event_sequence=>50
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(57889635632842150)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(58735779754757002)
,p_event_id=>wwv_flow_api.id(58735650081757001)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'restrictTo'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'{north:-10, south:-44, west:110, east:155}'
,p_attribute_07=>'zoom'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(58736271890757007)
,p_name=>'click restrict bounds strict'
,p_event_sequence=>60
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(58736175175757006)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(58736379115757008)
,p_event_id=>wwv_flow_api.id(58736271890757007)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'restrictToStrict'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'{north:-10, south:-44, west:110, east:155}'
,p_attribute_07=>'zoom'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(58735988172757004)
,p_name=>'click unrestrict bounds'
,p_event_sequence=>70
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(58735800608757003)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(58736046232757005)
,p_event_id=>wwv_flow_api.id(58735988172757004)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_DA_R1'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3272975036481071533)
,p_attribute_01=>'restrictTo'
,p_attribute_02=>'javascriptExpression'
,p_attribute_06=>'{north:90, south:-90, west:-180, east:180}'
,p_attribute_07=>'zoom'
);
end;
/
prompt --application/pages/page_00029
begin
wwv_flow_api.create_page(
 p_id=>29
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'PLSQL Function'
,p_alias=>'PLSQL-FUNCTION'
,p_step_title=>'Report on SQL Function'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Report on SQL Function'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'The map region has Source Type set to <b>PL/SQL Function returning SQL Query</b>, with the source set to:',
'',
'<pre>',
'return q''~',
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'from apex_collections',
'where collection_name = ''MAP''',
'~'';',
'</pre>'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120141118'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(136275346806017810)
,p_plug_name=>'PL/SQL Function returning SQL Query'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3277241765380586990)
,p_plug_name=>'Report Map'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'FUNC_BODY_RETURNING_SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'return q''~',
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c002 || '' (id='' || c001 || '')'' as info',
'from apex_collections',
'where collection_name = ''MAP''',
'~'';'))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>'apex.debug("javascript init code");'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
end;
/
prompt --application/pages/page_00030
begin
wwv_flow_api.create_page(
 p_id=>30
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Source is Table or View'
,p_alias=>'SOURCE-TABLE'
,p_step_title=>'Source is Table or View'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Source is Table or View'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'The map region has Source Type set to <b>Table / View</b>, with the source table <b>JK64DEMO_COUNTRIES_VW</b>.',
'<p><p>',
'The view is defined on the database as:',
'<pre>',
'create view jk64demo_countries_vw as',
'select lat, lng, country as name, rowid as id',
'from jk64demo_countries sample(10)',
'where lat is not null and lng is not null',
'</pre>',
'<p>',
'Using this source type requires that the source table or view provide columns with the right names. The columns required depend on what Visualisation is chosen. Look at the Source Help within APEX for more information.',
'<p>',
'Not all features, such as popup info windows and pin labels, are supported in this mode; for additional features, use the <b>SQL Query</b> or <b>PL/SQL Function returning SQL Query</b> source type instead.'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120141230'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(199070283000144548)
,p_plug_name=>'Table or View'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3340036701574713728)
,p_plug_name=>'Report Map'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'TABLE'
,p_query_table=>'JK64DEMO_COUNTRIES_VW'
,p_include_rowid_column=>false
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>'apex.debug("javascript init code");'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
end;
/
prompt --application/pages/page_00031
begin
wwv_flow_api.create_page(
 p_id=>31
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Data error handling'
,p_alias=>'DATA-ERROR-HANDLING'
,p_step_title=>'Data error handling'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Data error handling'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>'This report demonstrates what happens if the data from the source query includes invalid values, such as latitude / longitude that cannot be converted to numbers.'
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120141336'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(141381794657072707)
,p_plug_name=>'Data error handling'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3282348213231641887)
,p_plug_name=>'Report Map'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat',
'      ,c004',
'       || case when rownum = 2 then ''X'' end',
'       as lng',
'      ,c002 as name',
'      ,c001 as id',
'from apex_collections',
'where collection_name = ''MAP'''))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>'apex.debug("javascript init code");'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(3282348409706641889)
,p_name=>'Source data'
,p_template=>wwv_flow_api.id(25186277719855505424)
,p_display_sequence=>40
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_new_grid_row=>false
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat',
'      ,c004',
'       || case when rownum = 2 then ''X'' end',
'       as lng',
'      ,c002 as name',
'      ,c001 as id',
'from apex_collections',
'where collection_name = ''MAP'''))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(25186286576607505432)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_IN_SELECT_LIST'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(67876271240834226)
,p_query_column_id=>1
,p_column_alias=>'LAT'
,p_column_display_sequence=>1
,p_column_heading=>'Lat'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(67876655556834225)
,p_query_column_id=>2
,p_column_alias=>'LNG'
,p_column_display_sequence=>2
,p_column_heading=>'Lng'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(67877089944834225)
,p_query_column_id=>3
,p_column_alias=>'NAME'
,p_column_display_sequence=>3
,p_column_heading=>'Name'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(67877476527834225)
,p_query_column_id=>4
,p_column_alias=>'ID'
,p_column_display_sequence=>4
,p_column_heading=>'Id'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
end;
/
prompt --application/pages/page_00032
begin
wwv_flow_api.create_page(
 p_id=>32
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'No Data Found'
,p_alias=>'NO-DATA-FOUND'
,p_step_title=>'No Data Found'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'No Data Found'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>'This report demonstrates what happens if it has a source query that returns 0 rows.'
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120141430'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(225831990443140355)
,p_plug_name=>'No Data Found'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3366798409017709535)
,p_plug_name=>'Report Map'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat',
'      ,c004 as lng',
'      ,c002 as name',
'      ,c001 as id',
'from apex_collections',
'where collection_name = ''MAPXYZ'''))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>'apex.debug("javascript init code");'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
end;
/
prompt --application/pages/page_00033
begin
wwv_flow_api.create_page(
 p_id=>33
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Map Events'
,p_alias=>'MAP-EVENTS'
,p_step_title=>'Map Events'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Map Events'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Listeners are added to all map events, which allows the developer to create a dynamic action to respond to them.',
'',
'The following events always get listeners:',
'',
'<ul>',
'<li>Bounds changed</li>',
'<li>Center changed</li>',
'<li>Click</li>',
'<li>Drag</li>',
'<li>Drag end</li>',
'<li>Drag start</li>',
'<li>Heading changed</li>',
'<li>Idle</li>',
'<li>Map Type changed</li>',
'<li>Projection changed</li>',
'<li>Tiles Loaded</li>',
'<li>Tilt changed</li>',
'<li>Zoom changed</li>',
'</ul>',
'',
'The following events are only listened for if the Detailed Mouse Events option is set:',
'',
'<ul>',
'<li>Context Menu</li>',
'<li>Double Click</li>',
'<li>Mouse Move</li>',
'<li>Mouse Out</li>',
'<li>Mouse Over</li>',
'</ul>',
''))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120141529'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(81684621393953212)
,p_plug_name=>'Map Attributes'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(206423631740081923)
,p_plug_name=>'Map Events'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3347390050314651103)
,p_plug_name=>'Report Map'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'350'
,p_attribute_02=>'PINS'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER:DETAILED_MOUSE_EVENTS'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(81684944936953215)
,p_name=>'P33_SOUTHWEST'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(81684621393953212)
,p_prompt=>'South West bound'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(25186298275602505444)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(81685043518953216)
,p_name=>'P33_CENTER'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(81684621393953212)
,p_prompt=>'Center'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(25186298275602505444)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(81685133184953217)
,p_name=>'P33_MAP_TYPE'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(81684621393953212)
,p_prompt=>'Map Type'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(25186298275602505444)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(81685758851953223)
,p_name=>'P33_ZOOM'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(81684621393953212)
,p_prompt=>'Zoom Level'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(25186298275602505444)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(81686061535953226)
,p_name=>'P33_NORTHEAST'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(81684621393953212)
,p_prompt=>'North East bound'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(25186298275602505444)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(81686247603953228)
,p_name=>'P33_MOUSE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(81684621393953212)
,p_prompt=>'Mouse'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(25186298275602505444)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(84524315134246246)
,p_name=>'on change subset'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P33_SUBSET'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(84525393748246245)
,p_event_id=>wwv_flow_api.id(84524315134246246)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P33_IDLIST'
,p_attribute_01=>'STATIC_ASSIGNMENT'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(84524866364246245)
,p_event_id=>wwv_flow_api.id(84524315134246246)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(3347390050314651103)
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(81684722837953213)
,p_name=>'map bounds changed'
,p_event_sequence=>20
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3347390050314651103)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|mapbounds_changed'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(81685259473953218)
,p_event_id=>wwv_flow_api.id(81684722837953213)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P33_SOUTHWEST'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'JSON.stringify(this.data.southwest)'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'N'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(81686146028953227)
,p_event_id=>wwv_flow_api.id(81684722837953213)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P33_NORTHEAST'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'JSON.stringify(this.data.northeast)'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(81685329933953219)
,p_name=>'map center changed'
,p_event_sequence=>30
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3347390050314651103)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|mapcenter_changed'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(81685464689953220)
,p_event_id=>wwv_flow_api.id(81685329933953219)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P33_CENTER'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'JSON.stringify(this.data.center)'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(81685520498953221)
,p_name=>'map type changed'
,p_event_sequence=>40
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3347390050314651103)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|mapmaptypeid_changed'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(81685647148953222)
,p_event_id=>wwv_flow_api.id(81685520498953221)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P33_MAP_TYPE'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'this.data.mapType'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(81685823989953224)
,p_name=>'map zoom changed'
,p_event_sequence=>50
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3347390050314651103)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|mapzoom_changed'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(81685946723953225)
,p_event_id=>wwv_flow_api.id(81685823989953224)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P33_ZOOM'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'this.data.zoom'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(81686331454953229)
,p_name=>'map mouse move'
,p_event_sequence=>60
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3347390050314651103)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|mapmousemove'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(81686413400953230)
,p_event_id=>wwv_flow_api.id(81686331454953229)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P33_MOUSE'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'this.data.lat + "," + this.data.lng'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'N'
);
end;
/
prompt --application/pages/page_00034
begin
wwv_flow_api.create_page(
 p_id=>34
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Info Layer'
,p_alias=>'INFO-LAYER'
,p_step_title=>'Info Layer'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'Info Layer'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'div.info {',
'    background-color: #ffffff;',
'    border-radius: 5px;',
'    border: 1px solid #73AD21;',
'    padding: 3px;',
'    max-width: 100px;',
'    text-align: center;',
'    opacity: 80%;',
'    cursor: pointer;',
'}',
'div.infoTitle {',
'    font-weight:bold;',
'}',
'div.infoSelected {',
'    background-color: #9bff70;',
'    border-width: 3px;',
'    opacity: 90%;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>',
'This map uses the visualisation "Info Layer" - instead of showing pins for each data point, it renders the Info column as HTML within a div at each location.    ',
'</p>',
'<p>',
'Query for map plugin:',
'<code>',
'select c003 as lat, c004 as lng, c002 as name, c001 as id,',
'    ''&lt;div class="info">''',
'    || ''&lt;div class="infoTitle">'' || c002 || ''&lt;/div>''',
'    || ''&lt;div class="infoText">'' || c006 || ''&lt;/div>''',
'    || ''&lt;img class="infoIcon" src="&num;APP_IMAGES#'' || c008 || ''">''',
'    || ''&lt;/div>'' as info',
'from apex_collections where collection_name = ''MAP'' and mod(c001,3)=0',
'</code>',
'</p>',
'<p>',
'The page''s <b>Inline CSS</b> includes the following to style the content of each info overlay:',
'<code>',
'div.info {',
'    background-color: #ffffff;',
'    border-radius: 5px;',
'    border: 1px solid #73AD21;',
'    padding: 3px;',
'    max-width: 100px;',
'    text-align: center;',
'    opacity: 80%;',
'    cursor: pointer;',
'}',
'div.infoTitle {',
'    font-weight:bold;',
'}',
'div.infoSelected {',
'    background-color: #9bff70;',
'    border-width: 3px;',
'    opacity: 90%;',
'}',
'</code>',
'</p>',
'<p>',
'A dynamic action on the map region on the <b>marker clicked</b> event runs the following JavaScript code to add the "infoSelected" class to the selected info box (after removing it from any other info box if they had previously clicked another one):',
'<code>',
'    $(".infoSelected").removeClass("infoSelected");',
'    this.data.infoDiv.firstChild.classList.toggle("infoSelected");',
'</code>',
'It should be noted that in the dynamic action code, <code>this.data.infoDiv</code> is a reference to the div containing the content that the plugin generated, not the actual content itself; this is why we need to navigate to the firstChild to get the'
||' div that we generated in the SQL query.',
'</p>'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120141629'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(158412794984508003)
,p_plug_name=>'Info Layer'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3299379213559077183)
,p_plug_name=>'Report Map'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id,',
'    ''<div class="info">''',
'    || ''<div class="infoTitle">'' || c002 || ''</div>''',
'    || ''<div class="infoText">'' || c006 || ''</div>''',
'    || ''<img class="infoIcon" src="#APP_IMAGES#'' || c008 || ''">''',
'    || ''</div>'' as info',
'from apex_collections where collection_name = ''MAP'' and mod(c001,3)=0'))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>'apex.debug("javascript init code");'
,p_attribute_01=>'350'
,p_attribute_02=>'INFOLAYER'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_11=>'[{"featureType":"water","elementType":"geometry","stylers":[{"color":"#e9e9e9"},{"lightness":17}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":20}]},{"featureType":"road.highway","elementType":"geom'
||'etry.fill","stylers":[{"color":"#ffffff"},{"lightness":17}]},{"featureType":"road.highway","elementType":"geometry.stroke","stylers":[{"color":"#ffffff"},{"lightness":29},{"weight":0.2}]},{"featureType":"road.arterial","elementType":"geometry","style'
||'rs":[{"color":"#ffffff"},{"lightness":18}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"color":"#ffffff"},{"lightness":16}]},{"featureType":"poi","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":21}]},{"featu'
||'reType":"poi.park","elementType":"geometry","stylers":[{"color":"#dedede"},{"lightness":21}]},{"elementType":"labels.text.stroke","stylers":[{"visibility":"on"},{"color":"#ffffff"},{"lightness":16}]},{"elementType":"labels.text.fill","stylers":[{"sat'
||'uration":36},{"color":"#333333"},{"lightness":40}]},{"elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"geometry","stylers":[{"color":"#f2f2f2"},{"lightness":19}]},{"featureType":"administrative","el'
||'ementType":"geometry.fill","stylers":[{"color":"#fefefe"},{"lightness":20}]},{"featureType":"administrative","elementType":"geometry.stroke","stylers":[{"color":"#fefefe"},{"lightness":17},{"weight":1.2}]}]'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'SATELLITE'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(3299379410034077185)
,p_name=>'Source data'
,p_template=>wwv_flow_api.id(25186277719855505424)
,p_display_sequence=>40
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_new_grid_row=>false
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id, c006 as info, c008 as icon',
'from apex_collections where collection_name = ''MAP'' and mod(c001,3)=0'))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(25186286576607505432)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_IN_SELECT_LIST'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(84907426421269265)
,p_query_column_id=>1
,p_column_alias=>'LAT'
,p_column_display_sequence=>1
,p_column_heading=>'Lat'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(84907804824269259)
,p_query_column_id=>2
,p_column_alias=>'LNG'
,p_column_display_sequence=>2
,p_column_heading=>'Lng'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(84908284347269258)
,p_query_column_id=>3
,p_column_alias=>'NAME'
,p_column_display_sequence=>3
,p_column_heading=>'Name'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(84908622873269258)
,p_query_column_id=>4
,p_column_alias=>'ID'
,p_column_display_sequence=>4
,p_column_heading=>'Id'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(81688493529953250)
,p_query_column_id=>5
,p_column_alias=>'INFO'
,p_column_display_sequence=>6
,p_column_heading=>'Info'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(81688339054953249)
,p_query_column_id=>6
,p_column_alias=>'ICON'
,p_column_display_sequence=>5
,p_column_heading=>'Icon'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(84906178370269331)
,p_name=>'P34_CLICKED'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(158412794984508003)
,p_prompt=>'Pin data'
,p_placeholder=>'(click a map info box to show data here)'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>4000
,p_tag_attributes=>'readonly'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(84906446404269315)
,p_name=>'P34_POSITION'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(158412794984508003)
,p_prompt=>'Position'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(84909475318269214)
,p_name=>'marker clicked'
,p_event_sequence=>30
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3299379213559077183)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|markerclick'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(84909881739269211)
,p_event_id=>wwv_flow_api.id(84909475318269214)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P34_CLICKED'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'"this.data.id=" + this.data.id + " this.data.name=" + this.data.name'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(84910385974269211)
,p_event_id=>wwv_flow_api.id(84909475318269214)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P34_POSITION'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'this.data.lat + " " + this.data.lng'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(84970959952051901)
,p_event_id=>wwv_flow_api.id(84909475318269214)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'$(".infoSelected").removeClass("infoSelected");',
'this.data.infoDiv.firstChild.classList.toggle("infoSelected");'))
);
end;
/
prompt --application/pages/page_00035
begin
wwv_flow_api.create_page(
 p_id=>35
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'Custom Layer'
,p_alias=>'CUSTOM-LAYER'
,p_step_title=>'Custom Layer'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'The overlay is added to the map with this JavaScript code (added to the JavaScript Initialization Code):',
'<p>',
'    <code>',
'        const bounds = new google.maps.LatLngBounds(',
'            new google.maps.LatLng(-31.960837, 115.852273),',
'            new google.maps.LatLng(-31.956112, 115.860740) ',
'        );',
'',
'        // Image source: https://www0.landgate.wa.gov.au/maps-and-imagery/imagery/now-and-then-with-landgate-aerial-imagery',
'        const img = `',
'        &lt;img src="https://raw.githubusercontent.com/jeffreykemp/jk64-plugin-reportmap/Release-1-5/demo_src/images/EQ-1948.jpg"',
'         style="width:100%; height:100%; position:absolute;">',
'        `;',
'',
'        document.overlay = this.addOverlay(img, { bounds: bounds });',
'    </code>',
'</p>',
'The object returned by addOverlay is a MapOverlay which provides functions like show(), hide(), and toggle(). For example, the on click dynamic action on the Toggle button executes the following:',
'<p>',
'    <code>',
'        document.overlay.toggle();',
'    </code>',
'</p>',
''))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120133548'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(84971012769051902)
,p_plug_name=>'Custom Overlay'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(85025788170784227)
,p_plug_name=>'map'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'const bounds = new google.maps.LatLngBounds(',
'    new google.maps.LatLng(-31.960837, 115.852273),',
'    new google.maps.LatLng(-31.956112, 115.860740) ',
');',
'',
'// Image source: https://www0.landgate.wa.gov.au/maps-and-imagery/imagery/now-and-then-with-landgate-aerial-imagery',
'const img = `',
'<img src="https://raw.githubusercontent.com/jeffreykemp/jk64-plugin-reportmap/Release-1-5/demo_src/images/EQ-1948.jpg"',
' style="width:100%; height:100%; position:absolute;">',
'`;',
'',
'document.overlay = this.addOverlay(img, { bounds: bounds });'))
,p_attribute_01=>'400'
,p_attribute_02=>'PINS'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_05=>'16'
,p_attribute_06=>'-31.958983,115.857031'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'SATELLITE'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(84971285384051904)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(85025788170784227)
,p_button_name=>'TOGGLE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(25186298792612505445)
,p_button_image_alt=>'Toggle'
,p_button_position=>'BELOW_BOX'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(84971327100051905)
,p_name=>'on click toggle'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(84971285384051904)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(84971403179051906)
,p_event_id=>wwv_flow_api.id(84971327100051905)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'document.overlay.toggle();'
);
end;
/
prompt --application/pages/page_00036
begin
wwv_flow_api.create_page(
 p_id=>36
,p_user_interface_id=>wwv_flow_api.id(25186303948932505463)
,p_name=>'FontAwesome Icons'
,p_alias=>'FONTAWESOME'
,p_step_title=>'FontAwesome Icons'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'FontAwesome Icons'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<strong>Using the Info overlay visualisation, we can show any HTML; this includes Font Awesome or Font APEX icons.</strong>',
'<p>',
'Query for map plugin:',
'<code>',
'    select c003 as lat, c004 as lng, c002 as name, c001 as id,',
'        ''&lt;i class="fa ''||c012||'' fa-2x" style="cursor:pointer;">''',
'        as info',
'    from apex_collections',
'    where collection_name = ''MAP''',
'</code>'))
,p_last_updated_by=>'JEFF'
,p_last_upd_yyyymmddhh24miss=>'20210120141813'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(158861235356975127)
,p_plug_name=>'FontAPEX icons'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_HELP_TEXT'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3299827653931544307)
,p_plug_name=>'Report Map'
,p_region_name=>'mymap'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(25186277719855505424)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id,',
'    ''<i class="fa ''||c012||'' fa-2x" style="cursor:pointer;">''',
'    as info',
'from apex_collections',
'where collection_name = ''MAP'''))
,p_plug_source_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'350'
,p_attribute_02=>'INFOLAYER'
,p_attribute_04=>'PAN_ON_CLICK:PAN_ALLOWED:ZOOM_ALLOWED:SPINNER'
,p_attribute_12=>'N'
,p_attribute_21=>'N'
,p_attribute_22=>'ROADMAP'
,p_attribute_24=>'Y'
,p_attribute_25=>'auto'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(3299827850406544309)
,p_name=>'Source data'
,p_template=>wwv_flow_api.id(25186277719855505424)
,p_display_sequence=>40
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_new_grid_row=>false
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select c003 as lat, c004 as lng, c002 as name, c001 as id,',
'    ''<i class="fa ''||c012||'' fa-2x" style="cursor:pointer;">''',
'    as info',
'from apex_collections',
'where collection_name = ''MAP'''))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(25186286576607505432)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_IN_SELECT_LIST'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(85356039757736356)
,p_query_column_id=>1
,p_column_alias=>'LAT'
,p_column_display_sequence=>1
,p_column_heading=>'Lat'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(85356383597736341)
,p_query_column_id=>2
,p_column_alias=>'LNG'
,p_column_display_sequence=>2
,p_column_heading=>'Lng'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(85356782827736340)
,p_query_column_id=>3
,p_column_alias=>'NAME'
,p_column_display_sequence=>3
,p_column_heading=>'Name'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(85357159055736340)
,p_query_column_id=>4
,p_column_alias=>'ID'
,p_column_display_sequence=>4
,p_column_heading=>'Id'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(85357568260736340)
,p_query_column_id=>5
,p_column_alias=>'INFO'
,p_column_display_sequence=>5
,p_column_heading=>'Info'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(85354795756736427)
,p_name=>'P36_CLICKED'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(3299827850406544309)
,p_prompt=>'Pin data'
,p_placeholder=>'(click a map marker to show data here)'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>4000
,p_tag_attributes=>'readonly'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(85355004885736410)
,p_name=>'P36_POSITION'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(3299827850406544309)
,p_prompt=>'Position'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(33868269191697067)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(85357982254736291)
,p_name=>'marker clicked'
,p_event_sequence=>30
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(3299827653931544307)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_COM.JK64.REPORT_GOOGLE_MAP_R1|REGION TYPE|markerclick'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(85358414128736289)
,p_event_id=>wwv_flow_api.id(85357982254736291)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P36_CLICKED'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'"this.data.id=" + this.data.id + " this.data.name=" + this.data.name'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(85358912303736288)
,p_event_id=>wwv_flow_api.id(85357982254736291)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P36_POSITION'
,p_attribute_01=>'JAVASCRIPT_EXPRESSION'
,p_attribute_05=>'this.data.lat + " " + this.data.lng'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
end;
/
prompt --application/deployment/definition
begin
wwv_flow_api.create_install(
 p_id=>wwv_flow_api.id(54431867465452579)
,p_welcome_message=>'This application installer will guide you through the process of creating your database objects and seed data. This creates the tables JK64DEMO_COUNTRIES and JK64DEMO_EARTHQUAKES.'
,p_configuration_message=>'You can configure the following attributes of your application.'
,p_build_options_message=>'You can choose to include the following build options.'
,p_validation_message=>'The following validations will be performed to ensure your system is compatible with this application.'
,p_install_message=>'Please confirm that you would like to install this application''s supporting objects.'
,p_install_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Your next step is to set the Google API Key. This is in Shared Components / Component Settings / JK64 Report Google Map R1 [Plug-in].',
'',
'The jk64demo tables have been created and populated with data, except for the country border geometry. To load the country border geometry, run the script demo_src/jk64demo_countries_geometry.sql'))
,p_upgrade_message=>'The application installer has detected that this application''s supporting objects were previously installed.  This wizard will guide you through the process of upgrading these supporting objects.'
,p_upgrade_confirm_message=>'Please confirm that you would like to install this application''s supporting objects.'
,p_upgrade_success_message=>'Your application''s supporting objects have been installed.'
,p_upgrade_failure_message=>'Installation of database objects and seed data has failed.'
,p_get_version_sql_query=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select object_name',
'from user_objects',
'where object_name in (''JK64DEMO_COUNTRIES'',''JK64DEMO_COUNTRIES_VW'',''JK64DEMO_EARTHQUAKES'')'))
,p_deinstall_success_message=>'Deinstallation complete.'
,p_deinstall_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'drop table jk64demo_countries;',
'drop table jk64demo_earthquakes;',
'drop view jk64demo_countries_vw;'))
,p_required_free_kb=>700
,p_required_sys_privs=>'CREATE TABLE'
);
end;
/
prompt --application/deployment/install/upgrade_jk64demo_objects_sql
begin
wwv_flow_api.create_install_script(
 p_id=>wwv_flow_api.id(62827921009686073)
,p_install_id=>wwv_flow_api.id(54431867465452579)
,p_name=>'jk64demo_objects.sql'
,p_sequence=>10
,p_script_type=>'UPGRADE'
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'execute immediate q''[',
'create table jk64demo_countries',
'( country varchar2(255) not null',
', iso_a2 varchar2(2)',
', iso_a3 varchar2(3)',
', lat number',
', lng number',
', geometry clob',
', constraint country_name_uk unique (country)',
', constraint iso_a2_uk unique (iso_a2)',
', constraint iso_a3_uk unique (iso_a3)',
', constraint geometry_is_json check (geometry is json)',
')',
']'';',
'exception',
'when others then if sqlcode!=-955 then raise; end if;',
'end;',
'/',
'',
'create or replace force view jk64demo_countries_vw as',
'select lat, lng, country as name, rowid as id',
'from jk64demo_countries sample(10)',
'where lat is not null and lng is not null;',
'',
'begin',
'execute immediate q''[',
'create table jk64demo_earthquakes (	lat number not null, lng number not null, mag number not null )',
']'';',
'exception',
'when others then if sqlcode!=-955 then raise; end if;',
'end;',
'/',
''))
);
end;
/
prompt --application/deployment/install/install_jk64demo_objects_sql
begin
wwv_flow_api.create_install_script(
 p_id=>wwv_flow_api.id(62828389830702833)
,p_install_id=>wwv_flow_api.id(54431867465452579)
,p_name=>'jk64demo_objects.sql'
,p_sequence=>10
,p_script_type=>'INSTALL'
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'create table jk64demo_countries',
'( country varchar2(255) not null',
', iso_a2 varchar2(2)',
', iso_a3 varchar2(3)',
', lat number',
', lng number',
', geometry clob',
', constraint country_name_uk unique (country)',
', constraint iso_a2_uk unique (iso_a2)',
', constraint iso_a3_uk unique (iso_a3)',
', constraint geometry_is_json check (geometry is json)',
');',
'',
'create or replace force view jk64demo_countries_vw as',
'select lat, lng, country as name, rowid as id',
'from jk64demo_countries sample(10)',
'where lat is not null and lng is not null;',
'',
'create table jk64demo_earthquakes (	lat number not null, lng number not null, mag number not null );',
''))
);
end;
/
prompt --application/deployment/install/install_jk64demo_countries_data_sql
begin
wwv_flow_api.create_install_script(
 p_id=>wwv_flow_api.id(54436584110704985)
,p_install_id=>wwv_flow_api.id(54431867465452579)
,p_name=>'jk64demo_countries_data.sql'
,p_sequence=>20
,p_script_type=>'INSTALL'
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'rem INSERTING into JK64DEMO_COUNTRIES',
'set define off;',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Aruba'',''ABW'',''AW'',12.52111,-69.968338);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Afghanistan'',''AFG'',''AF'',33.93911,67.709953);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Angola'',''AGO'',''AO'',-11.202692,17.873887);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Anguilla'',''AIA'',''AI'',18.220554,-63.068615);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Albania'',''ALB'',''AL'',41.153332,20.168331);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Aland'',''ALA'',null,null,null);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Andorra'',''AND'',''AD'',42.546245,1.601554);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''United Arab Emirates'',''ARE'',''AE'',23.424076,53.847818);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Argentina'',''ARG'',''AR'',-38.416097,-63.616672);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Armenia'',''ARM'',''AM'',40.069099,45.038189);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''American Samoa'',''ASM'',''AS'',-14.270972,-170.132217);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Antarctica'',''ATA'',''AQ'',-75.250973,-0.071389);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''French Southern and Antarctic Lands'',''ATF'',''TF'',-49.280366,69.348557);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Antigua and Barbuda'',''ATG'',''AG'',17.060816,-61.796428);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Australia'',''AUS'',''AU'',-25.274398,133.775136);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Austria'',''AUT'',''AT'',47.516231,14.550072);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Azerbaijan'',''AZE'',''AZ'',40.143105,47.576927);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Burundi'',''BDI'',''BI'',-3.373056,29.918886);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Belgium'',''BEL'',''BE'',50.503887,4.469936);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Benin'',''BEN'',''BJ'',9.30769,2.315834);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Burkina Faso'',''BFA'',''BF'',12.238333,-1.561593);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Bangladesh'',''BGD'',''BD'',23.684994,90.356331);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Bulgaria'',''BGR'',''BG'',42.733883,25.48583);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Bahrain'',''BHR'',''BH'',25.930414,50.637772);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Bahamas'',''BHS'',''BS'',25.03428,-77.39628);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Bosnia and Herzegovina'',''BIH'',''BA'',43.915886,17.679076);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Saint Barthelemy'',''BLM'',null,null,null);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Belarus'',''BLR'',''BY'',53.709807,27.953389);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Belize'',''BLZ'',''BZ'',17.189877,-88.49765);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Bermuda'',''BMU'',''BM'',32.321384,-64.75737);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Bolivia'',''BOL'',''BO'',-16.290154,-63.588653);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Brazil'',''BRA'',''BR'',-14.235004,-51.92528);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Barbados'',''BRB'',''BB'',13.193887,-59.543198);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Brunei'',''BRN'',''BN'',4.535277,114.727669);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Bhutan'',''BTN'',''BT'',27.514162,90.433601);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Botswana'',''BWA'',''BW'',-22.328474,24.684866);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Central African Republic'',''CAF'',''CF'',6.611111,20.939444);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Canada'',''CAN'',''CA'',56.130366,-106.346771);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Switzerland'',''CHE'',''CH'',46.818188,8.227512);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Chile'',''CHL'',''CL'',-35.675147,-71.542969);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''China'',''CHN'',''CN'',35.86166,104.195397);',
unistr('insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Ivory Coast (C\FFFDd''''Ivoire)'',''CIV'',''CI'',7.539989,-5.54708);'),
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Cameroon'',''CMR'',''CM'',7.369722,12.354722);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Democratic Republic of the Congo'',''COD'',''CD'',-4.038333,21.758664);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Republic of Congo'',''COG'',''CG'',-0.228021,15.827659);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Cook Islands'',''COK'',''CK'',-21.236736,-159.777671);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Colombia'',''COL'',''CO'',4.570868,-74.297333);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Comoros'',''COM'',''KM'',-11.875001,43.872219);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Cape Verde'',''CPV'',''CV'',16.002082,-24.013197);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Costa Rica'',''CRI'',''CR'',9.748917,-83.753428);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Cuba'',''CUB'',''CU'',21.521757,-77.781167);',
unistr('insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Cura\FFFD'',''CUW'',null,null,null);'),
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Cayman Islands'',''CYM'',''KY'',19.513469,-80.566956);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Cyprus'',''CYP'',''CY'',35.126413,33.429859);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Czech Republic'',''CZE'',''CZ'',49.817492,15.472962);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Germany'',''DEU'',''DE'',51.165691,10.451526);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Djibouti'',''DJI'',''DJ'',11.825138,42.590275);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Dominica'',''DMA'',''DM'',15.414999,-61.370976);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Denmark'',''DNK'',''DK'',56.26392,9.501785);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Dominican Republic'',''DOM'',''DO'',18.735693,-70.162651);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Algeria'',''DZA'',''DZ'',28.033886,1.659626);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Ecuador'',''ECU'',''EC'',-1.831239,-78.183406);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Egypt'',''EGY'',''EG'',26.820553,30.802498);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Eritrea'',''ERI'',''ER'',15.179384,39.782334);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Spain'',''ESP'',''ES'',40.463667,-3.74922);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Estonia'',''EST'',''EE'',58.595272,25.013607);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Ethiopia'',''ETH'',''ET'',9.145,40.489673);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Finland'',''FIN'',''FI'',61.92411,25.748151);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Fiji'',''FJI'',''FJ'',-16.578193,179.414413);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Falkland Islands'',''FLK'',''FK'',-51.796253,-59.523613);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''France'',''FRA'',''FR'',46.227638,2.213749);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Faroe Islands'',''FRO'',''FO'',61.892635,-6.911806);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Micronesia'',''FSM'',''FM'',7.425554,150.550812);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Gabon'',''GAB'',''GA'',-0.803689,11.609444);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''United Kingdom'',''GBR'',''GB'',55.378051,-3.435973);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Georgia'',''GEO'',''GE'',42.315407,43.356892);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Guernsey'',''GGY'',''GG'',49.465691,-2.585278);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Ghana'',''GHA'',''GH'',7.946527,-1.023194);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Gibraltar'',''GIB'',''GI'',36.137741,-5.345374);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Guinea'',''GIN'',''GN'',9.945587,-9.696645);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Gambia'',''GMB'',''GM'',13.443182,-15.310139);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Guinea Bissau'',''GNB'',''GW'',11.803749,-15.180413);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Equatorial Guinea'',''GNQ'',''GQ'',1.650801,10.267895);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Greece'',''GRC'',''GR'',39.074208,21.824312);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Grenada'',''GRD'',''GD'',12.262776,-61.604171);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Greenland'',''GRL'',''GL'',71.706936,-42.604303);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Guatemala'',''GTM'',''GT'',15.783471,-90.230759);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Guam'',''GUM'',''GU'',13.444304,144.793731);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Guyana'',''GUY'',''GY'',4.860416,-58.93018);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Hong Kong'',''HKG'',''HK'',22.396428,114.109497);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Heard Island and McDonald Islands'',''HMD'',''HM'',-53.08181,73.504158);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Honduras'',''HND'',''HN'',15.199999,-86.241905);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Croatia'',''HRV'',''HR'',45.1,15.2);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Haiti'',''HTI'',''HT'',18.971187,-72.285215);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Hungary'',''HUN'',''HU'',47.162494,19.503304);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Indonesia'',''IDN'',''ID'',-0.789275,113.921327);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Isle of Man'',''IMN'',''IM'',54.236107,-4.548056);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''India'',''IND'',''IN'',20.593684,78.96288);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''British Indian Ocean Territory'',''IOT'',''IO'',-6.343194,71.876519);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Ireland'',''IRL'',''IE'',53.41291,-8.24389);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Iran'',''IRN'',''IR'',32.427908,53.688046);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Iraq'',''IRQ'',''IQ'',33.223191,43.679291);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Iceland'',''ISL'',''IS'',64.963051,-19.020835);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Israel'',''ISR'',''IL'',31.046051,34.851612);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Italy'',''ITA'',''IT'',41.87194,12.56738);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Jamaica'',''JAM'',''JM'',18.109581,-77.297508);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Jersey'',''JEY'',''JE'',49.214439,-2.13125);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Jordan'',''JOR'',''JO'',30.585164,36.238414);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Japan'',''JPN'',''JP'',36.204824,138.252924);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Kazakhstan'',''KAZ'',''KZ'',48.019573,66.923684);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Kenya'',''KEN'',''KE'',-0.023559,37.906193);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Kyrgyzstan'',''KGZ'',''KG'',41.20438,74.766098);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Cambodia'',''KHM'',''KH'',12.565679,104.990963);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Kiribati'',''KIR'',''KI'',-3.370417,-168.734039);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Saint Kitts and Nevis'',''KNA'',''KN'',17.357822,-62.782998);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''South Korea'',''KOR'',''KR'',35.907757,127.766922);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Kosovo'',null,''XK'',42.602636,20.902977);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Kuwait'',''KWT'',''KW'',29.31166,47.481766);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Laos'',''LAO'',''LA'',19.85627,102.495496);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Lebanon'',''LBN'',''LB'',33.854721,35.862285);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Liberia'',''LBR'',''LR'',6.428055,-9.429499);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Libya'',''LBY'',''LY'',26.3351,17.228331);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Saint Lucia'',''LCA'',''LC'',13.909444,-60.978893);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Liechtenstein'',''LIE'',''LI'',47.166,9.555373);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Sri Lanka'',''LKA'',''LK'',7.873054,80.771797);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Lesotho'',''LSO'',''LS'',-29.609988,28.233608);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Lithuania'',''LTU'',''LT'',55.169438,23.881275);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Luxembourg'',''LUX'',''LU'',49.815273,6.129583);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Latvia'',''LVA'',''LV'',56.879635,24.603189);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Macau'',''MAC'',''MO'',22.198745,113.543873);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Saint Martin'',''MAF'',null,null,null);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Morocco'',''MAR'',''MA'',31.791702,-7.09262);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Monaco'',''MCO'',''MC'',43.750298,7.412841);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Moldova'',''MDA'',''MD'',47.411631,28.369885);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Madagascar'',''MDG'',''MG'',-18.766947,46.869107);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Maldives'',''MDV'',''MV'',3.202778,73.22068);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Mexico'',''MEX'',''MX'',23.634501,-102.552784);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Marshall Islands'',''MHL'',''MH'',7.131474,171.184478);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Macedonia'',''MKD'',''MK'',41.608635,21.745275);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Mali'',''MLI'',''ML'',17.570692,-3.996166);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Malta'',''MLT'',''MT'',35.937496,14.375416);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Myanmar'',''MMR'',''MM'',21.913965,95.956223);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Montenegro'',''MNE'',''ME'',42.708678,19.37439);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Mongolia'',''MNG'',''MN'',46.862496,103.846656);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Northern Mariana Islands'',''MNP'',''MP'',17.33083,145.38469);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Mozambique'',''MOZ'',''MZ'',-18.665695,35.529562);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Mauritania'',''MRT'',''MR'',21.00789,-10.940835);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Montserrat'',''MSR'',''MS'',16.742498,-62.187366);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Mauritius'',''MUS'',''MU'',-20.348404,57.552152);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Malawi'',''MWI'',''MW'',-13.254308,34.301525);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Malaysia'',''MYS'',''MY'',4.210484,101.975766);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Namibia'',''NAM'',''NA'',-22.95764,18.49041);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''New Caledonia'',''NCL'',''NC'',-20.904305,165.618042);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Niger'',''NER'',''NE'',17.607789,8.081666);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Norfolk Island'',''NFK'',''NF'',-29.040835,167.954712);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Nigeria'',''NGA'',''NG'',9.081999,8.675277);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Nicaragua'',''NIC'',''NI'',12.865416,-85.207229);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Niue'',''NIU'',''NU'',-19.054445,-169.867233);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Netherlands'',''NLD'',''NL'',52.132633,5.291266);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Norway'',''NOR'',''NO'',60.472024,8.468946);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Nepal'',''NPL'',''NP'',28.394857,84.124008);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Nauru'',''NRU'',''NR'',-0.522778,166.931503);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''New Zealand'',''NZL'',''NZ'',-40.900557,174.885971);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Oman'',''OMN'',''OM'',21.512583,55.923255);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Pakistan'',''PAK'',''PK'',30.375321,69.345116);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Panama'',''PAN'',''PA'',8.537981,-80.782127);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Pitcairn Islands'',''PCN'',''PN'',-24.703615,-127.439308);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Peru'',''PER'',''PE'',-9.189967,-75.015152);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Philippines'',''PHL'',''PH'',12.879721,121.774017);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Palau'',''PLW'',''PW'',7.51498,134.58252);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Papua New Guinea'',''PNG'',''PG'',-6.314993,143.95555);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Poland'',''POL'',''PL'',51.919438,19.145136);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Puerto Rico'',''PRI'',''PR'',18.220833,-66.590149);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''North Korea'',''PRK'',''KP'',40.339852,127.510093);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Portugal'',''PRT'',''PT'',39.399872,-8.224454);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Paraguay'',''PRY'',''PY'',-23.442503,-58.443832);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Palestinian Territories'',''PSE'',''PS'',31.952162,35.233154);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''French Polynesia'',''PYF'',''PF'',-17.679742,-149.406843);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Qatar'',''QAT'',''QA'',25.354826,51.183884);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Romania'',''ROU'',''RO'',45.943161,24.96676);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Russia'',''RUS'',''RU'',61.52401,105.318756);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Rwanda'',''RWA'',''RW'',-1.940278,29.873888);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Western Sahara'',''ESH'',''EH'',24.215527,-12.885834);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Saudi Arabia'',''SAU'',''SA'',23.885942,45.079162);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Sudan'',''SDN'',''SD'',12.862807,30.217636);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''South Sudan'',''SSD'',null,null,null);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Senegal'',''SEN'',''SN'',14.497401,-14.452362);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Singapore'',''SGP'',''SG'',1.352083,103.819836);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''South Georgia and South Sandwich Islands'',''SGS'',''GS'',-54.429579,-36.587909);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Saint Helena'',''SHN'',''SH'',-24.143474,-10.030696);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Solomon Islands'',''SLB'',''SB'',-9.64571,160.156194);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Sierra Leone'',''SLE'',''SL'',8.460555,-11.779889);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''El Salvador'',''SLV'',''SV'',13.794185,-88.89653);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''San Marino'',''SMR'',''SM'',43.94236,12.457777);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Somalia'',''SOM'',''SO'',5.152149,46.199616);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Saint Pierre and Miquelon'',''SPM'',''PM'',46.941936,-56.27111);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Serbia'',''SRB'',''RS'',44.016521,21.005859);',
unistr('insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''S\FFFDTom\FFFDnd Pr\FFFDipe'',''STP'',''ST'',0.18636,6.613081);'),
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Suriname'',''SUR'',''SR'',3.919305,-56.027783);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Slovakia'',''SVK'',''SK'',48.669026,19.699024);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Slovenia'',''SVN'',''SI'',46.151241,14.995463);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Sweden'',''SWE'',''SE'',60.128161,18.643501);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Swaziland'',''SWZ'',''SZ'',-26.522503,31.465866);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Sint Maarten'',''SXM'',null,null,null);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Seychelles'',''SYC'',''SC'',-4.679574,55.491977);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Syria'',''SYR'',''SY'',34.802075,38.996815);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Turks and Caicos Islands'',''TCA'',''TC'',21.694025,-71.797928);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Chad'',''TCD'',''TD'',15.454166,18.732207);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Togo'',''TGO'',''TG'',8.619543,0.824782);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Thailand'',''THA'',''TH'',15.870032,100.992541);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Tajikistan'',''TJK'',''TJ'',38.861034,71.276093);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Turkmenistan'',''TKM'',''TM'',38.969719,59.556278);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''East Timor (Timor-Leste)'',''TLS'',''TL'',-8.874217,125.727539);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Tonga'',''TON'',''TO'',-21.178986,-175.198242);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Trinidad and Tobago'',''TTO'',''TT'',10.691803,-61.222503);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Tunisia'',''TUN'',''TN'',33.886917,9.537499);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Turkey'',''TUR'',''TR'',38.963745,35.243322);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Tuvalu'',''TUV'',''TV'',-7.109535,177.64933);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Taiwan'',''TWN'',''TW'',23.69781,120.960515);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Tanzania'',''TZA'',''TZ'',-6.369028,34.888822);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Uganda'',''UGA'',''UG'',1.373333,32.290275);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Ukraine'',''UKR'',''UA'',48.379433,31.16558);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''United States Minor Outlying Islands'',''UMI'',''UM'',null,null);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Uruguay'',''URY'',''UY'',-32.522779,-55.765835);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''United States of America'',''USA'',''US'',37.09024,-95.712891);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Uzbekistan'',''UZB'',''UZ'',41.377491,64.585262);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Vatican City'',''VAT'',''VA'',41.902916,12.453389);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Saint Vincent and the Grenadines'',''VCT'',''VC'',12.984305,-61.287228);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Venezuela'',''VEN'',''VE'',6.42375,-66.58973);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''British Virgin Islands'',''VGB'',''VG'',18.420695,-64.639968);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''United States Virgin Islands'',''VIR'',''VI'',18.335765,-64.896335);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Vietnam'',''VNM'',''VN'',14.058324,108.277199);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Vanuatu'',''VUT'',''VU'',-15.376706,166.959158);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Wallis and Futuna'',''WLF'',''WF'',-13.768752,-177.156097);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Samoa'',''WSM'',''WS'',-13.759029,-172.104629);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Yemen'',''YEM'',''YE'',15.552727,48.516388);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''South Africa'',''ZAF'',''ZA'',-30.559482,22.937506);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Zambia'',''ZMB'',''ZM'',-13.133897,27.849332);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Zimbabwe'',''ZWE'',''ZW'',-19.015438,29.154857);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Netherlands Antilles'',''AN'',null,12.226079,-69.060087);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Martinique'',''MQ'',null,14.641528,-61.024174);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Tokelau'',''TK'',null,-8.967363,-171.855881);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Guadeloupe'',''GP'',null,16.995971,-62.067641);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Bouvet Island'',''BV'',null,-54.423199,3.413194);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Gaza Strip'',''GZ'',null,31.354676,34.308825);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Christmas Island'',''CX'',null,-10.447525,105.690449);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''French Guiana'',''GF'',null,3.933889,-53.125782);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Mayotte'',''YT'',null,-12.8275,45.166244);',
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Svalbard and Jan Mayen'',''SJ'',null,77.553604,23.670272);',
unistr('insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''R\FFFDion'',''RE'',null,-21.115141,55.536384);'),
'insert into jk64demo_countries (country,iso_a3,iso_a2,lat,lng) values (''Cocos [Keeling] Islands'',''CC'',null,-12.164165,96.870956);',
''))
);
end;
/
prompt --application/deployment/install/install_jk64demo_earthquakes_data_sql
begin
wwv_flow_api.create_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_install_id=>wwv_flow_api.id(54431867465452579)
,p_name=>'jk64demo_earthquakes_data.sql'
,p_sequence=>30
,p_script_type=>'INSTALL'
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'rem INSERTING into JK64DEMO_EARTHQUAKES',
'set define off;',
'truncate table jk64demo_earthquakes;',
'insert into jk64demo_earthquakes values(33.5556667,-116.539,0.15);',
'insert into jk64demo_earthquakes values(34.032,-117.5196667,0.86);',
'insert into jk64demo_earthquakes values(63.5228,-148.9646,1.5);',
'insert into jk64demo_earthquakes values(33.5403333,-116.6871667,0.13);',
'insert into jk64demo_earthquakes values(36.9065,-115.7945,0.1);',
'insert into jk64demo_earthquakes values(61.8656,-147.7232,1.8);',
'insert into jk64demo_earthquakes values(36.1662,-99.1597,2.6);',
'insert into jk64demo_earthquakes values(60.2244,-148.1824,1.8);',
'insert into jk64demo_earthquakes values(34.4916,46.8808,4.4);',
'insert into jk64demo_earthquakes values(63.8419,-148.9656,1.9);',
'insert into jk64demo_earthquakes values(38.0677,-118.7098,0.4);',
'insert into jk64demo_earthquakes values(36.7981,-116.1845,-0.2);',
'insert into jk64demo_earthquakes values(36.7505,-116.2458,-0.1);',
'insert into jk64demo_earthquakes values(36.741,-116.2816,-0.3);',
'insert into jk64demo_earthquakes values(51.0895,-174.2613,4.5);',
'insert into jk64demo_earthquakes values(39.351,-119.97,0);',
'insert into jk64demo_earthquakes values(41.8705,-119.6411,0.7);',
'insert into jk64demo_earthquakes values(36.9195,-97.8114,2.7);',
'insert into jk64demo_earthquakes values(33.1841667,-115.603,1.52);',
'insert into jk64demo_earthquakes values(61.5017,-150.002,2.2);',
'insert into jk64demo_earthquakes values(51.7678,-173.625,4.9);',
'insert into jk64demo_earthquakes values(36.7219,-116.3125,-0.3);',
'insert into jk64demo_earthquakes values(38.45,-118.3966,-0.3);',
'insert into jk64demo_earthquakes values(33.4491667,-116.7223333,0.72);',
'insert into jk64demo_earthquakes values(36.7175,-116.3216,0.1);',
'insert into jk64demo_earthquakes values(60.0643,-152.1097,1.9);',
'insert into jk64demo_earthquakes values(51.3832,-174.1391,4.1);',
'insert into jk64demo_earthquakes values(60.5764,-143.2731,1.7);',
'insert into jk64demo_earthquakes values(51.1191,-173.9733,4.1);',
'insert into jk64demo_earthquakes values(36.6212,-116.0463,0.2);',
'insert into jk64demo_earthquakes values(36.9334,-97.8142,2.5);',
'insert into jk64demo_earthquakes values(51.5125,-174.2341,6);',
'insert into jk64demo_earthquakes values(61.2922,-146.6615,1.4);',
'insert into jk64demo_earthquakes values(26.9583,126.8319,4.9);',
'insert into jk64demo_earthquakes values(51.3796,-174.2654,5);',
'insert into jk64demo_earthquakes values(38.2462,-118.3391,0.9);',
'insert into jk64demo_earthquakes values(33.6528333,-116.731,0.37);',
'insert into jk64demo_earthquakes values(39.3528,-119.9708,-0.1);',
'insert into jk64demo_earthquakes values(39.3538,-119.9842,1.3);',
'insert into jk64demo_earthquakes values(36.1886667,-120.1753333,1.96);',
'insert into jk64demo_earthquakes values(36.8985,70.9119,4.1);',
'insert into jk64demo_earthquakes values(39.3601,-119.9745,0.4);',
'insert into jk64demo_earthquakes values(39.3487,-119.9541,0.1);',
'insert into jk64demo_earthquakes values(36.149,-117.9386667,0.62);',
'insert into jk64demo_earthquakes values(18.114,-67.0037,1.8);',
'insert into jk64demo_earthquakes values(36.1488333,-117.9365,0.77);',
'insert into jk64demo_earthquakes values(34.3593333,-116.4616667,1.58);',
'insert into jk64demo_earthquakes values(47.723,-120.1855,1.98);',
'insert into jk64demo_earthquakes values(38.8968333,-123.274,1.33);',
'insert into jk64demo_earthquakes values(36.6254,-116.0475,-0.2);',
'insert into jk64demo_earthquakes values(19.0326,-64.2324,3.1);',
'insert into jk64demo_earthquakes values(34.0005,-116.7028333,1.29);',
'insert into jk64demo_earthquakes values(46.1938333,-122.1905,0.3);',
'insert into jk64demo_earthquakes values(32.6626667,-118.105,2.97);',
'insert into jk64demo_earthquakes values(36.6198,-116.045,0.7);',
'insert into jk64demo_earthquakes values(36.6183,-116.0486,0.9);',
'insert into jk64demo_earthquakes values(28.9015,143.0875,5.1);',
'insert into jk64demo_earthquakes values(39.3665,-122.8491667,1.93);',
'insert into jk64demo_earthquakes values(-10.1886,160.9229,5.1);',
'insert into jk64demo_earthquakes values(36.6152,-116.0462,1.2);',
'insert into jk64demo_earthquakes values(19.2278333,-155.2651667,1.6);',
'insert into jk64demo_earthquakes values(61.155,-150.1308,1.7);',
'insert into jk64demo_earthquakes values(59.8849,-152.3733,1.9);',
'insert into jk64demo_earthquakes values(61.6327,-150.9324,2);',
'insert into jk64demo_earthquakes values(51.4927,-173.52,3.4);',
'insert into jk64demo_earthquakes values(36.7484,-116.2738,0.3);',
'insert into jk64demo_earthquakes values(36.2296667,-118.3286667,1.41);',
'insert into jk64demo_earthquakes values(34.1681667,-117.2566667,1.9);',
'insert into jk64demo_earthquakes values(33.868,-116.7946667,0.83);',
'insert into jk64demo_earthquakes values(38.8175,-122.8196667,0.47);',
'insert into jk64demo_earthquakes values(39.9027,-120.1941,0.9);',
'insert into jk64demo_earthquakes values(32.8436667,-116.2688333,1.84);',
'insert into jk64demo_earthquakes values(61.4607,-150.2943,1.4);',
'insert into jk64demo_earthquakes values(62.5152,-151.6307,1.9);',
'insert into jk64demo_earthquakes values(-12.4869,166.5309,5.5);',
'insert into jk64demo_earthquakes values(33.2993333,-116.7546667,0.67);',
'insert into jk64demo_earthquakes values(62.4749,-149.6711,1.9);',
'insert into jk64demo_earthquakes values(36.452,-98.77,1.3);',
'insert into jk64demo_earthquakes values(37.5568333,-118.8616667,0.23);',
'insert into jk64demo_earthquakes values(59.9396,-153.4533,2.4);',
'insert into jk64demo_earthquakes values(64.1715,-145.4306,1.6);',
'insert into jk64demo_earthquakes values(51.5589,-173.5284,4.4);',
'insert into jk64demo_earthquakes values(18.6268,-63.731,3.2);',
'insert into jk64demo_earthquakes values(37.0987,-116.2265,0);',
'insert into jk64demo_earthquakes values(32.5975,-115.7185,2.16);',
'insert into jk64demo_earthquakes values(40.4988333,-123.9386667,1.95);',
'insert into jk64demo_earthquakes values(-56.3566,-27.2826,5.3);',
'insert into jk64demo_earthquakes values(39.3405,-123.2256667,1.73);',
'insert into jk64demo_earthquakes values(34.1096667,-117.4738333,1.27);',
'insert into jk64demo_earthquakes values(33.2818333,-115.7036667,1.8);',
'insert into jk64demo_earthquakes values(33.79,-116.1711667,0.73);',
'insert into jk64demo_earthquakes values(59.5994,-150.5163,1.8);',
'insert into jk64demo_earthquakes values(39.3413333,-123.2268333,1.74);',
'insert into jk64demo_earthquakes values(35.9508333,-117.6643333,0.48);',
'insert into jk64demo_earthquakes values(37.0936,-117.8931,1.6);',
'insert into jk64demo_earthquakes values(42.8353333,-78.2403333,1.72);',
'insert into jk64demo_earthquakes values(37.6463333,-118.9121667,0.36);',
'insert into jk64demo_earthquakes values(37.6376667,-118.9283333,0.33);',
'insert into jk64demo_earthquakes values(51.6237,-173.6057,5.1);',
'insert into jk64demo_earthquakes values(36.2602,-117.5041,0.4);',
'insert into jk64demo_earthquakes values(51.4712,-174.3164,2.3);',
'insert into jk64demo_earthquakes values(51.2802,-173.8761,3.9);',
'insert into jk64demo_earthquakes values(61.8182,-149.0931,0.9);',
'insert into jk64demo_earthquakes values(63.31,-151.7883,1.4);',
'insert into jk64demo_earthquakes values(36.5565,-121.1513333,1.75);',
'insert into jk64demo_earthquakes values(36.4362,-98.7835,1.5);',
'insert into jk64demo_earthquakes values(36.4341,-98.7895,2.3);',
'insert into jk64demo_earthquakes values(34.0401667,-117.5813333,0.84);',
'insert into jk64demo_earthquakes values(64.6971,-149.2514,0.3);',
'insert into jk64demo_earthquakes values(38.5271,-118.3594,0);',
'insert into jk64demo_earthquakes values(38.5455,-122.2686667,1.12);',
'insert into jk64demo_earthquakes values(37.2605,-117.5786,0.1);',
'insert into jk64demo_earthquakes values(34.0186667,-116.7001667,0.72);',
'insert into jk64demo_earthquakes values(37.322,-122.1468333,1.27);',
'insert into jk64demo_earthquakes values(51.5417,-173.4723,3.1);',
'insert into jk64demo_earthquakes values(60.3568,-147.6611,1.7);',
'insert into jk64demo_earthquakes values(38.5221,-118.3658,-0.2);',
'insert into jk64demo_earthquakes values(34.2641667,-117.0288333,1.45);',
'insert into jk64demo_earthquakes values(39.0227,-118.1554,0.8);',
'insert into jk64demo_earthquakes values(46.1983333,-122.1691667,0.11);',
'insert into jk64demo_earthquakes values(37.5703333,-118.8616667,0.65);',
'insert into jk64demo_earthquakes values(38.1911,-118.5144,-0.1);',
'insert into jk64demo_earthquakes values(60.2858,-152.151,1.5);',
'insert into jk64demo_earthquakes values(38.1581,-118.5094,0);',
'insert into jk64demo_earthquakes values(39.3496,-119.9668,0.2);',
'insert into jk64demo_earthquakes values(39.3589,-119.981,0.8);',
'insert into jk64demo_earthquakes values(39.333,-119.9197,0.3);',
'insert into jk64demo_earthquakes values(39.3433,-119.9229,-0.1);',
'insert into jk64demo_earthquakes values(39.6245,-119.8232,0.6);',
'insert into jk64demo_earthquakes values(61.7978,-150.422,1.7);',
'insert into jk64demo_earthquakes values(26.5184,126.765,4.8);',
'insert into jk64demo_earthquakes values(38.7568333,-122.7233333,1.26);',
'insert into jk64demo_earthquakes values(19.426,-155.616,3.17);',
'insert into jk64demo_earthquakes values(40.4686667,-121.5441667,0.72);',
'insert into jk64demo_earthquakes values(38.7583333,-122.724,1.36);',
'insert into jk64demo_earthquakes values(39.3553,-119.983,0.2);',
'insert into jk64demo_earthquakes values(64.9561,-147.4433,1.4);',
'insert into jk64demo_earthquakes values(47.2945,-122.2895,1.65);',
'insert into jk64demo_earthquakes values(34.1686667,-117.2545,1.6);',
'insert into jk64demo_earthquakes values(36.2223,-99.2081,3);',
'insert into jk64demo_earthquakes values(39.3609,-119.9799,0.7);',
'insert into jk64demo_earthquakes values(39.3503,-119.9753,0.2);',
'insert into jk64demo_earthquakes values(39.352,-119.9818,1.6);',
'insert into jk64demo_earthquakes values(39.353,-119.9792,1.5);',
'insert into jk64demo_earthquakes values(61.9309,-150.8735,2.7);',
'insert into jk64demo_earthquakes values(49.6789,-129.8176,5.2);',
'insert into jk64demo_earthquakes values(39.3525,-119.982,2.1);',
'insert into jk64demo_earthquakes values(39.358,-119.9802,1.1);',
'insert into jk64demo_earthquakes values(59.6582,-153.253,2.9);',
'insert into jk64demo_earthquakes values(36.084,-117.8918333,0.86);',
'insert into jk64demo_earthquakes values(39.3598,-119.9807,0.8);',
'insert into jk64demo_earthquakes values(38.7968333,-122.7625,2.9);',
'insert into jk64demo_earthquakes values(60.9582,-147.935,1.7);',
'insert into jk64demo_earthquakes values(32.5405,-117.0381667,1.89);',
'insert into jk64demo_earthquakes values(61.7032,-147.2618,1.5);',
'insert into jk64demo_earthquakes values(37.5448333,-118.8741667,-0.08);',
'insert into jk64demo_earthquakes values(38.2241667,-122.3243333,1.51);',
'insert into jk64demo_earthquakes values(32.8443333,-116.2655,1.31);',
'insert into jk64demo_earthquakes values(38.8196667,-122.7788333,0.2);',
'insert into jk64demo_earthquakes values(33.4728333,-116.6008333,1.25);',
'insert into jk64demo_earthquakes values(37.3457,-116.4912,1.2);',
'insert into jk64demo_earthquakes values(33.8526667,-117.4916667,1.34);',
'insert into jk64demo_earthquakes values(39.3592,-119.9796,1.1);',
'insert into jk64demo_earthquakes values(39.353,-119.9746,0.4);',
'insert into jk64demo_earthquakes values(48.5451667,-121.595,0.96);',
'insert into jk64demo_earthquakes values(19.3043333,-155.3581667,1.14);',
'insert into jk64demo_earthquakes values(35.5069,-96.9814,2.6);',
'insert into jk64demo_earthquakes values(37.7616667,-122.5613333,1.14);',
'insert into jk64demo_earthquakes values(60.3117,-140.2813,1.6);',
'insert into jk64demo_earthquakes values(37.5758333,-118.6878333,1.19);',
'insert into jk64demo_earthquakes values(47.5265,-122.341,1.4);',
'insert into jk64demo_earthquakes values(33.586,-116.8126667,0.35);',
'insert into jk64demo_earthquakes values(59.7387,-153.1678,3.8);',
'insert into jk64demo_earthquakes values(34.0525,-117.3553333,0.98);',
'insert into jk64demo_earthquakes values(67.873,-149.1311,2.1);',
'insert into jk64demo_earthquakes values(33.1816667,-117.1705,0.97);',
'insert into jk64demo_earthquakes values(39.3601,-119.9803,0.8);',
'insert into jk64demo_earthquakes values(34.9881667,-118.2001667,1.1);',
'insert into jk64demo_earthquakes values(39.7846,-120.7068,0.4);',
'insert into jk64demo_earthquakes values(35.0518333,-118.3528333,1.04);',
'insert into jk64demo_earthquakes values(37.5688333,-118.8563333,0.18);',
'insert into jk64demo_earthquakes values(37.3228333,-122.1016667,1.32);',
'insert into jk64demo_earthquakes values(36.8908333,-121.622,1.68);',
'insert into jk64demo_earthquakes values(33.1355,-115.5975,1.56);',
'insert into jk64demo_earthquakes values(38.8163333,-122.8075,1.04);',
'insert into jk64demo_earthquakes values(39.7683,-120.7094,0.8);',
'insert into jk64demo_earthquakes values(36.2613,-99.1336,2.7);',
'insert into jk64demo_earthquakes values(33.5875,-116.806,0.36);',
'insert into jk64demo_earthquakes values(38.8173333,-122.8206667,1.03);',
'insert into jk64demo_earthquakes values(37.5791667,-118.8685,0.07);',
'insert into jk64demo_earthquakes values(39.8435,-123.568,1.08);',
'insert into jk64demo_earthquakes values(19.5101662,-155.9941711,1.75);',
'insert into jk64demo_earthquakes values(36.6244,-116.0456,0.3);',
'insert into jk64demo_earthquakes values(61.4743,-146.9579,1.5);',
'insert into jk64demo_earthquakes values(19.2738333,-155.2006667,1.76);',
'insert into jk64demo_earthquakes values(38.7555,-122.74,0.61);',
'insert into jk64demo_earthquakes values(36.6231,-116.047,-0.2);',
'insert into jk64demo_earthquakes values(37.5693333,-118.8578333,1.16);',
'insert into jk64demo_earthquakes values(37.566,-118.8546667,0.7);',
'insert into jk64demo_earthquakes values(36.2096667,-120.16,1.91);',
'insert into jk64demo_earthquakes values(62.8245,-149.5875,3);',
'insert into jk64demo_earthquakes values(37.967,72.4553,5.4);',
'insert into jk64demo_earthquakes values(36.1932,-99.1831,2.9);',
'insert into jk64demo_earthquakes values(64.8782,-147.4728,0.5);',
'insert into jk64demo_earthquakes values(38.8456667,-122.824,1.76);',
'insert into jk64demo_earthquakes values(33.87,-117.5035,1.27);',
'insert into jk64demo_earthquakes values(46.285,-123.5131667,1.27);',
'insert into jk64demo_earthquakes values(37.3335,-118.56,0.96);',
'insert into jk64demo_earthquakes values(43.3983333,-123.1493333,1.56);',
'insert into jk64demo_earthquakes values(9.4103,-84.5984,3.7);',
'insert into jk64demo_earthquakes values(35.4395,-118.3473333,1.28);',
'insert into jk64demo_earthquakes values(24.3279,125.2302,4.8);',
'insert into jk64demo_earthquakes values(33.488,-116.4356667,0.58);',
'insert into jk64demo_earthquakes values(38.8143333,-122.8148333,1.71);',
'insert into jk64demo_earthquakes values(35.44,-118.3501667,2.62);',
'insert into jk64demo_earthquakes values(35.4373333,-118.3491667,1.99);',
'insert into jk64demo_earthquakes values(36.7234,-117.2055,-0.3);',
'insert into jk64demo_earthquakes values(45.992,-112.4606667,1.55);',
'insert into jk64demo_earthquakes values(19.1321667,-155.554,1.83);',
'insert into jk64demo_earthquakes values(35.9513333,-117.6625,1.6);',
'insert into jk64demo_earthquakes values(39.4356,142.2475,4.7);',
'insert into jk64demo_earthquakes values(35.4386667,-118.351,1.16);',
'insert into jk64demo_earthquakes values(59.766,-152.916,1.8);',
'insert into jk64demo_earthquakes values(17.9521,-67.1094,1.7);',
'insert into jk64demo_earthquakes values(60.1468,-153.0213,3.3);',
'insert into jk64demo_earthquakes values(44.5991667,-114.112,1.94);',
'insert into jk64demo_earthquakes values(59.943,-151.5989,1.2);',
'insert into jk64demo_earthquakes values(37.1687,-115.3211,0.3);',
'insert into jk64demo_earthquakes values(37.3246667,-122.1008333,1.81);',
'insert into jk64demo_earthquakes values(19.1305,-66.848,2.8);',
'insert into jk64demo_earthquakes values(35.4386667,-118.351,1.63);',
'insert into jk64demo_earthquakes values(35.9518333,-117.6646667,1.47);',
'insert into jk64demo_earthquakes values(63.4558,-151.3347,1.5);',
'insert into jk64demo_earthquakes values(34.648,-117.2715,1.05);',
'insert into jk64demo_earthquakes values(33.2105,-115.5786667,1.44);',
'insert into jk64demo_earthquakes values(35.951,-117.666,0.63);',
'insert into jk64demo_earthquakes values(37.4016,-116.862,0.6);',
'insert into jk64demo_earthquakes values(35.0545,-118.3493333,1.28);',
'insert into jk64demo_earthquakes values(39.6999,-120.151,0.7);',
'insert into jk64demo_earthquakes values(44.6653333,-109.998,1.91);',
'insert into jk64demo_earthquakes values(36.44,-98.7794,1.1);',
'insert into jk64demo_earthquakes values(38.8045,-122.8126667,1.52);',
'insert into jk64demo_earthquakes values(29.6388,102.0728,4.6);',
'insert into jk64demo_earthquakes values(34.6393333,-117.2976667,1.27);',
'insert into jk64demo_earthquakes values(33.4761667,-116.4925,0.66);',
'insert into jk64demo_earthquakes values(40.4585,-121.5178333,0.18);',
'insert into jk64demo_earthquakes values(34.0272,78.1066,4.2);',
'insert into jk64demo_earthquakes values(36.6741667,-121.3066667,1.85);',
'insert into jk64demo_earthquakes values(41.4695,-112.3451667,0.72);',
'insert into jk64demo_earthquakes values(46.1916667,-122.1945,0.53);',
'insert into jk64demo_earthquakes values(64.4785,-149.4355,1);',
'insert into jk64demo_earthquakes values(36.7366,-116.2863,-0.2);',
'insert into jk64demo_earthquakes values(36.9548333,-121.5728333,2.21);',
'insert into jk64demo_earthquakes values(38.3132,-119.2524,1.2);',
'insert into jk64demo_earthquakes values(37.6436667,-119.0305,-0.2);',
'insert into jk64demo_earthquakes values(36.4749,-98.7316,1.6);',
'insert into jk64demo_earthquakes values(34.0971667,-116.3815,1.75);',
'insert into jk64demo_earthquakes values(64.9743,-147.3326,1.7);',
'insert into jk64demo_earthquakes values(51.1422,-173.4944,4.1);',
'insert into jk64demo_earthquakes values(36.4371,-98.7861,1.3);',
'insert into jk64demo_earthquakes values(36.5242,-98.5907,2.4);',
'insert into jk64demo_earthquakes values(36.7295,-116.3015,-0.2);',
'insert into jk64demo_earthquakes values(36.8251,-98.297,2.7);',
'insert into jk64demo_earthquakes values(38.8065,-122.8186667,0.2);',
'insert into jk64demo_earthquakes values(62.1398,-151.2684,1.5);',
'insert into jk64demo_earthquakes values(15.0973,120.0171,4.7);',
'insert into jk64demo_earthquakes values(49.0723333,-122.2456667,1.02);',
'insert into jk64demo_earthquakes values(60.1337,-141.399,1.2);',
'insert into jk64demo_earthquakes values(33.6258333,-116.6763333,0.79);',
'insert into jk64demo_earthquakes values(63.4442,-147.4532,1.2);',
'insert into jk64demo_earthquakes values(38.5883,-118.3746,0.4);',
'insert into jk64demo_earthquakes values(36.4356,-98.7915,1.8);',
'insert into jk64demo_earthquakes values(48.1143333,-115.1096667,0.7);',
'insert into jk64demo_earthquakes values(19.4271667,-155.6073333,3.3);',
'insert into jk64demo_earthquakes values(36.4548,-98.7717,1.7);',
'insert into jk64demo_earthquakes values(38.8151667,-122.8171667,0.14);',
'insert into jk64demo_earthquakes values(60.8233,-151.6046,1.7);',
'insert into jk64demo_earthquakes values(44.79,-111.5278333,1.16);',
'insert into jk64demo_earthquakes values(19.216,-155.5403333,1.37);',
'insert into jk64demo_earthquakes values(60.8571,-152.0497,2.3);',
'insert into jk64demo_earthquakes values(37.0693,-115.1094,1.1);',
'insert into jk64demo_earthquakes values(35.4403333,-118.347,1.28);',
'insert into jk64demo_earthquakes values(34.8455,-118.7745,1.34);',
'insert into jk64demo_earthquakes values(40.2252,-119.7075,0.7);',
'insert into jk64demo_earthquakes values(38.242,-118.6343,1.1);',
'insert into jk64demo_earthquakes values(33.1775,-115.6038333,1.73);',
'insert into jk64demo_earthquakes values(36.4557,-98.7729,2.3);',
'insert into jk64demo_earthquakes values(33.999,-116.3703333,1.13);',
'insert into jk64demo_earthquakes values(33.8603333,-117.526,0.97);',
'insert into jk64demo_earthquakes values(40.2431,-119.7045,0.9);',
'insert into jk64demo_earthquakes values(33.8586667,-117.5161667,0.78);',
'insert into jk64demo_earthquakes values(38.8256667,-122.7858333,0.14);',
'insert into jk64demo_earthquakes values(38.8273333,-122.8306667,0.37);',
'insert into jk64demo_earthquakes values(35.9223333,-117.6723333,2.04);',
'insert into jk64demo_earthquakes values(59.9425,-151.0724,1.3);',
'insert into jk64demo_earthquakes values(37.4018,-116.8419,0.3);',
'insert into jk64demo_earthquakes values(63.5536,-150.8075,1.3);',
'insert into jk64demo_earthquakes values(33.5,-116.4895,0.79);',
'insert into jk64demo_earthquakes values(61.08,-149.3168,1.3);',
'insert into jk64demo_earthquakes values(33.4978333,-116.4913333,1.07);',
'insert into jk64demo_earthquakes values(46.6358,147.3827,4.5);',
'insert into jk64demo_earthquakes values(37.6593333,-121.662,1.34);',
'insert into jk64demo_earthquakes values(59.7457,-153.1423,2.9);',
'insert into jk64demo_earthquakes values(35.4815,-120.596,1.52);',
'insert into jk64demo_earthquakes values(36.7513333,-121.5975,1.23);',
'insert into jk64demo_earthquakes values(46.9261667,-114.4641667,1.61);',
'insert into jk64demo_earthquakes values(62.4235,-152.0194,2);',
'insert into jk64demo_earthquakes values(35.0596667,-118.3545,1.85);',
'insert into jk64demo_earthquakes values(33.1758333,-115.601,1.86);',
'insert into jk64demo_earthquakes values(33.1755,-115.6036667,2.14);',
'insert into jk64demo_earthquakes values(33.9888333,-117.1781667,1.37);',
'insert into jk64demo_earthquakes values(2.2218,127.1602,4.7);',
'insert into jk64demo_earthquakes values(37.0246,-117.8398,0.3);',
'insert into jk64demo_earthquakes values(36.1051667,-120.1858333,1.39);',
'insert into jk64demo_earthquakes values(37.556,-118.8108333,0.1);',
'insert into jk64demo_earthquakes values(36.5546667,-121.1358333,1.3);',
'insert into jk64demo_earthquakes values(39.7001,-120.1565,0.1);',
'insert into jk64demo_earthquakes values(47.163,-121.954,1.15);',
'insert into jk64demo_earthquakes values(38.973,-123.024,0.95);',
'insert into jk64demo_earthquakes values(19.4146667,-155.6086667,0.63);',
'insert into jk64demo_earthquakes values(37.3554,-117.719,0.6);',
'insert into jk64demo_earthquakes values(37.3497,-117.0833,0.4);',
'insert into jk64demo_earthquakes values(36.4558,-98.762,1.5);',
'insert into jk64demo_earthquakes values(35.4383333,-118.348,2.42);',
'insert into jk64demo_earthquakes values(36.4696667,-120.5615,2.02);',
'insert into jk64demo_earthquakes values(34.3381667,-116.8815,1.08);',
'insert into jk64demo_earthquakes values(61.7203,-148.5226,0.7);',
'insert into jk64demo_earthquakes values(40.1393333,-121.1213333,1.93);',
'insert into jk64demo_earthquakes values(60.03,-152.6587,1.5);',
'insert into jk64demo_earthquakes values(63.4989,-151.2654,1.9);',
'insert into jk64demo_earthquakes values(33.642,-116.708,1.07);',
'insert into jk64demo_earthquakes values(33.1275,-115.6091667,1.42);',
'insert into jk64demo_earthquakes values(59.7486,-152.7621,1.9);',
'insert into jk64demo_earthquakes values(-6.1367,128.7449,4.4);',
'insert into jk64demo_earthquakes values(38.8348333,-122.7958333,0.4);',
'insert into jk64demo_earthquakes values(58.3047,-150.8523,2.1);',
'insert into jk64demo_earthquakes values(40.19,-121.5511667,1.57);',
'insert into jk64demo_earthquakes values(63.2403,-143.9634,1.2);',
'insert into jk64demo_earthquakes values(46.4023333,-122.7371667,0.9);',
'insert into jk64demo_earthquakes values(35.952,-117.6633333,0.7);',
'insert into jk64demo_earthquakes values(35.9518333,-117.6636667,1.63);',
'insert into jk64demo_earthquakes values(33.5245,-116.736,1.77);',
'insert into jk64demo_earthquakes values(63.0256,-151.6495,2.2);',
'insert into jk64demo_earthquakes values(1.0093,97.4662,4.6);',
'insert into jk64demo_earthquakes values(39.9398,-117.8667,1.6);',
'insert into jk64demo_earthquakes values(39.5898,-120.6919,0.8);',
'insert into jk64demo_earthquakes values(63.2087,-151.4213,1.1);',
'insert into jk64demo_earthquakes values(36.4859,-98.7099,1.5);',
'insert into jk64demo_earthquakes values(63.2952,-151.7351,1.5);',
'insert into jk64demo_earthquakes values(-6.682,104.1799,5);',
'insert into jk64demo_earthquakes values(61.3875,-150.6801,1.4);',
'insert into jk64demo_earthquakes values(46.8526667,-121.7526667,0.78);',
'insert into jk64demo_earthquakes values(33.4446667,-116.5918333,0.3);',
'insert into jk64demo_earthquakes values(38.839,-122.829,1.01);',
'insert into jk64demo_earthquakes values(34.042,-116.6305,0.96);',
'insert into jk64demo_earthquakes values(34.0375,-116.6281667,1.93);',
'insert into jk64demo_earthquakes values(38.4943,-118.4194,-0.1);',
'insert into jk64demo_earthquakes values(37.6413333,-118.9723333,0.33);',
'insert into jk64demo_earthquakes values(38.8093333,-122.8151667,0.29);',
'insert into jk64demo_earthquakes values(37.6328333,-118.9706667,0.48);',
'insert into jk64demo_earthquakes values(17.3733,-94.7967,4.7);',
'insert into jk64demo_earthquakes values(36.4366,-98.7831,1.2);',
'insert into jk64demo_earthquakes values(36.4395,-98.784,1.8);',
'insert into jk64demo_earthquakes values(61.2998,-146.8422,1.6);',
'insert into jk64demo_earthquakes values(62.8212,-148.8045,1.7);',
'insert into jk64demo_earthquakes values(65.1891,-150.0638,1.9);',
'insert into jk64demo_earthquakes values(43.7476667,-114.7233333,0.99);',
'insert into jk64demo_earthquakes values(33.7196667,-116.7311667,0.39);',
'insert into jk64demo_earthquakes values(38.8106667,-122.8271667,0.25);',
'insert into jk64demo_earthquakes values(61.242,-147.704,1.7);',
'insert into jk64demo_earthquakes values(61.4462,-146.6329,1.4);',
'insert into jk64demo_earthquakes values(36.663,-121.2836667,1.48);',
'insert into jk64demo_earthquakes values(45.8946667,-112.0245,-0.1);',
'insert into jk64demo_earthquakes values(39.6376667,-111.5735,1.3);',
'insert into jk64demo_earthquakes values(39.5876667,-111.5423333,1.35);',
'insert into jk64demo_earthquakes values(59.7523,-153.1126,2.4);',
'insert into jk64demo_earthquakes values(32.975,-116.2705,1.68);',
'insert into jk64demo_earthquakes values(63.5223,-148.9418,1.6);',
'insert into jk64demo_earthquakes values(33.2545,-115.6531667,1.68);',
'insert into jk64demo_earthquakes values(36.3506,-117.4069,0.5);',
'insert into jk64demo_earthquakes values(38.7961667,-122.7321667,1.03);',
'insert into jk64demo_earthquakes values(40.4995,-124.2488333,2.31);',
'insert into jk64demo_earthquakes values(38.9595,-118.7115,1.1);',
'insert into jk64demo_earthquakes values(60.8628,-151.0353,2);',
'insert into jk64demo_earthquakes values(33.2236667,-116.7326667,1.01);',
'insert into jk64demo_earthquakes values(64.8036,-149.218,0.3);',
'insert into jk64demo_earthquakes values(64.6462,-149.2329,1.3);',
'insert into jk64demo_earthquakes values(36.5171,-98.596,1.6);',
'insert into jk64demo_earthquakes values(38.505,-118.4014,0.3);',
'insert into jk64demo_earthquakes values(64.3596,-149.3013,0.3);',
'insert into jk64demo_earthquakes values(38.8093333,-122.8283333,0.41);',
'insert into jk64demo_earthquakes values(37.0873,-115.1396,0.9);',
'insert into jk64demo_earthquakes values(59.8233,-152.919,2.6);',
'insert into jk64demo_earthquakes values(38.81,-122.8286667,1.2);',
'insert into jk64demo_earthquakes values(62.0636,-150.3997,1.6);',
'insert into jk64demo_earthquakes values(36.4507,-98.7645,1.4);',
'insert into jk64demo_earthquakes values(38.81,-122.8246667,1.59);',
'insert into jk64demo_earthquakes values(39.3584,-119.9786,0.4);',
'insert into jk64demo_earthquakes values(33.2058333,-116.7275,0.53);',
'insert into jk64demo_earthquakes values(19.4015,-155.6261667,0.73);',
'insert into jk64demo_earthquakes values(61.877,-150.5096,1.2);',
'insert into jk64demo_earthquakes values(36.4595,-98.78,1.3);',
'insert into jk64demo_earthquakes values(38.8068333,-122.8238333,1.44);',
'insert into jk64demo_earthquakes values(33.4928333,-116.4741667,0.84);',
'insert into jk64demo_earthquakes values(33.4968333,-116.4825,0.29);',
'insert into jk64demo_earthquakes values(38.81,-122.8261667,2.53);',
'insert into jk64demo_earthquakes values(34.0176667,-116.7043333,1.93);',
'insert into jk64demo_earthquakes values(38.4099,-118.7486,0.7);',
'insert into jk64demo_earthquakes values(38.8101667,-122.8223333,2.76);',
'insert into jk64demo_earthquakes values(40.1228,-121.0888,0.7);',
'insert into jk64demo_earthquakes values(38.8305,-122.8066667,0.34);',
'insert into jk64demo_earthquakes values(40.4691667,-121.5183333,0.24);',
'insert into jk64demo_earthquakes values(37.554,-118.857,0.72);',
'insert into jk64demo_earthquakes values(64.6892,-149.3994,0.5);',
'insert into jk64demo_earthquakes values(37.5705,-118.8568333,0.89);',
'insert into jk64demo_earthquakes values(60.9386,-151.4071,1.7);',
'insert into jk64demo_earthquakes values(61.763,-151.9178,2.2);',
'insert into jk64demo_earthquakes values(37.5723333,-118.8603333,0.22);',
'insert into jk64demo_earthquakes values(-4.8815,145.4828,4.7);',
'insert into jk64demo_earthquakes values(37.5703333,-118.8581667,1.83);',
'insert into jk64demo_earthquakes values(34.382,-116.1443333,0.74);',
'insert into jk64demo_earthquakes values(35.925,-117.6705,0.92);',
'insert into jk64demo_earthquakes values(34.3066667,-116.8583333,0.61);',
'insert into jk64demo_earthquakes values(61.353,-146.3515,1.7);',
'insert into jk64demo_earthquakes values(44.4566667,-110.9215,0.61);',
'insert into jk64demo_earthquakes values(36.8263,-98.2778,2.9);',
'insert into jk64demo_earthquakes values(39.3579,-119.9777,0.3);',
'insert into jk64demo_earthquakes values(37.3526,-117.0654,0.1);',
'insert into jk64demo_earthquakes values(36.8284,-98.2843,3.3);',
'insert into jk64demo_earthquakes values(38.8218333,-122.8466667,0.14);',
'insert into jk64demo_earthquakes values(59.9333,-152.9308,2);',
'insert into jk64demo_earthquakes values(64.7613,-148.9043,1.1);',
'insert into jk64demo_earthquakes values(37.3594,-117.2962,0.5);',
'insert into jk64demo_earthquakes values(53.5485,-167.3062,2);',
'insert into jk64demo_earthquakes values(38.7805,-122.7585,-0.12);',
'insert into jk64demo_earthquakes values(35.5541,-116.6398,0.3);',
'insert into jk64demo_earthquakes values(64.7252,-147.4858,0.6);',
'insert into jk64demo_earthquakes values(42.1471667,-111.1813333,1.73);',
'insert into jk64demo_earthquakes values(33.4848333,-116.4056667,0.57);',
'insert into jk64demo_earthquakes values(36.791,-115.9277,-0.2);',
'insert into jk64demo_earthquakes values(38.8076667,-122.7703333,1.22);',
'insert into jk64demo_earthquakes values(38.8096667,-122.7698333,1.24);',
'insert into jk64demo_earthquakes values(19.3778333,-155.2808333,1.2);',
'insert into jk64demo_earthquakes values(19.3793333,-155.2806667,2);',
'insert into jk64demo_earthquakes values(61.0682,-149.3054,1.5);',
'insert into jk64demo_earthquakes values(34.9265,-118.9873333,1.92);',
'insert into jk64demo_earthquakes values(34.9213333,-118.9858333,1.16);',
'insert into jk64demo_earthquakes values'))
);
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'(54.9192,-159.9624,3.4);',
'insert into jk64demo_earthquakes values(18.9179,-64.4038,3.1);',
'insert into jk64demo_earthquakes values(18.593,-67.4735,2.5);',
'insert into jk64demo_earthquakes values(65.6109,-149.9196,1.4);',
'insert into jk64demo_earthquakes values(35.7533333,-120.3001667,0.78);',
'insert into jk64demo_earthquakes values(61.425,-146.4584,1.6);',
'insert into jk64demo_earthquakes values(34.0228333,-117.2411667,1.01);',
'insert into jk64demo_earthquakes values(65.9268,-149.7691,1.3);',
'insert into jk64demo_earthquakes values(37.5998333,-119.0006667,-0.04);',
'insert into jk64demo_earthquakes values(37.7841,-114.253,0.6);',
'insert into jk64demo_earthquakes values(55.9598,110.0523,4.7);',
'insert into jk64demo_earthquakes values(18.0445,-64.8095,3.4);',
'insert into jk64demo_earthquakes values(37.576,-118.8548333,0.04);',
'insert into jk64demo_earthquakes values(37.5691667,-118.8623333,0.64);',
'insert into jk64demo_earthquakes values(37.5745,-118.8565,-0.02);',
'insert into jk64demo_earthquakes values(37.5691667,-118.8533333,0.15);',
'insert into jk64demo_earthquakes values(63.9028,-150.2254,0.9);',
'insert into jk64demo_earthquakes values(37.6386667,-118.9456667,0.57);',
'insert into jk64demo_earthquakes values(35.3348333,-118.5546667,2.23);',
'insert into jk64demo_earthquakes values(36.4499,-98.7727,2.2);',
'insert into jk64demo_earthquakes values(35.3465,-118.5671667,2.55);',
'insert into jk64demo_earthquakes values(35.3325,-118.5521667,3.11);',
'insert into jk64demo_earthquakes values(35.3326667,-118.5535,1.8);',
'insert into jk64demo_earthquakes values(36.2228333,-89.5113333,1.5);',
'insert into jk64demo_earthquakes values(63.1952,-151.4458,1.3);',
'insert into jk64demo_earthquakes values(35.443,-118.3506667,1.23);',
'insert into jk64demo_earthquakes values(35.7721667,-117.673,0.88);',
'insert into jk64demo_earthquakes values(62.2092,-149.3045,1.6);',
'insert into jk64demo_earthquakes values(34.5135,-119.0988333,1.42);',
'insert into jk64demo_earthquakes values(36.7515,-121.2886667,1.86);',
'insert into jk64demo_earthquakes values(64.714,-147.5966,0.5);',
'insert into jk64demo_earthquakes values(38.8888333,-123.2963333,1.34);',
'insert into jk64demo_earthquakes values(18.811,-65.0005,2.6);',
'insert into jk64demo_earthquakes values(39.3469,-119.9545,0.7);',
'insert into jk64demo_earthquakes values(51.506,-174.2775,2.2);',
'insert into jk64demo_earthquakes values(19.0371667,-155.3716667,3.12);',
'insert into jk64demo_earthquakes values(38.7975,-122.807,0.43);',
'insert into jk64demo_earthquakes values(38.8198333,-122.8146667,0.25);',
'insert into jk64demo_earthquakes values(40.5403333,-121.7586667,0.4);',
'insert into jk64demo_earthquakes values(19.3663333,-155.4458333,1.52);',
'insert into jk64demo_earthquakes values(44.3103333,-122.3706667,1.66);',
'insert into jk64demo_earthquakes values(63.5035,-151.2706,1.1);',
'insert into jk64demo_earthquakes values(38.7608333,-122.6253333,1.07);',
'insert into jk64demo_earthquakes values(63.3035,-151.4061,2.1);',
'insert into jk64demo_earthquakes values(33.8123333,-116.167,0.97);',
'insert into jk64demo_earthquakes values(66.7913,-162.9327,2.9);',
'insert into jk64demo_earthquakes values(51.5373,-174.3088,2.9);',
'insert into jk64demo_earthquakes values(34.0318333,-117.5201667,0.63);',
'insert into jk64demo_earthquakes values(35.0055,-116.9536667,1.81);',
'insert into jk64demo_earthquakes values(18.9955,-66.975,3);',
'insert into jk64demo_earthquakes values(36.4516,-98.772,2.3);',
'insert into jk64demo_earthquakes values(59.1369,-152.3735,2.1);',
'insert into jk64demo_earthquakes values(63.5409,-147.6683,1.3);',
'insert into jk64demo_earthquakes values(19.2391663,-155.4356689,1.93);',
'insert into jk64demo_earthquakes values(41.9522,-120.1733,1.3);',
'insert into jk64demo_earthquakes values(38.8005,-122.85,0.36);',
'insert into jk64demo_earthquakes values(34.103,-116.9536667,0.94);',
'insert into jk64demo_earthquakes values(-4.5642,153.052,5.3);',
'insert into jk64demo_earthquakes values(18.5049,-66.345,2.7);',
'insert into jk64demo_earthquakes values(-22.279,171.4232,5.2);',
'insert into jk64demo_earthquakes values(63.4801,-151.2657,1.3);',
'insert into jk64demo_earthquakes values(38.8028333,-122.8511667,0.11);',
'insert into jk64demo_earthquakes values(36.1043333,-117.961,0.87);',
'insert into jk64demo_earthquakes values(64.9983,-147.3396,1.7);',
'insert into jk64demo_earthquakes values(64.9776,-147.3374,1.8);',
'insert into jk64demo_earthquakes values(37.5868333,-118.9906667,0.06);',
'insert into jk64demo_earthquakes values(41.8863,-119.6212,1);',
'insert into jk64demo_earthquakes values(38.0076667,-112.231,1.8);',
'insert into jk64demo_earthquakes values(39.7957,-117.616,2.1);',
'insert into jk64demo_earthquakes values(48.8693333,-122.203,1.09);',
'insert into jk64demo_earthquakes values(46.193,-122.195,-0.39);',
'insert into jk64demo_earthquakes values(34.0285,-116.8468333,1.11);',
'insert into jk64demo_earthquakes values(46.1941667,-122.1945,0.04);',
'insert into jk64demo_earthquakes values(39.403,-119.5605,0.5);',
'insert into jk64demo_earthquakes values(63.5018,-151.2547,2.9);',
'insert into jk64demo_earthquakes values(34.0993333,-116.955,1.08);',
'insert into jk64demo_earthquakes values(37.6331667,-118.8778333,1.12);',
'insert into jk64demo_earthquakes values(37.577,-118.8686667,0.62);',
'insert into jk64demo_earthquakes values(40.0523,-119.6533,0.3);',
'insert into jk64demo_earthquakes values(56.722,-154.1635,3);',
'insert into jk64demo_earthquakes values(38.7871667,-122.7423333,1.25);',
'insert into jk64demo_earthquakes values(36.4643,-98.7492,1.6);',
'insert into jk64demo_earthquakes values(64.6323,-150.3051,0.9);',
'insert into jk64demo_earthquakes values(38.4394,-118.3897,0);',
'insert into jk64demo_earthquakes values(63.2187,-151.3306,1.5);',
'insert into jk64demo_earthquakes values(37.1696667,-112.815,1.31);',
'insert into jk64demo_earthquakes values(51.9804,-174.4177,1.9);',
'insert into jk64demo_earthquakes values(64.1968,-148.0878,1.1);',
'insert into jk64demo_earthquakes values(39.3471,-119.9696,0.8);',
'insert into jk64demo_earthquakes values(58.4811,-150.8014,1.5);',
'insert into jk64demo_earthquakes values(61.3881,-151.4043,1.5);',
'insert into jk64demo_earthquakes values(38.5354,-118.4591,1.1);',
'insert into jk64demo_earthquakes values(34.06,-117.0898333,1.18);',
'insert into jk64demo_earthquakes values(34.3451667,-116.8525,1.36);',
'insert into jk64demo_earthquakes values(46.1511667,-122.166,0.75);',
'insert into jk64demo_earthquakes values(38.416,-118.3382,0.3);',
'insert into jk64demo_earthquakes values(34.5113333,-119.0916667,1.05);',
'insert into jk64demo_earthquakes values(60.4053,-148.0056,1.7);',
'insert into jk64demo_earthquakes values(37.0577,-114.9835,1.2);',
'insert into jk64demo_earthquakes values(43.7185,-110.2036667,1.52);',
'insert into jk64demo_earthquakes values(37.0561,-115.0375,1);',
'insert into jk64demo_earthquakes values(38.821,-122.7791667,0.23);',
'insert into jk64demo_earthquakes values(38.8203333,-122.8238333,1.43);',
'insert into jk64demo_earthquakes values(63.2076,-152.4442,1.8);',
'insert into jk64demo_earthquakes values(61.3818,-146.759,1.4);',
'insert into jk64demo_earthquakes values(64.0962,-148.4795,1.7);',
'insert into jk64demo_earthquakes values(64.5277,-149.3483,0.2);',
'insert into jk64demo_earthquakes values(33.8913333,-116.2405,0.96);',
'insert into jk64demo_earthquakes values(59.0703,-153.2193,1.9);',
'insert into jk64demo_earthquakes values(60.1996,-151.2402,0.9);',
'insert into jk64demo_earthquakes values(51.5075,-173.5952,2.9);',
'insert into jk64demo_earthquakes values(-19.8458,-175.5558,4.8);',
'insert into jk64demo_earthquakes values(60.9032,-150.5714,1.4);',
'insert into jk64demo_earthquakes values(36.9943333,-97.8338333,2.06);',
'insert into jk64demo_earthquakes values(18.7978,-64.4616,2.2);',
'insert into jk64demo_earthquakes values(37.1378,-116.7477,-0.4);',
'insert into jk64demo_earthquakes values(60.2062,-141.1469,1.5);',
'insert into jk64demo_earthquakes values(46.197,-122.1863333,0.67);',
'insert into jk64demo_earthquakes values(33.4605,-116.7415,0.39);',
'insert into jk64demo_earthquakes values(38.4735,-112.302,0.66);',
'insert into jk64demo_earthquakes values(38.8056667,-122.7701667,1.45);',
'insert into jk64demo_earthquakes values(63.6429,-149.9192,1.6);',
'insert into jk64demo_earthquakes values(-56.0197,-27.1575,5.2);',
'insert into jk64demo_earthquakes values(63.3834,-149.5686,1.3);',
'insert into jk64demo_earthquakes values(37.2563333,-118.3936667,1.65);',
'insert into jk64demo_earthquakes values(62.3004,-150.0173,1.5);',
'insert into jk64demo_earthquakes values(39.7386667,-111.2153333,1.69);',
'insert into jk64demo_earthquakes values(33.9425,-116.9895,1.15);',
'insert into jk64demo_earthquakes values(37.2496667,-118.391,2.84);',
'insert into jk64demo_earthquakes values(61.0559,-151.9402,1.8);',
'insert into jk64demo_earthquakes values(35.5418333,-120.2598333,2.6);',
'insert into jk64demo_earthquakes values(44.7275,-111.0316667,0.59);',
'insert into jk64demo_earthquakes values(33.4005,-116.423,0.68);',
'insert into jk64demo_earthquakes values(37.6666667,-118.8771667,0.18);',
'insert into jk64demo_earthquakes values(65.0395,-148.7719,1);',
'insert into jk64demo_earthquakes values(39.4206,-120.5536,0.6);',
'insert into jk64demo_earthquakes values(37.5835,-118.8526667,-0.08);',
'insert into jk64demo_earthquakes values(38.4691667,-112.3021667,1.02);',
'insert into jk64demo_earthquakes values(64.0833,-148.4795,1.5);',
'insert into jk64demo_earthquakes values(37.5786667,-118.8558333,0);',
'insert into jk64demo_earthquakes values(63.5314,-150.9643,1.2);',
'insert into jk64demo_earthquakes values(39.4059,-120.5732,1.2);',
'insert into jk64demo_earthquakes values(38.8401667,-122.827,1.33);',
'insert into jk64demo_earthquakes values(17.8036,-65.6039,2.7);',
'insert into jk64demo_earthquakes values(35.3248333,-117.5301667,1.34);',
'insert into jk64demo_earthquakes values(39.0015,-118.5355,1.4);',
'insert into jk64demo_earthquakes values(61.8874,-149.2307,1.2);',
'insert into jk64demo_earthquakes values(59.7025,-153.3412,1.5);',
'insert into jk64demo_earthquakes values(39.9036,-120.4433,0.3);',
'insert into jk64demo_earthquakes values(61.0946,-150.9976,1.4);',
'insert into jk64demo_earthquakes values(36.6517,-97.2508,2.6);',
'insert into jk64demo_earthquakes values(35.7309,-116.5127,0.2);',
'insert into jk64demo_earthquakes values(51.5691,-173.6245,4.2);',
'insert into jk64demo_earthquakes values(19.21,-155.2695,1.84);',
'insert into jk64demo_earthquakes values(49.4946667,-116.858,2.03);',
'insert into jk64demo_earthquakes values(36.6481,-97.2718,2.9);',
'insert into jk64demo_earthquakes values(59.4076,-152.6592,2.1);',
'insert into jk64demo_earthquakes values(61.9529,-147.3804,1.7);',
'insert into jk64demo_earthquakes values(61.8796,-149.1352,0.7);',
'insert into jk64demo_earthquakes values(33.6665,-116.7143333,0.6);',
'insert into jk64demo_earthquakes values(46.5913333,-121.7668333,2.35);',
'insert into jk64demo_earthquakes values(46.6,-121.758,2.15);',
'insert into jk64demo_earthquakes values(39.4295,-119.7837,1.3);',
'insert into jk64demo_earthquakes values(63.3248,-147.7133,1.2);',
'insert into jk64demo_earthquakes values(62.9001,-152.7655,1.3);',
'insert into jk64demo_earthquakes values(36.562,-121.072,2.46);',
'insert into jk64demo_earthquakes values(59.6285,-152.242,2.5);',
'insert into jk64demo_earthquakes values(38.4751,-118.5106,-0.2);',
'insert into jk64demo_earthquakes values(37.5663333,-118.8521667,0.21);',
'insert into jk64demo_earthquakes values(35.2188,-3.6951,4.7);',
'insert into jk64demo_earthquakes values(63.0659,-150.9298,1.7);',
'insert into jk64demo_earthquakes values(41.04,141.9066,4.5);',
'insert into jk64demo_earthquakes values(-5.2436,151.8892,4.8);',
'insert into jk64demo_earthquakes values(36.9164,-97.9872,3.3);',
'insert into jk64demo_earthquakes values(63.8327,-148.6981,1.2);',
'insert into jk64demo_earthquakes values(38.8146667,-122.8233333,0.55);',
'insert into jk64demo_earthquakes values(36.8596,-98.1493,2.9);',
'insert into jk64demo_earthquakes values(63.2881,-151.1199,1.1);',
'insert into jk64demo_earthquakes values(-4.5988,133.9954,4.7);',
'insert into jk64demo_earthquakes values(38.837,-122.83,-0.12);',
'insert into jk64demo_earthquakes values(38.8366667,-122.8285,2.02);',
'insert into jk64demo_earthquakes values(36.7242,-116.2065,-0.1);',
'insert into jk64demo_earthquakes values(38.8206667,-122.8445,0.35);',
'insert into jk64demo_earthquakes values(51.1878,-179.9196,3.1);',
'insert into jk64demo_earthquakes values(47.9281667,-121.5743333,1.39);',
'insert into jk64demo_earthquakes values(19.394,-155.7935,1.23);',
'insert into jk64demo_earthquakes values(38.7433333,-122.695,0.79);',
'insert into jk64demo_earthquakes values(38.7475,-122.6991667,1.5);',
'insert into jk64demo_earthquakes values(38.5583,-119.5023,1.1);',
'insert into jk64demo_earthquakes values(63.549,-147.6657,1.6);',
'insert into jk64demo_earthquakes values(38.823,-122.824,0.34);',
'insert into jk64demo_earthquakes values(38.8255,-122.8251667,0.12);',
'insert into jk64demo_earthquakes values(46.198,-122.1815,0.36);',
'insert into jk64demo_earthquakes values(38.8228333,-122.8241667,1.15);',
'insert into jk64demo_earthquakes values(38.8236667,-122.8246667,1.19);',
'insert into jk64demo_earthquakes values(38.8231667,-122.8246667,0.94);',
'insert into jk64demo_earthquakes values(34.0153333,-116.7641667,0.75);',
'insert into jk64demo_earthquakes values(58.884,-141.5828,2.1);',
'insert into jk64demo_earthquakes values(46.1598333,-122.1965,0.33);',
'insert into jk64demo_earthquakes values(63.5692,-147.7445,3.7);',
'insert into jk64demo_earthquakes values(38.822,-122.7973333,1);',
'insert into jk64demo_earthquakes values(63.2827,-150.5399,1.9);',
'insert into jk64demo_earthquakes values(38.8215,-122.7978333,0.85);',
'insert into jk64demo_earthquakes values(44.5515,-114.5081667,1.62);',
'insert into jk64demo_earthquakes values(19.2145,-64.7949,3.2);',
'insert into jk64demo_earthquakes values(39.5821,-119.7482,-0.1);',
'insert into jk64demo_earthquakes values(-11.9041,118.3536,4.9);',
'insert into jk64demo_earthquakes values(38.8228333,-122.8415,0.34);',
'insert into jk64demo_earthquakes values(4.6516,125.0784,5.6);',
'insert into jk64demo_earthquakes values(64.9626,-148.3875,0.9);',
'insert into jk64demo_earthquakes values(60.844,-149.8159,1.5);',
'insert into jk64demo_earthquakes values(4.6628,125.0683,5.1);',
'insert into jk64demo_earthquakes values(36.4381,-98.7822,1.7);',
'insert into jk64demo_earthquakes values(36.4683,-98.7479,1.7);',
'insert into jk64demo_earthquakes values(35.1321667,-118.247,1.4);',
'insert into jk64demo_earthquakes values(36.5189,-98.6917,2.2);',
'insert into jk64demo_earthquakes values(37.6375,-118.9388333,0.59);',
'insert into jk64demo_earthquakes values(36.4484,-98.7691,1.8);',
'insert into jk64demo_earthquakes values(37.5683333,-118.8563333,0.86);',
'insert into jk64demo_earthquakes values(46.9481667,-121.97,0.51);',
'insert into jk64demo_earthquakes values(-9.075,-109.0229,4.9);',
'insert into jk64demo_earthquakes values(62.4683,-149.2187,1.5);',
'insert into jk64demo_earthquakes values(38.2402,-118.3171,0.9);',
'insert into jk64demo_earthquakes values(63.2305,-151.0187,1.6);',
'insert into jk64demo_earthquakes values(64.0384,-147.4433,1.2);',
'insert into jk64demo_earthquakes values(37.3541,-117.7195,0.8);',
'insert into jk64demo_earthquakes values(37.5711667,-118.8585,1.22);',
'insert into jk64demo_earthquakes values(37.4808333,-119.6498333,1.67);',
'insert into jk64demo_earthquakes values(33.2235,-116.0811667,1.68);',
'insert into jk64demo_earthquakes values(33.6311667,-116.681,0.6);',
'insert into jk64demo_earthquakes values(37.5686667,-118.8541667,0.22);',
'insert into jk64demo_earthquakes values(39.7365,-111.2391667,1.42);',
'insert into jk64demo_earthquakes values(62.0615,-149.0494,1.5);',
'insert into jk64demo_earthquakes values(37.5615,-118.8848333,0.21);',
'insert into jk64demo_earthquakes values(-17.584,-178.8432,4.7);',
'insert into jk64demo_earthquakes values(-58.8838,-23.5191,5);',
'insert into jk64demo_earthquakes values(-55.7087,146.7441,5);',
'insert into jk64demo_earthquakes values(37.5723333,-118.8391667,-0.01);',
'insert into jk64demo_earthquakes values(35.4406667,-118.3501667,1.37);',
'insert into jk64demo_earthquakes values(18.002,-66.505,2.6);',
'insert into jk64demo_earthquakes values(38.712,-119.5864,1);',
'insert into jk64demo_earthquakes values(36.1881667,-118.0931667,1.48);',
'insert into jk64demo_earthquakes values(62.9131,-151.255,1.1);',
'insert into jk64demo_earthquakes values(33.6045,-116.7415,0.37);',
'insert into jk64demo_earthquakes values(62.1804,-148.2845,1.6);',
'insert into jk64demo_earthquakes values(36.5536667,-89.8616667,2.23);',
'insert into jk64demo_earthquakes values(39.67,-120.375,-0.1);',
'insert into jk64demo_earthquakes values(37.5688333,-118.8605,0.51);',
'insert into jk64demo_earthquakes values(37.2931667,-118.5,1.08);',
'insert into jk64demo_earthquakes values(39.3517,-119.978,0.1);',
'insert into jk64demo_earthquakes values(64.7152,-147.6346,0.6);',
'insert into jk64demo_earthquakes values(17.9272,-66.2652,2.4);',
'insert into jk64demo_earthquakes values(38.7059,-119.5958,1.1);',
'insert into jk64demo_earthquakes values(47.3075,-122.2561667,0.92);',
'insert into jk64demo_earthquakes values(38.496,-118.4143,0.1);',
'insert into jk64demo_earthquakes values(36.7297,-116.3072,-0.1);',
'insert into jk64demo_earthquakes values(39.3529,-119.9814,0.9);',
'insert into jk64demo_earthquakes values(37.4721667,-118.818,1.56);',
'insert into jk64demo_earthquakes values(35.3893333,-118.2061667,0.83);',
'insert into jk64demo_earthquakes values(37.5763333,-118.8646667,0.07);',
'insert into jk64demo_earthquakes values(37.5716667,-118.8571667,1);',
'insert into jk64demo_earthquakes values(39.3463,-119.9656,0.2);',
'insert into jk64demo_earthquakes values(37.577,-118.8665,0.17);',
'insert into jk64demo_earthquakes values(47.2045,-121.8923333,1.02);',
'insert into jk64demo_earthquakes values(19.405,-155.6353333,0.97);',
'insert into jk64demo_earthquakes values(36.8242,-98.2728,3);',
'insert into jk64demo_earthquakes values(38.815,-122.8181667,1.43);',
'insert into jk64demo_earthquakes values(36.6025,-112.8217,1.2);',
'insert into jk64demo_earthquakes values(64.7911,-148.7517,1.3);',
'insert into jk64demo_earthquakes values(38.5349,-118.4546,0.3);',
'insert into jk64demo_earthquakes values(64.3558,-147.1708,1.3);',
'insert into jk64demo_earthquakes values(19.4183333,-155.609,0.61);',
'insert into jk64demo_earthquakes values(34.5361667,-118.9906667,2.43);',
'insert into jk64demo_earthquakes values(63.4414,-147.7612,1.5);',
'insert into jk64demo_earthquakes values(36.194,-118.088,1.22);',
'insert into jk64demo_earthquakes values(59.7027,-153.1945,2);',
'insert into jk64demo_earthquakes values(19.0347,-66.72,2.9);',
'insert into jk64demo_earthquakes values(38.5095,-118.5067,-0.2);',
'insert into jk64demo_earthquakes values(37.5168333,-118.4201667,0.81);',
'insert into jk64demo_earthquakes values(33.6613333,-116.777,0.63);',
'insert into jk64demo_earthquakes values(33.6581667,-116.7763333,0.57);',
'insert into jk64demo_earthquakes values(34.156,-116.8136667,2);',
'insert into jk64demo_earthquakes values(38.7031,-119.5918,1.3);',
'insert into jk64demo_earthquakes values(46.3371667,-122.3551667,0.47);',
'insert into jk64demo_earthquakes values(64.593,-149.5026,0.4);',
'insert into jk64demo_earthquakes values(-31.2371,-71.678,5.2);',
'insert into jk64demo_earthquakes values(36.1905,-118.0891667,1.21);',
'insert into jk64demo_earthquakes values(44.773,-111.1886667,-0.11);',
'insert into jk64demo_earthquakes values(62.8242,-149.5063,1.6);',
'insert into jk64demo_earthquakes values(61.0893,-146.5479,1.3);',
'insert into jk64demo_earthquakes values(19.435,-155.611,0.64);',
'insert into jk64demo_earthquakes values(36.1843333,-118.0841667,2.47);',
'insert into jk64demo_earthquakes values(18.2821,-63.5923,2.8);',
'insert into jk64demo_earthquakes values(61.7607,-148.1967,1.4);',
'insert into jk64demo_earthquakes values(41.86,-119.5751,1.6);',
'insert into jk64demo_earthquakes values(59.5285,-153.087,2.6);',
'insert into jk64demo_earthquakes values(62.9177,-149.7958,1.2);',
'insert into jk64demo_earthquakes values(64.8043,-147.8043,0.6);',
'insert into jk64demo_earthquakes values(45.7951667,-122.45,1.1);',
'insert into jk64demo_earthquakes values(38.819,-122.7996667,1.76);',
'insert into jk64demo_earthquakes values(37.4333,-116.2554,0.8);',
'insert into jk64demo_earthquakes values(37.0033333,-112.4245,1.31);',
'insert into jk64demo_earthquakes values(63.5234,-147.2963,1.2);',
'insert into jk64demo_earthquakes values(33.8928333,-116.239,0.72);',
'insert into jk64demo_earthquakes values(39.321,-120.5679,0.8);',
'insert into jk64demo_earthquakes values(39.6346667,-122.0248333,1.45);',
'insert into jk64demo_earthquakes values(36.6365,-121.2465,1.28);',
'insert into jk64demo_earthquakes values(37.599,-118.882,0.38);',
'insert into jk64demo_earthquakes values(36.208,-118.0465,1.14);',
'insert into jk64demo_earthquakes values(36.21,-118.0483333,1.41);',
'insert into jk64demo_earthquakes values(59.7469,-153.0867,2.4);',
'insert into jk64demo_earthquakes values(59.4309,-152.4142,1.9);',
'insert into jk64demo_earthquakes values(47.8695,-113.551,0.9);',
'insert into jk64demo_earthquakes values(19.1373,-66.4425,2.8);',
'insert into jk64demo_earthquakes values(39.5376,143.2152,4.9);',
'insert into jk64demo_earthquakes values(39.7871,-120.8679,0.9);',
'insert into jk64demo_earthquakes values(36.176,-118.0786667,0.6);',
'insert into jk64demo_earthquakes values(36.1911667,-118.0891667,1.21);',
'insert into jk64demo_earthquakes values(32.9235,-116.2258333,1.07);',
'insert into jk64demo_earthquakes values(43.7268333,-110.2663333,1.69);',
'insert into jk64demo_earthquakes values(37.3366667,-118.5425,1.33);',
'insert into jk64demo_earthquakes values(56.5276,-155.475,3.3);',
'insert into jk64demo_earthquakes values(38.4157,-118.3416,0.2);',
'insert into jk64demo_earthquakes values(41.87,-119.6286,0.6);',
'insert into jk64demo_earthquakes values(37.1512,-98.0063,2.5);',
'insert into jk64demo_earthquakes values(65.0932,-145.983,1.1);',
'insert into jk64demo_earthquakes values(64.969,-147.3492,1.5);',
'insert into jk64demo_earthquakes values(51.4761,-173.5634,4.1);',
'insert into jk64demo_earthquakes values(0.0165,123.3719,4.4);',
'insert into jk64demo_earthquakes values(40.2773333,-121.2326667,1.06);',
'insert into jk64demo_earthquakes values(36.4799,-98.8066,1.7);',
'insert into jk64demo_earthquakes values(34.6151667,-116.6143333,1.7);',
'insert into jk64demo_earthquakes values(33.0576667,-114.988,1.44);',
'insert into jk64demo_earthquakes values(61.5829,-141.0525,1.4);',
'insert into jk64demo_earthquakes values(37.5435,-112.308,1.72);',
'insert into jk64demo_earthquakes values(39.639,-119.791,0);',
'insert into jk64demo_earthquakes values(19.2047,-66.9373,3);',
'insert into jk64demo_earthquakes values(47.167,-121.8071667,1.86);',
'insert into jk64demo_earthquakes values(48.0187,80.4233,4.5);',
'insert into jk64demo_earthquakes values(38.8356667,-122.7991667,0.1);',
'insert into jk64demo_earthquakes values(38.8353333,-122.7985,0.07);',
'insert into jk64demo_earthquakes values(59.7554,-153.076,1.8);',
'insert into jk64demo_earthquakes values(37.6353333,-118.9725,0.22);',
'insert into jk64demo_earthquakes values(39.5804,-120.4108,0.5);',
'insert into jk64demo_earthquakes values(32.5728333,-115.6866667,2.2);',
'insert into jk64demo_earthquakes values(11.5194,141.7266,4.7);',
'insert into jk64demo_earthquakes values(47.7473333,-113.703,0.73);',
'insert into jk64demo_earthquakes values(46.4203333,-119.2686667,1.42);',
'insert into jk64demo_earthquakes values(47.6696667,-120.1265,1.16);',
'insert into jk64demo_earthquakes values(34.988,-118.1935,1.04);',
'insert into jk64demo_earthquakes values(47.5063333,-120.2855,0.96);',
'insert into jk64demo_earthquakes values(38.1721,-118.5372,0.6);',
'insert into jk64demo_earthquakes values(60.5772,-151.7069,1.2);',
'insert into jk64demo_earthquakes values(39.6143333,-121.565,2.62);',
'insert into jk64demo_earthquakes values(38.797,-122.7655,1.15);',
'insert into jk64demo_earthquakes values(11.5221,141.6809,5.2);',
'insert into jk64demo_earthquakes values(41.8751,-119.681,1.4);',
'insert into jk64demo_earthquakes values(46.3866667,-122.3301667,1.03);',
'insert into jk64demo_earthquakes values(62.2088,-150.0881,1.3);',
'insert into jk64demo_earthquakes values(40.7418333,-122.3115,1.46);',
'insert into jk64demo_earthquakes values(33.591,-116.7555,0.73);',
'insert into jk64demo_earthquakes values(62.8655,-150.9389,1.7);',
'insert into jk64demo_earthquakes values(60.0216,-152.1311,1.1);',
'insert into jk64demo_earthquakes values(33.8816667,-116.754,0.89);',
'insert into jk64demo_earthquakes values(39.3583,-119.9777,1.2);',
'insert into jk64demo_earthquakes values(63.1729,-144.2394,0.9);',
'insert into jk64demo_earthquakes values(37.5663333,-118.8548333,0.06);',
'insert into jk64demo_earthquakes values(61.8422,-149.649,0.9);',
'insert into jk64demo_earthquakes values(64.0934,-148.473,1.2);',
'insert into jk64demo_earthquakes values(39.3519,-119.9854,0.4);',
'insert into jk64demo_earthquakes values(38.8338333,-122.8126667,0.25);',
'insert into jk64demo_earthquakes values(61.0878,-148.2599,1.2);',
'insert into jk64demo_earthquakes values(46.3156667,-111.6213333,1.3);',
'insert into jk64demo_earthquakes values(53.2126,159.7195,4.5);',
'insert into jk64demo_earthquakes values(27.7234,85.534,4.3);',
'insert into jk64demo_earthquakes values(49.4653333,-120.5313333,1.84);',
'insert into jk64demo_earthquakes values(59.7654,-153.0198,3);',
'insert into jk64demo_earthquakes values(36.641,-121.2595,1.57);',
'insert into jk64demo_earthquakes values(11.8979,-87.5608,4.3);',
'insert into jk64demo_earthquakes values(35.6763,-97.3822,2);',
'insert into jk64demo_earthquakes values(66.1695,-141.8764,2.1);',
'insert into jk64demo_earthquakes values(32.6345,-115.7085,2.87);',
'insert into jk64demo_earthquakes values(33.6408333,-116.7188333,0.71);',
'insert into jk64demo_earthquakes values(33.6463333,-116.7158333,0.6);',
'insert into jk64demo_earthquakes values(33.6493333,-116.717,0.59);',
'insert into jk64demo_earthquakes values(63.1542,-150.7442,1.6);',
'insert into jk64demo_earthquakes values(33.6458333,-116.721,0.68);',
'insert into jk64demo_earthquakes values(33.6566667,-116.7248333,0.78);',
'insert into jk64demo_earthquakes values(62.0927,-149.6828,2.1);',
'insert into jk64demo_earthquakes values(41.8463,-119.6705,1.3);',
'insert into jk64demo_earthquakes values(39.0661,-115.1964,1.5);',
'insert into jk64demo_earthquakes values(36.2066667,-121.7418333,1.48);',
'insert into jk64demo_earthquakes values(37.2201667,-118.4068333,1.75);',
'insert into jk64demo_earthquakes values(37.6393333,-118.9756667,1.19);',
'insert into jk64demo_earthquakes values(64.1281,-149.9043,2.1);',
'insert into jk64demo_earthquakes values(38.815834,-122.8270035,0.34);',
'insert into jk64demo_earthquakes values(38.809166,-122.8263321,0.95);',
'insert into jk64demo_earthquakes values(37.585,-118.9965,0.53);',
'insert into jk64demo_earthquakes values(35.8273,-116.2926,0.9);',
'insert into jk64demo_earthquakes values(38.9505,-118.7077,1.5);',
'insert into jk64demo_earthquakes values(64.9841,-147.4359,1.6);',
'insert into jk64demo_earthquakes values(32.6903333,-115.7426667,1.96);',
'insert into jk64demo_earthquakes values(45.9956667,-112.4578333,1.92);',
'insert into jk64demo_earthquakes values(36.4321667,-121.0093333,1.62);',
'insert into jk64demo_earthquakes values(61.452,-149.835,1.5);',
'insert into jk64demo_earthquakes values(62.9675,-150.0275,2.4);',
'insert into jk64demo_earthquakes values(63.2865,-151.0836,1.9);',
'insert into jk64demo_earthquakes values(59.9321,-140.1101,1.7);',
'insert into jk64demo_earthquakes values(64.0973,-148.4556,1.1);',
'insert into jk64demo_earthquakes values(61.2744,-147.4633,1.3);',
'insert into jk64demo_earthquakes values(64.0939,-148.4552,1);',
'insert into jk64demo_earthquakes values(34.0361667,-117.8941667,0.83);',
'insert into jk64demo_earthquakes values(64.2465,-148.4684,2.9);',
'insert into jk64demo_earthquakes values(64.0935,-148.4598,2.4);',
'insert into jk64demo_earthquakes values(61.5182,-150.8353,1.8);',
'insert into jk64demo_earthquakes values(18.4465,-66.4562,2.7);',
'insert into jk64demo_earthquakes values(37.2752,-117.5089,0.4);',
'insert into jk64demo_earthquakes values(36.6597,-116.6578,-0.1);',
'insert into jk64demo_earthquakes values(34.015,-117.1593333,0.78);',
'insert into jk64demo_earthquakes values(33.8626667,-117.1003333,1.1);',
'insert into jk64demo_earthquakes values(38.8251648,-122.8251648,0.43);',
'insert into jk64demo_earthquakes values(60.7075,-149.6912,1.3);',
'insert into jk64demo_earthquakes values(36.463,-98.7549,2.1);',
'insert into jk64demo_earthquakes values(61.1634,-147.1962,1.6);',
'insert into jk64demo_earthquakes values(36.4698,-98.7363,3.4);',
'insert into jk64demo_earthquakes values(44.5113,-70.415,1.6);',
'insert into jk64demo_earthquakes values(38.8446667,-122.8311667,1.04);',
'insert into jk64demo_earthquakes values(-32.6096,-71.6967,3.9);',
'insert into jk64demo_earthquakes values(19.0722,147.4474,4.2);',
'insert into jk64demo_earthquakes values(33.9975,-116.3723333,2.11);',
'insert into jk64demo_earthquakes values(63.0811,-151.5473,1.3);',
'insert into jk64demo_earthquakes values(-19.9543,-68.9137,3.8);',
'insert into jk64demo_earthquakes values(34.2095,-117.5653333,2.62);',
'insert into jk64demo_earthquakes values(37.1277,-118.1988,1.1);',
'insert into jk64demo_earthquakes values(17.8967,-66.112,2.7);',
'insert into jk64demo_earthquakes values(19.4205,-155.6095,0.71);',
'insert into jk64demo_earthquakes values(33.0311667,-116.4298333,1.01);',
'insert into jk64demo_earthquakes values(33.4731667,-116.4915,0.58);',
'insert into jk64demo_earthquakes values(38.7871667,-122.7808333,1.59);',
'insert into jk64demo_earthquakes values(63.4039,-147.1922,2.3);',
'insert into jk64demo_earthquakes values(36.7688333,-121.4641667,2.35);',
'insert into jk64demo_earthquakes values(37.5738333,-118.873,0.53);',
'insert into jk64demo_earthquakes values(38.8163333,-122.7956667,0.3);',
'insert into jk64demo_earthquakes values(64.9717,-147.3388,1.4);',
'insert into jk64demo_earthquakes values(59.7909,-153.2561,2.4);',
'insert into jk64demo_earthquakes values(37.4492,-115.9529,0);',
'insert into jk64demo_earthquakes values(37.0396,-104.9762,2.8);',
'insert into jk64demo_earthquakes values(63.2412,-151.67,1.3);',
'insert into jk64demo_earthquakes values(38.4294,-118.2808,0.5);',
'insert into jk64demo_earthquakes values(38.8355,-122.801,0.69);',
'insert into jk64demo_earthquakes values(61.5594,-146.2929,1.'))
);
end;
/
begin
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'5);',
'insert into jk64demo_earthquakes values(18.9731,-65.3545,3.2);',
'insert into jk64demo_earthquakes values(19.4060001,-155.2788391,1.82);',
'insert into jk64demo_earthquakes values(35.5536667,-118.3386667,1.21);',
'insert into jk64demo_earthquakes values(18.523,-68.4535,4.3);',
'insert into jk64demo_earthquakes values(36.8781,-115.9705,0.2);',
'insert into jk64demo_earthquakes values(37.3845,-117.2632,0.3);',
'insert into jk64demo_earthquakes values(38.818,-122.7781667,1.45);',
'insert into jk64demo_earthquakes values(38.8138351,-122.7910004,1.05);',
'insert into jk64demo_earthquakes values(52.3019,178.7513,3.1);',
'insert into jk64demo_earthquakes values(33.0275,-117.7761667,1.98);',
'insert into jk64demo_earthquakes values(61.3,-147.6737,1.7);',
'insert into jk64demo_earthquakes values(59.8804,-153.4801,2.3);',
'insert into jk64demo_earthquakes values(38.8380013,-122.7985001,0.86);',
'insert into jk64demo_earthquakes values(65.3779,-144.7458,1.5);',
'insert into jk64demo_earthquakes values(38.8356667,-122.8006667,2.14);',
'insert into jk64demo_earthquakes values(38.8358333,-122.8,0.7);',
'insert into jk64demo_earthquakes values(47.2223333,-120.6441667,0.79);',
'insert into jk64demo_earthquakes values(36.1771,-96.9662,2.1);',
'insert into jk64demo_earthquakes values(33.4985,-116.7866667,0.58);',
'insert into jk64demo_earthquakes values(37.168,-117.3786,0.7);',
'insert into jk64demo_earthquakes values(38.7921,-117.9068,1.6);',
'insert into jk64demo_earthquakes values(38.79,-117.8927,1.5);',
'insert into jk64demo_earthquakes values(38.8251648,-122.8246689,1.17);',
'insert into jk64demo_earthquakes values(12.2147,144.5168,4.5);',
'insert into jk64demo_earthquakes values(44.5978333,-114.1133333,2.24);',
'insert into jk64demo_earthquakes values(53.9636,158.6398,4.7);',
'insert into jk64demo_earthquakes values(36.6646,-116.2716,-0.1);',
'insert into jk64demo_earthquakes values(62.7152,-151.6649,1.6);',
'insert into jk64demo_earthquakes values(37.5295,-120.0113333,2.15);',
'insert into jk64demo_earthquakes values(37.3663,-117.2748,1.2);',
'insert into jk64demo_earthquakes values(46.1946667,-122.2126667,0.9);',
'insert into jk64demo_earthquakes values(60.6058,-152.3724,1.9);',
'insert into jk64demo_earthquakes values(37.2776667,-118.368,0.62);',
'insert into jk64demo_earthquakes values(37.4061667,-121.8268333,1.21);',
'insert into jk64demo_earthquakes values(37.283,-117.6616,1);',
'insert into jk64demo_earthquakes values(36.4494,-98.7645,2.1);',
'insert into jk64demo_earthquakes values(34.0431667,-117.2776667,0.66);',
'insert into jk64demo_earthquakes values(33.9986667,-116.3655,0.93);',
'insert into jk64demo_earthquakes values(38.8046667,-122.813,0.41);',
'insert into jk64demo_earthquakes values(38.8063333,-122.8105,0.5);',
'insert into jk64demo_earthquakes values(33.9976667,-116.3728333,1.45);',
'insert into jk64demo_earthquakes values(36.7109,-116.3139,-0.1);',
'insert into jk64demo_earthquakes values(61.5559,-146.5254,1.7);',
'insert into jk64demo_earthquakes values(38.827,-122.8098333,0.5);',
'insert into jk64demo_earthquakes values(38.8145,-122.808,0.38);',
'insert into jk64demo_earthquakes values(62.3916,-146.284,1.5);',
'insert into jk64demo_earthquakes values(63.0274,-149.6537,2);',
'insert into jk64demo_earthquakes values(38.8176651,-122.8099976,0.67);',
'insert into jk64demo_earthquakes values(37.4736667,-118.8146667,1.68);',
'insert into jk64demo_earthquakes values(36.5805,-121.4173333,0.94);',
'insert into jk64demo_earthquakes values(46.2801667,-122.1731667,0.02);',
'insert into jk64demo_earthquakes values(38.4348,-118.3868,0.5);',
'insert into jk64demo_earthquakes values(37.3503,58.408,4.1);',
'insert into jk64demo_earthquakes values(2.2127,128.2951,4.2);',
'insert into jk64demo_earthquakes values(38.800499,-122.8126678,0.55);',
'insert into jk64demo_earthquakes values(62.6361,-149.2554,1.2);',
'insert into jk64demo_earthquakes values(37.5545,-118.8706667,0.78);',
'insert into jk64demo_earthquakes values(63.8139,-148.5316,1.4);',
'insert into jk64demo_earthquakes values(62.1739,-151.8238,1.8);',
'insert into jk64demo_earthquakes values(59.214,-153.6218,2.5);',
'insert into jk64demo_earthquakes values(-4.6017,125.61,4.3);',
'insert into jk64demo_earthquakes values(37.2753,-116.0447,-0.9);',
'insert into jk64demo_earthquakes values(-16.0276,-172.8265,5.1);',
'insert into jk64demo_earthquakes values(34.3391667,-116.882,1.13);',
'insert into jk64demo_earthquakes values(-20.9,-68.923,4.6);',
'insert into jk64demo_earthquakes values(33.4368333,-117.0378333,0.87);',
'insert into jk64demo_earthquakes values(38.8358345,-122.7985001,0.99);',
'insert into jk64demo_earthquakes values(38.8243332,-122.856163,1.04);',
'insert into jk64demo_earthquakes values(45.0396667,-111.8461667,0.93);',
'insert into jk64demo_earthquakes values(37.4641667,-118.786,2.52);',
'insert into jk64demo_earthquakes values(61.3897,-147.6107,1.4);',
'insert into jk64demo_earthquakes values(59.5042,-151.8986,1.5);',
'insert into jk64demo_earthquakes values(44.6166667,-114.4806667,1.42);',
'insert into jk64demo_earthquakes values(38.8171667,-122.8026667,0.2);',
'insert into jk64demo_earthquakes values(65.9594,-150.6706,1.4);',
'insert into jk64demo_earthquakes values(65.962,-150.6381,2.3);',
'insert into jk64demo_earthquakes values(38.7876663,-122.7781677,0.98);',
'insert into jk64demo_earthquakes values(34.1933333,-117.5113333,0.92);',
'insert into jk64demo_earthquakes values(38.8180008,-122.8001633,0.83);',
'insert into jk64demo_earthquakes values(35.9235,-118.3058333,1.6);',
'insert into jk64demo_earthquakes values(38.8135,-122.8305,0.76);',
'insert into jk64demo_earthquakes values(61.7354,-148.1727,2.4);',
'insert into jk64demo_earthquakes values(-5.7664,107.2029,4.2);',
'insert into jk64demo_earthquakes values(47.7,-122.6471667,1.69);',
'insert into jk64demo_earthquakes values(-30.625,-71.723,4.4);',
'insert into jk64demo_earthquakes values(38.8250008,-122.8249969,1.13);',
'insert into jk64demo_earthquakes values(60.7627,-140.3564,2);',
'insert into jk64demo_earthquakes values(36.4492,-98.7745,1.8);',
'insert into jk64demo_earthquakes values(38.824,-122.8235,1.58);',
'insert into jk64demo_earthquakes values(36.438,-98.786,1.8);',
'insert into jk64demo_earthquakes values(33.3488333,-116.385,0.85);',
'insert into jk64demo_earthquakes values(61.3113,-150.7519,1.5);',
'insert into jk64demo_earthquakes values(38.8116684,-122.8291702,0.88);',
'insert into jk64demo_earthquakes values(35.5431667,-118.3253333,1.51);',
'insert into jk64demo_earthquakes values(37.2782,-116.0273,-0.4);',
'insert into jk64demo_earthquakes values(-19.8036,-174.9112,4.7);',
'insert into jk64demo_earthquakes values(38.8266667,-122.8066667,1.49);',
'insert into jk64demo_earthquakes values(38.8288345,-122.8044968,0.97);',
'insert into jk64demo_earthquakes values(36.9947,-116.3496,-0.4);',
'insert into jk64demo_earthquakes values(65.3745,-146.134,1.2);',
'insert into jk64demo_earthquakes values(64.6846,-149.0406,0.8);',
'insert into jk64demo_earthquakes values(37.0516,-117.5753,0.6);',
'insert into jk64demo_earthquakes values(18.922,-66.0435,2.6);',
'insert into jk64demo_earthquakes values(36.8156,-98.2791,2.9);',
'insert into jk64demo_earthquakes values(36.5273333,-121.0931667,1.52);',
'insert into jk64demo_earthquakes values(59.8094,-152.8997,2.3);',
'insert into jk64demo_earthquakes values(33.2471667,-115.6481667,2.17);',
'insert into jk64demo_earthquakes values(37.6231667,-118.8243333,1.66);',
'insert into jk64demo_earthquakes values(33.8921667,-116.2405,1.35);',
'insert into jk64demo_earthquakes values(36.3615,-97.7199,2.9);',
'insert into jk64demo_earthquakes values(33.4881667,-116.413,0.58);',
'insert into jk64demo_earthquakes values(36.9552,-116.2107,-0.6);',
'insert into jk64demo_earthquakes values(38.0539,-118.8096,1);',
'insert into jk64demo_earthquakes values(60.3285,-141.2455,1.2);',
'insert into jk64demo_earthquakes values(37.1456,-116.5934,-0.3);',
'insert into jk64demo_earthquakes values(40.4631667,-124.4898333,3.3);',
'insert into jk64demo_earthquakes values(32.0308333,-117.4228333,2.24);',
'insert into jk64demo_earthquakes values(62.6959,-148.8064,1.6);',
'insert into jk64demo_earthquakes values(33.3225,-116.3808333,0.62);',
'insert into jk64demo_earthquakes values(38.8195,-122.8278351,0.19);',
'insert into jk64demo_earthquakes values(36.4476,-98.7749,1.6);',
'insert into jk64demo_earthquakes values(60.3586,-152.1769,1.8);',
'insert into jk64demo_earthquakes values(39.2329,-115.3783,1.7);',
'insert into jk64demo_earthquakes values(39.4215,-110.3378333,0.52);',
'insert into jk64demo_earthquakes values(61.0713,-152.2028,1.7);',
'insert into jk64demo_earthquakes values(38.8175011,-122.8168335,0.88);',
'insert into jk64demo_earthquakes values(35.6781667,-121.1138333,0.82);',
'insert into jk64demo_earthquakes values(60.3634,-147.8949,1.7);',
'insert into jk64demo_earthquakes values(-56.4395,-27.0963,5.7);',
'insert into jk64demo_earthquakes values(38.8041649,-122.7363358,0.76);',
'insert into jk64demo_earthquakes values(36.8291667,-121.4045,1.72);',
'insert into jk64demo_earthquakes values(29.8487,128.9816,5.5);',
'insert into jk64demo_earthquakes values(62.8721,-148.423,1.7);',
'insert into jk64demo_earthquakes values(61.5258,-149.9632,1.2);',
'insert into jk64demo_earthquakes values(36.4799,-98.746,1.1);',
'insert into jk64demo_earthquakes values(37.239,-117.5374,0.1);',
'insert into jk64demo_earthquakes values(61.046,-148.3448,1.8);',
'insert into jk64demo_earthquakes values(63.7005,-149.714,1.2);',
'insert into jk64demo_earthquakes values(36.45,-98.7748,1.6);',
'insert into jk64demo_earthquakes values(34.33,-116.9255,2.82);',
'insert into jk64demo_earthquakes values(37.4665,-118.8156667,2.01);',
'insert into jk64demo_earthquakes values(36.443,-98.771,1.1);',
'insert into jk64demo_earthquakes values(18.9979,-65.3539,3.2);',
'insert into jk64demo_earthquakes values(61.375,-150.889,2.1);',
'insert into jk64demo_earthquakes values(34.1,-116.6445,1.02);',
'insert into jk64demo_earthquakes values(-23.1169,-66.8432,4);',
'insert into jk64demo_earthquakes values(33.0605,-116.444,1.22);',
'insert into jk64demo_earthquakes values(-16.9297,-73.4759,4.2);',
'insert into jk64demo_earthquakes values(38.3725,-118.2329,0.7);',
'insert into jk64demo_earthquakes values(38.8153343,-122.8079987,1.13);',
'insert into jk64demo_earthquakes values(12.1523,-87.6382,4.2);',
'insert into jk64demo_earthquakes values(36.4438,-98.7789,1.8);',
'insert into jk64demo_earthquakes values(-26.032,-70.8692,4.7);',
'insert into jk64demo_earthquakes values(38.6217,-118.7518,0.6);',
'insert into jk64demo_earthquakes values(59.3157,-153.5661,2.1);',
'insert into jk64demo_earthquakes values(37.0001,-113.9062,0.5);',
'insert into jk64demo_earthquakes values(34.1171667,-117.322,0.91);',
'insert into jk64demo_earthquakes values(38.797,-122.7905,1.48);',
'insert into jk64demo_earthquakes values(44.644,-110.4575,1.6);',
'insert into jk64demo_earthquakes values(44.6448333,-110.4523333,1.46);',
'insert into jk64demo_earthquakes values(36.4664,-98.7459,1.2);',
'insert into jk64demo_earthquakes values(63.0408,-151.0135,1.2);',
'insert into jk64demo_earthquakes values(38.3715,-122.6135,2.34);',
'insert into jk64demo_earthquakes values(45.376,-121.6856667,0.57);',
'insert into jk64demo_earthquakes values(37.5856667,-118.7888333,1.08);',
'insert into jk64demo_earthquakes values(46.1275,-122.1635,0.29);',
'insert into jk64demo_earthquakes values(33.5921667,-116.8013333,0.76);',
'insert into jk64demo_earthquakes values(38.1925,-118.1787,0.6);',
'insert into jk64demo_earthquakes values(37.4275,-118.6733333,0.94);',
'insert into jk64demo_earthquakes values(18.884,-155.416,2.09);',
'insert into jk64demo_earthquakes values(63.1354,-148.6749,1.3);',
'insert into jk64demo_earthquakes values(38.9725,-117.5932,2);',
'insert into jk64demo_earthquakes values(36.9958333,-121.0985,1.08);',
'insert into jk64demo_earthquakes values(38.416,-118.3485,0.3);',
'insert into jk64demo_earthquakes values(38.5046,-118.4065,1.3);',
'insert into jk64demo_earthquakes values(19.4305,-155.6338333,0.63);',
'insert into jk64demo_earthquakes values(38.8193333,-122.7648333,1.32);',
'insert into jk64demo_earthquakes values(18.3178,-64.8014,3.1);',
'insert into jk64demo_earthquakes values(65.3674,-144.7663,1.2);',
'insert into jk64demo_earthquakes values(61.0829,-152.0967,2.3);',
'insert into jk64demo_earthquakes values(38.4176,-118.3472,0.4);',
'insert into jk64demo_earthquakes values(19.245,-155.524,1.47);',
'insert into jk64demo_earthquakes values(38.4229,-118.3493,1.2);',
'insert into jk64demo_earthquakes values(15.0862,145.6219,3.5);',
'insert into jk64demo_earthquakes values(36.5381,-99.0358,2.3);',
'insert into jk64demo_earthquakes values(33.8165,-116.9976667,1.13);',
'insert into jk64demo_earthquakes values(37.4157,-116.1637,0.4);',
'insert into jk64demo_earthquakes values(36.6441,-116.3375,-0.1);',
'insert into jk64demo_earthquakes values(39.7617,-121.0036,1.1);',
'insert into jk64demo_earthquakes values(39.4769,143.3253,4.8);',
'insert into jk64demo_earthquakes values(37.2341,-117.6563,0.3);',
'insert into jk64demo_earthquakes values(63.406,-151.3547,0.5);',
'insert into jk64demo_earthquakes values(35.7568,-3.6129,5.6);',
'insert into jk64demo_earthquakes values(36.8365,-118.1026,0.8);',
'insert into jk64demo_earthquakes values(61.5773,-141.2334,1.6);',
'insert into jk64demo_earthquakes values(60.1625,-152.1726,2.1);',
'insert into jk64demo_earthquakes values(17.986,-66.4117,2.7);',
'insert into jk64demo_earthquakes values(38.1697,-118.2152,1.2);',
'insert into jk64demo_earthquakes values(38.9635,-117.5962,1.4);',
'insert into jk64demo_earthquakes values(19.4148331,-155.2866669,2.59);',
'insert into jk64demo_earthquakes values(37.4579,-117.0151,0.1);',
'insert into jk64demo_earthquakes values(33.8233333,-117.6513333,1.06);',
'insert into jk64demo_earthquakes values(33.8261667,-117.6428333,1.49);',
'insert into jk64demo_earthquakes values(65.8903,-151.1907,1.2);',
'insert into jk64demo_earthquakes values(38.4187,-118.3471,1);',
'insert into jk64demo_earthquakes values(36.4413,-98.7745,1.9);',
'insert into jk64demo_earthquakes values(40.2546,-119.706,1.3);',
'insert into jk64demo_earthquakes values(59.8108,-153.0467,2.7);',
'insert into jk64demo_earthquakes values(18.8449,-67.389,2.7);',
'insert into jk64demo_earthquakes values(61.6911,-149.5104,1.4);',
'insert into jk64demo_earthquakes values(37.052,-97.9097,2.2);',
'insert into jk64demo_earthquakes values(64.9943,-147.3347,1.7);',
'insert into jk64demo_earthquakes values(60.639,-147.7527,1.3);',
'insert into jk64demo_earthquakes values(63.3326,-147.5419,1.4);',
'insert into jk64demo_earthquakes values(19.3321667,-155.4761667,1.89);',
'insert into jk64demo_earthquakes values(35.789,-96.994,2);',
'insert into jk64demo_earthquakes values(38.7883333,-122.7378333,1.42);',
'insert into jk64demo_earthquakes values(33.8015,-117.1286667,1.3);',
'insert into jk64demo_earthquakes values(46.197,-122.1823333,0.45);',
'insert into jk64demo_earthquakes values(34.1706667,-117.421,1.07);',
'insert into jk64demo_earthquakes values(61.3876,-141.1558,1.4);',
'insert into jk64demo_earthquakes values(38.7818333,-122.7271667,0.56);',
'insert into jk64demo_earthquakes values(64.0871,-148.4168,1.1);',
'insert into jk64demo_earthquakes values(36.4733,-98.7605,1.4);',
'insert into jk64demo_earthquakes values(36.4466,-98.7748,1.3);',
'insert into jk64demo_earthquakes values(59.813,-152.9126,2.1);',
'insert into jk64demo_earthquakes values(46.2071667,-122.2138333,0.23);',
'insert into jk64demo_earthquakes values(59.883,-152.9149,2);',
'insert into jk64demo_earthquakes values(19.406,-155.6363333,1.23);',
'insert into jk64demo_earthquakes values(38.838,-122.84,1.3);',
'insert into jk64demo_earthquakes values(65.0625,-148.7015,1.1);',
'insert into jk64demo_earthquakes values(63.4459,-147.7581,1.3);',
'insert into jk64demo_earthquakes values(46.7908333,-111.9935,1.33);',
'insert into jk64demo_earthquakes values(46.9243333,-123.4583333,1.6);',
'insert into jk64demo_earthquakes values(37.6466667,-113.0455,0.96);',
'insert into jk64demo_earthquakes values(33.4855,-116.4963333,1.24);',
'insert into jk64demo_earthquakes values(37.0027,-98.049,2.5);',
'insert into jk64demo_earthquakes values(41.6811667,-112.805,0.97);',
'insert into jk64demo_earthquakes values(33.733,-118.3175,2.33);',
'insert into jk64demo_earthquakes values(41.6881667,-112.8238333,1.8);',
'insert into jk64demo_earthquakes values(-52.64,18.8566,5.8);',
'insert into jk64demo_earthquakes values(47.5355,-122.9913333,1.73);',
'insert into jk64demo_earthquakes values(26.5636,128.9514,4.6);',
'insert into jk64demo_earthquakes values(64.0662,-148.3692,1);',
'insert into jk64demo_earthquakes values(63.1255,-151.437,1.6);',
'insert into jk64demo_earthquakes values(19.4081667,-155.612,0.62);',
'insert into jk64demo_earthquakes values(45.0483333,-111.7925,1.11);',
'insert into jk64demo_earthquakes values(59.0447,-151.404,2.4);',
'insert into jk64demo_earthquakes values(64.6492,-146.9306,0);',
'insert into jk64demo_earthquakes values(60.3953,-141.5767,1.3);',
'insert into jk64demo_earthquakes values(38.8203333,-122.826,1.06);',
'insert into jk64demo_earthquakes values(36.4751,-98.8516,2);',
'insert into jk64demo_earthquakes values(37.2139,-118.4018,1.3);',
'insert into jk64demo_earthquakes values(51.2672,-173.9429,2);',
'insert into jk64demo_earthquakes values(62.8315,-149.728,1.9);',
'insert into jk64demo_earthquakes values(63.5848,-151.1197,0.4);',
'insert into jk64demo_earthquakes values(51.3519,-174.0707,2);',
'insert into jk64demo_earthquakes values(38.8263321,-122.8554993,1.05);',
'insert into jk64demo_earthquakes values(46.5135,-119.646,0.66);',
'insert into jk64demo_earthquakes values(63.1237,-151.4647,1.4);',
'insert into jk64demo_earthquakes values(51.4061,-173.8172,2.4);',
'insert into jk64demo_earthquakes values(34.6481667,-116.2915,1.68);',
'insert into jk64demo_earthquakes values(51.4075,-174.0688,2.5);',
'insert into jk64demo_earthquakes values(51.3203,-174.0764,2.3);',
'insert into jk64demo_earthquakes values(38.3731,-118.23,1.1);',
'insert into jk64demo_earthquakes values(61.7533,-150.735,1.5);',
'insert into jk64demo_earthquakes values(51.4406,-173.9401,2);',
'insert into jk64demo_earthquakes values(51.2718,-173.6444,2.1);',
'insert into jk64demo_earthquakes values(59.988,-141.6426,1.7);',
'insert into jk64demo_earthquakes values(35.9715,-120.534,0.12);',
'insert into jk64demo_earthquakes values(61.595,-146.5779,1.2);',
'insert into jk64demo_earthquakes values(33.9831667,-116.7513333,0.97);',
'insert into jk64demo_earthquakes values(51.3704,-173.8884,2.3);',
'insert into jk64demo_earthquakes values(51.3477,-173.8687,2.3);',
'insert into jk64demo_earthquakes values(36.4452,-98.7765,1.4);',
'insert into jk64demo_earthquakes values(33.5376667,-116.8526667,0.87);',
'insert into jk64demo_earthquakes values(60.5094,-147.7624,1.5);',
'insert into jk64demo_earthquakes values(51.4479,-173.9628,3.7);',
'insert into jk64demo_earthquakes values(38.8338333,-122.7978333,1.18);',
'insert into jk64demo_earthquakes values(51.4312,-173.9594,3.1);',
'insert into jk64demo_earthquakes values(59.8367,-152.9069,2.1);',
'insert into jk64demo_earthquakes values(36.4456,-98.7741,1.9);',
'insert into jk64demo_earthquakes values(51.2175,-173.9817,2.5);',
'insert into jk64demo_earthquakes values(41.8769,-119.6265,1.6);',
'insert into jk64demo_earthquakes values(38.8091667,-122.7395,0.75);',
'insert into jk64demo_earthquakes values(37.8426667,-112.379,1.78);',
'insert into jk64demo_earthquakes values(51.3431,-174.0755,2.1);',
'insert into jk64demo_earthquakes values(37.57,-118.8541667,0.61);',
'insert into jk64demo_earthquakes values(36.7407,-116.2825,0.2);',
'insert into jk64demo_earthquakes values(51.4917,-173.9898,2.5);',
'insert into jk64demo_earthquakes values(36.7271,-116.3042,0.4);',
'insert into jk64demo_earthquakes values(36.7324,-116.2937,0.4);',
'insert into jk64demo_earthquakes values(34.5161667,-119.0783333,2.82);',
'insert into jk64demo_earthquakes values(51.3682,-174.1229,2);',
'insert into jk64demo_earthquakes values(63.2393,-151.5696,1.5);',
'insert into jk64demo_earthquakes values(51.2339,-173.9039,2.1);',
'insert into jk64demo_earthquakes values(51.3192,-173.813,3.3);',
'insert into jk64demo_earthquakes values(45.9475,-111.322,1.55);',
'insert into jk64demo_earthquakes values(51.2399,-174.0165,2.2);',
'insert into jk64demo_earthquakes values(33.2023333,-116.1575,1.54);',
'insert into jk64demo_earthquakes values(36.4669,-98.7438,1.2);',
'insert into jk64demo_earthquakes values(38.8230019,-122.7868347,0.76);',
'insert into jk64demo_earthquakes values(51.4641,-174.0552,3.2);',
'insert into jk64demo_earthquakes values(38.828,-122.8665,0.56);',
'insert into jk64demo_earthquakes values(51.5614,-174.0269,6.3);',
'insert into jk64demo_earthquakes values(49.8991667,-113.7585,1.9);',
'insert into jk64demo_earthquakes values(51.941,-174.1337,4.6);',
'insert into jk64demo_earthquakes values(34.0165,-116.4015,1.29);',
'insert into jk64demo_earthquakes values(38.8148346,-122.8188324,0.79);',
'insert into jk64demo_earthquakes values(51.3405,-173.9851,2.2);',
'insert into jk64demo_earthquakes values(38.8396667,-122.8283333,0.54);',
'insert into jk64demo_earthquakes values(37.5706667,-118.8621667,0.51);',
'insert into jk64demo_earthquakes values(59.8427,-139.7992,1.6);',
'insert into jk64demo_earthquakes values(59.9204,-152.7774,1.5);',
'insert into jk64demo_earthquakes values(59.8077,-153.0483,1.9);',
'insert into jk64demo_earthquakes values(52.3979,-169.592,2.7);',
'insert into jk64demo_earthquakes values(33.1286667,-116.0116667,1.26);',
'insert into jk64demo_earthquakes values(36.4373,-116.934,0.2);',
'insert into jk64demo_earthquakes values(38.7515,-122.712,1.37);',
'insert into jk64demo_earthquakes values(38.7573333,-122.7115,1.81);',
'insert into jk64demo_earthquakes values(35.9295,-117.9431667,0.42);',
'insert into jk64demo_earthquakes values(59.999,-151.3998,1.6);',
'insert into jk64demo_earthquakes values(36.4358,-116.9211,-0.3);',
'insert into jk64demo_earthquakes values(67.7545,-158.1989,2.1);',
'insert into jk64demo_earthquakes values(51.3754,-174.0408,2.7);',
'insert into jk64demo_earthquakes values(36.4409,-116.9434,0.3);',
'insert into jk64demo_earthquakes values(63.2605,-151.592,0.9);',
'insert into jk64demo_earthquakes values(37.0564,-117.4827,0.8);',
'insert into jk64demo_earthquakes values(37.5715,-118.8493333,0.58);',
'insert into jk64demo_earthquakes values(26.7815,89.1091,3.9);',
'insert into jk64demo_earthquakes values(36.4468,-116.9282,0.1);',
'insert into jk64demo_earthquakes values(36.4445,-98.7649,2.2);',
'insert into jk64demo_earthquakes values(-30.2439,-71.7062,5.2);',
'insert into jk64demo_earthquakes values(37.3661667,-118.5413333,1.73);',
'insert into jk64demo_earthquakes values(45.8625,-111.296,0.57);',
'insert into jk64demo_earthquakes values(38.8141667,-122.8148333,1.36);',
'insert into jk64demo_earthquakes values(18.2,-67.6737,3.1);',
'insert into jk64demo_earthquakes values(62.1509,-152.0993,2.3);',
'insert into jk64demo_earthquakes values(38.8145,-122.8181667,0.24);',
'insert into jk64demo_earthquakes values(63.5594,-150.788,1.7);',
'insert into jk64demo_earthquakes values(1.0846,126.2722,5.3);',
'insert into jk64demo_earthquakes values(37.3763,-117.276,0.3);',
'insert into jk64demo_earthquakes values(61.8011,-147.5783,2);',
'insert into jk64demo_earthquakes values(36.4549,-98.7607,1.7);',
'insert into jk64demo_earthquakes values(36.7223,-116.2628,0);',
'insert into jk64demo_earthquakes values(64.8685,-149.3991,1.1);',
'insert into jk64demo_earthquakes values(37.3744,-117.2762,0.3);',
'insert into jk64demo_earthquakes values(18.4687,-68.4835,3.2);',
'insert into jk64demo_earthquakes values(51.6239,-173.8284,4.6);',
'insert into jk64demo_earthquakes values(62.4309,-150.8056,1.6);',
'insert into jk64demo_earthquakes values(59.7439,-151.9797,3.1);',
'insert into jk64demo_earthquakes values(38.8256667,-122.826,0.61);',
'insert into jk64demo_earthquakes values(37.3339,-117.282,0.3);',
'insert into jk64demo_earthquakes values(38.7641667,-122.7278333,1.84);',
'insert into jk64demo_earthquakes values(38.8041649,-122.7708359,0.77);',
'insert into jk64demo_earthquakes values(38.8175,-122.8023333,0.23);',
'insert into jk64demo_earthquakes values(38.4574,-118.4646,0.2);',
'insert into jk64demo_earthquakes values(36.8671,-116.237,-1.3);',
'insert into jk64demo_earthquakes values(63.8466,-148.4718,1.5);',
'insert into jk64demo_earthquakes values(33.475,-116.4893333,0.36);',
'insert into jk64demo_earthquakes values(60.8609,-148.3025,1.9);',
'insert into jk64demo_earthquakes values(62.8638,-148.9393,1.6);',
'insert into jk64demo_earthquakes values(38.8368333,-122.811,1.64);',
'insert into jk64demo_earthquakes values(44.3575,-113.9833333,1.5);',
'insert into jk64demo_earthquakes values(38.4831,-118.3875,0.3);',
'insert into jk64demo_earthquakes values(3.5334,-74.4542,4.5);',
'insert into jk64demo_earthquakes values(60.043,-153.2917,2.3);',
'insert into jk64demo_earthquakes values(37.2946667,-121.6765,1.23);',
'insert into jk64demo_earthquakes values(33.4775,-116.4861667,0.57);',
'insert into jk64demo_earthquakes values(37.34,-117.2826,0.5);',
'insert into jk64demo_earthquakes values(34.8746667,-118.8058333,0.54);',
'insert into jk64demo_earthquakes values(62.7695,-150.0209,1.5);',
'insert into jk64demo_earthquakes values(57.0303,-149.9815,3.4);',
'insert into jk64demo_earthquakes values(37.5731667,-118.8668333,1.49);',
'insert into jk64demo_earthquakes values(45.9305,-111.3001667,0.11);',
'insert into jk64demo_earthquakes values(61.1076,-151.5399,3.5);',
'insert into jk64demo_earthquakes values(38.799,-122.8118333,1.78);',
'insert into jk64demo_earthquakes values(37.3476,-117.2821,0.1);',
'insert into jk64demo_earthquakes values(37.3754,-117.2692,0.3);',
'insert into jk64demo_earthquakes values(36.701,-116.2856,0);',
'insert into jk64demo_earthquakes values(34.5191667,-119.076,2.16);',
'insert into jk64demo_earthquakes values(19.4198333,-155.6118333,0.62);',
'insert into jk64demo_earthquakes values(38.3783,-118.7126,0.4);',
'insert into jk64demo_earthquakes values(36.6995,-116.2868,0);',
'insert into jk64demo_earthquakes values(36.4253,-97.7128,2.8);',
'insert into jk64demo_earthquakes values(39.2006,-115.3599,1.5);',
'insert into jk64demo_earthquakes values(37.3468,-117.2846,0.5);',
'insert into jk64demo_earthquakes values(39.236,-115.3752,0.9);',
'insert into jk64demo_earthquakes values(37.9238333,-112.5265,2.39);',
'insert into jk64demo_earthquakes values(37.9311667,-112.5105,2.07);',
'insert into jk64demo_earthquakes values(38.8213348,-122.807663,0.54);',
'insert into jk64demo_earthquakes values(19.4076672,-155.2823334,1.7);',
'insert into jk64demo_earthquakes values(38.7428,-118.7801,0.6);',
'insert into jk64demo_earthquakes values(37.3293,-117.8062,0.3);',
'insert into jk64demo_earthquakes values(38.3718,-118.2342,0.8);',
'insert into jk64demo_earthquakes values(26.2344,92.2033,4.3);',
'insert into jk64demo_earthquakes values(38.7588,-118.8055,0.9);',
'insert into jk64demo_earthquakes values(59.4633,-154.2947,2.6);',
'insert into jk64demo_earthquakes values(60.0704,-141.8478,1.9);',
'insert into jk64demo_earthquakes values(38.3739,-118.2334,0.5);',
'insert into jk64demo_earthquakes values(38.8378334,-122.8026657,0.46);',
'insert into jk64demo_earthquakes values(38.37,-118.234,0.8);',
'insert into jk64demo_earthquakes values(33.029,-116.428,1);',
'insert into jk64demo_earthquakes values(19.3821667,-155.2443333,1.19);',
'insert into jk64demo_earthquakes values(19.3821667,-155.2436667,0.79);',
'insert into jk64demo_earthquakes values(37.5183333,-118.7846667,1.07);',
'insert into jk64demo_earthquakes values(38.7874985,-122.745163,0.87);',
'insert into jk64demo_earthquakes values(18.4001,-67.3917,2.5);',
'insert into jk64demo_earthquakes values(33.4748333,-116.487,0.61);',
'insert into jk64demo_earthquakes values(36.1006667,-117.8481667,0.65);',
'insert into jk64demo_earthquakes values(61.6179,-146.3313,1.6);',
'insert into jk64demo_earthquakes values(36.0815,-117.8496667,0.94);',
'insert into jk64demo_earthquakes values(64.6456,-148.6575,0.8);',
'insert into jk64demo_earthquakes values(38.8341667,-122.8006667,0.65);',
'insert into jk64demo_earthquakes values(37.5735,-116.348,0.2);',
'insert into jk64demo_earthquakes values(38.5071,-118.5258,0.1);',
'insert into jk64demo_earthquakes values(36.2753,-97.5202,2.5);',
'insert into jk64demo_earthquakes values(36.6997,-116.2869,-0.1);',
'insert into jk64demo_earthquakes values(33.8675,-117.7141667,1.33);',
'insert into jk64demo_earthquakes values(38.809,-122.7905,0.71);',
'insert into jk64demo_earthquakes values(33.3353333,-116.3538333,0.77);',
'insert into jk64demo_earthquakes values(38.8160019,-122.8061676,0.46);',
'insert into jk64demo_earthquakes values(44.577,-114.294,1.77);',
'insert into jk64demo_earthquakes values(36.1112,-97.8739,2.5);',
'insert into jk64demo_earthquakes values(35.2891667,-91.3623333,2.11);',
'insert into jk64demo_earthquakes values(45.9798333,-122.6106667,1.21);',
'insert into jk64demo_earthquakes values(47.7338333,-114.8498333,0.33);',
'insert into jk64demo_earthquakes values(59.955,-149.1296,2.6);',
'insert into jk64demo_earthquakes values(37.1519,-116.5906,-0.8);',
'insert into jk64demo_earthquakes values(37.5728333,-118.8608333,0.14);',
'insert into jk64demo_earthquakes values(38.8105,-122.7923333,1.85);',
'insert into jk64demo_earthquakes values(35.6106667,-117.459,1.59);',
'insert into jk64demo_earthquakes values(18.0382,-68.7304,3.4);',
'insert into jk64demo_earthquakes values(38.8436661,-122.8294983,1.14);',
'insert into jk64demo_earthquakes values(36.1096667,-117.581,1.63);',
'insert into jk64demo_earthquakes values(36.2836,-97.5173,2.5);',
'insert into jk64demo_earthquakes values(38.6527,-118.7887,0.7);',
'insert into jk64demo_earthquakes values(60.4663,-143.0684,1.2);',
'insert into jk64demo_earthquakes values(18.6483,-64.9394,2.8);',
'insert into jk64demo_earthquakes values(14.4945,123.1124,4.7);',
'insert into jk64demo_earthquakes values(61.624,-149.91,1.5);',
'insert into jk64demo_earthquakes values(-23.9141,-179.9363,4.7);',
'insert into jk64demo_earthquakes values(60.9003,-150.7415,1.4);',
'insert into jk64demo_earthquakes values(36.2318333,-120.8075,1.5);',
'insert into jk64demo_earthquakes values(63.008,-151.6511,1.7);',
'insert into jk64demo_earthquakes values(59.0717,-152.9611,2);',
'insert into jk64demo_earthquakes values(18.0774,-68.297,3.3);',
'insert into jk64demo_earthquakes values(60.2028,-141.5486,1.5);',
'insert into jk64demo_earthquakes values(38.7944984,-122.7458344,0.42);',
'insert into jk64demo_earthquakes values(63.2245,-150.6976,1.8);',
'insert into jk64demo_earthquakes values(37.099,-117.8848,1.6);',
'insert into jk64demo_earthquakes value'))
);
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
's(51.5496,-173.9207,5.4);',
'insert into jk64demo_earthquakes values(61.5857,-146.5126,1.3);',
'insert into jk64demo_earthquakes values(33.4533333,-116.5856667,0.84);',
'insert into jk64demo_earthquakes values(39.2228333,-110.4613333,1.55);',
'insert into jk64demo_earthquakes values(44.3386667,-110.5358333,0.94);',
'insert into jk64demo_earthquakes values(51.2693,-174.0578,4.1);',
'insert into jk64demo_earthquakes values(33.4901667,-116.4241667,0.98);',
'insert into jk64demo_earthquakes values(36.5906,-97.7626,3.2);',
'insert into jk64demo_earthquakes values(36.4829,-98.7635,1.7);',
'insert into jk64demo_earthquakes values(61.589,-146.4257,1.9);',
'insert into jk64demo_earthquakes values(44.6053333,-114.1231667,2.63);',
'insert into jk64demo_earthquakes values(51.6732,-174.1524,5);',
'insert into jk64demo_earthquakes values(46.116,-111.6011667,-0.24);',
'insert into jk64demo_earthquakes values(64.582,-147.0175,0.5);',
'insert into jk64demo_earthquakes values(45.0001667,-121.027,0.9);',
'insert into jk64demo_earthquakes values(60.2734,-152.4991,2);',
'insert into jk64demo_earthquakes values(51.4578,-174.0517,4.6);',
'insert into jk64demo_earthquakes values(38.8278351,-122.814003,0.88);',
'insert into jk64demo_earthquakes values(43.7643333,-110.7425,0.71);',
'insert into jk64demo_earthquakes values(38.7978325,-122.7705002,0.81);',
'insert into jk64demo_earthquakes values(19.4218333,-155.6048333,0.57);',
'insert into jk64demo_earthquakes values(38.3749,-118.2399,0.8);',
'insert into jk64demo_earthquakes values(19.4291667,-155.6266667,2.63);',
'insert into jk64demo_earthquakes values(39.8208,-120.7843,0.8);',
'insert into jk64demo_earthquakes values(64.7564,-150.9321,1.3);',
'insert into jk64demo_earthquakes values(38.824,-122.8028333,1.23);',
'insert into jk64demo_earthquakes values(37.2344,-117.5347,0.3);',
'insert into jk64demo_earthquakes values(37.5786667,-118.8458333,0.07);',
'insert into jk64demo_earthquakes values(38.8303337,-122.8065033,0.96);',
'insert into jk64demo_earthquakes values(38.8306656,-122.8066635,0.98);',
'insert into jk64demo_earthquakes values(38.8293333,-122.807,2.32);',
'insert into jk64demo_earthquakes values(38.8285,-122.8056667,2.23);',
'insert into jk64demo_earthquakes values(19.4291667,-155.6205,1.4);',
'insert into jk64demo_earthquakes values(34.1228333,-116.9058333,1.42);',
'insert into jk64demo_earthquakes values(38.8300018,-122.8108368,0.88);',
'insert into jk64demo_earthquakes values(38.8296667,-122.8071667,1.13);',
'insert into jk64demo_earthquakes values(64.9978,-147.3331,1.9);',
'insert into jk64demo_earthquakes values(45.6266667,-122.8733333,1.54);',
'insert into jk64demo_earthquakes values(19.4253333,-155.6095,1.13);',
'insert into jk64demo_earthquakes values(59.7617,-153.1409,2.6);',
'insert into jk64demo_earthquakes values(37.4952,-114.0666,0.6);',
'insert into jk64demo_earthquakes values(38.8083344,-122.7815018,0.55);',
'insert into jk64demo_earthquakes values(38.8323326,-122.8061676,0.84);',
'insert into jk64demo_earthquakes values(33.4485,-116.7206667,0.81);',
'insert into jk64demo_earthquakes values(35.9358333,-117.9568333,1.05);',
'insert into jk64demo_earthquakes values(51.3866,-174.132,2.6);',
'insert into jk64demo_earthquakes values(51.2925,-174.0141,3.4);',
'insert into jk64demo_earthquakes values(51.3645,-174.0822,2.3);',
'insert into jk64demo_earthquakes values(57.7782,-156.5276,3.4);',
'insert into jk64demo_earthquakes values(51.367,-174.0619,2.2);',
'insert into jk64demo_earthquakes values(59.8179,-139.4012,1.6);',
'insert into jk64demo_earthquakes values(38.8255005,-122.8424988,0.19);',
'insert into jk64demo_earthquakes values(58.5279,-151.8934,1.9);',
'insert into jk64demo_earthquakes values(34.0173333,-116.4013333,1.69);',
'insert into jk64demo_earthquakes values(38.788,-122.7836667,0.34);',
'insert into jk64demo_earthquakes values(64.8594,-149.005,1);',
'insert into jk64demo_earthquakes values(56.4185,-155.4615,2.4);',
'insert into jk64demo_earthquakes values(38.372,-118.2364,0.6);',
'insert into jk64demo_earthquakes values(37.6338333,-119.0326667,0.34);',
'insert into jk64demo_earthquakes values(46.1961667,-122.187,0.62);',
'insert into jk64demo_earthquakes values(35.3743333,-118.472,1.89);',
'insert into jk64demo_earthquakes values(34.0185,-116.4021667,0.87);',
'insert into jk64demo_earthquakes values(38.7921677,-122.7878342,0.28);',
'insert into jk64demo_earthquakes values(51.3951,-173.8225,2.1);',
'insert into jk64demo_earthquakes values(51.3686,-173.7896,3.3);',
'insert into jk64demo_earthquakes values(60.3074,-152.2416,1.6);',
'insert into jk64demo_earthquakes values(38.7883333,-122.7828333,2.85);',
'insert into jk64demo_earthquakes values(51.3907,-173.9308,3.1);',
'insert into jk64demo_earthquakes values(38.8223333,-122.8438333,0.48);',
'insert into jk64demo_earthquakes values(59.8012,-153.0173,1.6);',
'insert into jk64demo_earthquakes values(44.7283333,-110.6478333,1.86);',
'insert into jk64demo_earthquakes values(38.3736,-118.233,0.9);',
'insert into jk64demo_earthquakes values(34.6495,-116.2946667,1.86);',
'insert into jk64demo_earthquakes values(60.2631,-152.3156,4.8);',
'insert into jk64demo_earthquakes values(63.5948,-147.3645,1.3);',
'insert into jk64demo_earthquakes values(32.6993333,-115.7543333,1.68);',
'insert into jk64demo_earthquakes values(38.8213333,-122.8425,1.26);',
'insert into jk64demo_earthquakes values(38.819,-122.8406667,1.9);',
'insert into jk64demo_earthquakes values(51.3969,-173.9887,4);',
'insert into jk64demo_earthquakes values(35.9296667,-117.95,1.1);',
'insert into jk64demo_earthquakes values(35.9286667,-117.9508333,1.08);',
'insert into jk64demo_earthquakes values(35.9278333,-117.9493333,2.72);',
'insert into jk64demo_earthquakes values(35.9296667,-117.949,2.77);',
'insert into jk64demo_earthquakes values(38.8086662,-122.8259964,1.15);',
'insert into jk64demo_earthquakes values(59.8023,-153.0208,1.6);',
'insert into jk64demo_earthquakes values(63.5567,-151.0458,0.7);',
'insert into jk64demo_earthquakes values(38.7583351,-122.7235031,0.99);',
'insert into jk64demo_earthquakes values(37.476,-118.8478333,0.89);',
'insert into jk64demo_earthquakes values(65.4398,-148.0469,0.5);',
'insert into jk64demo_earthquakes values(34.5193333,-119.092,1.85);',
'insert into jk64demo_earthquakes values(62.2798,-148.6539,1.3);',
'insert into jk64demo_earthquakes values(63.2662,-151.0725,1.5);',
'insert into jk64demo_earthquakes values(64.833,-149.1365,0.5);',
'insert into jk64demo_earthquakes values(45.8621667,-112.0305,-0.17);',
'insert into jk64demo_earthquakes values(37.4751667,-118.8423333,0.74);',
'insert into jk64demo_earthquakes values(59.7897,-153.074,2.1);',
'insert into jk64demo_earthquakes values(40.0048333,-111.8501667,0.97);',
'insert into jk64demo_earthquakes values(34.5285,-119.0898333,1.56);',
'insert into jk64demo_earthquakes values(34.525,-119.1171667,1.89);',
'insert into jk64demo_earthquakes values(40.4086667,-121.3111667,0.44);',
'insert into jk64demo_earthquakes values(34.5255,-119.0906667,1.87);',
'insert into jk64demo_earthquakes values(52.7566,-167.9522,2.3);',
'insert into jk64demo_earthquakes values(60.7118,-152.01,2.2);',
'insert into jk64demo_earthquakes values(62.3182,-148.3428,1.2);',
'insert into jk64demo_earthquakes values(46.9386667,-112.4105,0.59);',
'insert into jk64demo_earthquakes values(36.4653,-98.7412,1.5);',
'insert into jk64demo_earthquakes values(52.2419,-174.3837,2.5);',
'insert into jk64demo_earthquakes values(34.523,-119.083,1.71);',
'insert into jk64demo_earthquakes values(38.8248329,-122.793335,0.51);',
'insert into jk64demo_earthquakes values(63.7826,-147.615,0.8);',
'insert into jk64demo_earthquakes values(59.5916,-153.7014,1.9);',
'insert into jk64demo_earthquakes values(63.1221,-151.5246,0.9);',
'insert into jk64demo_earthquakes values(59.8975,-152.9805,1.8);',
'insert into jk64demo_earthquakes values(34.5246667,-119.0806667,2.34);',
'insert into jk64demo_earthquakes values(52.0307,-173.5464,2);',
'insert into jk64demo_earthquakes values(34.5216667,-119.0748333,4.13);',
'insert into jk64demo_earthquakes values(47.7066667,-122.6126667,2.42);',
'insert into jk64demo_earthquakes values(19.13,-155.3865,1.87);',
'insert into jk64demo_earthquakes values(33.4693333,-116.416,0.92);',
'insert into jk64demo_earthquakes values(59.622,-153.275,1.7);',
'insert into jk64demo_earthquakes values(60.1846,-141.0292,1.5);',
'insert into jk64demo_earthquakes values(33.3546667,-116.2603333,1.33);',
'insert into jk64demo_earthquakes values(33.0648333,-115.5893333,1.59);',
'insert into jk64demo_earthquakes values(44.6195,-113.47,0.64);',
'insert into jk64demo_earthquakes values(61.0393,-150.3923,1.6);',
'insert into jk64demo_earthquakes values(46.4415,-122.4543333,1.14);',
'insert into jk64demo_earthquakes values(52.8302,-167.2876,2.5);',
'insert into jk64demo_earthquakes values(64.8185,-147.311,0.3);',
'insert into jk64demo_earthquakes values(38.8173333,-122.7878333,0.25);',
'insert into jk64demo_earthquakes values(61.2066,-141.9456,1.7);',
'insert into jk64demo_earthquakes values(33.8891667,-116.236,0.78);',
'insert into jk64demo_earthquakes values(19.4306667,-155.6078333,0.67);',
'insert into jk64demo_earthquakes values(60.0285,-152.8916,2.4);',
'insert into jk64demo_earthquakes values(19.333,-155.1176667,0.66);',
'insert into jk64demo_earthquakes values(62.9742,-149.5684,3.1);',
'insert into jk64demo_earthquakes values(37.2016667,-118.4163333,1.34);',
'insert into jk64demo_earthquakes values(38.8166656,-122.8193359,1.03);',
'insert into jk64demo_earthquakes values(33.8856667,-116.23,0.59);',
'insert into jk64demo_earthquakes values(33.8858333,-116.2326667,0.73);',
'insert into jk64demo_earthquakes values(61.5108,-146.7345,1.5);',
'insert into jk64demo_earthquakes values(33.8865,-116.2335,1.17);',
'insert into jk64demo_earthquakes values(33.8848333,-116.2296667,0.76);',
'insert into jk64demo_earthquakes values(38.8106651,-122.822998,0.88);',
'insert into jk64demo_earthquakes values(32.9816667,-116.2763333,1.52);',
'insert into jk64demo_earthquakes values(33.8936667,-116.2363333,0.88);',
'insert into jk64demo_earthquakes values(47.4331667,-115.8238333,1.27);',
'insert into jk64demo_earthquakes values(33.889,-116.2333333,1.02);',
'insert into jk64demo_earthquakes values(40.5356667,-111.6173333,0.46);',
'insert into jk64demo_earthquakes values(64.5251,-148.7083,1.1);',
'insert into jk64demo_earthquakes values(33.8913333,-116.2388333,1.39);',
'insert into jk64demo_earthquakes values(35.8097,-96.9934,2.7);',
'insert into jk64demo_earthquakes values(36.0808333,-117.6181667,0.95);',
'insert into jk64demo_earthquakes values(36.082,-117.618,1.41);',
'insert into jk64demo_earthquakes values(19.1451667,-155.469,1.77);',
'insert into jk64demo_earthquakes values(37.587,-119.0001667,1.26);',
'insert into jk64demo_earthquakes values(36.439,-98.7761,1.4);',
'insert into jk64demo_earthquakes values(33.896,-116.237,1.1);',
'insert into jk64demo_earthquakes values(39.2617,-115.3224,1.3);',
'insert into jk64demo_earthquakes values(39.2447,-115.3489,1.6);',
'insert into jk64demo_earthquakes values(38.8118324,-122.8181686,1.17);',
'insert into jk64demo_earthquakes values(18.805,-64.7768,3.3);',
'insert into jk64demo_earthquakes values(18.8437,-64.969,2.7);',
'insert into jk64demo_earthquakes values(33.2775,-116.7208333,1.16);',
'insert into jk64demo_earthquakes values(38.5101,-118.5304,-0.3);',
'insert into jk64demo_earthquakes values(33.888,-116.2345,0.98);',
'insert into jk64demo_earthquakes values(33.8865,-116.2378333,1.85);',
'insert into jk64demo_earthquakes values(33.8893333,-116.2335,0.87);',
'insert into jk64demo_earthquakes values(19.408,-155.6141667,0.61);',
'insert into jk64demo_earthquakes values(-22.4813,-179.6104,4.8);',
'insert into jk64demo_earthquakes values(-7.7436,125.8964,4.6);',
'insert into jk64demo_earthquakes values(33.8918333,-116.235,1.19);',
'insert into jk64demo_earthquakes values(33.887,-116.2385,1.98);',
'insert into jk64demo_earthquakes values(19.4965,-155.5645,1.02);',
'insert into jk64demo_earthquakes values(38.481,-118.3885,0.3);',
'insert into jk64demo_earthquakes values(38.7809982,-122.7210007,0.7);',
'insert into jk64demo_earthquakes values(34.049,-117.2585,1.35);',
'insert into jk64demo_earthquakes values(34.0408333,-117.4236667,0.98);',
'insert into jk64demo_earthquakes values(33.2766667,-116.7216667,0.95);',
'insert into jk64demo_earthquakes values(33.2766667,-116.7201667,0.85);',
'insert into jk64demo_earthquakes values(33.4705,-116.4875,0.6);',
'insert into jk64demo_earthquakes values(38.785,-122.7348333,0.2);',
'insert into jk64demo_earthquakes values(19.189,-155.4035,1.59);',
'insert into jk64demo_earthquakes values(38.8279991,-122.8081665,0.88);',
'insert into jk64demo_earthquakes values(38.8447,-119.6471,1.1);',
'insert into jk64demo_earthquakes values(36.0035,-117.9171667,0.8);',
'insert into jk64demo_earthquakes values(38.6523,-119.7468,0.6);',
'insert into jk64demo_earthquakes values(38.7651672,-122.7286682,0.99);',
'insert into jk64demo_earthquakes values(33.4606667,-116.5611667,0.8);',
'insert into jk64demo_earthquakes values(38.6625,-118.7916,0.5);',
'insert into jk64demo_earthquakes values(33.783,-115.6513333,1.33);',
'insert into jk64demo_earthquakes values(33.1756667,-116.0106667,0.82);',
'insert into jk64demo_earthquakes values(33.5718333,-118.16,1.51);',
'insert into jk64demo_earthquakes values(36.0093333,-117.7996667,0.66);',
'insert into jk64demo_earthquakes values(33.2091667,-116.3823333,1.1);',
'insert into jk64demo_earthquakes values(33.4708333,-116.4906667,0.51);',
'insert into jk64demo_earthquakes values(36.8258333,-112.4073333,1.92);',
'insert into jk64demo_earthquakes values(63.5018,-147.9748,1.6);',
'insert into jk64demo_earthquakes values(35.9951,-96.8544,3);',
'insert into jk64demo_earthquakes values(33.9356667,-120.2498333,2.25);',
'insert into jk64demo_earthquakes values(37.6001667,-119.0105,0.37);',
'insert into jk64demo_earthquakes values(37.4823333,-118.8465,0.8);',
'insert into jk64demo_earthquakes values(37.4746667,-118.844,1.08);',
'insert into jk64demo_earthquakes values(-23.1323,-68.7234,4.8);',
'insert into jk64demo_earthquakes values(33.5128333,-116.4516667,0.4);',
'insert into jk64demo_earthquakes values(36.0181667,-117.775,0.37);',
'insert into jk64demo_earthquakes values(38.8403333,-122.827,0.46);',
'insert into jk64demo_earthquakes values(39.6305,-119.8297,1.2);',
'insert into jk64demo_earthquakes values(34.521,-119.075,3.31);',
'insert into jk64demo_earthquakes values(36.5548,-116.402,0.2);',
'insert into jk64demo_earthquakes values(51.5355,-177.3437,1.6);',
'insert into jk64demo_earthquakes values(63.2551,-151.5586,1);',
'insert into jk64demo_earthquakes values(33.4716667,-116.4846667,0.72);',
'insert into jk64demo_earthquakes values(63.2905,-151.0853,0.6);',
'insert into jk64demo_earthquakes values(36.0061667,-117.7998333,0.65);',
'insert into jk64demo_earthquakes values(40.1458,-121.0115,1.3);',
'insert into jk64demo_earthquakes values(63.4154,-144.9896,0.8);',
'insert into jk64demo_earthquakes values(63.2912,-151.0641,1.5);',
'insert into jk64demo_earthquakes values(61.4789,-151.3516,1.7);',
'insert into jk64demo_earthquakes values(61.0587,-146.5218,1.9);',
'insert into jk64demo_earthquakes values(33.2325,-116.0926667,2.38);',
'insert into jk64demo_earthquakes values(53.4527,-164.7358,2.4);',
'insert into jk64demo_earthquakes values(33.8626667,-117.7265,1.09);',
'insert into jk64demo_earthquakes values(37.1693333,-112.8275,1.62);',
'insert into jk64demo_earthquakes values(20.4388333,-155.805,2.79);',
'insert into jk64demo_earthquakes values(62.0214,-150.251,1.7);',
'insert into jk64demo_earthquakes values(63.4225,-145.1015,1.6);',
'insert into jk64demo_earthquakes values(19.7158333,-156.0256667,1.53);',
'insert into jk64demo_earthquakes values(33.492,-116.446,0.79);',
'insert into jk64demo_earthquakes values(45.8226667,-122.4855,1.86);',
'insert into jk64demo_earthquakes values(60.7713,-137.6889,1.2);',
'insert into jk64demo_earthquakes values(40.2886667,-124.4816667,2.4);',
'insert into jk64demo_earthquakes values(59.765,-152.9835,2.5);',
'insert into jk64demo_earthquakes values(-7.8731,125.7848,5);',
'insert into jk64demo_earthquakes values(63.3133,-151.3336,1.3);',
'insert into jk64demo_earthquakes values(18.1737,120.277,5.6);',
'insert into jk64demo_earthquakes values(33.4346667,-116.3118333,1.37);',
'insert into jk64demo_earthquakes values(38.8203316,-122.7854996,0.31);',
'insert into jk64demo_earthquakes values(38.788,-122.7748333,1.34);',
'insert into jk64demo_earthquakes values(63.0968,-150.8043,1.5);',
'insert into jk64demo_earthquakes values(60.9196,-150.5787,1.7);',
'insert into jk64demo_earthquakes values(-7.817,125.8231,4.5);',
'insert into jk64demo_earthquakes values(33.5243333,-116.7338333,0.32);',
'insert into jk64demo_earthquakes values(34.9572,111.2483,4.8);',
'insert into jk64demo_earthquakes values(38.8235,-122.7978333,1.68);',
'insert into jk64demo_earthquakes values(38.8230019,-122.7988358,1.1);',
'insert into jk64demo_earthquakes values(38.8235,-122.7965,2.03);',
'insert into jk64demo_earthquakes values(65.1404,-150.1268,0.6);',
'insert into jk64demo_earthquakes values(37.584,-118.9978333,1.61);',
'insert into jk64demo_earthquakes values(60.7319,-137.5366,2.1);',
'insert into jk64demo_earthquakes values(38.8106651,-122.8231659,0.32);',
'insert into jk64demo_earthquakes values(64.7053,-150.9549,1);',
'insert into jk64demo_earthquakes values(61.5427,-149.9561,2.2);',
'insert into jk64demo_earthquakes values(51.3984,-174.1185,3.4);',
'insert into jk64demo_earthquakes values(18.0007,-66.7713,1.9);',
'insert into jk64demo_earthquakes values(18.447,-66.166,2.9);',
'insert into jk64demo_earthquakes values(38.8043327,-122.7723312,0.91);',
'insert into jk64demo_earthquakes values(59.8319,-153.5176,2.1);',
'insert into jk64demo_earthquakes values(64.9236,-149.1372,0.7);',
'insert into jk64demo_earthquakes values(59.6803,-153.2164,2);',
'insert into jk64demo_earthquakes values(36.3792,-97.7193,3.1);',
'insert into jk64demo_earthquakes values(59.8499,-152.9301,2.2);',
'insert into jk64demo_earthquakes values(64.6809,-147.6008,0.6);',
'insert into jk64demo_earthquakes values(37.2567,-118.0781,0);',
'insert into jk64demo_earthquakes values(63.3993,-151.4979,1);',
'insert into jk64demo_earthquakes values(62.3021,-148.3493,3);',
'insert into jk64demo_earthquakes values(38.8376656,-122.8255005,1.07);',
'insert into jk64demo_earthquakes values(56.0745,-158.8693,3.3);',
'insert into jk64demo_earthquakes values(38.8388333,-122.8303333,1.44);',
'insert into jk64demo_earthquakes values(32.1759,141.8829,4.6);',
'insert into jk64demo_earthquakes values(37.8943333,-122.0753333,2.83);',
'insert into jk64demo_earthquakes values(63.4929,-147.3317,0.9);',
'insert into jk64demo_earthquakes values(64.9796,-147.352,1.4);',
'insert into jk64demo_earthquakes values(18.6777,-66.7163,2.4);',
'insert into jk64demo_earthquakes values(38.817,-122.8088333,0.38);',
'insert into jk64demo_earthquakes values(41.8653,-119.5953,0.8);',
'insert into jk64demo_earthquakes values(33.4761667,-116.4873333,0.61);',
'insert into jk64demo_earthquakes values(19.3838333,-155.2496667,2.58);',
'insert into jk64demo_earthquakes values(15.0186,-94.631,4.7);',
'insert into jk64demo_earthquakes values(33.8873333,-116.2281667,1.04);',
'insert into jk64demo_earthquakes values(37.1775,-112.8271667,1.27);',
'insert into jk64demo_earthquakes values(38.8284988,-122.80867,0.58);',
'insert into jk64demo_earthquakes values(38.8288345,-122.8083344,0.79);',
'insert into jk64demo_earthquakes values(60.5706,-151.6384,2.1);',
'insert into jk64demo_earthquakes values(36.5073,-98.6984,1.7);',
'insert into jk64demo_earthquakes values(37.5923333,-118.835,0.48);',
'insert into jk64demo_earthquakes values(-15.1082,-172.7073,5.3);',
'insert into jk64demo_earthquakes values(38.8356667,-122.7939987,0.77);',
'insert into jk64demo_earthquakes values(38.8111649,-122.8236694,0.34);',
'insert into jk64demo_earthquakes values(38.8235016,-122.8296661,1.11);',
'insert into jk64demo_earthquakes values(38.8186684,-122.7633362,0.85);',
'insert into jk64demo_earthquakes values(38.8116684,-122.8236694,0.82);',
'insert into jk64demo_earthquakes values(38.7910004,-122.7371674,1.04);',
'insert into jk64demo_earthquakes values(38.6493,-119.7478,1.4);',
'insert into jk64demo_earthquakes values(61.5094,-146.6424,2.4);',
'insert into jk64demo_earthquakes values(38.8354988,-122.7726669,0.88);',
'insert into jk64demo_earthquakes values(61.9669,-150.5403,1.8);',
'insert into jk64demo_earthquakes values(38.751,-122.7331667,1.29);',
'insert into jk64demo_earthquakes values(34.0181667,-116.4048333,1.86);',
'insert into jk64demo_earthquakes values(36.469,-121.0491667,1.94);',
'insert into jk64demo_earthquakes values(33.8838333,-116.2253333,0.88);',
'insert into jk64demo_earthquakes values(32.7623333,-116.8983333,1.3);',
'insert into jk64demo_earthquakes values(15.4411,-94.3343,4.5);',
'insert into jk64demo_earthquakes values(33.888,-116.2361667,0.98);',
'insert into jk64demo_earthquakes values(28.1551,129.6678,4.4);',
'insert into jk64demo_earthquakes values(45.6948333,-111.5841667,0.24);',
'insert into jk64demo_earthquakes values(36.5482,-113.5051,1.7);',
'insert into jk64demo_earthquakes values(38.8128333,-122.8225,0.43);',
'insert into jk64demo_earthquakes values(38.8203333,-122.8093333,0.26);',
'insert into jk64demo_earthquakes values(33.0386667,-116.4133333,1.5);',
'insert into jk64demo_earthquakes values(35.0576667,-118.3393333,1.17);',
'insert into jk64demo_earthquakes values(33.8845,-116.2321667,0.97);',
'insert into jk64demo_earthquakes values(33.4868333,-116.452,1.08);',
'insert into jk64demo_earthquakes values(33.8865,-116.2326667,1.44);',
'insert into jk64demo_earthquakes values(45.3683333,-112.583,0.22);',
'insert into jk64demo_earthquakes values(37.5656667,-118.865,0.53);',
'insert into jk64demo_earthquakes values(65.0081,-147.3297,1.6);',
'insert into jk64demo_earthquakes values(36.7478333,-121.4115,1.38);',
'insert into jk64demo_earthquakes values(36.1765,-117.8693333,1.75);',
'insert into jk64demo_earthquakes values(37.5643333,-118.8695,0.2);',
'insert into jk64demo_earthquakes values(37.3245,-122.1025,1.66);',
'insert into jk64demo_earthquakes values(35.1488333,-118.3988333,1.5);',
'insert into jk64demo_earthquakes values(33.3225,-116.2846667,0.92);',
'insert into jk64demo_earthquakes values(40.2948333,-121.2645,2.1);',
'insert into jk64demo_earthquakes values(39.4134,-120.2005,-0.6);',
'insert into jk64demo_earthquakes values(33.8888333,-116.2345,1.01);',
'insert into jk64demo_earthquakes values(39.7151667,-111.191,1.16);',
'insert into jk64demo_earthquakes values(39.2252,-120.0877,-0.1);',
'insert into jk64demo_earthquakes values(40.4838333,-124.3015,2.13);',
'insert into jk64demo_earthquakes values(19.4286667,-155.6175,0.59);',
'insert into jk64demo_earthquakes values(33.0285,-116.4275,1.44);',
'insert into jk64demo_earthquakes values(41.8874,-119.6106,0.6);',
'insert into jk64demo_earthquakes values(38.8236667,-122.8431667,0.13);',
'insert into jk64demo_earthquakes values(59.9131,-153.6666,2.2);',
'insert into jk64demo_earthquakes values(63.253,-150.5699,3.3);',
'insert into jk64demo_earthquakes values(38.2983,-119.2731,1);',
'insert into jk64demo_earthquakes values(36.435,-116.924,-0.3);',
'insert into jk64demo_earthquakes values(34.1423333,-117.4273333,0.89);',
'insert into jk64demo_earthquakes values(36.0155,-117.7761667,1.29);',
'insert into jk64demo_earthquakes values(60.8873,-149.9396,1.5);',
'insert into jk64demo_earthquakes values(38.7905006,-122.7798309,0.49);',
'insert into jk64demo_earthquakes values(63.3685,-145.198,1.7);',
'insert into jk64demo_earthquakes values(37.2852,-118.3465,0.6);',
'insert into jk64demo_earthquakes values(65.8012,-150.8078,0.7);',
'insert into jk64demo_earthquakes values(34.0895,-118.9123333,2.03);',
'insert into jk64demo_earthquakes values(36.018,-117.7781667,1.22);',
'insert into jk64demo_earthquakes values(35.6249,-3.6007,5.2);',
'insert into jk64demo_earthquakes values(64.8713,-148.98,0.6);',
'insert into jk64demo_earthquakes values(35.579,-3.5544,5.2);',
'insert into jk64demo_earthquakes values(35.9271667,-117.9488333,1.29);',
'insert into jk64demo_earthquakes values(38.8093333,-122.8158333,0.28);',
'insert into jk64demo_earthquakes values(38.3695,-118.2362,0.8);',
'insert into jk64demo_earthquakes values(64.5837,-147.7542,0.2);',
'insert into jk64demo_earthquakes values(51.4114,-174.0571,2.1);',
'insert into jk64demo_earthquakes values(61.7325,-149.6554,1.9);',
'insert into jk64demo_earthquakes values(18.0293,-67.086,1.5);',
'insert into jk64demo_earthquakes values(51.426,-174.1596,2.4);',
'insert into jk64demo_earthquakes values(36.7459,-115.9176,0.1);',
'insert into jk64demo_earthquakes values(37.5711667,-118.8501667,0.69);',
'insert into jk64demo_earthquakes values(51.3428,-174.0181,2.4);',
'insert into jk64demo_earthquakes values(51.3719,-173.9787,2.6);',
'insert into jk64demo_earthquakes values(50.5992,-173.7761,4);',
'insert into jk64demo_earthquakes values(51.6657,-175.6233,1.8);',
'insert into jk64demo_earthquakes values(61.1373,-148.8181,1.9);',
'insert into jk64demo_earthquakes values(33.422,-116.3886667,2.04);',
'insert into jk64demo_earthquakes values(36.4698,-98.7425,1.6);',
'insert into jk64demo_earthquakes values(36.4787,70.1292,4.1);',
'insert into jk64demo_earthquakes values(38.1653,-118.8388,0.9);',
'insert into jk64demo_earthquakes values(37.2172,-117.5447,0.5);',
'insert into jk64demo_earthquakes values(51.2302,-173.9796,2.2);',
'insert into jk64demo_earthquakes values(59.2042,-136.7363,2.8);',
'insert into jk64demo_earthquakes values(61.0469,-148.9512,1.7);',
'insert into jk64demo_earthquakes values(65.3433,-144.3427,1.6);',
'insert into jk64demo_earthquakes values(33.5113333,-116.4481667,0.78);',
'insert into jk64demo_earthquakes values(51.3673,-173.9966,2.9);',
'insert into jk64demo_earthquakes values(51.3888,-173.8826,5.4);',
'insert into jk64demo_earthquakes values(38.8341675,-122.7953339,0.89);',
'insert into jk64demo_earthquakes values(37.3709,-118.3288,0.5);',
'insert into jk64demo_earthquakes values(34.0196667,-116.4025,1.75);',
'insert into jk64demo_earthquakes values(35.0558333,-119.1041667,2.24);',
'insert into jk64demo_earthquakes values(39.6422,-120.0166,0.1);',
'insert into jk64demo_earthquakes values(46.1963333,-122.183,0.58);',
'insert into jk64demo_earthquakes values(38.8345,-122.7986667,1.98);',
'insert into jk64demo_earthquakes values(64.6612,-149.1277,0.6);',
'insert into jk64demo_earthquakes values(37.3396667,-118.7653333,1.08);',
'insert into jk64demo_earthquakes values(61.041,-152.3625,1.8);',
'insert into jk64demo_earthquakes values(50.778,179.7363,2.7);',
'insert into jk64demo_earthquakes values(35.3157,23.5123,4.7);',
'insert into jk64demo_earthquakes values(37.1174,-116.7418,-0.4);',
'insert into jk64demo_earthquakes values(51.3342,-173.8758,3.6);',
'insert into jk64demo_earthquakes values(35.0493333,-119.1011667,2);',
'insert into jk64demo_earthquakes values(46.195,-122.2063333,0.75);',
'insert into jk64demo_earthquakes values(34.0151667,-116.4001667,1.12);',
'insert into jk64demo_earthquakes values(63.5423,-150.8063,0.8);',
'insert into jk64demo_earthquakes values(34.5211667,-119.0865,2.14);',
'insert into jk64demo_earthquakes values(34.5261667,-119.0935,1.85);',
'insert into jk64demo_earthquakes values(66.0005,-151.0287,1.5);',
'insert into jk64demo_earthquakes values(36.4385,-98.7755,1.4);',
'insert into jk64demo_earthquakes values(37.3946667,-118.311,1.59);',
'insert into jk64demo_earthquakes values(46.201,-122.177,0.6);',
'insert into jk64demo_earthquakes values(64.8552,-149.4583,1.1);',
'insert into jk64demo_earthquakes values(34.2115,-117.5531667,1.08);',
'insert into jk64demo_earthquakes values(37.52,-118.7838333,0.26);',
'insert into jk64demo_earthquakes values(36.4776667,-121.0566667,2.49);',
'insert into jk64demo_earthquakes values(37.3857,-118.3092,1.1);',
'insert into jk64demo_earthquakes values(51.4857,-174.0893,4.6);',
'insert into jk64demo_earthquakes values(19.0095,-156.215,2.96);',
'insert into jk64demo_earthquakes values(19.6981667,-156.0428333,1.95);',
'insert into jk64demo_earthquakes values(63.802,-146.9988,0.8);',
'insert into jk64demo_earthquakes values(54.1456,-164.1302,2.5);',
'insert into jk64demo_earthquakes values(65.4185,-148.0351,0.7);',
'insert into jk64demo_earthquakes values(34.5201667,-119.0801667,2.13);',
'insert into jk64demo_earthquakes values(33.4478333,-116.5458333,0.61);',
'insert into jk64demo_earthquakes values(60.1788,-140.9859,1.3);',
'insert into jk64demo_earthquakes values(64.8416,-147.4939,0.1);',
'insert into jk64demo_earthquakes values(60.4647,-147.8168,1.5);',
'insert into jk64demo_earthquakes values(64.6308,-148.7534,0.5);',
'insert into jk64demo_earthquakes values(33.472,-116.4853333,0.29);',
'insert into jk64demo_earthquakes values(33.4711667,-116.4876667,0.63);',
'insert into jk64demo_earthquakes values(63.0513,-151.5066,1);',
'insert into jk64demo_earthquakes values(32.9803333,-116.2721667,1.93);',
'insert into jk64demo_earthquakes values(37.5581667,-118.9238333,0.31);',
'insert into jk64demo_earthquakes values(38.7536667,-122.6995,0.92);',
'insert into jk64demo_earthquakes values(33.5093333,-116.4466667,0.25);',
'insert into jk64demo_earthquakes values(39.6601,-120.9285,0.6);',
'insert into jk64demo_earthquakes values(33.4705,-116.4926667,1.02);',
'insert into jk64demo_earthquakes values(33.4711667,-116.4886667,0.54);',
'insert into jk64demo_earthquakes values(36.5263,-98.6867,1.9);',
'insert into jk64demo_earthquakes values(34.023,-117.6041667,0.77);',
'insert into jk64demo_earthquakes values(33.4691667,-116.499,1.42);',
'insert into jk64demo_earthquakes values(60.3281,-152.5824,1.6);',
'insert into jk64demo_earthquakes values(39.629,-120.0048,0);',
'insert into jk64demo_earthquakes values(62.2718,-150.2418,1.1);',
'insert into jk64demo_earthquakes values(38.8191667,-122.8048333,2.56);',
'insert into jk64demo_earthquakes values(59.9553,-141.5253,1.4);',
'insert into jk64demo_earthquakes values(64.7487,-151.2311,1);',
'insert into jk64demo_earthquakes values(64.7494,-151.3102,2.4);',
'insert into jk64demo_earthquakes values(60.9226,-147.4242,1.3);',
'insert into jk64demo_earthquakes values(34.1106667,-117.4921667,0.88);',
'insert into jk64demo_earthquakes values(38.8079987,-122.8144989,0.78);',
'insert into jk64demo_earthquakes values(33.944,-116.8448333,0.48);',
'insert into jk64demo_earthquakes values(59.6787,-153.3456,1.5);',
'insert into jk64demo_earthquakes values(34.309,-117.0185,0.97);',
'insert into jk64demo_earthquakes values(38.8245,-122.8261667,1.08);',
'insert into jk64demo_earthquakes values(59.9445,-153.6775,3.2);',
'insert into jk64demo_earthquakes values(37.9708,-118.7054,0.9);',
'insert into jk64demo_earthquakes values(60'))
);
end;
/
begin
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.2158,-152.8698,0.7);',
'insert into jk64demo_earthquakes values(61.5706,-140.9968,1.2);',
'insert into jk64demo_earthquakes values(63.0667,-148.3679,0.9);',
'insert into jk64demo_earthquakes values(33.5058333,-116.457,2.13);',
'insert into jk64demo_earthquakes values(33.8883333,-116.2333333,1.13);',
'insert into jk64demo_earthquakes values(33.5075,-116.448,0.3);',
'insert into jk64demo_earthquakes values(37.5773333,-118.8656667,0.09);',
'insert into jk64demo_earthquakes values(33.2326667,-116.0896667,1.34);',
'insert into jk64demo_earthquakes values(33.9391667,-117.0568333,0.99);',
'insert into jk64demo_earthquakes values(34.1233333,-118.4105,1.2);',
'insert into jk64demo_earthquakes values(37.6301667,-118.87,0.57);',
'insert into jk64demo_earthquakes values(39.0293,-115.4614,2.4);',
'insert into jk64demo_earthquakes values(68.1419,-158.2101,3.4);',
'insert into jk64demo_earthquakes values(63.149,-151.4548,0.9);',
'insert into jk64demo_earthquakes values(37.191,-112.8423333,1.16);',
'insert into jk64demo_earthquakes values(37.2518333,-112.7363333,1.34);',
'insert into jk64demo_earthquakes values(33.8155,-118.2075,1.38);',
'insert into jk64demo_earthquakes values(-18.8082,-69.6507,5);',
'insert into jk64demo_earthquakes values(19.4243333,-155.6083333,0.64);',
'insert into jk64demo_earthquakes values(37.2541667,-112.7326667,1.61);',
'insert into jk64demo_earthquakes values(59.778,-151.4454,1.2);',
'insert into jk64demo_earthquakes values(36.5179,-97.7394,3);',
'insert into jk64demo_earthquakes values(37.5353333,-118.8743333,0.18);',
'insert into jk64demo_earthquakes values(33.8745,-116.8531667,0.79);',
'insert into jk64demo_earthquakes values(63.113,-150.8255,1.4);',
'insert into jk64demo_earthquakes values(34.0541667,-117.5031667,0.87);',
'insert into jk64demo_earthquakes values(60.2734,-152.2946,1.3);',
'insert into jk64demo_earthquakes values(36.557,-89.6031667,2);',
'insert into jk64demo_earthquakes values(34.58,-118.0411667,1.28);',
'insert into jk64demo_earthquakes values(39.3248,-117.7585,0.9);',
'insert into jk64demo_earthquakes values(38.8256683,-122.8438339,1.1);',
'insert into jk64demo_earthquakes values(33.4713333,-116.4976667,1.12);',
'insert into jk64demo_earthquakes values(36.02,-117.7761667,0.34);',
'insert into jk64demo_earthquakes values(33.8896667,-116.2335,0.72);',
'insert into jk64demo_earthquakes values(60.0741,-151.663,1.3);',
'insert into jk64demo_earthquakes values(33.4985,-116.7893333,0.37);',
'insert into jk64demo_earthquakes values(37.5728333,-118.8505,0.02);',
'insert into jk64demo_earthquakes values(18.9197,-64.1696,3);',
'insert into jk64demo_earthquakes values(38.7794991,-122.7235031,0.88);',
'insert into jk64demo_earthquakes values(38.8351669,-122.7939987,0.79);',
'insert into jk64demo_earthquakes values(33.7113333,-116.8341667,1.54);',
'insert into jk64demo_earthquakes values(37.2362,-117.5065,0.6);',
'insert into jk64demo_earthquakes values(37.5555,-118.853,0.18);',
'insert into jk64demo_earthquakes values(63.5549,-150.8028,0.7);',
'insert into jk64demo_earthquakes values(36.1334,-97.2599,2.6);',
'insert into jk64demo_earthquakes values(39.0333,-118.1488,0.6);',
'insert into jk64demo_earthquakes values(38.8223333,-122.781,0.27);',
'insert into jk64demo_earthquakes values(63.0651,-151.4348,1.2);',
'insert into jk64demo_earthquakes values(46.2581667,-122.0611667,0.97);',
'insert into jk64demo_earthquakes values(60.0145,-151.8337,1.2);',
'insert into jk64demo_earthquakes values(47.9881667,-115.1186667,-0.07);',
'insert into jk64demo_earthquakes values(39.6318,-119.8314,0.3);',
'insert into jk64demo_earthquakes values(19.4341667,-155.6263333,2.82);',
'insert into jk64demo_earthquakes values(33.466,-116.4958333,1.22);',
'insert into jk64demo_earthquakes values(37.1908333,-118.4098333,2.23);',
'insert into jk64demo_earthquakes values(36.7351,-116.3369,-0.3);',
'insert into jk64demo_earthquakes values(39.984,-120.4061,0);',
'insert into jk64demo_earthquakes values(37.1047,-117.8898,0.9);',
'insert into jk64demo_earthquakes values(38.8415,-122.827,0.54);',
'insert into jk64demo_earthquakes values(60.9004,-149.9895,1.4);',
'insert into jk64demo_earthquakes values(33.477,-116.4046667,1.04);',
'insert into jk64demo_earthquakes values(33.2761667,-116.7216667,1);',
'insert into jk64demo_earthquakes values(38.3711,-118.2319,0.7);',
'insert into jk64demo_earthquakes values(35.9996667,-120.5603333,0.3);',
'insert into jk64demo_earthquakes values(33.5341667,-116.6936667,-0.11);',
'insert into jk64demo_earthquakes values(38.8136673,-122.8290024,0.34);',
'insert into jk64demo_earthquakes values(46.8636667,-121.7315,0.9);',
'insert into jk64demo_earthquakes values(37.6595,-121.6755,1.51);',
'insert into jk64demo_earthquakes values(36.0228333,-117.7773333,1.05);',
'insert into jk64demo_earthquakes values(37.4691667,-118.844,0.72);',
'insert into jk64demo_earthquakes values(34.4228333,-116.4881667,1.74);',
'insert into jk64demo_earthquakes values(35.9028333,-120.7298333,1.2);',
'insert into jk64demo_earthquakes values(38.8133316,-122.8280029,0.7);',
'insert into jk64demo_earthquakes values(61.7655,-149.59,1.7);',
'insert into jk64demo_earthquakes values(36.4406,-98.7782,2.1);',
'insert into jk64demo_earthquakes values(64.613,-149.1878,0.4);',
'insert into jk64demo_earthquakes values(43.9476667,-110.9156667,0.96);',
'insert into jk64demo_earthquakes values(-3.9364,152.2662,4.6);',
'insert into jk64demo_earthquakes values(35.7334,-3.5836,5.3);',
'insert into jk64demo_earthquakes values(33.7418333,-118.3181667,2.37);',
'insert into jk64demo_earthquakes values(60.2896,-143.0526,1.5);',
'insert into jk64demo_earthquakes values(18.3463,-65.629,3.3);',
'insert into jk64demo_earthquakes values(33.2793333,-116.7156667,0.87);',
'insert into jk64demo_earthquakes values(64.4264,-146.7077,0.5);',
'insert into jk64demo_earthquakes values(38.8175,-122.8178333,1.29);',
'insert into jk64demo_earthquakes values(62.8659,-148.3788,2.1);',
'insert into jk64demo_earthquakes values(33.2891667,-116.7053333,0.42);',
'insert into jk64demo_earthquakes values(39.3991,-120.1756,0.6);',
'insert into jk64demo_earthquakes values(47.5756667,-123.9753333,2.02);',
'insert into jk64demo_earthquakes values(37.5706667,-118.8523333,0.01);',
'insert into jk64demo_earthquakes values(37.3191667,-122.088,1.27);',
'insert into jk64demo_earthquakes values(37.5778333,-118.857,-0.12);',
'insert into jk64demo_earthquakes values(19.2206667,-155.5681667,1.43);',
'insert into jk64demo_earthquakes values(61.7983,-152.2003,2.2);',
'insert into jk64demo_earthquakes values(35.6976,-116.558,0.8);',
'insert into jk64demo_earthquakes values(48.6186667,-114.561,1.42);',
'insert into jk64demo_earthquakes values(38.1892,-118.5067,1.3);',
'insert into jk64demo_earthquakes values(63.1862,-151.3462,1.6);',
'insert into jk64demo_earthquakes values(38.8421667,-122.876,0.96);',
'insert into jk64demo_earthquakes values(38.8053322,-122.8268356,0.56);',
'insert into jk64demo_earthquakes values(61.2196,-149.9562,2.9);',
'insert into jk64demo_earthquakes values(38.8455,-122.8238333,1.02);',
'insert into jk64demo_earthquakes values(19.3603333,-155.3241667,2.99);',
'insert into jk64demo_earthquakes values(33.0453333,-114.9708333,1.41);',
'insert into jk64demo_earthquakes values(36.437,-98.7822,1.4);',
'insert into jk64demo_earthquakes values(33.4691667,-116.4873333,0.84);',
'insert into jk64demo_earthquakes values(33.2776667,-116.7155,0.71);',
'insert into jk64demo_earthquakes values(-10.2366,161.4572,4.9);',
'insert into jk64demo_earthquakes values(33.6751667,-116.7116667,0.52);',
'insert into jk64demo_earthquakes values(38.7996667,-122.6945,0.68);',
'insert into jk64demo_earthquakes values(38.7881667,-122.7478333,1.56);',
'insert into jk64demo_earthquakes values(64.7259,-145.6505,2.6);',
'insert into jk64demo_earthquakes values(38.7953339,-122.7783356,0.51);',
'insert into jk64demo_earthquakes values(37.6213333,-118.903,0.58);',
'insert into jk64demo_earthquakes values(19.456,-155.6001667,0.52);',
'insert into jk64demo_earthquakes values(33.9451667,-116.8495,0.69);',
'insert into jk64demo_earthquakes values(33.4748333,-116.4976667,1.26);',
'insert into jk64demo_earthquakes values(46.2645,-122.5906667,1.16);',
'insert into jk64demo_earthquakes values(37.57,-118.858,1.92);',
'insert into jk64demo_earthquakes values(36.731,-116.2939,-0.3);',
'insert into jk64demo_earthquakes values(33.6375,-116.711,0.45);',
'insert into jk64demo_earthquakes values(49.4198333,-120.5176667,1.92);',
'insert into jk64demo_earthquakes values(64.9993,-147.339,1);',
'insert into jk64demo_earthquakes values(36.578,-121.1358333,1.56);',
'insert into jk64demo_earthquakes values(38.8048333,-122.7916667,0.94);',
'insert into jk64demo_earthquakes values(37.5708333,-118.857,1.17);',
'insert into jk64demo_earthquakes values(-24.726,-70.8795,4);',
'insert into jk64demo_earthquakes values(36.284,-97.641,3.2);',
'insert into jk64demo_earthquakes values(36.287,-97.6458,3.1);',
'insert into jk64demo_earthquakes values(61.9914,-150.616,1.3);',
'insert into jk64demo_earthquakes values(63.6046,-149.7298,1.1);',
'insert into jk64demo_earthquakes values(65.9838,-148.2985,1.3);',
'insert into jk64demo_earthquakes values(46.26,-122.592,1.41);',
'insert into jk64demo_earthquakes values(36.5946667,-121.1931667,1.35);',
'insert into jk64demo_earthquakes values(45.3283333,-112.6273333,1.98);',
'insert into jk64demo_earthquakes values(37.5731667,-118.8508333,0.26);',
'insert into jk64demo_earthquakes values(46.7896667,-121.8688333,0.92);',
'insert into jk64demo_earthquakes values(46.1151667,-123.1038333,1.42);',
'insert into jk64demo_earthquakes values(-18.8174,-69.6966,4);',
'insert into jk64demo_earthquakes values(35.7077,-3.6625,4.2);',
'insert into jk64demo_earthquakes values(67.4498,-171.12,3.4);',
'insert into jk64demo_earthquakes values(63.1218,-150.6086,1.9);',
'insert into jk64demo_earthquakes values(12.3203,144.224,4.6);',
'insert into jk64demo_earthquakes values(-29.8625,-177.7386,4);',
'insert into jk64demo_earthquakes values(37.555,-118.8405,0.45);',
'insert into jk64demo_earthquakes values(19.4566667,-155.6005,1.09);',
'insert into jk64demo_earthquakes values(61.7387,-150.3551,1.5);',
'insert into jk64demo_earthquakes values(38.8368333,-122.8025,1.08);',
'insert into jk64demo_earthquakes values(62.5233,-151.1426,1.2);',
'insert into jk64demo_earthquakes values(37.5686667,-118.8568333,0.73);',
'insert into jk64demo_earthquakes values(64.6942,-149.2166,0.4);',
'insert into jk64demo_earthquakes values(52.039,-169.187,2.8);',
'insert into jk64demo_earthquakes values(48.3215,-122.0975,1.74);',
'insert into jk64demo_earthquakes values(64.7323,-146.7978,0.7);',
'insert into jk64demo_earthquakes values(63.0896,-151.4577,0.9);',
'insert into jk64demo_earthquakes values(33.8216667,-117.4851667,1.67);',
'insert into jk64demo_earthquakes values(60.8643,-149.1527,2.3);',
'insert into jk64demo_earthquakes values(33.2206667,-116.7366667,0.65);',
'insert into jk64demo_earthquakes values(61.5112,-148.2389,2);',
'insert into jk64demo_earthquakes values(38.2941,-119.2789,1.3);',
'insert into jk64demo_earthquakes values(40.2565,-121.0761667,1.16);',
'insert into jk64demo_earthquakes values(36.422,-121.003,1.66);',
'insert into jk64demo_earthquakes values(63.226,-150.5756,1.3);',
'insert into jk64demo_earthquakes values(36.4487,-98.7706,1.6);',
'insert into jk64demo_earthquakes values(37.5495,-118.8775,0.36);',
'insert into jk64demo_earthquakes values(33.4715,-116.4871667,0.62);',
'insert into jk64demo_earthquakes values(59.8418,-152.2584,2.1);',
'insert into jk64demo_earthquakes values(63.1554,-153.0241,2.3);',
'insert into jk64demo_earthquakes values(36.4379,-98.78,1.8);',
'insert into jk64demo_earthquakes values(64.4882,-147.3775,0.8);',
'insert into jk64demo_earthquakes values(63.0986,-150.921,1.6);',
'insert into jk64demo_earthquakes values(57.4838,-154.8791,2.1);',
'insert into jk64demo_earthquakes values(58.8565,-152.3381,2.4);',
'insert into jk64demo_earthquakes values(36.8968333,-121.63,1.43);',
'insert into jk64demo_earthquakes values(62.9888,-151.1271,1.4);',
'insert into jk64demo_earthquakes values(38.836834,-122.8420029,1.03);',
'insert into jk64demo_earthquakes values(63.8727,-149.1426,0.8);',
'insert into jk64demo_earthquakes values(38.821,-122.8246667,1.89);',
'insert into jk64demo_earthquakes values(38.8066673,-122.7333298,0.41);',
'insert into jk64demo_earthquakes values(38.8240013,-122.8263321,1.19);',
'insert into jk64demo_earthquakes values(35.0546667,-118.3481667,1.06);',
'insert into jk64demo_earthquakes values(43.189,149.0318,5.3);',
'insert into jk64demo_earthquakes values(38.8035011,-122.8108368,1.19);',
'insert into jk64demo_earthquakes values(36.7332,-116.2956,-0.1);',
'insert into jk64demo_earthquakes values(36.7345,-116.2944,-0.1);',
'insert into jk64demo_earthquakes values(34.1348333,-118.4146667,2.5);',
'insert into jk64demo_earthquakes values(19.191,-155.5191667,1.67);',
'insert into jk64demo_earthquakes values(62.1683,-148.9015,1.2);',
'insert into jk64demo_earthquakes values(40.4923333,-123.202,2.93);',
'insert into jk64demo_earthquakes values(64.7526,-151.2816,1.3);',
'insert into jk64demo_earthquakes values(63.5708,-147.5062,1.8);',
'insert into jk64demo_earthquakes values(38.8033333,-122.8160019,0.76);',
'insert into jk64demo_earthquakes values(63.6844,-149.2806,1.6);',
'insert into jk64demo_earthquakes values(36.4306667,-121.0115,1.68);',
'insert into jk64demo_earthquakes values(32.9801667,-116.2676667,1.36);',
'insert into jk64demo_earthquakes values(33.6866667,-116.7566667,0.57);',
'insert into jk64demo_earthquakes values(36.4366,-98.7753,1.7);',
'insert into jk64demo_earthquakes values(60.1732,-140.9507,0.9);',
'insert into jk64demo_earthquakes values(37.1976667,-119.0075,1.7);',
'insert into jk64demo_earthquakes values(64.6314,-146.9501,0.4);',
'insert into jk64demo_earthquakes values(63.2794,-151.1223,0.9);',
'insert into jk64demo_earthquakes values(64.3836,-147.2865,0.9);',
'insert into jk64demo_earthquakes values(38.8129997,-122.8293304,1.03);',
'insert into jk64demo_earthquakes values(38.8186667,-122.8171667,1.54);',
'insert into jk64demo_earthquakes values(58.6965,-153.244,1.9);',
'insert into jk64demo_earthquakes values(36.4471,-98.7824,3.2);',
'insert into jk64demo_earthquakes values(36.01,-120.5683333,0.51);',
'insert into jk64demo_earthquakes values(59.9256,-140.1375,1.5);',
'insert into jk64demo_earthquakes values(59.9556,-139.9956,1.4);',
'insert into jk64demo_earthquakes values(60.4021,-147.7546,1.5);',
'insert into jk64demo_earthquakes values(59.9761,-152.2583,2.3);',
'insert into jk64demo_earthquakes values(37.5708333,-118.8663333,0.06);',
'insert into jk64demo_earthquakes values(64.8478,-149.4562,1);',
'insert into jk64demo_earthquakes values(38.8195,-122.7883301,0.71);',
'insert into jk64demo_earthquakes values(63.4479,-147.5673,0.9);',
'insert into jk64demo_earthquakes values(38.8176667,-122.8205,0.85);',
'insert into jk64demo_earthquakes values(60.1019,-152.8722,1.5);',
'insert into jk64demo_earthquakes values(38.8153333,-122.8075,1.06);',
'insert into jk64demo_earthquakes values(36.7311,-116.2985,-0.1);',
'insert into jk64demo_earthquakes values(32.9828333,-116.4221667,1.51);',
'insert into jk64demo_earthquakes values(36.7306,-116.2949,-0.1);',
'insert into jk64demo_earthquakes values(33.8921667,-116.23,0.86);',
'insert into jk64demo_earthquakes values(59.7804,-153.1185,1.4);',
'insert into jk64demo_earthquakes values(59.4181,-153.1279,1.6);',
'insert into jk64demo_earthquakes values(37.522,-118.8275,0.21);',
'insert into jk64demo_earthquakes values(36.7183,-118.0048,0.5);',
'insert into jk64demo_earthquakes values(19.408,-155.6373333,1.42);',
'insert into jk64demo_earthquakes values(38.8223333,-122.8025,1.47);',
'insert into jk64demo_earthquakes values(62.4913,-150.6955,1.2);',
'insert into jk64demo_earthquakes values(59.7551,-152.0588,1.3);',
'insert into jk64demo_earthquakes values(36.5079,-98.6705,3.1);',
'insert into jk64demo_earthquakes values(47.152,-114.6425,0.43);',
'insert into jk64demo_earthquakes values(47.3625,-113.9015,-0.12);',
'insert into jk64demo_earthquakes values(34.2985,-116.8683333,1.83);',
'insert into jk64demo_earthquakes values(59.8913,-140.1387,1.4);',
'insert into jk64demo_earthquakes values(61.8952,-149.5886,1.1);',
'insert into jk64demo_earthquakes values(38.4168,-118.7365,0.7);',
'insert into jk64demo_earthquakes values(64.5039,-149.4091,0.2);',
'insert into jk64demo_earthquakes values(36.4504,-98.7711,1.2);',
'insert into jk64demo_earthquakes values(38.0398,-118.885,1.2);',
'insert into jk64demo_earthquakes values(38.8040009,-122.8160019,0.69);',
'insert into jk64demo_earthquakes values(33.9351667,-116.388,0.78);',
'insert into jk64demo_earthquakes values(8.3399,-103.3409,4.9);',
'insert into jk64demo_earthquakes values(36.4507,-98.7697,1.5);',
'insert into jk64demo_earthquakes values(36.0261667,-117.7776667,0.5);',
'insert into jk64demo_earthquakes values(36.077,-117.7588333,0.07);',
'insert into jk64demo_earthquakes values(33.4183333,-116.6126667,1.19);',
'insert into jk64demo_earthquakes values(36.0213333,-117.781,0.6);',
'insert into jk64demo_earthquakes values(38.8363342,-122.8008347,0.16);',
'insert into jk64demo_earthquakes values(36.2708,-97.5215,3);',
'insert into jk64demo_earthquakes values(61.5691,-149.7277,2.5);',
'insert into jk64demo_earthquakes values(33.8908333,-116.2341667,1.27);',
'insert into jk64demo_earthquakes values(61.7581,-148.2316,1.1);',
'insert into jk64demo_earthquakes values(38.8083333,-122.8273333,0.68);',
'insert into jk64demo_earthquakes values(61.4171,-154.1055,1.8);',
'insert into jk64demo_earthquakes values(-29.3011,-179.0928,4.7);',
'insert into jk64demo_earthquakes values(37.6046667,-118.7886667,0.46);',
'insert into jk64demo_earthquakes values(40.2556667,-123.7971667,2.54);',
'insert into jk64demo_earthquakes values(33.4971667,-116.5133333,0.14);',
'insert into jk64demo_earthquakes values(32.699,-115.7561667,1.3);',
'insert into jk64demo_earthquakes values(38.7525,-122.7185,1.06);',
'insert into jk64demo_earthquakes values(62.6315,-149.5556,2.5);',
'insert into jk64demo_earthquakes values(33.5938333,-116.8141667,0.26);',
'insert into jk64demo_earthquakes values(37.5745,-118.8523333,0.75);',
'insert into jk64demo_earthquakes values(35.9846667,-120.538,0.05);',
'insert into jk64demo_earthquakes values(61.5962,-151.7696,1.3);',
'insert into jk64demo_earthquakes values(59.6686,-153.0752,1.6);',
'insert into jk64demo_earthquakes values(64.55,-148.6628,0.7);',
'insert into jk64demo_earthquakes values(30.4447,99.8969,4.6);',
'insert into jk64demo_earthquakes values(49.3963333,-120.4916667,1.64);',
'insert into jk64demo_earthquakes values(38.7953339,-122.748497,0.5);',
'insert into jk64demo_earthquakes values(35.5356667,-120.827,1.9);',
'insert into jk64demo_earthquakes values(60.13,-147.1422,1.8);',
'insert into jk64demo_earthquakes values(60.3944,-152.0352,2.1);',
'insert into jk64demo_earthquakes values(18.8915,-65.318,2.6);',
'insert into jk64demo_earthquakes values(33.8598333,-117.517,1.11);',
'insert into jk64demo_earthquakes values(38.8126667,-122.7793333,1.12);',
'insert into jk64demo_earthquakes values(36.076,-120.6351667,0.66);',
'insert into jk64demo_earthquakes values(19.2661667,-155.1111667,1.8);',
'insert into jk64demo_earthquakes values(18.8866,-65.2742,3.1);',
'insert into jk64demo_earthquakes values(34.0525,-117.3556667,0.8);',
'insert into jk64demo_earthquakes values(38.8013344,-122.8085022,0.45);',
'insert into jk64demo_earthquakes values(46.2015,-122.1705,0.81);',
'insert into jk64demo_earthquakes values(37.2986,-117.6128,0.4);',
'insert into jk64demo_earthquakes values(38.4172,-118.7315,1.4);',
'insert into jk64demo_earthquakes values(63.3226,-151.7245,1.5);',
'insert into jk64demo_earthquakes values(38.8139992,-122.8243332,0.56);',
'insert into jk64demo_earthquakes values(18.8885,-64.3855,2.6);',
'insert into jk64demo_earthquakes values(36.4392,-98.7823,1.9);',
'insert into jk64demo_earthquakes values(33.6403333,-116.7476667,1.22);',
'insert into jk64demo_earthquakes values(60.0305,-151.0401,1.6);',
'insert into jk64demo_earthquakes values(41.8628,-119.6361,1.7);',
'insert into jk64demo_earthquakes values(41.8617,-119.6358,1.6);',
'insert into jk64demo_earthquakes values(33.5348333,-116.6961667,0.37);',
'insert into jk64demo_earthquakes values(61.8189,-148.5748,0.8);',
'insert into jk64demo_earthquakes values(38.8251648,-122.8259964,0.85);',
'insert into jk64demo_earthquakes values(59.4996,-152.5117,1.8);',
'insert into jk64demo_earthquakes values(62.0818,-145.1654,0.9);',
'insert into jk64demo_earthquakes values(38.8285,-122.8218333,1.92);',
'insert into jk64demo_earthquakes values(38.8286667,-122.8243333,1.27);',
'insert into jk64demo_earthquakes values(38.8273333,-122.825,2.12);',
'insert into jk64demo_earthquakes values(38.8279991,-122.8253326,1.19);',
'insert into jk64demo_earthquakes values(33.4751667,-116.4856667,0.68);',
'insert into jk64demo_earthquakes values(62.9325,-150.633,1.3);',
'insert into jk64demo_earthquakes values(35.5422,-97.3016,2.4);',
'insert into jk64demo_earthquakes values(60.6903,-146.7114,1.4);',
'insert into jk64demo_earthquakes values(39.9392,-120.8118,0.5);',
'insert into jk64demo_earthquakes values(36.466,-121.0438333,1.23);',
'insert into jk64demo_earthquakes values(61.2554,-150.8791,1.8);',
'insert into jk64demo_earthquakes values(37.5805,-118.8641667,0.51);',
'insert into jk64demo_earthquakes values(-34.7927,-71.9327,4.6);',
'insert into jk64demo_earthquakes values(6.8343,-73.0335,5);',
'insert into jk64demo_earthquakes values(36.667,-121.2876667,2.36);',
'insert into jk64demo_earthquakes values(36.4782,-98.7332,2.4);',
'insert into jk64demo_earthquakes values(38.8148346,-122.8216629,0.18);',
'insert into jk64demo_earthquakes values(38.8103333,-122.8255005,1.03);',
'insert into jk64demo_earthquakes values(37.5725,-118.8618333,0.19);',
'insert into jk64demo_earthquakes values(37.4611667,-118.5608333,1.01);',
'insert into jk64demo_earthquakes values(60.171,-151.1672,1.7);',
'insert into jk64demo_earthquakes values(33.8953333,-116.2371667,1.1);',
'insert into jk64demo_earthquakes values(60.541,-151.8759,1.4);',
'insert into jk64demo_earthquakes values(33.9845,-117.2255,1.21);',
'insert into jk64demo_earthquakes values(39.406,-120.2231,-0.1);',
'insert into jk64demo_earthquakes values(36.4528,-98.7787,1.4);',
'insert into jk64demo_earthquakes values(37.6766,-115.1066,1.4);',
'insert into jk64demo_earthquakes values(59.9987,-140.1165,1.8);',
'insert into jk64demo_earthquakes values(53.5442,-166.5243,1.8);',
'insert into jk64demo_earthquakes values(38.8243333,-122.7906667,0.39);',
'insert into jk64demo_earthquakes values(36.2756,-97.5085,2);',
'insert into jk64demo_earthquakes values(38.038,-118.8218333,1.18);',
'insert into jk64demo_earthquakes values(36.9765,-113.0086667,1.28);',
'insert into jk64demo_earthquakes values(45.8785,-111.351,0.53);',
'insert into jk64demo_earthquakes values(63.5869,-151.0128,0.5);',
'insert into jk64demo_earthquakes values(33.4788333,-116.4953333,0.9);',
'insert into jk64demo_earthquakes values(37.4474,-118.6112,0.5);',
'insert into jk64demo_earthquakes values(33.5051667,-116.5448333,0.96);',
'insert into jk64demo_earthquakes values(59.8519,-152.082,1.4);',
'insert into jk64demo_earthquakes values(64.7137,-150.616,1.9);',
'insert into jk64demo_earthquakes values(59.5965,-151.6133,1.5);',
'insert into jk64demo_earthquakes values(37.3282,-114.6874,0.6);',
'insert into jk64demo_earthquakes values(37.4356667,-118.61,0.51);',
'insert into jk64demo_earthquakes values(60.0298,-153.6086,2.2);',
'insert into jk64demo_earthquakes values(36.088,-117.9108333,1.26);',
'insert into jk64demo_earthquakes values(36.272,-97.5183,3);',
'insert into jk64demo_earthquakes values(45.6633333,-122.7378333,2.07);',
'insert into jk64demo_earthquakes values(33.4743333,-116.4875,0.2);',
'insert into jk64demo_earthquakes values(33.7635,-117.7371667,1.47);',
'insert into jk64demo_earthquakes values(33.4786667,-116.493,1.13);',
'insert into jk64demo_earthquakes values(59.9519,-152.5533,1.3);',
'insert into jk64demo_earthquakes values(38.7926674,-122.7288361,0.36);',
'insert into jk64demo_earthquakes values(61.4206,-146.6289,1);',
'insert into jk64demo_earthquakes values(37.306,-122.0823333,1.23);',
'insert into jk64demo_earthquakes values(36.4821,-96.9901,2.6);',
'insert into jk64demo_earthquakes values(45.2426,-67.9909,1.4);',
'insert into jk64demo_earthquakes values(64.7226,-150.6949,1.4);',
'insert into jk64demo_earthquakes values(64.9803,-147.3501,1.4);',
'insert into jk64demo_earthquakes values(59.7856,-153.1336,2.1);',
'insert into jk64demo_earthquakes values(36.0333333,-120.6048333,1.97);',
'insert into jk64demo_earthquakes values(37.6356667,-118.9241667,0.44);',
'insert into jk64demo_earthquakes values(62.2608,-151.7567,1.1);',
'insert into jk64demo_earthquakes values(37.6338333,-118.922,0.72);',
'insert into jk64demo_earthquakes values(38.8193321,-122.8190002,0.52);',
'insert into jk64demo_earthquakes values(62.687,-137.0556,1.3);',
'insert into jk64demo_earthquakes values(19.392,-155.2786667,2.13);',
'insert into jk64demo_earthquakes values(38.7649994,-122.7418365,0.52);',
'insert into jk64demo_earthquakes values(37.5418333,-118.876,0.96);',
'insert into jk64demo_earthquakes values(38.8199997,-122.7819977,0.79);',
'insert into jk64demo_earthquakes values(38.7625,-122.7371667,1.72);',
'insert into jk64demo_earthquakes values(45.1093333,-74.0721667,0.46);',
'insert into jk64demo_earthquakes values(38.7498333,-122.7223333,0.5);',
'insert into jk64demo_earthquakes values(60.2525,-151.1354,1.4);',
'insert into jk64demo_earthquakes values(51.4971,-178.1129,2);',
'insert into jk64demo_earthquakes values(38.7550011,-122.729332,0.91);',
'insert into jk64demo_earthquakes values(37.57,-118.8566667,0.89);',
'insert into jk64demo_earthquakes values(38.8131676,-122.8183365,1.15);',
'insert into jk64demo_earthquakes values(59.5755,-153.4385,1.7);',
'insert into jk64demo_earthquakes values(60.2092,-141.0141,1.5);',
'insert into jk64demo_earthquakes values(60.2222,-140.9722,1.4);',
'insert into jk64demo_earthquakes values(63.2772,-151.4775,2);',
'insert into jk64demo_earthquakes values(65.2883,-149.0024,0.4);',
'insert into jk64demo_earthquakes values(33.484,-116.4973333,0.6);',
'insert into jk64demo_earthquakes values(18.8323,-67.1883,3);',
'insert into jk64demo_earthquakes values(62.6521,-149.9751,2.1);',
'insert into jk64demo_earthquakes values(37.1598,-117.2355,0.5);',
'insert into jk64demo_earthquakes values(32.9818333,-116.2745,1.63);',
'insert into jk64demo_earthquakes values(45.345,-121.1385,1.99);',
'insert into jk64demo_earthquakes values(40.163,-122.8001667,0.88);',
'insert into jk64demo_earthquakes values(37.5885,-118.8385,0.23);',
'insert into jk64demo_earthquakes values(61.724,-149.6032,1.1);',
'insert into jk64demo_earthquakes values(63.1102,-151.5332,0.8);',
'insert into jk64demo_earthquakes values(59.4712,-151.0663,1.8);',
'insert into jk64demo_earthquakes values(34.3718333,-116.1915,1.62);',
'insert into jk64demo_earthquakes values(46.2641667,-122.5941667,1.4);',
'insert into jk64demo_earthquakes values(59.8652,-140.1295,1.7);',
'insert into jk64demo_earthquakes values(37.539,-121.9175,1.71);',
'insert into jk64demo_earthquakes values(33.4768333,-116.487,0.55);',
'insert into jk64demo_earthquakes values(63.1087,-151.5081,1.3);',
'insert into jk64demo_earthquakes values(61.203,-149.7643,1);',
'insert into jk64demo_earthquakes values(38.414,-118.2606,0.9);',
'insert into jk64demo_earthquakes values(64.0468,-146.4643,0.9);',
'insert into jk64demo_earthquakes values(63.5707,-150.0643,2.5);',
'insert into jk64demo_earthquakes values(-5.6255,110.1409,4.4);',
'insert into jk64demo_earthquakes values(38.8258324,-122.8440018,0.85);',
'insert into jk64demo_earthquakes values(33.982,-116.8448333,1.41);',
'insert into jk64demo_earthquakes values(48.139,-115.0486667,0.31);',
'insert into jk64demo_earthquakes values(18.378,-64.7149,3.1);',
'insert into jk64demo_earthquakes values(37.5673333,-118.853,0.06);',
'insert into jk64demo_earthquakes values(38.409,-118.2667,0.7);',
'insert into jk64demo_earthquakes values(60.8172,-151.6207,1.4);',
'insert into jk64demo_earthquakes values(59.7488,-151.0239,1.6);',
'insert into jk64demo_earthquakes values(-5.5003,151.6656,4.8);',
'insert into jk64demo_earthquakes values(-54.6249,-39.3315,4.5);',
'insert into jk64demo_earthquakes values(-54.6333,-39.6703,5.4);',
'insert into jk64demo_earthquakes values(-54.801,-39.3596,4.3);',
'insert into jk64demo_earthquakes values(59.8175,-153.0519,1.7);',
'insert into jk64demo_earthquakes values(36,-117.9258333,0.33);',
'insert into jk64demo_earthquakes values(36.0053333,-117.9153333,0.94);',
'insert into jk64demo_earthquakes values(64.6824,-149.2998,1.4);',
'insert into jk64demo_earthquakes values(54.0138,-163.0321,2.1);',
'insert into jk64demo_earthquakes values(21.7411,143.0978,4);',
'insert into jk64demo_earthquakes values(61.2661,-152.2677,1.1);',
'insert into jk64demo_earthquakes values(51.037,179.039,2.6);',
'insert into jk64demo_earthquakes values(38.8343315,-122.7975006,0.43);',
'insert into jk64demo_earthquakes values(61.4591,-141.269,1.1);',
'insert into jk64demo_earthquakes values(60.9726,-151.4626,1.9);',
'insert into jk64demo_earthquakes values(36.2613,-97.3437,2.6);',
'insert into jk64demo_earthquakes values(36.4706,-98.7537,1.3);',
'insert into jk64demo_earthquakes values(45.3078333,-111.9476667,0.19);',
'insert into jk64demo_earthquakes values(55.7849,-160.0647,1.9);',
'insert into jk64demo_earthquakes values(36.4483,-98.7633,1.2);',
'insert into jk64demo_earthquakes values(33.4756667,-116.4921667,0.55);',
'insert into jk64demo_earthquakes values(19.2948333,-155.3833333,2.5);',
'insert into jk64demo_earthquakes values(19.3768333,-155.2373333,0.45);',
'insert into jk64demo_earthquakes values(59.8304,-152.6666,1.6);',
'insert into jk64demo_earthquakes values(57.1179,-136.2059,2.8);',
'insert into jk64demo_earthquakes values(38.8148346,-122.8195038,1.07);',
'insert into jk64demo_earthquakes values(36.4633,-98.7508,2);',
'insert into jk64demo_earthquakes values(-30.4676,-71.3993,4.9);',
'insert into jk64demo_earthquakes values(36.4612,-98.7202,2.7);',
'insert into jk64demo_earthquakes values(59.9991,-147.9166,2);',
'insert into jk64demo_earthquakes values(61.0837,-151.4597,1.5);',
'insert into jk64demo_earthquakes values(63.1687,-152.6438,0.9);',
'insert into jk64demo_earthquakes values(36.9865,-121.6608333,0.83);',
'insert into jk64demo_earthquakes values(63.8668,-148.626,0.7);',
'insert into jk64demo_earthquakes values(62.0171,-147.9174,1.2);',
'insert into jk64demo_earthquakes values(63.5272,-147.1798,1.7);',
'insert into jk64demo_earthquakes values(38.7866667,-122.9061667,0.62);',
'insert into jk64demo_earthquakes values(52.1098,-173.3694,1.8);',
'inse'))
);
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'rt into jk64demo_earthquakes values(36.9604,-116.1149,-0.2);',
'insert into jk64demo_earthquakes values(41.8717,-119.6629,1);',
'insert into jk64demo_earthquakes values(35.9815,-120.5418333,1.2);',
'insert into jk64demo_earthquakes values(19.3993333,-155.6183333,0.67);',
'insert into jk64demo_earthquakes values(41.8692,-119.661,1.3);',
'insert into jk64demo_earthquakes values(36.0545,-120.2506667,1.32);',
'insert into jk64demo_earthquakes values(36.052,-120.2496667,1.32);',
'insert into jk64demo_earthquakes values(38.8373333,-122.8296667,0.34);',
'insert into jk64demo_earthquakes values(36.8697,-117.4063,0.1);',
'insert into jk64demo_earthquakes values(11.659,144.6194,5.1);',
'insert into jk64demo_earthquakes values(38.8105,-122.8226667,1.52);',
'insert into jk64demo_earthquakes values(39.8835,-119.4478,0.2);',
'insert into jk64demo_earthquakes values(37.5673333,-118.8535,0.07);',
'insert into jk64demo_earthquakes values(37.57,-118.8555,0.06);',
'insert into jk64demo_earthquakes values(63.1215,-149.5998,1.1);',
'insert into jk64demo_earthquakes values(64.2533,-150.0105,0.6);',
'insert into jk64demo_earthquakes values(65.1857,-152.735,0.8);',
'insert into jk64demo_earthquakes values(19.1595,-155.4626667,1.75);',
'insert into jk64demo_earthquakes values(37.1713333,-112.8236667,0.9);',
'insert into jk64demo_earthquakes values(33.7145,-116.8183333,0.66);',
'insert into jk64demo_earthquakes values(59.774,-153.1605,1.7);',
'insert into jk64demo_earthquakes values(60.9094,-151.4774,1.4);',
'insert into jk64demo_earthquakes values(37.2801667,-97.4926667,1.92);',
'insert into jk64demo_earthquakes values(61.2198,-150.8901,1.4);',
'insert into jk64demo_earthquakes values(38.7938333,-122.763,1.03);',
'insert into jk64demo_earthquakes values(17.8145,-66.0341,2.6);',
'insert into jk64demo_earthquakes values(59.3246,-152.237,1.6);',
'insert into jk64demo_earthquakes values(62.4193,-147.7193,1.5);',
'insert into jk64demo_earthquakes values(38.8123333,-122.83,1.07);',
'insert into jk64demo_earthquakes values(60.9272,-149.5031,1.6);',
'insert into jk64demo_earthquakes values(19.3918333,-155.2805,2.12);',
'insert into jk64demo_earthquakes values(51.2067,-178.5812,2.4);',
'insert into jk64demo_earthquakes values(64.0979,-154.1319,1);',
'insert into jk64demo_earthquakes values(38.5243,-118.5151,-0.2);',
'insert into jk64demo_earthquakes values(33.8898333,-116.2378333,1.29);',
'insert into jk64demo_earthquakes values(38.7677,-119.652,1.4);',
'insert into jk64demo_earthquakes values(37.5781667,-118.8658333,0.08);',
'insert into jk64demo_earthquakes values(65.1833,-149.4283,0.4);',
'insert into jk64demo_earthquakes values(62.4749,-150.0831,1);',
'insert into jk64demo_earthquakes values(59.7982,-152.6403,1.4);',
'insert into jk64demo_earthquakes values(36.2535,-116.2194,0);',
'insert into jk64demo_earthquakes values(37.5696667,-118.8545,0.02);',
'insert into jk64demo_earthquakes values(33.2945,-116.2233333,0.86);',
'insert into jk64demo_earthquakes values(39.4084,-120.2196,0.6);',
'insert into jk64demo_earthquakes values(59.7607,-153.1412,1.5);',
'insert into jk64demo_earthquakes values(39.835,-120.7747,1);',
'insert into jk64demo_earthquakes values(41.8633,-119.6316,1.9);',
'insert into jk64demo_earthquakes values(33.033,-115.5873333,1.22);',
'insert into jk64demo_earthquakes values(61.094,-148.2735,1.8);',
'insert into jk64demo_earthquakes values(40.0583,-120.9032,0.7);',
'insert into jk64demo_earthquakes values(59.8036,-153.2397,1.8);',
'insert into jk64demo_earthquakes values(60.8365,-152.4628,1.5);',
'insert into jk64demo_earthquakes values(33.247,-116.7543333,0.86);',
'insert into jk64demo_earthquakes values(33.5718333,-116.6725,0.02);',
'insert into jk64demo_earthquakes values(38.8238335,-122.8239975,0.85);',
'insert into jk64demo_earthquakes values(38.8269997,-122.8225021,0.56);',
'insert into jk64demo_earthquakes values(38.159,-118.2324,1.5);',
'insert into jk64demo_earthquakes values(64.9161,-147.7403,0.8);',
'insert into jk64demo_earthquakes values(63.9518,-148.8128,1.1);',
'insert into jk64demo_earthquakes values(33.9091667,-118.3066667,1.49);',
'insert into jk64demo_earthquakes values(33.4758333,-116.4861667,0.44);',
'insert into jk64demo_earthquakes values(59.7165,-153.1504,1.9);',
'insert into jk64demo_earthquakes values(60.6951,-146.7052,1.4);',
'insert into jk64demo_earthquakes values(61.5658,-146.2762,1.1);',
'insert into jk64demo_earthquakes values(41.9269,-119.6487,0.8);',
'insert into jk64demo_earthquakes values(38.8048333,-122.769,2.33);',
'insert into jk64demo_earthquakes values(38.8071667,-122.7996667,2.8);',
'insert into jk64demo_earthquakes values(67.8266,-149.0379,1.6);',
'insert into jk64demo_earthquakes values(63.0371,-150.514,1.2);',
'insert into jk64demo_earthquakes values(37.654,-121.6696667,2.98);',
'insert into jk64demo_earthquakes values(53.8203,-166.0291,2.1);',
'insert into jk64demo_earthquakes values(59.5647,-153.53,2.1);',
'insert into jk64demo_earthquakes values(60.1518,-151.2086,1.7);',
'insert into jk64demo_earthquakes values(36.4925,-115.2296,1.6);',
'insert into jk64demo_earthquakes values(60.6809,-152.1124,1.5);',
'insert into jk64demo_earthquakes values(-57.4912,-66.4049,5.2);',
'insert into jk64demo_earthquakes values(36.4387,-98.7772,2.4);',
'insert into jk64demo_earthquakes values(38.8116667,-122.8161667,1.61);',
'insert into jk64demo_earthquakes values(38.8139992,-122.8183365,1.18);',
'insert into jk64demo_earthquakes values(38.8235,-122.8226667,0.14);',
'insert into jk64demo_earthquakes values(32.5478333,-116.1876667,1.43);',
'insert into jk64demo_earthquakes values(63.2485,-150.1275,1.1);',
'insert into jk64demo_earthquakes values(38.8079987,-122.8239975,0.95);',
'insert into jk64demo_earthquakes values(53.0262,-167.4249,2);',
'insert into jk64demo_earthquakes values(63.938,-148.7852,1.1);',
'insert into jk64demo_earthquakes values(46.218,-122.109,1.63);',
'insert into jk64demo_earthquakes values(60.6306,-147.635,1.3);',
'insert into jk64demo_earthquakes values(33.475,-116.4895,0.48);',
'insert into jk64demo_earthquakes values(37.64,-118.9286667,0.45);',
'insert into jk64demo_earthquakes values(33.4756667,-116.4973333,1.21);',
'insert into jk64demo_earthquakes values(37.2064,-116.8707,-0.1);',
'insert into jk64demo_earthquakes values(62.5749,-151.3999,1.3);',
'insert into jk64demo_earthquakes values(33.4771667,-116.501,0.76);',
'insert into jk64demo_earthquakes values(62.0662,-145.2164,1.1);',
'insert into jk64demo_earthquakes values(61.7902,-151.7459,1.5);',
'insert into jk64demo_earthquakes values(-19.0215,169.2867,5.2);',
'insert into jk64demo_earthquakes values(38.1974,-118.5081,0.9);',
'insert into jk64demo_earthquakes values(36.4228333,-89.5168333,1.84);',
'insert into jk64demo_earthquakes values(34.1588333,-117.7215,1.18);',
'insert into jk64demo_earthquakes values(61.8973,-147.1386,1);',
'insert into jk64demo_earthquakes values(36.4481,-98.7696,1.4);',
'insert into jk64demo_earthquakes values(32.1986667,-115.223,2.57);',
'insert into jk64demo_earthquakes values(62.9083,-151.321,1.3);',
'insert into jk64demo_earthquakes values(64.8564,-148.8529,0.4);',
'insert into jk64demo_earthquakes values(38.8093338,-122.8278351,0.56);',
'insert into jk64demo_earthquakes values(33.4755,-116.4866667,0.75);',
'insert into jk64demo_earthquakes values(37.5661667,-118.8638333,0.49);',
'insert into jk64demo_earthquakes values(64.9882,-147.3624,1.8);',
'insert into jk64demo_earthquakes values(33.6841667,-116.7675,1.1);',
'insert into jk64demo_earthquakes values(37.5641667,-118.8533333,0.36);',
'insert into jk64demo_earthquakes values(33.6863333,-116.7658333,1.04);',
'insert into jk64demo_earthquakes values(38.8058319,-122.8134995,0.63);',
'insert into jk64demo_earthquakes values(40.5471667,-121.938,1.46);',
'insert into jk64demo_earthquakes values(38.7861667,-122.8046667,0.3);',
'insert into jk64demo_earthquakes values(63.8093,-149.3132,1.3);',
'insert into jk64demo_earthquakes values(62.9256,-151.3322,1.3);',
'insert into jk64demo_earthquakes values(35.0406667,-117.6776667,1.53);',
'insert into jk64demo_earthquakes values(64.6151,-149.2371,0.5);',
'insert into jk64demo_earthquakes values(19.1615,-155.4586667,1.73);',
'insert into jk64demo_earthquakes values(60.0749,-152.5531,1.5);',
'insert into jk64demo_earthquakes values(38.7985001,-122.7616653,0.82);',
'insert into jk64demo_earthquakes values(34.8611,23.1724,4.3);',
'insert into jk64demo_earthquakes values(61.8027,-149.8567,1);',
'insert into jk64demo_earthquakes values(33.8741667,-117.5088333,0.82);',
'insert into jk64demo_earthquakes values(36.086,-117.6133333,2.17);',
'insert into jk64demo_earthquakes values(37.2545,-112.7326667,1.46);',
'insert into jk64demo_earthquakes values(63.5171,-151.0252,1.1);',
'insert into jk64demo_earthquakes values(35.6823,-3.553,4.9);',
'insert into jk64demo_earthquakes values(37.5028333,-118.8431667,0.85);',
'insert into jk64demo_earthquakes values(35.7546667,-84.0746667,1.82);',
'insert into jk64demo_earthquakes values(33.4983333,-116.7901667,0.84);',
'insert into jk64demo_earthquakes values(63.5644,-150.9674,0.6);',
'insert into jk64demo_earthquakes values(38.827,-122.8315,0.68);',
'insert into jk64demo_earthquakes values(37.0327,-116.3682,-0.1);',
'insert into jk64demo_earthquakes values(37.5623333,-118.8536667,0.1);',
'insert into jk64demo_earthquakes values(37.5666667,-118.8565,0.64);',
'insert into jk64demo_earthquakes values(36.4347,-98.7853,2.2);',
'insert into jk64demo_earthquakes values(33.482,-116.4971667,0.56);',
'insert into jk64demo_earthquakes values(38.8333321,-122.8095016,0.88);',
'insert into jk64demo_earthquakes values(38.8149986,-122.8296661,0.56);',
'insert into jk64demo_earthquakes values(35.9338,-97.3543,3.4);',
'insert into jk64demo_earthquakes values(19.395,-155.4555,1.43);',
'insert into jk64demo_earthquakes values(59.9887,-151.3023,2);',
'insert into jk64demo_earthquakes values(19.1671667,-155.4613333,1.71);',
'insert into jk64demo_earthquakes values(36.6781667,-121.3021667,1.58);',
'insert into jk64demo_earthquakes values(38.8076668,-122.7910004,1.15);',
'insert into jk64demo_earthquakes values(37.2244,-118.3365,0.3);',
'insert into jk64demo_earthquakes values(36.5028,-98.4855,2.5);',
'insert into jk64demo_earthquakes values(38.8238335,-122.8243332,1.04);',
'insert into jk64demo_earthquakes values(33.8241667,-117.0073333,0.85);',
'insert into jk64demo_earthquakes values(63.5666,-147.632,0.8);',
'insert into jk64demo_earthquakes values(38.4735,-118.4483,0.8);',
'insert into jk64demo_earthquakes values(65.2738,-149.3708,0.9);',
'insert into jk64demo_earthquakes values(19.549,-92.1053,4.7);',
'insert into jk64demo_earthquakes values(33.4773333,-116.493,0.87);',
'insert into jk64demo_earthquakes values(4.8702,94.5563,4.5);',
'insert into jk64demo_earthquakes values(41.8632,-119.6044,1.7);',
'insert into jk64demo_earthquakes values(36.0943333,-117.9133333,1.24);',
'insert into jk64demo_earthquakes values(59.7718,-153.0049,1.5);',
'insert into jk64demo_earthquakes values(44.8341667,-111.894,0.76);',
'insert into jk64demo_earthquakes values(60.2101,-146.9777,2.2);',
'insert into jk64demo_earthquakes values(51.7537,-178.4822,1.8);',
'insert into jk64demo_earthquakes values(38.8391685,-122.8338318,0.32);',
'insert into jk64demo_earthquakes values(62.619,-151.5615,2.4);',
'insert into jk64demo_earthquakes values(40.8316667,-122.2013333,1.57);',
'insert into jk64demo_earthquakes values(59.8245,-152.9908,1.7);',
'insert into jk64demo_earthquakes values(36.6976,-116.3386,0.2);',
'insert into jk64demo_earthquakes values(38.8285,-122.8068333,1.28);',
'insert into jk64demo_earthquakes values(51.0895,-174.8337,2.3);',
'insert into jk64demo_earthquakes values(68.0975,-158.2154,4.1);',
'insert into jk64demo_earthquakes values(36.0353333,-120.5965,1.26);',
'insert into jk64demo_earthquakes values(38.829,-122.8086667,1.19);',
'insert into jk64demo_earthquakes values(59.7165,-153.243,2.7);',
'insert into jk64demo_earthquakes values(9.3073,127.0928,4.4);',
'insert into jk64demo_earthquakes values(33.698,-116.7876667,0.79);',
'insert into jk64demo_earthquakes values(59.7429,-153.0529,1.9);',
'insert into jk64demo_earthquakes values(38.8326683,-122.8069992,0.88);',
'insert into jk64demo_earthquakes values(38.8313333,-122.8081667,0.68);',
'insert into jk64demo_earthquakes values(38.8308333,-122.8088333,1.09);',
'insert into jk64demo_earthquakes values(39.9322,-117.8926,1.5);',
'insert into jk64demo_earthquakes values(38.8233337,-122.8476639,0.7);',
'insert into jk64demo_earthquakes values(38.8305016,-122.8088303,0.69);',
'insert into jk64demo_earthquakes values(38.8318329,-122.8066635,1.16);',
'insert into jk64demo_earthquakes values(38.8289986,-122.8099976,0.56);',
'insert into jk64demo_earthquakes values(38.8303333,-122.8076667,2.58);',
'insert into jk64demo_earthquakes values(45.3543333,-121.6846667,0.6);',
'insert into jk64demo_earthquakes values(39.3759,-119.7467,0.3);',
'insert into jk64demo_earthquakes values(61.3604,-147.149,1.4);',
'insert into jk64demo_earthquakes values(38.821167,-122.8458328,0.19);',
'insert into jk64demo_earthquakes values(33.5258333,-116.7323333,0.39);',
'insert into jk64demo_earthquakes values(38.8353333,-122.8008333,1.63);',
'insert into jk64demo_earthquakes values(61.8444,-151.0854,1.7);',
'insert into jk64demo_earthquakes values(60.2685,-140.6266,1.3);',
'insert into jk64demo_earthquakes values(60.2558,-143.0266,1.2);',
'insert into jk64demo_earthquakes values(38.8235016,-122.7795029,0.75);',
'insert into jk64demo_earthquakes values(64.7894,-147.7885,0.1);',
'insert into jk64demo_earthquakes values(-15.1436,-173.4146,5.8);',
'insert into jk64demo_earthquakes values(64.5337,-148.7003,1.9);',
'insert into jk64demo_earthquakes values(38.821167,-122.8256683,0.43);',
'insert into jk64demo_earthquakes values(33.475,-116.4855,0.53);',
'insert into jk64demo_earthquakes values(37.491,-118.8528333,0.75);',
'insert into jk64demo_earthquakes values(61.6888,-141.7592,0.8);',
'insert into jk64demo_earthquakes values(18.9246667,-155.5441667,2.03);',
'insert into jk64demo_earthquakes values(52.2858,-179.8773,3);',
'insert into jk64demo_earthquakes values(62.9834,-151.0548,1.5);',
'insert into jk64demo_earthquakes values(59.8045,-153.092,1.6);',
'insert into jk64demo_earthquakes values(39.1952,-114.9876,0.9);',
'insert into jk64demo_earthquakes values(38.810833,-122.7884979,0.53);',
'insert into jk64demo_earthquakes values(-8.5452,128.5971,4.4);',
'insert into jk64demo_earthquakes values(38.279,-118.8158,0.8);',
'insert into jk64demo_earthquakes values(53.7983,-164.1128,2);',
'insert into jk64demo_earthquakes values(63.517,-150.8773,1.1);',
'insert into jk64demo_earthquakes values(33.4738333,-116.4993333,1.61);',
'insert into jk64demo_earthquakes values(38.017,-118.4124,0.9);',
'insert into jk64demo_earthquakes values(59.7965,-153.0428,1.6);',
'insert into jk64demo_earthquakes values(38.8171654,-122.8111649,0.79);',
'insert into jk64demo_earthquakes values(61.7628,-151.7212,1.6);',
'insert into jk64demo_earthquakes values(36.3845,-117.8673333,1.84);',
'insert into jk64demo_earthquakes values(59.4532,-152.6608,2.1);',
'insert into jk64demo_earthquakes values(40.352,-123.8,1.98);',
'insert into jk64demo_earthquakes values(60.0283,-152.7553,1.7);',
'insert into jk64demo_earthquakes values(61.7464,-154.2555,0.7);',
'insert into jk64demo_earthquakes values(47.7468333,-113.7635,-0.57);',
'insert into jk64demo_earthquakes values(36.4704,-98.7614,0.9);',
'insert into jk64demo_earthquakes values(47.7463333,-113.7641667,-0.37);',
'insert into jk64demo_earthquakes values(46.6281667,-118.8823333,1.41);',
'insert into jk64demo_earthquakes values(37.5711667,-118.8546667,0.14);',
'insert into jk64demo_earthquakes values(-7.1958,125.1101,4);',
'insert into jk64demo_earthquakes values(61.735,-148.2008,0.9);',
'insert into jk64demo_earthquakes values(39.3416,-119.9559,1.2);',
'insert into jk64demo_earthquakes values(39.3397,-119.9598,1.3);',
'insert into jk64demo_earthquakes values(59.8778,-140.1681,1.4);',
'insert into jk64demo_earthquakes values(36.6812,-115.477,0.5);',
'insert into jk64demo_earthquakes values(35.9813333,-120.5403333,0.15);',
'insert into jk64demo_earthquakes values(38.8286667,-122.8544998,0.44);',
'insert into jk64demo_earthquakes values(33.8703333,-118.1026667,1.8);',
'insert into jk64demo_earthquakes values(37.5695,-118.861,0.66);',
'insert into jk64demo_earthquakes values(39.158,-119.6354,-0.3);',
'insert into jk64demo_earthquakes values(38.8221667,-122.8471667,0.15);',
'insert into jk64demo_earthquakes values(38.8424988,-122.8763351,0.76);',
'insert into jk64demo_earthquakes values(38.3431,-119.1613,1.4);',
'insert into jk64demo_earthquakes values(38.853,-123.0118333,0.88);',
'insert into jk64demo_earthquakes values(37.5581667,-118.853,0.22);',
'insert into jk64demo_earthquakes values(37.5721667,-118.857,1.27);',
'insert into jk64demo_earthquakes values(38.8426667,-122.8298333,0.53);',
'insert into jk64demo_earthquakes values(38.8531667,-123.013,1.54);',
'insert into jk64demo_earthquakes values(38.8518333,-123.0121667,0.87);',
'insert into jk64demo_earthquakes values(37.5188333,-118.7836667,0.83);',
'insert into jk64demo_earthquakes values(37.5686667,-118.853,0.23);',
'insert into jk64demo_earthquakes values(59.7612,-153.097,1.9);',
'insert into jk64demo_earthquakes values(37.571,-118.8573333,1.24);',
'insert into jk64demo_earthquakes values(37.57,-118.8586667,2.46);',
'insert into jk64demo_earthquakes values(59.8786,-140.144,1.8);',
'insert into jk64demo_earthquakes values(34.6378333,-116.655,1.77);',
'insert into jk64demo_earthquakes values(44.2681667,-120.8943333,1.88);',
'insert into jk64demo_earthquakes values(35.9823333,-120.5413333,0.28);',
'insert into jk64demo_earthquakes values(35.9815,-120.5413333,0.32);',
'insert into jk64demo_earthquakes values(35.6616667,-121.1053333,1.51);',
'insert into jk64demo_earthquakes values(60.1919,-140.9194,1.3);',
'insert into jk64demo_earthquakes values(45.235,-112.31,0.64);',
'insert into jk64demo_earthquakes values(59.8506,-140.1094,1.6);',
'insert into jk64demo_earthquakes values(61.7171,-150.5691,1.4);',
'insert into jk64demo_earthquakes values(38.8091667,-122.8295,0.19);',
'insert into jk64demo_earthquakes values(60.7203,-152.1537,1.8);',
'insert into jk64demo_earthquakes values(61.3445,-151.9085,2);',
'insert into jk64demo_earthquakes values(35.6234,-97.1241,2.8);',
'insert into jk64demo_earthquakes values(37.3268333,-122.104,1.73);',
'insert into jk64demo_earthquakes values(59.6825,-152.4109,1.5);',
'insert into jk64demo_earthquakes values(58.3033,-152.8871,1.7);',
'insert into jk64demo_earthquakes values(53.1964,-165.7297,1.6);',
'insert into jk64demo_earthquakes values(34.1075,-117.8088333,0.82);',
'insert into jk64demo_earthquakes values(18.881,-64.1826,3.1);',
'insert into jk64demo_earthquakes values(52.5967,-170.0617,2.3);',
'insert into jk64demo_earthquakes values(34.0618333,-117.2603333,1.15);',
'insert into jk64demo_earthquakes values(64.632,-146.9163,0.6);',
'insert into jk64demo_earthquakes values(19.3946667,-155.2793333,1.88);',
'insert into jk64demo_earthquakes values(34.5751667,-85.2966667,2.24);',
'insert into jk64demo_earthquakes values(33.6025,-116.8146667,0.72);',
'insert into jk64demo_earthquakes values(37.8381,-116.0241,1.5);',
'insert into jk64demo_earthquakes values(37.1313,-118.0843,0.7);',
'insert into jk64demo_earthquakes values(64.9738,-147.4237,0.8);',
'insert into jk64demo_earthquakes values(59.6276,-153.371,1.8);',
'insert into jk64demo_earthquakes values(52.9344,-167.5614,1.8);',
'insert into jk64demo_earthquakes values(61.1552,-150.1223,1);',
'insert into jk64demo_earthquakes values(38.8065,-122.8258333,0.4);',
'insert into jk64demo_earthquakes values(44.5835,-110.748,0.87);',
'insert into jk64demo_earthquakes values(44.6385,-110.8755,-0.28);',
'insert into jk64demo_earthquakes values(59.6955,-153.5833,1.7);',
'insert into jk64demo_earthquakes values(38.8321648,-122.8079987,0.67);',
'insert into jk64demo_earthquakes values(37.6561667,-121.6723333,2.46);',
'insert into jk64demo_earthquakes values(63.6054,-150.6388,1.2);',
'insert into jk64demo_earthquakes values(38.3457,-119.1814,1.4);',
'insert into jk64demo_earthquakes values(61.3969,-147.6416,0.9);',
'insert into jk64demo_earthquakes values(59.8354,-152.9098,1.8);',
'insert into jk64demo_earthquakes values(37.1704,-117.2434,0.2);',
'insert into jk64demo_earthquakes values(63.2662,-150.4689,1.3);',
'insert into jk64demo_earthquakes values(6.6617,125.6034,4.7);',
'insert into jk64demo_earthquakes values(38.8226662,-122.7628326,0.92);',
'insert into jk64demo_earthquakes values(38.8204994,-122.762001,0.73);',
'insert into jk64demo_earthquakes values(35.053,-118.3488333,1.3);',
'insert into jk64demo_earthquakes values(63.3643,-149.6734,1.3);',
'insert into jk64demo_earthquakes values(53.2926,-164.2379,2.1);',
'insert into jk64demo_earthquakes values(32.2503333,-116.5666667,1.84);',
'insert into jk64demo_earthquakes values(56.4808,-157.9545,2.1);',
'insert into jk64demo_earthquakes values(53.4518,-165.651,1.6);',
'insert into jk64demo_earthquakes values(51.4982,-178.189,2.2);',
'insert into jk64demo_earthquakes values(37.1556667,-112.8285,1.29);',
'insert into jk64demo_earthquakes values(37.2799,71.62,4.2);',
'insert into jk64demo_earthquakes values(-10.1098,161.3016,4.8);',
'insert into jk64demo_earthquakes values(51.642,-175.7876,2.1);',
'insert into jk64demo_earthquakes values(33.4796667,-116.4936667,0.65);',
'insert into jk64demo_earthquakes values(60.9047,165.617,5.2);',
'insert into jk64demo_earthquakes values(62.2905,-151.1836,1.5);',
'insert into jk64demo_earthquakes values(38.7828331,-122.7549973,0.73);',
'insert into jk64demo_earthquakes values(60.1117,-151.6446,1.3);',
'insert into jk64demo_earthquakes values(63.6495,-151.1571,0.5);',
'insert into jk64demo_earthquakes values(29.4551,142.8992,4.6);',
'insert into jk64demo_earthquakes values(59.7283,-153.1584,2);',
'insert into jk64demo_earthquakes values(19.3813333,-155.2383333,2.15);',
'insert into jk64demo_earthquakes values(36.7151,-115.8632,0.4);',
'insert into jk64demo_earthquakes values(63.4106,-151.5236,0.8);',
'insert into jk64demo_earthquakes values(37.5533333,-118.845,0.56);',
'insert into jk64demo_earthquakes values(38.7785,-122.7513333,0.78);',
'insert into jk64demo_earthquakes values(61.6348,-146.4543,1.3);',
'insert into jk64demo_earthquakes values(38.342,-122.5721667,2.54);',
'insert into jk64demo_earthquakes values(61.5734,-149.9028,1.2);',
'insert into jk64demo_earthquakes values(33.1753333,-116.5828333,0.92);',
'insert into jk64demo_earthquakes values(11.1502,-86.8281,4.5);',
'insert into jk64demo_earthquakes values(61.4621,-147.2483,1.3);',
'insert into jk64demo_earthquakes values(51.1832,-176.3333,2.1);',
'insert into jk64demo_earthquakes values(60.1716,-152.0471,1.3);',
'insert into jk64demo_earthquakes values(47.019,-68.7786,1.6);',
'insert into jk64demo_earthquakes values(37.334,-116.0364,0.4);',
'insert into jk64demo_earthquakes values(61.5224,-149.9113,1.9);',
'insert into jk64demo_earthquakes values(38.8068352,-122.7945023,0.5);',
'insert into jk64demo_earthquakes values(37.627,-118.8953333,0);',
'insert into jk64demo_earthquakes values(37.4239,-115.5115,0.8);',
'insert into jk64demo_earthquakes values(37.3336,-116.0423,0.5);',
'insert into jk64demo_earthquakes values(37.3416,-116.0428,0.2);',
'insert into jk64demo_earthquakes values(36.7013,-115.8806,0.6);',
'insert into jk64demo_earthquakes values(56.5135,-151.7145,3.1);',
'insert into jk64demo_earthquakes values(38.8053322,-122.7935028,0.52);',
'insert into jk64demo_earthquakes values(37.4906667,-118.868,0.65);',
'insert into jk64demo_earthquakes values(38.8068352,-122.7916641,1.09);',
'insert into jk64demo_earthquakes values(64.9045,-147.678,0.1);',
'insert into jk64demo_earthquakes values(38.8055,-122.7898333,2.07);',
'insert into jk64demo_earthquakes values(33.4771667,-116.4953333,0.7);',
'insert into jk64demo_earthquakes values(61.1655,-151.9628,1.6);',
'insert into jk64demo_earthquakes values(33.4781667,-116.4913333,0.83);',
'insert into jk64demo_earthquakes values(37.583,-118.8608333,0.01);',
'insert into jk64demo_earthquakes values(38.8274994,-122.8056641,0.3);',
'insert into jk64demo_earthquakes values(37.5718333,-118.8548333,0.67);',
'insert into jk64demo_earthquakes values(37.6281667,-118.8965,0.55);',
'insert into jk64demo_earthquakes values(37.1835,-118.1236,1.1);',
'insert into jk64demo_earthquakes values(37.4803333,-118.8668333,0.51);',
'insert into jk64demo_earthquakes values(-18.1502,-178.3403,4.6);',
'insert into jk64demo_earthquakes values(51.1958,-179.5981,2.4);',
'insert into jk64demo_earthquakes values(37.5075,-118.6381667,1.49);',
'insert into jk64demo_earthquakes values(38.7911682,-122.7273331,0.96);',
'insert into jk64demo_earthquakes values(52.9956,-169.2549,3);',
'insert into jk64demo_earthquakes values(38.8321648,-122.8115005,0.43);',
'insert into jk64demo_earthquakes values(38.7926674,-122.729332,0.36);',
'insert into jk64demo_earthquakes values(38.9045,-82.445,2.6);',
'insert into jk64demo_earthquakes values(33.5878333,-116.808,0.37);',
'insert into jk64demo_earthquakes values(37.9347,-118.6751,1);',
'insert into jk64demo_earthquakes values(37.6268333,-118.8926667,-0.24);',
'insert into jk64demo_earthquakes values(36.4738,-98.764,1.3);',
'insert into jk64demo_earthquakes values(32.666,-115.9331667,1.67);',
'insert into jk64demo_earthquakes values(59.7787,-152.9979,2.5);',
'insert into jk64demo_earthquakes values(38.8195,-122.7668304,0.85);',
'insert into jk64demo_earthquakes values(59.5337,-152.5424,1.5);',
'insert into jk64demo_earthquakes values(63.4384,-153.0603,0.9);',
'insert into jk64demo_earthquakes values(36.7114,-115.8732,0.2);',
'insert into jk64demo_earthquakes values(59.4172,-153.5644,1.9);',
'insert into jk64demo_earthquakes values(62.0021,-149.8484,1.2);',
'insert into jk64demo_earthquakes values(62.2637,-145.699,1.1);',
'insert into jk64demo_earthquakes values(38.8193333,-122.7621667,1.76);',
'insert into jk64demo_earthquakes values(38.7871667,-122.7453333,2.07);',
'insert into jk64demo_earthquakes values(59.695,-153.1584,1.8);',
'insert into jk64demo_earthquakes values(32.8206667,-116.161,1.41);',
'insert into jk64demo_earthquakes values(32.8218333,-116.1638333,2.13);',
'insert into jk64demo_earthquakes values(37.428,-118.4513333,0.28);',
'insert into jk64demo_earthquakes values(38.8058319,-122.7931671,0.54);',
'insert into jk64demo_earthquakes values(64.5823,-150.5526,2.2);',
'insert into jk64demo_earthquakes values(51.182,-176.3676,2);',
'insert into jk64demo_earthquakes values(38.8146667,-122.8190002,0.39);',
'insert into jk64demo_earthquakes values(-32.9776,-177.898,4.6);',
'insert into jk64demo_earthquakes values(38.4722,-118.4383,0.5);',
'insert into jk64demo_earthquakes values(33.5915,-116.8173333,1.37);',
'insert into jk64demo_earthquakes values(63.1952,-149.2416,1.4);',
'insert into jk64demo_earthquakes values(64.6582,-153.3241,1.3);',
'insert into jk64demo_earthquakes values(53.4813,-165.6935,2.9);',
'insert into jk64demo_earthquakes values(38.829834,-122.8669968,0.91);',
'insert into jk64demo_earthquakes values(64.2827,-152.4627,1.1);',
'insert into jk64demo_earthquakes values(37.1146,-117.9248,0.5);',
'insert into jk64demo_earthquakes values(61.3847,-139.2181,0.8);',
'insert into jk64demo_earthquakes values(33.7183333,-116.8258333,0.76);',
'insert into jk64demo_earthquakes values(37.4245,-118.4563333,0.6);',
'insert into jk64demo_earthquakes values(38.7961655,-122.7593307,1.09);',
'insert into jk64demo_earthquakes values(38.8063333,-122.8106667,2.7);',
'insert into jk64demo_earthquakes values(36.7125,-115.8729,0.2);',
'insert into jk64demo_earthquakes values(61.5999,-150.3691,1.4);',
'insert into jk64demo_earthquakes values(38.8079987,-122.8136673,0.6);',
'insert into jk64demo_earthquakes values(38.8071667,-122.81,2.04);',
'insert into jk64demo_earthquakes values(18.0669,-67.1695,2.3);',
'insert into jk64demo_earthquakes values(36.4672,-98.7615,1.1);',
'insert into jk64demo_earthquakes values(41.8723,-119.6468,1.6);',
'insert into jk64demo_earthquakes values(38.7723351,-122.7559967,0.73);',
'insert into jk64demo_earthquakes values(34.2301667,-117.4358333,1.77);',
'insert into jk64demo_earthquakes values(19.2466667,-155.1158333,1.89);',
'insert into jk64demo_earthquakes values(59.8866,-152.6325,1.6);',
'insert into jk64demo_earthquakes values(38.8434982,-122.8253326,1.08);',
'insert into jk64demo_earthquakes values(60.6938,-152.9634,1.6);',
'insert into jk64demo_earthquakes values(41.8709,-119.6445,1.7);',
'insert into jk64demo_earthquakes values(37.59,-118.8406667,-0.04);',
'insert into jk64demo_earthquakes values(36.4912,-98.7136,2.2);',
'insert into jk64demo_earthquakes values(33.4758333,-116.4901667,0.92);',
'insert into jk64demo_earthquakes values(37.5793333,-118.8538333,-0.01);',
'insert into jk64demo_earthquakes values(38.7546654,-122.7258301,0.64);',
'insert into jk64demo_earthquakes values(38.7266,-115.7551,1.6);',
'insert into jk64demo_earthquakes values(38.8248329,-122.8454971,0.57);',
'insert into jk64demo_earthquakes values(37.2824,-114.5402,1.4);',
'insert into jk64demo_earthquakes values(60.8929,-150.5174,2.7);',
'insert into jk64demo_earthquakes values(36.444,-98.7688,1.9);',
'insert into jk64demo_earthquakes values(55.1386,-161.7823,2.2);',
'insert into jk64demo_earthquakes values(33.2146667,-116.0763333,1.7);',
'insert into jk64demo_earthquakes values(33.4725,-116.4866667,0.64);',
'insert into jk64demo_earthquakes values(61.312,-139.9428,1.2);',
'insert into jk64demo_earthquakes values(33.4768333,-116.4928333,0.92);',
'insert into jk64demo_earthquakes values(61.5426,-146.3454,1.2);',
'insert into jk64demo_earthquakes values(63.0842,-150.9567,1.7);',
'insert into jk64demo_earthquakes values(38.8163338,-122.793663,0.52);',
'insert into jk64demo_earthquakes values(41.9148,-119.5963,0.9);',
'insert into jk64demo_earthquakes values(35.845,-120.6765,0.54);',
'insert into jk64demo_earthquakes values(41.9767,-120.1754,1.6);',
'insert into jk64demo_earthquakes values(19.065,-68.0071,2.8);',
'insert into jk64demo_earthquakes values(60.0434,-152.5052,1.8);',
'insert into jk64demo_earthquakes values(46.1381667,-119.2418333,1.38);',
'insert into jk64demo_earthquakes values(52.7341,-168.3146,2.6);',
'insert into jk64demo_earthquakes values(33.4761667,-116.4926667,0.5);',
'insert into jk64demo_earthquakes values(63.3043,-151.1183,0.9);',
'insert into jk64demo_earthquakes values(65.1349,-143.4607,0.8);',
'insert into jk64demo_earthquakes values(60.7049,-151.5386,1.5);',
'insert into jk64demo_earthquakes values(11.5517,-87.3729,4.6);',
'insert into jk64demo_earthquakes values(59.9584,-140.1527,1.2);',
'insert into jk64demo_earthquakes values(61.6535,-151.6671,1.7);',
'insert into jk64demo_earthquakes values(36.0038333,-117.892,0.87);',
'insert into'))
);
end;
/
begin
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
' jk64demo_earthquakes values(53.4219,-165.6088,3.3);',
'insert into jk64demo_earthquakes values(59.8336,-152.8742,1.9);',
'insert into jk64demo_earthquakes values(38.8409996,-122.8398361,0.18);',
'insert into jk64demo_earthquakes values(38.8418333,-122.8385,2.59);',
'insert into jk64demo_earthquakes values(36.0396667,-117.8045,0.46);',
'insert into jk64demo_earthquakes values(35.9893333,-120.5623333,0.34);',
'insert into jk64demo_earthquakes values(36.0466667,-117.8043333,0.58);',
'insert into jk64demo_earthquakes values(19.3893333,-155.2786667,1.21);',
'insert into jk64demo_earthquakes values(33.8818333,-117.7501667,1.31);',
'insert into jk64demo_earthquakes values(14.2011,146.975,4.6);',
'insert into jk64demo_earthquakes values(63.3071,-150.4187,1.2);',
'insert into jk64demo_earthquakes values(58.3481,-153.7149,2.6);',
'insert into jk64demo_earthquakes values(62.6887,-151.8114,1.1);',
'insert into jk64demo_earthquakes values(35.8468333,-120.6751667,1.02);',
'insert into jk64demo_earthquakes values(41.8977,-119.6218,1.2);',
'insert into jk64demo_earthquakes values(60.1887,-140.9656,1.6);',
'insert into jk64demo_earthquakes values(33.7006667,-117.5226667,0.91);',
'insert into jk64demo_earthquakes values(37.362,-117.1111,0.8);',
'insert into jk64demo_earthquakes values(53.6876,-166.6326,1.7);',
'insert into jk64demo_earthquakes values(39.9684,-120.7561,0.6);',
'insert into jk64demo_earthquakes values(38.8051667,-122.794,0.25);',
'insert into jk64demo_earthquakes values(40.0262,-120.8342,0.9);',
'insert into jk64demo_earthquakes values(41.923,-119.6016,2);',
'insert into jk64demo_earthquakes values(52.3342,-169.4119,2.3);',
'insert into jk64demo_earthquakes values(19.5536667,-155.7375,1.22);',
'insert into jk64demo_earthquakes values(-6.4083,129.8098,4);',
'insert into jk64demo_earthquakes values(38.8413333,-122.875,0.71);',
'insert into jk64demo_earthquakes values(56.35,-157.8468,2.6);',
'insert into jk64demo_earthquakes values(38.6507,-118.8001,1);',
'insert into jk64demo_earthquakes values(38.3252,73.9797,4.2);',
'insert into jk64demo_earthquakes values(35.6825,-121.1563333,1.32);',
'insert into jk64demo_earthquakes values(37.2598,-117.516,0);',
'insert into jk64demo_earthquakes values(61.7667,-150.1918,1.6);',
'insert into jk64demo_earthquakes values(33.0428333,-116.4348333,0.89);',
'insert into jk64demo_earthquakes values(38.8089981,-122.8311691,1.05);',
'insert into jk64demo_earthquakes values(36.4687,-98.7502,1.6);',
'insert into jk64demo_earthquakes values(37.2913333,-97.5985,1.9);',
'insert into jk64demo_earthquakes values(36.0116667,-117.812,0.73);',
'insert into jk64demo_earthquakes values(63.619,-149.4779,1.9);',
'insert into jk64demo_earthquakes values(20.98,95.0238,4.6);',
'insert into jk64demo_earthquakes values(36.9808333,-121.4626667,2.94);',
'insert into jk64demo_earthquakes values(33.4726667,-116.5011667,1.3);',
'insert into jk64demo_earthquakes values(34.0366667,-116.3161667,1.72);',
'insert into jk64demo_earthquakes values(38.7943333,-122.7535,1.61);',
'insert into jk64demo_earthquakes values(61.4111,-150.9845,1.6);',
'insert into jk64demo_earthquakes values(38.7931667,-122.7555,1.92);',
'insert into jk64demo_earthquakes values(31.0281,141.0074,4.5);',
'insert into jk64demo_earthquakes values(37.2931667,-97.5971667,1.94);',
'insert into jk64demo_earthquakes values(55.8027,-158.3103,3);',
'insert into jk64demo_earthquakes values(19.0388333,-155.4241667,1.97);',
'insert into jk64demo_earthquakes values(63.2695,-150.4633,1.1);',
'insert into jk64demo_earthquakes values(64.9042,-148.9588,0.5);',
'insert into jk64demo_earthquakes values(36.4687,-98.7489,1.6);',
'insert into jk64demo_earthquakes values(-18.1714,-177.9422,4.2);',
'insert into jk64demo_earthquakes values(38.8251648,-122.7806702,0.47);',
'insert into jk64demo_earthquakes values(36.469,-98.7517,1.9);',
'insert into jk64demo_earthquakes values(61.9848,-144.1438,1);',
'insert into jk64demo_earthquakes values(39.3468,-119.9566,0.8);',
'insert into jk64demo_earthquakes values(39.3515,-119.961,0.5);',
'insert into jk64demo_earthquakes values(22.4664,102.1141,4.3);',
'insert into jk64demo_earthquakes values(46.6046667,-119.837,0.72);',
'insert into jk64demo_earthquakes values(54.4721,-160.7255,3.2);',
'insert into jk64demo_earthquakes values(19.3555,-155.2783333,1.72);',
'insert into jk64demo_earthquakes values(39.3322,-119.9662,0.6);',
'insert into jk64demo_earthquakes values(38.5186,-118.5097,0.1);',
'insert into jk64demo_earthquakes values(36.471,-98.748,3.6);',
'insert into jk64demo_earthquakes values(63.1872,-145.1202,1);',
'insert into jk64demo_earthquakes values(61.5723,-151.9675,1.8);',
'insert into jk64demo_earthquakes values(60.5265,-150.7055,1.4);',
'insert into jk64demo_earthquakes values(33.497,-116.7881667,0.59);',
'insert into jk64demo_earthquakes values(64.9838,-147.3567,1.3);',
'insert into jk64demo_earthquakes values(39.3451,-119.9562,0.9);',
'insert into jk64demo_earthquakes values(39.3403,-119.9541,0.8);',
'insert into jk64demo_earthquakes values(33.9921667,-116.3028333,1.3);',
'insert into jk64demo_earthquakes values(37.2965,-121.6788333,1.53);',
'insert into jk64demo_earthquakes values(18.9654,-65.3906,2.7);',
'insert into jk64demo_earthquakes values(35.1309,23.5019,3.9);',
'insert into jk64demo_earthquakes values(36.9825,-121.4628333,1.72);',
'insert into jk64demo_earthquakes values(60.6029,-151.5957,2.1);',
'insert into jk64demo_earthquakes values(36.021,-117.7765,0.53);',
'insert into jk64demo_earthquakes values(38.788,-122.8045,1.93);',
'insert into jk64demo_earthquakes values(58.9183,-150.7436,1.8);',
'insert into jk64demo_earthquakes values(47.4755,-120.7273333,1.13);',
'insert into jk64demo_earthquakes values(38.8118324,-122.8238297,0.69);',
'insert into jk64demo_earthquakes values(60.9887,-147.2758,1.4);',
'insert into jk64demo_earthquakes values(36.5938,-117.978,1.1);',
'insert into jk64demo_earthquakes values(19.4873333,-155.6585,0.89);',
'insert into jk64demo_earthquakes values(63.5125,-151.1919,0.7);',
'insert into jk64demo_earthquakes values(46.6105,-119.8385,0.51);',
'insert into jk64demo_earthquakes values(35.2705,-119.8511667,1.84);',
'insert into jk64demo_earthquakes values(37.2481667,-112.736,1.06);',
'insert into jk64demo_earthquakes values(61.307,-145.1116,0.6);',
'insert into jk64demo_earthquakes values(33.962,-117.743,0.97);',
'insert into jk64demo_earthquakes values(33.9673333,-117.7323333,2.22);',
'insert into jk64demo_earthquakes values(34.6018333,-118.631,1.46);',
'insert into jk64demo_earthquakes values(38.8161667,-122.8075,0.51);',
'insert into jk64demo_earthquakes values(38.822834,-122.7838364,0.78);',
'insert into jk64demo_earthquakes values(38.786,-122.805,1.37);',
'insert into jk64demo_earthquakes values(46.6166667,-119.8478333,0.3);',
'insert into jk64demo_earthquakes values(38.7616653,-122.7331696,0.76);',
'insert into jk64demo_earthquakes values(60.5952,-149.7614,1.5);',
'insert into jk64demo_earthquakes values(59.2186,-145.8602,1.9);',
'insert into jk64demo_earthquakes values(62.9192,-151.2766,1.2);',
'insert into jk64demo_earthquakes values(54.603,-161.0012,2.4);',
'insert into jk64demo_earthquakes values(60.1096,-147.8254,1.3);',
'insert into jk64demo_earthquakes values(38.8059998,-122.793335,0.81);',
'insert into jk64demo_earthquakes values(38.827,-122.8275,0.13);',
'insert into jk64demo_earthquakes values(37.2356667,-121.6185,1.4);',
'insert into jk64demo_earthquakes values(56.4673,-156.4263,2.1);',
'insert into jk64demo_earthquakes values(46.2165,-122.1721667,-0.56);',
'insert into jk64demo_earthquakes values(38.926,-122.6776667,1.21);',
'insert into jk64demo_earthquakes values(33.5676667,-116.7175,0.4);',
'insert into jk64demo_earthquakes values(36.6487,-97.7338,2.5);',
'insert into jk64demo_earthquakes values(62.0557,-150.2496,1.1);',
'insert into jk64demo_earthquakes values(59.7949,-153.0564,1.7);',
'insert into jk64demo_earthquakes values(59.7358,-152.6345,1.7);',
'insert into jk64demo_earthquakes values(35.3016,23.9166,4.4);',
'insert into jk64demo_earthquakes values(35.859,-120.6505,0.45);',
'insert into jk64demo_earthquakes values(59.7592,-153.0832,1.5);',
'insert into jk64demo_earthquakes values(38.8383333,-122.8295,1.46);',
'insert into jk64demo_earthquakes values(36.7571,-116.1922,-0.2);',
'insert into jk64demo_earthquakes values(61.9453,-148.6999,1);',
'insert into jk64demo_earthquakes values(36.1741667,-118.0476667,0.91);',
'insert into jk64demo_earthquakes values(37.6745,-118.8796667,-0.16);',
'insert into jk64demo_earthquakes values(38.6809,-119.7828,1.5);',
'insert into jk64demo_earthquakes values(59.6818,-153.2479,1.5);',
'insert into jk64demo_earthquakes values(37.3658333,-119.0865,1.22);',
'insert into jk64demo_earthquakes values(63.1528,-149.2887,2.1);',
'insert into jk64demo_earthquakes values(35.6771,-97.3954,2.5);',
'insert into jk64demo_earthquakes values(19.3883333,-155.2791667,1.11);',
'insert into jk64demo_earthquakes values(60.9452,-151.9906,1.7);',
'insert into jk64demo_earthquakes values(38.784,-122.7606667,1.33);',
'insert into jk64demo_earthquakes values(59.9745,-152.2702,1.2);',
'insert into jk64demo_earthquakes values(36.0335,-117.7768333,0.53);',
'insert into jk64demo_earthquakes values(60.8211,-143.6501,1.1);',
'insert into jk64demo_earthquakes values(40.2881667,-124.3313333,2.1);',
'insert into jk64demo_earthquakes values(44.3813333,-110.5613333,0.64);',
'insert into jk64demo_earthquakes values(44.3805,-110.5583333,0.93);',
'insert into jk64demo_earthquakes values(34.3298333,-118.4585,1.46);',
'insert into jk64demo_earthquakes values(22.7585,93.9433,4.5);',
'insert into jk64demo_earthquakes values(-17.4112,-178.8799,4.1);',
'insert into jk64demo_earthquakes values(59.7931,-153.1339,2.1);',
'insert into jk64demo_earthquakes values(37.2195,-117.8299,0.6);',
'insert into jk64demo_earthquakes values(53.6873,-166.9148,3.3);',
'insert into jk64demo_earthquakes values(61.9093,-151.3112,1.9);',
'insert into jk64demo_earthquakes values(2.4003,128.3608,5);',
'insert into jk64demo_earthquakes values(60.3465,-152.2447,1.3);',
'insert into jk64demo_earthquakes values(33.0275,-116.4325,2.12);',
'insert into jk64demo_earthquakes values(36.8473333,-113.9476667,1.67);',
'insert into jk64demo_earthquakes values(63.4912,-151.2568,1.1);',
'insert into jk64demo_earthquakes values(15.0127,145.6302,4.5);',
'insert into jk64demo_earthquakes values(35.67,-97.3984,2.3);',
'insert into jk64demo_earthquakes values(52.648,-169.3712,2);',
'insert into jk64demo_earthquakes values(63.3156,-145.3692,0.9);',
'insert into jk64demo_earthquakes values(36.4599,-98.7528,2.3);',
'insert into jk64demo_earthquakes values(19.345,-155.4948333,1.35);',
'insert into jk64demo_earthquakes values(60.181,-141.0477,1);',
'insert into jk64demo_earthquakes values(35.8425,-120.6768333,0.96);',
'insert into jk64demo_earthquakes values(19.1611,-64.3175,2.7);',
'insert into jk64demo_earthquakes values(36.0275,-117.6093333,1.11);',
'insert into jk64demo_earthquakes values(33.4988333,-116.494,0.66);',
'insert into jk64demo_earthquakes values(61.1673,-149.8415,1);',
'insert into jk64demo_earthquakes values(63.2965,-150.4564,1.3);',
'insert into jk64demo_earthquakes values(39.6997,-120.157,0.3);',
'insert into jk64demo_earthquakes values(63.2041,-152.0481,1.1);',
'insert into jk64demo_earthquakes values(63.2065,-152.1734,1.3);',
'insert into jk64demo_earthquakes values(38.8313332,-122.770668,0.54);',
'insert into jk64demo_earthquakes values(36.9578333,-121.5913333,1.27);',
'insert into jk64demo_earthquakes values(39.7775,-123.6023333,1.93);',
'insert into jk64demo_earthquakes values(60.5823,-151.0527,1.4);',
'insert into jk64demo_earthquakes values(37.5996667,-118.7853333,0.7);',
'insert into jk64demo_earthquakes values(37.5705,-118.847,0.54);',
'insert into jk64demo_earthquakes values(37.3136,-114.64,0.7);',
'insert into jk64demo_earthquakes values(60.1457,-141.0874,0.8);',
'insert into jk64demo_earthquakes values(36.0335,-120.5943333,1.43);',
'insert into jk64demo_earthquakes values(52.1198,-170.7772,2.6);',
'insert into jk64demo_earthquakes values(64.2787,-149.8628,0.7);',
'insert into jk64demo_earthquakes values(60.5262,-150.7352,1.3);',
'insert into jk64demo_earthquakes values(37.5666,-117.7251,1);',
'insert into jk64demo_earthquakes values(60.1659,-141.0832,1);',
'insert into jk64demo_earthquakes values(38.8106651,-122.7969971,0.87);',
'insert into jk64demo_earthquakes values(61.3403,-146.7117,1.4);',
'insert into jk64demo_earthquakes values(38.8053333,-122.823,0.19);',
'insert into jk64demo_earthquakes values(36.2733333,-120.216,1.81);',
'insert into jk64demo_earthquakes values(39.7923333,-123.716,1.93);',
'insert into jk64demo_earthquakes values(59.7394,-153.1506,1.6);',
'insert into jk64demo_earthquakes values(36.034,-117.796,1);',
'insert into jk64demo_earthquakes values(61.6494,-149.5564,1.9);',
'insert into jk64demo_earthquakes values(60.1703,-141.0082,1);',
'insert into jk64demo_earthquakes values(60.1454,-141.109,0.8);',
'insert into jk64demo_earthquakes values(60.172,-141.0653,3.3);',
'insert into jk64demo_earthquakes values(39.4322,-119.7832,0.6);',
'insert into jk64demo_earthquakes values(63.5645,-147.651,0.5);',
'insert into jk64demo_earthquakes values(40.2154,142.3841,4.8);',
'insert into jk64demo_earthquakes values(60.3477,-152.2518,1.4);',
'insert into jk64demo_earthquakes values(59.9007,-140.2041,1.7);',
'insert into jk64demo_earthquakes values(61.3841,-151.6263,1.6);',
'insert into jk64demo_earthquakes values(59.9257,-140.0918,1);',
'insert into jk64demo_earthquakes values(59.9106,-140.1547,1.3);',
'insert into jk64demo_earthquakes values(38.7925,-122.7983333,0.88);',
'insert into jk64demo_earthquakes values(59.9382,-140.1919,1.2);',
'insert into jk64demo_earthquakes values(59.9126,-140.0314,2);',
'insert into jk64demo_earthquakes values(59.8664,-140.1546,1.9);',
'insert into jk64demo_earthquakes values(60.531,-147.6166,1.3);',
'insert into jk64demo_earthquakes values(59.3657,-152.7497,2.3);',
'insert into jk64demo_earthquakes values(62.1866,-150.4475,1.7);',
'insert into jk64demo_earthquakes values(64.9275,-147.6075,0.4);',
'insert into jk64demo_earthquakes values(41.9749,-120.173,1.4);',
'insert into jk64demo_earthquakes values(53.416,-167.7341,1.8);',
'insert into jk64demo_earthquakes values(34.4905,-116.5175,1.49);',
'insert into jk64demo_earthquakes values(-26.9699,-70.9814,4.1);',
'insert into jk64demo_earthquakes values(37.5709,-117.7236,0.8);',
'insert into jk64demo_earthquakes values(47.5078333,-114.937,0.31);',
'insert into jk64demo_earthquakes values(36.9776667,-121.4575,0.87);',
'insert into jk64demo_earthquakes values(60.0595,-151.5082,1.2);',
'insert into jk64demo_earthquakes values(63.1951,-151.246,2);',
'insert into jk64demo_earthquakes values(59.48,-151.8227,1.4);',
'insert into jk64demo_earthquakes values(60.4548,-151.5977,1.3);',
'insert into jk64demo_earthquakes values(20.0073333,-156.088,1.8);',
'insert into jk64demo_earthquakes values(46.6135,-119.8425,0.32);',
'insert into jk64demo_earthquakes values(60.5641,-151.1667,1.5);',
'insert into jk64demo_earthquakes values(60.351,-141.3926,0.9);',
'insert into jk64demo_earthquakes values(32.979,-116.2733333,1.62);',
'insert into jk64demo_earthquakes values(19.4106667,-155.2736667,1.62);',
'insert into jk64demo_earthquakes values(38.8413315,-122.8396683,1.15);',
'insert into jk64demo_earthquakes values(19.0386667,-155.4258333,1.91);',
'insert into jk64demo_earthquakes values(38.8188324,-122.8088303,1.03);',
'insert into jk64demo_earthquakes values(59.8712,-153.2722,1.5);',
'insert into jk64demo_earthquakes values(59.5922,-152.3418,1.2);',
'insert into jk64demo_earthquakes values(36.8075,-121.5255,1.52);',
'insert into jk64demo_earthquakes values(34.4488333,-118.0308333,0.64);',
'insert into jk64demo_earthquakes values(38.8136673,-122.8103333,1.13);',
'insert into jk64demo_earthquakes values(63.5509,-150.79,2.5);',
'insert into jk64demo_earthquakes values(38.8396683,-122.8040009,0.35);',
'insert into jk64demo_earthquakes values(38.8380013,-122.8046646,0.45);',
'insert into jk64demo_earthquakes values(63.5822,-150.6869,0.8);',
'insert into jk64demo_earthquakes values(38.8368333,-122.807,1.32);',
'insert into jk64demo_earthquakes values(62.8772,-150.0319,1.1);',
'insert into jk64demo_earthquakes values(38.831665,-122.8105011,0.32);',
'insert into jk64demo_earthquakes values(61.1298,-140.0317,1.1);',
'insert into jk64demo_earthquakes values(34.1578333,-117.4688333,1.11);',
'insert into jk64demo_earthquakes values(34.2138333,-117.4418333,0.75);',
'insert into jk64demo_earthquakes values(37.5671667,-118.469,1.83);',
'insert into jk64demo_earthquakes values(37.8739,-118.0926,1.4);',
'insert into jk64demo_earthquakes values(63.4134,-151.5231,1.1);',
'insert into jk64demo_earthquakes values(36.051,-89.8156667,1.26);',
'insert into jk64demo_earthquakes values(37.5718333,-118.8583333,0.21);',
'insert into jk64demo_earthquakes values(62.654,-137.1906,1.3);',
'insert into jk64demo_earthquakes values(38.8110008,-122.7438354,0.88);',
'insert into jk64demo_earthquakes values(36,-118.195,1.36);',
'insert into jk64demo_earthquakes values(33.7325,-116.0533333,1.3);',
'insert into jk64demo_earthquakes values(47.8921667,-113.7593333,-0.14);',
'insert into jk64demo_earthquakes values(38.1581,-118.1551,1.1);',
'insert into jk64demo_earthquakes values(39.7008,-120.1523,0.2);',
'insert into jk64demo_earthquakes values(38.2747,-118.8321,1.2);',
'insert into jk64demo_earthquakes values(46.8603333,-121.7506667,0.18);',
'insert into jk64demo_earthquakes values(36.0771667,-91.3355,2.15);',
'insert into jk64demo_earthquakes values(37.6,-118.784,0.45);',
'insert into jk64demo_earthquakes values(39.3885,-119.7484,0.2);',
'insert into jk64demo_earthquakes values(37.5806667,-118.8646667,0.62);',
'insert into jk64demo_earthquakes values(19.3665,-155.2955,1.28);',
'insert into jk64demo_earthquakes values(59.8235,-152.9058,1.9);',
'insert into jk64demo_earthquakes values(38.8381667,-122.836,1.86);',
'insert into jk64demo_earthquakes values(38.5193,-118.5124,0.2);',
'insert into jk64demo_earthquakes values(37.3561667,-121.7166667,1.16);',
'insert into jk64demo_earthquakes values(-6.3788,130.4624,4.1);',
'insert into jk64demo_earthquakes values(38.8354988,-122.7734985,1.19);',
'insert into jk64demo_earthquakes values(60.1602,-152.4122,1.6);',
'insert into jk64demo_earthquakes values(64.9874,-147.3562,1.3);',
'insert into jk64demo_earthquakes values(33.4713333,-116.5213333,0.57);',
'insert into jk64demo_earthquakes values(41.8352,-119.6546,1.5);',
'insert into jk64demo_earthquakes values(34.8216667,-116.4068333,1.92);',
'insert into jk64demo_earthquakes values(37.6345,-119.0405,0.2);',
'insert into jk64demo_earthquakes values(68.8363,-144.931,2.1);',
'insert into jk64demo_earthquakes values(56.1133,-159.0435,2);',
'insert into jk64demo_earthquakes values(58.9786,-136.6943,1.7);',
'insert into jk64demo_earthquakes values(37.1681667,-112.8293333,1.59);',
'insert into jk64demo_earthquakes values(44.544,-114.5151667,1.82);',
'insert into jk64demo_earthquakes values(38.8386667,-122.8261667,1.45);',
'insert into jk64demo_earthquakes values(38.8058319,-122.8161697,0.97);',
'insert into jk64demo_earthquakes values(33.9713333,-118.4218333,1.29);',
'insert into jk64demo_earthquakes values(36.0113333,-117.8115,0.81);',
'insert into jk64demo_earthquakes values(19.5018333,-155.2026667,1.13);',
'insert into jk64demo_earthquakes values(41.8429,-119.6658,0.9);',
'insert into jk64demo_earthquakes values(-33.6951,-178.4301,4.2);',
'insert into jk64demo_earthquakes values(17.7161,40.296,4.8);',
'insert into jk64demo_earthquakes values(60.2755,-151.1836,1.5);',
'insert into jk64demo_earthquakes values(37.2313,-118.0838,0.7);',
'insert into jk64demo_earthquakes values(19.5036667,-155.1968333,3.45);',
'insert into jk64demo_earthquakes values(49.436,-120.5185,2.07);',
'insert into jk64demo_earthquakes values(37.5718333,-118.855,0.84);',
'insert into jk64demo_earthquakes values(36.7458333,-121.5955,1.34);',
'insert into jk64demo_earthquakes values(60.2417,-153.0879,1.7);',
'insert into jk64demo_earthquakes values(19.039,-155.4223333,1.95);',
'insert into jk64demo_earthquakes values(47.5413333,-120.2836667,0.96);',
'insert into jk64demo_earthquakes values(32.8183333,-115.5945,1.77);',
'insert into jk64demo_earthquakes values(11.2249,-86.7917,4.2);',
'insert into jk64demo_earthquakes values(37.62,-118.8703333,-0.18);',
'insert into jk64demo_earthquakes values(37.4814,-116.1677,0.4);',
'insert into jk64demo_earthquakes values(37.4621,-116.2431,0.4);',
'insert into jk64demo_earthquakes values(37.4935,-116.155,0.4);',
'insert into jk64demo_earthquakes values(19.424,-155.6075,0.71);',
'insert into jk64demo_earthquakes values(37.4759,-116.1561,0.4);',
'insert into jk64demo_earthquakes values(46.3261667,-122.6585,1.25);',
'insert into jk64demo_earthquakes values(36.46,-120.4056667,2.12);',
'insert into jk64demo_earthquakes values(61.8795,-152.1026,1.6);',
'insert into jk64demo_earthquakes values(60.1726,-141.0917,1.3);',
'insert into jk64demo_earthquakes values(60.1541,-141.1048,2.5);',
'insert into jk64demo_earthquakes values(46.8506667,-121.7525,0.8);',
'insert into jk64demo_earthquakes values(59.9046,-153.06,1.9);',
'insert into jk64demo_earthquakes values(45.992,-112.4526667,2.27);',
'insert into jk64demo_earthquakes values(44.6218333,-110.5356667,0.65);',
'insert into jk64demo_earthquakes values(38.7685,-122.7116667,1.62);',
'insert into jk64demo_earthquakes values(37.5796667,-118.476,0.76);',
'insert into jk64demo_earthquakes values(61.4549,-149.9585,1.3);',
'insert into jk64demo_earthquakes values(17.8828,40.3718,4.5);',
'insert into jk64demo_earthquakes values(37.568,-118.8616667,0.29);',
'insert into jk64demo_earthquakes values(60.0245,-152.7805,2.2);',
'insert into jk64demo_earthquakes values(36.0185,-120.5793333,0.49);',
'insert into jk64demo_earthquakes values(36.4447,-98.7854,1.6);',
'insert into jk64demo_earthquakes values(62.1007,-151.2039,1.8);',
'insert into jk64demo_earthquakes values(37.5621667,-118.8743333,0.5);',
'insert into jk64demo_earthquakes values(37.0249,-117.5155,1.1);',
'insert into jk64demo_earthquakes values(61.2211,-148.6992,1);',
'insert into jk64demo_earthquakes values(64.921,-140.5485,1.4);',
'insert into jk64demo_earthquakes values(61.7189,-148.2495,2.1);',
'insert into jk64demo_earthquakes values(59.7432,-151.9472,1.4);',
'insert into jk64demo_earthquakes values(61.4422,-151.6682,2.4);',
'insert into jk64demo_earthquakes values(59.9105,-152.8275,2.4);',
'insert into jk64demo_earthquakes values(62.2988,-151.196,1.9);',
'insert into jk64demo_earthquakes values(38.8218346,-122.7695007,0.78);',
'insert into jk64demo_earthquakes values(63.8872,-148.4581,1.1);',
'insert into jk64demo_earthquakes values(19.1751667,-155.6536667,1.55);',
'insert into jk64demo_earthquakes values(33.8616667,-117.7426667,1.14);',
'insert into jk64demo_earthquakes values(35.8639,-97.215,2.9);',
'insert into jk64demo_earthquakes values(61.4587,-150.7436,1.9);',
'insert into jk64demo_earthquakes values(15.4834,-93.7167,5);',
'insert into jk64demo_earthquakes values(37.5826667,-118.8625,0.31);',
'insert into jk64demo_earthquakes values(43.7643333,-110.8688333,1.02);',
'insert into jk64demo_earthquakes values(37.2568,-117.5184,1.2);',
'insert into jk64demo_earthquakes values(59.7365,-153.134,2.4);',
'insert into jk64demo_earthquakes values(47.4551667,-115.9985,1.42);',
'insert into jk64demo_earthquakes values(43.5425,-121.7475,0.82);',
'insert into jk64demo_earthquakes values(43.5578333,-121.7306667,0.81);',
'insert into jk64demo_earthquakes values(60.9752,-152.7408,1.7);',
'insert into jk64demo_earthquakes values(36.3233333,-120.9058333,1.5);',
'insert into jk64demo_earthquakes values(51.2626,-178.2609,2.5);',
'insert into jk64demo_earthquakes values(19.1133,-65.1794,2.9);',
'insert into jk64demo_earthquakes values(60.3044,-152.4211,1.5);',
'insert into jk64demo_earthquakes values(36.8634,-116.2063,-0.2);',
'insert into jk64demo_earthquakes values(62.3774,-148.3297,0.9);',
'insert into jk64demo_earthquakes values(18.2673,40.0033,4.2);',
'insert into jk64demo_earthquakes values(63.6874,-149.8116,1.3);',
'insert into jk64demo_earthquakes values(64.9867,-147.354,1.6);',
'insert into jk64demo_earthquakes values(63.3141,-150.3381,1.2);',
'insert into jk64demo_earthquakes values(43.7663333,-110.8161667,1.05);',
'insert into jk64demo_earthquakes values(37.5763333,-118.8715,0.29);',
'insert into jk64demo_earthquakes values(34.8261667,-116.4078333,1.62);',
'insert into jk64demo_earthquakes values(18.867,-67.4063,2.5);',
'insert into jk64demo_earthquakes values(39.7947,-120.7322,0.6);',
'insert into jk64demo_earthquakes values(62.2362,-151.048,1.3);',
'insert into jk64demo_earthquakes values(37.523,-118.6241667,1.79);',
'insert into jk64demo_earthquakes values(59.7907,-153.0371,1.7);',
'insert into jk64demo_earthquakes values(37.2316667,-98.0105,2.26);',
'insert into jk64demo_earthquakes values(38.8291664,-122.8081665,1.13);',
'insert into jk64demo_earthquakes values(59.767,-153.0836,1.6);',
'insert into jk64demo_earthquakes values(38.840332,-122.8320007,1.11);',
'insert into jk64demo_earthquakes values(33.2563333,-116.0836667,1.01);',
'insert into jk64demo_earthquakes values(38.843,-122.8325,1.4);',
'insert into jk64demo_earthquakes values(-32.9191,-178.2,5.5);',
'insert into jk64demo_earthquakes values(38.8268318,-122.8523331,0.99);',
'insert into jk64demo_earthquakes values(49.6534,-129.3038,4.7);',
'insert into jk64demo_earthquakes values(49.704,-129.1354,4.2);',
'insert into jk64demo_earthquakes values(37.5718333,-118.8568333,1.49);',
'insert into jk64demo_earthquakes values(15.0037,122.4605,4.6);',
'insert into jk64demo_earthquakes values(61.4143,-149.9268,1.4);',
'insert into jk64demo_earthquakes values(58.4616,-151.8163,1.9);',
'insert into jk64demo_earthquakes values(59.9551,-152.7179,1.6);',
'insert into jk64demo_earthquakes values(46.8788333,-112.5376667,0.7);',
'insert into jk64demo_earthquakes values(59.2447,-152.6709,1.6);',
'insert into jk64demo_earthquakes values(54.8262,-161.7891,1.8);',
'insert into jk64demo_earthquakes values(19.041,-67.8575,3);',
'insert into jk64demo_earthquakes values(51.7578,-172.8911,3.2);',
'insert into jk64demo_earthquakes values(62.416,-148.1158,1.3);',
'insert into jk64demo_earthquakes values(-20.7348,-69.7599,4.6);',
'insert into jk64demo_earthquakes values(-20.3078,-173.2976,5);',
'insert into jk64demo_earthquakes values(60.5868,-149.0706,1.3);',
'insert into jk64demo_earthquakes values(35.5463333,-120.854,1.42);',
'insert into jk64demo_earthquakes values(33.9826667,-116.3878333,1.03);',
'insert into jk64demo_earthquakes values(38.818,-122.8198333,1.64);',
'insert into jk64demo_earthquakes values(33.692,-116.8333333,0.89);',
'insert into jk64demo_earthquakes values(38.8116684,-122.7856674,0.53);',
'insert into jk64demo_earthquakes values(37.1933,-116.3675,-0.1);',
'insert into jk64demo_earthquakes values(38.0545,-118.2912,1.1);',
'insert into jk64demo_earthquakes values(18.8518,-67.2833,3.3);',
'insert into jk64demo_earthquakes values(38.809166,-122.7904968,0.77);',
'insert into jk64demo_earthquakes values(38.8216667,-122.7953339,0.73);',
'insert into jk64demo_earthquakes values(34.0825,-116.4028333,1.42);',
'insert into jk64demo_earthquakes values(34.8263333,-116.4045,1.83);',
'insert into jk64demo_earthquakes values(61.7872,-147.8155,1.6);',
'insert into jk64demo_earthquakes values(35.638,-120.9248333,2.11);',
'insert into jk64demo_earthquakes values(38.8139992,-122.7998352,0.62);',
'insert into jk64demo_earthquakes values(63.3526,-151.4937,1.4);',
'insert into jk64demo_earthquakes values(59.6418,-153.1474,1.9);',
'insert into jk64demo_earthquakes values(43.7616667,-110.8611667,0.83);',
'insert into jk64demo_earthquakes values(46.6148333,-119.8446667,0.51);',
'insert into jk64demo_earthquakes values(63.1465,-150.4049,1.2);',
'insert into jk64demo_earthquakes values(59.1478,-145.8905,2);',
'insert into jk64demo_earthquakes values(38.8214989,-122.8443298,0.9);',
'insert into jk64demo_earthquakes values(55.1762,-161.8632,2);',
'insert into jk64demo_earthquakes values(38.7919998,-122.7786636,0.67);',
'insert into jk64demo_earthquakes values(33.6023333,-116.8135,1.15);',
'insert into jk64demo_earthquakes values(59.6897,-153.5093,2.2);',
'insert into jk64demo_earthquakes values(62.4975,-152.9871,2.9);',
'insert into jk64demo_earthquakes values(43.76,-110.882,2.07);',
'insert into jk64demo_earthquakes values(38.8126667,-122.8243333,1.37);',
'insert into jk64demo_earthquakes values(19.0499992,-155.4383392,2.06);',
'insert into jk64demo_earthquakes values(37.0143,-115.9897,0.1);',
'insert into jk64demo_earthquakes values(-23.9571,179.7251,4.6);',
'insert into jk64demo_earthquakes values(55.3985,163.2512,4.4);',
'insert into jk64demo_earthquakes values(36.6657,-98.2407,2.5);',
'insert into jk64demo_earthquakes values(47.7191667,-113.7311667,0.86);',
'insert into jk64demo_earthquakes values(60.6528,-146.8383,1.2);',
'insert into jk64demo_earthquakes values(38.8063333,-122.8156667,0.19);',
'insert into jk64demo_earthquakes values(63.5286,-147.3569,1.2);',
'insert into jk64demo_earthquakes values(38.8443336,-122.8326645,1.03);',
'insert into jk64demo_earthquakes values(60.3434,-152.4705,1.4);',
'insert into jk64demo_earthquakes values(34.6908333,-116.2458333,1.87);',
'insert into jk64demo_earthquakes values(62.3461,-148.3868,1.4);',
'insert into jk64demo_earthquakes values(60.3781,-152.2276,1.5);',
'insert into jk64demo_earthquakes values(53.3938,-166.749,2.6);',
'insert into jk64demo_earthquakes values(59.8537,-152.8821,1.8);',
'insert into jk64demo_earthquakes values(19.4143333,-155.6315,1.26);',
'insert into jk64demo_earthquakes values(63.2636,-151.0632,1.3);',
'insert into jk64demo_earthquakes values(38.808,-122.8246667,0.18);',
'insert into jk64demo_earthquakes values(64.8507,-147.339,0.3);',
'insert into jk64demo_earthquakes values(62.3137,-149.9009,1);',
'insert into jk64demo_earthquakes values(34.8251667,-116.4073333,2.47);',
'insert into jk64demo_earthquakes values(38.8056679,-122.8125,0.88);',
'insert into jk64demo_earthquakes values(63.6966,-151.7707,0.7);',
'insert into jk64demo_earthquakes values(37.1348333,-121.5836667,1.2);',
'insert into jk64demo_earthquakes values(-17.9791,-70.1967,4.8);',
'insert into jk64demo_earthquakes values(19.0510006,-155.449173,2.05);',
'insert into jk64demo_earthquakes values(38.7910004,-122.7429962,0.64);',
'insert into jk64demo_earthquakes values(63.5853,-150.7589,0.7);',
'insert into jk64demo_earthquakes values(37.6081667,-118.8028333,0.65);',
'insert into jk64demo_earthquakes values(37.7808333,-121.9675,1.83);',
'insert into jk64demo_earthquakes values(38.806,-122.7916667,1.11);',
'insert into jk64demo_earthquakes values(33.9265,-117.9325,1.33);',
'insert into jk64demo_earthquakes values(33.0256667'))
);
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
',-116.4313333,1.39);',
'insert into jk64demo_earthquakes values(60.3194,-153.0599,1.6);',
'insert into jk64demo_earthquakes values(61.569,-141.2646,0.8);',
'insert into jk64demo_earthquakes values(38.044,-118.5889,1.2);',
'insert into jk64demo_earthquakes values(36.0225,-117.796,0.55);',
'insert into jk64demo_earthquakes values(64.642,-149.0891,0.8);',
'insert into jk64demo_earthquakes values(63.655,-148.7872,0.5);',
'insert into jk64demo_earthquakes values(23.2016,123.3511,4.7);',
'insert into jk64demo_earthquakes values(17.9815,-67.0775,1);',
'insert into jk64demo_earthquakes values(37.1373,-117.7865,1);',
'insert into jk64demo_earthquakes values(45.5095,-69.4173,1.6);',
'insert into jk64demo_earthquakes values(19.141,-155.467,2.08);',
'insert into jk64demo_earthquakes values(37.1822,-117.7551,0.7);',
'insert into jk64demo_earthquakes values(60.2938,-152.4523,1.7);',
'insert into jk64demo_earthquakes values(53.2282,-165.9982,1.8);',
'insert into jk64demo_earthquakes values(46.2448333,-122.4333333,0.36);',
'insert into jk64demo_earthquakes values(51.498,-177.6722,2.7);',
'insert into jk64demo_earthquakes values(38.8346672,-122.8085022,0.77);',
'insert into jk64demo_earthquakes values(35.6865,-121.1555,1.21);',
'insert into jk64demo_earthquakes values(37.2861667,-97.603,2.09);',
'insert into jk64demo_earthquakes values(62.7576,-149.4525,0.9);',
'insert into jk64demo_earthquakes values(19.0533333,-155.4351654,1.92);',
'insert into jk64demo_earthquakes values(46.9415,-112.3918333,0.62);',
'insert into jk64demo_earthquakes values(37.4916667,-118.8508333,1.72);',
'insert into jk64demo_earthquakes values(36.1386667,-118.2635,2.16);',
'insert into jk64demo_earthquakes values(33.4988333,-116.7943333,0.43);',
'insert into jk64demo_earthquakes values(36.1428333,-118.2651667,1.93);',
'insert into jk64demo_earthquakes values(52.2578,-169.287,2.5);',
'insert into jk64demo_earthquakes values(47.5301667,-122.841,0.16);',
'insert into jk64demo_earthquakes values(56.2868,-162.0165,4.8);',
'insert into jk64demo_earthquakes values(-14.8822,-76.0177,4.6);',
'insert into jk64demo_earthquakes values(54.4003,-163.1458,2.8);',
'insert into jk64demo_earthquakes values(37.3329,-114.6331,1.2);',
'insert into jk64demo_earthquakes values(36.6898,-98.2625,2.9);',
'insert into jk64demo_earthquakes values(18.908,-67.3332,2.5);',
'insert into jk64demo_earthquakes values(19.0446663,-155.44133,2.07);',
'insert into jk64demo_earthquakes values(52.2845,-170.8074,3.7);',
'insert into jk64demo_earthquakes values(63.4773,-148.1442,0.7);',
'insert into jk64demo_earthquakes values(62.7426,-149.4756,1.5);',
'insert into jk64demo_earthquakes values(16.9975,122.8575,4.7);',
'insert into jk64demo_earthquakes values(61.7686,-148.2616,0.9);',
'insert into jk64demo_earthquakes values(61.7346,-148.2808,0.9);',
'insert into jk64demo_earthquakes values(36.3657,-97.0528,2.7);',
'insert into jk64demo_earthquakes values(-17.3461,-69.9681,4.2);',
'insert into jk64demo_earthquakes values(38.7631683,-122.7278366,0.81);',
'insert into jk64demo_earthquakes values(64.8397,-150.5438,1);',
'insert into jk64demo_earthquakes values(62.8275,-149.6157,1.1);',
'insert into jk64demo_earthquakes values(61.4102,-141.6931,0.6);',
'insert into jk64demo_earthquakes values(59.7845,-153.0792,1.6);',
'insert into jk64demo_earthquakes values(59.3198,-154.7716,2);',
'insert into jk64demo_earthquakes values(53.2916,-168.0143,3.5);',
'insert into jk64demo_earthquakes values(-8.4832,128.5376,4.3);',
'insert into jk64demo_earthquakes values(36.5287,-98.6908,1.7);',
'insert into jk64demo_earthquakes values(63.0778,-149.8773,1);',
'insert into jk64demo_earthquakes values(62.0634,-149.2591,1.3);',
'insert into jk64demo_earthquakes values(38.8181667,-122.8191667,0.46);',
'insert into jk64demo_earthquakes values(-17.8676,-178.0378,4.3);',
'insert into jk64demo_earthquakes values(-5.5357,151.9025,4.3);',
'insert into jk64demo_earthquakes values(37.6808333,-118.8698333,-0.04);',
'insert into jk64demo_earthquakes values(-5.8548,152.5906,4.1);',
'insert into jk64demo_earthquakes values(59.7832,-153.1598,1.7);',
'insert into jk64demo_earthquakes values(37.4448333,-121.5581667,1.18);',
'insert into jk64demo_earthquakes values(38.8348333,-122.7956667,0.25);',
'insert into jk64demo_earthquakes values(59.722,-153.1362,2);',
'insert into jk64demo_earthquakes values(38.8163333,-122.8211667,1.73);',
'insert into jk64demo_earthquakes values(38.8160019,-122.8284988,0.69);',
'insert into jk64demo_earthquakes values(-8.4943,147.7355,4.3);',
'insert into jk64demo_earthquakes values(36.7073,141.7336,4.5);',
'insert into jk64demo_earthquakes values(36.6476667,-121.2701667,1);',
'insert into jk64demo_earthquakes values(17.8327,-66.0525,2.3);',
'insert into jk64demo_earthquakes values(61.9935,-151.0613,1.5);',
'insert into jk64demo_earthquakes values(37.0481667,-121.4876667,0.61);',
'insert into jk64demo_earthquakes values(38.826,-122.8438333,0.69);',
'insert into jk64demo_earthquakes values(33.027,-116.4328333,2.56);',
'insert into jk64demo_earthquakes values(61.3472,-151.7361,1.5);',
'insert into jk64demo_earthquakes values(33.0333333,-116.4265,1.03);',
'insert into jk64demo_earthquakes values(19.3375,-155.4415,2.03);',
'insert into jk64demo_earthquakes values(37.4695,-118.8183333,0.79);',
'insert into jk64demo_earthquakes values(36.8524,-117.4546,1.8);',
'insert into jk64demo_earthquakes values(36.4812,-98.7333,1.6);',
'insert into jk64demo_earthquakes values(34.3711667,-116.19,2.09);',
'insert into jk64demo_earthquakes values(63.4004,-151.5642,1.1);',
'insert into jk64demo_earthquakes values(66.8944,-147.375,1.3);',
'insert into jk64demo_earthquakes values(66.0235,-141.3439,2.2);',
'insert into jk64demo_earthquakes values(54.3378,-161.5295,2.3);',
'insert into jk64demo_earthquakes values(38.8458328,-122.8264999,0.84);',
'insert into jk64demo_earthquakes values(32.6538333,-115.9361667,1.68);',
'insert into jk64demo_earthquakes values(59.7673,-152.0544,1.7);',
'insert into jk64demo_earthquakes values(18.5876,-66.6668,2.4);',
'insert into jk64demo_earthquakes values(38.8188333,-122.8073333,1.36);',
'insert into jk64demo_earthquakes values(18.7653,-64.5299,2.6);',
'insert into jk64demo_earthquakes values(63.0039,-150.3713,1.5);',
'insert into jk64demo_earthquakes values(37.5761667,-118.8696667,0.28);',
'insert into jk64demo_earthquakes values(54.1565,-162.527,3.4);',
'insert into jk64demo_earthquakes values(38.8183327,-122.7791672,0.7);',
'insert into jk64demo_earthquakes values(46.8505,-121.7518333,0.96);',
'insert into jk64demo_earthquakes values(19.2848333,-155.3876667,0.84);',
'insert into jk64demo_earthquakes values(19.2855,-155.3865,0.72);',
'insert into jk64demo_earthquakes values(28.6123,142.9789,5.1);',
'insert into jk64demo_earthquakes values(38.8371658,-122.7828369,1.06);',
'insert into jk64demo_earthquakes values(38.8095016,-122.8133316,1.08);',
'insert into jk64demo_earthquakes values(63.0763,-150.816,1.4);',
'insert into jk64demo_earthquakes values(47.5366667,-122.857,2.58);',
'insert into jk64demo_earthquakes values(37.1288333,-117.9268333,1.67);',
'insert into jk64demo_earthquakes values(36.2716667,-120.3245,2.3);',
'insert into jk64demo_earthquakes values(63.5574,-148.9155,0.7);',
'insert into jk64demo_earthquakes values(36.0178333,-117.812,0.75);',
'insert into jk64demo_earthquakes values(35.9956667,-120.5603333,-0.17);',
'insert into jk64demo_earthquakes values(19.1956667,-155.4208333,1.6);',
'insert into jk64demo_earthquakes values(37.5785,-118.8538333,0.03);',
'insert into jk64demo_earthquakes values(38.8126678,-122.8073349,0.78);',
'insert into jk64demo_earthquakes values(6.8582,-73.2006,4.1);',
'insert into jk64demo_earthquakes values(63.0154,-150.4018,1.3);',
'insert into jk64demo_earthquakes values(18.7029,-65.2496,3.3);',
'insert into jk64demo_earthquakes values(62.3312,-149.0014,1.2);',
'insert into jk64demo_earthquakes values(16.5239,39.8609,4.3);',
'insert into jk64demo_earthquakes values(61.7089,-148.2571,1.4);',
'insert into jk64demo_earthquakes values(38.8398333,-122.8318333,1.19);',
'insert into jk64demo_earthquakes values(52.4625,-166.7298,2.5);',
'insert into jk64demo_earthquakes values(63.0489,-149.7527,1.8);',
'insert into jk64demo_earthquakes values(-3.836,146.2085,4.4);',
'insert into jk64demo_earthquakes values(18.6432,-65.521,2.7);',
'insert into jk64demo_earthquakes values(35.9531667,-117.6626667,0.86);',
'insert into jk64demo_earthquakes values(61.7761,-148.2227,1.8);',
'insert into jk64demo_earthquakes values(64.864,-151.4746,1.2);',
'insert into jk64demo_earthquakes values(36.4444,-98.7643,1.6);',
'insert into jk64demo_earthquakes values(34.4166667,-118.6516667,0.83);',
'insert into jk64demo_earthquakes values(59.9356,-151.9739,1.5);',
'insert into jk64demo_earthquakes values(40.746,21.1908,4.3);',
'insert into jk64demo_earthquakes values(61.6915,-141.7621,1.2);',
'insert into jk64demo_earthquakes values(61.7495,-148.2258,1.2);',
'insert into jk64demo_earthquakes values(18.1609,-67.4142,2.4);',
'insert into jk64demo_earthquakes values(38.3866,-118.7535,1.5);',
'insert into jk64demo_earthquakes values(36.4917,71.0962,4.2);',
'insert into jk64demo_earthquakes values(59.819,-153.0003,1.6);',
'insert into jk64demo_earthquakes values(-32.3914,-177.6794,4.4);',
'insert into jk64demo_earthquakes values(61.6934,-147.7878,1.3);',
'insert into jk64demo_earthquakes values(34.4118333,-118.6763333,1.15);',
'insert into jk64demo_earthquakes values(-23.989,-66.6776,4.4);',
'insert into jk64demo_earthquakes values(38.7486667,-111.502,1.12);',
'insert into jk64demo_earthquakes values(59.6631,-153.3021,1.8);',
'insert into jk64demo_earthquakes values(16.663,146.9968,4.3);',
'insert into jk64demo_earthquakes values(64.8222,-146.8967,0.9);',
'insert into jk64demo_earthquakes values(35.9946667,-120.8761667,0.76);',
'insert into jk64demo_earthquakes values(59.1831,-152.4047,2.6);',
'insert into jk64demo_earthquakes values(-7.6923,128.7025,4.4);',
'insert into jk64demo_earthquakes values(34.8246667,-116.4071667,2.4);',
'insert into jk64demo_earthquakes values(38.7581667,-122.7333333,1.47);',
'insert into jk64demo_earthquakes values(19.0027,-64.8974,2.9);',
'insert into jk64demo_earthquakes values(-1.3891,-80.3287,5.1);',
'insert into jk64demo_earthquakes values(62.3683,-149.1447,2.1);',
'insert into jk64demo_earthquakes values(52.1684,-171.0289,2.8);',
'insert into jk64demo_earthquakes values(56.7237,-155.0809,2.2);',
'insert into jk64demo_earthquakes values(38.811,-122.8241667,1.44);',
'insert into jk64demo_earthquakes values(39.3621,-117.3643,1.5);',
'insert into jk64demo_earthquakes values(20.2195,-155.5395,2.12);',
'insert into jk64demo_earthquakes values(38.8165016,-122.8290024,1.02);',
'insert into jk64demo_earthquakes values(45.6308333,-122.618,1.51);',
'insert into jk64demo_earthquakes values(63.4956,-148.6734,0.6);',
'insert into jk64demo_earthquakes values(57.6792,-156.227,1.9);',
'insert into jk64demo_earthquakes values(38.7961655,-122.7600021,0.77);',
'insert into jk64demo_earthquakes values(33.7016667,-117.5111667,0.66);',
'insert into jk64demo_earthquakes values(67.6588,-163.0577,3);',
'insert into jk64demo_earthquakes values(39.5878,-115.8029,2.4);',
'insert into jk64demo_earthquakes values(62.0408,-151.4965,1.4);',
'insert into jk64demo_earthquakes values(59.5136,-151.5149,1.5);',
'insert into jk64demo_earthquakes values(36.278,-117.392,1.3);',
'insert into jk64demo_earthquakes values(36.4453,-98.7724,1.5);',
'insert into jk64demo_earthquakes values(37.5728333,-118.8511667,0.03);',
'insert into jk64demo_earthquakes values(33.2235,-116.7348333,1.18);',
'insert into jk64demo_earthquakes values(38.7868347,-122.7736664,1.1);',
'insert into jk64demo_earthquakes values(47.6575,-121.842,1.58);',
'insert into jk64demo_earthquakes values(37.6326667,-118.8815,0.37);',
'insert into jk64demo_earthquakes values(38.8074989,-122.8266678,0.88);',
'insert into jk64demo_earthquakes values(38.8393326,-122.8381653,0.32);',
'insert into jk64demo_earthquakes values(61.5196,-139.6997,1.2);',
'insert into jk64demo_earthquakes values(40.509,-122.6776667,1.57);',
'insert into jk64demo_earthquakes values(64.8454,-148.272,0.6);',
'insert into jk64demo_earthquakes values(38.8378334,-122.8395004,0.57);',
'insert into jk64demo_earthquakes values(62.0611,-145.0819,1);',
'insert into jk64demo_earthquakes values(59.9358,-149.293,1.5);',
'insert into jk64demo_earthquakes values(35.8188333,-119.4873333,1.64);',
'insert into jk64demo_earthquakes values(37.5745,-118.8548333,0.18);',
'insert into jk64demo_earthquakes values(60.1857,-141.19,1.1);',
'insert into jk64demo_earthquakes values(38.7923317,-122.7583313,0.78);',
'insert into jk64demo_earthquakes values(59.7668,-153.0475,1.7);',
'insert into jk64demo_earthquakes values(18.8251,-69.4868,4.2);',
'insert into jk64demo_earthquakes values(35.821,-118.0188333,1.2);',
'insert into jk64demo_earthquakes values(38.8153333,-122.8035,0.17);',
'insert into jk64demo_earthquakes values(63.1065,-151.4259,0.8);',
'insert into jk64demo_earthquakes values(43.7633333,-110.8463333,1.03);',
'insert into jk64demo_earthquakes values(35.8246667,-118.0191667,1.88);',
'insert into jk64demo_earthquakes values(36.0485,-120.6305,0.4);',
'insert into jk64demo_earthquakes values(52.9003,178.3587,3.1);',
'insert into jk64demo_earthquakes values(33.9615,-116.8788333,0.9);',
'insert into jk64demo_earthquakes values(37.5715,-118.8568333,0.17);',
'insert into jk64demo_earthquakes values(38.7863333,-122.7416667,1.21);',
'insert into jk64demo_earthquakes values(51.6217,-174.8949,2.4);',
'insert into jk64demo_earthquakes values(33.4715,-116.4971667,1.42);',
'insert into jk64demo_earthquakes values(37.2888,-115.4092,0.3);',
'insert into jk64demo_earthquakes values(63.5017,-147.591,1);',
'insert into jk64demo_earthquakes values(37.7653333,-122.5705,1.26);',
'insert into jk64demo_earthquakes values(34.2128333,-117.4195,0.97);',
'insert into jk64demo_earthquakes values(59.7843,-151.9592,1.4);',
'insert into jk64demo_earthquakes values(63.0033,-150.4697,1.4);',
'insert into jk64demo_earthquakes values(63.1053,-151.475,0.8);',
'insert into jk64demo_earthquakes values(42.2084,139.5745,4);',
'insert into jk64demo_earthquakes values(59.7807,-153.23,2);',
'insert into jk64demo_earthquakes values(36.5584,-116.23,0.1);',
'insert into jk64demo_earthquakes values(-32.6918,-178.3106,4.8);',
'insert into jk64demo_earthquakes values(57.2106,-156.9614,2.9);',
'insert into jk64demo_earthquakes values(63.1241,-151.4756,2.9);',
'insert into jk64demo_earthquakes values(36.4473,-98.7693,1.7);',
'insert into jk64demo_earthquakes values(36.4431,-98.7669,1.6);',
'insert into jk64demo_earthquakes values(36.4471,-98.7681,1.4);',
'insert into jk64demo_earthquakes values(62.451,-151.7098,1.4);',
'insert into jk64demo_earthquakes values(38.8168335,-122.8148346,0.88);',
'insert into jk64demo_earthquakes values(46.946,-112.7776667,1.08);',
'insert into jk64demo_earthquakes values(19.3331667,-155.175,1.35);',
'insert into jk64demo_earthquakes values(62.759,-149.2584,1.6);',
'insert into jk64demo_earthquakes values(38.7843333,-122.7326667,1.8);',
'insert into jk64demo_earthquakes values(51.7387,-176.5538,1.9);',
'insert into jk64demo_earthquakes values(59.9087,-153.0505,1.6);',
'insert into jk64demo_earthquakes values(46.9228333,-112.4011667,0.83);',
'insert into jk64demo_earthquakes values(46.5995,-111.9023333,1.59);',
'insert into jk64demo_earthquakes values(52.1873,-175.0715,2);',
'insert into jk64demo_earthquakes values(46.9413333,-112.3965,0.91);',
'insert into jk64demo_earthquakes values(52.0502,-175.9376,1.9);',
'insert into jk64demo_earthquakes values(48.65,-120.3555,1.64);',
'insert into jk64demo_earthquakes values(59.7999,-153.0769,1.7);',
'insert into jk64demo_earthquakes values(62.1451,-152.1159,1.8);',
'insert into jk64demo_earthquakes values(16.8051,146.2835,4.3);',
'insert into jk64demo_earthquakes values(38.8250008,-122.8433304,0.43);',
'insert into jk64demo_earthquakes values(41.9853,-120.1704,1.4);',
'insert into jk64demo_earthquakes values(65.7648,-151.3077,0.8);',
'insert into jk64demo_earthquakes values(42.456,142.831,4.2);',
'insert into jk64demo_earthquakes values(63.1251,-152.6938,0.9);',
'insert into jk64demo_earthquakes values(63.1435,-144.7288,1.9);',
'insert into jk64demo_earthquakes values(44.689,-110.1976667,1.04);',
'insert into jk64demo_earthquakes values(-27.601,-177.2896,4.4);',
'insert into jk64demo_earthquakes values(38.848,-122.7586667,1.48);',
'insert into jk64demo_earthquakes values(62.9592,-151.3574,1.3);',
'insert into jk64demo_earthquakes values(38.85,-122.7578333,0.81);',
'insert into jk64demo_earthquakes values(33.6951667,-117.519,1.58);',
'insert into jk64demo_earthquakes values(47.5428333,-122.4001667,1.29);',
'insert into jk64demo_earthquakes values(63.2988,-151.2412,1.4);',
'insert into jk64demo_earthquakes values(36.7921,-118.1291,0.8);',
'insert into jk64demo_earthquakes values(38.8079987,-122.8203354,1.02);',
'insert into jk64demo_earthquakes values(59.6038,-151.4437,1.3);',
'insert into jk64demo_earthquakes values(61.5541,-146.4299,1.3);',
'insert into jk64demo_earthquakes values(46.8733333,-121.9525,0.88);',
'insert into jk64demo_earthquakes values(46.607,-119.848,0.29);',
'insert into jk64demo_earthquakes values(33.6936667,-117.5168333,1.74);',
'insert into jk64demo_earthquakes values(37.2873,-116.3653,0.1);',
'insert into jk64demo_earthquakes values(41.9316667,-112.6003333,1.42);',
'insert into jk64demo_earthquakes values(38.8111667,-122.7921667,1.08);',
'insert into jk64demo_earthquakes values(41.9148333,-112.5741667,0.74);',
'insert into jk64demo_earthquakes values(37.7806667,-121.9613333,1.13);',
'insert into jk64demo_earthquakes values(62.214,-149.3994,1.1);',
'insert into jk64demo_earthquakes values(51.3097,-177.851,1.9);',
'insert into jk64demo_earthquakes values(67.3644,-147.692,1.3);',
'insert into jk64demo_earthquakes values(62.5965,-151.1401,1.1);',
'insert into jk64demo_earthquakes values(18.6951,-65.011,2.7);',
'insert into jk64demo_earthquakes values(36.4816,-98.7522,1.3);',
'insert into jk64demo_earthquakes values(60.5496,-152.2539,1.5);',
'insert into jk64demo_earthquakes values(38.8203333,-122.8401667,0.64);',
'insert into jk64demo_earthquakes values(63.6296,-151.1531,0.7);',
'insert into jk64demo_earthquakes values(61.1479,-146.5444,0.8);',
'insert into jk64demo_earthquakes values(61.5569,-146.4473,1.2);',
'insert into jk64demo_earthquakes values(36.138,-118.2671667,1.57);',
'insert into jk64demo_earthquakes values(54.0797,-164.3299,2);',
'insert into jk64demo_earthquakes values(36.6919,-116.2071,-0.3);',
'insert into jk64demo_earthquakes values(63.1384,-151.4631,1.7);',
'insert into jk64demo_earthquakes values(59.8924,-152.7842,2.2);',
'insert into jk64demo_earthquakes values(37.2293,-117.5398,0.1);',
'insert into jk64demo_earthquakes values(59.7047,-153.1805,2.2);',
'insert into jk64demo_earthquakes values(44.5888333,-114.3013333,1.45);',
'insert into jk64demo_earthquakes values(33.9683333,-117.7351667,1.21);',
'insert into jk64demo_earthquakes values(41.8648,-119.6365,2.5);',
'insert into jk64demo_earthquakes values(36.5835,-97.7687,2.5);',
'insert into jk64demo_earthquakes values(62.1383,-152.534,1.2);',
'insert into jk64demo_earthquakes values(36.0536,-116.144,0.5);',
'insert into jk64demo_earthquakes values(38.8258324,-122.8328323,0.56);',
'insert into jk64demo_earthquakes values(39.5913333,-111.5495,1.78);',
'insert into jk64demo_earthquakes values(36.0664,-116.1578,0.4);',
'insert into jk64demo_earthquakes values(63.2215,-150.7398,1.6);',
'insert into jk64demo_earthquakes values(36.0504,-116.1393,0.5);',
'insert into jk64demo_earthquakes values(36.638,-116.032,-0.1);',
'insert into jk64demo_earthquakes values(63.1014,-151.4945,0.8);',
'insert into jk64demo_earthquakes values(38.8079987,-122.7710037,0.99);',
'insert into jk64demo_earthquakes values(46.942,-112.7686667,1.14);',
'insert into jk64demo_earthquakes values(67.6589,-162.2792,2.9);',
'insert into jk64demo_earthquakes values(38.802166,-122.8125,0.55);',
'insert into jk64demo_earthquakes values(67.6368,-162.8018,4.2);',
'insert into jk64demo_earthquakes values(51.7226,-175.18,2.5);',
'insert into jk64demo_earthquakes values(34.7028333,-116.2408333,1.2);',
'insert into jk64demo_earthquakes values(38.8330002,-122.7981644,0.79);',
'insert into jk64demo_earthquakes values(36.4544,-98.7619,1.4);',
'insert into jk64demo_earthquakes values(36.4597,-98.7685,1.1);',
'insert into jk64demo_earthquakes values(-4.473,94.4073,4.8);',
'insert into jk64demo_earthquakes values(38.7855,-122.7766667,0.96);',
'insert into jk64demo_earthquakes values(33.638,-116.6915,0.71);',
'insert into jk64demo_earthquakes values(33.6348333,-116.697,0.2);',
'insert into jk64demo_earthquakes values(63.1343,-150.6685,1.5);',
'insert into jk64demo_earthquakes values(36.0081667,-120.5711667,1.12);',
'insert into jk64demo_earthquakes values(36.439,-98.7812,1.9);',
'insert into jk64demo_earthquakes values(61.3184,-146.7628,1.3);',
'insert into jk64demo_earthquakes values(62.9867,-148.2606,1.5);',
'insert into jk64demo_earthquakes values(37.3835,-117.1984,0.2);',
'insert into jk64demo_earthquakes values(63.0198,-151.5879,1.3);',
'insert into jk64demo_earthquakes values(65.1855,-148.2012,0.5);',
'insert into jk64demo_earthquakes values(60.2503,-152.6868,1.5);',
'insert into jk64demo_earthquakes values(38.8406677,-122.8290024,0.68);',
'insert into jk64demo_earthquakes values(59.7683,-152.5808,3.5);',
'insert into jk64demo_earthquakes values(35.8038333,-121.3158333,1.6);',
'insert into jk64demo_earthquakes values(36.4333,-98.6932,1.9);',
'insert into jk64demo_earthquakes values(33.507,-116.487,1.64);',
'insert into jk64demo_earthquakes values(60.1011,-141.0374,1.1);',
'insert into jk64demo_earthquakes values(34.3036667,-116.8621667,1.49);',
'insert into jk64demo_earthquakes values(33.5111667,-116.4831667,0.91);',
'insert into jk64demo_earthquakes values(61.8406,-148.6042,1.6);',
'insert into jk64demo_earthquakes values(63.5289,-150.9362,2);',
'insert into jk64demo_earthquakes values(64.9493,-152.2512,1);',
'insert into jk64demo_earthquakes values(52.9351,-168.8345,2.3);',
'insert into jk64demo_earthquakes values(36.4915,-98.711,1.6);',
'insert into jk64demo_earthquakes values(37.5895,-118.8841667,0.19);',
'insert into jk64demo_earthquakes values(52.551,-169.562,2.5);',
'insert into jk64demo_earthquakes values(33.6683333,-116.7721667,0.57);',
'insert into jk64demo_earthquakes values(37.0645,-117.9626,0.8);',
'insert into jk64demo_earthquakes values(61.5887,-143.9942,1.9);',
'insert into jk64demo_earthquakes values(37.5231667,-118.6238333,1.66);',
'insert into jk64demo_earthquakes values(36.4477,-98.7625,1.1);',
'insert into jk64demo_earthquakes values(41.6541,144.2292,5.1);',
'insert into jk64demo_earthquakes values(33.7663333,-117.4521667,0.9);',
'insert into jk64demo_earthquakes values(35.1195,-118.1855,1.18);',
'insert into jk64demo_earthquakes values(33.034,-114.9815,1.16);',
'insert into jk64demo_earthquakes values(38.8305,-122.8043333,0.67);',
'insert into jk64demo_earthquakes values(38.8366667,-122.8261667,1.28);',
'insert into jk64demo_earthquakes values(38.1761,-118.2409,0.6);',
'insert into jk64demo_earthquakes values(60.2079,-144.5424,1.2);',
'insert into jk64demo_earthquakes values(59.755,-153.1075,1.8);',
'insert into jk64demo_earthquakes values(64.9619,-147.3637,1.7);',
'insert into jk64demo_earthquakes values(33.0493333,-115.8791667,1.61);',
'insert into jk64demo_earthquakes values(-38.7657,-71.6642,4.1);',
'insert into jk64demo_earthquakes values(38.8083344,-122.8136673,0.78);',
'insert into jk64demo_earthquakes values(19.1996667,-155.5413333,1.3);',
'insert into jk64demo_earthquakes values(61.0993,-149.4048,1.3);',
'insert into jk64demo_earthquakes values(38.786335,-122.7738342,0.88);',
'insert into jk64demo_earthquakes values(61.6275,-141.1574,0.8);',
'insert into jk64demo_earthquakes values(49.3626667,-120.4813333,2.13);',
'insert into jk64demo_earthquakes values(61.4268,-147.3547,2.3);',
'insert into jk64demo_earthquakes values(35.5288,70.2435,4);',
'insert into jk64demo_earthquakes values(51.4838,-177.6017,1.9);',
'insert into jk64demo_earthquakes values(38.8125,-122.8116684,0.55);',
'insert into jk64demo_earthquakes values(38.7841667,-122.7313333,0.54);',
'insert into jk64demo_earthquakes values(39.6592,-120.2832,0.3);',
'insert into jk64demo_earthquakes values(37.4258333,-121.7985,0.77);',
'insert into jk64demo_earthquakes values(38.785,-122.7693333,1.71);',
'insert into jk64demo_earthquakes values(61.9764,-147.9471,1.2);',
'insert into jk64demo_earthquakes values(63.948,-148.5835,1.2);',
'insert into jk64demo_earthquakes values(37.7796667,-121.9618333,1.48);',
'insert into jk64demo_earthquakes values(63.9369,-148.5817,0.8);',
'insert into jk64demo_earthquakes values(38.8306667,-122.8106667,0.12);',
'insert into jk64demo_earthquakes values(63.4884,-147.4948,1);',
'insert into jk64demo_earthquakes values(33.7126667,-117.3381667,1.39);',
'insert into jk64demo_earthquakes values(37.5316667,-118.922,1.91);',
'insert into jk64demo_earthquakes values(33.6978333,-117.514,1.82);',
'insert into jk64demo_earthquakes values(62.6396,-137.094,1.5);',
'insert into jk64demo_earthquakes values(60.9053,-150.3109,1.4);',
'insert into jk64demo_earthquakes values(33.6585,-116.7801667,0.54);',
'insert into jk64demo_earthquakes values(34.6073333,-117.0906667,1.58);',
'insert into jk64demo_earthquakes values(18.2255,-67.255,2.2);',
'insert into jk64demo_earthquakes values(64.4823,-146.727,0.5);',
'insert into jk64demo_earthquakes values(62.0413,-150.3734,1.2);',
'insert into jk64demo_earthquakes values(-21.3444,-69.8403,3.8);',
'insert into jk64demo_earthquakes values(53.4113,-167.6875,2.8);',
'insert into jk64demo_earthquakes values(-4.1862,94.415,5.1);',
'insert into jk64demo_earthquakes values(44.5871667,-114.0881667,1.66);',
'insert into jk64demo_earthquakes values(59.8005,-153.0374,1.6);',
'insert into jk64demo_earthquakes values(32.7733333,-116.8841667,1.45);',
'insert into jk64demo_earthquakes values(46.8625,-121.8836667,1.12);',
'insert into jk64demo_earthquakes values(41.9306667,-112.5945,1.21);',
'insert into jk64demo_earthquakes values(36.0518333,-117.6716667,0.95);',
'insert into jk64demo_earthquakes values(38.836834,-122.8326645,0.28);',
'insert into jk64demo_earthquakes values(37.5746667,-118.8521667,0.67);',
'insert into jk64demo_earthquakes values(62.5247,-148.4432,1.2);',
'insert into jk64demo_earthquakes values(51.5041,-178.2497,1.9);',
'insert into jk64demo_earthquakes values(33.4746667,-116.4931667,0.61);',
'insert into jk64demo_earthquakes values(36.8935,-121.6261667,1.54);',
'insert into jk64demo_earthquakes values(59.9325,-146.6824,1.7);',
'insert into jk64demo_earthquakes values(61.6067,-146.3663,1.1);',
'insert into jk64demo_earthquakes values(60.4483,-151.9816,1.4);',
'insert into jk64demo_earthquakes values(34.8346667,-116.409,1.26);',
'insert into jk64demo_earthquakes values(63.1957,-150.6596,1.4);',
'insert into jk64demo_earthquakes values(-20.6628,-71.0569,4.5);',
'insert into jk64demo_earthquakes values(59.8071,-153.0352,1.8);',
'insert into jk64demo_earthquakes values(-48.9962,106.3216,4.8);',
'insert into jk64demo_earthquakes values(33.672,-116.7376667,1.5);',
'insert into jk64demo_earthquakes values(63.1043,-151.4882,1);',
'insert into jk64demo_earthquakes values(63.1299,-150.9319,1.3);',
'insert into jk64demo_earthquakes values(41.9739,-119.5646,1.6);',
'insert into jk64demo_earthquakes values(62.8995,-150.6851,1.4);',
'insert into jk64demo_earthquakes values(37.1052,-117.4253,1.1);',
'insert into jk64demo_earthquakes values(59.7353,-153.1462,1.7);',
'insert into jk64demo_earthquakes values(61.391,-150.4475,1.4);',
'insert into jk64demo_earthquakes values(36.6233333,-121.2311667,2.16);',
'insert into jk64demo_earthquakes values(15.0807,122.7133,4.8);',
'insert into jk64demo_earthquakes values(37.3632,-117.0975,0.5);',
'insert into jk64demo_earthquakes values(51.8393,-174.8885,1.7);',
'insert into jk64demo_earthquakes values(61.1264,-152.2569,1.3);',
'insert into jk64demo_earthquakes values(63.4285,-151.2042,0.6);',
'insert into jk64demo_earthquakes values(-6.6532,102.4708,4.9);',
'insert into jk64demo_earthquakes values(60.2418,-140.8173,1.1);',
'insert into jk64demo_earthquakes values(43.7678333,-110.8596667,1.53);',
'insert into jk64demo_earthquakes values(62.0726,-149.3346,1.3);',
'insert into jk64demo_earthquakes values(43.7658333,-110.8641667,2.15);',
'insert into jk64demo_earthquakes values(51.636,-174.9078,1.8);',
'insert into jk64demo_earthquakes values(35.323,-118.552,1.43);',
'insert into jk64demo_earthquakes values(35.3243333,-118.5521667,1.46);',
'insert into jk64demo_earthquakes values(59.6255,-153.4078,3.4);',
'insert into jk64demo_earthquakes values(64.8264,-148.7123,0.7);',
'insert into jk64demo_earthquakes values(63.3687,-151.5056,0.8);',
'insert into jk64demo_earthquakes values(37.598,-118.7803333,0.19);',
'insert into jk64demo_earthquakes values(33.4893333,-116.393,0.92);',
'insert into jk64demo_earthquakes values(62.4713,-149.5831,3.9);',
'insert into jk64demo_earthquakes values(63.0874,-149.1304,1.1);',
'insert into jk64demo_earthquakes values(-7.6302,128.6148,4.2);',
'insert into jk64demo_earthquakes values(39.5682,-115.8862,1.7);',
'insert into jk64demo_earthquakes values(64.6498,-149.4002,0.7);',
'insert into jk64demo_earthquakes values(37.569,-118.866,0.17);',
'insert into jk64demo_earthquakes values(59.8199,-153.4486,1.8);',
'insert into jk64demo_earthquakes values(33.7325,-116.0496667,0.67);',
'insert into jk64demo_earthquakes values(63.0098,-150.4293,1.2);',
'insert into jk64demo_earthquakes values(38.2103333,-119.136,1.85);',
'insert into jk64demo_earthquakes values(36.4861667,-89.566,2.07);',
'insert into jk64demo_earthquakes values(61.7455,-149.2778,1.1);',
'insert into jk64demo_earthquakes values(67.6571,-163.0026,2.3);',
'insert into jk64demo_earthquakes values(60.2227,-150.5566,1.4);',
'insert into jk64demo_earthquakes values(19.0778,-67.9531,3.1);',
'insert into jk64demo_earthquakes values(-19.0334,-178.5961,4);',
'insert into jk64demo_earthquakes values(46.2198333,-122.159,0.93);',
'insert into jk64demo_earthquakes values(34.7933333,-118.9176667,1.71);',
'insert into jk64demo_earthquakes values(34.7898333,-118.9148333,1.56);',
'insert into jk64demo_earthquakes values(35.2451667,-118.5228333,1.27);',
'insert into jk64demo_earthquakes values(46.1683333,-122.2315,1.57);',
'insert into jk64demo_earthquakes values(33.4816667,-116.4255,0.78);',
'insert into jk64demo_earthquakes values(38.8258324,-122.822998,0.92);',
'insert into jk64demo_earthquakes values(38.825,-122.824,0.46);',
'insert into jk64demo_earthquakes values(37.1685,-117.3597,0.4);',
'insert into jk64demo_earthquakes values(-38.2012,176.6941,4.2);',
'insert into jk64demo_earthquakes values(36.1641667,-119.9'))
);
end;
/
begin
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'773333,1.84);',
'insert into jk64demo_earthquakes values(60.2769,-138.6853,1.6);',
'insert into jk64demo_earthquakes values(38.7916,-119.7,1.2);',
'insert into jk64demo_earthquakes values(38.2286667,-112.324,0.91);',
'insert into jk64demo_earthquakes values(38.6556,-118.7878,0.8);',
'insert into jk64demo_earthquakes values(38.8233333,-122.8251667,1.35);',
'insert into jk64demo_earthquakes values(38.8376667,-122.7666667,-0.33);',
'insert into jk64demo_earthquakes values(21.6851,101.3736,4.5);',
'insert into jk64demo_earthquakes values(39.7158,-120.1895,0);',
'insert into jk64demo_earthquakes values(62.4053,-151.2725,1.2);',
'insert into jk64demo_earthquakes values(64.5364,-149.2157,0.6);',
'insert into jk64demo_earthquakes values(45.8683333,-112.0298333,0.05);',
'insert into jk64demo_earthquakes values(59.8317,-152.9213,1.7);',
'insert into jk64demo_earthquakes values(60.1578,-152.396,2);',
'insert into jk64demo_earthquakes values(46.9663333,-112.7645,1.43);',
'insert into jk64demo_earthquakes values(62.3436,-148.0939,3.1);',
'insert into jk64demo_earthquakes values(61.6032,-151.6086,1.6);',
'insert into jk64demo_earthquakes values(39.7258333,-110.9163333,1.45);',
'insert into jk64demo_earthquakes values(43.765,-110.8441667,1.48);',
'insert into jk64demo_earthquakes values(65.0535,-150.5085,2.2);',
'insert into jk64demo_earthquakes values(65.7466,-155.2681,1.7);',
'insert into jk64demo_earthquakes values(51.8394,-175.0142,2.4);',
'insert into jk64demo_earthquakes values(19.1636667,-155.4606667,2.05);',
'insert into jk64demo_earthquakes values(47.8028333,-113.7351667,-0.47);',
'insert into jk64demo_earthquakes values(37.1605,-117.3025,0.1);',
'insert into jk64demo_earthquakes values(48.6951667,-120.3088333,1.86);',
'insert into jk64demo_earthquakes values(38.812,-122.8261667,0.37);',
'insert into jk64demo_earthquakes values(37.5781667,-118.8565,-0.09);',
'insert into jk64demo_earthquakes values(53.515,-167.7703,1.8);',
'insert into jk64demo_earthquakes values(39.287,-118.909,1.1);',
'insert into jk64demo_earthquakes values(60.9986,-150.1561,1.3);',
'insert into jk64demo_earthquakes values(33.87,-117.8498333,1.18);',
'insert into jk64demo_earthquakes values(63.3956,-149.3712,1);',
'insert into jk64demo_earthquakes values(19.3188333,-155.2203333,1.42);',
'insert into jk64demo_earthquakes values(33.4731667,-116.4851667,0.55);',
'insert into jk64demo_earthquakes values(60.6139,-151.9249,1.4);',
'insert into jk64demo_earthquakes values(63.1094,-151.4998,0.9);',
'insert into jk64demo_earthquakes values(33.734,-116.0528333,1.24);',
'insert into jk64demo_earthquakes values(36.0038333,-117.8865,0.46);',
'insert into jk64demo_earthquakes values(36.0031667,-117.8933333,0.19);',
'insert into jk64demo_earthquakes values(35.9945,-117.9216667,0.57);',
'insert into jk64demo_earthquakes values(61.8005,-144.8583,0.9);',
'insert into jk64demo_earthquakes values(37.5678333,-118.8556667,0.76);',
'insert into jk64demo_earthquakes values(36.0056667,-117.8888333,1.65);',
'insert into jk64demo_earthquakes values(-4.6574,94.5221,4.4);',
'insert into jk64demo_earthquakes values(38.8171667,-122.8051667,0.26);',
'insert into jk64demo_earthquakes values(37.5698333,-118.8526667,0.77);',
'insert into jk64demo_earthquakes values(39.0956,-119.687,1.1);',
'insert into jk64demo_earthquakes values(36.4395,-98.7834,2.6);',
'insert into jk64demo_earthquakes values(62.798,-148.6195,0.8);',
'insert into jk64demo_earthquakes values(37.5815,-118.858,0.08);',
'insert into jk64demo_earthquakes values(37.5703333,-118.8503333,1.12);',
'insert into jk64demo_earthquakes values(46.3511667,-122.3938333,1.82);',
'insert into jk64demo_earthquakes values(37.3853333,-121.6048333,1.41);',
'insert into jk64demo_earthquakes values(39.096,-119.688,0.8);',
'insert into jk64demo_earthquakes values(39.093,-119.6871,0.8);',
'insert into jk64demo_earthquakes values(33.9901667,-116.8088333,0.82);',
'insert into jk64demo_earthquakes values(59.764,-151.3985,1.1);',
'insert into jk64demo_earthquakes values(37.5666667,-118.8516667,0.12);',
'insert into jk64demo_earthquakes values(39.0964,-119.684,2.1);',
'insert into jk64demo_earthquakes values(36.4675,-98.7995,2.6);',
'insert into jk64demo_earthquakes values(63.4167,-151.359,0.6);',
'insert into jk64demo_earthquakes values(4,126.0404,5);',
'insert into jk64demo_earthquakes values(37.4212,-116.9994,0.2);',
'insert into jk64demo_earthquakes values(37.57,-118.8628333,0.15);',
'insert into jk64demo_earthquakes values(35.0441667,-119.0185,1.92);',
'insert into jk64demo_earthquakes values(38.8246667,-122.824,1.08);',
'insert into jk64demo_earthquakes values(38.8240013,-122.8063354,0.46);',
'insert into jk64demo_earthquakes values(37.67,-119.3985,1.13);',
'insert into jk64demo_earthquakes values(37.5715,-118.8545,0.19);',
'insert into jk64demo_earthquakes values(37.574,-118.8521667,1.15);',
'insert into jk64demo_earthquakes values(-22.1961,-179.3533,4.8);',
'insert into jk64demo_earthquakes values(39.0938,-119.6877,1.2);',
'insert into jk64demo_earthquakes values(59.6409,-153.4044,2.1);',
'insert into jk64demo_earthquakes values(54.2265,-162.0781,2.5);',
'insert into jk64demo_earthquakes values(19.4138333,-155.3153333,0.74);',
'insert into jk64demo_earthquakes values(59.4953,-152.6208,1.4);',
'insert into jk64demo_earthquakes values(61.2896,-151.0356,1.1);',
'insert into jk64demo_earthquakes values(-7.3251,129.5739,4.3);',
'insert into jk64demo_earthquakes values(61.592,-149.8055,1.4);',
'insert into jk64demo_earthquakes values(59.2851,-151.6769,1.6);',
'insert into jk64demo_earthquakes values(64.9102,-150.4249,0.9);',
'insert into jk64demo_earthquakes values(63.471,-147.9387,0.7);',
'insert into jk64demo_earthquakes values(37.575,-118.8616667,0.62);',
'insert into jk64demo_earthquakes values(59.9965,-153.0364,1.5);',
'insert into jk64demo_earthquakes values(19.419,-155.6315,2.11);',
'insert into jk64demo_earthquakes values(34.2211667,-117.4675,1.09);',
'insert into jk64demo_earthquakes values(34.1336667,-116.8488333,1.46);',
'insert into jk64demo_earthquakes values(64.7878,-148.9033,0.2);',
'insert into jk64demo_earthquakes values(62.3534,-148.6663,2);',
'insert into jk64demo_earthquakes values(60.3443,-152.6333,1.5);',
'insert into jk64demo_earthquakes values(59.7392,-152.719,1.8);',
'insert into jk64demo_earthquakes values(18.6991,-66.1962,2.9);',
'insert into jk64demo_earthquakes values(59.8329,-152.3841,1.4);',
'insert into jk64demo_earthquakes values(61.4892,-150.0067,1.8);',
'insert into jk64demo_earthquakes values(41.8666,-119.6309,1.5);',
'insert into jk64demo_earthquakes values(60.9537,-138.5237,1.9);',
'insert into jk64demo_earthquakes values(36.8797,-116.734,-0.7);',
'insert into jk64demo_earthquakes values(65.257,-157.7364,1.2);',
'insert into jk64demo_earthquakes values(64.8191,-148.7343,0.1);',
'insert into jk64demo_earthquakes values(61.1572,-152.4608,1.7);',
'insert into jk64demo_earthquakes values(64.8155,-148.764,1.1);',
'insert into jk64demo_earthquakes values(61.0821,-152.5205,1.6);',
'insert into jk64demo_earthquakes values(36.751,-116.303,-0.1);',
'insert into jk64demo_earthquakes values(63.1193,-144.3889,0.9);',
'insert into jk64demo_earthquakes values(38.8261667,-122.825,0.11);',
'insert into jk64demo_earthquakes values(63.3786,-151.4961,0.7);',
'insert into jk64demo_earthquakes values(37.0072,-116.4179,-1.4);',
'insert into jk64demo_earthquakes values(62.322,-148.3542,1);',
'insert into jk64demo_earthquakes values(51.7903,-177.0657,1.9);',
'insert into jk64demo_earthquakes values(38.8213348,-122.7789993,0.88);',
'insert into jk64demo_earthquakes values(55.0918,-161.5854,1.9);',
'insert into jk64demo_earthquakes values(63.1558,-149.0166,0.9);',
'insert into jk64demo_earthquakes values(64.6906,-149.6305,0);',
'insert into jk64demo_earthquakes values(17.8603,-66.0682,2.5);',
'insert into jk64demo_earthquakes values(46.6616667,-121.8631667,0.52);',
'insert into jk64demo_earthquakes values(57.06,-157.1769,2.3);',
'insert into jk64demo_earthquakes values(37.4625,-118.5993333,0.73);',
'insert into jk64demo_earthquakes values(47.4683333,-115.783,1.4);',
'insert into jk64demo_earthquakes values(37.3116,-114.6571,0.7);',
'insert into jk64demo_earthquakes values(38.8214989,-122.7646637,0.5);',
'insert into jk64demo_earthquakes values(34.8268333,-116.4105,1.64);',
'insert into jk64demo_earthquakes values(38.8348351,-122.8293304,0.43);',
'insert into jk64demo_earthquakes values(34.039,-117.2328333,0.88);',
'insert into jk64demo_earthquakes values(38.8366667,-122.8278333,1.52);',
'insert into jk64demo_earthquakes values(38.6557,-118.7715,0.8);',
'insert into jk64demo_earthquakes values(37.5091667,-118.65,0.81);',
'insert into jk64demo_earthquakes values(38.8199997,-122.7633362,0.82);',
'insert into jk64demo_earthquakes values(60.3109,-151.3942,1.5);',
'insert into jk64demo_earthquakes values(33.6488333,-116.6983333,0.72);',
'insert into jk64demo_earthquakes values(40.592,-123.204,1.92);',
'insert into jk64demo_earthquakes values(35.6406667,-120.9336667,1.3);',
'insert into jk64demo_earthquakes values(36.4419,-98.7735,1.5);',
'insert into jk64demo_earthquakes values(36.4638,-98.7408,2.1);',
'insert into jk64demo_earthquakes values(60.8191,-147.0144,1.4);',
'insert into jk64demo_earthquakes values(64.7046,-148.9059,0.1);',
'insert into jk64demo_earthquakes values(61.0737,-148.6188,1.5);',
'insert into jk64demo_earthquakes values(37.4796667,-118.8331667,0.42);',
'insert into jk64demo_earthquakes values(63.2758,-152.7335,0.9);',
'insert into jk64demo_earthquakes values(62.0497,-149.0802,1.3);',
'insert into jk64demo_earthquakes values(38.8208333,-122.7783333,1.13);',
'insert into jk64demo_earthquakes values(38.4453,-117.8592,1.1);',
'insert into jk64demo_earthquakes values(63.251,-149.3015,1.1);',
'insert into jk64demo_earthquakes values(63.419,-148.0147,0.9);',
'insert into jk64demo_earthquakes values(37.2656667,-112.7271667,0.82);',
'insert into jk64demo_earthquakes values(40.3055,-124.4188333,1.57);',
'insert into jk64demo_earthquakes values(36.4722,-98.7637,1);',
'insert into jk64demo_earthquakes values(36.0405,-117.8061667,0.61);',
'insert into jk64demo_earthquakes values(36.4704,-98.7623,1);',
'insert into jk64demo_earthquakes values(38.8214989,-122.8011703,0.51);',
'insert into jk64demo_earthquakes values(37.261,-112.7301667,0.86);',
'insert into jk64demo_earthquakes values(63.3559,-150.1559,1);',
'insert into jk64demo_earthquakes values(37.2576667,-112.728,1.34);',
'insert into jk64demo_earthquakes values(36.4342,-98.7791,2.5);',
'insert into jk64demo_earthquakes values(38.8208333,-122.806,1.08);',
'insert into jk64demo_earthquakes values(46.6048333,-119.8473333,1.06);',
'insert into jk64demo_earthquakes values(36.435,-98.7852,2.1);',
'insert into jk64demo_earthquakes values(-4.9069,94.5925,4.8);',
'insert into jk64demo_earthquakes values(59.7291,-153.0933,2.2);',
'insert into jk64demo_earthquakes values(37.5116667,-118.6471667,1.07);',
'insert into jk64demo_earthquakes values(59.898,-151.7496,1.1);',
'insert into jk64demo_earthquakes values(57.2136,-154.6759,1.7);',
'insert into jk64demo_earthquakes values(53.5013,-165.5022,1.8);',
'insert into jk64demo_earthquakes values(61.904,-149.331,0.8);',
'insert into jk64demo_earthquakes values(64.6829,-149.7028,0.4);',
'insert into jk64demo_earthquakes values(37.3871,-117.1143,0.1);',
'insert into jk64demo_earthquakes values(64.6695,-149.7539,0.5);',
'insert into jk64demo_earthquakes values(59.7604,-153.0663,1.9);',
'insert into jk64demo_earthquakes values(63.5441,-147.6772,1.7);',
'insert into jk64demo_earthquakes values(35.9381,-96.75,2.5);',
'insert into jk64demo_earthquakes values(46.852,-121.754,-0.18);',
'insert into jk64demo_earthquakes values(38.8383331,-122.8150024,0.56);',
'insert into jk64demo_earthquakes values(33.8816667,-116.8623333,0.73);',
'insert into jk64demo_earthquakes values(36.7357,-116.2898,-0.1);',
'insert into jk64demo_earthquakes values(44.6368333,-110.1715,1.28);',
'insert into jk64demo_earthquakes values(37.3317,-116.2927,0.7);',
'insert into jk64demo_earthquakes values(38.8264999,-122.8351669,0.18);',
'insert into jk64demo_earthquakes values(33.6875,-116.7235,0.18);',
'insert into jk64demo_earthquakes values(37.2397,-117.5515,0);',
'insert into jk64demo_earthquakes values(38.8175011,-122.8235016,0.46);',
'insert into jk64demo_earthquakes values(38.8235016,-122.8550034,0.44);',
'insert into jk64demo_earthquakes values(46.2031667,-122.1765,0.19);',
'insert into jk64demo_earthquakes values(37.288,-121.665,1.03);',
'insert into jk64demo_earthquakes values(62.5273,-150.4285,1.2);',
'insert into jk64demo_earthquakes values(37.1199,-116.2687,-0.3);',
'insert into jk64demo_earthquakes values(36.4482,-98.768,1.3);',
'insert into jk64demo_earthquakes values(36.4449,-98.7697,1.6);',
'insert into jk64demo_earthquakes values(59.716,-153.1625,1.9);',
'insert into jk64demo_earthquakes values(38.9018333,-123.6023333,2.12);',
'insert into jk64demo_earthquakes values(36.444,-98.7701,1.4);',
'insert into jk64demo_earthquakes values(38.811,-122.829,1.07);',
'insert into jk64demo_earthquakes values(46.464,-112.1381667,1.27);',
'insert into jk64demo_earthquakes values(62.2203,-148.1786,1);',
'insert into jk64demo_earthquakes values(37.52,-118.7841667,0.86);',
'insert into jk64demo_earthquakes values(37.5201667,-118.7823333,0.83);',
'insert into jk64demo_earthquakes values(37.5083333,-118.789,0.42);',
'insert into jk64demo_earthquakes values(38.8098335,-122.7409973,1.05);',
'insert into jk64demo_earthquakes values(-21.0199,-178.9302,5.3);',
'insert into jk64demo_earthquakes values(37.5186667,-118.7855,2.58);',
'insert into jk64demo_earthquakes values(53.0699,-162.6607,2.7);',
'insert into jk64demo_earthquakes values(36.4347,-98.7837,1.7);',
'insert into jk64demo_earthquakes values(60.6767,-146.6985,1.5);',
'insert into jk64demo_earthquakes values(63.5154,-150.7594,1.3);',
'insert into jk64demo_earthquakes values(38.8313332,-122.8759995,0.57);',
'insert into jk64demo_earthquakes values(61.3548,-145.9067,2.4);',
'insert into jk64demo_earthquakes values(38.8138351,-122.8293304,0.89);',
'insert into jk64demo_earthquakes values(37.519,-118.786,1.72);',
'insert into jk64demo_earthquakes values(3.9866,126.746,4.8);',
'insert into jk64demo_earthquakes values(60.1103,-148.4093,1.4);',
'insert into jk64demo_earthquakes values(37.5676667,-118.851,0.03);',
'insert into jk64demo_earthquakes values(61.8127,-138.9682,1.4);',
'insert into jk64demo_earthquakes values(59.5342,-153.5421,2);',
'insert into jk64demo_earthquakes values(59.338,-136.6283,1.5);',
'insert into jk64demo_earthquakes values(52.8551,-162.2891,3.1);',
'insert into jk64demo_earthquakes values(38.8156662,-122.8243332,0.56);',
'insert into jk64demo_earthquakes values(61.8954,-149.1997,1.7);',
'insert into jk64demo_earthquakes values(64.0693,-150.2075,0.8);',
'insert into jk64demo_earthquakes values(37.3391,-116.2986,0.3);',
'insert into jk64demo_earthquakes values(62.6369,-137.1421,1.6);',
'insert into jk64demo_earthquakes values(61.0665,-151.9361,1.4);',
'insert into jk64demo_earthquakes values(38.8056679,-122.7975006,0.83);',
'insert into jk64demo_earthquakes values(59.8826,-139.5777,1.1);',
'insert into jk64demo_earthquakes values(64.909,-147.538,1.2);',
'insert into jk64demo_earthquakes values(38.8003349,-122.7714996,0.56);',
'insert into jk64demo_earthquakes values(38.800499,-122.7713318,0.91);',
'insert into jk64demo_earthquakes values(38.8236656,-122.8253326,0.84);',
'insert into jk64demo_earthquakes values(37.578,-118.8511667,0.37);',
'insert into jk64demo_earthquakes values(63.2087,-149.3613,1.2);',
'insert into jk64demo_earthquakes values(38.8256667,-122.8245,1.09);',
'insert into jk64demo_earthquakes values(60.6211,-147.574,1);',
'insert into jk64demo_earthquakes values(60.5758,-147.5667,2.1);',
'insert into jk64demo_earthquakes values(41.4985,-121.9026667,0.89);',
'insert into jk64demo_earthquakes values(38.8238335,-122.8243332,0.79);',
'insert into jk64demo_earthquakes values(38.8073333,-122.8145,1.85);',
'insert into jk64demo_earthquakes values(46.3391667,-122.3703333,0.65);',
'insert into jk64demo_earthquakes values(18.9822,-66.7338,2.9);',
'insert into jk64demo_earthquakes values(63.2411,-150.7256,1.2);',
'insert into jk64demo_earthquakes values(38.8458328,-122.8253326,0.32);',
'insert into jk64demo_earthquakes values(33.054,-114.9816667,1.42);',
'insert into jk64demo_earthquakes values(60.4129,-147.4972,1.6);',
'insert into jk64demo_earthquakes values(63.485,-150.0812,1.2);',
'insert into jk64demo_earthquakes values(19.9115,-155.2881667,1.58);',
'insert into jk64demo_earthquakes values(60.7779,-150.7275,1.3);',
'insert into jk64demo_earthquakes values(33.5043333,-116.5061667,1.11);',
'insert into jk64demo_earthquakes values(43.3758333,-111.1731667,1.45);',
'insert into jk64demo_earthquakes values(38.8356667,-122.8284988,0.85);',
'insert into jk64demo_earthquakes values(52.7486,-168.8114,2.5);',
'insert into jk64demo_earthquakes values(-31.8697,179.6346,4.3);',
'insert into jk64demo_earthquakes values(18.7865,-64.6737,1.6);',
'insert into jk64demo_earthquakes values(61.1425,-146.4306,0.8);',
'insert into jk64demo_earthquakes values(37.204,-118.408,1.59);',
'insert into jk64demo_earthquakes values(38.2859,-118.617,0.4);',
'insert into jk64demo_earthquakes values(37.3343,-116.2906,0.8);',
'insert into jk64demo_earthquakes values(-31.6626,179.7551,4.1);',
'insert into jk64demo_earthquakes values(60.1095,-149.2383,1.1);',
'insert into jk64demo_earthquakes values(19.3776667,-155.2325,1.21);',
'insert into jk64demo_earthquakes values(19.3775,-155.231,1.05);',
'insert into jk64demo_earthquakes values(-3.1724,148.812,4.9);',
'insert into jk64demo_earthquakes values(37.3321,-116.2901,0.8);',
'insert into jk64demo_earthquakes values(-2.3331,151.1829,4.3);',
'insert into jk64demo_earthquakes values(40.3946667,-121.5533333,0.12);',
'insert into jk64demo_earthquakes values(37.3279,-116.3079,1.9);',
'insert into jk64demo_earthquakes values(33.519,-116.5055,0.44);',
'insert into jk64demo_earthquakes values(61.3511,-150.1955,2.3);',
'insert into jk64demo_earthquakes values(60.141,-152.5897,1.7);',
'insert into jk64demo_earthquakes values(-3.1154,148.6708,4.8);',
'insert into jk64demo_earthquakes values(37.3257,-116.2865,1.1);',
'insert into jk64demo_earthquakes values(-3.1485,148.8522,4.8);',
'insert into jk64demo_earthquakes values(10.8872,-62.3014,4.1);',
'insert into jk64demo_earthquakes values(33.7146667,-116.9651667,1.06);',
'insert into jk64demo_earthquakes values(37.3492,-116.2973,0.7);',
'insert into jk64demo_earthquakes values(41.5041667,-121.8916667,1.06);',
'insert into jk64demo_earthquakes values(-3.0984,148.8382,5.1);',
'insert into jk64demo_earthquakes values(32.6001667,-116.987,1.43);',
'insert into jk64demo_earthquakes values(52.959,-162.3228,3.1);',
'insert into jk64demo_earthquakes values(63.0341,-150.9838,1.3);',
'insert into jk64demo_earthquakes values(18.8649,-64.2608,2);',
'insert into jk64demo_earthquakes values(36.6381,-98.1437,3.1);',
'insert into jk64demo_earthquakes values(-3.3311,148.826,5.2);',
'insert into jk64demo_earthquakes values(36.7341667,-121.397,1.15);',
'insert into jk64demo_earthquakes values(60.0234,-151.8293,1.5);',
'insert into jk64demo_earthquakes values(14.1243,-92.5099,4.4);',
'insert into jk64demo_earthquakes values(36.7278333,-121.3956667,1.99);',
'insert into jk64demo_earthquakes values(-33.0062,-178.4751,4.2);',
'insert into jk64demo_earthquakes values(57.9795,-156.0754,1.5);',
'insert into jk64demo_earthquakes values(37.3231667,-122.1013333,1.32);',
'insert into jk64demo_earthquakes values(16.7846,145.9351,4.6);',
'insert into jk64demo_earthquakes values(37.3319,-116.3,0.9);',
'insert into jk64demo_earthquakes values(63.2653,-150.4431,1.2);',
'insert into jk64demo_earthquakes values(39.0839,-119.7169,0.6);',
'insert into jk64demo_earthquakes values(62.2253,-150.6058,1.4);',
'insert into jk64demo_earthquakes values(38.776,-122.7565,0.38);',
'insert into jk64demo_earthquakes values(38.8291664,-122.8310013,0.57);',
'insert into jk64demo_earthquakes values(25.4813,124.8057,4.8);',
'insert into jk64demo_earthquakes values(36.069,-120.25,1.43);',
'insert into jk64demo_earthquakes values(-20.303,-68.952,4.3);',
'insert into jk64demo_earthquakes values(53.387,-167.3827,1.9);',
'insert into jk64demo_earthquakes values(38.8328323,-122.7518311,0.97);',
'insert into jk64demo_earthquakes values(64.9796,-147.3221,1);',
'insert into jk64demo_earthquakes values(39.092,-119.6867,2.2);',
'insert into jk64demo_earthquakes values(38.831665,-122.8028336,0.69);',
'insert into jk64demo_earthquakes values(36.0548333,-120.247,1.49);',
'insert into jk64demo_earthquakes values(33.498,-116.7915,0.37);',
'insert into jk64demo_earthquakes values(38.8146667,-122.8283333,0.16);',
'insert into jk64demo_earthquakes values(62.6544,-143.0732,0.9);',
'insert into jk64demo_earthquakes values(35.569,-118.5461667,1.1);',
'insert into jk64demo_earthquakes values(34.9943333,-118.1988333,1.67);',
'insert into jk64demo_earthquakes values(64.9808,-149.6567,0.4);',
'insert into jk64demo_earthquakes values(19.3253333,-155.1601667,1.51);',
'insert into jk64demo_earthquakes values(67.686,-162.0891,2.4);',
'insert into jk64demo_earthquakes values(38.812,-122.743,0.4);',
'insert into jk64demo_earthquakes values(-56.4912,-26.9683,5.2);',
'insert into jk64demo_earthquakes values(18.8645,-64.623,1.8);',
'insert into jk64demo_earthquakes values(52.3079,-165.4813,2.4);',
'insert into jk64demo_earthquakes values(38.8380013,-122.8021698,0.43);',
'insert into jk64demo_earthquakes values(-19.147,-69.2666,4.7);',
'insert into jk64demo_earthquakes values(37.9196667,-121.956,1.16);',
'insert into jk64demo_earthquakes values(37.6278333,-118.9686667,0.79);',
'insert into jk64demo_earthquakes values(33.5998333,-116.8155,0.76);',
'insert into jk64demo_earthquakes values(34.0021667,-117.2005,2.63);',
'insert into jk64demo_earthquakes values(37.4395,-121.7911667,1.46);',
'insert into jk64demo_earthquakes values(36.218,-97.3026,2.7);',
'insert into jk64demo_earthquakes values(37.5763333,-118.8465,0.16);',
'insert into jk64demo_earthquakes values(33.7093333,-116.8135,0.84);',
'insert into jk64demo_earthquakes values(37.6691667,-118.8608333,0.3);',
'insert into jk64demo_earthquakes values(60.7037,-151.9846,1.5);',
'insert into jk64demo_earthquakes values(65.1165,-148.6322,1.2);',
'insert into jk64demo_earthquakes values(64.6667,-149.0002,0.2);',
'insert into jk64demo_earthquakes values(37.4758333,-118.7823333,0.95);',
'insert into jk64demo_earthquakes values(41.5341667,-112.3608333,1.16);',
'insert into jk64demo_earthquakes values(33.474,-116.4901667,0.35);',
'insert into jk64demo_earthquakes values(47.565,-113.9595,0);',
'insert into jk64demo_earthquakes values(45.858,-111.501,0.66);',
'insert into jk64demo_earthquakes values(31.746,131.4086,5.2);',
'insert into jk64demo_earthquakes values(37.9553333,-118.688,2.09);',
'insert into jk64demo_earthquakes values(38.8261667,-122.8255,0.24);',
'insert into jk64demo_earthquakes values(18.1947,-67.8872,3.7);',
'insert into jk64demo_earthquakes values(53.2519,-168.4223,2.1);',
'insert into jk64demo_earthquakes values(58.6087,-154.2055,1.8);',
'insert into jk64demo_earthquakes values(38.3374,-119.1854,1.3);',
'insert into jk64demo_earthquakes values(38.7585,-122.7331667,1.41);',
'insert into jk64demo_earthquakes values(38.751,-122.7388333,0.7);',
'insert into jk64demo_earthquakes values(60.1233,-151.1768,1.2);',
'insert into jk64demo_earthquakes values(-14.671,-73.7273,4.5);',
'insert into jk64demo_earthquakes values(36.5923333,-121.1301667,1.6);',
'insert into jk64demo_earthquakes values(63.7057,-146.8842,0.6);',
'insert into jk64demo_earthquakes values(64.4417,-149.6794,0.4);',
'insert into jk64demo_earthquakes values(60.2936,-141.6643,1.2);',
'insert into jk64demo_earthquakes values(38.7841682,-122.7333298,0.86);',
'insert into jk64demo_earthquakes values(58.0377,-153.294,2.4);',
'insert into jk64demo_earthquakes values(33.5265,-116.7328333,0.21);',
'insert into jk64demo_earthquakes values(-4.5726,94.323,4.7);',
'insert into jk64demo_earthquakes values(41.8696,-119.6415,0.9);',
'insert into jk64demo_earthquakes values(59.7147,-153.1967,1.7);',
'insert into jk64demo_earthquakes values(61.7497,-147.2816,0.7);',
'insert into jk64demo_earthquakes values(33.0336667,-116.4251667,0.83);',
'insert into jk64demo_earthquakes values(37.6563333,-118.8811667,-0.22);',
'insert into jk64demo_earthquakes values(36.4551,-98.729,3.5);',
'insert into jk64demo_earthquakes values(48.5796667,-121.4691667,1.93);',
'insert into jk64demo_earthquakes values(52.2757,-179.6296,3.1);',
'insert into jk64demo_earthquakes values(37.4423333,-118.6116667,0.87);',
'insert into jk64demo_earthquakes values(61.586,-146.3401,1.6);',
'insert into jk64demo_earthquakes values(39.4221,-119.924,0.5);',
'insert into jk64demo_earthquakes values(38.800499,-122.770668,0.28);',
'insert into jk64demo_earthquakes values(36.6638,-97.7348,2.5);',
'insert into jk64demo_earthquakes values(64.9439,-150.1602,0.4);',
'insert into jk64demo_earthquakes values(34.0695,-117.251,0.7);',
'insert into jk64demo_earthquakes values(63.0001,-151.5503,0.8);',
'insert into jk64demo_earthquakes values(36.7522,-116.1552,-0.2);',
'insert into jk64demo_earthquakes values(63.5025,-147.5123,0.9);',
'insert into jk64demo_earthquakes values(36.3608333,-120.4086667,1.91);',
'insert into jk64demo_earthquakes values(61.8916,-151.5107,1.5);',
'insert into jk64demo_earthquakes values(37.563,-118.8685,0.13);',
'insert into jk64demo_earthquakes values(-30.4624,-176.4325,4.9);',
'insert into jk64demo_earthquakes values(38.8390007,-122.8050003,0.45);',
'insert into jk64demo_earthquakes values(35.6806667,-120.9825,1.36);',
'insert into jk64demo_earthquakes values(38.8328333,-122.7933333,0.18);',
'insert into jk64demo_earthquakes values(38.8123322,-122.8141632,0.68);',
'insert into jk64demo_earthquakes values(32.8871667,-116.2393333,1.26);',
'insert into jk64demo_earthquakes values(59.7254,-153.1709,1.5);',
'insert into jk64demo_earthquakes values(37.5755,-118.8553333,0.17);',
'insert into jk64demo_earthquakes values(37.2316667,-98.0105,2.09);',
'insert into jk64demo_earthquakes values(61.324,-149.8901,2.1);',
'insert into jk64demo_earthquakes values(61.3986,-152.4695,2.8);',
'insert into jk64demo_earthquakes values(-33.5833,-178.8129,4.7);',
'insert into jk64demo_earthquakes values(61.8886,-150.4669,2.5);',
'insert into jk64demo_earthquakes values(-17.613,-178.288,4.5);',
'insert into jk64demo_earthquakes values(33.9633333,-117.8836667,1.36);',
'insert into jk64demo_earthquakes values(33.969,-117.8768333,2.3);',
'insert into jk64demo_earthquakes values(46.509,-122.284,0.82);',
'insert into jk64demo_earthquakes values(63.2889,-151.1097,0.8);',
'insert into jk64demo_earthquakes values(39.807,-123.5683333,1.89);',
'insert into jk64demo_earthquakes values(32.8823333,-116.2418333,2.04);',
'insert into jk64demo_earthquakes values(37.227,-118.2556667,1.05);',
'insert into jk64demo_earthquakes values(19.3273333,-155.214,1.77);',
'insert into jk64demo_earthquakes values(35.5453333,-120.7943333,1.94);',
'insert into jk64demo_earthquakes values(37.4323,-115.2595,1.7);',
'insert into jk64demo_earthquakes values(38.8243333,-122.8441667,-0.2);',
'insert into jk64demo_earthquakes values(38.7938333,-122.7656667,0.31);',
'insert into jk64demo_earthquakes values(59.8867,-153.3752,1.5);',
'insert into jk64demo_earthquakes values(17.9881,-67.061,1.6);',
'insert into jk64demo_earthquakes values(17.9424,-67.0746,1.4);',
'insert into jk64demo_earthquakes values(61.8156,-151.4197,1.3);',
'insert into jk64demo_earthquakes values(65.6198,-144.9116,1.1);',
'insert into jk64demo_earthquakes values(38.0657,-118.7934,0.9);',
'insert into jk64demo_earthquakes values(-31.0112,59.1301,5.4);',
'insert into jk64demo_earthquakes values(38.0645,-118.7886,1.1);',
'insert into jk64demo_earthquakes values(32.8825,-116.2375,1.31);',
'insert into jk64demo_earthquakes values(60.151,-152.6569,2.7);',
'insert into jk64demo_earthquakes values(19.0496,-66.5975,2.8);',
'insert into jk64demo_earthquakes values(38.8434982,-122.8271637,0.93);',
'insert into jk64demo_earthquakes values(19.6427,-65.3014,3.1);',
'insert into jk64demo_earthquakes values(37.239,-117.5358,0.2);',
'insert into jk64demo_earthquakes values(19.1875,-155.4036667,1.64);',
'insert into jk64demo_earthquakes values(-4.7429,94.2684,4.3);',
'insert into jk64demo_earthquakes values(19.4048333,-155.6325,1.64);',
'insert into jk64demo_earthquakes values(19.5466,-65.3438,3.3);',
'insert into jk64demo_earthquakes values(62.0576,-151.1028,1.6);',
'insert into jk64demo_earthquakes values(32.8821667,-116.2388333,1.8);',
'insert into jk64demo_earthquakes values(32.8823333,-116.2456667,2.98);',
'insert into jk64demo_earthquakes values(59.6012,-152.3614,1.6);',
'insert into jk64demo_earthquakes values(64.5909,-151.3805,0.7);',
'insert into jk64demo_earthquakes values(44.8541667,-111.5243333,1.04);',
'insert into jk64demo_earthquakes values(59.8046,-152.9074,1.7);',
'insert into jk64demo_earthquakes values(-4.5245,94.3553,5.1);',
'insert into jk64demo_earthquakes values(-14.8215,167.3495,4.6);',
'insert into jk64demo_earthquakes values(36.3645,-120.3966667,1.62);',
'insert into jk64demo_earthquakes values(36.449,-98.7683,1.4);',
'insert into jk64demo_earthquakes values(33.9593333,-117.9078333,1.38);',
'insert into jk64demo_earthquakes values(63.0615,-150.9063,1.3);',
'insert into jk64demo_earthquakes values(19.4736667,-154.9001667,1.33);',
'insert into jk64demo_earthquakes values(36.3593333,-120.4031667,2.35);',
'insert into jk64demo_earthquakes values(60.4954,-153.1253,1.6);',
'insert into jk64demo_earthquakes values(36.4752,-98.7464,1.9);',
'insert into jk64demo_earthquakes values(38.9796667,-123.2681667,1.76);',
'insert into jk64demo_earthquakes values(59.6768,-152.1537,1.4);',
'insert into jk64demo_earthquakes values(36.3638333,-120.3998333,2.14);',
'insert into jk64demo_earthquakes values(38.8145,-122.8278333,0.61);',
'insert into jk64demo_earthquakes values(33.908,-116.8983333,0.79);',
'insert into jk64demo_earthquakes values(51.5088,-175.3654,1.5);',
'insert into jk64demo_earthquakes values(36.3628333,-120.408,2.61);',
'insert into jk64demo_earthquakes values(36.2028,-8.168,4.3);',
'insert into jk64demo_earthquakes values(63.5256,-151.1811,1.1);',
'insert into jk64demo_earthquakes values(-4.6945,94.3243,4.6);',
'insert into jk64demo_earthquakes values(38.8144989,-122.8195038,0.79);',
'insert into jk64demo_earthquakes values(37.5666667,-118.8523333,0.36);',
'insert into jk64demo_earthquakes values(37.4015,-119.3305,1.31);',
'insert into jk64demo_earthquakes values(36.361,-120.407,2.28);',
'insert into jk64demo_earthquakes values(36.014,-120.575,0.42);',
'insert into jk64demo_earthquakes values(63.8303,-147.6146,1.3);',
'insert into jk64demo_earthquakes values(60.'))
);
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'2944,-153.0351,1.6);',
'insert into jk64demo_earthquakes values(38.8161659,-122.8184967,0.69);',
'insert into jk64demo_earthquakes values(61.4379,-150.9865,1.1);',
'insert into jk64demo_earthquakes values(34.6183333,-116.6411667,1.34);',
'insert into jk64demo_earthquakes values(19.3764992,-155.553833,1.71);',
'insert into jk64demo_earthquakes values(60.549,-149.7942,1.5);',
'insert into jk64demo_earthquakes values(19.3921667,-155.2818333,1.8);',
'insert into jk64demo_earthquakes values(33.9728333,-116.9198333,1.04);',
'insert into jk64demo_earthquakes values(67.6635,-162.4627,2.2);',
'insert into jk64demo_earthquakes values(34.6963333,-116.2503333,1.89);',
'insert into jk64demo_earthquakes values(36.0941667,-120.6638333,1.09);',
'insert into jk64demo_earthquakes values(38.8409996,-122.8779984,0.59);',
'insert into jk64demo_earthquakes values(54.3432,-161.0174,2.7);',
'insert into jk64demo_earthquakes values(33.5846667,-117.2201667,1.03);',
'insert into jk64demo_earthquakes values(57.5305,-156.9948,2.8);',
'insert into jk64demo_earthquakes values(41.8535,-119.6246,3.5);',
'insert into jk64demo_earthquakes values(63.3849,-150.2901,0.6);',
'insert into jk64demo_earthquakes values(60.4079,-152.5279,1.4);',
'insert into jk64demo_earthquakes values(63.141,-150.5115,1.2);',
'insert into jk64demo_earthquakes values(60.9395,-146.3248,0.9);',
'insert into jk64demo_earthquakes values(61.6034,-147.739,0.8);',
'insert into jk64demo_earthquakes values(36.4423,-98.7721,1.8);',
'insert into jk64demo_earthquakes values(60.2868,-140.3132,0.7);',
'insert into jk64demo_earthquakes values(52.8051,-167.4081,1.9);',
'insert into jk64demo_earthquakes values(59.5938,-153.5511,1.7);',
'insert into jk64demo_earthquakes values(38.8260002,-122.8339996,0.43);',
'insert into jk64demo_earthquakes values(36.4701,-98.7495,1.5);',
'insert into jk64demo_earthquakes values(38.8071671,-122.793335,0.88);',
'insert into jk64demo_earthquakes values(52.069,-173.4266,2);',
'insert into jk64demo_earthquakes values(61.359,-147.5665,1.5);',
'insert into jk64demo_earthquakes values(60.4932,-149.3671,1.3);',
'insert into jk64demo_earthquakes values(38.7988319,-122.73983,0.87);',
'insert into jk64demo_earthquakes values(60.1457,-153.3568,1.4);',
'insert into jk64demo_earthquakes values(52.867,-167.2832,1.9);',
'insert into jk64demo_earthquakes values(58.3131,-154.7995,1.4);',
'insert into jk64demo_earthquakes values(63.2779,-151.3989,0.6);',
'insert into jk64demo_earthquakes values(59.8668,-153.5177,1.6);',
'insert into jk64demo_earthquakes values(65.1549,-149.0692,0.5);',
'insert into jk64demo_earthquakes values(37.772,-110.6451667,1.8);',
'insert into jk64demo_earthquakes values(60.6314,-142.6891,1.4);',
'insert into jk64demo_earthquakes values(59.7934,-152.7448,1.4);',
'insert into jk64demo_earthquakes values(62.8764,-148.9736,1);',
'insert into jk64demo_earthquakes values(39.7277,-120.8952,0.9);',
'insert into jk64demo_earthquakes values(53.3852,-165.8899,2.6);',
'insert into jk64demo_earthquakes values(38.8051682,-122.7419968,0.5);',
'insert into jk64demo_earthquakes values(63.4135,-149.5984,0.9);',
'insert into jk64demo_earthquakes values(36.4411,-98.78,2.7);',
'insert into jk64demo_earthquakes values(19.364,-155.2955,0.77);',
'insert into jk64demo_earthquakes values(38.8041649,-122.7721634,1.08);',
'insert into jk64demo_earthquakes values(-4.829,94.4102,5.5);',
'insert into jk64demo_earthquakes values(34.6958333,-116.2451667,2.83);',
'insert into jk64demo_earthquakes values(37.2636667,-112.7248333,1.19);',
'insert into jk64demo_earthquakes values(-26.5692,178.5647,4.5);',
'insert into jk64demo_earthquakes values(64.9767,-147.3619,1.7);',
'insert into jk64demo_earthquakes values(63.0968,-150.7811,1.3);',
'insert into jk64demo_earthquakes values(36.4694,-98.7356,1.3);',
'insert into jk64demo_earthquakes values(59.7593,-152.9398,1.6);',
'insert into jk64demo_earthquakes values(36.4877,-98.7232,1.8);',
'insert into jk64demo_earthquakes values(51.4753,-179.1603,2.3);',
'insert into jk64demo_earthquakes values(65.0833,-150.6757,1.6);',
'insert into jk64demo_earthquakes values(36.4679,-98.7832,2.9);',
'insert into jk64demo_earthquakes values(59.3401,-152.6462,2);',
'insert into jk64demo_earthquakes values(36.482,-98.7376,3.9);',
'insert into jk64demo_earthquakes values(38.8293333,-122.8056667,1.05);',
'insert into jk64demo_earthquakes values(34.2561667,-117.4846667,0.35);',
'insert into jk64demo_earthquakes values(33.738,-117.5205,0.83);',
'insert into jk64demo_earthquakes values(38.8305016,-122.8061676,1.01);',
'insert into jk64demo_earthquakes values(38.8296667,-122.8056667,1.09);',
'insert into jk64demo_earthquakes values(63.3581,-147.5686,1.3);',
'insert into jk64demo_earthquakes values(38.8180008,-122.8123322,0.85);',
'insert into jk64demo_earthquakes values(60.9206,-147.013,1.7);',
'insert into jk64demo_earthquakes values(59.8084,-151.8684,1.1);',
'insert into jk64demo_earthquakes values(37.6458333,-118.9453333,0.63);',
'insert into jk64demo_earthquakes values(37.6485,-118.9443333,0.32);',
'insert into jk64demo_earthquakes values(39.568,-111.1601667,1.23);',
'insert into jk64demo_earthquakes values(63.2888,-145.2617,0.9);',
'insert into jk64demo_earthquakes values(61.5853,-151.5266,1.4);',
'insert into jk64demo_earthquakes values(49.407,-120.487,2.14);',
'insert into jk64demo_earthquakes values(63.5483,-150.7778,1.1);',
'insert into jk64demo_earthquakes values(32.8705,-115.9921667,1.92);',
'insert into jk64demo_earthquakes values(40.4618333,-126.4565,2.82);',
'insert into jk64demo_earthquakes values(62.2451,-151.3887,1.6);',
'insert into jk64demo_earthquakes values(38.8318333,-122.8448333,-0.21);',
'insert into jk64demo_earthquakes values(38.84,-122.8383333,1.69);',
'insert into jk64demo_earthquakes values(63.0985,-150.651,1.3);',
'insert into jk64demo_earthquakes values(60.1229,-152.8225,1.7);',
'insert into jk64demo_earthquakes values(59.7712,-151.8882,1.1);',
'insert into jk64demo_earthquakes values(32.8805,-116.2398333,1.47);',
'insert into jk64demo_earthquakes values(54.1646,-163.8268,2.3);',
'insert into jk64demo_earthquakes values(61.5192,-146.6041,1.1);',
'insert into jk64demo_earthquakes values(37.5653333,-118.8726667,0.09);',
'insert into jk64demo_earthquakes values(64.6468,-147.2269,0.4);',
'insert into jk64demo_earthquakes values(44.1043333,-123.0993333,1.43);',
'insert into jk64demo_earthquakes values(64.5436,-147.842,1);',
'insert into jk64demo_earthquakes values(64.5424,-147.864,0.8);',
'insert into jk64demo_earthquakes values(51.5742,-175.5512,1.6);',
'insert into jk64demo_earthquakes values(39.6884,-119.2849,0.3);',
'insert into jk64demo_earthquakes values(61.7111,-152.0367,1.7);',
'insert into jk64demo_earthquakes values(62.2517,-149.7207,1.1);',
'insert into jk64demo_earthquakes values(61.8663,-150.5546,1.3);',
'insert into jk64demo_earthquakes values(52.984,-164.9772,2.3);',
'insert into jk64demo_earthquakes values(34.3418333,-116.8841667,1.44);',
'insert into jk64demo_earthquakes values(48.5461667,-123.592,0.13);',
'insert into jk64demo_earthquakes values(38.8251667,-122.785,1.17);',
'insert into jk64demo_earthquakes values(38.814,-122.8211667,0.26);',
'insert into jk64demo_earthquakes values(38.8089981,-122.8278351,0.56);',
'insert into jk64demo_earthquakes values(63.1526,-150.7545,1.2);',
'insert into jk64demo_earthquakes values(34.7445,-116.4276667,1.74);',
'insert into jk64demo_earthquakes values(59.775,-153.0248,1.7);',
'insert into jk64demo_earthquakes values(-7.606,127.8502,4.1);',
'insert into jk64demo_earthquakes values(-6.1801,150.0053,4.2);',
'insert into jk64demo_earthquakes values(36.3653333,-120.4113333,2.5);',
'insert into jk64demo_earthquakes values(33.0208333,-117.72,1.88);',
'insert into jk64demo_earthquakes values(46.0135,-112.467,2.05);',
'insert into jk64demo_earthquakes values(59.8289,-153.0467,1.5);',
'insert into jk64demo_earthquakes values(36.1266667,-117.9301667,1.13);',
'insert into jk64demo_earthquakes values(37.6645,-118.8755,-0.17);',
'insert into jk64demo_earthquakes values(58.2683,-155.8713,2.7);',
'insert into jk64demo_earthquakes values(36.7548,-116.1543,-0.2);',
'insert into jk64demo_earthquakes values(33.0535,-116.413,0.96);',
'insert into jk64demo_earthquakes values(46.3051667,-111.5995,1.31);',
'insert into jk64demo_earthquakes values(61.1546,-151.8253,2.9);',
'insert into jk64demo_earthquakes values(-4.4969,94.3193,4.4);',
'insert into jk64demo_earthquakes values(4.4833,94.9942,4);',
'insert into jk64demo_earthquakes values(34.8238333,-116.4073333,2.63);',
'insert into jk64demo_earthquakes values(60.4166,-143.6808,1.3);',
'insert into jk64demo_earthquakes values(-4.8365,94.5895,4.7);',
'insert into jk64demo_earthquakes values(38.7793333,-122.6961667,0.42);',
'insert into jk64demo_earthquakes values(19.4143333,-155.6113333,1.01);',
'insert into jk64demo_earthquakes values(61.9974,-141.2033,0.9);',
'insert into jk64demo_earthquakes values(59.9895,-151.4027,1.2);',
'insert into jk64demo_earthquakes values(33.4743333,-116.492,0.66);',
'insert into jk64demo_earthquakes values(37.5726667,-118.8688333,0.2);',
'insert into jk64demo_earthquakes values(38.7616667,-122.7378333,1.13);',
'insert into jk64demo_earthquakes values(64.7912,-144.5028,1.9);',
'insert into jk64demo_earthquakes values(36.0205,-117.7776667,0.29);',
'insert into jk64demo_earthquakes values(58.4465,-154.1133,1.9);',
'insert into jk64demo_earthquakes values(38.7755013,-122.7181702,1.19);',
'insert into jk64demo_earthquakes values(38.774,-122.7156667,1.85);',
'insert into jk64demo_earthquakes values(59.9104,-141.6604,1.1);',
'insert into jk64demo_earthquakes values(63.4678,-146.1072,0.6);',
'insert into jk64demo_earthquakes values(59.8177,-153.4899,1.7);',
'insert into jk64demo_earthquakes values(44.5486667,-114.514,2.46);',
'insert into jk64demo_earthquakes values(63.2605,-151.1695,1);',
'insert into jk64demo_earthquakes values(64.932,-148.939,0.3);',
'insert into jk64demo_earthquakes values(60.1684,-141.3451,1.4);',
'insert into jk64demo_earthquakes values(46.7925,-121.9455,0.9);',
'insert into jk64demo_earthquakes values(63.2607,-151.1283,2.1);',
'insert into jk64demo_earthquakes values(63.2845,-151.1154,2);',
'insert into jk64demo_earthquakes values(64.9371,-148.9108,0.8);',
'insert into jk64demo_earthquakes values(64.9418,-148.9806,2.2);',
'insert into jk64demo_earthquakes values(35.5933,-3.5422,5);',
'insert into jk64demo_earthquakes values(36.5428,-115.5408,1.1);',
'insert into jk64demo_earthquakes values(62.9258,-150.7467,1.1);',
'insert into jk64demo_earthquakes values(38.8308334,-122.7508316,0.53);',
'insert into jk64demo_earthquakes values(63.2849,-150.4065,1.9);',
'insert into jk64demo_earthquakes values(44.596,-122.7355,1.74);',
'insert into jk64demo_earthquakes values(38.7971667,-122.7643333,1.46);',
'insert into jk64demo_earthquakes values(63.5903,-150.9435,1.4);',
'insert into jk64demo_earthquakes values(59.8053,-153.0405,1.4);',
'insert into jk64demo_earthquakes values(38.8084984,-122.8246689,1.04);',
'insert into jk64demo_earthquakes values(59.8234,-153.0824,2.5);',
'insert into jk64demo_earthquakes values(33.664,-116.7698333,0.62);',
'insert into jk64demo_earthquakes values(33.5215,-116.7356667,0.4);',
'insert into jk64demo_earthquakes values(59.6164,-153.4307,1.6);',
'insert into jk64demo_earthquakes values(37.5671667,-118.8573333,0.04);',
'insert into jk64demo_earthquakes values(37.5711667,-118.8518333,0.81);',
'insert into jk64demo_earthquakes values(69.3303,-144.0921,2.4);',
'insert into jk64demo_earthquakes values(38.8128333,-122.8331667,0.49);',
'insert into jk64demo_earthquakes values(33.9716667,-116.9155,0.79);',
'insert into jk64demo_earthquakes values(40.1616,-121.0589,1.3);',
'insert into jk64demo_earthquakes values(44.5616667,-114.4856667,1.37);',
'insert into jk64demo_earthquakes values(-16.0928,-74.012,4.9);',
'insert into jk64demo_earthquakes values(60.3447,-139.4422,1);',
'insert into jk64demo_earthquakes values(53.6859,-166.9828,1.1);',
'insert into jk64demo_earthquakes values(52.7489,-168.8103,2.4);',
'insert into jk64demo_earthquakes values(37.5701667,-118.859,0.21);',
'insert into jk64demo_earthquakes values(19.6623,-63.5685,3.4);',
'insert into jk64demo_earthquakes values(33.9613333,-116.7071667,1.28);',
'insert into jk64demo_earthquakes values(65.3535,-150.1172,0.7);',
'insert into jk64demo_earthquakes values(38.0609,-118.7887,0.4);',
'insert into jk64demo_earthquakes values(33.4776667,-116.4926667,0.27);',
'insert into jk64demo_earthquakes values(34.8245,-116.405,1.9);',
'insert into jk64demo_earthquakes values(61.4371,-140.2415,1.2);',
'insert into jk64demo_earthquakes values(33.4936667,-116.9063333,0.79);',
'insert into jk64demo_earthquakes values(36.6226667,-121.2313333,1.91);',
'insert into jk64demo_earthquakes values(33.9926667,-116.9946667,1.67);',
'insert into jk64demo_earthquakes values(61.5239,-149.8481,1);',
'insert into jk64demo_earthquakes values(38.8168335,-122.8180008,1.1);',
'insert into jk64demo_earthquakes values(37.1846,-117.358,0.1);',
'insert into jk64demo_earthquakes values(19.3838333,-155.2796667,2.08);',
'insert into jk64demo_earthquakes values(39.423,-119.9263,0.5);',
'insert into jk64demo_earthquakes values(51.7156,-175.3673,3.2);',
'insert into jk64demo_earthquakes values(38.8256667,-122.8556667,0.37);',
'insert into jk64demo_earthquakes values(38.8148333,-122.81,1.31);',
'insert into jk64demo_earthquakes values(35.9935,-117.6845,0.58);',
'insert into jk64demo_earthquakes values(19.4166667,-155.3175,1.28);',
'insert into jk64demo_earthquakes values(38.8463326,-122.8290024,0.84);',
'insert into jk64demo_earthquakes values(-9.7463,125.3111,5.5);',
'insert into jk64demo_earthquakes values(-9.4991,125.1765,5.6);',
'insert into jk64demo_earthquakes values(33.0396667,-117.7633333,2.56);',
'insert into jk64demo_earthquakes values(37.2746667,-112.8618333,1.7);',
'insert into jk64demo_earthquakes values(40.0955,-119.6921,0.3);',
'insert into jk64demo_earthquakes values(33.9518333,-118.3938333,2.44);',
'insert into jk64demo_earthquakes values(19.357,-155.336,1.56);',
'insert into jk64demo_earthquakes values(55.3842,-151.8711,2.7);',
'insert into jk64demo_earthquakes values(-7.4422,128.7202,4.5);',
'insert into jk64demo_earthquakes values(63.1929,-151.3578,0.7);',
'insert into jk64demo_earthquakes values(33.5015,-116.7866667,0.52);',
'insert into jk64demo_earthquakes values(38.8218346,-122.802002,1.12);',
'insert into jk64demo_earthquakes values(33.379,-116.8711667,1.27);',
'insert into jk64demo_earthquakes values(37.7798333,-121.9595,1.16);',
'insert into jk64demo_earthquakes values(60.2171,-152.6764,1.9);',
'insert into jk64demo_earthquakes values(54.2621,-163.8267,2.3);',
'insert into jk64demo_earthquakes values(33.4988333,-116.7886667,0.91);',
'insert into jk64demo_earthquakes values(37.5768333,-118.8563333,1.51);',
'insert into jk64demo_earthquakes values(18.7609,-67.2301,2.9);',
'insert into jk64demo_earthquakes values(37.3228333,-122.1015,2.13);',
'insert into jk64demo_earthquakes values(37.5716667,-118.8518333,1.3);',
'insert into jk64demo_earthquakes values(47.8181667,-114.2328333,1.15);',
'insert into jk64demo_earthquakes values(63.6874,-149.3386,1.2);',
'insert into jk64demo_earthquakes values(64.819,-149.1278,0.4);',
'insert into jk64demo_earthquakes values(38.7555,-122.7178333,0.79);',
'insert into jk64demo_earthquakes values(38.8161667,-122.8145,0.17);',
'insert into jk64demo_earthquakes values(19.2191658,-155.5435028,1.73);',
'insert into jk64demo_earthquakes values(61.1346,-151.2654,1.5);',
'insert into jk64demo_earthquakes values(37.2126667,-97.98,1.95);',
'insert into jk64demo_earthquakes values(19.2861667,-155.2066667,1.49);',
'insert into jk64demo_earthquakes values(59.6505,-153.3295,2.9);',
'insert into jk64demo_earthquakes values(19.2933333,-155.2043333,1.89);',
'insert into jk64demo_earthquakes values(36.55,-89.7228333,2.22);',
'insert into jk64demo_earthquakes values(-33.302,-177.9941,4.7);',
'insert into jk64demo_earthquakes values(37.5688333,-118.4678333,1.47);',
'insert into jk64demo_earthquakes values(38.5,-118.4092,0.1);',
'insert into jk64demo_earthquakes values(60.5705,-145.2429,1.7);',
'insert into jk64demo_earthquakes values(36.7556667,-121.5895,1.37);',
'insert into jk64demo_earthquakes values(35.4941667,-119.3151667,2.07);',
'insert into jk64demo_earthquakes values(38.8081667,-122.8151667,1.87);',
'insert into jk64demo_earthquakes values(63.1112,-144.2992,1.1);',
'insert into jk64demo_earthquakes values(35.0555,-118.3505,1.32);',
'insert into jk64demo_earthquakes values(37.7598333,-110.6521667,1.68);',
'insert into jk64demo_earthquakes values(35.7968333,-121.3313333,2.85);',
'insert into jk64demo_earthquakes values(31.6008333,-116.9528333,3);',
'insert into jk64demo_earthquakes values(38.8231667,-122.8435,0.13);',
'insert into jk64demo_earthquakes values(61.445,-152.3863,3.2);',
'insert into jk64demo_earthquakes values(32.8923333,-115.5188333,1.58);',
'insert into jk64demo_earthquakes values(32.8843333,-115.5216667,1.82);',
'insert into jk64demo_earthquakes values(61.8394,-146.1145,1.3);',
'insert into jk64demo_earthquakes values(38.8233337,-122.8433304,0.57);',
'insert into jk64demo_earthquakes values(37.7595,-110.6371667,3.77);',
'insert into jk64demo_earthquakes values(63.2343,-150.5526,1.5);',
'insert into jk64demo_earthquakes values(-4.7139,153.3096,4.7);',
'insert into jk64demo_earthquakes values(18.1026,-68.7711,3.8);',
'insert into jk64demo_earthquakes values(14.0946,-92.2672,4.2);',
'insert into jk64demo_earthquakes values(37.5683333,-118.8685,-0.18);',
'insert into jk64demo_earthquakes values(63.2627,-151.3874,0.8);',
'insert into jk64demo_earthquakes values(36.5879,-116.2528,0.2);',
'insert into jk64demo_earthquakes values(38.8190002,-122.8205032,0.43);',
'insert into jk64demo_earthquakes values(63.5674,-150.7946,1.1);',
'insert into jk64demo_earthquakes values(38.7623329,-122.7303314,0.96);',
'insert into jk64demo_earthquakes values(38.8223343,-122.8441696,0.43);',
'insert into jk64demo_earthquakes values(35.844,-119.7955,1.65);',
'insert into jk64demo_earthquakes values(38.8180008,-122.8276672,0.93);',
'insert into jk64demo_earthquakes values(63.2843,-151.3814,1.2);',
'insert into jk64demo_earthquakes values(37.1512,-117.2505,0);',
'insert into jk64demo_earthquakes values(37.457,-118.5998333,1.29);',
'insert into jk64demo_earthquakes values(40.1829,-121.0146,1);',
'insert into jk64demo_earthquakes values(63.4041,-151.1651,1);',
'insert into jk64demo_earthquakes values(38.8068333,-122.7871667,1.48);',
'insert into jk64demo_earthquakes values(32.151,-115.2145,2.58);',
'insert into jk64demo_earthquakes values(61.5075,-146.6372,1.6);',
'insert into jk64demo_earthquakes values(19.2005,-155.4053333,2.2);',
'insert into jk64demo_earthquakes values(33.4968333,-116.7903333,0.54);',
'insert into jk64demo_earthquakes values(38.2402,-119.1579,1.6);',
'insert into jk64demo_earthquakes values(61.3781,-141.036,1.3);',
'insert into jk64demo_earthquakes values(59.6969,-153.0909,2.4);',
'insert into jk64demo_earthquakes values(33.4941667,-116.7905,1.2);',
'insert into jk64demo_earthquakes values(19.4438333,-154.8995,1.43);',
'insert into jk64demo_earthquakes values(20.0988333,-155.2241667,1.6);',
'insert into jk64demo_earthquakes values(35.997,-117.457,1.12);',
'insert into jk64demo_earthquakes values(36.1948,-97.3349,2.6);',
'insert into jk64demo_earthquakes values(65.2349,-152.1614,1.5);',
'insert into jk64demo_earthquakes values(40.169,-119.7696,0.9);',
'insert into jk64demo_earthquakes values(36.9942,-116.2176,0.3);',
'insert into jk64demo_earthquakes values(65.1438,-149.0528,0.6);',
'insert into jk64demo_earthquakes values(37.5721667,-118.8545,0.48);',
'insert into jk64demo_earthquakes values(38.0005,-118.1701,1.1);',
'insert into jk64demo_earthquakes values(69.121,-144.7316,2.6);',
'insert into jk64demo_earthquakes values(36.3611667,-120.3941667,1.55);',
'insert into jk64demo_earthquakes values(59.7835,-151.6697,1.3);',
'insert into jk64demo_earthquakes values(36.363,-120.4088333,2.48);',
'insert into jk64demo_earthquakes values(33.9721667,-116.9168333,0.53);',
'insert into jk64demo_earthquakes values(38.8231667,-122.8261667,0.29);',
'insert into jk64demo_earthquakes values(63.401,-151.7588,0.6);',
'insert into jk64demo_earthquakes values(36.3626667,-120.4086667,2.55);',
'insert into jk64demo_earthquakes values(-4.9082,94.275,7.8);',
'insert into jk64demo_earthquakes values(36.3618333,-120.4015,2.17);',
'insert into jk64demo_earthquakes values(59.9339,-151.8713,1.4);',
'insert into jk64demo_earthquakes values(64.6318,-150.0398,0.9);',
'insert into jk64demo_earthquakes values(19.1077,-66.6175,3.1);',
'insert into jk64demo_earthquakes values(38.8113327,-122.8274994,0.56);',
'insert into jk64demo_earthquakes values(65.0512,-147.0699,0.3);',
'insert into jk64demo_earthquakes values(38.8278351,-122.8420029,0.89);',
'insert into jk64demo_earthquakes values(64.6296,-146.2061,0.6);',
'insert into jk64demo_earthquakes values(19.2216663,-155.5431671,1.7);',
'insert into jk64demo_earthquakes values(38.9781667,-123.2628333,1.69);',
'insert into jk64demo_earthquakes values(53.5087,-165.2309,2.5);',
'insert into jk64demo_earthquakes values(59.8055,-153.0277,1.6);',
'insert into jk64demo_earthquakes values(59.3226,-154.2675,1.3);',
'insert into jk64demo_earthquakes values(36.7364,-116.2878,-0.2);',
'insert into jk64demo_earthquakes values(59.9433,-152.6665,1.5);',
'insert into jk64demo_earthquakes values(38.7861671,-122.7736664,0.56);',
'insert into jk64demo_earthquakes values(61.1385,-152.2919,1.6);',
'insert into jk64demo_earthquakes values(40.1158333,-121.0125,2.17);',
'insert into jk64demo_earthquakes values(38.807,-122.815,0.19);',
'insert into jk64demo_earthquakes values(38.8216667,-122.8128333,0.33);',
'insert into jk64demo_earthquakes values(59.7987,-153.0128,1.6);',
'insert into jk64demo_earthquakes values(61.5674,-150.0528,1.3);',
'insert into jk64demo_earthquakes values(33.9686667,-117.876,2.07);',
'insert into jk64demo_earthquakes values(34.3073333,-116.9303333,0.92);',
'insert into jk64demo_earthquakes values(38.8076668,-122.8128357,0.85);',
'insert into jk64demo_earthquakes values(19.3381,-64.7527,3);',
'insert into jk64demo_earthquakes values(36.2803333,-89.4853333,1.26);',
'insert into jk64demo_earthquakes values(33.248,-116.3201667,1.3);',
'insert into jk64demo_earthquakes values(59.7928,-153.0914,1.8);',
'insert into jk64demo_earthquakes values(19.4323333,-155.622,1.37);',
'insert into jk64demo_earthquakes values(37.5746,-118.4448,1.4);',
'insert into jk64demo_earthquakes values(36.7422,-116.2752,-0.4);',
'insert into jk64demo_earthquakes values(38.3208333,-119.1783333,1.74);',
'insert into jk64demo_earthquakes values(65.0473,-152.3541,0.9);',
'insert into jk64demo_earthquakes values(19.3911667,-155.3308333,1.33);',
'insert into jk64demo_earthquakes values(57.942,-154.6882,2.3);',
'insert into jk64demo_earthquakes values(38.8348333,-122.7983333,0.06);',
'insert into jk64demo_earthquakes values(38.800499,-122.8003311,1.1);',
'insert into jk64demo_earthquakes values(36.0283333,-117.7756667,0.6);',
'insert into jk64demo_earthquakes values(39.5899,-120.7051,1.4);',
'insert into jk64demo_earthquakes values(38.8233333,-122.8268333,0.6);',
'insert into jk64demo_earthquakes values(36.7336,-116.2965,0);',
'insert into jk64demo_earthquakes values(59.8346,-152.9607,1.8);',
'insert into jk64demo_earthquakes values(-18.6874,-70.7484,5);',
'insert into jk64demo_earthquakes values(38.663,-122.3656667,1.42);',
'insert into jk64demo_earthquakes values(63.5514,-151.0557,0.6);',
'insert into jk64demo_earthquakes values(59.7429,-153.1477,1.6);',
'insert into jk64demo_earthquakes values(65.823,-151.7278,1.1);',
'insert into jk64demo_earthquakes values(37.6055,-118.8588333,-0.21);',
'insert into jk64demo_earthquakes values(37.575,-118.8571667,0.97);',
'insert into jk64demo_earthquakes values(38.3401,-118.1873,0.5);',
'insert into jk64demo_earthquakes values(60.6556,-152.5353,1.6);',
'insert into jk64demo_earthquakes values(60.8783,-147.1319,1.5);',
'insert into jk64demo_earthquakes values(51.4094,-168.6156,2.8);',
'insert into jk64demo_earthquakes values(38.8139992,-122.783165,0.47);',
'insert into jk64demo_earthquakes values(38.8131667,-122.783,0.27);',
'insert into jk64demo_earthquakes values(38.8994,-118.2309,0.9);',
'insert into jk64demo_earthquakes values(63.3105,-151.3052,0.5);',
'insert into jk64demo_earthquakes values(38.163,-118.2095,0.7);',
'insert into jk64demo_earthquakes values(62.4514,-152.075,1.5);',
'insert into jk64demo_earthquakes values(35.5665,-118.5358333,1.32);',
'insert into jk64demo_earthquakes values(64.7759,-150.7769,0.7);',
'insert into jk64demo_earthquakes values(36.4516,-98.7408,2.8);',
'insert into jk64demo_earthquakes values(64.6856,-152.9163,0.9);',
'insert into jk64demo_earthquakes values(51.2116,-178.1839,2.5);',
'insert into jk64demo_earthquakes values(61.1523,-152.2695,2);',
'insert into jk64demo_earthquakes values(38.5079,-118.3978,0.1);',
'insert into jk64demo_earthquakes values(61.0412,-152.4587,1.7);',
'insert into jk64demo_earthquakes values(37.643,-118.8775,0.06);',
'insert into jk64demo_earthquakes values(36.9884,-116.2706,-0.8);',
'insert into jk64demo_earthquakes values(59.8585,-152.9164,2.2);',
'insert into jk64demo_earthquakes values(38.4774,-118.3477,0.3);',
'insert into jk64demo_earthquakes values(54.1284,-163.5457,2.5);',
'insert into jk64demo_earthquakes values(37.9365,-122.1158333,1.05);',
'insert into jk64demo_earthquakes values(36.4646,-98.7084,3.7);',
'insert into jk64demo_earthquakes values(38.0348,-118.9819,1.1);',
'insert into jk64demo_earthquakes values(64.6775,-147.6423,0.6);',
'insert into jk64demo_earthquakes values(38.4738,-118.3794,0.5);',
'insert into jk64demo_earthquakes values(19.2093334,-155.442337,2);',
'insert into jk64demo_earthquakes values(37.0388,-116.4376,-1.1);',
'insert into jk64demo_earthquakes values(38.8393326,-122.8284988,0.43);',
'insert into jk64demo_earthquakes values(61.7947,-150.6761,1.4);',
'insert into jk64demo_earthquakes values(29.7546,69.93,4.6);',
'insert into jk64demo_earthquakes values(64.5063,-147.8407,0.6);',
'insert into jk64demo_earthquakes values(61.4369,-140.7,3);',
'insert into jk64demo_earthquakes values(61.3749,-141.0504,2.7);',
'insert into jk64demo_earthquakes values(36.5891,-116.251,1.2);',
'insert into jk64demo_earthquakes values(-8.659,112.5384,5.1);',
'insert into jk64demo_earthquakes values(36.6456,-97.7403,2.8);',
'insert into jk64demo_earthquakes values(59.7197,-153.3072,1.7);',
'insert into jk64demo_earthquakes values(33.5636667,-116.6541667,0.95);',
'insert into jk64demo_earthquakes values(64.3843,-147.7381,0.5);',
'insert into jk64demo_earthquakes values(37.5755,-118.8625,-0.02);',
'insert into jk64demo_earthquakes values(37.439,-121.782,0.76);',
'insert into jk64demo_earthquakes values(37.9265,-118.6467,1.1);',
'insert into jk64demo_earthquakes values(62.1841,-149.5672,1.1);',
'insert into jk64demo_earthquakes values(64.7633,-149.134,0.2);',
'insert into jk64demo_earthquakes values(36.9983333,-112.9141667,1.27);',
'insert into jk64demo_earthquakes values(37.199,-119.4661667,2.2);',
'insert into jk64demo_earthquakes values(60.4635,-151.4381,1.6);',
'insert into jk64demo_earthquakes values(36.989,-112.9125,1.34);',
'insert into jk64demo_earthquakes values(44.2513333,-114.5868333,1.52);',
'insert into jk64demo_earthquakes values(60.5997,-142.7366,0.8);',
'insert into jk64demo_earthquakes values(59.8287,-152.5295,1.6);',
'insert into jk64demo_earthquakes values(38.657,-118.7838,0.3);',
'insert into jk64demo_earthquakes values(37.5691667,-118.8526667,0.93);',
'insert into jk64demo_earthquakes values(36.6481,-116.3033,-0.1);',
'insert into jk64demo_earthquakes values(63.243,-150.7581,1.3);',
'insert into jk64demo_earthquakes values(35.9911667,-120.5526667,0.97);',
'insert into jk64demo_earthquakes values(54.3913,-161.6465,3.1);',
'insert into jk64demo_earthquakes values(59.5271,-152.9964,1.8);',
'insert into jk64demo_earthquakes values(59.8806,-139.3362,1.8);',
'insert into jk64demo_earthquakes values(37.578,-118.8588333,0.26);',
'insert into jk64demo_earthquakes values(32.9026667,-115.5176667,1.2);',
'insert into jk64demo_earthquakes values(18.8649,-66.9514,2.6);',
'insert into jk64demo_earthquakes values(38.7481667,-111.49,1.41);',
'insert into jk64demo_earthquakes values(38.8221664,-122.8063354,0.55);',
'insert into jk64demo_earthquakes values(38.8243332,-122.8238297,1.08);',
'insert into jk64demo_earthquakes values(62.849,-150.4767,1.3);',
'insert into jk64demo_earthquakes values(19.0275,-67.0225,2.8);',
'insert into jk64demo_earthquakes values(64.8886,-147.7154,0.6);',
'insert into jk64demo_earthquakes values(33.5898333,-116.6045,0.51);',
'insert into jk64demo_earthquakes values(37.0362,-116.4412,-0.3);',
'insert into jk64demo_earthquakes values(67.5249,-166.5379,3);',
'insert into jk64demo_earthquakes values(63.0466,-150.6508,1.3);',
'insert into jk64demo_earthquakes values(38.8155,-122.82,1.24);',
'insert into jk64demo_earthquakes values(33.644,-117.2325,0.64);',
'insert into jk64demo_earthquakes values(36.0785,-117.6076667,1.66);',
'insert into jk64demo_earthquakes values(57.2506,-154.0289,2.8);',
'insert into jk64demo_earthquakes values(59.7831,-153.0944,2);',
'insert into jk64demo_earthquakes values(33.9708333,-117.1488333,0.78);',
'insert into jk64demo_earthquakes values(53.658,-165.0844,2);',
'insert into jk64demo_earthquakes values(51.7149,-179.0889,2.6);',
'insert into jk64demo_earthquakes values(51.6652,-177.5935,1.8);',
'insert into jk64demo_earthquakes values(58.6676,-137.5259,2.3);',
'insert into jk64demo_earthquakes values(62.4282,-150.9817,2.2);',
'insert into jk64demo_earthquakes values(51.4813,-176.0541,2.6);',
'insert into jk64demo_earthquakes values(66.0369,-150.0949,1.1);',
'insert into jk64demo_earthquakes values(47.8628333,-122.1285,2.25);',
'insert into jk64demo_earthquakes values(33.0756667,-116.5416667,1.55);',
'insert into jk64demo_earthquakes values(45.22,-66.73,2.3);',
'insert into jk64demo_earthquakes values(39.349,-122.8706667,1.78);',
'insert into jk64demo_earthquakes values(38.8236656,-122.8443298,0.9);',
'insert into jk64demo_earthquakes values(51.4057,-179.3134,2.4);',
'insert into jk64demo_earthquakes values(37.5761667,-118.8585,1.06);',
'insert into jk64demo_earthquakes values(56.5409,-156.4823,2.8);',
'insert into jk64demo_earthquakes values(63.3756,-145.1171,1.9);',
'insert into jk64demo_earthquakes values(36.5779,-116.2295,0.1);',
'insert into jk64demo_earthquakes values(38.7795,-122.7555,0.01);',
'insert into jk64demo_earthquakes values(38.8113333,-122.8275,0.16);',
'insert into jk64demo_earthquakes values(38.8166656,-122.8311691,0.64);',
'insert into jk64demo_earthquakes values(38.8276672,-122.7994995,0.88);',
'insert into jk64demo_earthquakes values(59.5817,-152.9894,1.9);',
'insert into jk64demo'))
);
end;
/
begin
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'_earthquakes values(33.988,-117.1411667,0.82);',
'insert into jk64demo_earthquakes values(-8.923,108.1165,4.2);',
'insert into jk64demo_earthquakes values(51.7416,178.6777,3.9);',
'insert into jk64demo_earthquakes values(39.6074,-116.9651,1.9);',
'insert into jk64demo_earthquakes values(39.8076667,-123.5681667,2.07);',
'insert into jk64demo_earthquakes values(39.3803333,-122.8881667,1.6);',
'insert into jk64demo_earthquakes values(59.7207,-153.0883,1.8);',
'insert into jk64demo_earthquakes values(64.997,-147.3164,1.5);',
'insert into jk64demo_earthquakes values(38.8330002,-122.8018341,1.02);',
'insert into jk64demo_earthquakes values(38.840332,-122.8266678,0.92);',
'insert into jk64demo_earthquakes values(48.5898333,-121.44,1.75);',
'insert into jk64demo_earthquakes values(48.5788333,-121.4766667,1.74);',
'insert into jk64demo_earthquakes values(59.7041,-153.1367,2);',
'insert into jk64demo_earthquakes values(40.4653333,-121.5446667,0.19);',
'insert into jk64demo_earthquakes values(62.6522,-137.2114,1.3);',
'insert into jk64demo_earthquakes values(10.4123,125.9604,4.2);',
'insert into jk64demo_earthquakes values(38.840168,-122.8404999,0.43);',
'insert into jk64demo_earthquakes values(-20.9677,-173.6134,4.3);',
'insert into jk64demo_earthquakes values(66.8981,-149.7704,1.5);',
'insert into jk64demo_earthquakes values(34.4068,25.4201,4.5);',
'insert into jk64demo_earthquakes values(63.9893,-148.7224,2);',
'insert into jk64demo_earthquakes values(36.4538,-98.7687,2.6);',
'insert into jk64demo_earthquakes values(38.8013333,-122.7848333,1.63);',
'insert into jk64demo_earthquakes values(33.0553333,-114.9841667,1.58);',
'insert into jk64demo_earthquakes values(33.259,-115.9953333,1.47);',
'insert into jk64demo_earthquakes values(38.8026667,-122.7856667,1.93);',
'insert into jk64demo_earthquakes values(38.8016667,-122.7855,1.15);',
'insert into jk64demo_earthquakes values(38.8083344,-122.7870026,1.15);',
'insert into jk64demo_earthquakes values(37.5753333,-118.863,0.62);',
'insert into jk64demo_earthquakes values(59.1908,-153.6471,2.1);',
'insert into jk64demo_earthquakes values(61.2547,-147.3843,1.9);',
'insert into jk64demo_earthquakes values(38.838501,-122.8318329,0.84);',
'insert into jk64demo_earthquakes values(37.0676,-116.3901,-0.9);',
'insert into jk64demo_earthquakes values(61.759,-146.2047,1.2);',
'insert into jk64demo_earthquakes values(58.6395,-142.7492,2.1);',
'insert into jk64demo_earthquakes values(35.7199,-97.1683,3.4);',
'insert into jk64demo_earthquakes values(40.4701667,-121.5495,-0.19);',
'insert into jk64demo_earthquakes values(-31.7957,-72.1661,4);',
'insert into jk64demo_earthquakes values(40.4625,-121.5531667,0.29);',
'insert into jk64demo_earthquakes values(40.4716667,-121.5433333,-0.1);',
'insert into jk64demo_earthquakes values(57.5788,-154.2183,2.3);',
'insert into jk64demo_earthquakes values(65.0574,-146.7308,1.4);',
'insert into jk64demo_earthquakes values(38.8148346,-122.8193359,1.12);',
'insert into jk64demo_earthquakes values(34.3263333,-116.9383333,1.72);',
'insert into jk64demo_earthquakes values(63.5664,-151.041,1.1);',
'insert into jk64demo_earthquakes values(63.8567,-148.6708,1.1);',
'insert into jk64demo_earthquakes values(59.6598,-153.1408,1.9);',
'insert into jk64demo_earthquakes values(38.5086,-118.3937,0.5);',
'insert into jk64demo_earthquakes values(37.5746667,-118.8561667,1.09);',
'insert into jk64demo_earthquakes values(62.7218,-143.8484,1.1);',
'insert into jk64demo_earthquakes values(44.728,-111.17,0.09);',
'insert into jk64demo_earthquakes values(38.5126,-118.3932,0.9);',
'insert into jk64demo_earthquakes values(36.38,-91.2768333,2.53);',
'insert into jk64demo_earthquakes values(19.9381676,-155.8314972,1.89);',
'insert into jk64demo_earthquakes values(36.0156667,-117.8046667,1.12);',
'insert into jk64demo_earthquakes values(36.0135,-117.8038333,1.04);',
'insert into jk64demo_earthquakes values(36.6265,-116.9461667,1.79);',
'insert into jk64demo_earthquakes values(61.7301,-147.2202,1.1);',
'insert into jk64demo_earthquakes values(33.899,-116.8645,0.8);',
'insert into jk64demo_earthquakes values(38.7936667,-122.759,0.82);',
'insert into jk64demo_earthquakes values(37.5618333,-118.8478333,0.07);',
'insert into jk64demo_earthquakes values(37.5796667,-119.015,0.68);',
'insert into jk64demo_earthquakes values(47.5243333,-121.9136667,1.56);',
'insert into jk64demo_earthquakes values(46.127,-122.1648333,0.75);',
'insert into jk64demo_earthquakes values(38.792,-122.7661667,1.23);',
'insert into jk64demo_earthquakes values(33.4951667,-116.7888333,0.62);',
'insert into jk64demo_earthquakes values(37.5761667,-118.86,-0.11);',
'insert into jk64demo_earthquakes values(60.2272,-151.1844,1.5);',
'insert into jk64demo_earthquakes values(37.5741667,-118.8568333,1.3);',
'insert into jk64demo_earthquakes values(37.5821667,-118.8563333,0.11);',
'insert into jk64demo_earthquakes values(61.4034,-147.6047,1.3);',
'insert into jk64demo_earthquakes values(37.5748333,-118.8571667,1.9);',
'insert into jk64demo_earthquakes values(37.296,-121.6738333,0.85);',
'insert into jk64demo_earthquakes values(37.2943333,-121.6726667,0.82);',
'insert into jk64demo_earthquakes values(63.5621,-151.0606,0.8);',
'insert into jk64demo_earthquakes values(36.2715,-97.5099,2.9);',
'insert into jk64demo_earthquakes values(38.8255,-122.8033333,0.78);',
'insert into jk64demo_earthquakes values(44.7406667,-110.8858333,1.04);',
'insert into jk64demo_earthquakes values(63.7959,-147.6439,0.9);',
'insert into jk64demo_earthquakes values(37.5761667,-118.8496667,0.16);',
'insert into jk64demo_earthquakes values(17.989,-66.7796,1.8);',
'insert into jk64demo_earthquakes values(46.3501667,-119.5131667,0.1);',
'insert into jk64demo_earthquakes values(18.1935,-67.1307,2.9);',
'insert into jk64demo_earthquakes values(39.7193333,-110.7976667,1.83);',
'insert into jk64demo_earthquakes values(35.9718333,-82.3236667,2.49);',
'insert into jk64demo_earthquakes values(37.579,-118.865,0.25);',
'insert into jk64demo_earthquakes values(38.7581673,-122.7348328,1.07);',
'insert into jk64demo_earthquakes values(-15.0847,-76.3016,4.4);',
'insert into jk64demo_earthquakes values(36.5991667,-121.2028333,1.17);',
'insert into jk64demo_earthquakes values(34.0808333,-117.3138333,1.07);',
'insert into jk64demo_earthquakes values(34.072,-117.3215,0.9);',
'insert into jk64demo_earthquakes values(37.5756667,-118.8551667,0.13);',
'insert into jk64demo_earthquakes values(38.8224983,-122.8119965,0.52);',
'insert into jk64demo_earthquakes values(37.5755,-118.8518333,0.6);',
'insert into jk64demo_earthquakes values(63.0877,-151.4136,1.3);',
'insert into jk64demo_earthquakes values(36.293,-97.5342,2.5);',
'insert into jk64demo_earthquakes values(44.6031667,-114.1078333,1.68);',
'insert into jk64demo_earthquakes values(12.5911,-88.4876,4.5);',
'insert into jk64demo_earthquakes values(37.575,-118.8465,-0.05);',
'insert into jk64demo_earthquakes values(60.6717,-146.717,1.8);',
'insert into jk64demo_earthquakes values(37.5788333,-118.8556667,-0.06);',
'insert into jk64demo_earthquakes values(63.0582,-151.5121,1);',
'insert into jk64demo_earthquakes values(37.5696667,-118.8521667,0.65);',
'insert into jk64demo_earthquakes values(62.8702,-149.5513,1.6);',
'insert into jk64demo_earthquakes values(61.7452,-149.9869,2.8);',
'insert into jk64demo_earthquakes values(62.9022,-151.3482,2.3);',
'insert into jk64demo_earthquakes values(38.8413333,-122.83,1.1);',
'insert into jk64demo_earthquakes values(44.5323333,-114.5216667,1.56);',
'insert into jk64demo_earthquakes values(38.8255005,-122.8460007,0.43);',
'insert into jk64demo_earthquakes values(38.8246667,-122.8238333,0.66);',
'insert into jk64demo_earthquakes values(38.8243333,-122.8231667,1.66);',
'insert into jk64demo_earthquakes values(38.8235016,-122.824501,0.82);',
'insert into jk64demo_earthquakes values(53.9472,-163.3523,2.9);',
'insert into jk64demo_earthquakes values(64.7075,-147.6278,0.4);',
'insert into jk64demo_earthquakes values(40.4665,-121.5253333,-0.06);',
'insert into jk64demo_earthquakes values(38.8151667,-122.8276667,0.17);',
'insert into jk64demo_earthquakes values(63.6058,-150.7662,1.7);',
'insert into jk64demo_earthquakes values(64.7879,-148.6769,0.4);',
'insert into jk64demo_earthquakes values(38.8261681,-122.8515015,0.85);',
'insert into jk64demo_earthquakes values(62.2257,-145.6878,1.2);',
'insert into jk64demo_earthquakes values(36.0073333,-117.8038333,0.72);',
'insert into jk64demo_earthquakes values(59.6956,-153.2716,1.6);',
'insert into jk64demo_earthquakes values(33.3681667,-116.2876667,1.12);',
'insert into jk64demo_earthquakes values(53.3679,-171.2933,3.1);',
'insert into jk64demo_earthquakes values(37.5738333,-118.8548333,1.16);',
'insert into jk64demo_earthquakes values(63.1999,-150.7085,1.5);',
'insert into jk64demo_earthquakes values(44.5545,-114.5326667,1.71);',
'insert into jk64demo_earthquakes values(37.577,-118.8621667,0.37);',
'insert into jk64demo_earthquakes values(-9.0005,127.1933,4.5);',
'insert into jk64demo_earthquakes values(51.4334,-175.5046,2.9);',
'insert into jk64demo_earthquakes values(59.4346,-154.0371,2.1);',
'insert into jk64demo_earthquakes values(44.543,-114.5065,2.07);',
'insert into jk64demo_earthquakes values(38.8255005,-122.8416672,0.79);',
'insert into jk64demo_earthquakes values(6.9983,126.7146,4.2);',
'insert into jk64demo_earthquakes values(61.4695,-149.7654,2.1);',
'insert into jk64demo_earthquakes values(35.9676667,-117.9041667,0.77);',
'insert into jk64demo_earthquakes values(4.2421,124.7356,4.5);',
'insert into jk64demo_earthquakes values(2.5059,127.0058,4.2);',
'insert into jk64demo_earthquakes values(39.3897,-120.2072,-0.2);',
'insert into jk64demo_earthquakes values(51.9832,-173.7776,2.2);',
'insert into jk64demo_earthquakes values(59.7973,-152.9949,2.4);',
'insert into jk64demo_earthquakes values(36.4403,-98.7834,2.4);',
'insert into jk64demo_earthquakes values(-7.8195,118.9899,4);',
'insert into jk64demo_earthquakes values(61.4497,-150.326,1.2);',
'insert into jk64demo_earthquakes values(38.8144989,-122.81633,0.65);',
'insert into jk64demo_earthquakes values(38.8263321,-122.7959976,0.86);',
'insert into jk64demo_earthquakes values(0.1755,121.8924,4.1);',
'insert into jk64demo_earthquakes values(60.5378,-147.2549,1.6);',
'insert into jk64demo_earthquakes values(60.0958,-151.2409,2.4);',
'insert into jk64demo_earthquakes values(-28.5773,-179.08,4.5);',
'insert into jk64demo_earthquakes values(19.4076667,-155.282,0.53);',
'insert into jk64demo_earthquakes values(37.4014,-118.1124,1.6);',
'insert into jk64demo_earthquakes values(33.9846667,-116.8425,0.8);',
'insert into jk64demo_earthquakes values(35.7805,-120.3233333,0.77);',
'insert into jk64demo_earthquakes values(34.373,-120.4598333,2.16);',
'insert into jk64demo_earthquakes values(37.1873,-117.5718,0.3);',
'insert into jk64demo_earthquakes values(33.2223333,-116.199,1.44);',
'insert into jk64demo_earthquakes values(38.8226667,-122.7991667,1.56);',
'insert into jk64demo_earthquakes values(38.8253333,-122.7948333,1.48);',
'insert into jk64demo_earthquakes values(34.582,-115.4693333,2.5);',
'insert into jk64demo_earthquakes values(59.8585,-152.9401,1.9);',
'insert into jk64demo_earthquakes values(1.9776,126.66,4.6);',
'insert into jk64demo_earthquakes values(19.3863333,-155.2786667,2.66);',
'insert into jk64demo_earthquakes values(33.8665,-117.038,0.85);',
'insert into jk64demo_earthquakes values(38.8255005,-122.7983322,0.52);',
'insert into jk64demo_earthquakes values(38.8255005,-122.8003311,0.53);',
'insert into jk64demo_earthquakes values(19.4068333,-155.2765,0.59);',
'insert into jk64demo_earthquakes values(36.4418,-98.7719,2.1);',
'insert into jk64demo_earthquakes values(38.8255005,-122.7973328,0.89);',
'insert into jk64demo_earthquakes values(38.8258333,-122.7971667,1.04);',
'insert into jk64demo_earthquakes values(37.58,-118.8578333,0.06);',
'insert into jk64demo_earthquakes values(36.4489,-98.7647,1);',
'insert into jk64demo_earthquakes values(63.2831,-151.3813,1.1);',
'insert into jk64demo_earthquakes values(18.798,-65.0221,2.4);',
'insert into jk64demo_earthquakes values(20.0221667,-155.596,1.66);',
'insert into jk64demo_earthquakes values(38.5107,-118.402,-0.1);',
'insert into jk64demo_earthquakes values(37.236,-118.2034,0.7);',
'insert into jk64demo_earthquakes values(48.668,-119.5895,1.26);',
'insert into jk64demo_earthquakes values(62.9175,-151.1434,1.5);',
'insert into jk64demo_earthquakes values(13.1232,-88.8203,5);',
'insert into jk64demo_earthquakes values(62.255,-145.6815,0.9);',
'insert into jk64demo_earthquakes values(37.5306667,-118.8666667,0.4);',
'insert into jk64demo_earthquakes values(45.1035,-122.5186667,2.15);',
'insert into jk64demo_earthquakes values(52.9164,-167.5107,2.8);',
'insert into jk64demo_earthquakes values(37.5713333,-118.8526667,1.31);',
'insert into jk64demo_earthquakes values(63.5201,-146.6807,1.2);',
'insert into jk64demo_earthquakes values(19.3243333,-155.1925,1.48);',
'insert into jk64demo_earthquakes values(64.9912,-147.325,1.3);',
'insert into jk64demo_earthquakes values(37.5719,141.8681,4.4);',
'insert into jk64demo_earthquakes values(60.079,-152.9137,1.9);',
'insert into jk64demo_earthquakes values(38.7715,-122.7418333,1.32);',
'insert into jk64demo_earthquakes values(59.0258,-137.1109,1.8);',
'insert into jk64demo_earthquakes values(-16.5418,178.0144,4.5);',
'insert into jk64demo_earthquakes values(-28.8266,-12.7068,4.7);',
'insert into jk64demo_earthquakes values(59.8661,-152.7169,1.9);',
'insert into jk64demo_earthquakes values(44.5566667,-114.5151667,2.22);',
'insert into jk64demo_earthquakes values(18.1298,-67.4131,2.9);',
'insert into jk64demo_earthquakes values(-16.8664,-173.4804,4.8);',
'insert into jk64demo_earthquakes values(59.5083,-152.1773,1.9);',
'insert into jk64demo_earthquakes values(38.7591667,-122.7355,1.08);',
'insert into jk64demo_earthquakes values(38.76,-122.7368333,0.75);',
'insert into jk64demo_earthquakes values(36.4388,-98.7814,1.9);',
'insert into jk64demo_earthquakes values(37.2235,-97.585,2.02);',
'insert into jk64demo_earthquakes values(46.6131667,-111.892,1.4);',
'insert into jk64demo_earthquakes values(33.4815,-116.452,0.7);',
'insert into jk64demo_earthquakes values(58.3316,-137.8397,1.9);',
'insert into jk64demo_earthquakes values(46.3456667,-122.3848333,0.89);',
'insert into jk64demo_earthquakes values(36.5875,-116.2569,0.8);',
'insert into jk64demo_earthquakes values(-26.3907,179.0271,4.4);',
'insert into jk64demo_earthquakes values(38.7986679,-122.8024979,0.87);',
'insert into jk64demo_earthquakes values(52.5728,-166.8694,2.4);',
'insert into jk64demo_earthquakes values(36.0361667,-117.7758333,0.26);',
'insert into jk64demo_earthquakes values(49.4035,-120.5045,2.11);',
'insert into jk64demo_earthquakes values(37.5973333,-118.8726667,-0.01);',
'insert into jk64demo_earthquakes values(36.5924,-116.2644,0.5);',
'insert into jk64demo_earthquakes values(37.5738333,-118.8555,0.8);',
'insert into jk64demo_earthquakes values(60.3983,-150.7089,1.7);',
'insert into jk64demo_earthquakes values(38.7649994,-122.7418365,0.93);',
'insert into jk64demo_earthquakes values(41.8667,-119.63,1.1);',
'insert into jk64demo_earthquakes values(38.8235,-122.8426667,1.06);',
'insert into jk64demo_earthquakes values(38.7571667,-122.7326667,0.72);',
'insert into jk64demo_earthquakes values(35.5606667,-120.8308333,1.39);',
'insert into jk64demo_earthquakes values(36.0611667,-117.8746667,2.01);',
'insert into jk64demo_earthquakes values(38.7635,-122.7403333,2.7);',
'insert into jk64demo_earthquakes values(-18.5124,-174.5991,5.2);',
'insert into jk64demo_earthquakes values(38.8001667,-122.7698333,0.66);',
'insert into jk64demo_earthquakes values(37.5745,-118.8495,0.93);',
'insert into jk64demo_earthquakes values(38.770668,-122.7656631,0.76);',
'insert into jk64demo_earthquakes values(37.3183,-114.634,1.9);',
'insert into jk64demo_earthquakes values(33.8678333,-117.5153333,0.98);',
'insert into jk64demo_earthquakes values(40.5185,-121.5086667,0.21);',
'insert into jk64demo_earthquakes values(17.8509,146.2847,4.1);',
'insert into jk64demo_earthquakes values(36.062,-117.8745,2.15);',
'insert into jk64demo_earthquakes values(39.6407,-119.5513,0.1);',
'insert into jk64demo_earthquakes values(23.8544,123.4507,4);',
'insert into jk64demo_earthquakes values(63.1557,-150.4687,1.6);',
'insert into jk64demo_earthquakes values(37.662,-118.8808333,0.01);',
'insert into jk64demo_earthquakes values(65.1998,-149.0137,0.6);',
'insert into jk64demo_earthquakes values(51.6235,-173.8162,1.9);',
'insert into jk64demo_earthquakes values(33.8413333,-117.4926667,1.5);',
'insert into jk64demo_earthquakes values(33.3366667,-116.3458333,1);',
'insert into jk64demo_earthquakes values(38.8021667,-122.7703333,0.65);',
'insert into jk64demo_earthquakes values(63.0758,-149.3874,1.9);',
'insert into jk64demo_earthquakes values(51.5636,-173.8409,2);',
'insert into jk64demo_earthquakes values(0.4328,122.5294,4.1);',
'insert into jk64demo_earthquakes values(23.9254,123.4273,5.1);',
'insert into jk64demo_earthquakes values(36.443,-98.7808,2.8);',
'insert into jk64demo_earthquakes values(52.0229,-173.6147,2);',
'insert into jk64demo_earthquakes values(36.7359,-116.2915,-0.2);',
'insert into jk64demo_earthquakes values(37.1208333,-97.4875,2.05);',
'insert into jk64demo_earthquakes values(37.5578333,-118.8506667,0);',
'insert into jk64demo_earthquakes values(59.5694,-152.5415,1.7);',
'insert into jk64demo_earthquakes values(38.511,-118.3964,0.8);',
'insert into jk64demo_earthquakes values(64.1818,-150.012,0.8);',
'insert into jk64demo_earthquakes values(38.4858,-117.9195,1.2);',
'insert into jk64demo_earthquakes values(38.5078,-118.4047,1.9);',
'insert into jk64demo_earthquakes values(37.5369,77.8015,4.4);',
'insert into jk64demo_earthquakes values(43.1599,80.3128,4.7);',
'insert into jk64demo_earthquakes values(37.3887,78.0971,4);',
'insert into jk64demo_earthquakes values(61.2655,-146.9442,1.2);',
'insert into jk64demo_earthquakes values(37.499,-122.3988333,0.97);',
'insert into jk64demo_earthquakes values(37.5381667,-118.8763333,0.2);',
'insert into jk64demo_earthquakes values(64.8486,-148.7127,0.3);',
'insert into jk64demo_earthquakes values(33.8461667,-117.4985,1.7);',
'insert into jk64demo_earthquakes values(51.5276,-175.4674,2);',
'insert into jk64demo_earthquakes values(38.8064995,-122.8221664,0.99);',
'insert into jk64demo_earthquakes values(-5.8267,149.5974,4.4);',
'insert into jk64demo_earthquakes values(19.5266667,-155.6016667,2.21);',
'insert into jk64demo_earthquakes values(67.9637,-154.0381,2);',
'insert into jk64demo_earthquakes values(38.845665,-122.8284988,1.01);',
'insert into jk64demo_earthquakes values(38.7945,-122.7646667,0.94);',
'insert into jk64demo_earthquakes values(19.4043333,-155.2668333,0.83);',
'insert into jk64demo_earthquakes values(0.4275,124.6856,4.4);',
'insert into jk64demo_earthquakes values(19.3865,-155.2791667,0.51);',
'insert into jk64demo_earthquakes values(-31.5105,-72.4272,4.3);',
'insert into jk64demo_earthquakes values(18.3805,-67.5288,2.6);',
'insert into jk64demo_earthquakes values(36.01,-117.8001667,0.65);',
'insert into jk64demo_earthquakes values(51.7523,-177.933,2);',
'insert into jk64demo_earthquakes values(53.4813,-165.3406,2);',
'insert into jk64demo_earthquakes values(19.3846667,-155.2791667,1.27);',
'insert into jk64demo_earthquakes values(38.7783333,-122.7235,1.44);',
'insert into jk64demo_earthquakes values(62.3913,-151.2141,1.7);',
'insert into jk64demo_earthquakes values(19.9298325,-155.6009979,2.15);',
'insert into jk64demo_earthquakes values(51.368,-175.4933,1.7);',
'insert into jk64demo_earthquakes values(59.841,-152.9577,1.9);',
'insert into jk64demo_earthquakes values(51.533,-175.4916,1.7);',
'insert into jk64demo_earthquakes values(37.4163,-116.8906,0.7);',
'insert into jk64demo_earthquakes values(36.4626667,-121.0393333,1.27);',
'insert into jk64demo_earthquakes values(47.6838333,-120.3163333,0.33);',
'insert into jk64demo_earthquakes values(38.8266678,-122.7955017,0.9);',
'insert into jk64demo_earthquakes values(39.6742,-119.4051,2.1);',
'insert into jk64demo_earthquakes values(61.3535,-140.9165,0.8);',
'insert into jk64demo_earthquakes values(53.7121,-163.9538,2.6);',
'insert into jk64demo_earthquakes values(47.6703333,-120.0885,1.12);',
'insert into jk64demo_earthquakes values(-7.947,130.7199,4.3);',
'insert into jk64demo_earthquakes values(18.4342,-66.1045,3);',
'insert into jk64demo_earthquakes values(60.9966,-146.3162,1.6);',
'insert into jk64demo_earthquakes values(39.5288333,-111.1005,1.37);',
'insert into jk64demo_earthquakes values(44.7333333,-111.1625,0.33);',
'insert into jk64demo_earthquakes values(44.7613333,-111.1521667,0.28);',
'insert into jk64demo_earthquakes values(38.8075,-122.8296667,0.82);',
'insert into jk64demo_earthquakes values(44.7695,-111.1613333,0);',
'insert into jk64demo_earthquakes values(37.2205,-117.8144,1.6);',
'insert into jk64demo_earthquakes values(37.239,-117.8096,0.1);',
'insert into jk64demo_earthquakes values(63.0818,-149.6747,1.5);',
'insert into jk64demo_earthquakes values(61.8286,-146.1251,1.2);',
'insert into jk64demo_earthquakes values(63.0876,-149.0084,1.3);',
'insert into jk64demo_earthquakes values(34.8655,-119.4478333,1.43);',
'insert into jk64demo_earthquakes values(63.8335,-149.6077,1.1);',
'insert into jk64demo_earthquakes values(14.6669,-93.1779,5);',
'insert into jk64demo_earthquakes values(37.2225,-97.5866667,2.08);',
'insert into jk64demo_earthquakes values(51.4544,-178.0729,2.7);',
'insert into jk64demo_earthquakes values(85.1104,11.067,4.6);',
'insert into jk64demo_earthquakes values(63.1664,-149.7284,1.4);',
'insert into jk64demo_earthquakes values(63.1078,-144.2112,0.6);',
'insert into jk64demo_earthquakes values(-18.6471,169.2695,4.4);',
'insert into jk64demo_earthquakes values(44.5615,-114.4988333,1.55);',
'insert into jk64demo_earthquakes values(60.2751,-149.924,1.4);',
'insert into jk64demo_earthquakes values(60.1653,-141.2217,1.2);',
'insert into jk64demo_earthquakes values(38.7866667,-122.7311667,1.05);',
'insert into jk64demo_earthquakes values(51.6149,-178.4592,2.2);',
'insert into jk64demo_earthquakes values(46.3486667,-122.3716667,1.14);',
'insert into jk64demo_earthquakes values(51.3284,-177.0017,2.6);',
'insert into jk64demo_earthquakes values(37.5773333,-118.8523333,0.16);',
'insert into jk64demo_earthquakes values(37.5716667,-118.849,0.03);',
'insert into jk64demo_earthquakes values(61.9488,-148.8837,1.6);',
'insert into jk64demo_earthquakes values(17.8078,-65.3219,2.7);',
'insert into jk64demo_earthquakes values(61.712,-150.4973,1.6);',
'insert into jk64demo_earthquakes values(39.1496,-119.715,0.6);',
'insert into jk64demo_earthquakes values(61.2145,-147.0249,2);',
'insert into jk64demo_earthquakes values(51.4937,-177.8968,1.8);',
'insert into jk64demo_earthquakes values(62.9964,-150.9267,1.7);',
'insert into jk64demo_earthquakes values(44.4343333,-114.0993333,1.99);',
'insert into jk64demo_earthquakes values(37.3253333,-118.3058333,1.07);',
'insert into jk64demo_earthquakes values(18.8143,-66.963,2.6);',
'insert into jk64demo_earthquakes values(38.9835,-115.3038,2.4);',
'insert into jk64demo_earthquakes values(63.1806,-149.7565,1.4);',
'insert into jk64demo_earthquakes values(61.3779,-141.0315,1.4);',
'insert into jk64demo_earthquakes values(63.3103,-150.3862,1.6);',
'insert into jk64demo_earthquakes values(54.797,-162.7468,2.7);',
'insert into jk64demo_earthquakes values(-33.1796,-177.5878,5.7);',
'insert into jk64demo_earthquakes values(37.6165,-118.8048333,0.56);',
'insert into jk64demo_earthquakes values(37.5738333,-118.8526667,-0.01);',
'insert into jk64demo_earthquakes values(37.576,-118.8556667,0.75);',
'insert into jk64demo_earthquakes values(-7.9431,-74.453,4.7);',
'insert into jk64demo_earthquakes values(-0.0888,125.3315,4.1);',
'insert into jk64demo_earthquakes values(19.0895,-66.6406,3);',
'insert into jk64demo_earthquakes values(35.6651667,-118.437,1.29);',
'insert into jk64demo_earthquakes values(60.9018,-149.1051,1.4);',
'insert into jk64demo_earthquakes values(38.4897,-118.4305,0.5);',
'insert into jk64demo_earthquakes values(33.6871667,-116.7921667,0.73);',
'insert into jk64demo_earthquakes values(63.8,-150.2953,1.8);',
'insert into jk64demo_earthquakes values(33.7615,-116.9438333,0.92);',
'insert into jk64demo_earthquakes values(63.1709,-150.5744,2);',
'insert into jk64demo_earthquakes values(36.5003,-98.764,1.5);',
'insert into jk64demo_earthquakes values(60.9015,-147.02,1.2);',
'insert into jk64demo_earthquakes values(36.8801,-116.161,-0.4);',
'insert into jk64demo_earthquakes values(18.8327,-67.2754,2.6);',
'insert into jk64demo_earthquakes values(37.5738333,-118.8551667,0.42);',
'insert into jk64demo_earthquakes values(44.5633333,-110.7556667,0.29);',
'insert into jk64demo_earthquakes values(-47.5123,99.8286,4.9);',
'insert into jk64demo_earthquakes values(58.611,-141.4237,2.3);',
'insert into jk64demo_earthquakes values(63.4148,-152.9938,1.1);',
'insert into jk64demo_earthquakes values(36.0236,68.7058,4.5);',
'insert into jk64demo_earthquakes values(62.7335,-143.7724,1);',
'insert into jk64demo_earthquakes values(36.4758,-98.7408,1.7);',
'insert into jk64demo_earthquakes values(36.4758,-98.7406,1.8);',
'insert into jk64demo_earthquakes values(44.563,-114.5028333,1.37);',
'insert into jk64demo_earthquakes values(63.4241,-151.2937,0.9);',
'insert into jk64demo_earthquakes values(-54.208,-1.4345,4.9);',
'insert into jk64demo_earthquakes values(38.2625,-111.5306667,1.23);',
'insert into jk64demo_earthquakes values(37.5615,-118.8441667,0.14);',
'insert into jk64demo_earthquakes values(18.0114,-67.0743,1.5);',
'insert into jk64demo_earthquakes values(37.4021667,-113.8351667,1.1);',
'insert into jk64demo_earthquakes values(62.491,-149.3462,1.2);',
'insert into jk64demo_earthquakes values(64.7194,-148.2366,0.4);',
'insert into jk64demo_earthquakes values(56.482,-158.2764,2.8);',
'insert into jk64demo_earthquakes values(37.5758333,-118.8553333,-0.04);',
'insert into jk64demo_earthquakes values(36.8863,-116.0069,-0.5);',
'insert into jk64demo_earthquakes values(38.8223343,-122.8424988,0.9);',
'insert into jk64demo_earthquakes values(54.5941,-161.9938,2.1);',
'insert into jk64demo_earthquakes values(38.8199997,-122.7669983,0.87);',
'insert into jk64demo_earthquakes values(18.0331,-66.3721,2.8);',
'insert into jk64demo_earthquakes values(41.9816,-120.1764,1.5);',
'insert into jk64demo_earthquakes values(48.7298333,-125.6346667,2.03);',
'insert into jk64demo_earthquakes values(61.4457,-150.0902,1.4);',
'insert into jk64demo_earthquakes values(41.8924,-119.5791,0.2);',
'insert into jk64demo_earthquakes values(37.5776667,-118.8513333,0.14);',
'insert into jk64demo_earthquakes values(37.854,-122.0588333,0.75);',
'insert into jk64demo_earthquakes values(38.2836,-117.8817,0.7);',
'insert into jk64demo_earthquakes values(19.3955,-155.2386667,1.66);',
'insert into jk64demo_earthquakes values(37.582,-118.8581667,-0.03);',
'insert into jk64demo_earthquakes values(36.7483333,-121.4175,1.29);',
'insert into jk64demo_earthquakes values(32.8585,-117.944,2.13);',
'insert into jk64demo_earthquakes values(62.5582,-151.2347,1.3);',
'insert into jk64demo_earthquakes values(33.4795,-116.5228333,0.44);',
'insert into jk64demo_earthquakes values(37.1043333,-121.516,0.94);',
'insert into jk64demo_earthquakes values(38.812,-122.8218333,1.47);',
'insert into jk64demo_earthquakes values(35.7738333,-121.2288333,1.03);',
'insert into jk64demo_earthquakes values(38.8441667,-122.8268333,1.2);',
'insert into jk64demo_earthquakes values(36.1508,-98.7294,2.9);',
'insert into jk64demo_earthquakes values(62.1651,-151.4049,1.5);',
'insert into jk64demo_earthquakes values(36.4368,-98.7771,2.1);',
'insert into jk64demo_earthquakes values(41.9044,-119.6139,1.3);',
'insert into jk64demo_earthquakes values(61.3988,-150.3172,1.6);',
'insert into jk64demo_earthquakes values(35.6884,-97.4341,3);',
'insert into jk64demo_earthquakes values(35.7368333,-117.309,1.19);',
'insert into jk64demo_earthquakes values(39.9506,-120.8383,0.3);',
'insert into jk64demo_earthquakes values(18.892,-67.0903,3);',
'insert into jk64demo_earthquakes values(41.9063,-119.6012,0.5);',
'insert into jk64demo_earthquakes values(51.6603,-176.8763,1.6);',
'insert into jk64demo_earthquakes values(36.6325,-116.9323,0.1);',
'insert into jk64demo_earthquakes values(46.1273333,-122.1645,0.44);',
'insert into jk64demo_earthquakes values(46.1251667,-122.1635,0.43);',
'insert into jk64demo_earthquakes values(41.8884,-119.6167,2.1);',
'insert into jk64demo_earthquakes values(38.8171654,-122.8075027,0.9);',
'insert into jk64demo_earthquakes values(44.5488333,-114.5121667,1.96);',
'insert into jk64demo_earthquakes values(38.777668,-122.7549973,0.5);',
'insert into jk64demo_earthquakes values(37.624,-118.9651667,0.9);',
'insert into jk64demo_earthquakes values(51.613,178.8704,2.8);',
'insert into jk64demo_earthquakes values(64.4693,-134.4508,2.7);',
'insert into jk64demo_earthquakes values(61.5583,-146.2738,1.9);',
'insert into jk64demo_earthquakes values(38.8128333,-122.8201667,1.08);',
'insert into jk64demo_earthquakes values(33.3131667,-116.2833333,0.77);',
'insert into jk64demo_earthquakes values(38.7566667,-122.6891667,0.67);',
'insert into jk64demo_earthquakes values(44.687,-111.7665,1.01);',
'insert into jk64demo_earthquakes values(60.6176,-143.1189,1.3);',
'insert into jk64demo_earthquakes values(37.4008,-115.5805,0.4);',
'insert into jk64demo_earthquakes values(19.0788,-64.8476,3.4);',
'insert into jk64demo_earthquakes values(38.4292,-118.1843,0.9);',
'insert into jk64demo_earthquakes values(37.3565,-121.7176667,1.68);',
'insert into jk64demo_earthquakes values(37.3563333,-121.7146667,0.99);',
'insert into jk64demo_earthquakes values(37.3595,-121.7175,0.9);',
'insert into jk64demo_earthquakes values(37.3593333,-121.712,2.05);',
'insert into jk64demo_earthquakes values(37.3591667,-121.716,0.8);',
'insert into jk64demo_earthquakes values(35.6718,-97.4179,3.4);',
'insert into jk64demo_earthquakes values(37.1315,-97.9838333,1.94);',
'insert into jk64demo_earthquakes values(40.0829,-120.3999,0.3);',
'insert into jk64demo_earthquakes values(64.495,-147.6648,1.3);',
'insert into jk64demo_earthquakes values(41.9086,-119.6006,0.8);',
'insert into jk64demo_earthquakes values(32.261,-115.3041667,2.18);',
'insert into jk64demo_earthquakes values(37.582,-118.8398333,0.13);',
'insert into jk64demo_earthquakes values(52.0213,-171.0059,3);',
'insert into jk64demo_earthquakes values(19.166,-64.8155,3.4);',
'insert into jk64demo_earthquakes values(39.4864,-119.1832,1.2);',
'insert into jk64demo_earthquakes values(37.4628,-116.5479,-0.3);',
'insert into jk64demo_earthquakes values(37.5596667,-118.869,0.13);',
'insert into jk64demo_earthquakes values(37.6131667,-118.8666667,-0.19);',
'insert into jk64demo_earthqu'))
);
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'akes values(33.8198333,-116.9846667,0.81);',
'insert into jk64demo_earthquakes values(44.6923333,-111.8486667,0.97);',
'insert into jk64demo_earthquakes values(38.8246667,-122.8475,0.14);',
'insert into jk64demo_earthquakes values(44.6938333,-111.8201667,1.26);',
'insert into jk64demo_earthquakes values(54.6094,-161.4159,2.7);',
'insert into jk64demo_earthquakes values(37.2903333,-121.6726667,1);',
'insert into jk64demo_earthquakes values(40.5416667,-111.6355,2.35);',
'insert into jk64demo_earthquakes values(34.6866667,-116.242,2.77);',
'insert into jk64demo_earthquakes values(60.9491,-150.9477,2.1);',
'insert into jk64demo_earthquakes values(35.5398333,-119.3698333,2.25);',
'insert into jk64demo_earthquakes values(33.7681667,-115.9388333,0.84);',
'insert into jk64demo_earthquakes values(33.763,-115.9478333,1.77);',
'insert into jk64demo_earthquakes values(36.4938,-98.7149,2);',
'insert into jk64demo_earthquakes values(36.4858,-98.7312,2.4);',
'insert into jk64demo_earthquakes values(37.0133,-116.4903,-1.1);',
'insert into jk64demo_earthquakes values(46.8938333,-112.5498333,2.57);',
'insert into jk64demo_earthquakes values(38.8376656,-122.8328323,0.68);',
'insert into jk64demo_earthquakes values(37.6335,-119.0421667,0.17);',
'insert into jk64demo_earthquakes values(63.2869,-151.402,2.4);',
'insert into jk64demo_earthquakes values(38.838,-122.8311667,0.94);',
'insert into jk64demo_earthquakes values(38.8373333,-122.8311667,1.42);',
'insert into jk64demo_earthquakes values(38.839,-122.8303333,1.85);',
'insert into jk64demo_earthquakes values(38.8026657,-122.7699966,0.98);',
'insert into jk64demo_earthquakes values(61.4336,-150.0052,1.7);',
'insert into jk64demo_earthquakes values(41.8659,-119.6427,0.6);',
'insert into jk64demo_earthquakes values(59.6152,-151.534,1.6);',
'insert into jk64demo_earthquakes values(37.0419,-116.296,0.1);',
'insert into jk64demo_earthquakes values(53.8362,-166.5256,0.8);',
'insert into jk64demo_earthquakes values(38.8395004,-122.8300018,0.78);',
'insert into jk64demo_earthquakes values(37.244,-116.0078,-0.9);',
'insert into jk64demo_earthquakes values(47.7731667,-122.8885,1.93);',
'insert into jk64demo_earthquakes values(37.0563,-117.457,0.9);',
'insert into jk64demo_earthquakes values(38.8128333,-122.783,0.29);',
'insert into jk64demo_earthquakes values(37.0085,-116.499,-1.3);',
'insert into jk64demo_earthquakes values(37.0477,-117.4543,0.4);',
'insert into jk64demo_earthquakes values(39.2267,-120.085,-0.5);',
'insert into jk64demo_earthquakes values(37.0425,-116.4439,-1.1);',
'insert into jk64demo_earthquakes values(36.6548,-116.2711,0.3);',
'insert into jk64demo_earthquakes values(37.0259,-116.4447,-0.8);',
'insert into jk64demo_earthquakes values(59.6421,-153.5029,1.6);',
'insert into jk64demo_earthquakes values(37.0238,-116.4422,0.3);',
'insert into jk64demo_earthquakes values(59.7119,-153.2834,1.9);',
'insert into jk64demo_earthquakes values(33.442,-116.4393333,0.92);',
'insert into jk64demo_earthquakes values(18.8829,-64.4195,2.7);',
'insert into jk64demo_earthquakes values(33.7605,-115.95,1.57);',
'insert into jk64demo_earthquakes values(33.7671667,-115.9475,1.02);',
'insert into jk64demo_earthquakes values(63.555,-150.926,1.2);',
'insert into jk64demo_earthquakes values(61.4028,-146.781,1.4);',
'insert into jk64demo_earthquakes values(64.3346,-149.1256,0.7);',
'insert into jk64demo_earthquakes values(53.5793,-164.7982,2.3);',
'insert into jk64demo_earthquakes values(39.6597,-120.2791,0.3);',
'insert into jk64demo_earthquakes values(64.8298,-147.4645,0.1);',
'insert into jk64demo_earthquakes values(36.0525,-120.2431667,1.4);',
'insert into jk64demo_earthquakes values(36.06,-120.246,1.14);',
'insert into jk64demo_earthquakes values(36.943,-121.5475,1.28);',
'insert into jk64demo_earthquakes values(65.9059,-151.7276,0.9);',
'insert into jk64demo_earthquakes values(60.7488,-151.8589,1.4);',
'insert into jk64demo_earthquakes values(36.7369,-116.2965,0);',
'insert into jk64demo_earthquakes values(18.1492,-67.5195,2.3);',
'insert into jk64demo_earthquakes values(36.7363,-116.2896,0);',
'insert into jk64demo_earthquakes values(39.5905,-120.0516,-0.2);',
'insert into jk64demo_earthquakes values(39.5857,-120.0491,0.6);',
'insert into jk64demo_earthquakes values(19.0795,-64.916,2.7);',
'insert into jk64demo_earthquakes values(19.0776,-67.936,2.9);',
'insert into jk64demo_earthquakes values(38.8011667,-122.8285,0.27);',
'insert into jk64demo_earthquakes values(44.6118333,-114.1391667,1.02);',
'insert into jk64demo_earthquakes values(36.0053333,-117.9143333,0.7);',
'insert into jk64demo_earthquakes values(35.9986667,-117.4431667,2.74);',
'insert into jk64demo_earthquakes values(19.9601669,-155.3690033,2.02);',
'insert into jk64demo_earthquakes values(14.5611,-90.6429,3.5);',
'insert into jk64demo_earthquakes values(37.0086,-117.4996,0.2);',
'insert into jk64demo_earthquakes values(61.8666,-149.9698,1.3);',
'insert into jk64demo_earthquakes values(19.9768333,-155.3466667,1.94);',
'insert into jk64demo_earthquakes values(18.756,-67.49,2.5);',
'insert into jk64demo_earthquakes values(38.8063316,-122.8178329,1.05);',
'insert into jk64demo_earthquakes values(5.2818,125.3296,5.5);',
'insert into jk64demo_earthquakes values(36.7199,-116.2233,-0.1);',
'insert into jk64demo_earthquakes values(18.9071,-65.754,2.4);',
'insert into jk64demo_earthquakes values(61.9577,-147.8255,1.3);',
'insert into jk64demo_earthquakes values(61.5852,-146.7363,1.5);',
'insert into jk64demo_earthquakes values(41.8596,-119.6462,0.8);',
'insert into jk64demo_earthquakes values(22.739,-63.3288,4.6);',
'insert into jk64demo_earthquakes values(37.6285,-118.9115,0.54);',
'insert into jk64demo_earthquakes values(35.9988333,-117.4428333,2.32);',
'insert into jk64demo_earthquakes values(33.7435,-116.8153333,0.69);',
'insert into jk64demo_earthquakes values(40.0943333,-121.5786667,2.46);',
'insert into jk64demo_earthquakes values(41.8831,-119.5902,0.9);',
'insert into jk64demo_earthquakes values(36.7342,-116.2942,-0.3);',
'insert into jk64demo_earthquakes values(36.0183333,-120.5818333,1.5);',
'insert into jk64demo_earthquakes values(36.7336,-116.2999,-0.1);',
'insert into jk64demo_earthquakes values(33.036,-116.4133333,1.24);',
'insert into jk64demo_earthquakes values(36.7342,-116.2874,0);',
'insert into jk64demo_earthquakes values(38.8266678,-122.8511658,0.92);',
'insert into jk64demo_earthquakes values(44.5421667,-114.5025,1.81);',
'insert into jk64demo_earthquakes values(38.824501,-122.8436661,0.69);',
'insert into jk64demo_earthquakes values(-31.712,-67.5532,5);',
'insert into jk64demo_earthquakes values(60.089,-153.2209,2);',
'insert into jk64demo_earthquakes values(39.8915,-116.0567,1.7);',
'insert into jk64demo_earthquakes values(61.3725,-146.8096,1.3);',
'insert into jk64demo_earthquakes values(38.5229,-118.5125,-0.1);',
'insert into jk64demo_earthquakes values(64.1873,-148.989,0.9);',
'insert into jk64demo_earthquakes values(57.9498,-156.0196,2.9);',
'insert into jk64demo_earthquakes values(36.4488,-98.789,1.8);',
'insert into jk64demo_earthquakes values(38.8224983,-122.8420029,1.07);',
'insert into jk64demo_earthquakes values(38.8218346,-122.8423309,0.85);',
'insert into jk64demo_earthquakes values(38.5447,-118.4877,0.2);',
'insert into jk64demo_earthquakes values(18.759,-68.6516,3.7);',
'insert into jk64demo_earthquakes values(19.4773,-65.4954,3.3);',
'insert into jk64demo_earthquakes values(14.867,-93.7914,4.2);',
'insert into jk64demo_earthquakes values(-34.701,-16.1144,4.8);',
'insert into jk64demo_earthquakes values(38.8346667,-122.8811667,0.06);',
'insert into jk64demo_earthquakes values(38.7778333,-122.7301667,0.55);',
'insert into jk64demo_earthquakes values(40.1651667,-122.84,1.52);',
'insert into jk64demo_earthquakes values(44.6202,-114.136,3.3);',
'insert into jk64demo_earthquakes values(46.3343333,-119.4253333,0.1);',
'insert into jk64demo_earthquakes values(64.8504,-147.1646,0.2);',
'insert into jk64demo_earthquakes values(54.0551,-163.3269,2.4);',
'insert into jk64demo_earthquakes values(41.8472,-119.6408,1.9);',
'insert into jk64demo_earthquakes values(-28.8908,-67.5705,4.5);',
'insert into jk64demo_earthquakes values(41.8511,-119.6368,0.9);',
'insert into jk64demo_earthquakes values(63.1869,-150.7422,1.3);',
'insert into jk64demo_earthquakes values(44.5548,-114.514,3.2);',
'insert into jk64demo_earthquakes values(64.6398,-149.1602,0.5);',
'insert into jk64demo_earthquakes values(37.9574,143.8241,4);',
'insert into jk64demo_earthquakes values(37.6298333,-118.9695,0.1);',
'insert into jk64demo_earthquakes values(18.5783,-64.658,2.5);',
'insert into jk64demo_earthquakes values(36.9034,-117.4747,0.8);',
'insert into jk64demo_earthquakes values(34.2165,-117.0801667,1.11);',
'insert into jk64demo_earthquakes values(36.2035,-120.328,1.32);',
'insert into jk64demo_earthquakes values(46.1408333,-111.4555,0.34);',
'insert into jk64demo_earthquakes values(38.8431664,-122.840332,0.71);',
'insert into jk64demo_earthquakes values(60.675,-152.3754,1.7);',
'insert into jk64demo_earthquakes values(38.758,-122.9148333,1.48);',
'insert into jk64demo_earthquakes values(0.4053,126.1241,4.2);',
'insert into jk64demo_earthquakes values(27.8322,85.7365,4.7);',
'insert into jk64demo_earthquakes values(38.8123333,-122.8136667,1.28);',
'insert into jk64demo_earthquakes values(59.7917,-153.0831,2);',
'insert into jk64demo_earthquakes values(37.5698333,-118.8501667,0.13);',
'insert into jk64demo_earthquakes values(35.7311667,-121.125,0.73);',
'insert into jk64demo_earthquakes values(33.4945,-116.7896667,0.6);',
'insert into jk64demo_earthquakes values(38.8078346,-122.8270035,0.52);',
'insert into jk64demo_earthquakes values(37.4155,-115.6165,1.6);',
'insert into jk64demo_earthquakes values(38.81,-122.8133333,0.5);',
'insert into jk64demo_earthquakes values(34.6933333,-116.2456667,2.05);',
'insert into jk64demo_earthquakes values(36.8747,-116.2086,-0.1);',
'insert into jk64demo_earthquakes values(37.8795,-118.0977,1.4);',
'insert into jk64demo_earthquakes values(35.7238,-116.158,0.3);',
'insert into jk64demo_earthquakes values(53.2313,-166.479,2.8);',
'insert into jk64demo_earthquakes values(38.8093338,-122.8235016,0.88);',
'insert into jk64demo_earthquakes values(37.5706667,-118.851,1.34);',
'insert into jk64demo_earthquakes values(41.9433,-119.6199,0.9);',
'insert into jk64demo_earthquakes values(37.1024,-115.3043,0.8);',
'insert into jk64demo_earthquakes values(37.5771667,-118.832,0.47);',
'insert into jk64demo_earthquakes values(18.7292,-69.4339,4.7);',
'insert into jk64demo_earthquakes values(37.5711667,-118.8545,0.08);',
'insert into jk64demo_earthquakes values(38.7532,-118.9436,1.2);',
'insert into jk64demo_earthquakes values(40.8991667,-123.355,2.19);',
'insert into jk64demo_earthquakes values(64.7005,-149.7447,2.4);',
'insert into jk64demo_earthquakes values(37.495,-116.8114,0.1);',
'insert into jk64demo_earthquakes values(38.8160019,-122.8143311,0.52);',
'insert into jk64demo_earthquakes values(46.1973333,-122.2993333,0.07);',
'insert into jk64demo_earthquakes values(38.8358345,-122.7958298,0.49);',
'insert into jk64demo_earthquakes values(39.1498,-119.7157,0.7);',
'insert into jk64demo_earthquakes values(38.8133316,-122.7841644,0.75);',
'insert into jk64demo_earthquakes values(37.47,-118.8258333,1.24);',
'insert into jk64demo_earthquakes values(34.183,-117.4038333,1.92);',
'insert into jk64demo_earthquakes values(62.7668,-150.5101,3);',
'insert into jk64demo_earthquakes values(32.6628333,-115.941,1.43);',
'insert into jk64demo_earthquakes values(64.8112,-147.0065,0.4);',
'insert into jk64demo_earthquakes values(44.6091667,-110.2968333,1.16);',
'insert into jk64demo_earthquakes values(37.037,-116.2138,-0.6);',
'insert into jk64demo_earthquakes values(62.7951,-149.5381,2);',
'insert into jk64demo_earthquakes values(47.2321667,-113.3513333,0.36);',
'insert into jk64demo_earthquakes values(62.2948,-150.0861,1.8);',
'insert into jk64demo_earthquakes values(38.8235016,-122.800499,0.66);',
'insert into jk64demo_earthquakes values(36.4409,-98.7758,2.4);',
'insert into jk64demo_earthquakes values(39.3597,-119.9426,0.6);',
'insert into jk64demo_earthquakes values(38.8230019,-122.8440018,0.43);',
'insert into jk64demo_earthquakes values(37.5693333,-118.8426667,2.29);',
'insert into jk64demo_earthquakes values(46.9423333,-112.3966667,0.74);',
'insert into jk64demo_earthquakes values(38.8366661,-122.8261642,0.43);',
'insert into jk64demo_earthquakes values(37.5698333,-118.8406667,0.74);',
'insert into jk64demo_earthquakes values(33.2831667,-116.2273333,1.16);',
'insert into jk64demo_earthquakes values(37.5711667,-118.8416667,1.02);',
'insert into jk64demo_earthquakes values(38.8218333,-122.7785,0.17);',
'insert into jk64demo_earthquakes values(64.9367,-149.17,0.5);',
'insert into jk64demo_earthquakes values(39.3543,-119.9379,0.7);',
'insert into jk64demo_earthquakes values(37.5748333,-118.8553333,0.1);',
'insert into jk64demo_earthquakes values(39.241,-120.0939,0.3);',
'insert into jk64demo_earthquakes values(33.7648333,-115.9478333,1.53);',
'insert into jk64demo_earthquakes values(33.7668333,-115.9465,1.32);',
'insert into jk64demo_earthquakes values(38.8066673,-122.82267,0.44);',
'insert into jk64demo_earthquakes values(33.7616667,-115.9465,1.65);',
'insert into jk64demo_earthquakes values(33.7605,-115.9488333,1.67);',
'insert into jk64demo_earthquakes values(63.1763,-150.5589,2.2);',
'insert into jk64demo_earthquakes values(39.3807,-119.7673,1.4);',
'insert into jk64demo_earthquakes values(41.8557,-119.6349,1.5);',
'insert into jk64demo_earthquakes values(37.0347,-116.4397,-0.7);',
'insert into jk64demo_earthquakes values(37.034,-116.4394,-0.8);',
'insert into jk64demo_earthquakes values(38.8064995,-122.8251648,1.1);',
'insert into jk64demo_earthquakes values(19.4263333,-155.6216667,1.52);',
'insert into jk64demo_earthquakes values(37.0431,-116.433,-0.5);',
'insert into jk64demo_earthquakes values(37.0284,-117.4729,1.2);',
'insert into jk64demo_earthquakes values(35.9314,-97.4224,2.8);',
'insert into jk64demo_earthquakes values(37.3713,-117.0796,0.8);',
'insert into jk64demo_earthquakes values(37.6343333,-118.8303333,0.29);',
'insert into jk64demo_earthquakes values(46.3555,-122.2981667,0.29);',
'insert into jk64demo_earthquakes values(59.8149,-153.1604,1.8);',
'insert into jk64demo_earthquakes values(37.5791667,-118.8451667,0);',
'insert into jk64demo_earthquakes values(-30.4623,-72.063,5.9);',
'insert into jk64demo_earthquakes values(37.5773333,-118.8538333,0.72);',
'insert into jk64demo_earthquakes values(37.4975,-113.909,1.37);',
'insert into jk64demo_earthquakes values(37.5913333,-118.8278333,2.51);',
'insert into jk64demo_earthquakes values(62.9195,-151.3304,1.5);',
'insert into jk64demo_earthquakes values(64.7472,-146.3701,0.8);',
'insert into jk64demo_earthquakes values(18.6151,-65.0315,3);',
'insert into jk64demo_earthquakes values(18.6298,-65.0279,3.4);',
'insert into jk64demo_earthquakes values(39.3306,-119.9063,0.5);',
'insert into jk64demo_earthquakes values(19.3,-155.1928333,0.89);',
'insert into jk64demo_earthquakes values(38.8243332,-122.8461685,0.86);',
'insert into jk64demo_earthquakes values(38.8308333,-122.8553333,0.38);',
'insert into jk64demo_earthquakes values(18.832,-64.6512,2.7);',
'insert into jk64demo_earthquakes values(33.5956667,-116.718,0.2);',
'insert into jk64demo_earthquakes values(35.9851667,-117.4501667,1.18);',
'insert into jk64demo_earthquakes values(62.4096,-148.3763,1.6);',
'insert into jk64demo_earthquakes values(33.595,-116.7188333,0.71);',
'insert into jk64demo_earthquakes values(37.5783333,-118.8611667,0.5);',
'insert into jk64demo_earthquakes values(46.8688333,-121.9941667,0.74);',
'insert into jk64demo_earthquakes values(38.8156662,-122.8170013,0.92);',
'insert into jk64demo_earthquakes values(39.5593,-115.739,3.4);',
'insert into jk64demo_earthquakes values(36.7357,-116.2876,-0.3);',
'insert into jk64demo_earthquakes values(38.814167,-122.819664,0.9);',
'insert into jk64demo_earthquakes values(37.3844,-117.0918,0.2);',
'insert into jk64demo_earthquakes values(33.6816667,-116.7558333,0.46);',
'insert into jk64demo_earthquakes values(53.7001,-168.3005,2.2);',
'insert into jk64demo_earthquakes values(18.921,-155.549,1.96);',
'insert into jk64demo_earthquakes values(32.9905,-116.418,1.11);',
'insert into jk64demo_earthquakes values(-4.4205,153.6209,4.9);',
'insert into jk64demo_earthquakes values(36.734,-116.2886,0.1);',
'insert into jk64demo_earthquakes values(36.6223333,-121.2318333,2.83);',
'insert into jk64demo_earthquakes values(64.5968,-146.971,0.5);',
'insert into jk64demo_earthquakes values(37.0251,-117.5129,0.5);',
'insert into jk64demo_earthquakes values(38.8128319,-122.8143311,1.1);',
'insert into jk64demo_earthquakes values(6.762,-72.972,4.6);',
'insert into jk64demo_earthquakes values(38.8219986,-122.8270035,0.46);',
'insert into jk64demo_earthquakes values(44.7306667,-111.1791667,0.53);',
'insert into jk64demo_earthquakes values(44.7298333,-111.1733333,0.56);',
'insert into jk64demo_earthquakes values(36.7328,-116.2989,-0.1);',
'insert into jk64demo_earthquakes values(64.9553,-148.8372,0.6);',
'insert into jk64demo_earthquakes values(44.544,-114.5058333,1.69);',
'insert into jk64demo_earthquakes values(36.7318,-116.2936,0);',
'insert into jk64demo_earthquakes values(36.736,-116.2889,0);',
'insert into jk64demo_earthquakes values(36.5388333,-121.0955,2.24);',
'insert into jk64demo_earthquakes values(36.7344,-116.2944,0.5);',
'insert into jk64demo_earthquakes values(36.7388,-116.2878,0.7);',
'insert into jk64demo_earthquakes values(61.8163,-148.4646,1);',
'insert into jk64demo_earthquakes values(59.2214,-136.7161,1.6);',
'insert into jk64demo_earthquakes values(62.8753,-149.7402,1.1);',
'insert into jk64demo_earthquakes values(35.5615,-120.8003333,0.89);',
'insert into jk64demo_earthquakes values(19.3563333,-155.036,1.96);',
'insert into jk64demo_earthquakes values(64.8479,-148.6566,0.6);',
'insert into jk64demo_earthquakes values(47.6008333,-121.737,1.64);',
'insert into jk64demo_earthquakes values(38.8371658,-122.8293304,0.98);',
'insert into jk64demo_earthquakes values(36.8421,-116.2497,0.2);',
'insert into jk64demo_earthquakes values(38.835,-122.7941667,1.52);',
'insert into jk64demo_earthquakes values(38.772,-122.6915,1.09);',
'insert into jk64demo_earthquakes values(63.2173,-151.3678,0.8);',
'insert into jk64demo_earthquakes values(60.328,-141.9058,1.3);',
'insert into jk64demo_earthquakes values(38.7983322,-122.7389984,0.88);',
'insert into jk64demo_earthquakes values(34.044,-116.8958333,0.91);',
'insert into jk64demo_earthquakes values(60.3288,-141.8457,1.1);',
'insert into jk64demo_earthquakes values(18.4883,-66.2969,3);',
'insert into jk64demo_earthquakes values(36.545,-121.1203333,0.94);',
'insert into jk64demo_earthquakes values(60.3759,-152.5527,1.7);',
'insert into jk64demo_earthquakes values(-15.6386,167.7685,5);',
'insert into jk64demo_earthquakes values(38.8371658,-122.774498,1.02);',
'insert into jk64demo_earthquakes values(59.8482,-151.3233,1.6);',
'insert into jk64demo_earthquakes values(36.4558,-98.7726,1.7);',
'insert into jk64demo_earthquakes values(38.8178329,-122.7786636,1.03);',
'insert into jk64demo_earthquakes values(36.0607,-117.588,0.7);',
'insert into jk64demo_earthquakes values(33.6948333,-116.8023333,0.68);',
'insert into jk64demo_earthquakes values(37.5758333,-122.3686667,0.86);',
'insert into jk64demo_earthquakes values(18.684,-67.276,2.6);',
'insert into jk64demo_earthquakes values(59.0524,-138.0046,1.7);',
'insert into jk64demo_earthquakes values(19.3731667,-155.2821667,2.11);',
'insert into jk64demo_earthquakes values(60.2036,-151.0684,1.5);',
'insert into jk64demo_earthquakes values(63.0505,-151.5034,1.4);',
'insert into jk64demo_earthquakes values(59.7308,-153.1518,2);',
'insert into jk64demo_earthquakes values(46.226,-112.0775,0.9);',
'insert into jk64demo_earthquakes values(38.8355,-122.7921667,1.04);',
'insert into jk64demo_earthquakes values(63.8062,-148.6054,1.8);',
'insert into jk64demo_earthquakes values(61.8344,-148.5041,1.1);',
'insert into jk64demo_earthquakes values(18.767,-65.5661,2.7);',
'insert into jk64demo_earthquakes values(61.8406,-148.5454,1.1);',
'insert into jk64demo_earthquakes values(38.357,-122.3943333,2.66);',
'insert into jk64demo_earthquakes values(45.4601667,-111.8663333,-0.03);',
'insert into jk64demo_earthquakes values(36.8808,-97.7929,2.6);',
'insert into jk64demo_earthquakes values(60.4098,-152.3486,1.7);',
'insert into jk64demo_earthquakes values(37.3604,-117.1857,1.1);',
'insert into jk64demo_earthquakes values(44.6643333,-112.5348333,0.5);',
'insert into jk64demo_earthquakes values(36.4649,-98.7513,1.2);',
'insert into jk64demo_earthquakes values(37.5701667,-118.8555,0.82);',
'insert into jk64demo_earthquakes values(36.4633,-98.7531,1.2);',
'insert into jk64demo_earthquakes values(38.8176651,-122.7996674,0.55);',
'insert into jk64demo_earthquakes values(64.9832,-148.8524,1.2);',
'insert into jk64demo_earthquakes values(36.4748,-98.7354,1.4);',
'insert into jk64demo_earthquakes values(64.8303,-149.2156,0.7);',
'insert into jk64demo_earthquakes values(62.5597,-151.2976,2.3);',
'insert into jk64demo_earthquakes values(38.7741667,-122.7125,0.59);',
'insert into jk64demo_earthquakes values(39.3174,-119.9862,0.4);',
'insert into jk64demo_earthquakes values(32.3058333,-115.3085,2.23);',
'insert into jk64demo_earthquakes values(37.5713333,-118.8561667,0.63);',
'insert into jk64demo_earthquakes values(33.9013333,-116.8676667,0.87);',
'insert into jk64demo_earthquakes values(39.1482,-119.7082,0.2);',
'insert into jk64demo_earthquakes values(60.9374,-152.4139,1.9);',
'insert into jk64demo_earthquakes values(36.4584,-98.7991,2.4);',
'insert into jk64demo_earthquakes values(36.1963333,-120.7626667,2.81);',
'insert into jk64demo_earthquakes values(37.5363333,-118.8203333,0.49);',
'insert into jk64demo_earthquakes values(39.2953,-119.125,1.3);',
'insert into jk64demo_earthquakes values(19.4121667,-155.6336667,1.24);',
'insert into jk64demo_earthquakes values(38.8113333,-122.8245,0.63);',
'insert into jk64demo_earthquakes values(39.3498333,-111.5438333,1.01);',
'insert into jk64demo_earthquakes values(33.0291667,-116.551,2.07);',
'insert into jk64demo_earthquakes values(-31.758,-69.439,4.9);',
'insert into jk64demo_earthquakes values(19.3056667,-155.2116667,1.91);',
'insert into jk64demo_earthquakes values(19.3048333,-155.2126667,1.27);',
'insert into jk64demo_earthquakes values(52.6756,-164.2246,2.7);',
'insert into jk64demo_earthquakes values(61.3328,-151.7143,1.5);',
'insert into jk64demo_earthquakes values(33.5005,-116.5348333,0.78);',
'insert into jk64demo_earthquakes values(38.8031654,-122.8014984,0.18);',
'insert into jk64demo_earthquakes values(38.8496667,-122.7973333,1.01);',
'insert into jk64demo_earthquakes values(38.8503342,-122.7991638,0.57);',
'insert into jk64demo_earthquakes values(38.8523331,-122.7969971,0.59);',
'insert into jk64demo_earthquakes values(38.8475,-122.7955,2.09);',
'insert into jk64demo_earthquakes values(38.5273333,-83.8283333,2.4);',
'insert into jk64demo_earthquakes values(46.9335,-112.4051667,0.88);',
'insert into jk64demo_earthquakes values(46.1878333,-122.1985,-0.07);',
'insert into jk64demo_earthquakes values(38.6627,-118.7823,1);',
'insert into jk64demo_earthquakes values(62.9874,-151.5946,1.4);',
'insert into jk64demo_earthquakes values(37.5755,-118.853,0.31);',
'insert into jk64demo_earthquakes values(39.2346,-120.0883,-0.1);',
'insert into jk64demo_earthquakes values(37.375,-118.6106667,1.18);',
'insert into jk64demo_earthquakes values(36.475,-98.7337,2.1);',
'insert into jk64demo_earthquakes values(34.039,-117.2518333,0.78);',
'insert into jk64demo_earthquakes values(41.8622,-119.6259,1.3);',
'insert into jk64demo_earthquakes values(55.2105,-162.8865,2.5);',
'insert into jk64demo_earthquakes values(34.001,-116.7588333,0.77);',
'insert into jk64demo_earthquakes values(37.5735,-118.8493333,0.13);',
'insert into jk64demo_earthquakes values(41.8709,-119.6366,3.2);',
'insert into jk64demo_earthquakes values(51.2214,-177.6948,3);',
'insert into jk64demo_earthquakes values(37.5925,-118.8276667,0.04);',
'insert into jk64demo_earthquakes values(59.7332,-153.2511,2.3);',
'insert into jk64demo_earthquakes values(34.0181667,-117.221,0.75);',
'insert into jk64demo_earthquakes values(19.4328333,-155.6206667,1.36);',
'insert into jk64demo_earthquakes values(35.9986,-97.119,2.2);',
'insert into jk64demo_earthquakes values(33.68,-116.7393333,0.72);',
'insert into jk64demo_earthquakes values(51.5484,-177.6681,1.8);',
'insert into jk64demo_earthquakes values(37.0379,-117.4613,0.8);',
'insert into jk64demo_earthquakes values(38.6635,-118.7813,0.6);',
'insert into jk64demo_earthquakes values(38.6047,-118.795,0.8);',
'insert into jk64demo_earthquakes values(46.2061667,-122.2235,0.31);',
'insert into jk64demo_earthquakes values(37.3008,-117.5789,1.5);',
'insert into jk64demo_earthquakes values(36.0395,-117.7208333,0.91);',
'insert into jk64demo_earthquakes values(37.5703333,-118.8413333,0.85);',
'insert into jk64demo_earthquakes values(34.6051667,-116.6311667,1.1);',
'insert into jk64demo_earthquakes values(37.572,-118.8418333,0.71);',
'insert into jk64demo_earthquakes values(35.3115,-118.5381667,1.07);',
'insert into jk64demo_earthquakes values(38.8260002,-122.8396683,0.57);',
'insert into jk64demo_earthquakes values(60.1043,-152.655,1.6);',
'insert into jk64demo_earthquakes values(37.6366667,-119.0383333,0.27);',
'insert into jk64demo_earthquakes values(35.7366,-3.5222,4.6);',
'insert into jk64demo_earthquakes values(62.488,-151.1636,1.6);',
'insert into jk64demo_earthquakes values(61.7949,-149.4171,1.6);',
'insert into jk64demo_earthquakes values(37.5813333,-118.8538333,0.06);',
'insert into jk64demo_earthquakes values(35.735,-3.5106,5.1);',
'insert into jk64demo_earthquakes values(39.9335,-122.923,1.09);',
'insert into jk64demo_earthquakes values(38.0375,-118.6008,0.7);',
'insert into jk64demo_earthquakes values(41.8993,-119.5906,1.1);',
'insert into jk64demo_earthquakes values(60.3814,-151.3304,1.5);',
'insert into jk64demo_earthquakes values(19.3064,-64.8581,3.1);',
'insert into jk64demo_earthquakes values(46.205,-122.1376667,0.83);',
'insert into jk64demo_earthquakes values(59.0018,-152.2399,2.2);',
'insert into jk64demo_earthquakes values(19.3946667,-155.2521667,0.3);',
'insert into jk64demo_earthquakes values(36.7389,-116.2845,-0.3);',
'insert into jk64demo_earthquakes values(38.8129997,-122.8174973,0.55);',
'insert into jk64demo_earthquakes values(-4.4733,133.8129,4.2);',
'insert into jk64demo_earthquakes values(36.7355,-116.2915,-0.1);',
'insert into jk64demo_earthquakes values(47.9316,156.2505,4.4);',
'insert into jk64demo_earthquakes values(36.7258,-116.2997,1.1);',
'insert into jk64demo_earthquakes values(47.654,-120.235,1.54);',
'insert into jk64demo_earthquakes values(61.0141,-146.3355,1);',
'insert into jk64demo_earthquakes values(57.383,-155.0284,1.9);',
'insert into jk64demo_earthquakes values(-32.7522,57.2215,4.6);',
'insert into jk64demo_earthquakes values(36.4282,-97.7232,3);',
'insert into jk64demo_earthquakes values(51.9127,-176.7926,2.3);',
'insert into jk64demo_earthquakes values(36.7175,-116.0873,-0.1);',
'insert into jk64demo_earthquakes values(19.3185,-64.85,3.2);',
'insert into jk64demo_earthquakes values(37.6455,-118.9355,0.45);',
'insert into jk64demo_earthquakes values(33.4751667,-116.503,0.79);',
'insert into jk64demo_earthquakes values(36.7378,-116.2893,0);',
'insert into jk64demo_earthquakes values(-7.4667,128.4847,4.7);',
'insert into jk64demo_earthquakes values(33.6661667,-116.7641667,2.13);',
'insert into jk64demo_earthquakes values(60.2173,-152.1905,1.8);',
'insert into jk64demo_earthquakes values(42.0546,-120.4454,-0.1);',
'insert into jk64demo_earthquakes values(52.8185,-168.228,2.2);',
'insert into jk64demo_earthquakes values(17.972,-68.725,3.6);',
'insert into jk64demo_earthquakes values(36.7347,-116.2927,0);',
'insert into jk64demo_earthquakes values(38.5228,-118.5199,0.6);',
'insert into jk64demo_earthquakes values(36.7367,-116.2907,0);',
'insert into jk64demo_earthquakes values(36.7301,-116.297,0.3);',
'insert into jk64demo_earthquakes values(63.0307,-150.6423,2.2);',
'insert into jk64demo_earthquakes values(32.5695,-115.6803333,1.39);',
'insert into jk64demo_earthquakes values(19.3174,-64.7693,3.3);',
'insert into jk64demo_earthquakes values(36.7299,-116.2996,0.6);',
'insert into jk64demo_earthquakes values(3.0258,128.46,4.5);',
'insert into jk64demo_earthquakes values(19.2702,-64.7857,3);',
'insert into jk64demo_earthquakes values(19.3026,-64.803,3.4);',
'insert into jk64demo_earthquakes values(17.9221,-66.967,1.5);',
'insert into jk64demo_earthquakes values(36.7354,-116.3042,0);',
'insert into jk64demo_earthquakes values(38.8105011,-122.8256683,1);',
'insert into jk64demo_earthquakes values(39.9478,-120.7103,0.5);',
'insert into jk64demo_earthquakes values(64.6438,-149.3257,0.3);',
'insert into jk64demo_earthquakes values(59.7902,-152.9647,3);',
'insert into jk64demo_earthquakes values(38.441,-122.4585,1);',
'insert into jk64demo_earthquakes values(33.4891667,-116.4686667,0.7);',
'insert into jk64demo_earthquakes values(38.2924,-118.7786,0.3);',
'insert into jk64demo_earthquakes values(47.3466667,-113.463,-0.11);',
'insert into jk64demo_earthquakes values(37.6323333,-118.9,-0.19);',
'insert into jk64demo_earthquakes values(38.5699,-118.2676,0.7);',
'insert into jk64demo_earthquakes values(38.8765,-123.2505,1.49);',
'insert into jk64demo_earthquakes values(-62.2332,155.2191,5.1);',
'insert into jk64demo_earthquakes values(64.6801,-149.4819,0.9);',
'insert into jk64demo_earthquakes values(60.736,-151.6316,1.8);',
'insert into jk64demo_earthquakes values(64.6369,-149.4912,0.5);',
'insert into jk64demo_earthquakes values(35.407,-117.3872,1.3);',
'insert into jk64demo_earthquakes values(36.6896667,-121.3198333,1.33);',
'insert into jk64demo_earthquakes values(60.882,-149.1278,1.9);',
'insert into jk64demo_earthquakes values(64.683,-149.427,0.5);',
'insert into jk64demo_earthquakes values(32.96,-116.4205,1.07);',
'insert into jk64demo_earthquakes values(61.8472,-149.6487,1.4);',
'insert into jk64demo_earthquakes values(38.8008347,-122.8125,0.76);',
'insert into jk64demo_earthquakes values(63.1731,-151.304,1);',
'insert into jk64demo_earthquakes values(46.6176667,-119.8481667,0.56);',
'insert into jk64demo_earthquakes values(65.0012,-147.2949,1.6);',
'insert into jk64demo_earthquakes values(1.2943,126.8981,4.6);',
'insert into jk64demo_earthquakes values(37.586,-118.8513333,0.06);',
'insert into jk64demo_earthquakes values(40.4416667,-124.6321667,2.61);',
'insert into jk64demo_earthquakes values(60.9873,-147.7693,1.4);',
'insert into jk64demo_earthquakes values(-8.2311,120.6248,4);',
'insert into jk64demo_earthquakes values(0.3521,98.6182,4);',
''))
);
end;
/
begin
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'insert into jk64demo_earthquakes values(41.8773,-119.622,1.2);',
'insert into jk64demo_earthquakes values(18.8283,-64.6695,3.1);',
'insert into jk64demo_earthquakes values(49.0178333,-125.607,1.93);',
'insert into jk64demo_earthquakes values(45.6305,-118.8786667,1.85);',
'insert into jk64demo_earthquakes values(18.8581,-64.6822,2.8);',
'insert into jk64demo_earthquakes values(34.6873333,-116.2458333,1.37);',
'insert into jk64demo_earthquakes values(34.6896667,-116.2435,1.98);',
'insert into jk64demo_earthquakes values(59.7006,-153.3239,1.8);',
'insert into jk64demo_earthquakes values(38.0373,-118.6258,0.8);',
'insert into jk64demo_earthquakes values(62.2079,-150.6774,1.6);',
'insert into jk64demo_earthquakes values(49.43,-120.512,1.93);',
'insert into jk64demo_earthquakes values(46.8495,-121.7603333,-0.18);',
'insert into jk64demo_earthquakes values(62.1641,-150.4725,1.5);',
'insert into jk64demo_earthquakes values(64.4414,-149.3268,0.8);',
'insert into jk64demo_earthquakes values(18.0914,-67.071,2.1);',
'insert into jk64demo_earthquakes values(37.5728333,-118.8538333,0.74);',
'insert into jk64demo_earthquakes values(38.8138351,-122.8291702,1.01);',
'insert into jk64demo_earthquakes values(38.8203316,-122.7959976,0.69);',
'insert into jk64demo_earthquakes values(-5.9055,150.5453,4.1);',
'insert into jk64demo_earthquakes values(-9.0552,127.1953,4.7);',
'insert into jk64demo_earthquakes values(-31.1462,-71.5434,4);',
'insert into jk64demo_earthquakes values(62.0281,-147.9346,1.5);',
'insert into jk64demo_earthquakes values(35.2283333,-118.5876667,1.06);',
'insert into jk64demo_earthquakes values(61.4833,-149.893,1.7);',
'insert into jk64demo_earthquakes values(46.8495,-121.7595,0.51);',
'insert into jk64demo_earthquakes values(35.4471667,-118.3506667,1.57);',
'insert into jk64demo_earthquakes values(44.5458333,-114.5168333,1.79);',
'insert into jk64demo_earthquakes values(34.0408333,-116.6956667,2.12);',
'insert into jk64demo_earthquakes values(63.2931,-149.8756,1.3);',
'insert into jk64demo_earthquakes values(38.831501,-122.8021698,0.71);',
'insert into jk64demo_earthquakes values(64.9901,-150.8603,1.1);',
'insert into jk64demo_earthquakes values(46.0155,-112.8841667,-0.44);',
'insert into jk64demo_earthquakes values(64.9891,-147.3352,1.6);',
'insert into jk64demo_earthquakes values(37.464,-118.6578333,0.95);',
'insert into jk64demo_earthquakes values(38.8188324,-122.7975006,0.71);',
'insert into jk64demo_earthquakes values(42.3748333,-122.8181667,2.14);',
'insert into jk64demo_earthquakes values(19.8741667,-155.1855,3.19);',
'insert into jk64demo_earthquakes values(23.8555,102.5952,4.4);',
'insert into jk64demo_earthquakes values(39.2411,-120.0264,0.5);',
'insert into jk64demo_earthquakes values(60.7014,-148.9989,1.6);',
'insert into jk64demo_earthquakes values(18.6531,145.5172,3.9);',
'insert into jk64demo_earthquakes values(38.845665,-122.8284988,1.07);',
'insert into jk64demo_earthquakes values(38.8176651,-122.796669,0.8);',
'insert into jk64demo_earthquakes values(46.8471667,-121.7506667,2.25);',
'insert into jk64demo_earthquakes values(11.6284,-87.2231,4.6);',
'insert into jk64demo_earthquakes values(66.0376,-148.5776,1.2);',
'insert into jk64demo_earthquakes values(35.5365,-119.365,2.5);',
'insert into jk64demo_earthquakes values(35.5375,-119.3686667,1.95);',
'insert into jk64demo_earthquakes values(63.1126,-148.9032,1.1);',
'insert into jk64demo_earthquakes values(37.6363333,-118.9238333,0.84);',
'insert into jk64demo_earthquakes values(37.6395,-118.9238333,0.98);',
'insert into jk64demo_earthquakes values(35.5356667,-119.3638333,2.62);',
'insert into jk64demo_earthquakes values(59.2805,-153.8745,2.1);',
'insert into jk64demo_earthquakes values(41.5423333,-112.1488333,0.4);',
'insert into jk64demo_earthquakes values(37.5731667,-118.8558333,1.54);',
'insert into jk64demo_earthquakes values(36.4472,-98.7646,1.7);',
'insert into jk64demo_earthquakes values(36.4468,-98.7671,1.9);',
'insert into jk64demo_earthquakes values(35.8675,-117.7463333,0.61);',
'insert into jk64demo_earthquakes values(38.6581,-118.7877,1.7);',
'insert into jk64demo_earthquakes values(23.5921,144.306,5.6);',
'insert into jk64demo_earthquakes values(46.3476667,-122.2356667,0.39);',
'insert into jk64demo_earthquakes values(37.1621,-117.3768,0.3);',
'insert into jk64demo_earthquakes values(38.8176651,-122.7898331,0.45);',
'insert into jk64demo_earthquakes values(38.8126667,-122.7903333,2.04);',
'insert into jk64demo_earthquakes values(36.4435,-98.7682,1.8);',
'insert into jk64demo_earthquakes values(38.6611,-118.7823,1.2);',
'insert into jk64demo_earthquakes values(47.2981667,-121.7581667,1.57);',
'insert into jk64demo_earthquakes values(62.315,-142.4995,1.4);',
'insert into jk64demo_earthquakes values(19.4458,-64.7283,2.7);',
'insert into jk64demo_earthquakes values(36.1146667,-117.8371667,0.44);',
'insert into jk64demo_earthquakes values(62.9855,-149.8639,1.7);',
'insert into jk64demo_earthquakes values(46.8886667,-111.8761667,0.95);',
'insert into jk64demo_earthquakes values(44.5623333,-114.499,1.73);',
'insert into jk64demo_earthquakes values(61.3257,-145.9859,1.4);',
'insert into jk64demo_earthquakes values(38.7898333,-122.8036667,0.32);',
'insert into jk64demo_earthquakes values(35.6766,-97.4152,2.3);',
'insert into jk64demo_earthquakes values(38.8115,-122.8176667,1.4);',
'insert into jk64demo_earthquakes values(58.9233,-151.2799,2);',
'insert into jk64demo_earthquakes values(38.8128319,-122.8203354,0.64);',
'insert into jk64demo_earthquakes values(36.4481,-98.7698,2.5);',
'insert into jk64demo_earthquakes values(38.2871,-115.1489,1.1);',
'insert into jk64demo_earthquakes values(59.7533,-152.5603,1.6);',
'insert into jk64demo_earthquakes values(38.7446667,-122.6968333,1.84);',
'insert into jk64demo_earthquakes values(38.7944984,-122.8068314,1.17);',
'insert into jk64demo_earthquakes values(59.9137,-153.1827,1.9);',
'insert into jk64demo_earthquakes values(38.7923333,-122.8056667,2.36);',
'insert into jk64demo_earthquakes values(38.795,-122.7661667,0.23);',
'insert into jk64demo_earthquakes values(33.4951667,-116.793,0.88);',
'insert into jk64demo_earthquakes values(59.7571,-153.1269,2.1);',
'insert into jk64demo_earthquakes values(47.8036667,-122.766,1.18);',
'insert into jk64demo_earthquakes values(37.996,-112.255,2.16);',
'insert into jk64demo_earthquakes values(37.569,-118.8516667,0.32);',
'insert into jk64demo_earthquakes values(38.0026667,-112.2663333,2.57);',
'insert into jk64demo_earthquakes values(38.7961655,-122.73983,1);',
'insert into jk64demo_earthquakes values(64.6827,-149.1855,0.7);',
'insert into jk64demo_earthquakes values(36.7342,-116.2917,0);',
'insert into jk64demo_earthquakes values(36.735,-116.2925,0);',
'insert into jk64demo_earthquakes values(36.7308,-116.3031,-0.2);',
'insert into jk64demo_earthquakes values(36.7337,-116.2957,-0.1);',
'insert into jk64demo_earthquakes values(36.7341,-116.291,-0.2);',
'insert into jk64demo_earthquakes values(36.7337,-116.2939,0.1);',
'insert into jk64demo_earthquakes values(38.6644,-119.7349,1.1);',
'insert into jk64demo_earthquakes values(37.665,-118.8608333,0.21);',
'insert into jk64demo_earthquakes values(36.7309,-116.2981,0.8);',
'insert into jk64demo_earthquakes values(36.733,-116.2918,-0.2);',
'insert into jk64demo_earthquakes values(36.7325,-116.292,-0.1);',
'insert into jk64demo_earthquakes values(36.7259,-116.319,0);',
'insert into jk64demo_earthquakes values(38.5255,-118.526,-0.2);',
'insert into jk64demo_earthquakes values(46.5805,-121.755,1.38);',
'insert into jk64demo_earthquakes values(51.8513,-173.9598,1.6);',
'insert into jk64demo_earthquakes values(50.0311,-178.2623,2.6);',
'insert into jk64demo_earthquakes values(47.283,-122.3048333,1.23);',
'insert into jk64demo_earthquakes values(63.4869,-146.6465,1);',
'insert into jk64demo_earthquakes values(-55.35,-27.2872,4.5);',
'insert into jk64demo_earthquakes values(18.1741,-67.2833,2.9);',
'insert into jk64demo_earthquakes values(36.665,-121.28,1.85);',
'insert into jk64demo_earthquakes values(36.8301,-117.5074,1.6);',
'insert into jk64demo_earthquakes values(41.8854,142.2685,4.3);',
'insert into jk64demo_earthquakes values(-20.0945,-177.6613,4.1);',
'insert into jk64demo_earthquakes values(66.2667,-175.8676,3.3);',
'insert into jk64demo_earthquakes values(52.8071,-167.8014,1.7);',
'insert into jk64demo_earthquakes values(61.5169,-150.66,2.3);',
'insert into jk64demo_earthquakes values(53.1617,-161.8774,2.6);',
'insert into jk64demo_earthquakes values(38.5192,-118.3871,1.1);',
'insert into jk64demo_earthquakes values(-30.6422,-179.7948,4.1);',
'insert into jk64demo_earthquakes values(34.249,-118.4293333,1.23);',
'insert into jk64demo_earthquakes values(38.8310013,-122.8011703,0.43);',
'insert into jk64demo_earthquakes values(44.6168,-114.1212,3.6);',
'insert into jk64demo_earthquakes values(64.7218,-149.6232,0.4);',
'insert into jk64demo_earthquakes values(39.914,-120.7443,0.5);',
'insert into jk64demo_earthquakes values(43.0965,141.7324,4.5);',
'insert into jk64demo_earthquakes values(63.1038,-150.4909,2.4);',
'insert into jk64demo_earthquakes values(36.0745,-120.631,0.34);',
'insert into jk64demo_earthquakes values(62.9944,-150.3826,1.2);',
'insert into jk64demo_earthquakes values(38.8818333,-123.2545,1.53);',
'insert into jk64demo_earthquakes values(36.6191667,-121.2206667,1.96);',
'insert into jk64demo_earthquakes values(54.8368,-166.0322,2);',
'insert into jk64demo_earthquakes values(-8.7463,111.5091,5.1);',
'insert into jk64demo_earthquakes values(61.5578,-147.8268,1.3);',
'insert into jk64demo_earthquakes values(37.2741667,-118.3986667,0.98);',
'insert into jk64demo_earthquakes values(45.0728333,-111.7355,1.31);',
'insert into jk64demo_earthquakes values(34.025,-117.2333333,0.82);',
'insert into jk64demo_earthquakes values(51.9851,-166.3373,2.8);',
'insert into jk64demo_earthquakes values(37.0344,-118.2839,0.8);',
'insert into jk64demo_earthquakes values(38.881,-123.2496667,1.26);',
'insert into jk64demo_earthquakes values(37.5926,-116.3658,0.5);',
'insert into jk64demo_earthquakes values(38.8795,-123.2503333,1.85);',
'insert into jk64demo_earthquakes values(37.0406,-116.4329,-1);',
'insert into jk64demo_earthquakes values(59.8226,-153.0371,1.7);',
'insert into jk64demo_earthquakes values(38.6077,-118.7768,0.7);',
'insert into jk64demo_earthquakes values(37.0254,-116.4443,-0.4);',
'insert into jk64demo_earthquakes values(37.5738333,-118.8526667,0.23);',
'insert into jk64demo_earthquakes values(-47.097,33.1259,5.3);',
'insert into jk64demo_earthquakes values(35.6387,-97.2407,2.6);',
'insert into jk64demo_earthquakes values(51.7537,-174.9865,1.7);',
'insert into jk64demo_earthquakes values(61.5947,-151.5509,1.5);',
'insert into jk64demo_earthquakes values(38.8186667,-122.805,0.37);',
'insert into jk64demo_earthquakes values(43.3935,-110.712,0.56);',
'insert into jk64demo_earthquakes values(-22.2017,-175.9715,4.3);',
'insert into jk64demo_earthquakes values(19.1901667,-155.4246667,1.53);',
'insert into jk64demo_earthquakes values(-18.4779,-173.7781,4.5);',
'insert into jk64demo_earthquakes values(19.1881,-64.4876,2.8);',
'insert into jk64demo_earthquakes values(36.4469,-98.7669,2.3);',
'insert into jk64demo_earthquakes values(-15.2686,166.14,4.5);',
'insert into jk64demo_earthquakes values(40.5103333,-124.3028333,1.75);',
'insert into jk64demo_earthquakes values(37.427,-113.1355,0.76);',
'insert into jk64demo_earthquakes values(33.8725,-117.5073333,0.75);',
'insert into jk64demo_earthquakes values(61.7858,-146.9818,1.4);',
'insert into jk64demo_earthquakes values(37.565,-118.8617,1.2);',
'insert into jk64demo_earthquakes values(37.5736667,-118.8558333,1.29);',
'insert into jk64demo_earthquakes values(60.7896,-152.3178,1.7);',
'insert into jk64demo_earthquakes values(59.8182,-153.0401,1.5);',
'insert into jk64demo_earthquakes values(38.8816667,-123.2496667,1.42);',
'insert into jk64demo_earthquakes values(38.8224983,-122.8466644,0.33);',
'insert into jk64demo_earthquakes values(38.8161659,-122.8256683,0.92);',
'insert into jk64demo_earthquakes values(35.5345,-119.3658333,1.84);',
'insert into jk64demo_earthquakes values(35.5423333,-119.3728333,4.87);',
'insert into jk64demo_earthquakes values(33.8296667,-117.1693333,0.93);',
'insert into jk64demo_earthquakes values(-7.1842,107.5581,4.3);',
'insert into jk64demo_earthquakes values(38.8180008,-122.7975006,1);',
'insert into jk64demo_earthquakes values(61.5679,-149.8111,1.8);',
'insert into jk64demo_earthquakes values(38.8178329,-122.7971649,0.87);',
'insert into jk64demo_earthquakes values(38.8171667,-122.7968333,2.19);',
'insert into jk64demo_earthquakes values(45.1855,-112.4351667,0.82);',
'insert into jk64demo_earthquakes values(38.8434982,-122.8420029,0.28);',
'insert into jk64demo_earthquakes values(38.8438339,-122.8434982,1.03);',
'insert into jk64demo_earthquakes values(64.8071,-149.0476,0.4);',
'insert into jk64demo_earthquakes values(53.4721,-165.5089,2);',
'insert into jk64demo_earthquakes values(61.5672,-146.536,1.5);',
'insert into jk64demo_earthquakes values(36.6755,-97.7377,2.8);',
'insert into jk64demo_earthquakes values(36.5051,-98.7347,2.3);',
'insert into jk64demo_earthquakes values(34.6913333,-116.2441667,2.64);',
'insert into jk64demo_earthquakes values(61.7237,-150.6314,2.5);',
'insert into jk64demo_earthquakes values(38.7971649,-122.7641678,0.82);',
'insert into jk64demo_earthquakes values(33.6615,-116.756,0.6);',
'insert into jk64demo_earthquakes values(46.8481667,-121.755,0.6);',
'insert into jk64demo_earthquakes values(46.8473333,-121.754,0.66);',
'insert into jk64demo_earthquakes values(33.6681667,-116.7616667,0.83);',
'insert into jk64demo_earthquakes values(60.3555,-152.811,1.9);',
'insert into jk64demo_earthquakes values(38.8635,-122.9528333,1.44);',
'insert into jk64demo_earthquakes values(37.5835,-118.8556667,-0.09);',
'insert into jk64demo_earthquakes values(63.5544,-147.6449,0.9);',
'insert into jk64demo_earthquakes values(61.793,-149.258,1.1);',
'insert into jk64demo_earthquakes values(62.2911,-151.8361,1.8);',
'insert into jk64demo_earthquakes values(36.7961,-97.9993,2.9);',
'insert into jk64demo_earthquakes values(35.6643,-97.3896,2.8);',
'insert into jk64demo_earthquakes values(58.4264,-154.212,2.1);',
'insert into jk64demo_earthquakes values(-17.7352,-178.5123,4.6);',
'insert into jk64demo_earthquakes values(38.821,-122.8,1.75);',
'insert into jk64demo_earthquakes values(35.6731,-97.3845,2.4);',
'insert into jk64demo_earthquakes values(36.4698,-98.7689,1.8);',
'insert into jk64demo_earthquakes values(1.0244,127.4512,4.5);',
'insert into jk64demo_earthquakes values(37.1547,-117.2593,1.3);',
'insert into jk64demo_earthquakes values(61.5085,-147.1901,2);',
'insert into jk64demo_earthquakes values(1.0659,127.4308,5.4);',
'insert into jk64demo_earthquakes values(35.6724,-97.3925,2.8);',
'insert into jk64demo_earthquakes values(59.5169,-152.6835,2.2);',
'insert into jk64demo_earthquakes values(-41.9151,174.2117,4.7);',
'insert into jk64demo_earthquakes values(69.1257,-144.6245,2.8);',
'insert into jk64demo_earthquakes values(59.7424,-153.4276,1.9);',
'insert into jk64demo_earthquakes values(59.8639,152.052,4.6);',
'insert into jk64demo_earthquakes values(36.4762,-98.725,1.1);',
'insert into jk64demo_earthquakes values(63.5424,-147.1171,1.1);',
'insert into jk64demo_earthquakes values(38.8131676,-122.8288345,0.43);',
'insert into jk64demo_earthquakes values(51.6458,-171.8867,3.1);',
'insert into jk64demo_earthquakes values(19.4056664,-155.2758331,1.88);',
'insert into jk64demo_earthquakes values(69.1522,-144.4675,4.1);',
'insert into jk64demo_earthquakes values(36.9808333,-121.627,0.85);',
'insert into jk64demo_earthquakes values(38.8351667,-122.7915,1.2);',
'insert into jk64demo_earthquakes values(39.2486667,-122.8071667,1.72);',
'insert into jk64demo_earthquakes values(59.7216,-153.2805,1.7);',
'insert into jk64demo_earthquakes values(33.7676667,-116.1196667,0.87);',
'insert into jk64demo_earthquakes values(59.8299,-152.9117,1.7);',
'insert into jk64demo_earthquakes values(51.2993,-178.765,2.4);',
'insert into jk64demo_earthquakes values(32.4633333,-115.2258333,2.62);',
'insert into jk64demo_earthquakes values(37.0345,-116.4366,-0.8);',
'insert into jk64demo_earthquakes values(37.037,-116.4489,-0.6);',
'insert into jk64demo_earthquakes values(40.1415,-123.8351667,1.84);',
'insert into jk64demo_earthquakes values(42.4967,-71.4717,1.3);',
'insert into jk64demo_earthquakes values(36.1156667,-117.6998333,0.53);',
'insert into jk64demo_earthquakes values(59.8981,-153.176,2);',
'insert into jk64demo_earthquakes values(54.7257,-160.082,2.1);',
'insert into jk64demo_earthquakes values(63.268,-150.5099,1.7);',
'insert into jk64demo_earthquakes values(60.2017,-153.3997,2);',
'insert into jk64demo_earthquakes values(37.2858333,-120.01,2.09);',
'insert into jk64demo_earthquakes values(60.3022,-153.0561,1.7);',
'insert into jk64demo_earthquakes values(67.6765,-162.7552,2.5);',
'insert into jk64demo_earthquakes values(64.648,-151.7055,1.4);',
'insert into jk64demo_earthquakes values(50.7207,-174.1309,2.3);',
'insert into jk64demo_earthquakes values(63.8358,-149.1472,1.6);',
'insert into jk64demo_earthquakes values(38.8216667,-122.8421631,1.02);',
'insert into jk64demo_earthquakes values(36.4474,-98.7682,1.8);',
'insert into jk64demo_earthquakes values(37.0686,-117.4311,0.3);',
'insert into jk64demo_earthquakes values(33.5225,-116.4735,1.24);',
'insert into jk64demo_earthquakes values(36.449,-98.7715,1.7);',
'insert into jk64demo_earthquakes values(37.5756667,-118.8545,0.52);',
'insert into jk64demo_earthquakes values(35.7215,-97.1624,2.5);',
'insert into jk64demo_earthquakes values(38.8331667,-122.7978333,0.14);',
'insert into jk64demo_earthquakes values(51.5996,-177.664,1.5);',
'insert into jk64demo_earthquakes values(36.7325,-116.2937,0.2);',
'insert into jk64demo_earthquakes values(64.992,-147.3145,1.6);',
'insert into jk64demo_earthquakes values(36.5858,-116.5164,0.9);',
'insert into jk64demo_earthquakes values(44.7645,-112.795,0.6);',
'insert into jk64demo_earthquakes values(65.0812,-151.1786,0.9);',
'insert into jk64demo_earthquakes values(52.2843,-174.4853,2.1);',
'insert into jk64demo_earthquakes values(35.5673333,-119.3756667,2.1);',
'insert into jk64demo_earthquakes values(36.7261,-116.3127,0);',
'insert into jk64demo_earthquakes values(38.844,-122.827,0.12);',
'insert into jk64demo_earthquakes values(38.8061667,-122.7703333,1.41);',
'insert into jk64demo_earthquakes values(37.184,-116.5895,-0.1);',
'insert into jk64demo_earthquakes values(37.5743333,-118.8613333,0.67);',
'insert into jk64demo_earthquakes values(46.9391667,-112.4051667,1.97);',
'insert into jk64demo_earthquakes values(52.953,-167.7865,1.9);',
'insert into jk64demo_earthquakes values(38.8213348,-122.8406677,0.18);',
'insert into jk64demo_earthquakes values(37.3658,-117.0723,0.5);',
'insert into jk64demo_earthquakes values(40.4776667,-121.4988333,0.05);',
'insert into jk64demo_earthquakes values(40.484,-121.5143333,0.05);',
'insert into jk64demo_earthquakes values(36.9894,-116.2836,-0.6);',
'insert into jk64demo_earthquakes values(64.6943,-149.0779,0.7);',
'insert into jk64demo_earthquakes values(19.3068,-64.8961,3.3);',
'insert into jk64demo_earthquakes values(62.165,-148.6975,1.4);',
'insert into jk64demo_earthquakes values(19.3332,-64.8267,3);',
'insert into jk64demo_earthquakes values(39.6376,-120.395,1.2);',
'insert into jk64demo_earthquakes values(62.1123,-150.3223,2);',
'insert into jk64demo_earthquakes values(37.5726667,-118.855,1.23);',
'insert into jk64demo_earthquakes values(-8.9862,124.1401,5);',
'insert into jk64demo_earthquakes values(38.8113333,-122.833,0.28);',
'insert into jk64demo_earthquakes values(38.8255,-122.8235,0.13);',
'insert into jk64demo_earthquakes values(38.829,-122.8018333,0.16);',
'insert into jk64demo_earthquakes values(37.6463333,-118.9385,0.41);',
'insert into jk64demo_earthquakes values(33.1353333,-116.06,1.34);',
'insert into jk64demo_earthquakes values(19.2525,-64.807,2.9);',
'insert into jk64demo_earthquakes values(33.9305,-116.8048333,0.79);',
'insert into jk64demo_earthquakes values(37.5715,-118.8571667,1.92);',
'insert into jk64demo_earthquakes values(37.5681667,-118.8568333,1.1);',
'insert into jk64demo_earthquakes values(38.5136,-118.3888,0.8);',
'insert into jk64demo_earthquakes values(36.6381,-97.74,2.8);',
'insert into jk64demo_earthquakes values(-51.7897,139.5956,6.1);',
'insert into jk64demo_earthquakes values(44.8171667,-112.8426667,0.88);',
'insert into jk64demo_earthquakes values(38.882,-123.251,2.12);',
'insert into jk64demo_earthquakes values(59.0749,-153.0643,3.3);',
'insert into jk64demo_earthquakes values(37.3226667,-122.1006667,1.27);',
'insert into jk64demo_earthquakes values(36.5279,-98.9737,2.9);',
'insert into jk64demo_earthquakes values(38.747,-122.7091667,0.66);',
'insert into jk64demo_earthquakes values(61.5452,-146.2855,1.3);',
'insert into jk64demo_earthquakes values(34.3008333,-116.8655,1.01);',
'insert into jk64demo_earthquakes values(51.9725,-175.9542,1.7);',
'insert into jk64demo_earthquakes values(36.5297,-98.9767,3.1);',
'insert into jk64demo_earthquakes values(37.4991667,-118.8418333,0.85);',
'insert into jk64demo_earthquakes values(46.1246667,-122.1673333,0.49);',
'insert into jk64demo_earthquakes values(-21.1071,-178.4923,4.3);',
'insert into jk64demo_earthquakes values(59.8333,-153.2376,2);',
'insert into jk64demo_earthquakes values(44.4738333,-111.0488333,0.07);',
'insert into jk64demo_earthquakes values(44.6301667,-110.3465,1.48);',
'insert into jk64demo_earthquakes values(36.4533,-98.7706,2.3);',
'insert into jk64demo_earthquakes values(59.7795,-153.3996,2.7);',
'insert into jk64demo_earthquakes values(37.566,-118.8541,1.2);',
'insert into jk64demo_earthquakes values(37.5715,-118.8546667,1.16);',
'insert into jk64demo_earthquakes values(12.6929,-88.7316,4.6);',
'insert into jk64demo_earthquakes values(36.4463,-98.773,1.6);',
'insert into jk64demo_earthquakes values(19.4121667,-155.3181667,2.13);',
'insert into jk64demo_earthquakes values(-19.7874,-177.4728,4.3);',
'insert into jk64demo_earthquakes values(38.8006667,-122.7705,1);',
'insert into jk64demo_earthquakes values(36.451,-98.7912,2.4);',
'insert into jk64demo_earthquakes values(41.8391,-119.6331,1.9);',
'insert into jk64demo_earthquakes values(62.99,-151.5528,2.3);',
'insert into jk64demo_earthquakes values(59.3034,-134.4591,1.9);',
'insert into jk64demo_earthquakes values(44.7595,-111.1571667,0.13);',
'insert into jk64demo_earthquakes values(59.7292,-153.2357,1.8);',
'insert into jk64demo_earthquakes values(38.8398333,-122.8315,1.6);',
'insert into jk64demo_earthquakes values(55.7293,-160.1918,2.4);',
'insert into jk64demo_earthquakes values(17.9888,-66.2772,2);',
'insert into jk64demo_earthquakes values(34.0503333,-117.3635,1.22);',
'insert into jk64demo_earthquakes values(61.8115,-150.083,1.4);',
'insert into jk64demo_earthquakes values(-8.9833,127.4847,4.3);',
'insert into jk64demo_earthquakes values(38.6105,-118.4589,0.2);',
'insert into jk64demo_earthquakes values(38.604,-118.471,0.7);',
'insert into jk64demo_earthquakes values(44.735,-122.2816667,1.08);',
'insert into jk64demo_earthquakes values(33.456,-116.4768333,0.56);',
'insert into jk64demo_earthquakes values(51.774,-176.0986,2.3);',
'insert into jk64demo_earthquakes values(63.1702,-152.7541,1);',
'insert into jk64demo_earthquakes values(63.1694,-152.7291,0.8);',
'insert into jk64demo_earthquakes values(64.9931,-148.8789,0.5);',
'insert into jk64demo_earthquakes values(40.7446667,-122.33,1.54);',
'insert into jk64demo_earthquakes values(51.9939,-173.9582,2.1);',
'insert into jk64demo_earthquakes values(62.0621,-150.119,1.2);',
'insert into jk64demo_earthquakes values(62.6365,-143.0938,1.5);',
'insert into jk64demo_earthquakes values(46.7531667,-121.9365,0.87);',
'insert into jk64demo_earthquakes values(62.5025,-149.1005,1.3);',
'insert into jk64demo_earthquakes values(39.61,-121.566,1.96);',
'insert into jk64demo_earthquakes values(51.5141,-176.7254,1.7);',
'insert into jk64demo_earthquakes values(34.0543333,-117.3523333,1.14);',
'insert into jk64demo_earthquakes values(64.9971,-148.9071,0.7);',
'insert into jk64demo_earthquakes values(46.945,-112.3946667,1.62);',
'insert into jk64demo_earthquakes values(35.6878,-97.4077,2.4);',
'insert into jk64demo_earthquakes values(38.8103333,-122.8118362,1.02);',
'insert into jk64demo_earthquakes values(51.494,-177.6814,2.2);',
'insert into jk64demo_earthquakes values(46.9236667,-112.3861667,1.88);',
'insert into jk64demo_earthquakes values(46.9375,-112.389,1.66);',
'insert into jk64demo_earthquakes values(59.8837,-139.2867,1.8);',
'insert into jk64demo_earthquakes values(62.7719,-150.5197,1.3);',
'insert into jk64demo_earthquakes values(63.4587,-148.9576,1.1);',
'insert into jk64demo_earthquakes values(64.6751,-149.2908,0.2);',
'insert into jk64demo_earthquakes values(61.0704,-150.7317,2.1);',
'insert into jk64demo_earthquakes values(37.4711667,-118.6853333,0.75);',
'insert into jk64demo_earthquakes values(-63.0433,145.002,5.8);',
'insert into jk64demo_earthquakes values(54.3858,-165.4338,2.6);',
'insert into jk64demo_earthquakes values(33.8616667,-117.8533333,1.05);',
'insert into jk64demo_earthquakes values(65.9692,-150.539,1.4);',
'insert into jk64demo_earthquakes values(61.1336,-147.3351,1.2);',
'insert into jk64demo_earthquakes values(63.8228,-148.5866,1.5);',
'insert into jk64demo_earthquakes values(36.4754,-98.7701,1.4);',
'insert into jk64demo_earthquakes values(69.1726,-144.4077,2.2);',
'insert into jk64demo_earthquakes values(59.7795,-153.0352,1.6);',
'insert into jk64demo_earthquakes values(63.0551,-149.6404,1.2);',
'insert into jk64demo_earthquakes values(51.469,-176.0557,1.5);',
'insert into jk64demo_earthquakes values(51.6374,-179.638,2.6);',
'insert into jk64demo_earthquakes values(37.4696667,-118.6878333,1.4);',
'insert into jk64demo_earthquakes values(37.566,-118.8685,0.01);',
'insert into jk64demo_earthquakes values(64.971,-148.8917,0.7);',
'insert into jk64demo_earthquakes values(37.4688333,-118.689,1);',
'insert into jk64demo_earthquakes values(61.8711,-147.354,1.3);',
'insert into jk64demo_earthquakes values(41.0091667,-74.3475,0.24);',
'insert into jk64demo_earthquakes values(63.4287,-146.047,1.3);',
'insert into jk64demo_earthquakes values(59.3308,-153.4911,0.7);',
'insert into jk64demo_earthquakes values(38.8418333,-122.8276667,1.48);',
'insert into jk64demo_earthquakes values(63.2593,-151.6719,1);',
'insert into jk64demo_earthquakes values(38.8103333,-122.7911682,1.15);',
'insert into jk64demo_earthquakes values(39.4345,-123.1638333,1.64);',
'insert into jk64demo_earthquakes values(64.9853,-147.3757,1.6);',
'insert into jk64demo_earthquakes values(36.2085,-120.3198333,1.22);',
'insert into jk64demo_earthquakes values(33.0523333,-116.4391667,1);',
'insert into jk64demo_earthquakes values(65.2457,-151.536,1.1);',
'insert into jk64demo_earthquakes values(37.1297,-97.6575,2.9);',
'insert into jk64demo_earthquakes values(38.8411674,-122.828331,0.85);',
'insert into jk64demo_earthquakes values(40.7283333,-121.4971667,0.89);',
'insert into jk64demo_earthquakes values(39.2312,-120.4963,0.5);',
'insert into jk64demo_earthquakes values(52.4227,-175.0233,3.9);',
'insert into jk64demo_earthquakes values(-23.4599,179.8238,4.1);',
'insert into jk64demo_earthquakes values(5.334,125.6094,4.2);',
'insert into jk64demo_earthquakes values(60.7303,-146.7096,1.6);',
'insert into jk64demo_earthquakes values(38.8061667,-122.8145,0.22);',
'insert into jk64demo_earthquakes values(37.5671667,-118.8515,0.17);',
'insert into jk64demo_earthquakes values(36.7557,-115.9099,-0.2);',
'insert into jk64demo_earthquakes values(60.6138,-143.125,1.5);',
'insert into jk64demo_earthquakes values(-7.1722,105.15,4.2);',
'insert into jk64demo_earthquakes values(36.7109,-116.2192,0.1);',
'insert into jk64demo_earthquakes values(36.7172,-116.2156,-0.1);',
'insert into jk64demo_earthquakes values(38.8108333,-122.824,0.23);',
'insert into jk64demo_earthquakes values(38.8123333,-122.8206667,0.27);',
'insert into jk64demo_earthquakes values(18.927,-64.4227,2.5);',
'insert into jk64demo_earthquakes values(36.4753,-98.7517,2.1);',
'insert into jk64demo_earthquakes values(60.7215,-146.6825,1.7);',
'insert into jk64demo_earthquakes values(39.1071,-118.063,0.7);',
'insert into jk64demo_earthquakes values(59.2218,-153.6931,1.9);',
'insert into jk64demo_earthquakes values(35.5426667,-120.8063333,0.57);',
'insert into jk64demo_earthquakes values(39.6685,-120.9496667,1.78);',
'insert into jk64demo_earthquakes values(62.1307,-148.0579,1.6);',
'insert into jk64demo_earthquakes values(18.399,-64.74,2.4);',
'insert into jk64demo_earthquakes values(45.9298333,-122.3905,0.8);',
'insert into jk64demo_earthquakes values(53.1281,-167.1131,1.8);',
'insert into jk64demo_earthquakes values(39.4196,-119.7837,0.4);',
'insert into jk64demo_earthquakes values(39.4215,-119.78,0.6);',
'insert into jk64demo_earthquakes values(36.464,-98.783,1.7);',
'insert into jk64demo_earthquakes values(36.4619,-98.7495,2.4);',
'insert into jk64demo_earthquakes values(60.911,-151.6358,1.3);',
'insert into jk64demo_earthquakes values(39.5609,-115.7636,1.5);',
'insert into jk64demo_earthquakes values(39.5963,-115.8739,2.2);',
'insert into jk64demo_earthquakes values(36.4655,-98.7494,1.8);',
'insert into jk64demo_earthquakes values(36.4831,-98.7714,2.8);',
'insert into jk64demo_earthquakes values(63.0189,-149.3382,1.3);',
'insert into jk64demo_earthquakes values(36.4736,-98.7528,3.5);',
'insert into jk64demo_earthquakes values(36.4711,-98.748,3.3);',
'insert into jk64demo_earthquakes values(38.802,-122.7718333,1.77);',
'insert into jk64demo_earthquakes values(38.8031654,-122.7713318,1.12);',
'insert into jk64demo_earthquakes values(38.8015,-122.7716667,1);',
'insert into jk64demo_earthquakes values(33.702,-117.4675,0.55);',
'insert into jk64demo_earthquakes values(61.491,-150.1747,1.5);',
'insert into jk64demo_earthquakes values(36.5548333,-121.0585,2.04);',
'insert into jk64demo_earthquakes values(38.676,-122.376,1.47);',
'insert into jk64demo_earthquakes values(37.6443333,-118.9371667,0.44);',
'insert into jk64demo_earthquakes values(39.0633333,-123.1188333,1.51);',
'insert into jk64demo_earthquakes values(33.6015,-116.8133333,0.52);',
'insert into jk64demo_earthquakes values(36.5888,-118.0637,0.5);',
'insert into jk64demo_earthquakes values(7.4958,-82.4955,4.6);',
'insert into jk64demo_earthquakes values(18.839,-64.6697,2.9);',
'insert into jk64demo_earthquakes values(59.7965,-153.0638,1.7);',
'insert into jk64demo_earthquakes values(46.1838333,-122.1905,-0.38);',
'insert into jk64demo_earthquakes values(36.4701,-98.7444,2.4);',
'insert into jk64demo_earthquakes values(38.8233337,-122.7798309,0.53);',
'insert into jk64demo_earthquakes values(64.8627,-148.6977,0.3);',
'insert into jk64demo_e'))
);
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'arthquakes values(19.0312,-66.341,2.7);',
'insert into jk64demo_earthquakes values(-21.4311,-68.515,3.9);',
'insert into jk64demo_earthquakes values(19.1644,-64.8414,3.4);',
'insert into jk64demo_earthquakes values(34.0398333,-117.2431667,0.74);',
'insert into jk64demo_earthquakes values(19.2215,-64.848,2.5);',
'insert into jk64demo_earthquakes values(32.6951667,-115.7445,3.03);',
'insert into jk64demo_earthquakes values(44.7031667,-110.989,0.91);',
'insert into jk64demo_earthquakes values(19.3281,-64.7445,2.5);',
'insert into jk64demo_earthquakes values(63.2173,-149.9476,1.1);',
'insert into jk64demo_earthquakes values(37.0745,-121.4941667,1.05);',
'insert into jk64demo_earthquakes values(-17.985,-178.4463,5.1);',
'insert into jk64demo_earthquakes values(38.8351669,-122.7734985,0.78);',
'insert into jk64demo_earthquakes values(63.0928,-151.5107,0.9);',
'insert into jk64demo_earthquakes values(51.5096,-175.9113,2.5);',
'insert into jk64demo_earthquakes values(19.3756667,-155.0948333,2.26);',
'insert into jk64demo_earthquakes values(-31.475,-71.7264,3.9);',
'insert into jk64demo_earthquakes values(41.8912,-119.5992,1.2);',
'insert into jk64demo_earthquakes values(51.6121,-174.8762,2.4);',
'insert into jk64demo_earthquakes values(47.8311667,-114.3303333,-0.38);',
'insert into jk64demo_earthquakes values(37.4923333,-121.8458333,0.85);',
'insert into jk64demo_earthquakes values(47.7,-120.203,1.16);',
'insert into jk64demo_earthquakes values(37.1017,-116.7589,-0.6);',
'insert into jk64demo_earthquakes values(38.0001667,-112.2446667,1.49);',
'insert into jk64demo_earthquakes values(34.6885,-116.239,1.94);',
'insert into jk64demo_earthquakes values(48.1923333,-122.6566667,1.85);',
'insert into jk64demo_earthquakes values(64.8062,-150.9818,0.8);',
'insert into jk64demo_earthquakes values(33.495,-116.5308333,0.49);',
'insert into jk64demo_earthquakes values(-10.0205,122.0279,4.3);',
'insert into jk64demo_earthquakes values(37.2796,-117.7241,0.9);',
'insert into jk64demo_earthquakes values(36.4377,-98.7788,2.2);',
'insert into jk64demo_earthquakes values(33.9868333,-116.9843333,0.97);',
'insert into jk64demo_earthquakes values(38.8154984,-122.7928314,0.55);',
'insert into jk64demo_earthquakes values(37.3973333,-118.3843333,0.88);',
'insert into jk64demo_earthquakes values(34.178,-117.4026667,1.15);',
'insert into jk64demo_earthquakes values(53.8059,-163.589,2.6);',
'insert into jk64demo_earthquakes values(55.6742,-159.6732,2.9);',
'insert into jk64demo_earthquakes values(37.2443,-116.0061,-1.4);',
'insert into jk64demo_earthquakes values(19.2073333,-155.4596667,1.89);',
'insert into jk64demo_earthquakes values(44.62,-110.2826667,1.02);',
'insert into jk64demo_earthquakes values(59.3965,-153.0161,2.4);',
'insert into jk64demo_earthquakes values(38.8121681,-122.8261642,0.43);',
'insert into jk64demo_earthquakes values(63.5386,-147.5805,1);',
'insert into jk64demo_earthquakes values(38.1045,-112.7896667,1.7);',
'insert into jk64demo_earthquakes values(38.8275,-122.8526667,0.34);',
'insert into jk64demo_earthquakes values(61.3483,-150.2897,2.1);',
'insert into jk64demo_earthquakes values(38.6581,-118.7949,1.2);',
'insert into jk64demo_earthquakes values(38.881,-123.25,1.58);',
'insert into jk64demo_earthquakes values(38.4465,-118.3941,0);',
'insert into jk64demo_earthquakes values(19.4293333,-155.4793333,1.33);',
'insert into jk64demo_earthquakes values(62.4385,-150.6223,1.8);',
'insert into jk64demo_earthquakes values(60.629,-151.8497,2.1);',
'insert into jk64demo_earthquakes values(-6.006,130.4296,4.6);',
'insert into jk64demo_earthquakes values(-23.1048,-68.9617,5.2);',
'insert into jk64demo_earthquakes values(46.0155,-111.3441667,0.48);',
'insert into jk64demo_earthquakes values(37.4668333,-118.6901667,2.21);',
'insert into jk64demo_earthquakes values(63.2788,-150.4256,1.4);',
'insert into jk64demo_earthquakes values(64.8088,-148.942,0.4);',
'insert into jk64demo_earthquakes values(37.4741667,-118.8205,0.74);',
'insert into jk64demo_earthquakes values(38.7883333,-122.735,0.07);',
'insert into jk64demo_earthquakes values(47.599,-121.7176667,1.63);',
'insert into jk64demo_earthquakes values(35.6888,-97.4081,2.6);',
'insert into jk64demo_earthquakes values(12.3491,-88.268,4.6);',
'insert into jk64demo_earthquakes values(62.1448,-150.7826,1.4);',
'insert into jk64demo_earthquakes values(38.1644,-118.2145,0);',
'insert into jk64demo_earthquakes values(37.468,-118.6836667,0.93);',
'insert into jk64demo_earthquakes values(63.0199,-151.6475,1);',
'insert into jk64demo_earthquakes values(37.4673333,-118.686,0.73);',
'insert into jk64demo_earthquakes values(37.469,-118.6885,2.56);',
'insert into jk64demo_earthquakes values(37.4666667,-118.6853333,0.81);',
'insert into jk64demo_earthquakes values(60.2974,-151.8904,1.4);',
'insert into jk64demo_earthquakes values(37.4691667,-118.6863333,2.5);',
'insert into jk64demo_earthquakes values(36.4809,-98.7442,2.7);',
'insert into jk64demo_earthquakes values(60.1371,-151.3368,1.4);',
'insert into jk64demo_earthquakes values(37.5738333,-118.8406667,0.41);',
'insert into jk64demo_earthquakes values(37.4688333,-118.6863333,1.26);',
'insert into jk64demo_earthquakes values(37.5721667,-118.8311667,0.14);',
'insert into jk64demo_earthquakes values(19.1592,-64.8273,3.2);',
'insert into jk64demo_earthquakes values(38.4078,-118.1865,0.8);',
'insert into jk64demo_earthquakes values(38.8071667,-122.8248333,1.51);',
'insert into jk64demo_earthquakes values(35.1366667,-118.6403333,2.16);',
'insert into jk64demo_earthquakes values(37.4748333,-118.8236667,1.21);',
'insert into jk64demo_earthquakes values(37.4735,-118.8248333,1.59);',
'insert into jk64demo_earthquakes values(37.5713333,-118.8405,0.99);',
'insert into jk64demo_earthquakes values(-23.9883,-67.0269,4.2);',
'insert into jk64demo_earthquakes values(34.6928333,-116.2486667,2);',
'insert into jk64demo_earthquakes values(63.4566,-148.9485,1.4);',
'insert into jk64demo_earthquakes values(36.9658333,-121.6205,0.87);',
'insert into jk64demo_earthquakes values(38.1587,-118.2142,0.9);',
'insert into jk64demo_earthquakes values(19.3863333,-155.6148333,0.63);',
'insert into jk64demo_earthquakes values(62.979,-149.972,1.2);',
'insert into jk64demo_earthquakes values(59.8315,-152.9431,3);',
'insert into jk64demo_earthquakes values(18.3792,-64.108,2.6);',
'insert into jk64demo_earthquakes values(48.2003333,-121.7683333,1.49);',
'insert into jk64demo_earthquakes values(64.4139,-148.6134,0.6);',
'insert into jk64demo_earthquakes values(37.2325,-118.4315,0.88);',
'insert into jk64demo_earthquakes values(-20.9075,173.951,4.8);',
'insert into jk64demo_earthquakes values(62.552,-150.8121,1.5);',
'insert into jk64demo_earthquakes values(19.1774998,-155.4606628,1.84);',
'insert into jk64demo_earthquakes values(33.7366667,-116.7105,0.55);',
'insert into jk64demo_earthquakes values(44.548,-114.5115,2.24);',
'insert into jk64demo_earthquakes values(36.0866667,-120.2018333,1.43);',
'insert into jk64demo_earthquakes values(28.0107,84.7447,5);',
'insert into jk64demo_earthquakes values(33.7151667,-118.0261667,1.5);',
'insert into jk64demo_earthquakes values(37.4883,141.8349,4.7);',
'insert into jk64demo_earthquakes values(61.4353,-151.1913,1.8);',
'insert into jk64demo_earthquakes values(44.544,-114.5133333,1.62);',
'insert into jk64demo_earthquakes values(37.3046,-114.583,0.5);',
'insert into jk64demo_earthquakes values(36.4485,-98.7691,2.5);',
'insert into jk64demo_earthquakes values(34.3033333,-116.8951667,2.87);',
'insert into jk64demo_earthquakes values(33.7603333,-116.1133333,0.86);',
'insert into jk64demo_earthquakes values(33.5353333,-116.696,0.52);',
'insert into jk64demo_earthquakes values(38.8421667,-122.8395,0.47);',
'insert into jk64demo_earthquakes values(37.5738333,-118.8486667,0.01);',
'insert into jk64demo_earthquakes values(36.4734,-98.7402,2.2);',
'insert into jk64demo_earthquakes values(37.6366667,-119.0418333,0.25);',
'insert into jk64demo_earthquakes values(37.5813333,-118.853,0.01);',
'insert into jk64demo_earthquakes values(36.148,78.139,4.6);',
'insert into jk64demo_earthquakes values(38.8284988,-122.7945023,1.02);',
'insert into jk64demo_earthquakes values(37.3761667,-118.6133333,0.92);',
'insert into jk64demo_earthquakes values(63.5008,-147.2146,1.1);',
'insert into jk64demo_earthquakes values(33.9721667,-117.176,0.94);',
'insert into jk64demo_earthquakes values(37.5453333,-118.8768333,0.02);',
'insert into jk64demo_earthquakes values(39.241,-120.0918,-0.1);',
'insert into jk64demo_earthquakes values(38.1291667,-122.276,0.97);',
'insert into jk64demo_earthquakes values(38.7890015,-122.7446671,0.89);',
'insert into jk64demo_earthquakes values(59.7425,-153.1552,1.7);',
'insert into jk64demo_earthquakes values(41.012,-74.3485,0.13);',
'insert into jk64demo_earthquakes values(51.5935,-177.0598,2.6);',
'insert into jk64demo_earthquakes values(37.0219,-116.4413,0.4);',
'insert into jk64demo_earthquakes values(60.3452,-151.1011,1.5);',
'insert into jk64demo_earthquakes values(46.7415,-113.1446667,1.16);',
'insert into jk64demo_earthquakes values(34.3046667,-116.865,1.52);',
'insert into jk64demo_earthquakes values(62.3186,-149.7634,1.7);',
'insert into jk64demo_earthquakes values(38.1663,-118.2302,0.9);',
'insert into jk64demo_earthquakes values(38.8199997,-122.8181686,0.83);',
'insert into jk64demo_earthquakes values(37.6388333,-118.8841667,-0.1);',
'insert into jk64demo_earthquakes values(33.4801667,-116.493,0.39);',
'insert into jk64demo_earthquakes values(38.8246651,-122.8236694,0.9);',
'insert into jk64demo_earthquakes values(37.6456667,-118.937,0.5);',
'insert into jk64demo_earthquakes values(37.2126667,-118.4056667,0.91);',
'insert into jk64demo_earthquakes values(36.5293,-98.9698,2.9);',
'insert into jk64demo_earthquakes values(34.012,-118.4176667,1.19);',
'insert into jk64demo_earthquakes values(61.9757,-152.0803,2.7);',
'insert into jk64demo_earthquakes values(63.1207,-151.4842,0.9);',
'insert into jk64demo_earthquakes values(38.7905,-122.772,0.29);',
'insert into jk64demo_earthquakes values(38.7886667,-122.7773333,2.63);',
'insert into jk64demo_earthquakes values(38.744,-119.6066,1);',
'insert into jk64demo_earthquakes values(38.8118324,-122.8136673,0.88);',
'insert into jk64demo_earthquakes values(60.2222,-141.0235,1.6);',
'insert into jk64demo_earthquakes values(33.2798333,-116.7863333,0.62);',
'insert into jk64demo_earthquakes values(41.8962,-119.5913,1.5);',
'insert into jk64demo_earthquakes values(33.6431667,-117.2336667,0.9);',
'insert into jk64demo_earthquakes values(61.1969,-151.9162,1.7);',
'insert into jk64demo_earthquakes values(38.8171654,-122.8183365,1.02);',
'insert into jk64demo_earthquakes values(43.7708333,-110.9126667,1.17);',
'insert into jk64demo_earthquakes values(34.6295,-116.2893333,1.72);',
'insert into jk64demo_earthquakes values(46.4171667,-121.773,0.87);',
'insert into jk64demo_earthquakes values(53.1845,-166.7335,1.8);',
'insert into jk64demo_earthquakes values(60.127,-151.9664,1.5);',
'insert into jk64demo_earthquakes values(38.5059,-118.3983,0.4);',
'insert into jk64demo_earthquakes values(37.3228333,-118.5931667,1.34);',
'insert into jk64demo_earthquakes values(33.4895,-116.906,0.55);',
'insert into jk64demo_earthquakes values(63.2458,-151.094,1.2);',
'insert into jk64demo_earthquakes values(36.4638,-98.7499,2.5);',
'insert into jk64demo_earthquakes values(61.5726,-148.3332,1.6);',
'insert into jk64demo_earthquakes values(54.7722,-161.592,2.6);',
'insert into jk64demo_earthquakes values(19.3473333,-155.2168333,2.43);',
'insert into jk64demo_earthquakes values(38.9364,142.5653,4.8);',
'insert into jk64demo_earthquakes values(60.3759,-146.9271,1.6);',
'insert into jk64demo_earthquakes values(33.8801667,-116.901,0.72);',
'insert into jk64demo_earthquakes values(63.2948,-150.6536,1.5);',
'insert into jk64demo_earthquakes values(61.0326,-146.636,1.2);',
'insert into jk64demo_earthquakes values(17.833,-66.055,2.4);',
'insert into jk64demo_earthquakes values(-40.5547,176.8849,4.5);',
'insert into jk64demo_earthquakes values(18.1007,-66.2874,2.1);',
'insert into jk64demo_earthquakes values(63.067,-150.4148,1.5);',
'insert into jk64demo_earthquakes values(-31.0733,-178.9432,4.4);',
'insert into jk64demo_earthquakes values(21.9339,-108.2501,4.2);',
'insert into jk64demo_earthquakes values(35.5923333,-120.8733333,2.04);',
'insert into jk64demo_earthquakes values(61.2703,-150.0819,1.4);',
'insert into jk64demo_earthquakes values(65.2379,-150.8262,1.2);',
'insert into jk64demo_earthquakes values(33.8991667,-116.258,0.9);',
'insert into jk64demo_earthquakes values(41.8052,-119.6081,0.7);',
'insert into jk64demo_earthquakes values(37.1241,-117.0157,0.4);',
'insert into jk64demo_earthquakes values(19.0505,-64.7322,3.2);',
'insert into jk64demo_earthquakes values(46.722,-121.9163333,0.03);',
'insert into jk64demo_earthquakes values(65.6032,-152.5775,1.2);',
'insert into jk64demo_earthquakes values(37.2226667,-118.402,0.92);',
'insert into jk64demo_earthquakes values(61.6506,-151.8082,1.9);',
'insert into jk64demo_earthquakes values(19.3291667,-155.1623333,1.4);',
'insert into jk64demo_earthquakes values(39.7436667,-110.9466667,1.81);',
'insert into jk64demo_earthquakes values(19.0146,-65.1027,3.1);',
'insert into jk64demo_earthquakes values(37.6265,-118.9043333,0.58);',
'insert into jk64demo_earthquakes values(37.5026667,-113.923,1.87);',
'insert into jk64demo_earthquakes values(33.6346667,-116.7285,0.33);',
'insert into jk64demo_earthquakes values(38.7924995,-122.7651672,1.07);',
'insert into jk64demo_earthquakes values(40.5401667,-121.6581667,0.52);',
'insert into jk64demo_earthquakes values(63.5103,-147.1622,1.1);',
'insert into jk64demo_earthquakes values(33.762,-116.1128333,0.79);',
'insert into jk64demo_earthquakes values(19.4143333,-155.3168333,1.1);',
'insert into jk64demo_earthquakes values(39.399,-119.0115,1.2);',
'insert into jk64demo_earthquakes values(62.8894,-151.2633,1.4);',
'insert into jk64demo_earthquakes values(68.1021,-136.4771,3.3);',
'insert into jk64demo_earthquakes values(37.348,-114.6299,0.8);',
'insert into jk64demo_earthquakes values(33.4511667,-116.387,0.52);',
'insert into jk64demo_earthquakes values(38.8409996,-122.8286667,0.33);',
'insert into jk64demo_earthquakes values(38.8391685,-122.8274994,0.84);',
'insert into jk64demo_earthquakes values(-7.5196,128.5492,5);',
'insert into jk64demo_earthquakes values(18.2124,-67.6358,3.1);',
'insert into jk64demo_earthquakes values(34.259,-119.643,1.87);',
'insert into jk64demo_earthquakes values(36.9483333,-120.2801667,2.18);',
'insert into jk64demo_earthquakes values(34.2695,-119.6558333,2.19);',
'insert into jk64demo_earthquakes values(34.271,-119.6551667,2.7);',
'insert into jk64demo_earthquakes values(34.2651667,-119.6553333,1.97);',
'insert into jk64demo_earthquakes values(38.8380013,-122.8288345,0.32);',
'insert into jk64demo_earthquakes values(36.738,-115.9915,0.2);',
'insert into jk64demo_earthquakes values(34.2088333,-118.5645,1.29);',
'insert into jk64demo_earthquakes values(38.8231659,-122.8423309,0.79);',
'insert into jk64demo_earthquakes values(65.8825,-150.7776,2);',
'insert into jk64demo_earthquakes values(64.6705,-148.2648,0.8);',
'insert into jk64demo_earthquakes values(35.6918,-97.4031,2.8);',
'insert into jk64demo_earthquakes values(37.4725,-118.8261667,1.66);',
'insert into jk64demo_earthquakes values(17.9046,-66.9421,1.6);',
'insert into jk64demo_earthquakes values(63.5741,-150.7878,1.3);',
'insert into jk64demo_earthquakes values(38.8243332,-122.8434982,0.43);',
'insert into jk64demo_earthquakes values(37.5395,-118.8048333,0.03);',
'insert into jk64demo_earthquakes values(37.4731667,-118.8248333,2.61);',
'insert into jk64demo_earthquakes values(38.7711667,-122.7155,1.04);',
'insert into jk64demo_earthquakes values(59.8384,-152.9549,1.5);',
'insert into jk64demo_earthquakes values(33.8133333,-116.0651667,1.78);',
'insert into jk64demo_earthquakes values(47.6015,-121.7271667,1.38);',
'insert into jk64demo_earthquakes values(37.4968333,-112.5956667,1.25);',
'insert into jk64demo_earthquakes values(38.5658,-118.4381,0.5);',
'insert into jk64demo_earthquakes values(35.6765,-97.3973,2.3);',
'insert into jk64demo_earthquakes values(34.2576667,-118.6871667,1.19);',
'insert into jk64demo_earthquakes values(38.2189,-118.048,1);',
'insert into jk64demo_earthquakes values(38.8339996,-122.7726669,0.8);',
'insert into jk64demo_earthquakes values(62.8882,-149.5161,1.2);',
'insert into jk64demo_earthquakes values(47.546,-122.7965,2.76);',
'insert into jk64demo_earthquakes values(51.7601,-175.39,2.3);',
'insert into jk64demo_earthquakes values(38.0722,-118.8082,0.6);',
'insert into jk64demo_earthquakes values(17.9447,-67.0316,2.1);',
'insert into jk64demo_earthquakes values(41.8611,-119.6302,3);',
'insert into jk64demo_earthquakes values(46.1456667,-111.9208333,1.01);',
'insert into jk64demo_earthquakes values(34.253,-118.6676667,1.56);',
'insert into jk64demo_earthquakes values(46.264,-120.5385,1.57);',
'insert into jk64demo_earthquakes values(38.8056679,-122.7748337,0.73);',
'insert into jk64demo_earthquakes values(38.8068352,-122.770668,0.71);',
'insert into jk64demo_earthquakes values(47.4671667,-122.5915,0.5);',
'insert into jk64demo_earthquakes values(36.0308333,-120.5921667,0.61);',
'insert into jk64demo_earthquakes values(63.4122,-151.3322,1.6);',
'insert into jk64demo_earthquakes values(36.224,-120.774,1.21);',
'insert into jk64demo_earthquakes values(34.6931667,-116.2453333,1.88);',
'insert into jk64demo_earthquakes values(19.4144993,-155.2633362,1.12);',
'insert into jk64demo_earthquakes values(36.0175,-117.802,0.69);',
'insert into jk64demo_earthquakes values(36.0118333,-117.7971667,-0.05);',
'insert into jk64demo_earthquakes values(40.501,-124.3011667,1.13);',
'insert into jk64demo_earthquakes values(39.742,-123.4626667,1.86);',
'insert into jk64demo_earthquakes values(38.8251667,-122.7968333,2.61);',
'insert into jk64demo_earthquakes values(38.8256683,-122.7969971,0.55);',
'insert into jk64demo_earthquakes values(19.4025,-155.2778333,0.49);',
'insert into jk64demo_earthquakes values(51.5556,-175.5126,2.4);',
'insert into jk64demo_earthquakes values(38.7641667,-122.7266667,1.36);',
'insert into jk64demo_earthquakes values(38.8260002,-122.8249969,0.89);',
'insert into jk64demo_earthquakes values(36.5254,-98.9867,2.9);',
'insert into jk64demo_earthquakes values(36.0461667,-117.7666667,0.45);',
'insert into jk64demo_earthquakes values(36.0451667,-117.7736667,0.74);',
'insert into jk64demo_earthquakes values(38.840332,-122.8284988,0.92);',
'insert into jk64demo_earthquakes values(52.3793,-174.5314,2.1);',
'insert into jk64demo_earthquakes values(37.2785,-121.6541667,1.15);',
'insert into jk64demo_earthquakes values(35.6381667,-120.7563333,1.19);',
'insert into jk64demo_earthquakes values(38.831501,-122.8061676,0.86);',
'insert into jk64demo_earthquakes values(36.5553,-98.9182,3.3);',
'insert into jk64demo_earthquakes values(38.828167,-122.7978363,0.4);',
'insert into jk64demo_earthquakes values(37.5731667,-118.8501667,0.15);',
'insert into jk64demo_earthquakes values(38.8246651,-122.8006668,0.55);',
'insert into jk64demo_earthquakes values(59.4758,-151.4831,1.8);',
'insert into jk64demo_earthquakes values(38.8208351,-122.7643356,0.82);',
'insert into jk64demo_earthquakes values(61.9453,-149.268,1.1);',
'insert into jk64demo_earthquakes values(38.7885,-122.7613333,1.87);',
'insert into jk64demo_earthquakes values(47.593,-121.783,0.95);',
'insert into jk64demo_earthquakes values(52.3129,-169.2713,2.3);',
'insert into jk64demo_earthquakes values(34.9136667,-119.3456667,1.48);',
'insert into jk64demo_earthquakes values(37.578,-118.8511667,0.06);',
'insert into jk64demo_earthquakes values(30.4922,139.1043,4.7);',
'insert into jk64demo_earthquakes values(67.4879,-146.2068,1.6);',
'insert into jk64demo_earthquakes values(62.9742,-150.445,1.7);',
'insert into jk64demo_earthquakes values(40.0073333,-123.6856667,2.31);',
'insert into jk64demo_earthquakes values(19.404,-155.2665,0.5);',
'insert into jk64demo_earthquakes values(56.9969,-155.7088,2.5);',
'insert into jk64demo_earthquakes values(60.7867,-147.3942,1.6);',
'insert into jk64demo_earthquakes values(40.085,-119.9138,0.8);',
'insert into jk64demo_earthquakes values(38.8216667,-122.8441667,1.62);',
'insert into jk64demo_earthquakes values(33.6003333,-116.7375,0.57);',
'insert into jk64demo_earthquakes values(32.9778333,-116.2696667,1.44);',
'insert into jk64demo_earthquakes values(51.6615,-175.2211,1.2);',
'insert into jk64demo_earthquakes values(38.5693333,-112.1661667,1.16);',
'insert into jk64demo_earthquakes values(2.1013,126.8601,4.5);',
'insert into jk64demo_earthquakes values(39.8038333,-123.5698333,1.84);',
'insert into jk64demo_earthquakes values(40.0321667,-122.9001667,1.91);',
'insert into jk64demo_earthquakes values(43.5731667,-110.3911667,0.74);',
'insert into jk64demo_earthquakes values(38.7468333,-122.7011667,1.53);',
'insert into jk64demo_earthquakes values(32.6821667,-115.7393333,1.65);',
'insert into jk64demo_earthquakes values(38.7491667,-122.7008333,2.22);',
'insert into jk64demo_earthquakes values(37.5793333,-118.7256667,0.89);',
'insert into jk64demo_earthquakes values(62.5508,-149.7182,1.3);',
'insert into jk64demo_earthquakes values(38.8313332,-122.7926636,0.19);',
'insert into jk64demo_earthquakes values(59.731,-153.113,1.9);',
'insert into jk64demo_earthquakes values(52.1791,-171.2618,2.6);',
'insert into jk64demo_earthquakes values(59.8618,-152.8867,1.7);',
'insert into jk64demo_earthquakes values(17.829,-66.0159,2.7);',
'insert into jk64demo_earthquakes values(39.5413333,-123.3825,1.84);',
'insert into jk64demo_earthquakes values(38.8216667,-122.7638321,0.52);',
'insert into jk64demo_earthquakes values(60.3188,-142.0362,1.3);',
'insert into jk64demo_earthquakes values(19.7466667,-155.8006667,1.5);',
'insert into jk64demo_earthquakes values(40.7951667,-123.3893333,2.06);',
'insert into jk64demo_earthquakes values(38.8216667,-122.8245,1.2);',
'insert into jk64demo_earthquakes values(64.6373,-147.6525,1.1);',
'insert into jk64demo_earthquakes values(48.1698333,-122.7768333,1.87);',
'insert into jk64demo_earthquakes values(18.0951,-66.2878,2.5);',
'insert into jk64demo_earthquakes values(38.656,-118.7802,-0.1);',
'insert into jk64demo_earthquakes values(19.2152,-64.7955,3);',
'insert into jk64demo_earthquakes values(38.0386,-118.6345,0.9);',
'insert into jk64demo_earthquakes values(31.1965,-115.9305,3.36);',
'insert into jk64demo_earthquakes values(49.5727,156.378,4.2);',
'insert into jk64demo_earthquakes values(-59.7481,-25.5619,4.6);',
'insert into jk64demo_earthquakes values(36.5553333,-121.0563333,2.36);',
'insert into jk64demo_earthquakes values(46.435,-122.3996667,1.14);',
'insert into jk64demo_earthquakes values(63.7783,-148.8122,1.3);',
'insert into jk64demo_earthquakes values(36.2933333,-120.8636667,1.55);',
'insert into jk64demo_earthquakes values(62.9433,-151.268,1.2);',
'insert into jk64demo_earthquakes values(35.1215,-118.1906667,1.9);',
'insert into jk64demo_earthquakes values(41.8885,-119.6007,1.6);',
'insert into jk64demo_earthquakes values(37.4408333,-113.771,1.25);',
'insert into jk64demo_earthquakes values(38.492,-118.4176,0.1);',
'insert into jk64demo_earthquakes values(-15.5176,-174.0379,4.4);',
'insert into jk64demo_earthquakes values(34.0013333,-116.8488333,1.54);',
'insert into jk64demo_earthquakes values(32.4566667,-115.5798333,1.39);',
'insert into jk64demo_earthquakes values(63.0624,-151.4252,0.8);',
'insert into jk64demo_earthquakes values(33.037,-116.4406667,0.77);',
'insert into jk64demo_earthquakes values(37.5711667,-118.842,-0.02);',
'insert into jk64demo_earthquakes values(38.8231659,-122.8259964,1.09);',
'insert into jk64demo_earthquakes values(35.8808,-97.3054,3.6);',
'insert into jk64demo_earthquakes values(-30.785,-71.4794,4.7);',
'insert into jk64demo_earthquakes values(63.9099,-152.8044,1.6);',
'insert into jk64demo_earthquakes values(37.6415,-118.9288333,0.65);',
'insert into jk64demo_earthquakes values(44.691,-111.8255,0.93);',
'insert into jk64demo_earthquakes values(38.8061667,-122.817,1.83);',
'insert into jk64demo_earthquakes values(-3.4126,68.4313,4.9);',
'insert into jk64demo_earthquakes values(37.4788333,-118.8555,0.41);',
'insert into jk64demo_earthquakes values(44.7113333,-111.798,2.17);',
'insert into jk64demo_earthquakes values(35.809,-121.3658333,2.15);',
'insert into jk64demo_earthquakes values(42.1286667,-122.0103333,2.07);',
'insert into jk64demo_earthquakes values(59.6862,-153.3087,2);',
'insert into jk64demo_earthquakes values(62.6391,-151.902,1.3);',
'insert into jk64demo_earthquakes values(18.7516,-65.2659,2.8);',
'insert into jk64demo_earthquakes values(35.3155,-119.8786667,0.95);',
'insert into jk64demo_earthquakes values(35.7818,-97.4859,2.5);',
'insert into jk64demo_earthquakes values(46.846,-121.7526667,0.36);',
'insert into jk64demo_earthquakes values(19.3198333,-155.1483333,1.57);',
'insert into jk64demo_earthquakes values(35.7745,-97.4862,3);',
'insert into jk64demo_earthquakes values(19.3268333,-155.1545,1.88);',
'insert into jk64demo_earthquakes values(34.6945,-116.2456667,2.2);',
'insert into jk64demo_earthquakes values(63.1502,-151.4439,1);',
'insert into jk64demo_earthquakes values(51.6047,-177.5103,1.7);',
'insert into jk64demo_earthquakes values(33.5003333,-116.7883333,0.62);',
'insert into jk64demo_earthquakes values(38.5297,-119.4127,1.2);',
'insert into jk64demo_earthquakes values(54.1926,-162.0832,2.4);',
'insert into jk64demo_earthquakes values(64.913,-149.0428,0.6);',
'insert into jk64demo_earthquakes values(63.3072,-151.8436,1.3);',
'insert into jk64demo_earthquakes values(40.1007,-119.6758,0.5);',
'insert into jk64demo_earthquakes values(62.2683,-151.4142,1.5);',
'insert into jk64demo_earthquakes values(38.5435,-122.2903333,1.65);',
'insert into jk64demo_earthquakes values(37.5758333,-118.8565,-0.05);',
'insert into jk64demo_earthquakes values(39.6803,-119.4827,0.1);',
'insert into jk64demo_earthquakes values(63.5991,-153.1566,0.9);',
'insert into jk64demo_earthquakes values(33.4593333,-116.5838333,0.66);',
'insert into jk64demo_earthquakes values(19.2539,-64.397,3.4);',
'insert into jk64demo_earthquakes values(-3.3621,68.3188,4.6);',
'insert into jk64demo_earthquakes values(38.8166656,-122.8018341,1.01);',
'insert into jk64demo_earthquakes values(36.0216667,-117.8001667,1.03);',
'insert into jk64demo_earthquakes values(36.0226667,-117.7993333,0.65);',
'insert into jk64demo_earthquakes values(33.77,-115.9473333,1.58);',
'insert into jk64demo_earthquakes values(59.4837,-152.7479,2);',
'insert into jk64demo_earthquakes values(37.5735,-118.8616667,0);',
'insert into jk64demo_earthquakes values(41.8464,-119.6471,1.7);',
'insert into jk64demo_earthquakes values(59.8375,-152.9992,2.2);',
'insert into jk64demo_earthquakes values(18.2329,-67.2457,2.8);',
'insert into jk64demo_earthquakes values(38.8143349,-122.8311691,1.05);',
'insert into jk64demo_earthquakes values(59.8746,-151.0581,1.4);',
'insert into jk64demo_earthquakes values(41.8567,-119.6644,1.6);',
'insert into jk64demo_earthquakes values(60.2148,-152.5078,2.1);',
'insert into jk64demo_earthquakes values(-33.213,-71.387,4.4);',
'insert into jk64demo_earthquakes values(37.5725,-118.8626667,1.53);',
'insert into jk64demo_earthquakes values(61.8252,-148.9214,0.9);',
'insert into jk64demo_earthquakes values(40.0682,-119.2897,1.2);',
'insert into jk64demo_earthquakes values(35.7094,-3.5584,4.7);',
'insert into jk64demo_earthquakes values(41.8488,-119.6556,1.4);',
'insert into jk64demo_earthquakes values(41.8582,-119.6459,2.4);',
'insert into jk64demo_earthquakes values(61.7259,-149.5794,1.1);',
'insert into jk64demo_earthquakes values(33.2741667,-116.0048333,1.54);',
'insert into jk64demo_earthquakes values(37.5828333,-118.8483333,-0.08);',
'insert into jk64demo_earthquakes values(46.9935,-114.2328333,1.4);',
'insert into jk64demo_earthquakes values(18.743,-155.1916667,1.79);',
'insert into jk64demo_earthquakes values(39.3983333,-111.906,2.25);',
'insert into jk64demo_earthquakes values(38.8173332,-122.7841644,1.03);',
'insert into jk64demo_earthquakes values(63.5763,-150.0187,1.6);',
'insert into jk64demo_earthquakes values(39.2821,-120.2463,0.1);',
'insert into jk64demo_earthquakes values(36.018,-117.8,0.82);',
'insert into jk64demo_earthquakes values(35.6843,-97.4202,2.8);',
'insert into jk64demo_earthquakes values(61.4016,-146.5303,1.2);',
'insert into jk64demo_earthquakes values(61.8079,-149.0468,0.8);',
'insert into jk64demo_earthquakes values(37.4728333,-118.825,2.68);',
'insert into jk64demo_earthquakes values(33.7683333,-115.9426667,1.45);',
'insert into jk64demo_earthquakes values(33.7628333,-115.9471667,1.02);',
'insert into jk64demo_earthquakes values(59.3623,-152.8359,1.6);',
'insert into jk64demo_earthquakes values(33.3115,-116.2936667,0.93);',
'insert into jk64demo_earthquakes values(63.1241,-150.6425,1.5);',
'insert into jk64demo_earthquakes values(37.5721667,-118.8423333,1.17);',
'insert into jk64demo_earthquakes values(59.7845,-152.9992,1.8);',
'insert into jk64demo_earthquakes values(36.7245,-116.0731,-0.3);',
'insert into jk64demo_earthquakes values(39.8083333,-123.568,2.22);',
'insert into jk64demo_earthquakes values(38.8154984,-122.8248367,0.79);',
'insert into jk64demo_earthquakes values(18.5496,-67.083,3.2);',
'insert into jk64demo_earthquakes values(19.9543333,-155.542,1.95);',
'insert into jk64demo_earthquakes values(38.8143349,-122.796669,0.87);',
'insert into jk64demo_earthquakes values(61.4938,-143.5141,1.1);',
'insert into jk64demo_earthquakes values(61.3581,-148.868,1.4);',
'insert into jk64demo_earthquakes values(18.8526,-66.329,2.7);',
'insert into jk64demo_earthquakes values(38.8136667,-122.7963333,1.49);',
'insert into jk64demo_earthquakes values(18.552,-67.4525,3.2);',
'insert into jk64demo_earthquakes values(37.5805,-118.8566667,-0.08);',
'insert into jk64demo_earthquakes values(46.4816667,-122.4228333,1.18);',
'insert into jk64demo_earthquakes values(36.4486,-98.7954,1.6);',
'insert into jk64demo_earthquakes values(38.5706,-117.9242,1.3);',
'insert into jk64demo_earthquakes values(34.01,-116.32,0.92);',
'insert into jk64demo_earthquakes values(51.5766,-175.6169,1.3);',
'insert into jk64demo_earthquakes values(59.6336,-153.4374,2.2);',
'insert into jk64demo_earthquakes values(61.745,-150.0527,1.9);',
'insert into jk64demo_earthquakes values(36.6203333,-121.2305,1.34);',
'insert into jk64demo_earthquakes values(36.2923,-97.6988,2.7);',
'insert into jk64demo_earthquakes values(44.5238333,-110.5905,1.68);',
'insert into jk64demo_earthquakes values(38.8188333,-122.7765,0.16);',
'insert into jk64demo_earthquakes values(19.3651667,-155.1933333,1.99);',
'insert into jk64demo_earthquakes values(59.7075,-153.2584,2);',
'insert into jk64demo_earthquakes values(19.0058,-66.8312,2.7);',
'insert into j'))
);
end;
/
begin
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'k64demo_earthquakes values(37.6683,-118.0447,0.8);',
'insert into jk64demo_earthquakes values(37.0972,-117.1205,-0.2);',
'insert into jk64demo_earthquakes values(47.7673333,-122.1495,1.34);',
'insert into jk64demo_earthquakes values(52.143,-175.7494,1.8);',
'insert into jk64demo_earthquakes values(40.1662,-119.4089,0.8);',
'insert into jk64demo_earthquakes values(19.4011667,-155.2651667,0.75);',
'insert into jk64demo_earthquakes values(51.5479,-175.2774,1.4);',
'insert into jk64demo_earthquakes values(36.5585,-89.6135,1.34);',
'insert into jk64demo_earthquakes values(39.4657,-120.286,0.1);',
'insert into jk64demo_earthquakes values(38.76,-122.7261667,0.59);',
'insert into jk64demo_earthquakes values(59.7873,-152.9999,2.7);',
'insert into jk64demo_earthquakes values(16.7212,-86.2162,3.9);',
'insert into jk64demo_earthquakes values(38.8451667,-122.8308333,1.37);',
'insert into jk64demo_earthquakes values(38.8463333,-122.8306667,1.28);',
'insert into jk64demo_earthquakes values(38.8445,-122.8293333,2.07);',
'insert into jk64demo_earthquakes values(36.2859,-97.5133,2.8);',
'insert into jk64demo_earthquakes values(37.5746667,-118.8586667,0.37);',
'insert into jk64demo_earthquakes values(47.7805,-121.8701667,1.57);',
'insert into jk64demo_earthquakes values(17.9876,-66.2867,2.2);',
'insert into jk64demo_earthquakes values(36.2839,-97.5219,2.7);',
'insert into jk64demo_earthquakes values(64.2216,-147.7626,1.2);',
'insert into jk64demo_earthquakes values(37.3818333,-118.5883333,2.75);',
'insert into jk64demo_earthquakes values(18.329,145.8832,4.5);',
'insert into jk64demo_earthquakes values(61.6463,-149.7432,1.3);',
'insert into jk64demo_earthquakes values(38.8201667,-122.8018333,0.14);',
'insert into jk64demo_earthquakes values(19.304,-66.2403,3.2);',
'insert into jk64demo_earthquakes values(18.7859,-64.7547,2.2);',
'insert into jk64demo_earthquakes values(38.2579,-118.3713,0.7);',
'insert into jk64demo_earthquakes values(34.023,-118.3758333,1.26);',
'insert into jk64demo_earthquakes values(37.2916,-115.2281,1.8);',
'insert into jk64demo_earthquakes values(17.9911,-67.0317,1.6);',
'insert into jk64demo_earthquakes values(33.609,-116.7325,0.24);',
'insert into jk64demo_earthquakes values(38.7815018,-122.7276688,0.58);',
'insert into jk64demo_earthquakes values(38.8223333,-122.7695,0.75);',
'insert into jk64demo_earthquakes values(36.7643,-116.2774,0.1);',
'insert into jk64demo_earthquakes values(38.8356667,-122.87883,0.59);',
'insert into jk64demo_earthquakes values(38.5209,-118.5016,0.3);',
'insert into jk64demo_earthquakes values(59.8872,-151.8453,1.8);',
'insert into jk64demo_earthquakes values(51.7426,-177.1676,1.7);',
'insert into jk64demo_earthquakes values(36.7642,-116.2732,0);',
'insert into jk64demo_earthquakes values(46.1963333,-122.1828333,0.25);',
'insert into jk64demo_earthquakes values(38.8115005,-122.8284988,1.03);',
'insert into jk64demo_earthquakes values(17.9549,-67.0515,1.3);',
'insert into jk64demo_earthquakes values(-17.8431,-178.4687,4.3);',
'insert into jk64demo_earthquakes values(62.6741,-149.6841,1.3);',
'insert into jk64demo_earthquakes values(38.8014984,-122.831337,1.03);',
'insert into jk64demo_earthquakes values(37.3256,-115.2474,1.8);',
'insert into jk64demo_earthquakes values(47.7763333,-120.067,1.18);',
'insert into jk64demo_earthquakes values(4.5454,-32.5863,4.7);',
'insert into jk64demo_earthquakes values(34.7038333,-116.2363333,1.82);',
'insert into jk64demo_earthquakes values(63.4481,-151.1374,0.9);',
'insert into jk64demo_earthquakes values(40.3655,-123.3761667,1.83);',
'insert into jk64demo_earthquakes values(57.5738,-154.6336,1.8);',
'insert into jk64demo_earthquakes values(37.575,-118.8565,0.22);',
'insert into jk64demo_earthquakes values(19.1585,-64.6035,3.4);',
'insert into jk64demo_earthquakes values(59.7275,-153.1212,2);',
'insert into jk64demo_earthquakes values(34.0255,-117.2426667,1.26);',
'insert into jk64demo_earthquakes values(40.1282,142.5421,4.2);',
'insert into jk64demo_earthquakes values(37.5383333,-121.8253333,1.03);',
'insert into jk64demo_earthquakes values(37.5381667,-121.827,0.9);',
'insert into jk64demo_earthquakes values(63.1616,-150.3626,1.5);',
'insert into jk64demo_earthquakes values(37.57,-118.8535,0.04);',
'insert into jk64demo_earthquakes values(38.6546,-118.7824,1.1);',
'insert into jk64demo_earthquakes values(38.793335,-122.7306671,0.87);',
'insert into jk64demo_earthquakes values(38.8408318,-122.8290024,0.45);',
'insert into jk64demo_earthquakes values(44.644,-110.3925,0.49);',
'insert into jk64demo_earthquakes values(36.7066667,-121.4088333,0.86);',
'insert into jk64demo_earthquakes values(51.4407,-178.0874,1.7);',
'insert into jk64demo_earthquakes values(35.726,-117.7096667,0.97);',
'insert into jk64demo_earthquakes values(33.4531667,-116.5496667,0.48);',
'insert into jk64demo_earthquakes values(50.3792,156.425,4.8);',
'insert into jk64demo_earthquakes values(62.9747,-148.6081,1.2);',
'insert into jk64demo_earthquakes values(38.8133316,-122.8164978,0.45);',
'insert into jk64demo_earthquakes values(37.162,-118.3658333,3.44);',
'insert into jk64demo_earthquakes values(47.0146667,-121.9225,0.36);',
'insert into jk64demo_earthquakes values(35.993,-117.0038,0.3);',
'insert into jk64demo_earthquakes values(19.3816667,-155.2413333,1.49);',
'insert into jk64demo_earthquakes values(65.6614,-143.7573,4.3);',
'insert into jk64demo_earthquakes values(38.8138351,-122.8146667,0.34);',
'insert into jk64demo_earthquakes values(19.5893326,-155.4371643,1.77);',
'insert into jk64demo_earthquakes values(63.5556,-151.0681,0.8);',
'insert into jk64demo_earthquakes values(39.2283333,-110.4605,1.39);',
'insert into jk64demo_earthquakes values(35.5431667,-119.3673333,2.37);',
'insert into jk64demo_earthquakes values(38.8214989,-122.7675018,0.75);',
'insert into jk64demo_earthquakes values(38.8161659,-122.8125,1.03);',
'insert into jk64demo_earthquakes values(38.8181648,-122.8125,0.34);',
'insert into jk64demo_earthquakes values(38.8151667,-122.8131667,1.91);',
'insert into jk64demo_earthquakes values(38.8143333,-122.8126667,2.46);',
'insert into jk64demo_earthquakes values(63.4582,-152.588,1.7);',
'insert into jk64demo_earthquakes values(37.5753333,-118.8536667,0.51);',
'insert into jk64demo_earthquakes values(37.585,-118.8523333,-0.06);',
'insert into jk64demo_earthquakes values(38.8173332,-122.8223343,0.43);',
'insert into jk64demo_earthquakes values(37.6346667,-118.9831667,0.73);',
'insert into jk64demo_earthquakes values(37.581,-118.8531667,-0.01);',
'insert into jk64demo_earthquakes values(36.6966,-116.2368,-0.1);',
'insert into jk64demo_earthquakes values(45.3695,-112.5901667,0.17);',
'insert into jk64demo_earthquakes values(51.526,-176.86,2.7);',
'insert into jk64demo_earthquakes values(35.6617,-97.3941,3);',
'insert into jk64demo_earthquakes values(57.229,-155.3073,2);',
'insert into jk64demo_earthquakes values(35.6866,-3.6285,4.8);',
'insert into jk64demo_earthquakes values(35.6645,-97.4049,4);',
'insert into jk64demo_earthquakes values(38.838,-122.7943333,-0.17);',
'insert into jk64demo_earthquakes values(38.7598333,-122.74,0.4);',
'insert into jk64demo_earthquakes values(-7.3449,121.2058,4.3);',
'insert into jk64demo_earthquakes values(38.815834,-122.8225021,0.56);',
'insert into jk64demo_earthquakes values(41.8491,-119.6514,1.1);',
'insert into jk64demo_earthquakes values(63.2329,-150.7351,1.6);',
'insert into jk64demo_earthquakes values(36.7299,-116.0732,0);',
'insert into jk64demo_earthquakes values(60.199,-152.8855,1.6);',
'insert into jk64demo_earthquakes values(63.2367,-150.7545,1.4);',
'insert into jk64demo_earthquakes values(23.9673,122.4167,4.7);',
'insert into jk64demo_earthquakes values(39.2327,-120.0833,0);',
'insert into jk64demo_earthquakes values(19.4156667,-155.3136667,0.74);',
'insert into jk64demo_earthquakes values(65.1688,-149.079,0.7);',
'insert into jk64demo_earthquakes values(63.2012,-152.1336,0.9);',
'insert into jk64demo_earthquakes values(61.5767,-146.4977,1.4);',
'insert into jk64demo_earthquakes values(19.292,-155.4838333,1.34);',
'insert into jk64demo_earthquakes values(36.2866,-97.8364,2.8);',
'insert into jk64demo_earthquakes values(33.5115,-116.4995,0.7);',
'insert into jk64demo_earthquakes values(59.8461,-152.8912,1.6);',
'insert into jk64demo_earthquakes values(51.184,-177.648,2.3);',
'insert into jk64demo_earthquakes values(39.2276,-119.378,0.8);',
'insert into jk64demo_earthquakes values(40.1697,-121.0249,1);',
'insert into jk64demo_earthquakes values(34.692,-116.2503333,1.44);',
'insert into jk64demo_earthquakes values(59.3503,-153.4294,0.2);',
'insert into jk64demo_earthquakes values(37.6285,-118.8685,0.35);',
'insert into jk64demo_earthquakes values(37.5725,-118.8483333,0.67);',
'insert into jk64demo_earthquakes values(41.9005,-119.6104,0.9);',
'insert into jk64demo_earthquakes values(61.6053,-142.6455,1.3);',
'insert into jk64demo_earthquakes values(55.2661,-162.0906,3.2);',
'insert into jk64demo_earthquakes values(19.0855007,-155.3728333,1.87);',
'insert into jk64demo_earthquakes values(59.3563,-153.4187,0.2);',
'insert into jk64demo_earthquakes values(63.5029,-148.4587,0.8);',
'insert into jk64demo_earthquakes values(37.5766667,-118.8491667,0.01);',
'insert into jk64demo_earthquakes values(62.9164,-151.2752,1.4);',
'insert into jk64demo_earthquakes values(37.5776667,-118.852,-0.01);',
'insert into jk64demo_earthquakes values(63.5607,-150.8163,2.3);',
'insert into jk64demo_earthquakes values(60.7194,-152.8553,1.7);',
'insert into jk64demo_earthquakes values(39.6457,-29.7594,4.7);',
'insert into jk64demo_earthquakes values(37.5795,-118.8545,0.1);',
'insert into jk64demo_earthquakes values(38.8370018,-122.7848358,0.43);',
'insert into jk64demo_earthquakes values(34.0905,-116.7235,1.24);',
'insert into jk64demo_earthquakes values(36.4672,-98.749,1.7);',
'insert into jk64demo_earthquakes values(61.4528,-150.0541,1.4);',
'insert into jk64demo_earthquakes values(59.7492,-153.0639,1.8);',
'insert into jk64demo_earthquakes values(36.5192,-98.9825,2);',
'insert into jk64demo_earthquakes values(53.4873,-165.1463,2.1);',
'insert into jk64demo_earthquakes values(38.8263321,-122.856163,0.92);',
'insert into jk64demo_earthquakes values(61.1347,-148.2975,1.6);',
'insert into jk64demo_earthquakes values(38.8269997,-122.8266678,0.56);',
'insert into jk64demo_earthquakes values(37.5723333,-118.8576667,2.25);',
'insert into jk64demo_earthquakes values(19.1786671,-155.4668274,1.99);',
'insert into jk64demo_earthquakes values(62.7897,-150.8051,1.7);',
'insert into jk64demo_earthquakes values(60.1058,-152.8283,1.8);',
'insert into jk64demo_earthquakes values(37.5748333,-118.8463333,-0.01);',
'insert into jk64demo_earthquakes values(36.8388,-97.8191,2.6);',
'insert into jk64demo_earthquakes values(35.3946667,-118.6258333,1.38);',
'insert into jk64demo_earthquakes values(-0.3165,129.4169,4);',
'insert into jk64demo_earthquakes values(61.8776,-150.5679,1.8);',
'insert into jk64demo_earthquakes values(38.8423347,-122.8733368,0.59);',
'insert into jk64demo_earthquakes values(18.0095,-65.5958,2);',
'insert into jk64demo_earthquakes values(59.8123,-153.3518,2);',
'insert into jk64demo_earthquakes values(51.6785,-176.7581,1.8);',
'insert into jk64demo_earthquakes values(38.8095016,-122.8294983,0.56);',
'insert into jk64demo_earthquakes values(38.8243332,-122.8463364,0.68);',
'insert into jk64demo_earthquakes values(63.5366,-150.7584,1);',
'insert into jk64demo_earthquakes values(51.2647,-178.4167,1.9);',
'insert into jk64demo_earthquakes values(41.8415,-119.6545,1.9);',
'insert into jk64demo_earthquakes values(38.7538333,-122.7143333,0.64);',
'insert into jk64demo_earthquakes values(63.2294,-151.3547,1);',
'insert into jk64demo_earthquakes values(33.713,-116.7653333,1.62);',
'insert into jk64demo_earthquakes values(35.6636,-97.3938,3);',
'insert into jk64demo_earthquakes values(37.564,-118.8625,0.53);',
'insert into jk64demo_earthquakes values(38.8431664,-122.8404999,0.46);',
'insert into jk64demo_earthquakes values(33.4486667,-116.717,0.33);',
'insert into jk64demo_earthquakes values(52.0487,-173.5554,1.8);',
'insert into jk64demo_earthquakes values(59.6874,-152.6245,2.5);',
'insert into jk64demo_earthquakes values(24.8834,121.7647,4);',
'insert into jk64demo_earthquakes values(58.0243,-153.3545,2.4);',
'insert into jk64demo_earthquakes values(50.5094,-174.5463,2.3);',
'insert into jk64demo_earthquakes values(36.2801,-97.5139,2.6);',
'insert into jk64demo_earthquakes values(38.508,-118.3939,0);',
'insert into jk64demo_earthquakes values(62.2963,-142.5683,0.8);',
'insert into jk64demo_earthquakes values(33.493,-116.7926667,0.98);',
'insert into jk64demo_earthquakes values(63.4377,-151.1588,1.6);',
'insert into jk64demo_earthquakes values(37.2461,-117.5462,-0.1);',
'insert into jk64demo_earthquakes values(37.564,-118.8546667,0.18);',
'insert into jk64demo_earthquakes values(37.566,-118.8546667,0.26);',
'insert into jk64demo_earthquakes values(38.8351667,-122.7743333,0.18);',
'insert into jk64demo_earthquakes values(44.6373333,-114.1291667,2.33);',
'insert into jk64demo_earthquakes values(37.6281667,-118.9136667,0.54);',
'insert into jk64demo_earthquakes values(36.4467,-98.7727,2);',
'insert into jk64demo_earthquakes values(39.2317,-120.4939,0.6);',
'insert into jk64demo_earthquakes values(60.5818,-140.5874,1.3);',
'insert into jk64demo_earthquakes values(44.7775,-111.1356667,0.11);',
'insert into jk64demo_earthquakes values(17.982,-67.041,1.7);',
'insert into jk64demo_earthquakes values(51.8045,-176.4289,1.7);',
'insert into jk64demo_earthquakes values(39.0528333,-123.0526667,1.48);',
'insert into jk64demo_earthquakes values(38.6526,-118.7991,0.9);',
'insert into jk64demo_earthquakes values(36.4698,-98.7515,1.6);',
'insert into jk64demo_earthquakes values(61.5774,-146.6782,1.4);',
'insert into jk64demo_earthquakes values(37.2486667,-97.5573333,1.79);',
'insert into jk64demo_earthquakes values(13.6657,144.9278,4.4);',
'insert into jk64demo_earthquakes values(37.478,-118.8525,0.58);',
'insert into jk64demo_earthquakes values(36.2875,-97.5202,3.9);',
'insert into jk64demo_earthquakes values(53.8765,-166.4551,1.1);',
'insert into jk64demo_earthquakes values(36.287,-97.5192,3.8);',
'insert into jk64demo_earthquakes values(17.9867,-67.0378,1.8);',
'insert into jk64demo_earthquakes values(38.7678337,-122.7463303,0.52);',
'insert into jk64demo_earthquakes values(38.5143,-118.3966,1.1);',
'insert into jk64demo_earthquakes values(33.4078333,-116.395,1.42);',
'insert into jk64demo_earthquakes values(34.2925,-116.8505,0.96);',
'insert into jk64demo_earthquakes values(33.2261667,-116.7311667,0.57);',
'insert into jk64demo_earthquakes values(59.8869,-141.3621,2.1);',
'insert into jk64demo_earthquakes values(35.4795,-118.4261667,1.42);',
'insert into jk64demo_earthquakes values(38.7910004,-122.7785034,0.82);',
'insert into jk64demo_earthquakes values(37.5758333,-118.8288333,0.24);',
'insert into jk64demo_earthquakes values(60.1822,-141.1267,1.2);',
'insert into jk64demo_earthquakes values(39.634,-119.3854,0.4);',
'insert into jk64demo_earthquakes values(33.2235,-116.7385,1.04);',
'insert into jk64demo_earthquakes values(36.4858,-98.7393,1.3);',
'insert into jk64demo_earthquakes values(37.1852,-115.4778,1.1);',
'insert into jk64demo_earthquakes values(38.251,-122.188,1.94);',
'insert into jk64demo_earthquakes values(59.5766,-153.5877,2.4);',
'insert into jk64demo_earthquakes values(35.5648333,-118.3711667,1.62);',
'insert into jk64demo_earthquakes values(47.7558333,-113.83,-0.58);',
'insert into jk64demo_earthquakes values(35.3391667,-118.5883333,1.59);',
'insert into jk64demo_earthquakes values(10.2673,122.4514,4.5);',
'insert into jk64demo_earthquakes values(35.34,-118.5866667,1.56);',
'insert into jk64demo_earthquakes values(37.4153,-117.0169,0.3);',
'insert into jk64demo_earthquakes values(19.413,-155.3138333,1.63);',
'insert into jk64demo_earthquakes values(34.3356667,-116.455,1.05);',
'insert into jk64demo_earthquakes values(34.115,-116.9813333,1.49);',
'insert into jk64demo_earthquakes values(37.6298333,-118.9108333,0.21);',
'insert into jk64demo_earthquakes values(62.2791,-148.4507,1.4);',
'insert into jk64demo_earthquakes values(34.2715,-117.6021667,1.16);',
'insert into jk64demo_earthquakes values(48.5713333,-122.0218333,0.87);',
'insert into jk64demo_earthquakes values(60.3282,-151.0652,1.6);',
'insert into jk64demo_earthquakes values(38.8073349,-122.8320007,0.68);',
'insert into jk64demo_earthquakes values(38.8398323,-122.8278351,0.69);',
'insert into jk64demo_earthquakes values(63.3142,-151.8268,1);',
'insert into jk64demo_earthquakes values(38.8113327,-122.8239975,1.03);',
'insert into jk64demo_earthquakes values(60.9176,-149.7723,1.6);',
'insert into jk64demo_earthquakes values(19.3258333,-155.1706667,1.64);',
'insert into jk64demo_earthquakes values(19.4145,-155.3188333,1.11);',
'insert into jk64demo_earthquakes values(19.4125,-155.3123333,3.69);',
'insert into jk64demo_earthquakes values(37.63,-118.9126667,0.23);',
'insert into jk64demo_earthquakes values(37.6271667,-118.912,0.6);',
'insert into jk64demo_earthquakes values(19.0981,-64.8759,2.7);',
'insert into jk64demo_earthquakes values(62.9488,-151.3827,1.4);',
'insert into jk64demo_earthquakes values(61.1151,-151.8923,1.8);',
'insert into jk64demo_earthquakes values(38.8126678,-122.8201675,0.85);',
'insert into jk64demo_earthquakes values(62.5651,-149.6193,1.9);',
'insert into jk64demo_earthquakes values(37.5713333,-118.8566667,0.53);',
'insert into jk64demo_earthquakes values(37.572,-118.8555,0.48);',
'insert into jk64demo_earthquakes values(39.515,-119.9387,0);',
'insert into jk64demo_earthquakes values(33.536,-116.6953333,0.86);',
'insert into jk64demo_earthquakes values(18.9111,-64.6699,3.4);',
'insert into jk64demo_earthquakes values(63.1817,-151.385,0.9);',
'insert into jk64demo_earthquakes values(61.3143,-152.2493,0.9);',
'insert into jk64demo_earthquakes values(37.0471,-97.9219,2.6);',
'insert into jk64demo_earthquakes values(19.2831667,-155.3875,0.83);',
'insert into jk64demo_earthquakes values(19.1566,-64.7652,3.1);',
'insert into jk64demo_earthquakes values(64.6993,-149.4505,0.7);',
'insert into jk64demo_earthquakes values(63.5952,-152.4126,0.8);',
'insert into jk64demo_earthquakes values(36.6126667,-120.8246667,2.32);',
'insert into jk64demo_earthquakes values(59.7917,-152.9913,2);',
'insert into jk64demo_earthquakes values(59.383,-153.3537,1);',
'insert into jk64demo_earthquakes values(18.8925,-64.2068,3.1);',
'insert into jk64demo_earthquakes values(33.7648333,-115.949,1.71);',
'insert into jk64demo_earthquakes values(62.2269,-148.6448,1.1);',
'insert into jk64demo_earthquakes values(37.58,-118.852,0.29);',
'insert into jk64demo_earthquakes values(36.4406,-98.7803,2);',
'insert into jk64demo_earthquakes values(59.7387,-153.2988,1.6);',
'insert into jk64demo_earthquakes values(18.7082,-64.05,3.2);',
'insert into jk64demo_earthquakes values(65.8678,-149.6916,1.2);',
'insert into jk64demo_earthquakes values(46.4381667,-122.2421667,0.58);',
'insert into jk64demo_earthquakes values(34.0588333,-117.234,0.78);',
'insert into jk64demo_earthquakes values(37.5731667,-118.8486667,0.59);',
'insert into jk64demo_earthquakes values(37.4908333,-118.8526667,0.35);',
'insert into jk64demo_earthquakes values(39.3579,-119.94,0.5);',
'insert into jk64demo_earthquakes values(36.449,-98.7668,1.8);',
'insert into jk64demo_earthquakes values(63.5543,-150.6002,1.2);',
'insert into jk64demo_earthquakes values(45.8196667,-111.5688333,0.7);',
'insert into jk64demo_earthquakes values(19.0699997,-155.3574982,2.03);',
'insert into jk64demo_earthquakes values(54.6419,-160.6798,3.1);',
'insert into jk64demo_earthquakes values(60.879,-147.3445,1.4);',
'insert into jk64demo_earthquakes values(38.8168333,-122.7866667,0.29);',
'insert into jk64demo_earthquakes values(33.8291667,-117.6553333,2.29);',
'insert into jk64demo_earthquakes values(37.5716667,-118.8541667,0.55);',
'insert into jk64demo_earthquakes values(38.8240013,-122.8276672,0.43);',
'insert into jk64demo_earthquakes values(37.0437,-116.1625,-0.5);',
'insert into jk64demo_earthquakes values(33.4891667,-116.5876667,0.48);',
'insert into jk64demo_earthquakes values(41.8494,-119.6512,0.9);',
'insert into jk64demo_earthquakes values(63.9241,-148.668,1.3);',
'insert into jk64demo_earthquakes values(37.4346667,-118.6758333,0.8);',
'insert into jk64demo_earthquakes values(37.5851667,-118.8561667,-0.07);',
'insert into jk64demo_earthquakes values(41.8601,-119.6536,2.4);',
'insert into jk64demo_earthquakes values(61.2403,-150.804,1.7);',
'insert into jk64demo_earthquakes values(34.6933333,-116.2461667,2.88);',
'insert into jk64demo_earthquakes values(34.6943333,-116.2428333,4.1);',
'insert into jk64demo_earthquakes values(38.4932,-118.2553,0.5);',
'insert into jk64demo_earthquakes values(59.825,-153.0203,2.8);',
'insert into jk64demo_earthquakes values(38.8088341,-122.8239975,1.02);',
'insert into jk64demo_earthquakes values(-4.424,153.3533,4.2);',
'insert into jk64demo_earthquakes values(60.3394,-153.2077,2);',
'insert into jk64demo_earthquakes values(64.9909,-147.3411,1.2);',
'insert into jk64demo_earthquakes values(19.3651667,-155.2875,2.26);',
'insert into jk64demo_earthquakes values(19.3683333,-155.2911667,0.48);',
'insert into jk64demo_earthquakes values(59.5785,-151.9164,1.7);',
'insert into jk64demo_earthquakes values(63.2305,-145.21,1.2);',
'insert into jk64demo_earthquakes values(40.1866667,-121.6195,1.28);',
'insert into jk64demo_earthquakes values(38.7563324,-122.716835,0.99);',
'insert into jk64demo_earthquakes values(38.836834,-122.8018341,1.01);',
'insert into jk64demo_earthquakes values(51.7291,-174.1525,1.7);',
'insert into jk64demo_earthquakes values(66.4046,-135.4836,4);',
'insert into jk64demo_earthquakes values(59.5222,-153.3983,2.1);',
'insert into jk64demo_earthquakes values(19.3986667,-155.2628333,0.42);',
'insert into jk64demo_earthquakes values(15.9528,146.1728,4.3);',
'insert into jk64demo_earthquakes values(62.2903,-148.8366,1.4);',
'insert into jk64demo_earthquakes values(38.8465004,-122.8306656,0.18);',
'insert into jk64demo_earthquakes values(38.8446667,-122.8305,1.39);',
'insert into jk64demo_earthquakes values(38.8461685,-122.8323364,0.9);',
'insert into jk64demo_earthquakes values(13.3798,-90.7569,4.2);',
'insert into jk64demo_earthquakes values(59.6573,-153.4211,2.1);',
'insert into jk64demo_earthquakes values(19.0667,-64.888,2.6);',
'insert into jk64demo_earthquakes values(18.9101,-64.912,3.2);',
'insert into jk64demo_earthquakes values(59.8075,-152.9073,1.8);',
'insert into jk64demo_earthquakes values(33.9568,26.2387,4.4);',
'insert into jk64demo_earthquakes values(19.0212,-64.9203,2.2);',
'insert into jk64demo_earthquakes values(18.9916,-64.9134,3);',
'insert into jk64demo_earthquakes values(18.9484,-64.9251,3.4);',
'insert into jk64demo_earthquakes values(33.0871667,-116.6053333,0.92);',
'insert into jk64demo_earthquakes values(19.39,-155.2795,2.12);',
'insert into jk64demo_earthquakes values(19.3898333,-155.2796667,0.53);',
'insert into jk64demo_earthquakes values(34.0078333,-118.4161667,1.72);',
'insert into jk64demo_earthquakes values(18.9902,-64.9225,3.5);',
'insert into jk64demo_earthquakes values(50.3861,-174.6605,2.8);',
'insert into jk64demo_earthquakes values(63.8056,-146.936,1);',
'insert into jk64demo_earthquakes values(19.4296667,-155.6246667,1.78);',
'insert into jk64demo_earthquakes values(59.7949,-153.1289,1.8);',
'insert into jk64demo_earthquakes values(45.8706667,-112.0356667,0.7);',
'insert into jk64demo_earthquakes values(18.9932,-65.016,3.4);',
'insert into jk64demo_earthquakes values(36.2936667,-121.7416667,1.88);',
'insert into jk64demo_earthquakes values(37.5663333,-118.8531667,0.07);',
'insert into jk64demo_earthquakes values(52.0735,-175.0034,1.8);',
'insert into jk64demo_earthquakes values(3.6377,124.4825,4.6);',
'insert into jk64demo_earthquakes values(38.0938333,-121.9706667,1.97);',
'insert into jk64demo_earthquakes values(4.5678,-32.6187,4.9);',
'insert into jk64demo_earthquakes values(63.4387,-146.5996,0.8);',
'insert into jk64demo_earthquakes values(22.3373,121.1984,4.5);',
'insert into jk64demo_earthquakes values(60.4838,-147.3453,1.6);',
'insert into jk64demo_earthquakes values(58.6024,-137.1112,1.8);',
'insert into jk64demo_earthquakes values(61.8313,-150.2406,1.7);',
'insert into jk64demo_earthquakes values(4.4827,-32.6649,5.5);',
'insert into jk64demo_earthquakes values(-18.2095,-174.3934,4.8);',
'insert into jk64demo_earthquakes values(37.4678333,-118.691,0.85);',
'insert into jk64demo_earthquakes values(59.6862,-153.3045,2.5);',
'insert into jk64demo_earthquakes values(46.938,-112.6866667,1.28);',
'insert into jk64demo_earthquakes values(37.4683333,-118.6906667,0.8);',
'insert into jk64demo_earthquakes values(59.9636,-153.4516,2.2);',
'insert into jk64demo_earthquakes values(63.2787,-145.2429,1.3);',
'insert into jk64demo_earthquakes values(37.3601,-117.1681,0.1);',
'insert into jk64demo_earthquakes values(63.006,-149.8179,1.1);',
'insert into jk64demo_earthquakes values(35.9735,-120.5281667,1.33);',
'insert into jk64demo_earthquakes values(35.9723333,-120.5321667,2.76);',
'insert into jk64demo_earthquakes values(63.0794,-148.9119,1);',
'insert into jk64demo_earthquakes values(36.0148333,-117.804,0.76);',
'insert into jk64demo_earthquakes values(34.0386667,-116.7133333,1.19);',
'insert into jk64demo_earthquakes values(63.0935,-151.4723,1.4);',
'insert into jk64demo_earthquakes values(17.9617,-66.2835,3);',
'insert into jk64demo_earthquakes values(59.7773,-153.0506,3.3);',
'insert into jk64demo_earthquakes values(33.9726667,-116.7923333,0.73);',
'insert into jk64demo_earthquakes values(17.9825,-66.2916,1.8);',
'insert into jk64demo_earthquakes values(35.5686667,-118.542,0.69);',
'insert into jk64demo_earthquakes values(35.6951667,-121.1245,1.03);',
'insert into jk64demo_earthquakes values(17.9487,-67.058,1.3);',
'insert into jk64demo_earthquakes values(17.9829,-66.279,1.7);',
'insert into jk64demo_earthquakes values(38.8066673,-122.8190002,0.63);',
'insert into jk64demo_earthquakes values(18.0041,-66.2806,1.7);',
'insert into jk64demo_earthquakes values(18.023,-66.2776,1.5);',
'insert into jk64demo_earthquakes values(17.9787,-66.2861,2.6);',
'insert into jk64demo_earthquakes values(63.2205,-150.7054,1.1);',
'insert into jk64demo_earthquakes values(17.965,-66.2762,3.2);',
'insert into jk64demo_earthquakes values(37.6283333,-118.9136667,0.81);',
'insert into jk64demo_earthquakes values(38.824,-122.8531667,1.34);',
'insert into jk64demo_earthquakes values(65.5137,-144.0462,1.8);',
'insert into jk64demo_earthquakes values(37.5665,-118.857,0.05);',
'insert into jk64demo_earthquakes values(37.5653333,-118.8548333,0.56);',
'insert into jk64demo_earthquakes values(59.9121,-150.4963,1.6);',
'insert into jk64demo_earthquakes values(34.0385,-117.2803333,1.05);',
'insert into jk64demo_earthquakes values(38.7891655,-122.770668,0.88);',
'insert into jk64demo_earthquakes values(35.6775,-97.3676,2.1);',
'insert into jk64demo_earthquakes values(38.8161659,-122.8293304,0.33);',
'insert into jk64demo_earthquakes values(38.5802,-118.3499,0.3);',
'insert into jk64demo_earthquakes values(38.5679,-118.3592,0.5);',
'insert into jk64demo_earthquakes values(34.6873333,-116.2451667,1.71);',
'insert into jk64demo_earthquakes values(61.7149,-150.8791,1.8);',
'insert into jk64demo_earthquakes values(19.2346,-64.7593,2.8);',
'insert into jk64demo_earthquakes values(65.1577,-149.1297,1.1);',
'insert into jk64demo_earthquakes values(33.6815,-116.7375,1.15);',
'insert into jk64demo_earthquakes values(64.9809,-147.3713,1.7);',
'insert into jk64demo_earthquakes values(38.8175,-122.8203333,0.43);',
'insert into jk64demo_earthquakes values(64.8415,-147.836,0.6);',
'insert into jk64demo_earthquakes values(38.7994995,-122.7986679,1.02);',
'insert into jk64demo_earthquakes values(60.1386,-153.4511,2.1);',
'insert into jk64demo_earthquakes values(62.038,-148.0739,1.2);',
'insert into jk64demo_earthquakes values(38.8043327,-122.8366699,0.43);',
'insert into jk64demo_earthquakes values(32.9018333,-115.5308333,1.32);',
'insert into jk64demo_earthquakes values(38.8019981,-122.7979965,0.95);',
'insert into jk64demo_earthquakes values(19.1228,-64.748,3.2);',
'insert into jk64demo_earthquakes values(41.8798,-119.6227,0.8);',
'insert into jk64demo_earthquakes values(35.0436667,-117.6768333,1.27);',
'insert into jk64demo_earthquakes values(38.8096657,-122.8366699,0.3);',
'insert into jk64demo_earthquakes values(38.8063333,-122.8161667,1.92);',
'insert into jk64demo_earthquakes values(37.5648333,-118.8531667,0.19);',
'insert into jk64demo_earthquakes values(33.6288333,-116.6773333,0.54);',
'insert into jk64demo_earthquakes values(38.8144989,-122.8143311,0.43);',
'insert into jk64demo_earthquakes values(62.6327,-137.0918,1.5);',
'insert into jk64demo_earthquakes values(38.7613335,-122.7261658,0.45);',
'insert into jk64demo_earthquakes values(38.8076667,-122.8188333,0.19);',
'insert into jk64demo_earthquakes values(33.6305,-116.6778333,0.58);',
'insert into jk64demo_earthquakes values(38.8113333,-122.8168333,2.59);',
'insert into jk64demo_earthquakes values(63.4935,-148.6308,1.4);',
'insert into jk64demo_earthquakes values(37.5818333,-118.8615,0.05);',
'insert into jk64demo_earthquakes values(34.6946667,-116.2368333,3.48);',
'insert into jk64demo_earthquakes values(46.124,-122.1743333,0.35);',
'insert into jk64demo_earthquakes values(39.2297,-120.0868,0.6);',
'insert into jk64demo_earthquakes values(37.3528333,-122.21,1.15);',
'insert into jk64demo_earthquakes values(35.6906,-97.4275,3.5);',
'insert into jk64demo_earthquakes values(38.8380013,-122.8286667,1.04);',
'insert into jk64demo_earthquakes values(57.1977,-155.6482,2.1);',
'insert into jk64demo_earthquakes values(35.2066667,-117.2811667,2.42);',
'insert into jk64demo_earthquakes values(38.8146667,-122.8209991,0.43);',
'insert into jk64demo_earthquakes values(60.2265,-152.6394,1.7);',
'insert into jk64demo_earthquakes values(63.1525,-151.4237,1);',
'insert into jk64demo_earthquakes values(38.840168,-122.878334,0.65);',
'insert into jk64demo_earthquakes values(38.841835,-122.8271637,0.45);',
'insert into jk64demo_earthquakes values(59.7293,-153.1816,2.3);',
'insert into jk64demo_earthquakes values(38.7625008,-122.7353363,0.5);',
'insert into jk64demo_earthquakes values(35.6704,-97.3934,2.6);',
'insert into jk64demo_earthquakes values(54.0729,-165.203,1.8);',
'insert into jk64demo_earthquakes values(38.7949982,-122.802002,0.88);',
'insert into jk64demo_earthquakes values(19.4236667,-155.6148333,1.42);',
'insert into jk64demo_earthquakes values(63.2087,-150.6206,1.4);',
'insert into jk64demo_earthquakes values(38.8216667,-122.84,1.04);',
'insert into jk64demo_earthquakes values(38.8198333,-122.8431667,0.77);',
'insert into jk64demo_earthquakes values(37.575,-118.864,0.47);',
'i'))
);
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'nsert into jk64demo_earthquakes values(38.8230019,-122.8268356,0.43);',
'insert into jk64demo_earthquakes values(33.7231667,-116.8255,0.88);',
'insert into jk64demo_earthquakes values(59.9896,-151.7169,1.3);',
'insert into jk64demo_earthquakes values(44.736,-111.1473333,0.45);',
'insert into jk64demo_earthquakes values(37.4771667,-118.819,0.76);',
'insert into jk64demo_earthquakes values(46.8301667,-121.9515,2.03);',
'insert into jk64demo_earthquakes values(36.5103,-98.7038,1.6);',
'insert into jk64demo_earthquakes values(39.2268,-120.0881,0);',
'insert into jk64demo_earthquakes values(36.27,-118.0176667,2.95);',
'insert into jk64demo_earthquakes values(38.8346667,-122.799,1.77);',
'insert into jk64demo_earthquakes values(60.0633,-152.9767,1.6);',
'insert into jk64demo_earthquakes values(35.6669,-97.3994,3.2);',
'insert into jk64demo_earthquakes values(62.0949,-149.7908,2);',
'insert into jk64demo_earthquakes values(63.1512,-150.642,1.6);',
'insert into jk64demo_earthquakes values(37.4743333,-118.8235,1.18);',
'insert into jk64demo_earthquakes values(61.9889,-146.9568,1.1);',
'insert into jk64demo_earthquakes values(10.2974,93.6503,4);',
'insert into jk64demo_earthquakes values(38.8261681,-122.7908325,0.44);',
'insert into jk64demo_earthquakes values(46.4015,-111.0253333,0.84);',
'insert into jk64demo_earthquakes values(63.2452,-151.3755,1.2);',
'insert into jk64demo_earthquakes values(33.9695,-116.7106667,0.9);',
'insert into jk64demo_earthquakes values(61.7479,-150.7161,1.6);',
'insert into jk64demo_earthquakes values(51.984,-173.9812,1.9);',
'insert into jk64demo_earthquakes values(37.0226,-117.5159,0.5);',
'insert into jk64demo_earthquakes values(34.1581667,-117.4413333,0.76);',
'insert into jk64demo_earthquakes values(38.6991,-118.9997,1);',
'insert into jk64demo_earthquakes values(36.443,-98.7718,2.4);',
'insert into jk64demo_earthquakes values(51.7765,-176.4771,1.8);',
'insert into jk64demo_earthquakes values(38.7956657,-122.7624969,0.74);',
'insert into jk64demo_earthquakes values(38.8325,-122.7715,1.11);',
'insert into jk64demo_earthquakes values(38.8258324,-122.7758331,0.67);',
'insert into jk64demo_earthquakes values(52.3457,-169.2324,2.1);',
'insert into jk64demo_earthquakes values(53.1739,-166.7689,2.5);',
'insert into jk64demo_earthquakes values(39.7422,-120.6824,0.4);',
'insert into jk64demo_earthquakes values(36.4463,-98.7705,2);',
'insert into jk64demo_earthquakes values(38.5107,-118.3939,0);',
'insert into jk64demo_earthquakes values(47.8093333,-122.8013333,0.58);',
'insert into jk64demo_earthquakes values(62.3324,-144.9874,1.1);',
'insert into jk64demo_earthquakes values(19.3911667,-155.2483333,2.05);',
'insert into jk64demo_earthquakes values(18.2735,-67.8294,3);',
'insert into jk64demo_earthquakes values(19.3921667,-155.2463333,2.7);',
'insert into jk64demo_earthquakes values(63.1408,-144.5787,1);',
'insert into jk64demo_earthquakes values(61.0586,-151.6235,1.3);',
'insert into jk64demo_earthquakes values(38.8255005,-122.8063354,0.55);',
'insert into jk64demo_earthquakes values(37.57,-118.851,0.66);',
'insert into jk64demo_earthquakes values(19.4331667,-155.6188333,1.81);',
'insert into jk64demo_earthquakes values(37.5706667,-118.865,0.69);',
'insert into jk64demo_earthquakes values(36.4499,-98.7703,1.7);',
'insert into jk64demo_earthquakes values(63.3617,-151.4748,0.9);',
'insert into jk64demo_earthquakes values(64.6057,-150.2806,0.9);',
'insert into jk64demo_earthquakes values(54.2461,-164.567,2.9);',
'insert into jk64demo_earthquakes values(62.5419,-140.1974,1);',
'insert into jk64demo_earthquakes values(59.7469,-138.938,1.7);',
'insert into jk64demo_earthquakes values(60.6396,-147.3842,1.6);',
'insert into jk64demo_earthquakes values(51.3999,-174.6624,1.8);',
'insert into jk64demo_earthquakes values(37.568,-118.8598333,0.09);',
'insert into jk64demo_earthquakes values(37.4523333,-119.2625,1.3);',
'insert into jk64demo_earthquakes values(38.3928,-118.2979,0.4);',
'insert into jk64demo_earthquakes values(63.7852,-147.6476,1);',
'insert into jk64demo_earthquakes values(49.0653,154.9102,4.3);',
'insert into jk64demo_earthquakes values(36.0914,-115.3815,1.1);',
'insert into jk64demo_earthquakes values(38.2989,-118.7534,0.5);',
'insert into jk64demo_earthquakes values(33.7661667,-117.454,0.93);',
'insert into jk64demo_earthquakes values(13.4762,93.915,4.5);',
'insert into jk64demo_earthquakes values(57.6244,-155.484,2.3);',
'insert into jk64demo_earthquakes values(36.3395,-97.6723,2.5);',
'insert into jk64demo_earthquakes values(63.4591,-147.8455,0.6);',
'insert into jk64demo_earthquakes values(38.2318,-118.3543,0.2);',
'insert into jk64demo_earthquakes values(62.5507,-151.2923,2);',
'insert into jk64demo_earthquakes values(56.0232,-150.0193,3.3);',
'insert into jk64demo_earthquakes values(51.4592,-176.0943,3);',
'insert into jk64demo_earthquakes values(49.3713333,-120.4985,1.69);',
'insert into jk64demo_earthquakes values(36.0193333,-117.8106667,0.91);',
'insert into jk64demo_earthquakes values(64.982,-147.3456,1.7);',
'insert into jk64demo_earthquakes values(40.1616667,-122.8588333,1.68);',
'insert into jk64demo_earthquakes values(17.9475,-67.0521,1.4);',
'insert into jk64demo_earthquakes values(34.2828333,-117.0258333,0.99);',
'insert into jk64demo_earthquakes values(61.8268,-148.4915,1.3);',
'insert into jk64demo_earthquakes values(37.3852,-118.0868,0.5);',
'insert into jk64demo_earthquakes values(61.5363,-148.1649,1.4);',
'insert into jk64demo_earthquakes values(-6.3907,127.8985,4.2);',
'insert into jk64demo_earthquakes values(43.5431667,-110.496,1.23);',
'insert into jk64demo_earthquakes values(-30.8496,-72.7285,3.7);',
'insert into jk64demo_earthquakes values(-6.4907,130.0257,4.2);',
'insert into jk64demo_earthquakes values(53.3159,-166.0613,1.5);',
'insert into jk64demo_earthquakes values(18.1371,-67.2051,2.9);',
'insert into jk64demo_earthquakes values(61.0025,-146.9589,1.4);',
'insert into jk64demo_earthquakes values(46.1881667,-123.0223333,1.26);',
'insert into jk64demo_earthquakes values(38.7999992,-122.758667,0.71);',
'insert into jk64demo_earthquakes values(38.8025017,-122.7570038,0.81);',
'insert into jk64demo_earthquakes values(38.7983333,-122.755,2.33);',
'insert into jk64demo_earthquakes values(38.7998352,-122.7581635,0.74);',
'insert into jk64demo_earthquakes values(38.800499,-122.7576675,0.82);',
'insert into jk64demo_earthquakes values(51.2494,-178.4122,1.8);',
'insert into jk64demo_earthquakes values(38.7879982,-122.7470016,0.52);',
'insert into jk64demo_earthquakes values(43.4986,-110.3779,4);',
'insert into jk64demo_earthquakes values(61.3662,-148.5544,1.5);',
'insert into jk64demo_earthquakes values(51.6033,-178.1985,1.8);',
'insert into jk64demo_earthquakes values(38.5097,-118.402,0.7);',
'insert into jk64demo_earthquakes values(38.8018341,-122.8046646,0.58);',
'insert into jk64demo_earthquakes values(64.7154,-147.9031,0.2);',
'insert into jk64demo_earthquakes values(38.7508333,-122.7135,1.43);',
'insert into jk64demo_earthquakes values(38.8510017,-122.8343353,0.58);',
'insert into jk64demo_earthquakes values(38.8086662,-122.814003,0.78);',
'insert into jk64demo_earthquakes values(38.8230019,-122.8044968,1.06);',
'insert into jk64demo_earthquakes values(38.8061667,-122.8028333,0.61);',
'insert into jk64demo_earthquakes values(38.8088333,-122.8121667,1.68);',
'insert into jk64demo_earthquakes values(37.5725,-118.8431667,0.53);',
'insert into jk64demo_earthquakes values(38.8153343,-122.8138351,1.12);',
'insert into jk64demo_earthquakes values(38.754,-122.6951667,1.19);',
'insert into jk64demo_earthquakes values(38.7983333,-122.8226667,0.84);',
'insert into jk64demo_earthquakes values(38.8128319,-122.81633,0.55);',
'insert into jk64demo_earthquakes values(38.8076668,-122.8111649,1.06);',
'insert into jk64demo_earthquakes values(38.8081667,-122.813,2.87);',
'insert into jk64demo_earthquakes values(46.401,-122.2855,1.42);',
'insert into jk64demo_earthquakes values(37.4711667,-118.6886667,1.03);',
'insert into jk64demo_earthquakes values(64.3688,-149.7537,0.8);',
'insert into jk64demo_earthquakes values(37.5683333,-118.8538333,0.12);',
'insert into jk64demo_earthquakes values(38.8166667,-122.8191667,1.05);',
'insert into jk64demo_earthquakes values(38.8323333,-122.7703333,1.72);',
'insert into jk64demo_earthquakes values(52.1407,-173.347,2.4);',
'insert into jk64demo_earthquakes values(38.8155,-122.7606667,0.3);',
'insert into jk64demo_earthquakes values(38.6618,-118.7061,0.1);',
'insert into jk64demo_earthquakes values(62.2048,-153.2592,1.1);',
'insert into jk64demo_earthquakes values(38.8165016,-122.7616653,0.93);',
'insert into jk64demo_earthquakes values(34.6911667,-116.2413333,1.73);',
'insert into jk64demo_earthquakes values(64.678,-149.1827,0.8);',
'insert into jk64demo_earthquakes values(41.0118333,-74.3495,0.17);',
'insert into jk64demo_earthquakes values(33.6283333,-116.6778333,0.56);',
'insert into jk64demo_earthquakes values(-30.067,-71.047,4.4);',
'insert into jk64demo_earthquakes values(41.8861,-119.5903,1.6);',
'insert into jk64demo_earthquakes values(59.3829,-151.9903,1.9);',
'insert into jk64demo_earthquakes values(32.8116,139.1337,4.1);',
'insert into jk64demo_earthquakes values(19.142,-64.6794,2.7);',
'insert into jk64demo_earthquakes values(65.4638,-144.7092,1.1);',
'insert into jk64demo_earthquakes values(37.5705,-118.8568333,1.18);',
'insert into jk64demo_earthquakes values(35.5511667,-119.3743333,2.23);',
'insert into jk64demo_earthquakes values(62.5915,-150.0551,1.2);',
'insert into jk64demo_earthquakes values(60.3175,-152.3482,1.9);',
'insert into jk64demo_earthquakes values(19.0368,-64.8152,2.6);',
'insert into jk64demo_earthquakes values(63.9803,-148.7385,1.7);',
'insert into jk64demo_earthquakes values(32.0565,95.0448,5.1);',
'insert into jk64demo_earthquakes values(64.6951,-149.1887,0.5);',
'insert into jk64demo_earthquakes values(61.6629,-149.6568,1.5);',
'insert into jk64demo_earthquakes values(39.1977,-120.1592,0);',
'insert into jk64demo_earthquakes values(38.8166656,-122.8274994,0.68);',
'insert into jk64demo_earthquakes values(-36.8804,177.3917,4.4);',
'insert into jk64demo_earthquakes values(64.9924,-147.3419,1.6);',
'insert into jk64demo_earthquakes values(41.8962,-119.6071,0.8);',
'insert into jk64demo_earthquakes values(33.767,-117.4523333,0.85);',
'insert into jk64demo_earthquakes values(36.4785,-116.0321,0.3);',
'insert into jk64demo_earthquakes values(54.2339,-162.8204,2.9);',
'insert into jk64demo_earthquakes values(33.5233333,-116.4711667,0.8);',
'insert into jk64demo_earthquakes values(37.5821667,-118.8605,0.34);',
'insert into jk64demo_earthquakes values(34.2406667,-117.6355,1.49);',
'insert into jk64demo_earthquakes values(-19.6102,-176.6841,4.1);',
'insert into jk64demo_earthquakes values(37.352,-122.205,1.21);',
'insert into jk64demo_earthquakes values(46.1996667,-122.1938333,0.72);',
'insert into jk64demo_earthquakes values(51.1848,-178.0165,2);',
'insert into jk64demo_earthquakes values(38.8448334,-122.8259964,1.02);',
'insert into jk64demo_earthquakes values(68.1636,-136.4214,3.2);',
'insert into jk64demo_earthquakes values(33.7691667,-116.1335,0.82);',
'insert into jk64demo_earthquakes values(38.8418333,-122.839,1.5);',
'insert into jk64demo_earthquakes values(37.051,-97.917,1.87);',
'insert into jk64demo_earthquakes values(35.9846667,-120.541,1.4);',
'insert into jk64demo_earthquakes values(35.9846667,-120.5428333,1.4);',
'insert into jk64demo_earthquakes values(-24.5547,-179.8468,4.5);',
'insert into jk64demo_earthquakes values(58.5302,-155.2872,3.8);',
'insert into jk64demo_earthquakes values(33.8068333,-117.1256667,0.96);',
'insert into jk64demo_earthquakes values(-31.6733,-72.0838,4.1);',
'insert into jk64demo_earthquakes values(37.5821667,-118.8536667,0);',
'insert into jk64demo_earthquakes values(38.8433342,-122.8416672,0.58);',
'insert into jk64demo_earthquakes values(59.356,-153.4299,0.2);',
'insert into jk64demo_earthquakes values(34.4206667,-116.468,1.65);',
'insert into jk64demo_earthquakes values(36.5825,-121.1776667,1.81);',
'insert into jk64demo_earthquakes values(60.2892,-148.5642,1.8);',
'insert into jk64demo_earthquakes values(-52.8719,25.9049,4.5);',
'insert into jk64demo_earthquakes values(37.5818333,-118.8521667,0.14);',
'insert into jk64demo_earthquakes values(33.6416667,-117.2301667,0.49);',
'insert into jk64demo_earthquakes values(33.8606667,-117.5136667,0.87);',
'insert into jk64demo_earthquakes values(35.0566667,-118.3445,1.45);',
'insert into jk64demo_earthquakes values(51.5463,-178.1157,1.8);',
'insert into jk64demo_earthquakes values(38.8071667,-122.7721667,0.95);',
'insert into jk64demo_earthquakes values(32.893,-116.2616667,1.87);',
'insert into jk64demo_earthquakes values(52.8308,-169.5965,2.3);',
'insert into jk64demo_earthquakes values(38.8363342,-122.7965012,0.69);',
'insert into jk64demo_earthquakes values(59.803,-153.0384,1.8);',
'insert into jk64demo_earthquakes values(59.4371,-152.764,2);',
'insert into jk64demo_earthquakes values(-13.6949,-69.9015,4.5);',
'insert into jk64demo_earthquakes values(44.549,-114.507,1.63);',
'insert into jk64demo_earthquakes values(38.8030014,-122.7703323,0.77);',
'insert into jk64demo_earthquakes values(18.4857,-65.0658,2.2);',
'insert into jk64demo_earthquakes values(44.4513333,-110.945,0.74);',
'insert into jk64demo_earthquakes values(38.5195,-122.4376667,1.48);',
'insert into jk64demo_earthquakes values(51.5121,-178.1247,2.1);',
'insert into jk64demo_earthquakes values(18.1009,-67.0873,2.1);',
'insert into jk64demo_earthquakes values(39.2485,-122.8111667,1.23);',
'insert into jk64demo_earthquakes values(-14.3255,167.3965,4.4);',
'insert into jk64demo_earthquakes values(71.642,-2.4395,4.7);',
'insert into jk64demo_earthquakes values(41.0107,-116.4052,3.2);',
'insert into jk64demo_earthquakes values(36.1323333,-117.8478333,1.1);',
'insert into jk64demo_earthquakes values(37.576,-118.8563333,-0.01);',
'insert into jk64demo_earthquakes values(39.1059,-119.6468,-0.1);',
'insert into jk64demo_earthquakes values(54.3512,-161.5092,2.7);',
'insert into jk64demo_earthquakes values(37.1391667,-121.5331667,1.05);',
'insert into jk64demo_earthquakes values(61.9503,-149.201,2.5);',
'insert into jk64demo_earthquakes values(52.9964,-167.4719,2);',
'insert into jk64demo_earthquakes values(51.4196,-174.7672,4.3);',
'insert into jk64demo_earthquakes values(36.98,-117.5867,0.7);',
'insert into jk64demo_earthquakes values(61.7875,-150.6793,1.8);',
'insert into jk64demo_earthquakes values(54.2517,-161.3804,2.5);',
'insert into jk64demo_earthquakes values(53.8153,-166.9132,1.5);',
'insert into jk64demo_earthquakes values(62.9887,-150.4898,1.8);',
'insert into jk64demo_earthquakes values(47.6415,-114.144,-0.79);',
'insert into jk64demo_earthquakes values(37.5713333,-118.854,0.34);',
'insert into jk64demo_earthquakes values(38.8240013,-122.7878342,1);',
'insert into jk64demo_earthquakes values(37.605,-118.8191667,0.86);',
'insert into jk64demo_earthquakes values(38.8098335,-122.8161697,0.8);',
'insert into jk64demo_earthquakes values(37.5703333,-118.8583333,1.98);',
'insert into jk64demo_earthquakes values(37.6298333,-118.83,0.39);',
'insert into jk64demo_earthquakes values(36.2719,-115.4474,0.2);',
'insert into jk64demo_earthquakes values(25.2531,124.8492,4.7);',
'insert into jk64demo_earthquakes values(-9.8476,118.7646,4);',
'insert into jk64demo_earthquakes values(36.4827,-98.9799,2.9);',
'insert into jk64demo_earthquakes values(-2.5008,140.1866,4.4);',
'insert into jk64demo_earthquakes values(38.7675,-122.7185,0.26);',
'insert into jk64demo_earthquakes values(38.8064995,-122.7720032,1.11);',
'insert into jk64demo_earthquakes values(65.1127,-148.6305,0.3);',
'insert into jk64demo_earthquakes values(33.864,-117.4991667,1.21);',
'insert into jk64demo_earthquakes values(37.5595,-118.855,0.23);',
'insert into jk64demo_earthquakes values(64.6452,-149.2712,1);',
'insert into jk64demo_earthquakes values(17.9825,-67.0463,2.2);',
'insert into jk64demo_earthquakes values(37.5746667,-118.8626667,0.64);',
'insert into jk64demo_earthquakes values(37.5416667,-118.8793333,0.54);',
'insert into jk64demo_earthquakes values(46.141,-119.2503333,1.49);',
'insert into jk64demo_earthquakes values(-8.0159,108.8105,4.2);',
'insert into jk64demo_earthquakes values(34.6965,-116.2428333,1.74);',
'insert into jk64demo_earthquakes values(40.376,-124.6073333,2.22);',
'insert into jk64demo_earthquakes values(41.8526,-119.6273,1.1);',
'insert into jk64demo_earthquakes values(44.7813333,-111.9,0.77);',
'insert into jk64demo_earthquakes values(37.5715,-118.8571667,0.13);',
'insert into jk64demo_earthquakes values(38.8183327,-122.8219986,0.56);',
'insert into jk64demo_earthquakes values(47.1466667,-122.9993333,1.27);',
'insert into jk64demo_earthquakes values(41.8912,-119.5915,1.4);',
'insert into jk64demo_earthquakes values(38.840332,-122.8281631,1.14);',
'insert into jk64demo_earthquakes values(38.5054,-118.3995,0.7);',
'insert into jk64demo_earthquakes values(38.5133,-118.3955,2.1);',
'insert into jk64demo_earthquakes values(38.8201675,-122.7646637,1.11);',
'insert into jk64demo_earthquakes values(60.0894,-151.1538,2.7);',
'insert into jk64demo_earthquakes values(38.8261681,-122.7789993,0.78);',
'insert into jk64demo_earthquakes values(38.8195,-122.7641667,1.06);',
'insert into jk64demo_earthquakes values(47.6923333,-121.496,1.46);',
'insert into jk64demo_earthquakes values(53.1717,-165.9807,1.7);',
'insert into jk64demo_earthquakes values(45.9951667,-112.4518333,1.31);',
'insert into jk64demo_earthquakes values(37.5955,142.0322,4.8);',
'insert into jk64demo_earthquakes values(36.0658,-117.5952,1);',
'insert into jk64demo_earthquakes values(36.025,-117.6116667,1.09);',
'insert into jk64demo_earthquakes values(7.0626,126.568,4.8);',
'insert into jk64demo_earthquakes values(61.6084,-150.6679,1.5);',
'insert into jk64demo_earthquakes values(60.1428,-151.0714,1.5);',
'insert into jk64demo_earthquakes values(47.7595,-113.8416667,-0.61);',
'insert into jk64demo_earthquakes values(35.0565,-118.3393333,1.4);',
'insert into jk64demo_earthquakes values(59.8466,-152.9805,1.6);',
'insert into jk64demo_earthquakes values(19.235,-64.813,3.6);',
'insert into jk64demo_earthquakes values(64.7204,-150.9476,1);',
'insert into jk64demo_earthquakes values(37.9484,-118.1519,1.8);',
'insert into jk64demo_earthquakes values(-8.7034,149.8736,4.1);',
'insert into jk64demo_earthquakes values(33.535,-116.6955,0.42);',
'insert into jk64demo_earthquakes values(45.8756,-75.5597,2.8);',
'insert into jk64demo_earthquakes values(38.094,-112.6361667,0.8);',
'insert into jk64demo_earthquakes values(38.7583333,-122.7236667,1.18);',
'insert into jk64demo_earthquakes values(38.7625,-122.7231667,0.2);',
'insert into jk64demo_earthquakes values(62.4602,-151.0078,1.6);',
'insert into jk64demo_earthquakes values(33.0665,-116.1996667,1.19);',
'insert into jk64demo_earthquakes values(38.8146667,-122.8311691,0.52);',
'insert into jk64demo_earthquakes values(37.9893333,-122.4455,1.29);',
'insert into jk64demo_earthquakes values(46.0051667,-112.469,1.25);',
'insert into jk64demo_earthquakes values(33.9966667,-117.2683333,2.05);',
'insert into jk64demo_earthquakes values(57.1396,-156.6961,2.5);',
'insert into jk64demo_earthquakes values(46.0355,-123.5548333,1.52);',
'insert into jk64demo_earthquakes values(49.1175,-122.1776667,1.38);',
'insert into jk64demo_earthquakes values(61.9877,-149.8691,2.9);',
'insert into jk64demo_earthquakes values(24.018,142.1388,4.8);',
'insert into jk64demo_earthquakes values(63.098,-151.4084,1.1);',
'insert into jk64demo_earthquakes values(19.2236667,-155.5263333,2.39);',
'insert into jk64demo_earthquakes values(38.7194,-118.8191,1.1);',
'insert into jk64demo_earthquakes values(37.4723333,-121.6496667,1.31);',
'insert into jk64demo_earthquakes values(60.875,-149.6413,1.7);',
'insert into jk64demo_earthquakes values(33.0888333,-115.0071667,2.05);',
'insert into jk64demo_earthquakes values(36.8826675,-121.6151657,2.06);',
'insert into jk64demo_earthquakes values(-29.9206,-71.8346,4.6);',
'insert into jk64demo_earthquakes values(18.5074,-64.9466,2.5);',
'insert into jk64demo_earthquakes values(59.841,-152.9725,1.9);',
'insert into jk64demo_earthquakes values(38.8081665,-122.7716675,1.02);',
'insert into jk64demo_earthquakes values(38.654,-118.7962,1.3);',
'insert into jk64demo_earthquakes values(44.704,-111.7941667,0.92);',
'insert into jk64demo_earthquakes values(-22.7249,-179.4962,4.2);',
'insert into jk64demo_earthquakes values(39.0268333,-123.4398333,1.57);',
'insert into jk64demo_earthquakes values(34.266,-119.6465,1.96);',
'insert into jk64demo_earthquakes values(59.913,-139.2293,1.5);',
'insert into jk64demo_earthquakes values(38.6527,-118.7776,0.9);',
'insert into jk64demo_earthquakes values(44.334,-112.593,1);',
'insert into jk64demo_earthquakes values(38.8216667,-122.866333,1.07);',
'insert into jk64demo_earthquakes values(38.8205,-122.8666667,0.38);',
'insert into jk64demo_earthquakes values(38.8003333,-122.7698333,1.15);',
'insert into jk64demo_earthquakes values(38.802166,-122.7711639,1);',
'insert into jk64demo_earthquakes values(37.5426667,-118.8755,1.15);',
'insert into jk64demo_earthquakes values(-15.71,-71.8,4.8);',
'insert into jk64demo_earthquakes values(33.8521667,-117.4871667,1.41);',
'insert into jk64demo_earthquakes values(36.4903,-98.718,1.7);',
'insert into jk64demo_earthquakes values(37.7373333,-122.5483333,1.03);',
'insert into jk64demo_earthquakes values(61.5845,-150.0104,1.2);',
'insert into jk64demo_earthquakes values(46.0165,-112.4706667,1.78);',
'insert into jk64demo_earthquakes values(59.7266,-153.0681,2.4);',
'insert into jk64demo_earthquakes values(51.547,-177.7311,1.6);',
'insert into jk64demo_earthquakes values(47.9635,-113.9686667,0.33);',
'insert into jk64demo_earthquakes values(54.0673,-163.5699,2.4);',
'insert into jk64demo_earthquakes values(37.585,-118.8568333,-0.07);',
'insert into jk64demo_earthquakes values(38.8168333,-122.7973333,1.27);',
'insert into jk64demo_earthquakes values(38.8171654,-122.7981644,1.19);',
'insert into jk64demo_earthquakes values(61.553,-150.8183,1.4);',
'insert into jk64demo_earthquakes values(39.4171667,-122.883,1.87);',
'insert into jk64demo_earthquakes values(36.7977,-115.9537,0.2);',
'insert into jk64demo_earthquakes values(37.5716667,-118.864,0.01);',
'insert into jk64demo_earthquakes values(37.0179,-116.4417,-0.5);',
'insert into jk64demo_earthquakes values(47.9551667,-113.9775,1.04);',
'insert into jk64demo_earthquakes values(59.7753,-153.1698,1.8);',
'insert into jk64demo_earthquakes values(44.7025,-110.9911667,1.49);',
'insert into jk64demo_earthquakes values(-30.3875,-72.1386,4);',
'insert into jk64demo_earthquakes values(43.0403,145.7783,4.4);',
'insert into jk64demo_earthquakes values(37.4808333,-118.8155,0.5);',
'insert into jk64demo_earthquakes values(33.7641667,-116.1155,1.22);',
'insert into jk64demo_earthquakes values(37.5706667,-118.8338333,0.55);',
'insert into jk64demo_earthquakes values(37.5718333,-118.8575,0.11);',
'insert into jk64demo_earthquakes values(60.7529,-151.7423,2.1);',
'insert into jk64demo_earthquakes values(54.8705,-160.0515,2.9);',
'insert into jk64demo_earthquakes values(7.122,92.1235,4.6);',
'insert into jk64demo_earthquakes values(54.8731,-159.5195,3.2);',
'insert into jk64demo_earthquakes values(18.8525,-67.4852,3.1);',
'insert into jk64demo_earthquakes values(39.417,-119.5866,1.6);',
'insert into jk64demo_earthquakes values(51.4019,-176.268,1.8);',
'insert into jk64demo_earthquakes values(47.9531667,-113.9805,0.72);',
'insert into jk64demo_earthquakes values(53.4214,-165.2065,1.9);',
'insert into jk64demo_earthquakes values(66.2097,-149.727,1.7);',
'insert into jk64demo_earthquakes values(60.2428,-153.86,0.9);',
'insert into jk64demo_earthquakes values(37.5756667,-118.8556667,0.03);',
'insert into jk64demo_earthquakes values(35.9766667,-117.9123333,1);',
'insert into jk64demo_earthquakes values(54.8643,-161.3243,3.3);',
'insert into jk64demo_earthquakes values(41.8763,-119.5867,1.2);',
'insert into jk64demo_earthquakes values(36.7117,-116.0316,-0.1);',
'insert into jk64demo_earthquakes values(-17.2944,167.4984,4.9);',
'insert into jk64demo_earthquakes values(60.5248,-152.0621,2.3);',
'insert into jk64demo_earthquakes values(-7.4295,128.4679,4.4);',
'insert into jk64demo_earthquakes values(63.4963,-146.7372,1);',
'insert into jk64demo_earthquakes values(36.7169,-116.0314,0.2);',
'insert into jk64demo_earthquakes values(38.8176667,-122.8193333,1.47);',
'insert into jk64demo_earthquakes values(52.0954,-173.297,2);',
'insert into jk64demo_earthquakes values(62.0019,-149.8417,1.3);',
'insert into jk64demo_earthquakes values(41.8747,-119.5883,1.1);',
'insert into jk64demo_earthquakes values(52.8628,-169.5976,2.7);',
'insert into jk64demo_earthquakes values(17.8507,-66.1091,2.6);',
'insert into jk64demo_earthquakes values(36.4224,-116.9007,0.1);',
'insert into jk64demo_earthquakes values(51.4865,-178.5764,2.1);',
'insert into jk64demo_earthquakes values(4.5065,-32.6079,4.8);',
'insert into jk64demo_earthquakes values(62.3811,-149.5354,1.4);',
'insert into jk64demo_earthquakes values(50.5309,-175.0837,2.2);',
'insert into jk64demo_earthquakes values(37.5756667,-118.8486667,0.01);',
'insert into jk64demo_earthquakes values(63.0989,-151.4412,1.5);',
'insert into jk64demo_earthquakes values(38.8165016,-122.7838364,0.72);',
'insert into jk64demo_earthquakes values(36.4368,-98.7872,2.5);',
'insert into jk64demo_earthquakes values(-15.78,-71.77,4.4);',
'insert into jk64demo_earthquakes values(61.4053,-146.7595,1.4);',
'insert into jk64demo_earthquakes values(37.5691667,-118.846,0.05);',
'insert into jk64demo_earthquakes values(38.8148333,-122.8213333,1.65);',
'insert into jk64demo_earthquakes values(38.8125,-122.8213333,1.31);',
'insert into jk64demo_earthquakes values(-43.5841,172.803,4.3);',
'insert into jk64demo_earthquakes values(37.6098333,-118.8145,0.21);',
'insert into jk64demo_earthquakes values(18.7406,-65.6828,2.6);',
'insert into jk64demo_earthquakes values(54.038,-164.0899,2.1);',
'insert into jk64demo_earthquakes values(33.3788333,-116.8718333,0.81);',
'insert into jk64demo_earthquakes values(60.7996,-150.4758,1.4);',
'insert into jk64demo_earthquakes values(18.7201,-64.6457,2.9);',
'insert into jk64demo_earthquakes values(39.5684,-120.3941,0.2);',
'insert into jk64demo_earthquakes values(41.8411,-119.6346,1.5);',
'insert into jk64demo_earthquakes values(60.4637,-146.5988,1.6);',
'insert into jk64demo_earthquakes values(36.7334,-116.2895,0);',
'insert into jk64demo_earthquakes values(38.8116684,-122.8248367,0.56);',
'insert into jk64demo_earthquakes values(51.7208,-179.099,2.2);',
'insert into jk64demo_earthquakes values(61.0153,-152.3834,1.6);',
'insert into jk64demo_earthquakes values(60.912,-151.6137,1.7);',
'insert into jk64demo_earthquakes values(54.8651,-160.1648,2.2);',
'insert into jk64demo_earthquakes values(18.1532,-67.3379,2.7);',
'insert into jk64demo_earthquakes values(61.8084,-151.0808,1.5);',
'insert into jk64demo_earthquakes values(59.8237,-151.042,1.5);',
'insert into jk64demo_earthquakes values(41.9756,-120.1767,0.9);',
'insert into jk64demo_earthquakes values(19.4366667,-155.6166667,1.5);',
'insert into jk64demo_earthquakes values(46.5766667,-119.8381667,0.74);',
'insert into jk64demo_earthquakes values(38.8143333,-122.8165,0.45);',
'insert into jk64demo_earthquakes values(33.8251667,-117.4871667,1.25);',
'insert into jk64demo_earthquakes values(60.8671,-147.0919,1.4);',
'insert into jk64demo_earthquakes values(59.7194,-153.4749,1.9);',
'insert into jk64demo_earthquakes values(64.1762,-148.5687,0.9);',
'insert into jk64demo_earthquakes values(33.4696667,-116.4933333,1.02);',
'insert into jk64demo_earthquakes values(38.8446667,-122.8251667,1.44);',
'insert into jk64demo_earthquakes values(52.5285,-169.4551,2.7);',
'insert into jk64demo_earthquakes values(41.7596667,-111.7001667,1.05);',
'insert into jk64demo_earthquakes values(38.8214989,-122.7659988,0.79);',
'insert into jk64demo_earthquakes values(38.839,-122.828,1.24);',
'insert into jk64demo_earthquakes values(33.8068333,-117.9755,1.6);',
'insert into jk64demo_earthquakes values(36.9001,-115.9854,0.1);',
'insert into jk64demo_earthquakes values(63.0328,-151.4344,1.8);',
'insert into jk64demo_earthquakes values(-24.1159,-66.9377,4.6);',
'insert into jk64demo_earthquakes values(37.0668,-117.9339,1.4);',
'insert into jk64demo_earthquakes values(63.6312,-150.6026,0.7);',
'insert into jk64demo_earthquakes values(52.2023,-170.2635,2.7);',
'insert into jk64demo_earthquakes values(37.2977,-114.637,1.3);',
'insert into jk64demo_earthquakes values(41.9782,-120.1661,1.6);',
'insert into jk64demo_earthquakes values(37.5267,-116.3351,0);',
'insert into jk64demo_earthquakes values(58.4964,-156.4001,3);',
'insert into jk64demo_earthquakes values(33.51,-116.474,0.95);',
'insert into jk64demo_earthquakes values(38.8375,-122.769,1.04);',
'insert into jk64demo_earthquakes values(-2.5779,134.2967,4.4);',
'insert into jk64demo_earthquakes values(37.4831667,-121.6008333,1.12);',
'insert into jk64demo_earthquakes values(19.5628333,-155.9073333,1.86);',
'insert into jk64demo_earthquakes values(63.085,-149.8198,1.2);',
'insert into jk64demo_earthquakes values(36.4506,-98.7617,1.8);',
'insert into jk64demo_earthquakes values(58.8735,-153.0037,2);',
'insert into jk64demo_earthquakes values(57.4465,-154.1395,2.8);',
'insert into jk64demo_earthquakes values(37.5483333,-118.8666667,0.16);',
'insert into jk64demo_earthquakes values(34.2701667,-119.6555,2.29);',
'insert into jk64demo_earthquakes values(41.8853,-119.5955,3.4);',
'insert into jk64demo_earthquakes values(52.0005,-179.912,2.5);',
'insert into jk64demo_earthquakes values(37.5356667,-118.8721667,0.37);',
'insert into jk64demo_earthquakes values(47.3158333,-116.5501667,1.95);',
'insert into jk64demo_earthquakes values(34.2678333,-119.654,2.11);',
'insert into jk64demo_earthquakes values(40.4953333,-124.29,1.72);',
'insert into jk64demo_earthquakes values(-21.8108,170.6755,4.3);',
'insert into jk64demo_earthquakes values(37.5735,-118.8401667,0.12);',
'insert into jk64demo_earthquakes values(-29.9561,-71.6987,4.6);',
'insert into jk64demo_earthquakes values(35.1576667,-118.3988333,1.38);',
'insert into jk64demo_earthquakes values(33.6548333,-116.7151667,0.89);',
'insert into jk64demo_earthquakes values(60.3862,-147.3506,2.3);',
'insert into jk64demo_earthquakes values(44.7655,-111.1706667,0.29);',
'insert into jk64demo_earthquakes values(39.1349,-119.7621,0.2);',
'insert into jk64demo_earthquakes values(63.2652,-151.6922,1);',
'insert into jk64demo_earthquakes values(38.8115005,-122.815834,0.88);',
'insert into jk64demo_earthquakes values(37.3292,-116.3772,0);',
'insert into jk64demo_earthquakes values(3.2761,125.2463,4);',
'insert into jk64demo_earthquakes values(53.7254,-163.0034,2.8);',
'insert int'))
);
end;
/
begin
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'o jk64demo_earthquakes values(34.447,-117.941,0.84);',
'insert into jk64demo_earthquakes values(38.6599,-118.7921,1.1);',
'insert into jk64demo_earthquakes values(60.3928,-139.4396,1.5);',
'insert into jk64demo_earthquakes values(37.568,-118.8555,0.12);',
'insert into jk64demo_earthquakes values(39.3548333,-111.537,1.36);',
'insert into jk64demo_earthquakes values(38.2908,141.875,4.5);',
'insert into jk64demo_earthquakes values(38.6575,-118.7925,1);',
'insert into jk64demo_earthquakes values(39.3521667,-111.545,1.42);',
'insert into jk64demo_earthquakes values(19.1506,-64.7792,3.4);',
'insert into jk64demo_earthquakes values(34.6921667,-116.2403333,1.97);',
'insert into jk64demo_earthquakes values(62.2155,-151.0597,1.6);',
'insert into jk64demo_earthquakes values(39.3124,-119.9401,0.2);',
'insert into jk64demo_earthquakes values(59.7789,-153.0303,2.2);',
'insert into jk64demo_earthquakes values(37.5721667,-118.8695,0.03);',
'insert into jk64demo_earthquakes values(39.3111,-119.9727,0.3);',
'insert into jk64demo_earthquakes values(37.5725,-118.8646667,0.5);',
'insert into jk64demo_earthquakes values(57.6753,-155.2303,2.5);',
'insert into jk64demo_earthquakes values(38.8531667,-122.7936667,1.21);',
'insert into jk64demo_earthquakes values(38.8525,-122.7961667,0.97);',
'insert into jk64demo_earthquakes values(38.8121681,-122.7986679,1.13);',
'insert into jk64demo_earthquakes values(38.8255,-122.7801667,1.76);',
'insert into jk64demo_earthquakes values(62.7936,-143.3211,0.9);',
'insert into jk64demo_earthquakes values(60.1038,-152.7073,1.5);',
'insert into jk64demo_earthquakes values(34.6071667,-116.6245,1.38);',
'insert into jk64demo_earthquakes values(59.7755,-153.0572,1.7);',
'insert into jk64demo_earthquakes values(62.1299,-147.4445,1.2);',
'insert into jk64demo_earthquakes values(-5.1413,151.1196,4.1);',
'insert into jk64demo_earthquakes values(64.7433,-149.2321,0.7);',
'insert into jk64demo_earthquakes values(52.8987,169.0244,4.4);',
'insert into jk64demo_earthquakes values(63.7858,-149.4782,1.3);',
'insert into jk64demo_earthquakes values(37.9315,-122.3061667,1.09);',
'insert into jk64demo_earthquakes values(38.8406667,-122.8283333,0.34);',
'insert into jk64demo_earthquakes values(52.1732,-173.7704,1.9);',
'insert into jk64demo_earthquakes values(61.1073,-150.7021,1.4);',
'insert into jk64demo_earthquakes values(38.8069992,-122.8161697,0.85);',
'insert into jk64demo_earthquakes values(36.3348,-97.0054,2.6);',
'insert into jk64demo_earthquakes values(37.4635,-121.8068333,0.9);',
'insert into jk64demo_earthquakes values(45.6398333,-122.783,1.73);',
'insert into jk64demo_earthquakes values(37.2398,-117.9056,1.2);',
'insert into jk64demo_earthquakes values(61.1918,-150.6875,1.5);',
'insert into jk64demo_earthquakes values(37.2639,-116.0055,0.8);',
'insert into jk64demo_earthquakes values(19.1791667,-155.5973333,1.45);',
'insert into jk64demo_earthquakes values(33.8061667,-117.1216667,0.63);',
'insert into jk64demo_earthquakes values(38.8131676,-122.8133316,0.45);',
'insert into jk64demo_earthquakes values(36.4734,-98.6981,3.7);',
'insert into jk64demo_earthquakes values(38.2474,-118.7213,0.3);',
'insert into jk64demo_earthquakes values(38.8096667,-122.785,1.35);',
'insert into jk64demo_earthquakes values(37.2488333,-97.643,1.92);',
'insert into jk64demo_earthquakes values(38.8219986,-122.8428345,0.84);',
'insert into jk64demo_earthquakes values(60.0543,-151.6322,1.4);',
'insert into jk64demo_earthquakes values(61.5673,-152.0848,1.9);',
'insert into jk64demo_earthquakes values(19.172,-64.4895,3.1);',
'insert into jk64demo_earthquakes values(18.6581,-65.0419,2.2);',
'insert into jk64demo_earthquakes values(62.1523,-147.7908,1.1);',
'insert into jk64demo_earthquakes values(38.810833,-122.828331,1.01);',
'insert into jk64demo_earthquakes values(-20.2393,-177.9782,4.6);',
'insert into jk64demo_earthquakes values(59.6441,-153.4262,1.8);',
'insert into jk64demo_earthquakes values(39.7493333,-122.8078333,1.62);',
'insert into jk64demo_earthquakes values(38.8149986,-122.822998,1.03);',
'insert into jk64demo_earthquakes values(39.4186667,-122.8913333,1.66);',
'insert into jk64demo_earthquakes values(42.4621667,-120.5791667,2.21);',
'insert into jk64demo_earthquakes values(61.7855,-150.7251,2.1);',
'insert into jk64demo_earthquakes values(61.7805,-150.6872,4.3);',
'insert into jk64demo_earthquakes values(51.9709,-174.1888,1.8);',
'insert into jk64demo_earthquakes values(60.0833,-150.9361,1.6);',
'insert into jk64demo_earthquakes values(37.2208,-117.2832,0.1);',
'insert into jk64demo_earthquakes values(37.5666667,-118.848,0.33);',
'insert into jk64demo_earthquakes values(19.493166,-155.4858398,1.72);',
'insert into jk64demo_earthquakes values(38.8356667,-122.7921677,0.19);',
'insert into jk64demo_earthquakes values(37.5746667,-118.8535,0.07);',
'insert into jk64demo_earthquakes values(37.0734,-97.7357,2.5);',
'insert into jk64demo_earthquakes values(39.5668,-119.1539,0.9);',
'insert into jk64demo_earthquakes values(59.8292,-153.0104,1.7);',
'insert into jk64demo_earthquakes values(63.3373,-145.309,1.5);',
'insert into jk64demo_earthquakes values(62.8998,-150.4754,1.3);',
'insert into jk64demo_earthquakes values(37.3048,-114.6611,0.3);',
'insert into jk64demo_earthquakes values(46.4461667,-122.3695,1.1);',
'insert into jk64demo_earthquakes values(38.8160019,-122.7965012,0.53);',
'insert into jk64demo_earthquakes values(54.3989,-161.5676,2.4);',
'insert into jk64demo_earthquakes values(18.0704,-67.063,1.7);',
'insert into jk64demo_earthquakes values(39.1085,-119.6477,0);',
'insert into jk64demo_earthquakes values(19.0046,-66.9586,3.3);',
'insert into jk64demo_earthquakes values(58.4061,-152.2286,2.1);',
'insert into jk64demo_earthquakes values(38.8154984,-122.7978363,0.33);',
'insert into jk64demo_earthquakes values(38.8135,-122.7955,1.52);',
'insert into jk64demo_earthquakes values(-18.9642,-179.8748,4.1);',
'insert into jk64demo_earthquakes values(-14.517,167.4209,4.5);',
'insert into jk64demo_earthquakes values(39.1139,-119.6454,0.9);',
'insert into jk64demo_earthquakes values(-18.7427,-177.8818,4.5);',
'insert into jk64demo_earthquakes values(62.1546,-150.8796,1.7);',
'insert into jk64demo_earthquakes values(59.6908,-153.1325,2.3);',
'insert into jk64demo_earthquakes values(41.4946,22.9195,4.4);',
'insert into jk64demo_earthquakes values(34.2093333,-117.3976667,0.63);',
'insert into jk64demo_earthquakes values(53.0133,-167.3512,4.1);',
'insert into jk64demo_earthquakes values(37.568,-118.8536667,0.37);',
'insert into jk64demo_earthquakes values(37.5581667,-118.853,0.21);',
'insert into jk64demo_earthquakes values(37.2365,-117.5506,0.4);',
'insert into jk64demo_earthquakes values(61.2242,-150.8567,1.5);',
'insert into jk64demo_earthquakes values(44.6056667,-114.1158333,2.07);',
'insert into jk64demo_earthquakes values(35.5718,-3.5728,4.3);',
'insert into jk64demo_earthquakes values(36.4783333,-121.0606667,1.94);',
'insert into jk64demo_earthquakes values(39.1131,-119.6435,1.1);',
'insert into jk64demo_earthquakes values(36.0563333,-120.2438333,1.22);',
'insert into jk64demo_earthquakes values(53.1769,-166.7916,2);',
'insert into jk64demo_earthquakes values(-18.1561,-178.3457,4.4);',
'insert into jk64demo_earthquakes values(63.603,-147.6601,1.3);',
'insert into jk64demo_earthquakes values(38.86,-118.3494,0.9);',
'insert into jk64demo_earthquakes values(52.1215,-172.8177,3.7);',
'insert into jk64demo_earthquakes values(-15.8461,-175.4824,4.2);',
'insert into jk64demo_earthquakes values(38.8398333,-122.8288333,1.13);',
'insert into jk64demo_earthquakes values(38.7939987,-122.7639999,0.64);',
'insert into jk64demo_earthquakes values(61.0387,-152.3649,1.8);',
'insert into jk64demo_earthquakes values(54.0382,-163.3648,2.4);',
'insert into jk64demo_earthquakes values(61.0905,-149.9228,2.3);',
'insert into jk64demo_earthquakes values(36.7849,-115.9921,0.3);',
'insert into jk64demo_earthquakes values(19.4111667,-155.3183333,0.71);',
'insert into jk64demo_earthquakes values(38.66,-118.7875,0.6);',
'insert into jk64demo_earthquakes values(36.4316,-98.7857,1.8);',
'insert into jk64demo_earthquakes values(36.0065,-120.5696667,0.49);',
'insert into jk64demo_earthquakes values(36.7231,-116.3351,-0.1);',
'insert into jk64demo_earthquakes values(36.0085,-117.8006667,0.68);',
'insert into jk64demo_earthquakes values(40.075,-121.5348333,1.96);',
'insert into jk64demo_earthquakes values(63.4269,-150.055,1.5);',
'insert into jk64demo_earthquakes values(46.197,-122.1801667,0.13);',
'insert into jk64demo_earthquakes values(38.8380013,-122.793335,0.52);',
'insert into jk64demo_earthquakes values(37.3489,-114.6452,0.6);',
'insert into jk64demo_earthquakes values(-31.347,-178.1514,4.7);',
'insert into jk64demo_earthquakes values(37.5813333,-118.8668333,-0.04);',
'insert into jk64demo_earthquakes values(44.5393333,-114.5208333,1.48);',
'insert into jk64demo_earthquakes values(37.3015,-114.6391,1.8);',
'insert into jk64demo_earthquakes values(-4.7083,-80.7157,4.5);',
'insert into jk64demo_earthquakes values(37.57,-118.8556667,0.83);',
'insert into jk64demo_earthquakes values(38.7906685,-122.729332,1.12);',
'insert into jk64demo_earthquakes values(37.0395,-116.4347,-0.9);',
'insert into jk64demo_earthquakes values(33.6508333,-116.7185,0.97);',
'insert into jk64demo_earthquakes values(59.9636,-153.1512,2);',
'insert into jk64demo_earthquakes values(38.8223343,-122.7809982,0.88);',
'insert into jk64demo_earthquakes values(37.2952,-117.0928,1.6);',
'insert into jk64demo_earthquakes values(38.8064995,-122.8176651,0.8);',
'insert into jk64demo_earthquakes values(37.5801667,-118.8598333,-0.13);',
'insert into jk64demo_earthquakes values(37.3951,-117.0622,2.1);',
'insert into jk64demo_earthquakes values(37.5786667,-118.8525,-0.01);',
'insert into jk64demo_earthquakes values(62.3158,-149.8276,1.1);',
'insert into jk64demo_earthquakes values(37.5763333,-121.7468333,0.74);',
'insert into jk64demo_earthquakes values(40.0421,-120.1323,0.2);',
'insert into jk64demo_earthquakes values(31.5976667,-114.4143333,2.99);',
'insert into jk64demo_earthquakes values(36.003,-120.5676667,-0.01);',
'insert into jk64demo_earthquakes values(38.8450012,-122.8143311,0.43);',
'insert into jk64demo_earthquakes values(60.3966,-139.4475,1.5);',
'insert into jk64demo_earthquakes values(54.0119,-164.6097,2.3);',
'insert into jk64demo_earthquakes values(60.4264,-139.4014,1.8);',
'insert into jk64demo_earthquakes values(36.07,23.85,4.1);',
'insert into jk64demo_earthquakes values(60.9484,-147.4457,1.7);',
'insert into jk64demo_earthquakes values(61.9525,-150.4662,1.6);',
'insert into jk64demo_earthquakes values(52.1488,-172.467,2.6);',
'insert into jk64demo_earthquakes values(39.3166,-119.9734,0.8);',
'insert into jk64demo_earthquakes values(33.9026667,-116.2678333,0.6);',
'insert into jk64demo_earthquakes values(37.0139,-117.5201,0.5);',
'insert into jk64demo_earthquakes values(61.9483,-150.4547,2.1);',
'insert into jk64demo_earthquakes values(37.5145,-118.4206667,1.43);',
'insert into jk64demo_earthquakes values(36.0056667,-120.5783333,0.19);',
'insert into jk64demo_earthquakes values(35.7328333,-121.1253333,1.18);',
'insert into jk64demo_earthquakes values(33.6378333,-116.6903333,0.43);',
'insert into jk64demo_earthquakes values(62.6976,-152.0379,1.4);',
'insert into jk64demo_earthquakes values(37.7656667,-122.5568333,1.08);',
'insert into jk64demo_earthquakes values(-62.9903,146.8934,4.6);',
'insert into jk64demo_earthquakes values(61.6574,-149.8082,1.7);',
'insert into jk64demo_earthquakes values(63.1881,-150.8036,2.3);',
'insert into jk64demo_earthquakes values(38.8238333,-122.8441667,-0.05);',
'insert into jk64demo_earthquakes values(37.5711667,-118.856,0.49);',
'insert into jk64demo_earthquakes values(35.8926,-96.738,2.7);',
'insert into jk64demo_earthquakes values(51.9251,-172.3401,2.6);',
'insert into jk64demo_earthquakes values(37.4655,-118.7108333,1.21);',
'insert into jk64demo_earthquakes values(39.1136,-119.6442,0.4);',
'insert into jk64demo_earthquakes values(39.1108,-119.6462,0.1);',
'insert into jk64demo_earthquakes values(38.8286667,-122.8065033,0.56);',
'insert into jk64demo_earthquakes values(37.4573333,-118.7115,0.64);',
'insert into jk64demo_earthquakes values(19.4131667,-155.3125,2.11);',
'insert into jk64demo_earthquakes values(46.9435,-119.8138333,0.8);',
'insert into jk64demo_earthquakes values(35.3221667,-119.8723333,1.26);',
'insert into jk64demo_earthquakes values(38.2195,-118.7127,0.7);',
'insert into jk64demo_earthquakes values(19.3206667,-155.1618333,1.26);',
'insert into jk64demo_earthquakes values(37.375,-119.5328333,1.98);',
'insert into jk64demo_earthquakes values(37.4138,-115.6107,0.6);',
'insert into jk64demo_earthquakes values(38.8274994,-122.8544998,0.57);',
'insert into jk64demo_earthquakes values(44.8838,81.2759,4.5);',
'insert into jk64demo_earthquakes values(37.2218333,-118.4066667,1.13);',
'insert into jk64demo_earthquakes values(33.715,-116.7541667,0.38);',
'insert into jk64demo_earthquakes values(63.5191,-151.0669,1.5);',
'insert into jk64demo_earthquakes values(18.1049,-67.1165,3.9);',
'insert into jk64demo_earthquakes values(37.5785,-118.8498333,-0.01);',
'insert into jk64demo_earthquakes values(37.4513333,-113.1076667,1.34);',
'insert into jk64demo_earthquakes values(33.524,-116.4663333,0.63);',
'insert into jk64demo_earthquakes values(59.7688,-153.0507,1.7);',
'insert into jk64demo_earthquakes values(65.0158,-149.0192,0.7);',
'insert into jk64demo_earthquakes values(60.1095,-152.988,1.6);',
'insert into jk64demo_earthquakes values(46.1955,-122.2013333,0.2);',
'insert into jk64demo_earthquakes values(65.0157,-149.0314,0.6);',
'insert into jk64demo_earthquakes values(-5.1116,134.2607,4.2);',
'insert into jk64demo_earthquakes values(62.4792,-150.1998,1.1);',
'insert into jk64demo_earthquakes values(40.5088333,-124.3051667,1.65);',
'insert into jk64demo_earthquakes values(13.3479,-44.5254,4.9);',
'insert into jk64demo_earthquakes values(63.2573,-151.086,1.1);',
'insert into jk64demo_earthquakes values(4.6174,-32.3909,4.7);',
'insert into jk64demo_earthquakes values(37.0195,-116.4473,0);',
'insert into jk64demo_earthquakes values(59.3254,-153.5712,1.9);',
'insert into jk64demo_earthquakes values(-28.581,-12.51,4.9);',
'insert into jk64demo_earthquakes values(53.7992,-166.4911,1.1);',
'insert into jk64demo_earthquakes values(38.7968333,-122.7303333,1.31);',
'insert into jk64demo_earthquakes values(53.8528,-166.481,0.9);',
'insert into jk64demo_earthquakes values(64.641,-151.4826,0.8);',
'insert into jk64demo_earthquakes values(46.1953333,-122.1983333,0.71);',
'insert into jk64demo_earthquakes values(40.4616667,-121.5133333,-0.02);',
'insert into jk64demo_earthquakes values(38.8344994,-122.8030014,1.01);',
'insert into jk64demo_earthquakes values(34.04,-117.2628333,1.28);',
'insert into jk64demo_earthquakes values(63.2656,-151.1648,0.8);',
'insert into jk64demo_earthquakes values(36.4785,-98.7309,1.4);',
'insert into jk64demo_earthquakes values(63.8019,-147.5887,1);',
'insert into jk64demo_earthquakes values(63.4675,-148.9689,1.4);',
'insert into jk64demo_earthquakes values(37.5398333,-118.8306667,0.22);',
'insert into jk64demo_earthquakes values(37.6318333,-119.0463333,0.26);',
'insert into jk64demo_earthquakes values(61.8174,-150.2457,1.3);',
'insert into jk64demo_earthquakes values(37.463,-121.8421667,0.95);',
'insert into jk64demo_earthquakes values(33.3908333,-116.3753333,0.93);',
'insert into jk64demo_earthquakes values(33.802,-117.1268333,1.1);',
'insert into jk64demo_earthquakes values(33.7631667,-115.946,1.22);',
'insert into jk64demo_earthquakes values(63.3717,-151.4867,0.9);',
'insert into jk64demo_earthquakes values(38.5048,-118.5774,-0.1);',
'insert into jk64demo_earthquakes values(59.6949,-152.8651,1.6);',
'insert into jk64demo_earthquakes values(36.7096667,-121.344,1.73);',
'insert into jk64demo_earthquakes values(37.347,-114.6369,1.1);',
'insert into jk64demo_earthquakes values(39.0566,-119.6138,0.1);',
'insert into jk64demo_earthquakes values(38.8171667,-122.7695,0.19);',
'insert into jk64demo_earthquakes values(60.6713,-143.2542,1);',
'insert into jk64demo_earthquakes values(37.5741667,-118.8485,0.9);',
'insert into jk64demo_earthquakes values(34.0701667,-117.2731667,1.33);',
'insert into jk64demo_earthquakes values(37.5801667,-118.8478333,0.45);',
'insert into jk64demo_earthquakes values(46.1995,-122.188,0.85);',
'insert into jk64demo_earthquakes values(59.8895,-152.1748,1.5);',
'insert into jk64demo_earthquakes values(46.1975,-122.1795,0.66);',
'insert into jk64demo_earthquakes values(60.6289,-147.6453,1.3);',
'insert into jk64demo_earthquakes values(38.8208333,-122.8425,1.26);',
'insert into jk64demo_earthquakes values(38.829834,-122.8550034,0.51);',
'insert into jk64demo_earthquakes values(38.8123333,-122.8178333,1.86);',
'insert into jk64demo_earthquakes values(36.044,-118.4681667,1.38);',
'insert into jk64demo_earthquakes values(37.5726667,-118.8505,1.22);',
'insert into jk64demo_earthquakes values(33.2261667,-116.75,2.32);',
'insert into jk64demo_earthquakes values(38.831665,-122.8034973,0.49);',
'insert into jk64demo_earthquakes values(61.0545,-152.4068,1.7);',
'insert into jk64demo_earthquakes values(59.7801,-153.1187,1.7);',
'insert into jk64demo_earthquakes values(64.678,-149.1602,0.5);',
'insert into jk64demo_earthquakes values(36.5241,-98.6109,2.6);',
'insert into jk64demo_earthquakes values(61.1298,-147.2126,1.3);',
'insert into jk64demo_earthquakes values(63.2872,-149.0036,1.5);',
'insert into jk64demo_earthquakes values(33.5261667,-116.732,0.76);',
'insert into jk64demo_earthquakes values(46.1943333,-122.2315,0.3);',
'insert into jk64demo_earthquakes values(-3.0947,129.4852,4.5);',
'insert into jk64demo_earthquakes values(38.8425,-122.8421667,0.45);',
'insert into jk64demo_earthquakes values(37.5876667,-118.849,0.17);',
'insert into jk64demo_earthquakes values(60.7958,-149.8053,1.2);',
'insert into jk64demo_earthquakes values(59.7816,-153.7004,1.8);',
'insert into jk64demo_earthquakes values(60.1227,-141.2673,1);',
'insert into jk64demo_earthquakes values(55.6291,-158.9586,2.4);',
'insert into jk64demo_earthquakes values(33.4623333,-116.4146667,0.67);',
'insert into jk64demo_earthquakes values(51.4266,179.4615,2.9);',
'insert into jk64demo_earthquakes values(37.5748333,-118.852,0.66);',
'insert into jk64demo_earthquakes values(37.5693333,-118.852,0.63);',
'insert into jk64demo_earthquakes values(59.3574,-153.732,2);',
'insert into jk64demo_earthquakes values(51.586,-175.8364,1.9);',
'insert into jk64demo_earthquakes values(38.8243332,-122.8095016,0.56);',
'insert into jk64demo_earthquakes values(38.0872,74.1415,4.5);',
'insert into jk64demo_earthquakes values(61.8191,-148.5173,1.1);',
'insert into jk64demo_earthquakes values(4.6546,-32.653,4.9);',
'insert into jk64demo_earthquakes values(40.5041667,-124.3078333,2.86);',
'insert into jk64demo_earthquakes values(-21.513,-68.37,4.4);',
'insert into jk64demo_earthquakes values(4.5653,-32.7198,4.8);',
'insert into jk64demo_earthquakes values(-2.8018,128.1513,4.6);',
'insert into jk64demo_earthquakes values(59.8604,-152.849,1.8);',
'insert into jk64demo_earthquakes values(4.4473,-32.5085,4.8);',
'insert into jk64demo_earthquakes values(-56.1587,-122.9544,4.7);',
'insert into jk64demo_earthquakes values(61.2958,-152.4236,1.7);',
'insert into jk64demo_earthquakes values(58.4919,-154.2676,2);',
'insert into jk64demo_earthquakes values(37.5745,-118.8548333,0.1);',
'insert into jk64demo_earthquakes values(37.1943,-117.3196,0.1);',
'insert into jk64demo_earthquakes values(55.5992,-158.1116,2.2);',
'insert into jk64demo_earthquakes values(37.579,-118.8488333,0.04);',
'insert into jk64demo_earthquakes values(44.8185,-110.6955,1.3);',
'insert into jk64demo_earthquakes values(38.8133316,-122.7843323,1.08);',
'insert into jk64demo_earthquakes values(46.1601667,-122.3256667,0);',
'insert into jk64demo_earthquakes values(60.0414,-152.822,1.7);',
'insert into jk64demo_earthquakes values(62.7832,-150.5859,1.4);',
'insert into jk64demo_earthquakes values(37.5535,-113.0545,1.11);',
'insert into jk64demo_earthquakes values(37.5693333,-118.856,0.26);',
'insert into jk64demo_earthquakes values(8.5556,-83.6825,4.8);',
'insert into jk64demo_earthquakes values(37.5775,-118.8595,-0.04);',
'insert into jk64demo_earthquakes values(51.4711,-179.8418,3.2);',
'insert into jk64demo_earthquakes values(63.5125,-148.0611,1.5);',
'insert into jk64demo_earthquakes values(38.8066673,-122.81633,0.88);',
'insert into jk64demo_earthquakes values(-21.2564,-179.0149,4.7);',
'insert into jk64demo_earthquakes values(-7.4385,128.1651,5.1);',
'insert into jk64demo_earthquakes values(38.9382,-118.7391,1.5);',
'insert into jk64demo_earthquakes values(37.5743333,-118.8553333,1.04);',
'insert into jk64demo_earthquakes values(61.8058,-148.506,1);',
'insert into jk64demo_earthquakes values(60.1335,-140.904,1.4);',
'insert into jk64demo_earthquakes values(37.985,-112.5111667,1.99);',
'insert into jk64demo_earthquakes values(33.6816667,-116.773,0.8);',
'insert into jk64demo_earthquakes values(46.4079,140.8183,4.5);',
'insert into jk64demo_earthquakes values(36.7672,-115.9742,0);',
'insert into jk64demo_earthquakes values(37.5776667,-118.8506667,0.75);',
'insert into jk64demo_earthquakes values(39.613,-119.4295,0.5);',
'insert into jk64demo_earthquakes values(38.8195,-122.7648333,1.35);',
'insert into jk64demo_earthquakes values(38.0331667,-112.2535,2.28);',
'insert into jk64demo_earthquakes values(37.578,-118.8528333,0.47);',
'insert into jk64demo_earthquakes values(38.8408318,-122.8300018,0.45);',
'insert into jk64demo_earthquakes values(33.5231667,-116.7341667,0.28);',
'insert into jk64demo_earthquakes values(64.9899,-152.1604,0.8);',
'insert into jk64demo_earthquakes values(60.0942,-152.8892,1.6);',
'insert into jk64demo_earthquakes values(48.9438,154.8815,4.8);',
'insert into jk64demo_earthquakes values(46.4458333,-122.3768333,0.3);',
'insert into jk64demo_earthquakes values(37.576,-118.8506667,0.3);',
'insert into jk64demo_earthquakes values(34.1505,-116.9215,1.2);',
'insert into jk64demo_earthquakes values(37.6263333,-118.8755,0.21);',
'insert into jk64demo_earthquakes values(37.5613333,-118.853,0.68);',
'insert into jk64demo_earthquakes values(63.1487,-152.3348,0.9);',
'insert into jk64demo_earthquakes values(-20.3165,-69.2314,4.5);',
'insert into jk64demo_earthquakes values(38.8051682,-122.774498,0.55);',
'insert into jk64demo_earthquakes values(35.1288333,-118.183,1.51);',
'insert into jk64demo_earthquakes values(60.872,-147.0067,1.2);',
'insert into jk64demo_earthquakes values(33.5363333,-116.6963333,1.1);',
'insert into jk64demo_earthquakes values(59.7812,-153.1111,1.6);',
'insert into jk64demo_earthquakes values(37.5745,-118.8503333,0.75);',
'insert into jk64demo_earthquakes values(59.7625,-153.0997,1.7);',
'insert into jk64demo_earthquakes values(16.6412,-61.4613,4.3);',
'insert into jk64demo_earthquakes values(37.4113333,-121.7646667,1.57);',
'insert into jk64demo_earthquakes values(33.2576667,-115.991,1.93);',
'insert into jk64demo_earthquakes values(59.6532,-153.3228,2);',
'insert into jk64demo_earthquakes values(37.5701667,-118.8533333,1.74);',
'insert into jk64demo_earthquakes values(59.7538,-153.3759,2.4);',
'insert into jk64demo_earthquakes values(64.6626,-149.1868,0.7);',
'insert into jk64demo_earthquakes values(37.5288333,-118.8793333,0.27);',
'insert into jk64demo_earthquakes values(38.9346,-118.7415,1.6);',
'insert into jk64demo_earthquakes values(-31.7434,-179.7933,4.1);',
'insert into jk64demo_earthquakes values(36.1755,-83.3078333,2.33);',
'insert into jk64demo_earthquakes values(61.3352,-146.721,1.4);',
'insert into jk64demo_earthquakes values(38.4181,-119.3379,1.9);',
'insert into jk64demo_earthquakes values(36.189,-83.3103333,2.48);',
'insert into jk64demo_earthquakes values(38.1743,-118.2364,0.7);',
'insert into jk64demo_earthquakes values(59.7623,-153.2215,2.5);',
'insert into jk64demo_earthquakes values(38.0511,-118.5839,0.7);',
'insert into jk64demo_earthquakes values(33.6303333,-116.7256667,0.19);',
'insert into jk64demo_earthquakes values(34.6106667,-116.6261667,1.72);',
'insert into jk64demo_earthquakes values(35.6615,-97.3927,2.5);',
'insert into jk64demo_earthquakes values(34.2525,-117.5248333,0.69);',
'insert into jk64demo_earthquakes values(38.8300018,-122.8566666,0.66);',
'insert into jk64demo_earthquakes values(59.6989,-153.2413,1.9);',
'insert into jk64demo_earthquakes values(18.2388,-65.3175,2.4);',
'insert into jk64demo_earthquakes values(38.8085,-122.794,1.34);',
'insert into jk64demo_earthquakes values(37.4873,-117.2478,1.2);',
'insert into jk64demo_earthquakes values(38.8218346,-122.7815018,0.88);',
'insert into jk64demo_earthquakes values(37.6583333,-118.94,0.83);',
'insert into jk64demo_earthquakes values(65.0128,-148.4441,0.7);',
'insert into jk64demo_earthquakes values(34.611,-116.632,2.01);',
'insert into jk64demo_earthquakes values(37.154,-115.7956,0.3);',
'insert into jk64demo_earthquakes values(37.5806667,-118.851,-0.05);',
'insert into jk64demo_earthquakes values(38.4308,-119.327,1.4);',
'insert into jk64demo_earthquakes values(51.6517,-174.8398,1.9);',
'insert into jk64demo_earthquakes values(33.3713333,-116.3953333,1.07);',
'insert into jk64demo_earthquakes values(31.2258,-103.3279,3.3);',
'insert into jk64demo_earthquakes values(36.9949,-115.2134,1.3);',
'insert into jk64demo_earthquakes values(61.8613,-148.5183,0.9);',
'insert into jk64demo_earthquakes values(46.8405,-121.7585,0.48);',
'insert into jk64demo_earthquakes values(36.6578,-116.2735,0.1);',
'insert into jk64demo_earthquakes values(38.4356,-119.3303,1.3);',
'insert into jk64demo_earthquakes values(36.9907,-115.2315,1.8);',
'insert into jk64demo_earthquakes values(61.4263,-147.4465,1.4);',
'insert into jk64demo_earthquakes values(59.3675,-152.7541,1.8);',
'insert into jk64demo_earthquakes values(34.6105,-116.6306667,1.3);',
'insert into jk64demo_earthquakes values(59.6403,-152.8094,1.8);',
'insert into jk64demo_earthquakes values(37.576,-118.8511667,0.19);',
'insert into jk64demo_earthquakes values(59.8264,-152.736,1.7);',
'insert into jk64demo_earthquakes values(-5.8873,148.2932,4.5);',
'insert into jk64demo_earthquakes values(-5.6582,130.9502,4);',
'insert into jk64demo_earthquakes values(60.0332,-153.0322,2.5);',
'insert into jk64demo_earthquakes values(34.297,-116.8665,1.48);',
'insert into jk64demo_earthquakes values(-18.9532,-70.2384,4.3);',
'insert into jk64demo_earthquakes values(38.8025017,-122.7713318,0.52);',
'insert into jk64demo_earthquakes values(38.8076667,-122.8246667,0.91);',
'insert into jk64demo_earthquakes values(63.4445,-147.1262,1);',
'insert into jk64demo_earthquakes values(34.6063333,-116.6268333,1.34);',
'insert into jk64demo_earthquakes values(34.6983333,-116.246,1.71);',
'insert into jk64demo_earthquakes values(36.7605,-115.765,0.6);',
'insert into jk64demo_earthquakes values(34.6225,-116.6475,1.35);',
'insert into jk64demo_earthquakes values(38.473,-118.41,0.3);',
'insert into jk64demo_earthquakes values(34.6071667,-116.6238333,1.62);',
'insert into jk64demo_earthquakes values(36.4717,-98.7486,2.2);',
'insert into jk64demo_earthquakes values(38.8336678,-122.8284988,0.43);',
'insert into jk64demo_earthquakes values(38.8386667,-122.8293333,1.72);',
'insert into jk64demo_earthquakes values(34.6141667,-116.6296667,1.38);',
'insert into jk64demo_earthquakes values(34.6081667,-116.6256667,1.18);',
'insert into jk64demo_earthquakes values(36.1481667,-117.592,2.36);',
'insert into jk64demo_earthquakes values(51.5335,-177.9047,2.4);',
'insert into jk64demo_earthquakes values(34.6098333,-116.6288333,4.31);',
'insert into jk64demo_earthquakes values(61.9977,-149.1163,1.4);',
'insert into jk64demo_earthquakes values(51.5003,-177.5627,1.8);',
'insert into jk64demo_earthquakes values(40.659,-124.1366667,1.78);',
'insert into jk64demo_earthquakes values(35.7511667,-84.315,1.34);',
'insert into jk64demo_earthquakes values(38.8348351,-122.7991638,1.01);',
'insert into jk64demo_earthquakes values(62.9051,-150.0832,1.4);',
'insert into jk64demo_earthquakes values(37.5841667,-118.8775,1.83);',
'insert into jk64demo_earthquakes values(37.5788333,-118.8561667,0.11);',
'insert into jk64demo_earthquakes values(59.7435,-152.6256,1.7);',
'insert into jk64demo_earthquakes values(-30.7255,-71.6378,4.3);',
'insert into jk64demo_earthquakes values(63.2741,-151.1886,1.1);',
'insert into jk64demo_earthquakes values(37.5713333,-118.8541667,0.64);',
'insert into jk64demo_earthquakes values(54.7332,-162.7788,2.4);',
'insert into jk64demo_earthquakes values(37.5711667,-118.8571667,2.16);',
'insert into jk64demo_earthquakes values(64.8494,-152.0716,1.1);',
'insert into jk64demo_earthquakes values(36.4997,-98.7113,2.3);',
'insert into jk64demo_earthquakes values(38.3929,-119.3236,1.4);',
'insert into jk64demo_earthquakes values(39.1401,-119.751,0.3);',
'insert into jk64demo_earthquakes values(37.5388333,-118.8943333,0.28);',
'insert into jk64demo_earthquakes values(37.0553333,-97.891,1.83);',
'insert into jk64demo_earthquakes values(37.0565,-97.8925,1.97);',
'insert into jk64demo_earthquakes values(36.4747,-98.7535,2.2);',
'insert into jk64demo_earthquakes values(46.8594,146.6103,4.4);',
'insert into jk64demo_earthquakes values(38.8126678,-122.817337,1.12);',
'insert into jk64demo_earthquakes values(36.2671,-97.5327,2.6);',
'insert into jk64demo_earthquakes values(60.1256,-141.3648,1.9);',
'insert into jk64demo_earthquakes values(59.353,-153.3979,0.7);',
'insert into jk64demo_earthquakes values(59.807,-152.915,1.8);',
'insert into jk64demo_earthquakes values(-6.7742,102.222,4.7);',
'insert into jk64demo_earthquakes values(60.0794,-139.4375,2.2);',
'insert into jk64demo_earthquakes values(64.8118,-149.1653,0.6);',
'insert into jk64demo_earthquakes values(37.5705,-118.8618333,0.51);',
'insert into jk64demo_earthquakes values(37.6418333,-118.9101667,0.54);',
'insert into jk64demo_earthquakes values(36.4636,-98.6816,2.8);',
'insert into jk64demo_earthquakes values(59.3144,-136.49,1.7);',
'insert into jk64demo_earthquakes values(68.6652,-147.6116,2.1);',
'insert into jk64demo_earthquakes values(38.8274994,-122.8324966,0.89);',
'insert into jk64demo_earthquakes values(63.4314,-151.414,0.8);',
'insert into jk64demo_earthquakes values(59.9916,-148.7869,1.8);',
'insert into jk64demo_earthquakes values(60.1245,-141.3325,1.9);',
'insert into jk64demo_earthquakes values(59.8456,-152.8414,2.2);',
'insert into jk64demo_earthquakes values(62.0312,-145.1254,1.5);',
'insert into jk64demo_earthquakes values(31.8895,-116.2185,3.34);',
'insert into jk64demo_earthquakes values(-15.7296,-71.8033,5);',
'insert into jk64demo_earthquakes values(62.4312,-149.7817,1.2);',
'insert into jk64demo_earthquakes values(37.7887,-117.7313,1.4);',
'insert into jk64demo_earthquakes values(64.1898,-147.5662,2.4);',
'insert into jk64de'))
);
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'mo_earthquakes values(61.4924,-149.8736,2.1);',
'insert into jk64demo_earthquakes values(60.219,-141.1477,1.2);',
'insert into jk64demo_earthquakes values(41.8978,-119.595,2.2);',
'insert into jk64demo_earthquakes values(60.2485,-141.1375,1.2);',
'insert into jk64demo_earthquakes values(59.7069,-153.2823,1.7);',
'insert into jk64demo_earthquakes values(36.2542,-97.6945,2.7);',
'insert into jk64demo_earthquakes values(-3.0432,129.4154,5.1);',
'insert into jk64demo_earthquakes values(62.4181,-151.5182,1.4);',
'insert into jk64demo_earthquakes values(62.3113,-150.4919,1.2);',
'insert into jk64demo_earthquakes values(59.7836,-153.2789,1.7);',
'insert into jk64demo_earthquakes values(38.8233333,-122.843,0.31);',
'insert into jk64demo_earthquakes values(61.0793,-148.2469,1.5);',
'insert into jk64demo_earthquakes values(19.2106667,-155.5781708,2.23);',
'insert into jk64demo_earthquakes values(31.802,70.0646,4.3);',
'insert into jk64demo_earthquakes values(36.0238333,-117.8131667,0.29);',
'insert into jk64demo_earthquakes values(38.8199997,-122.7965012,1.17);',
'insert into jk64demo_earthquakes values(-5.1783,154.0053,4.6);',
'insert into jk64demo_earthquakes values(66.0083,-150.7859,0.8);',
'insert into jk64demo_earthquakes values(37.2028333,-118.4035,2.12);',
'insert into jk64demo_earthquakes values(-15.8825,-71.6847,4.4);',
'insert into jk64demo_earthquakes values(63.0981,-150.9575,1.4);',
'insert into jk64demo_earthquakes values(41.0601667,-125.9448333,2.81);',
'insert into jk64demo_earthquakes values(18.0254,-65.3925,3.1);',
'insert into jk64demo_earthquakes values(37.6383333,-118.9086667,0.32);',
'insert into jk64demo_earthquakes values(38.4554,-118.3816,0.7);',
'insert into jk64demo_earthquakes values(5.9268,126.5425,4.1);',
'insert into jk64demo_earthquakes values(34.2166667,-117.08,1.47);',
'insert into jk64demo_earthquakes values(37.6408333,-118.9096667,0.69);',
'insert into jk64demo_earthquakes values(34.183,-117.4091667,1.14);',
'insert into jk64demo_earthquakes values(37.5716667,-118.48,1.62);',
'insert into jk64demo_earthquakes values(59.6592,-153.2608,4);',
'insert into jk64demo_earthquakes values(-6.1578,148.6211,4.1);',
'insert into jk64demo_earthquakes values(38.838501,-122.8296661,0.87);',
'insert into jk64demo_earthquakes values(37.6398333,-118.9101667,0.77);',
'insert into jk64demo_earthquakes values(37.6401667,-118.9173333,0.06);',
'insert into jk64demo_earthquakes values(46.3245,-122.2311667,0.56);',
'insert into jk64demo_earthquakes values(46.1721667,-119.2545,1.39);',
'insert into jk64demo_earthquakes values(61.4721,-151.8891,1.4);',
'insert into jk64demo_earthquakes values(46.192,-123.0453333,1.81);',
'insert into jk64demo_earthquakes values(37.435,-113.7988333,1.23);',
'insert into jk64demo_earthquakes values(5.4405,127.4856,4.4);',
'insert into jk64demo_earthquakes values(14.3323,-92.5014,4.4);',
'insert into jk64demo_earthquakes values(37.0483,-116.2964,0.3);',
'insert into jk64demo_earthquakes values(59.0319,-152.264,1.7);',
'insert into jk64demo_earthquakes values(63.4074,-151.3294,0.8);',
'insert into jk64demo_earthquakes values(63.44,-151.3574,1);',
'insert into jk64demo_earthquakes values(37.5711667,-118.8573333,1.2);',
'insert into jk64demo_earthquakes values(37.5688333,-118.8586667,1.76);',
'insert into jk64demo_earthquakes values(47.6146667,-123.351,2.11);',
'insert into jk64demo_earthquakes values(60.24,-152.7096,1.9);',
'insert into jk64demo_earthquakes values(48.088,-121.9315,1.81);',
'insert into jk64demo_earthquakes values(18.994833,-155.4508362,2.2);',
'insert into jk64demo_earthquakes values(64.4783,-147.6439,1);',
'insert into jk64demo_earthquakes values(41.0311,71.671,4.2);',
'insert into jk64demo_earthquakes values(18.8887,-64.3202,2.7);',
'insert into jk64demo_earthquakes values(19.3385,-155.3195,1.14);',
'insert into jk64demo_earthquakes values(51.7457,178.7606,3.8);',
'insert into jk64demo_earthquakes values(61.3811,-149.756,1.2);',
'insert into jk64demo_earthquakes values(37.5705,-118.8551667,0.67);',
'insert into jk64demo_earthquakes values(18.9745,-155.304,2.12);',
'insert into jk64demo_earthquakes values(36.8966667,-121.6253333,1.46);',
'insert into jk64demo_earthquakes values(66.3554,-147.7369,1.1);',
'insert into jk64demo_earthquakes values(-45.7308,-77.6806,4.7);',
'insert into jk64demo_earthquakes values(64.5623,-149.2175,1);',
'insert into jk64demo_earthquakes values(59.6433,-153.4056,2.5);',
'insert into jk64demo_earthquakes values(37.5671667,-118.8585,1.07);',
'insert into jk64demo_earthquakes values(37.5778333,-118.8611667,0.53);',
'insert into jk64demo_earthquakes values(39.1095,-119.6358,0.7);',
'insert into jk64demo_earthquakes values(35.5464,-97.3117,2.8);',
'insert into jk64demo_earthquakes values(36.4772,-98.7347,2.2);',
'insert into jk64demo_earthquakes values(36.4775,-98.7433,3.4);',
'insert into jk64demo_earthquakes values(59.7491,-153.1292,1.9);',
'insert into jk64demo_earthquakes values(32.8253333,-117.0361667,0.76);',
'insert into jk64demo_earthquakes values(37.5671667,-118.8463333,0.66);',
'insert into jk64demo_earthquakes values(33.4905,-116.4828333,0.59);',
'insert into jk64demo_earthquakes values(19.3836667,-155.2805,2.52);',
'insert into jk64demo_earthquakes values(19.3816667,-155.281,2.74);',
'insert into jk64demo_earthquakes values(33.8681667,-117.5171667,1.11);',
'insert into jk64demo_earthquakes values(19.3823333,-155.2796667,2.43);',
'insert into jk64demo_earthquakes values(60.5446,-147.6691,1.6);',
'insert into jk64demo_earthquakes values(37.5766667,-118.8581667,0.67);',
'insert into jk64demo_earthquakes values(33.8228333,-117.4836667,1.82);',
'insert into jk64demo_earthquakes values(63.8249,-146.8739,1.8);',
'insert into jk64demo_earthquakes values(38.843,-122.8245,0.54);',
'insert into jk64demo_earthquakes values(59.5782,-153.0518,2);',
'insert into jk64demo_earthquakes values(46.0056667,-112.4696667,1.31);',
'insert into jk64demo_earthquakes values(41.2363333,-112.6695,0.97);',
'insert into jk64demo_earthquakes values(38.7503333,-122.7385,0.06);',
'insert into jk64demo_earthquakes values(61.5397,-150.9555,2.2);',
'insert into jk64demo_earthquakes values(41.2321667,-112.6621667,0.99);',
'insert into jk64demo_earthquakes values(41.2388333,-112.6495,0.94);',
'insert into jk64demo_earthquakes values(37.5763333,-118.852,0.75);',
'insert into jk64demo_earthquakes values(38.7948341,-122.7666702,0.53);',
'insert into jk64demo_earthquakes values(37.5796667,-118.8565,0.76);',
'insert into jk64demo_earthquakes values(37.5746667,-113.0433333,0.78);',
'insert into jk64demo_earthquakes values(54.2085,-163.2643,2.9);',
'insert into jk64demo_earthquakes values(39.4298,-119.7922,0.5);',
'insert into jk64demo_earthquakes values(38.8424988,-122.8251648,1.19);',
'insert into jk64demo_earthquakes values(61.0594,-142.8933,1);',
'insert into jk64demo_earthquakes values(-4.0591,152.8345,4.4);',
'insert into jk64demo_earthquakes values(36.474,-98.7523,2.8);',
'insert into jk64demo_earthquakes values(49.4495,-120.5161667,2);',
'insert into jk64demo_earthquakes values(38.8426666,-122.8264999,0.57);',
'insert into jk64demo_earthquakes values(58.9745,-152.0637,1.7);',
'insert into jk64demo_earthquakes values(63.5762,-150.8257,1.5);',
'insert into jk64demo_earthquakes values(-0.0076,97.6586,4.2);',
'insert into jk64demo_earthquakes values(46.9118333,-119.1173333,1.39);',
'insert into jk64demo_earthquakes values(37.5803333,-118.8576667,0.27);',
'insert into jk64demo_earthquakes values(34.3033333,-118.489,0.96);',
'insert into jk64demo_earthquakes values(34.2995,-118.482,2.42);',
'insert into jk64demo_earthquakes values(34.2935,-118.4875,1.84);',
'insert into jk64demo_earthquakes values(37.5723333,-118.856,0.94);',
'insert into jk64demo_earthquakes values(59.5712,-153.4758,2);',
'insert into jk64demo_earthquakes values(60.6993,-146.7016,2);',
'insert into jk64demo_earthquakes values(59.7362,-153.0751,2);',
'insert into jk64demo_earthquakes values(66.8991,-148.5728,1.2);',
'insert into jk64demo_earthquakes values(37.3044,-114.6362,1.5);',
'insert into jk64demo_earthquakes values(12.4132,125.4312,4.5);',
'insert into jk64demo_earthquakes values(36.4752,-98.7589,2.9);',
'insert into jk64demo_earthquakes values(32.0788,45.8397,4.1);',
'insert into jk64demo_earthquakes values(38.8035,-122.7926667,1.32);',
'insert into jk64demo_earthquakes values(36.871,-121.6021667,2.03);',
'insert into jk64demo_earthquakes values(-59.873,-28.6384,4.8);',
'insert into jk64demo_earthquakes values(31.5726,49.9349,4.6);',
'insert into jk64demo_earthquakes values(59.7243,-153.096,1.7);',
'insert into jk64demo_earthquakes values(35.5406667,-120.7931667,1.27);',
'insert into jk64demo_earthquakes values(59.738,-153.1061,2.2);',
'insert into jk64demo_earthquakes values(38.8431664,-122.8249969,0.99);',
'insert into jk64demo_earthquakes values(60.6606,-143.0969,1.3);',
'insert into jk64demo_earthquakes values(37.4796667,-118.8476667,0.88);',
'insert into jk64demo_earthquakes values(36.4528,-98.7673,2.4);',
'insert into jk64demo_earthquakes values(53.5242,-166.806,1.9);',
'insert into jk64demo_earthquakes values(33.8561667,-118.2825,1.51);',
'insert into jk64demo_earthquakes values(41.0125,-74.3501667,0.61);',
'insert into jk64demo_earthquakes values(-22.9333,-66.3533,4.2);',
'insert into jk64demo_earthquakes values(38.8268318,-122.8536682,0.91);',
'insert into jk64demo_earthquakes values(58.9377,-153.0757,1.8);',
'insert into jk64demo_earthquakes values(19.1741657,-155.4629974,2.02);',
'insert into jk64demo_earthquakes values(60.2533,-153.6767,1.8);',
'insert into jk64demo_earthquakes values(38.1672,-118.2257,0.9);',
'insert into jk64demo_earthquakes values(63.5642,-151.0199,1.3);',
'insert into jk64demo_earthquakes values(38.8358345,-122.7963333,0.19);',
'insert into jk64demo_earthquakes values(35.7461,-97.1586,2.8);',
'insert into jk64demo_earthquakes values(60.5039,-152.0679,1.5);',
'insert into jk64demo_earthquakes values(68.0628,-136.346,3.5);',
'insert into jk64demo_earthquakes values(62.2819,-148.1869,1.2);',
'insert into jk64demo_earthquakes values(41.8848,-119.5854,1);',
'insert into jk64demo_earthquakes values(35.9998333,-120.8828333,1.47);',
'insert into jk64demo_earthquakes values(63.5515,-151.0593,1.6);',
'insert into jk64demo_earthquakes values(-7.0937,154.8282,4.1);',
'insert into jk64demo_earthquakes values(59.7797,-153.0056,2.6);',
'insert into jk64demo_earthquakes values(51.602,-178.2026,2);',
'insert into jk64demo_earthquakes values(59.7488,-153.1795,1.7);',
'insert into jk64demo_earthquakes values(-45.725,-77.5256,4.4);',
'insert into jk64demo_earthquakes values(-11.1878,161.6595,4.7);',
'insert into jk64demo_earthquakes values(38.8248333,-122.8528333,1.46);',
'insert into jk64demo_earthquakes values(38.5037,-118.1921,0.4);',
'insert into jk64demo_earthquakes values(34.171,-116.174,1.37);',
'insert into jk64demo_earthquakes values(34.167,-116.1735,2.39);',
'insert into jk64demo_earthquakes values(61.9892,-147.3915,1.5);',
'insert into jk64demo_earthquakes values(12.5498,-87.7475,4.3);',
'insert into jk64demo_earthquakes values(11.1425,140.2246,4.4);',
'insert into jk64demo_earthquakes values(51.7732,-174.9483,2.2);',
'insert into jk64demo_earthquakes values(53.9856,-164.4142,2.3);',
'insert into jk64demo_earthquakes values(33.6748333,-116.7801667,0.77);',
'insert into jk64demo_earthquakes values(33.659,-116.7683333,0.45);',
'insert into jk64demo_earthquakes values(33.9665,-117.7108333,0.91);',
'insert into jk64demo_earthquakes values(41.9038,-119.6083,1.2);',
'insert into jk64demo_earthquakes values(33.6641667,-116.6986667,0.67);',
'insert into jk64demo_earthquakes values(37.5768333,-118.8553333,-0.09);',
'insert into jk64demo_earthquakes values(36.4844,-98.7435,1.6);',
'insert into jk64demo_earthquakes values(11.1909,140.3376,4.3);',
'insert into jk64demo_earthquakes values(36.0188333,-117.7691667,1.49);',
'insert into jk64demo_earthquakes values(63.2484,-150.7245,1.6);',
'insert into jk64demo_earthquakes values(38.1612,-118.2403,0.7);',
'insert into jk64demo_earthquakes values(37.5748333,-118.8621667,0.13);',
'insert into jk64demo_earthquakes values(19.4063339,-155.2825012,1.86);',
'insert into jk64demo_earthquakes values(38.1618,-118.23,1);',
'insert into jk64demo_earthquakes values(36.9701667,-112.3495,1.67);',
'insert into jk64demo_earthquakes values(59.6855,-153.2088,1.8);',
'insert into jk64demo_earthquakes values(59.7651,-153.043,1.8);',
'insert into jk64demo_earthquakes values(-4.131,152.9181,4.9);',
'insert into jk64demo_earthquakes values(38.832,-122.772,1.46);',
'insert into jk64demo_earthquakes values(38.1676,-118.2456,0.9);',
'insert into jk64demo_earthquakes values(40.8321667,-111.5853333,0.76);',
'insert into jk64demo_earthquakes values(38.1632,-118.2304,0.8);',
'insert into jk64demo_earthquakes values(34.3403333,-116.8793333,1.02);',
'insert into jk64demo_earthquakes values(37.5725,-118.8475,0.54);',
'insert into jk64demo_earthquakes values(65.4544,-133.9035,4);',
'insert into jk64demo_earthquakes values(33.5733333,-116.719,0.81);',
'insert into jk64demo_earthquakes values(40.5736667,-125.1766667,2.62);',
'insert into jk64demo_earthquakes values(62.9056,-151.2271,1.3);',
'insert into jk64demo_earthquakes values(64.5935,-147.7057,0.2);',
'insert into jk64demo_earthquakes values(36.6306,-116.9349,0);',
'insert into jk64demo_earthquakes values(61.2366,-150.5779,1.2);',
'insert into jk64demo_earthquakes values(59.767,-153.5661,2.3);',
'insert into jk64demo_earthquakes values(37.5731667,-118.8578333,0.2);',
'insert into jk64demo_earthquakes values(37.5698333,-118.8538333,0.08);',
'insert into jk64demo_earthquakes values(37.5693333,-118.8556667,0.06);',
'insert into jk64demo_earthquakes values(65.0165,-148.8374,0.8);',
'insert into jk64demo_earthquakes values(59.7809,-153.0809,1.8);',
'insert into jk64demo_earthquakes values(63.2845,-151.1992,1.1);',
'insert into jk64demo_earthquakes values(59.8189,-150.5473,1.4);',
'insert into jk64demo_earthquakes values(38.1849,-118.2425,0.6);',
'insert into jk64demo_earthquakes values(38.1647,-118.2394,1);',
'insert into jk64demo_earthquakes values(61.5723,-149.9676,1.5);',
'insert into jk64demo_earthquakes values(37.3737,-117.1301,0.4);',
'insert into jk64demo_earthquakes values(37.566,-118.8561667,0.99);',
'insert into jk64demo_earthquakes values(59.7434,-153.1277,1.7);',
'insert into jk64demo_earthquakes values(60.6852,-143.2586,1.1);',
'insert into jk64demo_earthquakes values(36.5322,-98.6839,3.1);',
'insert into jk64demo_earthquakes values(37.2438,142.2397,5.1);',
'insert into jk64demo_earthquakes values(33.9276667,-116.7331667,1.15);',
'insert into jk64demo_earthquakes values(34.5728333,-116.5433333,1);',
'insert into jk64demo_earthquakes values(61.5264,-151.2776,2.2);',
'insert into jk64demo_earthquakes values(59.7295,-153.115,1.8);',
'insert into jk64demo_earthquakes values(11.1919,139.9634,4.4);',
'insert into jk64demo_earthquakes values(38.8146667,-122.8201667,1.49);',
'insert into jk64demo_earthquakes values(60.6507,-146.6647,1.7);',
'insert into jk64demo_earthquakes values(37.5738333,-118.8536667,-0.02);',
'insert into jk64demo_earthquakes values(11.1543,140.0964,4.7);',
'insert into jk64demo_earthquakes values(35.0868333,-116.641,2.09);',
'insert into jk64demo_earthquakes values(60.5563,-158.7124,2.1);',
'insert into jk64demo_earthquakes values(38.8126678,-122.8266678,0.56);',
'insert into jk64demo_earthquakes values(19.4104996,-155.2866669,2.4);',
'insert into jk64demo_earthquakes values(-22.513,-68.952,4.1);',
'insert into jk64demo_earthquakes values(37.5385,-118.834,0.19);',
'insert into jk64demo_earthquakes values(65.0611,-149.1264,0.9);',
'insert into jk64demo_earthquakes values(39.7051,-120.0956,0.5);',
'insert into jk64demo_earthquakes values(38.8076667,-122.8141667,0.22);',
'insert into jk64demo_earthquakes values(37.2694,-118.413,1);',
'insert into jk64demo_earthquakes values(34.2988333,-116.8613333,1.64);',
'insert into jk64demo_earthquakes values(38.8120003,-122.8199997,0.56);',
'insert into jk64demo_earthquakes values(60.1885,-152.7556,1.7);',
'insert into jk64demo_earthquakes values(33.498,-116.7885,0.27);',
'insert into jk64demo_earthquakes values(60.5074,-152.4566,1.6);',
'insert into jk64demo_earthquakes values(35.8565,-90.0371667,1.8);',
'insert into jk64demo_earthquakes values(34.1748333,-117.4231667,2.46);',
'insert into jk64demo_earthquakes values(36.5131,-98.7097,1.4);',
'insert into jk64demo_earthquakes values(38.8498344,-122.8215027,0.43);',
'insert into jk64demo_earthquakes values(36.1386667,-118.052,1.07);',
'insert into jk64demo_earthquakes values(51.7185,-175.2988,2.5);',
'insert into jk64demo_earthquakes values(54.1192,158.9669,4.8);',
'insert into jk64demo_earthquakes values(35.1761667,-119.1103333,1.34);',
'insert into jk64demo_earthquakes values(63.2513,-151.8226,1.1);',
'insert into jk64demo_earthquakes values(36.5273,-98.6901,2.2);',
'insert into jk64demo_earthquakes values(60.0824,-152.1234,1.5);',
'insert into jk64demo_earthquakes values(36.5275,-98.6891,1.7);',
'insert into jk64demo_earthquakes values(54.6016,-163.4676,2.1);',
'insert into jk64demo_earthquakes values(36.828,-115.967,-0.2);',
'insert into jk64demo_earthquakes values(36.4816,70.863,5.2);',
'insert into jk64demo_earthquakes values(37.5781667,-118.8551667,0.14);',
'insert into jk64demo_earthquakes values(36.7236,-116.2239,-0.1);',
'insert into jk64demo_earthquakes values(37.5645,-118.8531667,0.53);',
'insert into jk64demo_earthquakes values(18.0112,-65.3886,2.3);',
'insert into jk64demo_earthquakes values(37.4758333,-118.8236667,1.15);',
'insert into jk64demo_earthquakes values(58.9537,-153.8788,2.2);',
'insert into jk64demo_earthquakes values(37.3563,-117.1279,0.4);',
'insert into jk64demo_earthquakes values(37.6346667,-118.831,0.87);',
'insert into jk64demo_earthquakes values(37.365,-117.1406,0.5);',
'insert into jk64demo_earthquakes values(-5.2376,152.7746,4.4);',
'insert into jk64demo_earthquakes values(60.7459,-151.3573,2.4);',
'insert into jk64demo_earthquakes values(37.4673333,-118.8241667,0.91);',
'insert into jk64demo_earthquakes values(38.8221667,-122.8428333,1.26);',
'insert into jk64demo_earthquakes values(37.472,-118.8245,2.23);',
'insert into jk64demo_earthquakes values(37.7233333,-122.5376667,1.68);',
'insert into jk64demo_earthquakes values(38.795,-118.7608,0.4);',
'insert into jk64demo_earthquakes values(37.3476,-117.1314,0.3);',
'insert into jk64demo_earthquakes values(38.8378334,-122.8065033,1.16);',
'insert into jk64demo_earthquakes values(38.8361667,-122.8061667,1.49);',
'insert into jk64demo_earthquakes values(38.8378333,-122.8058333,1.54);',
'insert into jk64demo_earthquakes values(59.8598,-152.8986,1.6);',
'insert into jk64demo_earthquakes values(38.7859993,-122.7358322,0.74);',
'insert into jk64demo_earthquakes values(37.3666,-117.1279,-0.1);',
'insert into jk64demo_earthquakes values(37.5668333,-118.8665,0.69);',
'insert into jk64demo_earthquakes values(34.3301667,-116.688,1.18);',
'insert into jk64demo_earthquakes values(34.5738333,-116.542,1.49);',
'insert into jk64demo_earthquakes values(33.2878333,-116.3141667,1.05);',
'insert into jk64demo_earthquakes values(52.3712,-169.9856,3.1);',
'insert into jk64demo_earthquakes values(59.82,-152.9173,1.7);',
'insert into jk64demo_earthquakes values(55.9073,-159.8013,1.8);',
'insert into jk64demo_earthquakes values(38.836,-122.7698333,0.26);',
'insert into jk64demo_earthquakes values(35.6793,-97.4119,2.7);',
'insert into jk64demo_earthquakes values(52.491,-169.7456,4.4);',
'insert into jk64demo_earthquakes values(52.5086,-169.5136,2.6);',
'insert into jk64demo_earthquakes values(19.3588333,-155.207,0.74);',
'insert into jk64demo_earthquakes values(56.7763,-153.1907,3.1);',
'insert into jk64demo_earthquakes values(60.0768,-152.3708,1.4);',
'insert into jk64demo_earthquakes values(38.8231667,-122.8435,1.48);',
'insert into jk64demo_earthquakes values(60.4318,-142.8157,1.1);',
'insert into jk64demo_earthquakes values(2.2173,128.8786,4.5);',
'insert into jk64demo_earthquakes values(37.5738333,-118.8588333,0.49);',
'insert into jk64demo_earthquakes values(59.8515,-153.5391,1.8);',
'insert into jk64demo_earthquakes values(37.2266667,-118.4075,1.11);',
'insert into jk64demo_earthquakes values(38.664,-118.7767,0.4);',
'insert into jk64demo_earthquakes values(63.016,-150.6218,1.2);',
'insert into jk64demo_earthquakes values(33.4063333,-116.3681667,0.93);',
'insert into jk64demo_earthquakes values(38.8306656,-122.7570038,0.51);',
'insert into jk64demo_earthquakes values(37.567,-118.8553333,0.49);',
'insert into jk64demo_earthquakes values(40.4988333,-124.2993333,2.01);',
'insert into jk64demo_earthquakes values(60.0103,-140.6411,1.8);',
'insert into jk64demo_earthquakes values(38.8246651,-122.8464966,0.19);',
'insert into jk64demo_earthquakes values(63.0329,-150.9604,1.7);',
'insert into jk64demo_earthquakes values(39.2279,-120.0813,-0.2);',
'insert into jk64demo_earthquakes values(33.8446667,-116.7885,1.23);',
'insert into jk64demo_earthquakes values(38.6797,-118.5636,1.9);',
'insert into jk64demo_earthquakes values(46.258,-122.5898333,1.27);',
'insert into jk64demo_earthquakes values(40.5035,-124.3013333,1.91);',
'insert into jk64demo_earthquakes values(40.5005,-124.3,2.37);',
'insert into jk64demo_earthquakes values(39.2289,-120.4794,0.7);',
'insert into jk64demo_earthquakes values(62.4617,-153.2495,1.1);',
'insert into jk64demo_earthquakes values(46.4163333,-119.2728333,0.17);',
'insert into jk64demo_earthquakes values(51.7357,-176.2717,1.8);',
'insert into jk64demo_earthquakes values(38.4751,-118.6668,0.3);',
'insert into jk64demo_earthquakes values(33.473,-116.5713333,0.81);',
'insert into jk64demo_earthquakes values(37.5808333,-118.8528333,-0.07);',
'insert into jk64demo_earthquakes values(63.672,-147.4493,1.3);',
'insert into jk64demo_earthquakes values(18.385,-64.5036,2.5);',
'insert into jk64demo_earthquakes values(37.5901667,-118.8583333,-0.11);',
'insert into jk64demo_earthquakes values(37.58,-118.8515,0.03);',
'insert into jk64demo_earthquakes values(37.5713333,-118.8475,-0.02);',
'insert into jk64demo_earthquakes values(38.3641667,-122.2258333,2.09);',
'insert into jk64demo_earthquakes values(33.9408,-117.1105,1.4);',
'insert into jk64demo_earthquakes values(38.8618333,-122.8056667,1.13);',
'insert into jk64demo_earthquakes values(38.2417,-118.6319,0.8);',
'insert into jk64demo_earthquakes values(37.5708333,-118.8496667,0.88);',
'insert into jk64demo_earthquakes values(33.2558333,-115.994,1.5);',
'insert into jk64demo_earthquakes values(34.028,-117.1796667,1.05);',
'insert into jk64demo_earthquakes values(33.2673333,-116.7733333,0.54);',
'insert into jk64demo_earthquakes values(38.2434,-118.628,1.2);',
'insert into jk64demo_earthquakes values(60.032,-152.8704,2.2);',
'insert into jk64demo_earthquakes values(44.6068333,-111.0991667,0.38);',
'insert into jk64demo_earthquakes values(60.7475,-140.4547,1.6);',
'insert into jk64demo_earthquakes values(33.5116667,-116.4588333,0.51);',
'insert into jk64demo_earthquakes values(47.4835,-122.3621667,1.35);',
'insert into jk64demo_earthquakes values(37.0239,-116.4424,-0.3);',
'insert into jk64demo_earthquakes values(41.907,-119.6006,2.1);',
'insert into jk64demo_earthquakes values(38.1613,-118.2274,1.2);',
'insert into jk64demo_earthquakes values(63.2954,-149.0426,0.9);',
'insert into jk64demo_earthquakes values(19.3588333,-155.2063333,3.03);',
'insert into jk64demo_earthquakes values(38.4103,-118.293,0.6);',
'insert into jk64demo_earthquakes values(61.7428,-148.2186,1.2);',
'insert into jk64demo_earthquakes values(60.2342,-150.9604,1.4);',
'insert into jk64demo_earthquakes values(61.8036,-148.5321,0.9);',
'insert into jk64demo_earthquakes values(37.5741667,-118.858,0.59);',
'insert into jk64demo_earthquakes values(63.0039,-149.411,1.2);',
'insert into jk64demo_earthquakes values(61.961,-149.9285,1.6);',
'insert into jk64demo_earthquakes values(59.5349,-153.9775,1.9);',
'insert into jk64demo_earthquakes values(37.3859,-116.9935,0.9);',
'insert into jk64demo_earthquakes values(53.6854,-166.3864,2.2);',
'insert into jk64demo_earthquakes values(37.0051,-117.5004,0.2);',
'insert into jk64demo_earthquakes values(38.8385,-119.9825,1.2);',
'insert into jk64demo_earthquakes values(60.0275,-152.8701,1.8);',
'insert into jk64demo_earthquakes values(45.3951,-70.763,1.7);',
'insert into jk64demo_earthquakes values(37.5698333,-118.9353333,0.48);',
'insert into jk64demo_earthquakes values(62.9007,-151.1369,1.9);',
'insert into jk64demo_earthquakes values(37.2054,-117.4003,0.4);',
'insert into jk64demo_earthquakes values(38.8103333,-122.8093338,0.63);',
'insert into jk64demo_earthquakes values(39.276,-123.3155,1.91);',
'insert into jk64demo_earthquakes values(64.8168,-148.6574,0.9);',
'insert into jk64demo_earthquakes values(38.8154984,-122.8191681,0.65);',
'insert into jk64demo_earthquakes values(64.9709,-148.9256,0.7);',
'insert into jk64demo_earthquakes values(46.8471667,-121.7551667,1.15);',
'insert into jk64demo_earthquakes values(46.8606667,-121.7678333,1.36);',
'insert into jk64demo_earthquakes values(38.4606,-118.3695,0.6);',
'insert into jk64demo_earthquakes values(38.8171667,-122.821,0.17);',
'insert into jk64demo_earthquakes values(59.9453,-152.7992,1.5);',
'insert into jk64demo_earthquakes values(62.0526,-141.024,1.8);',
'insert into jk64demo_earthquakes values(59.9728,-139.279,2.7);',
'insert into jk64demo_earthquakes values(34.3165,-117.011,0.91);',
'insert into jk64demo_earthquakes values(39.2427,143.6016,4.5);',
'insert into jk64demo_earthquakes values(59.8175,-152.6029,1.7);',
'insert into jk64demo_earthquakes values(60.2732,-152.6644,1.6);',
'insert into jk64demo_earthquakes values(37.5765,-118.849,0);',
'insert into jk64demo_earthquakes values(36.529,-98.6849,3.5);',
'insert into jk64demo_earthquakes values(38.7636681,-122.7313309,0.78);',
'insert into jk64demo_earthquakes values(64.5991,-149.5798,0.5);',
'insert into jk64demo_earthquakes values(60.0039,-152.779,1.5);',
'insert into jk64demo_earthquakes values(37.576,-118.8503333,0.13);',
'insert into jk64demo_earthquakes values(53.8685,-166.8739,1.2);',
'insert into jk64demo_earthquakes values(34.6096667,-116.6241667,1.71);',
'insert into jk64demo_earthquakes values(62.1212,-147.7633,1.6);',
'insert into jk64demo_earthquakes values(19.3176667,-155.935,1.95);',
'insert into jk64demo_earthquakes values(39.1474,-119.7064,0.6);',
'insert into jk64demo_earthquakes values(33.9443333,-116.846,0.6);',
'insert into jk64demo_earthquakes values(37.5776667,-118.8506667,0.04);',
'insert into jk64demo_earthquakes values(60.0584,-139.397,1.8);',
'insert into jk64demo_earthquakes values(53.8609,-166.8844,1.5);',
'insert into jk64demo_earthquakes values(60.2603,-152.2719,1.9);',
'insert into jk64demo_earthquakes values(38.788,-122.8411667,-0.06);',
'insert into jk64demo_earthquakes values(36.406,-97.543,3);',
'insert into jk64demo_earthquakes values(19.395,-155.0055,2.54);',
'insert into jk64demo_earthquakes values(60.082,-139.4303,3.3);',
'insert into jk64demo_earthquakes values(33.9763333,-116.6798333,1.09);',
'insert into jk64demo_earthquakes values(41.8638,-119.6299,0.6);',
'insert into jk64demo_earthquakes values(38.7986679,-122.7838364,0.99);',
'insert into jk64demo_earthquakes values(47.2845,-122.2898333,1.37);',
'insert into jk64demo_earthquakes values(47.3947,-70.5033,2);',
'insert into jk64demo_earthquakes values(33.9003333,-117.695,0.53);',
'insert into jk64demo_earthquakes values(19.430666,-155.2126617,2.21);',
'insert into jk64demo_earthquakes values(36.0006667,-120.5626667,1.6);',
'insert into jk64demo_earthquakes values(59.6553,-153.2306,2.6);',
'insert into jk64demo_earthquakes values(37.5851667,-118.866,0.29);',
'insert into jk64demo_earthquakes values(37.097,-98.0308333,1.77);',
'insert into jk64demo_earthquakes values(-3.7709,155.3117,4.1);',
'insert into jk64demo_earthquakes values(61.4154,-146.8527,1.5);',
'insert into jk64demo_earthquakes values(38.7913322,-122.7298355,0.88);',
'insert into jk64demo_earthquakes values(33.4763333,-116.4813333,0.89);',
'insert into jk64demo_earthquakes values(37.5718333,-118.8551667,0.95);',
'insert into jk64demo_earthquakes values(37.5861667,-118.8646667,0.51);',
'insert into jk64demo_earthquakes values(6.9364,92.4103,4.8);',
'insert into jk64demo_earthquakes values(59.7191,-153.1416,2.2);',
'insert into jk64demo_earthquakes values(7.5997,-36.7093,4.7);',
'insert into jk64demo_earthquakes values(33.6338333,-116.6943333,1.2);',
'insert into jk64demo_earthquakes values(37.5776667,-118.8581667,1.05);',
'insert into jk64demo_earthquakes values(38.244,-118.6168,0.2);',
'insert into jk64demo_earthquakes values(62.9509,-150.4974,2);',
'insert into jk64demo_earthquakes values(60.5319,-151.5298,2.1);',
'insert into jk64demo_earthquakes values(34.0131667,-117.215,0.82);',
'insert into jk64demo_earthquakes values(38.3227,-118.1409,0.8);',
'insert into jk64demo_earthquakes values(37.5726667,-118.8601667,0.53);',
'insert into jk64demo_earthquakes values(37.2176667,-118.4055,1.62);',
'insert into jk64demo_earthquakes values(62.3813,-151.1324,1.3);',
'insert into jk64demo_earthquakes values(38.1163,-116.7388,0.8);',
'insert into jk64demo_earthquakes values(63.8272,-149.1301,1.3);',
'insert into jk64demo_earthquakes values(51.878,-174.4414,1.9);',
'insert into jk64demo_earthquakes values(34.3025,-116.8645,1);',
'insert into jk64demo_earthquakes values(38.8136673,-122.7916641,1);',
'insert into jk64demo_earthquakes values(39.4015,-120.1716,1);',
'insert into jk64demo_earthquakes values(19.1145,-66.4653,2.5);',
'insert into jk64demo_earthquakes values(37.7225,-122.5391667,1.59);',
'insert into jk64demo_earthquakes values(37.635,-118.9291667,0.11);',
'insert into jk64demo_earthquakes values(38.8231659,-122.8284988,0.69);',
'insert into jk64demo_earthquakes values(60.7768,-152.1691,1.4);',
'insert into jk64demo_earthquakes values(60.637,-150.7694,1.3);',
'insert into jk64demo_earthquakes values(37.869,-118.0808,0.8);',
'insert into jk64demo_earthquakes values(61.4382,-147.3938,1.3);',
'insert into jk64demo_earthquakes values(61.3051,-146.8092,1.3);',
'insert into jk64demo_earthquakes values(36.8701667,-121.5966667,1.26);',
'insert into jk64demo_earthquakes values(37.5751667,-118.852,1.08);',
'insert into jk64demo_earthquakes values(37.5856667,-118.8593333,0.71);',
'insert into jk64demo_earthquakes values(59.8319,-152.9508,1.8);',
'insert into jk64demo_earthquakes values(37.2358333,-122.1795,1.65);',
'insert into jk64demo_earthquakes values(19.2015,-155.4023333,2.68);',
'insert into jk64demo_earthquakes values(37.5778333,-118.8608333,1.02);',
'insert into jk64demo_earthquakes values(60.2912,-153.1065,1.7);',
'insert into jk64demo_earthquakes values(61.7509,-149.4278,1.3);',
'insert into jk64demo_earthquakes values(37.5851667,-118.8608333,0.11);',
'insert into jk64demo_earthquakes values(66.9091,-149.7532,1.2);',
'insert '))
);
end;
/
begin
wwv_flow_api.append_to_install_script(
 p_id=>wwv_flow_api.id(54436733225707788)
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'into jk64demo_earthquakes values(51.9054,-169.6714,4.4);',
'insert into jk64demo_earthquakes values(38.8156662,-122.762001,1);',
'insert into jk64demo_earthquakes values(37.2803,-114.6454,1.8);',
'insert into jk64demo_earthquakes values(37.5886667,-118.8598333,-0.09);',
'insert into jk64demo_earthquakes values(64.3198,-150.8865,0.8);',
'insert into jk64demo_earthquakes values(34.1218333,-118.4538333,1.36);',
'insert into jk64demo_earthquakes values(37.5811667,-118.8581667,0.08);',
'insert into jk64demo_earthquakes values(36.8685,-121.5986667,1.68);',
'insert into jk64demo_earthquakes values(-30.5898,-71.5732,4.9);',
'insert into jk64demo_earthquakes values(-15.6306,-177.5343,4.6);',
'insert into jk64demo_earthquakes values(36.869,-121.5988333,1.95);',
'insert into jk64demo_earthquakes values(59.7026,-153.0994,1.5);',
'insert into jk64demo_earthquakes values(37.2298333,-118.4071667,1.57);',
'insert into jk64demo_earthquakes values(37.7453333,-122.573,1.54);',
'insert into jk64demo_earthquakes values(63.4159,-147.513,1.2);',
'insert into jk64demo_earthquakes values(38.8206667,-122.8416667,1.11);',
'insert into jk64demo_earthquakes values(36.4529,-98.7619,1.7);',
'insert into jk64demo_earthquakes values(6.9145,126.7269,4.6);',
'insert into jk64demo_earthquakes values(33.4936667,-116.5533333,0.44);',
'insert into jk64demo_earthquakes values(4.5327,-32.671,5);',
'insert into jk64demo_earthquakes values(60.7903,-151.9419,1.8);',
'insert into jk64demo_earthquakes values(61.7529,-151.1819,1.6);',
'insert into jk64demo_earthquakes values(4.5691,-32.6862,4.8);',
'insert into jk64demo_earthquakes values(18.5795,-64.9322,3);',
'insert into jk64demo_earthquakes values(33.5405,-116.6916667,0.54);',
'insert into jk64demo_earthquakes values(-22.0141,-176.3068,4.2);',
'insert into jk64demo_earthquakes values(4.5302,-32.7061,4.9);',
'insert into jk64demo_earthquakes values(63.2945,-151.2017,1.1);',
'insert into jk64demo_earthquakes values(4.1172,-32.6172,4.7);',
'insert into jk64demo_earthquakes values(36.2111667,-89.4126667,1.31);',
'insert into jk64demo_earthquakes values(39.2205,-120.0827,-0.2);',
'insert into jk64demo_earthquakes values(38.8371658,-122.8286667,0.46);',
'insert into jk64demo_earthquakes values(35.7192,-97.1698,3.2);',
'insert into jk64demo_earthquakes values(38.3083,-118.3936,0.2);',
'insert into jk64demo_earthquakes values(63.5209,-150.8021,1);',
'insert into jk64demo_earthquakes values(39.23,-120.0971,0);',
'insert into jk64demo_earthquakes values(36.8283333,-119.2843333,2.28);',
'insert into jk64demo_earthquakes values(60.2272,-137.499,1.4);',
'insert into jk64demo_earthquakes values(36.4562,-98.7677,1.7);',
'insert into jk64demo_earthquakes values(39.3294,-120.1446,0.6);',
'insert into jk64demo_earthquakes values(38.8035011,-122.7728348,0.88);',
'insert into jk64demo_earthquakes values(38.6564,-118.7905,0.8);',
'insert into jk64demo_earthquakes values(59.7869,-153.0213,2);',
'insert into jk64demo_earthquakes values(38.6806,-119.5185,1.4);',
'insert into jk64demo_earthquakes values(4.686,-32.6366,5.3);',
'insert into jk64demo_earthquakes values(11.2531,126.0768,4.7);',
'insert into jk64demo_earthquakes values(36.5035,-98.7644,1.8);',
'insert into jk64demo_earthquakes values(60.6128,-152.48,1.8);',
'insert into jk64demo_earthquakes values(33.4858333,-116.4933333,0.26);',
'insert into jk64demo_earthquakes values(47.3861667,-113.2026667,0.95);',
'insert into jk64demo_earthquakes values(18.1432,-65.122,3.5);',
'insert into jk64demo_earthquakes values(37.2195,-118.4063,0.8);',
'insert into jk64demo_earthquakes values(8.0613,-38.4475,4.9);',
'insert into jk64demo_earthquakes values(-31.332,-178.3309,4.8);',
'insert into jk64demo_earthquakes values(60.477,-151.2445,1.4);',
'insert into jk64demo_earthquakes values(38.8093338,-122.7876663,0.77);',
'insert into jk64demo_earthquakes values(2.2012,128.8973,4.4);',
'insert into jk64demo_earthquakes values(64.7083,-148.5543,0.6);',
'insert into jk64demo_earthquakes values(38.8225,-122.8425,0.35);',
'insert into jk64demo_earthquakes values(37.579,-118.8561667,-0.02);',
'insert into jk64demo_earthquakes values(38.8218346,-122.8421631,0.89);',
'insert into jk64demo_earthquakes values(56.5187,-158.3757,2);',
'insert into jk64demo_earthquakes values(13.798,-88.843,5);',
'insert into jk64demo_earthquakes values(61.4746,-146.6198,1.3);',
'insert into jk64demo_earthquakes values(41.8976,-119.5891,1.4);',
'insert into jk64demo_earthquakes values(38.8101654,-122.7458344,0.82);',
'insert into jk64demo_earthquakes values(59.7834,-153.1746,1.9);',
'insert into jk64demo_earthquakes values(60.785,-151.1553,1.5);',
'insert into jk64demo_earthquakes values(38.6645,-118.7815,0.5);',
'insert into jk64demo_earthquakes values(59.7517,-153.3378,1.9);',
'insert into jk64demo_earthquakes values(38.8278333,-122.806,2.04);',
'insert into jk64demo_earthquakes values(35.543,-120.791,3.28);',
'insert into jk64demo_earthquakes values(38.1697,-118.2461,0.9);',
'insert into jk64demo_earthquakes values(36.3731,-115.742,1.1);',
'insert into jk64demo_earthquakes values(19.1128,-66.4745,2.6);',
'insert into jk64demo_earthquakes values(46.1936667,-122.1956667,0.13);',
'insert into jk64demo_earthquakes values(38.8088341,-122.8014984,0.55);',
'insert into jk64demo_earthquakes values(18.044,-65.4141,2.2);',
'insert into jk64demo_earthquakes values(61.1933,-149.533,1.3);',
'insert into jk64demo_earthquakes values(46.423,-122.3876667,0.88);',
'insert into jk64demo_earthquakes values(60.2127,-141.0186,0.9);',
'insert into jk64demo_earthquakes values(37.7225,-122.5421667,2.01);',
'insert into jk64demo_earthquakes values(19.1154,-66.4308,2.6);',
'insert into jk64demo_earthquakes values(19.0741,-66.4428,2.6);',
'insert into jk64demo_earthquakes values(59.5417,-152.4825,1.5);',
'insert into jk64demo_earthquakes values(36.7314,-116.3118,0.9);',
'insert into jk64demo_earthquakes values(19.1,-66.4343,2.9);',
'insert into jk64demo_earthquakes values(61.4445,-150.3456,1.5);',
'insert into jk64demo_earthquakes values(34.0475,-117.5328333,1.11);',
'insert into jk64demo_earthquakes values(61.4888,-147.4115,1.5);',
'insert into jk64demo_earthquakes values(59.9214,-152.2702,1.5);',
'insert into jk64demo_earthquakes values(19.3635,-155.477,2.37);',
'insert into jk64demo_earthquakes values(38.1608,-118.2395,1);',
'insert into jk64demo_earthquakes values(37.2151,-118.3734,0.9);',
'insert into jk64demo_earthquakes values(63.4954,-148.0888,1.8);',
'insert into jk64demo_earthquakes values(39.2218,-120.0812,0.8);',
'insert into jk64demo_earthquakes values(39.514,-123.3348333,2.3);',
'insert into jk64demo_earthquakes values(37.5753333,-118.8565,1.34);',
'insert into jk64demo_earthquakes values(38.5586,-118.4434,0.6);',
'insert into jk64demo_earthquakes values(38.8273315,-122.8529968,0.68);',
'insert into jk64demo_earthquakes values(36.2514,-117.4695,1.4);',
'insert into jk64demo_earthquakes values(51.6661,-177.371,2.2);',
'insert into jk64demo_earthquakes values(18.0077,-64.8919,3);',
'insert into jk64demo_earthquakes values(37.5451667,-118.8791667,0.13);',
'insert into jk64demo_earthquakes values(39.4113,-120.1235,0.3);',
'insert into jk64demo_earthquakes values(38.8193321,-122.7630005,0.87);',
'insert into jk64demo_earthquakes values(59.7495,-152.0144,2.3);',
'insert into jk64demo_earthquakes values(64.974,-147.3558,1.3);',
'insert into jk64demo_earthquakes values(14.1933,-92.9971,4.2);',
'insert into jk64demo_earthquakes values(61.8925,-151.0646,1.6);',
'insert into jk64demo_earthquakes values(37.6438333,-118.9455,0.6);',
'insert into jk64demo_earthquakes values(62.3371,-149.1346,1.6);',
'insert into jk64demo_earthquakes values(18.0762,-65.4209,2.4);',
'insert into jk64demo_earthquakes values(64.6099,-147.6771,0.2);',
'insert into jk64demo_earthquakes values(34.1975,-117.411,1);',
'insert into jk64demo_earthquakes values(47.5498333,-122.7803333,1.6);',
'insert into jk64demo_earthquakes values(33.9565,-116.6211667,0.87);',
'insert into jk64demo_earthquakes values(40.5081667,-124.3038333,1.65);',
'insert into jk64demo_earthquakes values(60.4529,-148.6983,1.9);',
'insert into jk64demo_earthquakes values(-4.2396,102.2127,4.4);',
'insert into jk64demo_earthquakes values(63.1988,-150.2155,1.2);',
'insert into jk64demo_earthquakes values(38.7626667,-122.7331667,0.71);',
'insert into jk64demo_earthquakes values(38.8209991,-122.8161697,0.79);',
'insert into jk64demo_earthquakes values(33.7021667,-116.7485,1.65);',
'insert into jk64demo_earthquakes values(52.8933,-166.7705,2.4);',
'insert into jk64demo_earthquakes values(-3.5849,141.3883,5);',
'insert into jk64demo_earthquakes values(36.4674,-98.7839,1.2);',
'insert into jk64demo_earthquakes values(33.4795,-116.4873333,0.55);',
'insert into jk64demo_earthquakes values(63.699,-148.3592,1.6);',
'insert into jk64demo_earthquakes values(-9.2454,123.9952,4.3);',
'insert into jk64demo_earthquakes values(19.4048333,-155.278,0.68);',
'insert into jk64demo_earthquakes values(60.0567,-139.4185,1.3);',
'insert into jk64demo_earthquakes values(60.0609,-139.3974,1.6);',
'insert into jk64demo_earthquakes values(45.635,-122.7596667,1.38);',
'insert into jk64demo_earthquakes values(62.2516,-149.2059,1.2);',
'insert into jk64demo_earthquakes values(37.473,-121.8011667,0.83);',
'insert into jk64demo_earthquakes values(37.4518333,-118.6486667,1.49);',
'insert into jk64demo_earthquakes values(36.4488,-98.7027,2.7);',
'insert into jk64demo_earthquakes values(64.6808,-149.4551,0.3);',
'insert into jk64demo_earthquakes values(37.5775,-118.8576667,0);',
'insert into jk64demo_earthquakes values(37.5818333,-118.8498333,-0.04);',
'insert into jk64demo_earthquakes values(38.8173332,-122.8218307,0.56);',
'insert into jk64demo_earthquakes values(33.3776667,-116.7055,0.67);',
'insert into jk64demo_earthquakes values(37.1544,-115.078,0.7);',
'insert into jk64demo_earthquakes values(34.3763333,-119.5561667,1.68);',
'insert into jk64demo_earthquakes values(38.8411674,-122.8274994,0.84);',
'insert into jk64demo_earthquakes values(36.4363,-98.6873,1.9);',
'insert into jk64demo_earthquakes values(51.3427,-177.7128,2.1);',
'insert into jk64demo_earthquakes values(60.4031,-147.7002,1.4);',
'insert into jk64demo_earthquakes values(37.5728333,-118.8498333,0.83);',
'insert into jk64demo_earthquakes values(61.1331,-152.2964,0.8);',
'insert into jk64demo_earthquakes values(26.4525,126.2022,4.2);',
'insert into jk64demo_earthquakes values(38.1169,-118.4001,0.3);',
'insert into jk64demo_earthquakes values(37.5778333,-118.8513333,0.18);',
'insert into jk64demo_earthquakes values(64.9884,-147.5098,0.4);',
'insert into jk64demo_earthquakes values(36.4459,-98.7755,2.5);',
'insert into jk64demo_earthquakes values(37.5765,-118.8543333,-0.06);',
'insert into jk64demo_earthquakes values(35.6346,140.243,4.5);',
'insert into jk64demo_earthquakes values(-45.3383,-77.7826,4.8);',
'insert into jk64demo_earthquakes values(37.573,-118.8506667,0.8);',
'insert into jk64demo_earthquakes values(47.6885,-122.6785,1.74);',
'insert into jk64demo_earthquakes values(59.6943,-153.1587,1.9);',
'insert into jk64demo_earthquakes values(37.556,-118.8523333,0.69);',
'insert into jk64demo_earthquakes values(37.2727,-118.374,0.7);',
'insert into jk64demo_earthquakes values(51.9322,-175.5273,3);',
'insert into jk64demo_earthquakes values(38.8021667,-122.7703333,1.29);',
'insert into jk64demo_earthquakes values(41.0133333,-74.3473333,1.14);',
'insert into jk64demo_earthquakes values(38.1647,-118.2438,1.2);',
'insert into jk64demo_earthquakes values(38.0246,-118.9107,0.9);',
'insert into jk64demo_earthquakes values(38.5077,-118.6119,0.3);',
'insert into jk64demo_earthquakes values(44.827,-117.1955,2.52);',
'insert into jk64demo_earthquakes values(62.185,-150.6967,1.3);',
'insert into jk64demo_earthquakes values(37.854,-115.5336,1.1);',
'insert into jk64demo_earthquakes values(-24.3276,-115.7459,4.9);',
'insert into jk64demo_earthquakes values(37.8923,-118.139,1.3);',
'insert into jk64demo_earthquakes values(33.5098333,-116.5618333,0.99);',
'insert into jk64demo_earthquakes values(59.4662,-153.0664,1.6);',
'insert into jk64demo_earthquakes values(38.8416672,-122.8301697,0.18);',
'insert into jk64demo_earthquakes values(37.1947,-118.2784,0.4);',
'insert into jk64demo_earthquakes values(36.2318333,-117.5153333,2.66);',
'insert into jk64demo_earthquakes values(36.2341667,-117.517,3.23);',
'insert into jk64demo_earthquakes values(36.7668333,-121.3601667,1.9);',
'insert into jk64demo_earthquakes values(-19.1878,-177.4746,4.7);',
'insert into jk64demo_earthquakes values(44.727,-111.1241667,0.86);',
'insert into jk64demo_earthquakes values(-43.5183,169.9388,4.2);',
'insert into jk64demo_earthquakes values(33.4778333,-116.4788333,0.99);',
'insert into jk64demo_earthquakes values(33.4771667,-116.4838333,1.1);',
'insert into jk64demo_earthquakes values(33.4715,-116.4971667,1.29);',
'insert into jk64demo_earthquakes values(33.4745,-116.4825,0.73);',
'insert into jk64demo_earthquakes values(37.9941667,-112.2621667,2.14);',
'insert into jk64demo_earthquakes values(19.4151669,-155.2805023,1.82);',
'insert into jk64demo_earthquakes values(37.554,-118.826,0.66);',
'insert into jk64demo_earthquakes values(-17.2281,167.2826,4.1);',
'insert into jk64demo_earthquakes values(39.5481667,-120.341,1.69);',
'insert into jk64demo_earthquakes values(35.2986667,-117.4335,1.13);',
'insert into jk64demo_earthquakes values(37.0083333,-98.0301667,1.87);',
'insert into jk64demo_earthquakes values(37.5763333,-118.8565,0.16);',
'insert into jk64demo_earthquakes values(37.5311667,-118.8766667,2.26);',
'insert into jk64demo_earthquakes values(39.9532,-120.72,0.6);',
'insert into jk64demo_earthquakes values(51.5691,-178.095,2);',
'insert into jk64demo_earthquakes values(64.3162,-149.9297,1);',
'insert into jk64demo_earthquakes values(63.221,-150.7477,1.5);',
'insert into jk64demo_earthquakes values(36.7095,-116.1687,-0.2);',
'insert into jk64demo_earthquakes values(59.3058,-153.6383,2.1);',
'insert into jk64demo_earthquakes values(37.9881667,-122.2696667,0.99);',
'insert into jk64demo_earthquakes values(44.7395,-111.2428333,0.67);',
'insert into jk64demo_earthquakes values(38.8218333,-122.7793333,0.43);',
'insert into jk64demo_earthquakes values(36.4492,-98.7661,1.6);',
'insert into jk64demo_earthquakes values(61.9632,-152.1372,1.8);',
'insert into jk64demo_earthquakes values(53.5738,-166.9539,1.6);',
'insert into jk64demo_earthquakes values(34.2971667,-118.4935,1.01);',
'insert into jk64demo_earthquakes values(60.2172,-152.7159,1.6);',
'insert into jk64demo_earthquakes values(64.3082,-149.8756,1.1);',
'insert into jk64demo_earthquakes values(38.7491667,-122.7045,0.79);',
'insert into jk64demo_earthquakes values(62.0416,-149.5553,1.2);',
'insert into jk64demo_earthquakes values(41.8839,-119.642,0.6);',
'insert into jk64demo_earthquakes values(35.6866667,-118.3908333,0.58);',
'insert into jk64demo_earthquakes values(30.0849,131.0844,4.6);',
'insert into jk64demo_earthquakes values(64.9903,-147.3138,1.1);',
'insert into jk64demo_earthquakes values(34.6973333,-116.2463333,1.96);',
'insert into jk64demo_earthquakes values(34.0993333,-118.3943333,1.04);',
'insert into jk64demo_earthquakes values(46.1958333,-122.1905,0.25);',
'insert into jk64demo_earthquakes values(32.1186,137.8228,4.1);',
'insert into jk64demo_earthquakes values(36.7882,-97.6029,2.6);',
'insert into jk64demo_earthquakes values(58.9197,-152.1319,1.8);',
'insert into jk64demo_earthquakes values(-8.0761,113.8341,4.1);',
'insert into jk64demo_earthquakes values(37.5756667,-118.8568333,0.2);',
'insert into jk64demo_earthquakes values(38.8003349,-122.7683334,0.92);',
'insert into jk64demo_earthquakes values(-28.6642,-68.877,4.3);',
'insert into jk64demo_earthquakes values(59.8062,-153.0331,2.1);',
'insert into jk64demo_earthquakes values(36.777,-98.1074,2.9);',
'insert into jk64demo_earthquakes values(-18.736,-177.7287,4.4);',
'insert into jk64demo_earthquakes values(46.4486667,-122.2411667,0.99);',
'insert into jk64demo_earthquakes values(62.1711,-149.3217,2);',
'insert into jk64demo_earthquakes values(61.2888,-147.6672,1.1);',
'insert into jk64demo_earthquakes values(38.6608,-118.7907,1.5);',
'insert into jk64demo_earthquakes values(59.7031,-153.2813,2.1);',
'insert into jk64demo_earthquakes values(58.9119,-154.907,2.9);',
'insert into jk64demo_earthquakes values(59.8378,-152.8984,2.9);',
'insert into jk64demo_earthquakes values(33.8635,-117.503,1.53);',
'insert into jk64demo_earthquakes values(12.595,-87.6298,4);',
'insert into jk64demo_earthquakes values(37.578,-118.8488333,0.2);',
'insert into jk64demo_earthquakes values(37.578,-118.8568333,0.08);',
'insert into jk64demo_earthquakes values(7.7394,136.8231,4.1);',
'insert into jk64demo_earthquakes values(38.7868333,-122.7783333,0.29);',
'insert into jk64demo_earthquakes values(33.7095,-116.7538333,1.04);',
'insert into jk64demo_earthquakes values(37.5723333,-118.8533333,2.05);',
'insert into jk64demo_earthquakes values(19.3636667,-155.2961667,2.15);',
'insert into jk64demo_earthquakes values(37.1525,-116.1322,-0.1);',
'insert into jk64demo_earthquakes values(19.134,-66.4347,2.7);',
'insert into jk64demo_earthquakes values(61.76,-141.0696,1.1);',
'insert into jk64demo_earthquakes values(63.521,-151.0619,1.2);',
'insert into jk64demo_earthquakes values(38.9371667,-111.4635,2.01);',
'insert into jk64demo_earthquakes values(38.581,-112.5566667,1.27);',
'insert into jk64demo_earthquakes values(13.0086,125.2747,4.6);',
'insert into jk64demo_earthquakes values(59.3613,-153.4673,1.8);',
'insert into jk64demo_earthquakes values(-5.499,152.7003,4.8);',
'insert into jk64demo_earthquakes values(61.1341,-147.1991,1.6);',
'insert into jk64demo_earthquakes values(38.8218333,-122.843,0.33);',
'insert into jk64demo_earthquakes values(59.8714,-152.9463,1.8);',
'insert into jk64demo_earthquakes values(37.0374,-116.4385,-0.1);',
'insert into jk64demo_earthquakes values(19.4134998,-155.2286682,2.07);',
'insert into jk64demo_earthquakes values(60.9735,-151.7433,2.3);',
'insert into jk64demo_earthquakes values(36.4912,70.3448,4.4);',
'insert into jk64demo_earthquakes values(60.0235,-150.0985,1.7);',
'insert into jk64demo_earthquakes values(39.4081667,-111.907,1.39);',
'insert into jk64demo_earthquakes values(-6.3303,150.074,4.3);',
'insert into jk64demo_earthquakes values(47.5501667,-122.673,1.59);',
'insert into jk64demo_earthquakes values(41.9141,-119.6059,3.1);',
'insert into jk64demo_earthquakes values(-32.4755,-69.8344,4.5);',
'insert into jk64demo_earthquakes values(47.6296667,-120.361,0.87);',
'insert into jk64demo_earthquakes values(59.6025,-153.4429,3.2);',
'insert into jk64demo_earthquakes values(-34.3267,179.3665,4.4);',
'insert into jk64demo_earthquakes values(66.7703,-146.8525,1);',
'insert into jk64demo_earthquakes values(38.8243332,-122.8451691,0.79);',
'insert into jk64demo_earthquakes values(5.1321,-32.5199,4.8);',
'insert into jk64demo_earthquakes values(47.5505,-122.7851667,1.92);',
'insert into jk64demo_earthquakes values(46.3518333,-122.3925,1.57);',
'insert into jk64demo_earthquakes values(1.7627,98.2363,4.4);',
'insert into jk64demo_earthquakes values(59.7896,-152.9866,2);',
'insert into jk64demo_earthquakes values(47.5461667,-122.815,3.42);',
'insert into jk64demo_earthquakes values(37.0227,-116.4424,0.8);',
'insert into jk64demo_earthquakes values(37.5696667,-118.849,0.67);',
'insert into jk64demo_earthquakes values(38.8263333,-122.853,1.02);',
'insert into jk64demo_earthquakes values(36.1006667,-117.5971667,-0.27);',
'insert into jk64demo_earthquakes values(40.5546667,-121.6948333,0.93);',
'insert into jk64demo_earthquakes values(18.8211,-67.3174,2.7);',
'insert into jk64demo_earthquakes values(4.8333,-32.6181,5.1);',
'insert into jk64demo_earthquakes values(38.818,-122.8196667,0.16);',
'insert into jk64demo_earthquakes values(51.6487,-175.5336,4.5);',
'insert into jk64demo_earthquakes values(64.8359,-147.8189,0.4);',
'insert into jk64demo_earthquakes values(19.4518333,-155.6,0.63);',
'insert into jk64demo_earthquakes values(51.5353,-175.5745,2.3);',
'insert into jk64demo_earthquakes values(38.8121667,-122.8226667,0.17);',
'insert into jk64demo_earthquakes values(19.0895,-66.4422,2.7);',
'insert into jk64demo_earthquakes values(37.5718333,-118.8505,0.69);',
'insert into jk64demo_earthquakes values(38.7993317,-122.8075027,1.02);',
'insert into jk64demo_earthquakes values(-21.8918,-179.4298,5.2);',
'insert into jk64demo_earthquakes values(57.8145,-157.5327,2.8);',
'insert into jk64demo_earthquakes values(38.7866669,-122.7483368,0.98);',
'insert into jk64demo_earthquakes values(38.1709,-118.1604,0.6);',
'insert into jk64demo_earthquakes values(34.2995,-116.868,1.35);',
'insert into jk64demo_earthquakes values(17.2102,60.0573,5);',
'insert into jk64demo_earthquakes values(-16.3006,-173.1129,4.2);',
'insert into jk64demo_earthquakes values(33.6043333,-116.7388333,0.92);',
'insert into jk64demo_earthquakes values(63.1614,-150.7847,1.4);',
'insert into jk64demo_earthquakes values(59.796,-153.0703,1.5);',
'insert into jk64demo_earthquakes values(38.7881667,-122.7343333,1.04);',
'insert into jk64demo_earthquakes values(64.9835,-147.3543,1.1);',
'insert into jk64demo_earthquakes values(62.2167,-149.6829,1.2);',
'insert into jk64demo_earthquakes values(41.8866,-119.5949,1.5);',
'insert into jk64demo_earthquakes values(22.2296,144.9936,4.1);',
'insert into jk64demo_earthquakes values(37.3216667,-122.105,1.38);',
'insert into jk64demo_earthquakes values(37.225,-118.4683333,1.68);',
'insert into jk64demo_earthquakes values(60.3399,-150.8932,1.4);',
'insert into jk64demo_earthquakes values(59.9473,-152.321,2.6);',
'insert into jk64demo_earthquakes values(17.8822,-67.3413,2.5);',
'insert into jk64demo_earthquakes values(62.8752,-151.7343,1.8);',
'insert into jk64demo_earthquakes values(63.1178,-151.506,0.9);',
'insert into jk64demo_earthquakes values(38.8181648,-122.7998352,0.94);',
'insert into jk64demo_earthquakes values(34.7941667,-117.5903333,2.79);',
'insert into jk64demo_earthquakes values(33.423,-116.432,0.58);',
'insert into jk64demo_earthquakes values(38.8418333,-122.832,0.08);',
'insert into jk64demo_earthquakes values(38.1038,-118.8642,0.7);',
'insert into jk64demo_earthquakes values(64.9596,-149.5854,1.6);',
'insert into jk64demo_earthquakes values(38.8224983,-122.767334,0.82);',
'insert into jk64demo_earthquakes values(37.4446,-118.1332,0.6);',
'insert into jk64demo_earthquakes values(62.2136,-150.0685,1.6);',
'insert into jk64demo_earthquakes values(33.409,-116.4141667,1.41);',
'insert into jk64demo_earthquakes values(61.5654,-149.8646,1.2);',
'insert into jk64demo_earthquakes values(62.238,-150.0791,1.4);',
'insert into jk64demo_earthquakes values(12.4113,123.6636,4.6);',
'insert into jk64demo_earthquakes values(34.1573333,-116.8126667,1.37);',
'insert into jk64demo_earthquakes values(64.946,-149.5636,1.7);',
'insert into jk64demo_earthquakes values(37.5956667,-118.8621667,0.16);',
'insert into jk64demo_earthquakes values(38.831501,-122.8018341,0.76);',
'insert into jk64demo_earthquakes values(33.6595,-116.713,0.98);',
'insert into jk64demo_earthquakes values(34.1571667,-116.812,1.46);',
'insert into jk64demo_earthquakes values(62.909,-151.7598,1.6);',
'insert into jk64demo_earthquakes values(-5.3608,152.6235,4.8);',
'insert into jk64demo_earthquakes values(47.1543333,-121.9311667,1.01);',
'insert into jk64demo_earthquakes values(-21.9139,-179.359,5.8);',
'insert into jk64demo_earthquakes values(37.5681667,-118.8476667,0.1);',
'insert into jk64demo_earthquakes values(37.1396,-117.428,0.2);',
'insert into jk64demo_earthquakes values(38.8371658,-122.7553329,1);',
'insert into jk64demo_earthquakes values(52.4181,-174.3814,3.5);',
'insert into jk64demo_earthquakes values(45.5385,-112.58,0.68);',
'insert into jk64demo_earthquakes values(19.086,-66.4292,3.1);',
'insert into jk64demo_earthquakes values(37.5716667,-118.8528333,-0.02);',
'insert into jk64demo_earthquakes values(36.2543,-97.3654,3);',
'insert into jk64demo_earthquakes values(37.0409,-116.2905,-0.1);',
'insert into jk64demo_earthquakes values(60.3658,-151.8239,1.9);',
'insert into jk64demo_earthquakes values(54.8795,-164.4235,2.5);',
'insert into jk64demo_earthquakes values(4.505,-32.5457,5.1);',
'insert into jk64demo_earthquakes values(5.0102,-32.6824,4.9);',
'insert into jk64demo_earthquakes values(37.6348333,-118.94,0.39);',
'insert into jk64demo_earthquakes values(-22.3474,179.2886,5.1);',
'insert into jk64demo_earthquakes values(37.5473333,-118.8586667,0);',
'insert into jk64demo_earthquakes values(40.5028333,-124.2986667,1.96);',
'insert into jk64demo_earthquakes values(38.431,-119.3264,1.4);',
'insert into jk64demo_earthquakes values(38.4329,-119.3197,1.2);',
'insert into jk64demo_earthquakes values(63.4622,-151.2014,0.7);',
'insert into jk64demo_earthquakes values(4.9832,-32.5833,4.9);',
'insert into jk64demo_earthquakes values(37.2384,-118.3906,1.1);',
'insert into jk64demo_earthquakes values(4.6428,-32.5624,4.8);',
'insert into jk64demo_earthquakes values(47.4893333,-121.7631667,1.5);',
'insert into jk64demo_earthquakes values(33.164,-116.2618333,1.13);',
'insert into jk64demo_earthquakes values(4.5745,-32.6203,4.9);',
'insert into jk64demo_earthquakes values(62.7234,-149.6863,2.1);',
'insert into jk64demo_earthquakes values(38.8310013,-122.7976685,0.56);',
'insert into jk64demo_earthquakes values(63.0753,-144.4935,1.1);',
'insert into jk64demo_earthquakes values(36.0355,-120.617,0.54);',
'insert into jk64demo_earthquakes values(36.0078333,-117.8026667,0.71);',
'insert into jk64demo_earthquakes values(49.0363333,-119.9366667,1.94);',
'insert into jk64demo_earthquakes values(59.812,-153.0411,1.6);',
'insert into jk64demo_earthquakes values(-29.1241,-179.1507,4.6);',
'insert into jk64demo_earthquakes values(19.3585,-155.2065,0.65);',
'insert into jk64demo_earthquakes values(61.887,-150.1449,1.7);',
'insert into jk64demo_earthquakes values(37.2088333,-118.4046667,1.54);',
'insert into jk64demo_earthquakes values(63.5628,-151.0224,0.9);',
'insert into jk64demo_earthquakes values(54.2507,-164.5282,2.1);',
'insert into jk64demo_earthquakes values(36.6153,-115.7952,0.6);',
'insert into jk64demo_earthquakes values(60.204,-151.8756,1.4);',
'insert into jk64demo_earthquakes values(59.5666,-153.5585,1.8);',
'insert into jk64demo_earthquakes values(38.8408318,-122.8290024,0.68);',
'insert into jk64demo_earthquakes values(59.8007,-153.0853,2.6);',
'insert into jk64demo_earthquakes values(60.9368,-152.0897,1.5);',
'insert into jk64demo_earthquakes values(34.2941667,-116.8655,1.25);',
'insert into jk64demo_earthquakes values(38.7975,-122.7578333,1.71);',
'insert into jk64demo_earthquakes values(63.298,-151.0706,0.8);',
'insert into jk64demo_earthquakes values(6.5287,126.9742,4.8);',
'insert into jk64demo_earthquakes values(41.8519,-119.629,1.4);',
'insert into jk64demo_earthquakes values(37.581,-118.8533333,0.77);',
'insert into jk64demo_earthquakes values(38.8118324,-122.7771683,0.34);',
'insert into jk64demo_earthquakes values(60.0164,-141.3357,1.3);',
'insert into jk64demo_earthquakes values(60.457,-150.6574,1.4);',
'insert into jk64demo_earthquakes values(37.5753333,-118.8578333,0.75);',
'insert into jk64demo_earthquakes values(37.577,-118.8575,0.68);',
'insert into jk64demo_earthquakes values(60.1653,-153.3819,1.8);',
'insert into jk64demo_earthquakes values(34.0283333,-117.2,0.93);',
'insert into jk64demo_earthquakes values(-3.3438,139.7487,4);',
'insert into jk64demo_earthquakes values(38.8250008,-122.8081665,0.73);',
'insert into jk64demo_earthquakes values(53.5052,-164.7784,3.9);',
'insert into jk64demo_earthquakes values(37.5545,-118.8786667,0.15);',
'insert into jk64demo_earthquakes values(61.5794,-146.3446,1);',
'insert into jk64demo_earthquakes values(37.5166667,-121.8228333,1.47);',
'insert into jk64demo_earthquakes values(63.1867,-149.082,1.6);',
'insert into jk64demo_earthquakes values(59.7676,-152.9738,1.6);',
'insert into jk64demo_earthquakes values(57.3348,-154.7947,1.9);',
'insert into jk64demo_earthquakes values(61.246,-159.3169,2);',
'insert into jk64demo_earthquakes values(37.5725,-118.8651667,2.08);',
'insert into jk64demo_earthquakes values(60.5012,-149.9555,1.4);',
'insert into jk64demo_earthquakes values(63.6311,-148.7297,1.2);',
'insert into jk64demo_earthquakes values(35.7429,-97.1462,3.1);',
'insert into jk64demo_earthquakes values(35.9656667,-120.5196667,0.02);',
'insert into jk64demo_earthquakes values(59.709,-153.1448,1.7);',
'insert into jk64demo_earthquakes values(59.6813,-152.3593,1.5);',
'insert into jk64demo_earthquakes values(33.5346667,-116.6948333,1.44);',
'insert into jk64demo_earthquakes values(38.8354988,-122.7823334,1.15);',
'insert into jk64demo_earthquakes values(37.5796667,-118.8606667,0.22);',
'insert into jk64demo_earthquakes values(59.8081,-153.0383,1.6);',
'insert into jk64demo_earthquakes values(37.5801667,-118.8498333,0.29);',
'insert into jk64demo_earthquakes values(57.8523,-151.1716,2.2);',
'insert into jk64demo_earthquakes values(50.758,-174.0403,2.5);',
''))
);
null;
end;
/
prompt --application/deployment/checks
begin
null;
end;
/
prompt --application/deployment/buildoptions
begin
null;
end;
/
prompt --application/end_environment
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
